#include "../interface/TestProposal.h"
#include "../interface/DebugProposal.h"
#include "../interface/VerticalInterpPdf.h"
#include "../interface/VerticalInterpHistPdf.h"
#include "../interface/AsymPow.h"
#include "../interface/CombDataSetFactory.h"
#include "../interface/TH1Keys.h"
#include "../interface/RooSimultaneousOpt.h"
#include "../interface/SimpleCacheSentry.h"
#include "../interface/th1fmorph.h"
#include "../interface/HZZ4LRooPdfs.h"
#include "../interface/HWWLVJRooPdfs.h"
#include "../interface/HZZ2L2QRooPdfs.h"
#include "../interface/HGGRooPdfs.h"
#include "../interface/HZGRooPdfs.h"
#include "../interface/SequentialMinimizer.h"
#include "../interface/ProcessNormalization.h"
#include "../interface/RooSpline1D.h"
#include "../interface/RooSplineND.h"
#include "../interface/RooScaleLOSM.h"
#include "../interface/rVrFLikelihood.h"
#include "../interface/RooMultiPdf.h"
#include "../interface/RooParametricHist.h"
#include "../interface/RooBernsteinFast.h"
#include "../interface/SimpleGaussianConstraint.h"
#include "../interface/AtlasPdfs.h"
#include "../interface/HZZ4L_RooSpinZeroPdf.h"
#include "../interface/HZZ4L_RooSpinZeroPdf_phase.h"
#include "../interface/HZZ4L_RooSpinZeroPdf_2D.h"
#include "../interface/HWWLVJJRooPdfs.h"
#include "../interface/RooMorphingPdf.h"
#include "../interface/GaussExp.h"

#ifdef __CINT__
#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;
#pragma link C++ class TestProposal+;
#pragma link C++ class DebugProposal+;
#pragma link C++ class VerticalInterpPdf+;
#pragma link C++ class VerticalInterpHistPdf+;
#pragma link C++ class FastTemplate+;
#pragma link C++ class FastHisto+;
#pragma link C++ class FastHisto2D+;
#pragma link C++ class FastHisto3D+;
#pragma link C++ class FastVerticalInterpHistPdfBase+;
#pragma link C++ class FastVerticalInterpHistPdfBase::Morph+;
#pragma link C++ class FastVerticalInterpHistPdf+;
#pragma link C++ class FastVerticalInterpHistPdf2D+;
#pragma link C++ class FastVerticalInterpHistPdf3D+;
#pragma link C++ class FastVerticalInterpHistPdf2Base+;
#pragma link C++ class FastVerticalInterpHistPdf2+;
#pragma link C++ class FastVerticalInterpHistPdf2D2+;
#pragma link C++ class HZZ4L_RooSpinZeroPdf+;
#pragma link C++ class HZZ4L_RooSpinZeroPdf_phase+;
#pragma link C++ class HZZ4L_RooSpinZeroPdf_2D+;
#pragma link C++ class AsymPow+;
#pragma link C++ class CombDataSetFactory+;
#pragma link C++ class TH1Keys+;
#pragma link C++ class RooSimultaneousOpt+;
#pragma link C++ class SimpleGaussianConstraint+;
#pragma link C++ class SimpleCacheSentry+;
#pragma link C++ function th1fmorph;
#pragma link C++ class RooqqZZPdf+;
#pragma link C++ class RooggZZPdf+;
#pragma link C++ class RooqqZZPdf_v2+;
#pragma link C++ class RooggZZPdf_v2+;
#pragma link C++ class RooBetaFunc_v2+;
#pragma link C++ class Roo4lMasses2D+;
#pragma link C++ class Roo4lMasses2D_Bkg+;
#pragma link C++ class Roo4lMasses2D_BkgGGZZ+;
#pragma link C++ class RooFourMuMassShapePdf2+;
#pragma link C++ class RooFourEMassShapePdf2+;
#pragma link C++ class RooTwoETwoMuMassShapePdf2+;
#pragma link C++ class RooFourMuMassRes+;
#pragma link C++ class RooFourEMassRes+;
#pragma link C++ class RooTwoETwoMuMassRes+;
#pragma link C++ class RooRelBW1+;
#pragma link C++ class RooRelBWUF+;
#pragma link C++ class RooRelBWUF_SM4+;
#pragma link C++ class RooRelBWUFParam+;
#pragma link C++ class RooRelBWUFParamWidth+;
#pragma link C++ class RooRelBW+;
#pragma link C++ class RooRelBWHighMass+;
#pragma link C++ class RooDoubleCB+;
#pragma link C++ class RooaDoubleCBxBW+;
#pragma link C++ class RooCB+;
#pragma link C++ class RooFermi+;
#pragma link C++ class Triangle+;
#pragma link C++ class RooLevelledExp+;
#pragma link C++ class RooPower+;
#pragma link C++ class cmsmath::SequentialMinimizer+;
#pragma link C++ class ProcessNormalization+;
#pragma link C++ class RooSpline1D+;
#pragma link C++ class RooSplineND+;
#pragma link C++ class RooScaleLOSM+;
#pragma link C++ class RooScaleHGamGamLOSM+;
#pragma link C++ class RooScaleHGluGluLOSM+;
#pragma link C++ class RooScaleHGamGamLOSMPlusX+;
#pragma link C++ class RooScaleHGluGluLOSMPlusX+;
#pragma link C++ class RooTsallis;
#pragma link C++ class RooErfExpPdf+;
#pragma link C++ class RooAlpha+;
#pragma link C++ class RooAlphaExp+;
#pragma link C++ class RooBWRunPdf+;
#pragma link C++ class RooErfPow2Pdf+;
#pragma link C++ class RooAlpha4ErfPow2Pdf+;
#pragma link C++ class RooErfPowPdf+;
#pragma link C++ class RooAlpha4ErfPowPdf+;
#pragma link C++ class RooPow2Pdf+;
#pragma link C++ class RooPowPdf+;
#pragma link C++ class RooQCDPdf+;
#pragma link C++ class RooUser1Pdf+;
#pragma link C++ class RooAlpha4ErfPowExpPdf+;
#pragma link C++ class RooErfPowExpPdf+;
#pragma link C++ class RooStepBernstein+;
#pragma link C++ class RooGaussStepBernstein+;
#pragma link C++ class rVrFLikelihood+;
#pragma link C++ class RooMultiPdf+;
#pragma link C++ class RooParametricHist+;
#pragma link C++ class RooBernsteinFast<1>+;
#pragma link C++ class RooBernsteinFast<2>+;
#pragma link C++ class RooBernsteinFast<3>+;
#pragma link C++ class RooBernsteinFast<4>+;
#pragma link C++ class RooBernsteinFast<5>+;
#pragma link C++ class RooBernsteinFast<6>+;
#pragma link C++ class RooBernsteinFast<7>+;
#pragma link C++ class RooAnaExpNPdf+;
#pragma link C++ class RooAlpha42ExpPdf+;
#pragma link C++ class Roo2ExpPdf+;
#pragma link C++ class RooExpNPdf+;
#pragma link C++ class RooAlpha4ExpNPdf+;
#pragma link C++ class RooExpTailPdf+;
#pragma link C++ class RooAlpha4ExpTailPdf+;
#pragma link C++ class RooAlpha4GausExpPdf+;
#pragma link C++ class RooGausExpPdf+;
#pragma link C++ class RooDoubleCrystalBall+;

#pragma link C++ class RooStats::HistFactory::RooBSplineBases+;
#pragma link C++ class RooStats::HistFactory::RooBSpline+;
#pragma link C++ class RooParamKeysPdf+;
#pragma link C++ class RooStarMomentMorph+;

#pragma link C++ class RooMorphingPdf+;
#pragma link C++ class RooSigPlusInt+;
#pragma link C++ class RooBWHighMassGGH+;
#pragma link C++ class RooCPSHighMassGGH+;
#pragma link C++ class RooCPSHighMassGGHNoInterf+;
#pragma link C++ class RooCPSHighMassVBF+;
#pragma link C++ class RooCPSHighMassVBFNoInterf+;
#pragma link C++ class RooVBFZZPdf+;
#pragma link C++ class RooVBFZZPdf_v2+;
#pragma link C++ class RooExpPoly+;
#pragma link C++ class RooPowerLaw+;
#pragma link C++ class RooPowerFunction+;
#pragma link C++ class RooTH1DPdf+;
#pragma link C++ class RooPowerExpPdf+;
#pragma link C++ class RooErfPdf+;
#pragma link C++ class RooChebyshevPDF+;
#pragma link C++ class GaussExp+;
#endif 
//
// File generated by /cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/bin/rootcint at Tue Jul 19 17:00:23 2016

// Do NOT change. Changes will be lost next time file is generated
//

#define R__DICTIONARY_FILENAME tmpdIslc6_amd64_gcc481dIsrcdIHiggsAnalysisdICombinedLimitdIsrcdIHiggsAnalysisCombinedLimitdIbdIHiggsAnalysisCombinedLimit_yr
#include "RConfig.h" //rootcint 4834
#if !defined(R__ACCESS_IN_SYMBOL)
//Break the privacy of classes -- Disabled for the moment
#define private public
#define protected public
#endif

// Since CINT ignores the std namespace, we need to do so in this file.
namespace std {} using namespace std;
#include "HiggsAnalysisCombinedLimit_yr.h"

#include "TCollectionProxyInfo.h"
#include "TClass.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"

#include "TBuffer.h"
#include "TVirtualObject.h"
#include <vector>
#include "TSchemaHelper.h"


// Direct notice to TROOT of the dictionary's loading.
namespace {
   static struct DictInit {
      DictInit() {
         ROOT::RegisterModule();
      }
   } __TheDictionaryInitializer;
}

// START OF SHADOWS

namespace ROOT {
   namespace Shadow {
      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::FastTemplate FastTemplate;
      #else
      class FastTemplate  {
         public:
         //friend XX;
         typedef void* (*T)() ;
         typedef ::std::vector<double, ::allocator<double> > AT;
         unsigned int size_; //
         AT values_; //
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::FastHisto FastHisto;
      #else
      class FastHisto  :  public ::FastTemplate {
         public:
         //friend XX;
         ::FastTemplate::AT binEdges_; //
         ::FastTemplate::AT binWidths_; //
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::FastHisto2D FastHisto2D;
      #else
      class FastHisto2D  :  public ::FastTemplate {
         public:
         //friend XX;
         unsigned int binX_; //
         unsigned int binY_; //
         ::FastTemplate::AT binEdgesX_; //
         ::FastTemplate::AT binEdgesY_; //
         ::FastTemplate::AT binWidths_; //
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::FastHisto3D FastHisto3D;
      #else
      class FastHisto3D  :  public ::FastTemplate {
         public:
         //friend XX;
         unsigned int binX_; //
         unsigned int binY_; //
         unsigned int binZ_; //
         ::FastTemplate::AT binEdgesX_; //
         ::FastTemplate::AT binEdgesY_; //
         ::FastTemplate::AT binEdgesZ_; //
         ::FastTemplate::AT binWidths_; //
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::FastVerticalInterpHistPdfBase FastVerticalInterpHistPdfBase;
      #else
      class FastVerticalInterpHistPdfBase  :  public ::RooAbsPdf {
         public:
         //friend XX;
         #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
         typedef ::FastVerticalInterpHistPdfBase::Morph Morph;
         #else
         class Morph  {
            public:
            //friend XX;
            ::FastTemplate sum; //
            ::FastTemplate diff; //
         };
         #endif

         // To force the creation of a virtual table, throw just in case.
         virtual ~FastVerticalInterpHistPdfBase() throw() {};
      };
      #endif

      namespace cmsmath {

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::cmsmath::SequentialMinimizer SequentialMinimizer;
      #else
      class SequentialMinimizer  :  public ::ROOT::Math::Minimizer {
         public:
         //friend XX;
         #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
         typedef ::cmsmath::SequentialMinimizer::State State;
         #else
         enum State  {
         };
         #endif

         #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
         typedef ::cmsmath::SequentialMinimizer::Worker Worker;
         #else
         class Worker  :  public ::cmsmath::OneDimMinimizer {
            public:
            //friend XX;
            ::cmsmath::SequentialMinimizer::State state; //
            int nUnaffected; /// number of consecutive times it has been woken up and set to sleep immediately afterwards
         };
         #endif

         // To force the creation of a virtual table, throw just in case.
         virtual ~SequentialMinimizer() throw() {};
         ::auto_ptr< ::cmsmath::MinimizerContext > func_; //
         unsigned int nDim_; //
         unsigned int nFree_; //
         double minValue_; //
         double edm_; //
         vector< Worker > workers_; //
         State state_; //
         ::auto_ptr< ::ROOT::Math::Minimizer > fullMinimizer_; //
         vector< int > subspaceIndices_; //
      };
      #endif
      } 
      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 1 > RooBernsteinFastlE1gR;
      #else
      class RooBernsteinFastlE1gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,2,2, ::ROOT::Math::MatRepStd<double,2,2> > MType;
         typedef ::ROOT::Math::SVector<double,2> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE1gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 2, 2, ::ROOT::Math::MatRepStd< double, 2, 2 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 2 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 2 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 2 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 2 > _xvector; //vector of powers of x variable
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 2 > RooBernsteinFastlE2gR;
      #else
      class RooBernsteinFastlE2gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,3,3, ::ROOT::Math::MatRepStd<double,3,3> > MType;
         typedef ::ROOT::Math::SVector<double,3> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE2gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 3, 3, ::ROOT::Math::MatRepStd< double, 3, 3 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 3 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 3 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 3 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 3 > _xvector; //vector of powers of x variable
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 3 > RooBernsteinFastlE3gR;
      #else
      class RooBernsteinFastlE3gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,4,4, ::ROOT::Math::MatRepStd<double,4,4> > MType;
         typedef ::ROOT::Math::SVector<double,4> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE3gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 4, 4, ::ROOT::Math::MatRepStd< double, 4, 4 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 4 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 4 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 4 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 4 > _xvector; //vector of powers of x variable
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 4 > RooBernsteinFastlE4gR;
      #else
      class RooBernsteinFastlE4gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,5,5, ::ROOT::Math::MatRepStd<double,5,5> > MType;
         typedef ::ROOT::Math::SVector<double,5> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE4gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 5, 5, ::ROOT::Math::MatRepStd< double, 5, 5 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 5 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 5 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 5 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 5 > _xvector; //vector of powers of x variable
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 5 > RooBernsteinFastlE5gR;
      #else
      class RooBernsteinFastlE5gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,6,6, ::ROOT::Math::MatRepStd<double,6,6> > MType;
         typedef ::ROOT::Math::SVector<double,6> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE5gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 6, 6, ::ROOT::Math::MatRepStd< double, 6, 6 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 6 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 6 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 6 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 6 > _xvector; //vector of powers of x variable
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 6 > RooBernsteinFastlE6gR;
      #else
      class RooBernsteinFastlE6gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,7,7, ::ROOT::Math::MatRepStd<double,7,7> > MType;
         typedef ::ROOT::Math::SVector<double,7> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE6gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 7, 7, ::ROOT::Math::MatRepStd< double, 7, 7 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 7 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 7 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 7 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 7 > _xvector; //vector of powers of x variable
      };
      #endif

      #if !(defined(R__ACCESS_IN_SYMBOL) || defined(R__USE_SHADOW_CLASS))
      typedef ::RooBernsteinFast< 7 > RooBernsteinFastlE7gR;
      #else
      class RooBernsteinFastlE7gR  :  public ::RooAbsPdf {
         public:
         //friend XX;
         typedef ::ROOT::Math::SMatrix<double,8,8, ::ROOT::Math::MatRepStd<double,8,8> > MType;
         typedef ::ROOT::Math::SVector<double,8> VType;
         // To force the creation of a virtual table, throw just in case.
         virtual ~RooBernsteinFastlE7gR() throw() {};
         ::RooRealProxy _x; //
         ::RooListProxy _coefList; //
         ::ROOT::Math::SMatrix< double, 8, 8, ::ROOT::Math::MatRepStd< double, 8, 8 >  > _cmatrix; //conversion matrix between bernstein and power bases
         ::ROOT::Math::SVector< double, 8 > _rvector; //vector of integration coefficients
         ::ROOT::Math::SVector< double, 8 > _bernvector; //coefficients in bernstein basis
         ::ROOT::Math::SVector< double, 8 > _powvector; //coefficients in power basis
         ::ROOT::Math::SVector< double, 8 > _xvector; //vector of powers of x variable
      };
      #endif

   } // of namespace Shadow
} // of namespace ROOT
// END OF SHADOWS

namespace ROOT {
   void TestProposal_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_TestProposal(void *p = 0);
   static void *newArray_TestProposal(Long_t size, void *p);
   static void delete_TestProposal(void *p);
   static void deleteArray_TestProposal(void *p);
   static void destruct_TestProposal(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::TestProposal*)
   {
      ::TestProposal *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::TestProposal >(0);
      static ::ROOT::TGenericClassInfo 
         instance("TestProposal", ::TestProposal::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/TestProposal.h", 13,
                  typeid(::TestProposal), DefineBehavior(ptr, ptr),
                  &::TestProposal::Dictionary, isa_proxy, 4,
                  sizeof(::TestProposal) );
      instance.SetNew(&new_TestProposal);
      instance.SetNewArray(&newArray_TestProposal);
      instance.SetDelete(&delete_TestProposal);
      instance.SetDeleteArray(&deleteArray_TestProposal);
      instance.SetDestructor(&destruct_TestProposal);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::TestProposal*)
   {
      return GenerateInitInstanceLocal((::TestProposal*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::TestProposal*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void DebugProposal_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_DebugProposal(void *p = 0);
   static void *newArray_DebugProposal(Long_t size, void *p);
   static void delete_DebugProposal(void *p);
   static void deleteArray_DebugProposal(void *p);
   static void destruct_DebugProposal(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::DebugProposal*)
   {
      ::DebugProposal *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::DebugProposal >(0);
      static ::ROOT::TGenericClassInfo 
         instance("DebugProposal", ::DebugProposal::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/DebugProposal.h", 14,
                  typeid(::DebugProposal), DefineBehavior(ptr, ptr),
                  &::DebugProposal::Dictionary, isa_proxy, 4,
                  sizeof(::DebugProposal) );
      instance.SetNew(&new_DebugProposal);
      instance.SetNewArray(&newArray_DebugProposal);
      instance.SetDelete(&delete_DebugProposal);
      instance.SetDeleteArray(&deleteArray_DebugProposal);
      instance.SetDestructor(&destruct_DebugProposal);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::DebugProposal*)
   {
      return GenerateInitInstanceLocal((::DebugProposal*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::DebugProposal*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void VerticalInterpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_VerticalInterpPdf(void *p = 0);
   static void *newArray_VerticalInterpPdf(Long_t size, void *p);
   static void delete_VerticalInterpPdf(void *p);
   static void deleteArray_VerticalInterpPdf(void *p);
   static void destruct_VerticalInterpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::VerticalInterpPdf*)
   {
      ::VerticalInterpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::VerticalInterpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("VerticalInterpPdf", ::VerticalInterpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpPdf.h", 12,
                  typeid(::VerticalInterpPdf), DefineBehavior(ptr, ptr),
                  &::VerticalInterpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::VerticalInterpPdf) );
      instance.SetNew(&new_VerticalInterpPdf);
      instance.SetNewArray(&newArray_VerticalInterpPdf);
      instance.SetDelete(&delete_VerticalInterpPdf);
      instance.SetDeleteArray(&deleteArray_VerticalInterpPdf);
      instance.SetDestructor(&destruct_VerticalInterpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::VerticalInterpPdf*)
   {
      return GenerateInitInstanceLocal((::VerticalInterpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::VerticalInterpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void SimpleCacheSentry_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_SimpleCacheSentry(void *p = 0);
   static void *newArray_SimpleCacheSentry(Long_t size, void *p);
   static void delete_SimpleCacheSentry(void *p);
   static void deleteArray_SimpleCacheSentry(void *p);
   static void destruct_SimpleCacheSentry(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::SimpleCacheSentry*)
   {
      ::SimpleCacheSentry *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::SimpleCacheSentry >(0);
      static ::ROOT::TGenericClassInfo 
         instance("SimpleCacheSentry", ::SimpleCacheSentry::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/../interface/SimpleCacheSentry.h", 8,
                  typeid(::SimpleCacheSentry), DefineBehavior(ptr, ptr),
                  &::SimpleCacheSentry::Dictionary, isa_proxy, 4,
                  sizeof(::SimpleCacheSentry) );
      instance.SetNew(&new_SimpleCacheSentry);
      instance.SetNewArray(&newArray_SimpleCacheSentry);
      instance.SetDelete(&delete_SimpleCacheSentry);
      instance.SetDeleteArray(&deleteArray_SimpleCacheSentry);
      instance.SetDestructor(&destruct_SimpleCacheSentry);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::SimpleCacheSentry*)
   {
      return GenerateInitInstanceLocal((::SimpleCacheSentry*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::SimpleCacheSentry*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastTemplate_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void FastTemplate_Dictionary();
   static void *new_FastTemplate(void *p = 0);
   static void *newArray_FastTemplate(Long_t size, void *p);
   static void delete_FastTemplate(void *p);
   static void deleteArray_FastTemplate(void *p);
   static void destruct_FastTemplate(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastTemplate*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::FastTemplate) == sizeof(::ROOT::Shadow::FastTemplate));
      ::FastTemplate *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::FastTemplate),0);
      static ::ROOT::TGenericClassInfo 
         instance("FastTemplate", "./src/HiggsAnalysis/CombinedLimit/src/../interface/../interface/FastTemplate.h", 10,
                  typeid(::FastTemplate), DefineBehavior(ptr, ptr),
                  &FastTemplate_ShowMembers, &FastTemplate_Dictionary, isa_proxy, 4,
                  sizeof(::FastTemplate) );
      instance.SetNew(&new_FastTemplate);
      instance.SetNewArray(&newArray_FastTemplate);
      instance.SetDelete(&delete_FastTemplate);
      instance.SetDeleteArray(&deleteArray_FastTemplate);
      instance.SetDestructor(&destruct_FastTemplate);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastTemplate*)
   {
      return GenerateInitInstanceLocal((::FastTemplate*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastTemplate*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void FastTemplate_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::FastTemplate*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void FastHisto_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void FastHisto_Dictionary();
   static void *new_FastHisto(void *p = 0);
   static void *newArray_FastHisto(Long_t size, void *p);
   static void delete_FastHisto(void *p);
   static void deleteArray_FastHisto(void *p);
   static void destruct_FastHisto(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastHisto*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::FastHisto) == sizeof(::ROOT::Shadow::FastHisto));
      ::FastHisto *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::FastHisto),0);
      static ::ROOT::TGenericClassInfo 
         instance("FastHisto", "./src/HiggsAnalysis/CombinedLimit/src/../interface/../interface/FastTemplate.h", 80,
                  typeid(::FastHisto), DefineBehavior(ptr, ptr),
                  &FastHisto_ShowMembers, &FastHisto_Dictionary, isa_proxy, 4,
                  sizeof(::FastHisto) );
      instance.SetNew(&new_FastHisto);
      instance.SetNewArray(&newArray_FastHisto);
      instance.SetDelete(&delete_FastHisto);
      instance.SetDeleteArray(&deleteArray_FastHisto);
      instance.SetDestructor(&destruct_FastHisto);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastHisto*)
   {
      return GenerateInitInstanceLocal((::FastHisto*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastHisto*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void FastHisto_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::FastHisto*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void FastHisto2D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void FastHisto2D_Dictionary();
   static void *new_FastHisto2D(void *p = 0);
   static void *newArray_FastHisto2D(Long_t size, void *p);
   static void delete_FastHisto2D(void *p);
   static void deleteArray_FastHisto2D(void *p);
   static void destruct_FastHisto2D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastHisto2D*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::FastHisto2D) == sizeof(::ROOT::Shadow::FastHisto2D));
      ::FastHisto2D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::FastHisto2D),0);
      static ::ROOT::TGenericClassInfo 
         instance("FastHisto2D", "./src/HiggsAnalysis/CombinedLimit/src/../interface/../interface/FastTemplate.h", 123,
                  typeid(::FastHisto2D), DefineBehavior(ptr, ptr),
                  &FastHisto2D_ShowMembers, &FastHisto2D_Dictionary, isa_proxy, 4,
                  sizeof(::FastHisto2D) );
      instance.SetNew(&new_FastHisto2D);
      instance.SetNewArray(&newArray_FastHisto2D);
      instance.SetDelete(&delete_FastHisto2D);
      instance.SetDeleteArray(&deleteArray_FastHisto2D);
      instance.SetDestructor(&destruct_FastHisto2D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastHisto2D*)
   {
      return GenerateInitInstanceLocal((::FastHisto2D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastHisto2D*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void FastHisto2D_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::FastHisto2D*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void FastHisto3D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void FastHisto3D_Dictionary();
   static void *new_FastHisto3D(void *p = 0);
   static void *newArray_FastHisto3D(Long_t size, void *p);
   static void delete_FastHisto3D(void *p);
   static void deleteArray_FastHisto3D(void *p);
   static void destruct_FastHisto3D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastHisto3D*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::FastHisto3D) == sizeof(::ROOT::Shadow::FastHisto3D));
      ::FastHisto3D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::FastHisto3D),0);
      static ::ROOT::TGenericClassInfo 
         instance("FastHisto3D", "./src/HiggsAnalysis/CombinedLimit/src/../interface/../interface/FastTemplate.h", 170,
                  typeid(::FastHisto3D), DefineBehavior(ptr, ptr),
                  &FastHisto3D_ShowMembers, &FastHisto3D_Dictionary, isa_proxy, 4,
                  sizeof(::FastHisto3D) );
      instance.SetNew(&new_FastHisto3D);
      instance.SetNewArray(&newArray_FastHisto3D);
      instance.SetDelete(&delete_FastHisto3D);
      instance.SetDeleteArray(&deleteArray_FastHisto3D);
      instance.SetDestructor(&destruct_FastHisto3D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastHisto3D*)
   {
      return GenerateInitInstanceLocal((::FastHisto3D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastHisto3D*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void FastHisto3D_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::FastHisto3D*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_FastVerticalInterpHistPdf(void *p = 0);
   static void *newArray_FastVerticalInterpHistPdf(Long_t size, void *p);
   static void delete_FastVerticalInterpHistPdf(void *p);
   static void deleteArray_FastVerticalInterpHistPdf(void *p);
   static void destruct_FastVerticalInterpHistPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdf*)
   {
      ::FastVerticalInterpHistPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdf", ::FastVerticalInterpHistPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 128,
                  typeid(::FastVerticalInterpHistPdf), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdf::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdf) );
      instance.SetNew(&new_FastVerticalInterpHistPdf);
      instance.SetNewArray(&newArray_FastVerticalInterpHistPdf);
      instance.SetDelete(&delete_FastVerticalInterpHistPdf);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdf);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdf*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdf2Base_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void delete_FastVerticalInterpHistPdf2Base(void *p);
   static void deleteArray_FastVerticalInterpHistPdf2Base(void *p);
   static void destruct_FastVerticalInterpHistPdf2Base(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdf2Base*)
   {
      ::FastVerticalInterpHistPdf2Base *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdf2Base >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdf2Base", ::FastVerticalInterpHistPdf2Base::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 233,
                  typeid(::FastVerticalInterpHistPdf2Base), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdf2Base::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdf2Base) );
      instance.SetDelete(&delete_FastVerticalInterpHistPdf2Base);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdf2Base);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdf2Base);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdf2Base*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdf2Base*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2Base*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdf2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_FastVerticalInterpHistPdf2(void *p = 0);
   static void *newArray_FastVerticalInterpHistPdf2(Long_t size, void *p);
   static void delete_FastVerticalInterpHistPdf2(void *p);
   static void deleteArray_FastVerticalInterpHistPdf2(void *p);
   static void destruct_FastVerticalInterpHistPdf2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdf2*)
   {
      ::FastVerticalInterpHistPdf2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdf2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdf2", ::FastVerticalInterpHistPdf2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 297,
                  typeid(::FastVerticalInterpHistPdf2), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdf2::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdf2) );
      instance.SetNew(&new_FastVerticalInterpHistPdf2);
      instance.SetNewArray(&newArray_FastVerticalInterpHistPdf2);
      instance.SetDelete(&delete_FastVerticalInterpHistPdf2);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdf2);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdf2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdf2*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdf2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdf2D2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_FastVerticalInterpHistPdf2D2(void *p = 0);
   static void *newArray_FastVerticalInterpHistPdf2D2(Long_t size, void *p);
   static void delete_FastVerticalInterpHistPdf2D2(void *p);
   static void deleteArray_FastVerticalInterpHistPdf2D2(void *p);
   static void destruct_FastVerticalInterpHistPdf2D2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdf2D2*)
   {
      ::FastVerticalInterpHistPdf2D2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdf2D2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdf2D2", ::FastVerticalInterpHistPdf2D2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 351,
                  typeid(::FastVerticalInterpHistPdf2D2), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdf2D2::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdf2D2) );
      instance.SetNew(&new_FastVerticalInterpHistPdf2D2);
      instance.SetNewArray(&newArray_FastVerticalInterpHistPdf2D2);
      instance.SetDelete(&delete_FastVerticalInterpHistPdf2D2);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdf2D2);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdf2D2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdf2D2*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdf2D2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void VerticalInterpHistPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_VerticalInterpHistPdf(void *p = 0);
   static void *newArray_VerticalInterpHistPdf(Long_t size, void *p);
   static void delete_VerticalInterpHistPdf(void *p);
   static void deleteArray_VerticalInterpHistPdf(void *p);
   static void destruct_VerticalInterpHistPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::VerticalInterpHistPdf*)
   {
      ::VerticalInterpHistPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::VerticalInterpHistPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("VerticalInterpHistPdf", ::VerticalInterpHistPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 20,
                  typeid(::VerticalInterpHistPdf), DefineBehavior(ptr, ptr),
                  &::VerticalInterpHistPdf::Dictionary, isa_proxy, 4,
                  sizeof(::VerticalInterpHistPdf) );
      instance.SetNew(&new_VerticalInterpHistPdf);
      instance.SetNewArray(&newArray_VerticalInterpHistPdf);
      instance.SetDelete(&delete_VerticalInterpHistPdf);
      instance.SetDeleteArray(&deleteArray_VerticalInterpHistPdf);
      instance.SetDestructor(&destruct_VerticalInterpHistPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::VerticalInterpHistPdf*)
   {
      return GenerateInitInstanceLocal((::VerticalInterpHistPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::VerticalInterpHistPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdfBase_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void delete_FastVerticalInterpHistPdfBase(void *p);
   static void deleteArray_FastVerticalInterpHistPdfBase(void *p);
   static void destruct_FastVerticalInterpHistPdfBase(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdfBase*)
   {
      ::FastVerticalInterpHistPdfBase *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdfBase >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdfBase", ::FastVerticalInterpHistPdfBase::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 70,
                  typeid(::FastVerticalInterpHistPdfBase), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdfBase::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdfBase) );
      instance.SetDelete(&delete_FastVerticalInterpHistPdfBase);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdfBase);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdfBase);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdfBase*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdfBase*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdfBasecLcLMorph_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void FastVerticalInterpHistPdfBasecLcLMorph_Dictionary();
   static void *new_FastVerticalInterpHistPdfBasecLcLMorph(void *p = 0);
   static void *newArray_FastVerticalInterpHistPdfBasecLcLMorph(Long_t size, void *p);
   static void delete_FastVerticalInterpHistPdfBasecLcLMorph(void *p);
   static void deleteArray_FastVerticalInterpHistPdfBasecLcLMorph(void *p);
   static void destruct_FastVerticalInterpHistPdfBasecLcLMorph(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdfBase::Morph*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::FastVerticalInterpHistPdfBase::Morph) == sizeof(::ROOT::Shadow::FastVerticalInterpHistPdfBase::Morph));
      ::FastVerticalInterpHistPdfBase::Morph *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::FastVerticalInterpHistPdfBase::Morph),0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdfBase::Morph", "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 87,
                  typeid(::FastVerticalInterpHistPdfBase::Morph), DefineBehavior(ptr, ptr),
                  &FastVerticalInterpHistPdfBasecLcLMorph_ShowMembers, &FastVerticalInterpHistPdfBasecLcLMorph_Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdfBase::Morph) );
      instance.SetNew(&new_FastVerticalInterpHistPdfBasecLcLMorph);
      instance.SetNewArray(&newArray_FastVerticalInterpHistPdfBasecLcLMorph);
      instance.SetDelete(&delete_FastVerticalInterpHistPdfBasecLcLMorph);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdfBasecLcLMorph);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdfBasecLcLMorph);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdfBase::Morph*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdfBase::Morph*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase::Morph*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void FastVerticalInterpHistPdfBasecLcLMorph_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase::Morph*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdf2D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_FastVerticalInterpHistPdf2D(void *p = 0);
   static void *newArray_FastVerticalInterpHistPdf2D(Long_t size, void *p);
   static void delete_FastVerticalInterpHistPdf2D(void *p);
   static void deleteArray_FastVerticalInterpHistPdf2D(void *p);
   static void destruct_FastVerticalInterpHistPdf2D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdf2D*)
   {
      ::FastVerticalInterpHistPdf2D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdf2D >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdf2D", ::FastVerticalInterpHistPdf2D::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 183,
                  typeid(::FastVerticalInterpHistPdf2D), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdf2D::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdf2D) );
      instance.SetNew(&new_FastVerticalInterpHistPdf2D);
      instance.SetNewArray(&newArray_FastVerticalInterpHistPdf2D);
      instance.SetDelete(&delete_FastVerticalInterpHistPdf2D);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdf2D);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdf2D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdf2D*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdf2D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void FastVerticalInterpHistPdf3D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_FastVerticalInterpHistPdf3D(void *p = 0);
   static void *newArray_FastVerticalInterpHistPdf3D(Long_t size, void *p);
   static void delete_FastVerticalInterpHistPdf3D(void *p);
   static void deleteArray_FastVerticalInterpHistPdf3D(void *p);
   static void destruct_FastVerticalInterpHistPdf3D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::FastVerticalInterpHistPdf3D*)
   {
      ::FastVerticalInterpHistPdf3D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::FastVerticalInterpHistPdf3D >(0);
      static ::ROOT::TGenericClassInfo 
         instance("FastVerticalInterpHistPdf3D", ::FastVerticalInterpHistPdf3D::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/VerticalInterpHistPdf.h", 390,
                  typeid(::FastVerticalInterpHistPdf3D), DefineBehavior(ptr, ptr),
                  &::FastVerticalInterpHistPdf3D::Dictionary, isa_proxy, 4,
                  sizeof(::FastVerticalInterpHistPdf3D) );
      instance.SetNew(&new_FastVerticalInterpHistPdf3D);
      instance.SetNewArray(&newArray_FastVerticalInterpHistPdf3D);
      instance.SetDelete(&delete_FastVerticalInterpHistPdf3D);
      instance.SetDeleteArray(&deleteArray_FastVerticalInterpHistPdf3D);
      instance.SetDestructor(&destruct_FastVerticalInterpHistPdf3D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::FastVerticalInterpHistPdf3D*)
   {
      return GenerateInitInstanceLocal((::FastVerticalInterpHistPdf3D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf3D*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void AsymPow_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_AsymPow(void *p = 0);
   static void *newArray_AsymPow(Long_t size, void *p);
   static void delete_AsymPow(void *p);
   static void deleteArray_AsymPow(void *p);
   static void destruct_AsymPow(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::AsymPow*)
   {
      ::AsymPow *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::AsymPow >(0);
      static ::ROOT::TGenericClassInfo 
         instance("AsymPow", ::AsymPow::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/AsymPow.h", 22,
                  typeid(::AsymPow), DefineBehavior(ptr, ptr),
                  &::AsymPow::Dictionary, isa_proxy, 4,
                  sizeof(::AsymPow) );
      instance.SetNew(&new_AsymPow);
      instance.SetNewArray(&newArray_AsymPow);
      instance.SetDelete(&delete_AsymPow);
      instance.SetDeleteArray(&deleteArray_AsymPow);
      instance.SetDestructor(&destruct_AsymPow);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::AsymPow*)
   {
      return GenerateInitInstanceLocal((::AsymPow*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::AsymPow*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void CombDataSetFactory_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_CombDataSetFactory(void *p = 0);
   static void *newArray_CombDataSetFactory(Long_t size, void *p);
   static void delete_CombDataSetFactory(void *p);
   static void deleteArray_CombDataSetFactory(void *p);
   static void destruct_CombDataSetFactory(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::CombDataSetFactory*)
   {
      ::CombDataSetFactory *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::CombDataSetFactory >(0);
      static ::ROOT::TGenericClassInfo 
         instance("CombDataSetFactory", ::CombDataSetFactory::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/CombDataSetFactory.h", 20,
                  typeid(::CombDataSetFactory), DefineBehavior(ptr, ptr),
                  &::CombDataSetFactory::Dictionary, isa_proxy, 4,
                  sizeof(::CombDataSetFactory) );
      instance.SetNew(&new_CombDataSetFactory);
      instance.SetNewArray(&newArray_CombDataSetFactory);
      instance.SetDelete(&delete_CombDataSetFactory);
      instance.SetDeleteArray(&deleteArray_CombDataSetFactory);
      instance.SetDestructor(&destruct_CombDataSetFactory);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::CombDataSetFactory*)
   {
      return GenerateInitInstanceLocal((::CombDataSetFactory*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::CombDataSetFactory*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void TH1Keys_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_TH1Keys(void *p = 0);
   static void *newArray_TH1Keys(Long_t size, void *p);
   static void delete_TH1Keys(void *p);
   static void deleteArray_TH1Keys(void *p);
   static void destruct_TH1Keys(void *p);
   static void directoryAutoAdd_TH1Keys(void *obj, TDirectory *dir);
   static Long64_t merge_TH1Keys(void *obj, TCollection *coll,TFileMergeInfo *info);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::TH1Keys*)
   {
      ::TH1Keys *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::TH1Keys >(0);
      static ::ROOT::TGenericClassInfo 
         instance("TH1Keys", ::TH1Keys::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/TH1Keys.h", 10,
                  typeid(::TH1Keys), DefineBehavior(ptr, ptr),
                  &::TH1Keys::Dictionary, isa_proxy, 4,
                  sizeof(::TH1Keys) );
      instance.SetNew(&new_TH1Keys);
      instance.SetNewArray(&newArray_TH1Keys);
      instance.SetDelete(&delete_TH1Keys);
      instance.SetDeleteArray(&deleteArray_TH1Keys);
      instance.SetDestructor(&destruct_TH1Keys);
      instance.SetDirectoryAutoAdd(&directoryAutoAdd_TH1Keys);
      instance.SetMerge(&merge_TH1Keys);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::TH1Keys*)
   {
      return GenerateInitInstanceLocal((::TH1Keys*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::TH1Keys*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooSimultaneousOpt_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooSimultaneousOpt(void *p = 0);
   static void *newArray_RooSimultaneousOpt(Long_t size, void *p);
   static void delete_RooSimultaneousOpt(void *p);
   static void deleteArray_RooSimultaneousOpt(void *p);
   static void destruct_RooSimultaneousOpt(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooSimultaneousOpt*)
   {
      ::RooSimultaneousOpt *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooSimultaneousOpt >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooSimultaneousOpt", ::RooSimultaneousOpt::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooSimultaneousOpt.h", 9,
                  typeid(::RooSimultaneousOpt), DefineBehavior(ptr, ptr),
                  &::RooSimultaneousOpt::Dictionary, isa_proxy, 4,
                  sizeof(::RooSimultaneousOpt) );
      instance.SetNew(&new_RooSimultaneousOpt);
      instance.SetNewArray(&newArray_RooSimultaneousOpt);
      instance.SetDelete(&delete_RooSimultaneousOpt);
      instance.SetDeleteArray(&deleteArray_RooSimultaneousOpt);
      instance.SetDestructor(&destruct_RooSimultaneousOpt);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooSimultaneousOpt*)
   {
      return GenerateInitInstanceLocal((::RooSimultaneousOpt*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooSimultaneousOpt*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooqqZZPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooqqZZPdf(void *p = 0);
   static void *newArray_RooqqZZPdf(Long_t size, void *p);
   static void delete_RooqqZZPdf(void *p);
   static void deleteArray_RooqqZZPdf(void *p);
   static void destruct_RooqqZZPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooqqZZPdf*)
   {
      ::RooqqZZPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooqqZZPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooqqZZPdf", ::RooqqZZPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 42,
                  typeid(::RooqqZZPdf), DefineBehavior(ptr, ptr),
                  &::RooqqZZPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooqqZZPdf) );
      instance.SetNew(&new_RooqqZZPdf);
      instance.SetNewArray(&newArray_RooqqZZPdf);
      instance.SetDelete(&delete_RooqqZZPdf);
      instance.SetDeleteArray(&deleteArray_RooqqZZPdf);
      instance.SetDestructor(&destruct_RooqqZZPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooqqZZPdf*)
   {
      return GenerateInitInstanceLocal((::RooqqZZPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooqqZZPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooggZZPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooggZZPdf(void *p = 0);
   static void *newArray_RooggZZPdf(Long_t size, void *p);
   static void delete_RooggZZPdf(void *p);
   static void deleteArray_RooggZZPdf(void *p);
   static void destruct_RooggZZPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooggZZPdf*)
   {
      ::RooggZZPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooggZZPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooggZZPdf", ::RooggZZPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 78,
                  typeid(::RooggZZPdf), DefineBehavior(ptr, ptr),
                  &::RooggZZPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooggZZPdf) );
      instance.SetNew(&new_RooggZZPdf);
      instance.SetNewArray(&newArray_RooggZZPdf);
      instance.SetDelete(&delete_RooggZZPdf);
      instance.SetDeleteArray(&deleteArray_RooggZZPdf);
      instance.SetDestructor(&destruct_RooggZZPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooggZZPdf*)
   {
      return GenerateInitInstanceLocal((::RooggZZPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooggZZPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooqqZZPdf_v2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooqqZZPdf_v2(void *p = 0);
   static void *newArray_RooqqZZPdf_v2(Long_t size, void *p);
   static void delete_RooqqZZPdf_v2(void *p);
   static void deleteArray_RooqqZZPdf_v2(void *p);
   static void destruct_RooqqZZPdf_v2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooqqZZPdf_v2*)
   {
      ::RooqqZZPdf_v2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooqqZZPdf_v2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooqqZZPdf_v2", ::RooqqZZPdf_v2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 115,
                  typeid(::RooqqZZPdf_v2), DefineBehavior(ptr, ptr),
                  &::RooqqZZPdf_v2::Dictionary, isa_proxy, 4,
                  sizeof(::RooqqZZPdf_v2) );
      instance.SetNew(&new_RooqqZZPdf_v2);
      instance.SetNewArray(&newArray_RooqqZZPdf_v2);
      instance.SetDelete(&delete_RooqqZZPdf_v2);
      instance.SetDeleteArray(&deleteArray_RooqqZZPdf_v2);
      instance.SetDestructor(&destruct_RooqqZZPdf_v2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooqqZZPdf_v2*)
   {
      return GenerateInitInstanceLocal((::RooqqZZPdf_v2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooqqZZPdf_v2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooVBFZZPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooVBFZZPdf(void *p = 0);
   static void *newArray_RooVBFZZPdf(Long_t size, void *p);
   static void delete_RooVBFZZPdf(void *p);
   static void deleteArray_RooVBFZZPdf(void *p);
   static void destruct_RooVBFZZPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooVBFZZPdf*)
   {
      ::RooVBFZZPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooVBFZZPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooVBFZZPdf", ::RooVBFZZPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 170,
                  typeid(::RooVBFZZPdf), DefineBehavior(ptr, ptr),
                  &::RooVBFZZPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooVBFZZPdf) );
      instance.SetNew(&new_RooVBFZZPdf);
      instance.SetNewArray(&newArray_RooVBFZZPdf);
      instance.SetDelete(&delete_RooVBFZZPdf);
      instance.SetDeleteArray(&deleteArray_RooVBFZZPdf);
      instance.SetDestructor(&destruct_RooVBFZZPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooVBFZZPdf*)
   {
      return GenerateInitInstanceLocal((::RooVBFZZPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooVBFZZPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooVBFZZPdf_v2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooVBFZZPdf_v2(void *p = 0);
   static void *newArray_RooVBFZZPdf_v2(Long_t size, void *p);
   static void delete_RooVBFZZPdf_v2(void *p);
   static void deleteArray_RooVBFZZPdf_v2(void *p);
   static void destruct_RooVBFZZPdf_v2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooVBFZZPdf_v2*)
   {
      ::RooVBFZZPdf_v2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooVBFZZPdf_v2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooVBFZZPdf_v2", ::RooVBFZZPdf_v2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 231,
                  typeid(::RooVBFZZPdf_v2), DefineBehavior(ptr, ptr),
                  &::RooVBFZZPdf_v2::Dictionary, isa_proxy, 4,
                  sizeof(::RooVBFZZPdf_v2) );
      instance.SetNew(&new_RooVBFZZPdf_v2);
      instance.SetNewArray(&newArray_RooVBFZZPdf_v2);
      instance.SetDelete(&delete_RooVBFZZPdf_v2);
      instance.SetDeleteArray(&deleteArray_RooVBFZZPdf_v2);
      instance.SetDestructor(&destruct_RooVBFZZPdf_v2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooVBFZZPdf_v2*)
   {
      return GenerateInitInstanceLocal((::RooVBFZZPdf_v2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooVBFZZPdf_v2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooggZZPdf_v2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooggZZPdf_v2(void *p = 0);
   static void *newArray_RooggZZPdf_v2(Long_t size, void *p);
   static void delete_RooggZZPdf_v2(void *p);
   static void deleteArray_RooggZZPdf_v2(void *p);
   static void destruct_RooggZZPdf_v2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooggZZPdf_v2*)
   {
      ::RooggZZPdf_v2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooggZZPdf_v2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooggZZPdf_v2", ::RooggZZPdf_v2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 282,
                  typeid(::RooggZZPdf_v2), DefineBehavior(ptr, ptr),
                  &::RooggZZPdf_v2::Dictionary, isa_proxy, 4,
                  sizeof(::RooggZZPdf_v2) );
      instance.SetNew(&new_RooggZZPdf_v2);
      instance.SetNewArray(&newArray_RooggZZPdf_v2);
      instance.SetDelete(&delete_RooggZZPdf_v2);
      instance.SetDeleteArray(&deleteArray_RooggZZPdf_v2);
      instance.SetDestructor(&destruct_RooggZZPdf_v2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooggZZPdf_v2*)
   {
      return GenerateInitInstanceLocal((::RooggZZPdf_v2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooggZZPdf_v2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooBetaFunc_v2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooBetaFunc_v2(void *p = 0);
   static void *newArray_RooBetaFunc_v2(Long_t size, void *p);
   static void delete_RooBetaFunc_v2(void *p);
   static void deleteArray_RooBetaFunc_v2(void *p);
   static void destruct_RooBetaFunc_v2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBetaFunc_v2*)
   {
      ::RooBetaFunc_v2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBetaFunc_v2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBetaFunc_v2", ::RooBetaFunc_v2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 324,
                  typeid(::RooBetaFunc_v2), DefineBehavior(ptr, ptr),
                  &::RooBetaFunc_v2::Dictionary, isa_proxy, 4,
                  sizeof(::RooBetaFunc_v2) );
      instance.SetNew(&new_RooBetaFunc_v2);
      instance.SetNewArray(&newArray_RooBetaFunc_v2);
      instance.SetDelete(&delete_RooBetaFunc_v2);
      instance.SetDeleteArray(&deleteArray_RooBetaFunc_v2);
      instance.SetDestructor(&destruct_RooBetaFunc_v2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBetaFunc_v2*)
   {
      return GenerateInitInstanceLocal((::RooBetaFunc_v2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBetaFunc_v2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void Roo4lMasses2D_Bkg_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_Roo4lMasses2D_Bkg(void *p = 0);
   static void *newArray_Roo4lMasses2D_Bkg(Long_t size, void *p);
   static void delete_Roo4lMasses2D_Bkg(void *p);
   static void deleteArray_Roo4lMasses2D_Bkg(void *p);
   static void destruct_Roo4lMasses2D_Bkg(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::Roo4lMasses2D_Bkg*)
   {
      ::Roo4lMasses2D_Bkg *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::Roo4lMasses2D_Bkg >(0);
      static ::ROOT::TGenericClassInfo 
         instance("Roo4lMasses2D_Bkg", ::Roo4lMasses2D_Bkg::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 367,
                  typeid(::Roo4lMasses2D_Bkg), DefineBehavior(ptr, ptr),
                  &::Roo4lMasses2D_Bkg::Dictionary, isa_proxy, 4,
                  sizeof(::Roo4lMasses2D_Bkg) );
      instance.SetNew(&new_Roo4lMasses2D_Bkg);
      instance.SetNewArray(&newArray_Roo4lMasses2D_Bkg);
      instance.SetDelete(&delete_Roo4lMasses2D_Bkg);
      instance.SetDeleteArray(&deleteArray_Roo4lMasses2D_Bkg);
      instance.SetDestructor(&destruct_Roo4lMasses2D_Bkg);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::Roo4lMasses2D_Bkg*)
   {
      return GenerateInitInstanceLocal((::Roo4lMasses2D_Bkg*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::Roo4lMasses2D_Bkg*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void Roo4lMasses2D_BkgGGZZ_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_Roo4lMasses2D_BkgGGZZ(void *p = 0);
   static void *newArray_Roo4lMasses2D_BkgGGZZ(Long_t size, void *p);
   static void delete_Roo4lMasses2D_BkgGGZZ(void *p);
   static void deleteArray_Roo4lMasses2D_BkgGGZZ(void *p);
   static void destruct_Roo4lMasses2D_BkgGGZZ(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::Roo4lMasses2D_BkgGGZZ*)
   {
      ::Roo4lMasses2D_BkgGGZZ *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::Roo4lMasses2D_BkgGGZZ >(0);
      static ::ROOT::TGenericClassInfo 
         instance("Roo4lMasses2D_BkgGGZZ", ::Roo4lMasses2D_BkgGGZZ::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 394,
                  typeid(::Roo4lMasses2D_BkgGGZZ), DefineBehavior(ptr, ptr),
                  &::Roo4lMasses2D_BkgGGZZ::Dictionary, isa_proxy, 4,
                  sizeof(::Roo4lMasses2D_BkgGGZZ) );
      instance.SetNew(&new_Roo4lMasses2D_BkgGGZZ);
      instance.SetNewArray(&newArray_Roo4lMasses2D_BkgGGZZ);
      instance.SetDelete(&delete_Roo4lMasses2D_BkgGGZZ);
      instance.SetDeleteArray(&deleteArray_Roo4lMasses2D_BkgGGZZ);
      instance.SetDestructor(&destruct_Roo4lMasses2D_BkgGGZZ);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::Roo4lMasses2D_BkgGGZZ*)
   {
      return GenerateInitInstanceLocal((::Roo4lMasses2D_BkgGGZZ*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::Roo4lMasses2D_BkgGGZZ*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void Roo4lMasses2D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_Roo4lMasses2D(void *p = 0);
   static void *newArray_Roo4lMasses2D(Long_t size, void *p);
   static void delete_Roo4lMasses2D(void *p);
   static void deleteArray_Roo4lMasses2D(void *p);
   static void destruct_Roo4lMasses2D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::Roo4lMasses2D*)
   {
      ::Roo4lMasses2D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::Roo4lMasses2D >(0);
      static ::ROOT::TGenericClassInfo 
         instance("Roo4lMasses2D", ::Roo4lMasses2D::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 427,
                  typeid(::Roo4lMasses2D), DefineBehavior(ptr, ptr),
                  &::Roo4lMasses2D::Dictionary, isa_proxy, 4,
                  sizeof(::Roo4lMasses2D) );
      instance.SetNew(&new_Roo4lMasses2D);
      instance.SetNewArray(&newArray_Roo4lMasses2D);
      instance.SetDelete(&delete_Roo4lMasses2D);
      instance.SetDeleteArray(&deleteArray_Roo4lMasses2D);
      instance.SetDestructor(&destruct_Roo4lMasses2D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::Roo4lMasses2D*)
   {
      return GenerateInitInstanceLocal((::Roo4lMasses2D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::Roo4lMasses2D*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooFourMuMassShapePdf2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooFourMuMassShapePdf2(void *p = 0);
   static void *newArray_RooFourMuMassShapePdf2(Long_t size, void *p);
   static void delete_RooFourMuMassShapePdf2(void *p);
   static void deleteArray_RooFourMuMassShapePdf2(void *p);
   static void destruct_RooFourMuMassShapePdf2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooFourMuMassShapePdf2*)
   {
      ::RooFourMuMassShapePdf2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooFourMuMassShapePdf2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooFourMuMassShapePdf2", ::RooFourMuMassShapePdf2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 470,
                  typeid(::RooFourMuMassShapePdf2), DefineBehavior(ptr, ptr),
                  &::RooFourMuMassShapePdf2::Dictionary, isa_proxy, 4,
                  sizeof(::RooFourMuMassShapePdf2) );
      instance.SetNew(&new_RooFourMuMassShapePdf2);
      instance.SetNewArray(&newArray_RooFourMuMassShapePdf2);
      instance.SetDelete(&delete_RooFourMuMassShapePdf2);
      instance.SetDeleteArray(&deleteArray_RooFourMuMassShapePdf2);
      instance.SetDestructor(&destruct_RooFourMuMassShapePdf2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooFourMuMassShapePdf2*)
   {
      return GenerateInitInstanceLocal((::RooFourMuMassShapePdf2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooFourMuMassShapePdf2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooFourEMassShapePdf2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooFourEMassShapePdf2(void *p = 0);
   static void *newArray_RooFourEMassShapePdf2(Long_t size, void *p);
   static void delete_RooFourEMassShapePdf2(void *p);
   static void deleteArray_RooFourEMassShapePdf2(void *p);
   static void destruct_RooFourEMassShapePdf2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooFourEMassShapePdf2*)
   {
      ::RooFourEMassShapePdf2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooFourEMassShapePdf2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooFourEMassShapePdf2", ::RooFourEMassShapePdf2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 494,
                  typeid(::RooFourEMassShapePdf2), DefineBehavior(ptr, ptr),
                  &::RooFourEMassShapePdf2::Dictionary, isa_proxy, 4,
                  sizeof(::RooFourEMassShapePdf2) );
      instance.SetNew(&new_RooFourEMassShapePdf2);
      instance.SetNewArray(&newArray_RooFourEMassShapePdf2);
      instance.SetDelete(&delete_RooFourEMassShapePdf2);
      instance.SetDeleteArray(&deleteArray_RooFourEMassShapePdf2);
      instance.SetDestructor(&destruct_RooFourEMassShapePdf2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooFourEMassShapePdf2*)
   {
      return GenerateInitInstanceLocal((::RooFourEMassShapePdf2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooFourEMassShapePdf2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooTwoETwoMuMassShapePdf2_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooTwoETwoMuMassShapePdf2(void *p = 0);
   static void *newArray_RooTwoETwoMuMassShapePdf2(Long_t size, void *p);
   static void delete_RooTwoETwoMuMassShapePdf2(void *p);
   static void deleteArray_RooTwoETwoMuMassShapePdf2(void *p);
   static void destruct_RooTwoETwoMuMassShapePdf2(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooTwoETwoMuMassShapePdf2*)
   {
      ::RooTwoETwoMuMassShapePdf2 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooTwoETwoMuMassShapePdf2 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooTwoETwoMuMassShapePdf2", ::RooTwoETwoMuMassShapePdf2::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 519,
                  typeid(::RooTwoETwoMuMassShapePdf2), DefineBehavior(ptr, ptr),
                  &::RooTwoETwoMuMassShapePdf2::Dictionary, isa_proxy, 4,
                  sizeof(::RooTwoETwoMuMassShapePdf2) );
      instance.SetNew(&new_RooTwoETwoMuMassShapePdf2);
      instance.SetNewArray(&newArray_RooTwoETwoMuMassShapePdf2);
      instance.SetDelete(&delete_RooTwoETwoMuMassShapePdf2);
      instance.SetDeleteArray(&deleteArray_RooTwoETwoMuMassShapePdf2);
      instance.SetDestructor(&destruct_RooTwoETwoMuMassShapePdf2);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooTwoETwoMuMassShapePdf2*)
   {
      return GenerateInitInstanceLocal((::RooTwoETwoMuMassShapePdf2*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooTwoETwoMuMassShapePdf2*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooFourMuMassRes_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooFourMuMassRes(void *p = 0);
   static void *newArray_RooFourMuMassRes(Long_t size, void *p);
   static void delete_RooFourMuMassRes(void *p);
   static void deleteArray_RooFourMuMassRes(void *p);
   static void destruct_RooFourMuMassRes(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooFourMuMassRes*)
   {
      ::RooFourMuMassRes *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooFourMuMassRes >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooFourMuMassRes", ::RooFourMuMassRes::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 543,
                  typeid(::RooFourMuMassRes), DefineBehavior(ptr, ptr),
                  &::RooFourMuMassRes::Dictionary, isa_proxy, 4,
                  sizeof(::RooFourMuMassRes) );
      instance.SetNew(&new_RooFourMuMassRes);
      instance.SetNewArray(&newArray_RooFourMuMassRes);
      instance.SetDelete(&delete_RooFourMuMassRes);
      instance.SetDeleteArray(&deleteArray_RooFourMuMassRes);
      instance.SetDestructor(&destruct_RooFourMuMassRes);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooFourMuMassRes*)
   {
      return GenerateInitInstanceLocal((::RooFourMuMassRes*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooFourMuMassRes*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooFourEMassRes_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooFourEMassRes(void *p = 0);
   static void *newArray_RooFourEMassRes(Long_t size, void *p);
   static void delete_RooFourEMassRes(void *p);
   static void deleteArray_RooFourEMassRes(void *p);
   static void destruct_RooFourEMassRes(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooFourEMassRes*)
   {
      ::RooFourEMassRes *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooFourEMassRes >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooFourEMassRes", ::RooFourEMassRes::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 565,
                  typeid(::RooFourEMassRes), DefineBehavior(ptr, ptr),
                  &::RooFourEMassRes::Dictionary, isa_proxy, 4,
                  sizeof(::RooFourEMassRes) );
      instance.SetNew(&new_RooFourEMassRes);
      instance.SetNewArray(&newArray_RooFourEMassRes);
      instance.SetDelete(&delete_RooFourEMassRes);
      instance.SetDeleteArray(&deleteArray_RooFourEMassRes);
      instance.SetDestructor(&destruct_RooFourEMassRes);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooFourEMassRes*)
   {
      return GenerateInitInstanceLocal((::RooFourEMassRes*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooFourEMassRes*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooTwoETwoMuMassRes_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooTwoETwoMuMassRes(void *p = 0);
   static void *newArray_RooTwoETwoMuMassRes(Long_t size, void *p);
   static void delete_RooTwoETwoMuMassRes(void *p);
   static void deleteArray_RooTwoETwoMuMassRes(void *p);
   static void destruct_RooTwoETwoMuMassRes(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooTwoETwoMuMassRes*)
   {
      ::RooTwoETwoMuMassRes *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooTwoETwoMuMassRes >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooTwoETwoMuMassRes", ::RooTwoETwoMuMassRes::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 588,
                  typeid(::RooTwoETwoMuMassRes), DefineBehavior(ptr, ptr),
                  &::RooTwoETwoMuMassRes::Dictionary, isa_proxy, 4,
                  sizeof(::RooTwoETwoMuMassRes) );
      instance.SetNew(&new_RooTwoETwoMuMassRes);
      instance.SetNewArray(&newArray_RooTwoETwoMuMassRes);
      instance.SetDelete(&delete_RooTwoETwoMuMassRes);
      instance.SetDeleteArray(&deleteArray_RooTwoETwoMuMassRes);
      instance.SetDestructor(&destruct_RooTwoETwoMuMassRes);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooTwoETwoMuMassRes*)
   {
      return GenerateInitInstanceLocal((::RooTwoETwoMuMassRes*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooTwoETwoMuMassRes*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBW1_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBW1(void *p = 0);
   static void *newArray_RooRelBW1(Long_t size, void *p);
   static void delete_RooRelBW1(void *p);
   static void deleteArray_RooRelBW1(void *p);
   static void destruct_RooRelBW1(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBW1*)
   {
      ::RooRelBW1 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBW1 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBW1", ::RooRelBW1::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 611,
                  typeid(::RooRelBW1), DefineBehavior(ptr, ptr),
                  &::RooRelBW1::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBW1) );
      instance.SetNew(&new_RooRelBW1);
      instance.SetNewArray(&newArray_RooRelBW1);
      instance.SetDelete(&delete_RooRelBW1);
      instance.SetDeleteArray(&deleteArray_RooRelBW1);
      instance.SetDestructor(&destruct_RooRelBW1);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBW1*)
   {
      return GenerateInitInstanceLocal((::RooRelBW1*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBW1*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBWUF_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBWUF(void *p = 0);
   static void *newArray_RooRelBWUF(Long_t size, void *p);
   static void delete_RooRelBWUF(void *p);
   static void deleteArray_RooRelBWUF(void *p);
   static void destruct_RooRelBWUF(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBWUF*)
   {
      ::RooRelBWUF *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBWUF >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBWUF", ::RooRelBWUF::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 637,
                  typeid(::RooRelBWUF), DefineBehavior(ptr, ptr),
                  &::RooRelBWUF::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBWUF) );
      instance.SetNew(&new_RooRelBWUF);
      instance.SetNewArray(&newArray_RooRelBWUF);
      instance.SetDelete(&delete_RooRelBWUF);
      instance.SetDeleteArray(&deleteArray_RooRelBWUF);
      instance.SetDestructor(&destruct_RooRelBWUF);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBWUF*)
   {
      return GenerateInitInstanceLocal((::RooRelBWUF*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBWUF*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBWUF_SM4_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBWUF_SM4(void *p = 0);
   static void *newArray_RooRelBWUF_SM4(Long_t size, void *p);
   static void delete_RooRelBWUF_SM4(void *p);
   static void deleteArray_RooRelBWUF_SM4(void *p);
   static void destruct_RooRelBWUF_SM4(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBWUF_SM4*)
   {
      ::RooRelBWUF_SM4 *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBWUF_SM4 >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBWUF_SM4", ::RooRelBWUF_SM4::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 662,
                  typeid(::RooRelBWUF_SM4), DefineBehavior(ptr, ptr),
                  &::RooRelBWUF_SM4::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBWUF_SM4) );
      instance.SetNew(&new_RooRelBWUF_SM4);
      instance.SetNewArray(&newArray_RooRelBWUF_SM4);
      instance.SetDelete(&delete_RooRelBWUF_SM4);
      instance.SetDeleteArray(&deleteArray_RooRelBWUF_SM4);
      instance.SetDestructor(&destruct_RooRelBWUF_SM4);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBWUF_SM4*)
   {
      return GenerateInitInstanceLocal((::RooRelBWUF_SM4*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBWUF_SM4*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBWUFParamWidth_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBWUFParamWidth(void *p = 0);
   static void *newArray_RooRelBWUFParamWidth(Long_t size, void *p);
   static void delete_RooRelBWUFParamWidth(void *p);
   static void deleteArray_RooRelBWUFParamWidth(void *p);
   static void destruct_RooRelBWUFParamWidth(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBWUFParamWidth*)
   {
      ::RooRelBWUFParamWidth *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBWUFParamWidth >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBWUFParamWidth", ::RooRelBWUFParamWidth::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 687,
                  typeid(::RooRelBWUFParamWidth), DefineBehavior(ptr, ptr),
                  &::RooRelBWUFParamWidth::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBWUFParamWidth) );
      instance.SetNew(&new_RooRelBWUFParamWidth);
      instance.SetNewArray(&newArray_RooRelBWUFParamWidth);
      instance.SetDelete(&delete_RooRelBWUFParamWidth);
      instance.SetDeleteArray(&deleteArray_RooRelBWUFParamWidth);
      instance.SetDestructor(&destruct_RooRelBWUFParamWidth);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBWUFParamWidth*)
   {
      return GenerateInitInstanceLocal((::RooRelBWUFParamWidth*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBWUFParamWidth*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBWUFParam_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBWUFParam(void *p = 0);
   static void *newArray_RooRelBWUFParam(Long_t size, void *p);
   static void delete_RooRelBWUFParam(void *p);
   static void deleteArray_RooRelBWUFParam(void *p);
   static void destruct_RooRelBWUFParam(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBWUFParam*)
   {
      ::RooRelBWUFParam *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBWUFParam >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBWUFParam", ::RooRelBWUFParam::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 712,
                  typeid(::RooRelBWUFParam), DefineBehavior(ptr, ptr),
                  &::RooRelBWUFParam::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBWUFParam) );
      instance.SetNew(&new_RooRelBWUFParam);
      instance.SetNewArray(&newArray_RooRelBWUFParam);
      instance.SetDelete(&delete_RooRelBWUFParam);
      instance.SetDeleteArray(&deleteArray_RooRelBWUFParam);
      instance.SetDestructor(&destruct_RooRelBWUFParam);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBWUFParam*)
   {
      return GenerateInitInstanceLocal((::RooRelBWUFParam*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBWUFParam*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBWHighMass_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBWHighMass(void *p = 0);
   static void *newArray_RooRelBWHighMass(Long_t size, void *p);
   static void delete_RooRelBWHighMass(void *p);
   static void deleteArray_RooRelBWHighMass(void *p);
   static void destruct_RooRelBWHighMass(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBWHighMass*)
   {
      ::RooRelBWHighMass *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBWHighMass >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBWHighMass", ::RooRelBWHighMass::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 741,
                  typeid(::RooRelBWHighMass), DefineBehavior(ptr, ptr),
                  &::RooRelBWHighMass::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBWHighMass) );
      instance.SetNew(&new_RooRelBWHighMass);
      instance.SetNewArray(&newArray_RooRelBWHighMass);
      instance.SetDelete(&delete_RooRelBWHighMass);
      instance.SetDeleteArray(&deleteArray_RooRelBWHighMass);
      instance.SetDestructor(&destruct_RooRelBWHighMass);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBWHighMass*)
   {
      return GenerateInitInstanceLocal((::RooRelBWHighMass*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBWHighMass*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooTsallis_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooTsallis(void *p = 0);
   static void *newArray_RooTsallis(Long_t size, void *p);
   static void delete_RooTsallis(void *p);
   static void deleteArray_RooTsallis(void *p);
   static void destruct_RooTsallis(void *p);
   static void streamer_RooTsallis(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooTsallis*)
   {
      ::RooTsallis *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooTsallis >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooTsallis", ::RooTsallis::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 767,
                  typeid(::RooTsallis), DefineBehavior(ptr, ptr),
                  &::RooTsallis::Dictionary, isa_proxy, 0,
                  sizeof(::RooTsallis) );
      instance.SetNew(&new_RooTsallis);
      instance.SetNewArray(&newArray_RooTsallis);
      instance.SetDelete(&delete_RooTsallis);
      instance.SetDeleteArray(&deleteArray_RooTsallis);
      instance.SetDestructor(&destruct_RooTsallis);
      instance.SetStreamerFunc(&streamer_RooTsallis);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooTsallis*)
   {
      return GenerateInitInstanceLocal((::RooTsallis*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooTsallis*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooaDoubleCBxBW_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooaDoubleCBxBW(void *p = 0);
   static void *newArray_RooaDoubleCBxBW(Long_t size, void *p);
   static void delete_RooaDoubleCBxBW(void *p);
   static void deleteArray_RooaDoubleCBxBW(void *p);
   static void destruct_RooaDoubleCBxBW(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooaDoubleCBxBW*)
   {
      ::RooaDoubleCBxBW *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooaDoubleCBxBW >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooaDoubleCBxBW", ::RooaDoubleCBxBW::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 808,
                  typeid(::RooaDoubleCBxBW), DefineBehavior(ptr, ptr),
                  &::RooaDoubleCBxBW::Dictionary, isa_proxy, 4,
                  sizeof(::RooaDoubleCBxBW) );
      instance.SetNew(&new_RooaDoubleCBxBW);
      instance.SetNewArray(&newArray_RooaDoubleCBxBW);
      instance.SetDelete(&delete_RooaDoubleCBxBW);
      instance.SetDeleteArray(&deleteArray_RooaDoubleCBxBW);
      instance.SetDestructor(&destruct_RooaDoubleCBxBW);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooaDoubleCBxBW*)
   {
      return GenerateInitInstanceLocal((::RooaDoubleCBxBW*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooaDoubleCBxBW*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooCPSHighMassGGH_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooCPSHighMassGGH(void *p = 0);
   static void *newArray_RooCPSHighMassGGH(Long_t size, void *p);
   static void delete_RooCPSHighMassGGH(void *p);
   static void deleteArray_RooCPSHighMassGGH(void *p);
   static void destruct_RooCPSHighMassGGH(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooCPSHighMassGGH*)
   {
      ::RooCPSHighMassGGH *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooCPSHighMassGGH >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooCPSHighMassGGH", ::RooCPSHighMassGGH::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 860,
                  typeid(::RooCPSHighMassGGH), DefineBehavior(ptr, ptr),
                  &::RooCPSHighMassGGH::Dictionary, isa_proxy, 4,
                  sizeof(::RooCPSHighMassGGH) );
      instance.SetNew(&new_RooCPSHighMassGGH);
      instance.SetNewArray(&newArray_RooCPSHighMassGGH);
      instance.SetDelete(&delete_RooCPSHighMassGGH);
      instance.SetDeleteArray(&deleteArray_RooCPSHighMassGGH);
      instance.SetDestructor(&destruct_RooCPSHighMassGGH);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooCPSHighMassGGH*)
   {
      return GenerateInitInstanceLocal((::RooCPSHighMassGGH*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooCPSHighMassGGH*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooBWHighMassGGH_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooBWHighMassGGH(void *p = 0);
   static void *newArray_RooBWHighMassGGH(Long_t size, void *p);
   static void delete_RooBWHighMassGGH(void *p);
   static void deleteArray_RooBWHighMassGGH(void *p);
   static void destruct_RooBWHighMassGGH(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBWHighMassGGH*)
   {
      ::RooBWHighMassGGH *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBWHighMassGGH >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBWHighMassGGH", ::RooBWHighMassGGH::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 912,
                  typeid(::RooBWHighMassGGH), DefineBehavior(ptr, ptr),
                  &::RooBWHighMassGGH::Dictionary, isa_proxy, 4,
                  sizeof(::RooBWHighMassGGH) );
      instance.SetNew(&new_RooBWHighMassGGH);
      instance.SetNewArray(&newArray_RooBWHighMassGGH);
      instance.SetDelete(&delete_RooBWHighMassGGH);
      instance.SetDeleteArray(&deleteArray_RooBWHighMassGGH);
      instance.SetDestructor(&destruct_RooBWHighMassGGH);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBWHighMassGGH*)
   {
      return GenerateInitInstanceLocal((::RooBWHighMassGGH*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBWHighMassGGH*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooCPSHighMassGGHNoInterf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooCPSHighMassGGHNoInterf(void *p = 0);
   static void *newArray_RooCPSHighMassGGHNoInterf(Long_t size, void *p);
   static void delete_RooCPSHighMassGGHNoInterf(void *p);
   static void deleteArray_RooCPSHighMassGGHNoInterf(void *p);
   static void destruct_RooCPSHighMassGGHNoInterf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooCPSHighMassGGHNoInterf*)
   {
      ::RooCPSHighMassGGHNoInterf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooCPSHighMassGGHNoInterf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooCPSHighMassGGHNoInterf", ::RooCPSHighMassGGHNoInterf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 962,
                  typeid(::RooCPSHighMassGGHNoInterf), DefineBehavior(ptr, ptr),
                  &::RooCPSHighMassGGHNoInterf::Dictionary, isa_proxy, 4,
                  sizeof(::RooCPSHighMassGGHNoInterf) );
      instance.SetNew(&new_RooCPSHighMassGGHNoInterf);
      instance.SetNewArray(&newArray_RooCPSHighMassGGHNoInterf);
      instance.SetDelete(&delete_RooCPSHighMassGGHNoInterf);
      instance.SetDeleteArray(&deleteArray_RooCPSHighMassGGHNoInterf);
      instance.SetDestructor(&destruct_RooCPSHighMassGGHNoInterf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooCPSHighMassGGHNoInterf*)
   {
      return GenerateInitInstanceLocal((::RooCPSHighMassGGHNoInterf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooCPSHighMassGGHNoInterf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooCPSHighMassVBF_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooCPSHighMassVBF(void *p = 0);
   static void *newArray_RooCPSHighMassVBF(Long_t size, void *p);
   static void delete_RooCPSHighMassVBF(void *p);
   static void deleteArray_RooCPSHighMassVBF(void *p);
   static void destruct_RooCPSHighMassVBF(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooCPSHighMassVBF*)
   {
      ::RooCPSHighMassVBF *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooCPSHighMassVBF >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooCPSHighMassVBF", ::RooCPSHighMassVBF::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 1005,
                  typeid(::RooCPSHighMassVBF), DefineBehavior(ptr, ptr),
                  &::RooCPSHighMassVBF::Dictionary, isa_proxy, 4,
                  sizeof(::RooCPSHighMassVBF) );
      instance.SetNew(&new_RooCPSHighMassVBF);
      instance.SetNewArray(&newArray_RooCPSHighMassVBF);
      instance.SetDelete(&delete_RooCPSHighMassVBF);
      instance.SetDeleteArray(&deleteArray_RooCPSHighMassVBF);
      instance.SetDestructor(&destruct_RooCPSHighMassVBF);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooCPSHighMassVBF*)
   {
      return GenerateInitInstanceLocal((::RooCPSHighMassVBF*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooCPSHighMassVBF*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooCPSHighMassVBFNoInterf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooCPSHighMassVBFNoInterf(void *p = 0);
   static void *newArray_RooCPSHighMassVBFNoInterf(Long_t size, void *p);
   static void delete_RooCPSHighMassVBFNoInterf(void *p);
   static void deleteArray_RooCPSHighMassVBFNoInterf(void *p);
   static void destruct_RooCPSHighMassVBFNoInterf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooCPSHighMassVBFNoInterf*)
   {
      ::RooCPSHighMassVBFNoInterf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooCPSHighMassVBFNoInterf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooCPSHighMassVBFNoInterf", ::RooCPSHighMassVBFNoInterf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 1056,
                  typeid(::RooCPSHighMassVBFNoInterf), DefineBehavior(ptr, ptr),
                  &::RooCPSHighMassVBFNoInterf::Dictionary, isa_proxy, 4,
                  sizeof(::RooCPSHighMassVBFNoInterf) );
      instance.SetNew(&new_RooCPSHighMassVBFNoInterf);
      instance.SetNewArray(&newArray_RooCPSHighMassVBFNoInterf);
      instance.SetDelete(&delete_RooCPSHighMassVBFNoInterf);
      instance.SetDeleteArray(&deleteArray_RooCPSHighMassVBFNoInterf);
      instance.SetDestructor(&destruct_RooCPSHighMassVBFNoInterf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooCPSHighMassVBFNoInterf*)
   {
      return GenerateInitInstanceLocal((::RooCPSHighMassVBFNoInterf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooCPSHighMassVBFNoInterf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooSigPlusInt_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooSigPlusInt(void *p = 0);
   static void *newArray_RooSigPlusInt(Long_t size, void *p);
   static void delete_RooSigPlusInt(void *p);
   static void deleteArray_RooSigPlusInt(void *p);
   static void destruct_RooSigPlusInt(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooSigPlusInt*)
   {
      ::RooSigPlusInt *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooSigPlusInt >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooSigPlusInt", ::RooSigPlusInt::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4LRooPdfs.h", 1097,
                  typeid(::RooSigPlusInt), DefineBehavior(ptr, ptr),
                  &::RooSigPlusInt::Dictionary, isa_proxy, 4,
                  sizeof(::RooSigPlusInt) );
      instance.SetNew(&new_RooSigPlusInt);
      instance.SetNewArray(&newArray_RooSigPlusInt);
      instance.SetDelete(&delete_RooSigPlusInt);
      instance.SetDeleteArray(&deleteArray_RooSigPlusInt);
      instance.SetDestructor(&destruct_RooSigPlusInt);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooSigPlusInt*)
   {
      return GenerateInitInstanceLocal((::RooSigPlusInt*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooSigPlusInt*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooErfExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooErfExpPdf(void *p = 0);
   static void *newArray_RooErfExpPdf(Long_t size, void *p);
   static void delete_RooErfExpPdf(void *p);
   static void deleteArray_RooErfExpPdf(void *p);
   static void destruct_RooErfExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooErfExpPdf*)
   {
      ::RooErfExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooErfExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooErfExpPdf", ::RooErfExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 20,
                  typeid(::RooErfExpPdf), DefineBehavior(ptr, ptr),
                  &::RooErfExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooErfExpPdf) );
      instance.SetNew(&new_RooErfExpPdf);
      instance.SetNewArray(&newArray_RooErfExpPdf);
      instance.SetDelete(&delete_RooErfExpPdf);
      instance.SetDeleteArray(&deleteArray_RooErfExpPdf);
      instance.SetDestructor(&destruct_RooErfExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooErfExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooErfExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooErfExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha(void *p = 0);
   static void *newArray_RooAlpha(Long_t size, void *p);
   static void delete_RooAlpha(void *p);
   static void deleteArray_RooAlpha(void *p);
   static void destruct_RooAlpha(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha*)
   {
      ::RooAlpha *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha", ::RooAlpha::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 55,
                  typeid(::RooAlpha), DefineBehavior(ptr, ptr),
                  &::RooAlpha::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha) );
      instance.SetNew(&new_RooAlpha);
      instance.SetNewArray(&newArray_RooAlpha);
      instance.SetDelete(&delete_RooAlpha);
      instance.SetDeleteArray(&deleteArray_RooAlpha);
      instance.SetDestructor(&destruct_RooAlpha);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha*)
   {
      return GenerateInitInstanceLocal((::RooAlpha*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlphaExp_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlphaExp(void *p = 0);
   static void *newArray_RooAlphaExp(Long_t size, void *p);
   static void delete_RooAlphaExp(void *p);
   static void deleteArray_RooAlphaExp(void *p);
   static void destruct_RooAlphaExp(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlphaExp*)
   {
      ::RooAlphaExp *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlphaExp >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlphaExp", ::RooAlphaExp::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 97,
                  typeid(::RooAlphaExp), DefineBehavior(ptr, ptr),
                  &::RooAlphaExp::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlphaExp) );
      instance.SetNew(&new_RooAlphaExp);
      instance.SetNewArray(&newArray_RooAlphaExp);
      instance.SetDelete(&delete_RooAlphaExp);
      instance.SetDeleteArray(&deleteArray_RooAlphaExp);
      instance.SetDestructor(&destruct_RooAlphaExp);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlphaExp*)
   {
      return GenerateInitInstanceLocal((::RooAlphaExp*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlphaExp*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooBWRunPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooBWRunPdf(void *p = 0);
   static void *newArray_RooBWRunPdf(Long_t size, void *p);
   static void delete_RooBWRunPdf(void *p);
   static void deleteArray_RooBWRunPdf(void *p);
   static void destruct_RooBWRunPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBWRunPdf*)
   {
      ::RooBWRunPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBWRunPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBWRunPdf", ::RooBWRunPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 130,
                  typeid(::RooBWRunPdf), DefineBehavior(ptr, ptr),
                  &::RooBWRunPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooBWRunPdf) );
      instance.SetNew(&new_RooBWRunPdf);
      instance.SetNewArray(&newArray_RooBWRunPdf);
      instance.SetDelete(&delete_RooBWRunPdf);
      instance.SetDeleteArray(&deleteArray_RooBWRunPdf);
      instance.SetDestructor(&destruct_RooBWRunPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBWRunPdf*)
   {
      return GenerateInitInstanceLocal((::RooBWRunPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBWRunPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooErfPow2Pdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooErfPow2Pdf(void *p = 0);
   static void *newArray_RooErfPow2Pdf(Long_t size, void *p);
   static void delete_RooErfPow2Pdf(void *p);
   static void deleteArray_RooErfPow2Pdf(void *p);
   static void destruct_RooErfPow2Pdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooErfPow2Pdf*)
   {
      ::RooErfPow2Pdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooErfPow2Pdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooErfPow2Pdf", ::RooErfPow2Pdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 161,
                  typeid(::RooErfPow2Pdf), DefineBehavior(ptr, ptr),
                  &::RooErfPow2Pdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooErfPow2Pdf) );
      instance.SetNew(&new_RooErfPow2Pdf);
      instance.SetNewArray(&newArray_RooErfPow2Pdf);
      instance.SetDelete(&delete_RooErfPow2Pdf);
      instance.SetDeleteArray(&deleteArray_RooErfPow2Pdf);
      instance.SetDestructor(&destruct_RooErfPow2Pdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooErfPow2Pdf*)
   {
      return GenerateInitInstanceLocal((::RooErfPow2Pdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooErfPow2Pdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha4ErfPow2Pdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha4ErfPow2Pdf(void *p = 0);
   static void *newArray_RooAlpha4ErfPow2Pdf(Long_t size, void *p);
   static void delete_RooAlpha4ErfPow2Pdf(void *p);
   static void deleteArray_RooAlpha4ErfPow2Pdf(void *p);
   static void destruct_RooAlpha4ErfPow2Pdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha4ErfPow2Pdf*)
   {
      ::RooAlpha4ErfPow2Pdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha4ErfPow2Pdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha4ErfPow2Pdf", ::RooAlpha4ErfPow2Pdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 195,
                  typeid(::RooAlpha4ErfPow2Pdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha4ErfPow2Pdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha4ErfPow2Pdf) );
      instance.SetNew(&new_RooAlpha4ErfPow2Pdf);
      instance.SetNewArray(&newArray_RooAlpha4ErfPow2Pdf);
      instance.SetDelete(&delete_RooAlpha4ErfPow2Pdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha4ErfPow2Pdf);
      instance.SetDestructor(&destruct_RooAlpha4ErfPow2Pdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha4ErfPow2Pdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha4ErfPow2Pdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha4ErfPow2Pdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooErfPowExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooErfPowExpPdf(void *p = 0);
   static void *newArray_RooErfPowExpPdf(Long_t size, void *p);
   static void delete_RooErfPowExpPdf(void *p);
   static void deleteArray_RooErfPowExpPdf(void *p);
   static void destruct_RooErfPowExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooErfPowExpPdf*)
   {
      ::RooErfPowExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooErfPowExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooErfPowExpPdf", ::RooErfPowExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 241,
                  typeid(::RooErfPowExpPdf), DefineBehavior(ptr, ptr),
                  &::RooErfPowExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooErfPowExpPdf) );
      instance.SetNew(&new_RooErfPowExpPdf);
      instance.SetNewArray(&newArray_RooErfPowExpPdf);
      instance.SetDelete(&delete_RooErfPowExpPdf);
      instance.SetDeleteArray(&deleteArray_RooErfPowExpPdf);
      instance.SetDestructor(&destruct_RooErfPowExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooErfPowExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooErfPowExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooErfPowExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha4ErfPowExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha4ErfPowExpPdf(void *p = 0);
   static void *newArray_RooAlpha4ErfPowExpPdf(Long_t size, void *p);
   static void delete_RooAlpha4ErfPowExpPdf(void *p);
   static void deleteArray_RooAlpha4ErfPowExpPdf(void *p);
   static void destruct_RooAlpha4ErfPowExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha4ErfPowExpPdf*)
   {
      ::RooAlpha4ErfPowExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha4ErfPowExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha4ErfPowExpPdf", ::RooAlpha4ErfPowExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 275,
                  typeid(::RooAlpha4ErfPowExpPdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha4ErfPowExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha4ErfPowExpPdf) );
      instance.SetNew(&new_RooAlpha4ErfPowExpPdf);
      instance.SetNewArray(&newArray_RooAlpha4ErfPowExpPdf);
      instance.SetDelete(&delete_RooAlpha4ErfPowExpPdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha4ErfPowExpPdf);
      instance.SetDestructor(&destruct_RooAlpha4ErfPowExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha4ErfPowExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha4ErfPowExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha4ErfPowExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooGausExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooGausExpPdf(void *p = 0);
   static void *newArray_RooGausExpPdf(Long_t size, void *p);
   static void delete_RooGausExpPdf(void *p);
   static void deleteArray_RooGausExpPdf(void *p);
   static void destruct_RooGausExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooGausExpPdf*)
   {
      ::RooGausExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooGausExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooGausExpPdf", ::RooGausExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 319,
                  typeid(::RooGausExpPdf), DefineBehavior(ptr, ptr),
                  &::RooGausExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooGausExpPdf) );
      instance.SetNew(&new_RooGausExpPdf);
      instance.SetNewArray(&newArray_RooGausExpPdf);
      instance.SetDelete(&delete_RooGausExpPdf);
      instance.SetDeleteArray(&deleteArray_RooGausExpPdf);
      instance.SetDestructor(&destruct_RooGausExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooGausExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooGausExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooGausExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha4GausExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha4GausExpPdf(void *p = 0);
   static void *newArray_RooAlpha4GausExpPdf(Long_t size, void *p);
   static void delete_RooAlpha4GausExpPdf(void *p);
   static void deleteArray_RooAlpha4GausExpPdf(void *p);
   static void destruct_RooAlpha4GausExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha4GausExpPdf*)
   {
      ::RooAlpha4GausExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha4GausExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha4GausExpPdf", ::RooAlpha4GausExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 351,
                  typeid(::RooAlpha4GausExpPdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha4GausExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha4GausExpPdf) );
      instance.SetNew(&new_RooAlpha4GausExpPdf);
      instance.SetNewArray(&newArray_RooAlpha4GausExpPdf);
      instance.SetDelete(&delete_RooAlpha4GausExpPdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha4GausExpPdf);
      instance.SetDestructor(&destruct_RooAlpha4GausExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha4GausExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha4GausExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha4GausExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooErfPowPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooErfPowPdf(void *p = 0);
   static void *newArray_RooErfPowPdf(Long_t size, void *p);
   static void delete_RooErfPowPdf(void *p);
   static void deleteArray_RooErfPowPdf(void *p);
   static void destruct_RooErfPowPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooErfPowPdf*)
   {
      ::RooErfPowPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooErfPowPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooErfPowPdf", ::RooErfPowPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 392,
                  typeid(::RooErfPowPdf), DefineBehavior(ptr, ptr),
                  &::RooErfPowPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooErfPowPdf) );
      instance.SetNew(&new_RooErfPowPdf);
      instance.SetNewArray(&newArray_RooErfPowPdf);
      instance.SetDelete(&delete_RooErfPowPdf);
      instance.SetDeleteArray(&deleteArray_RooErfPowPdf);
      instance.SetDestructor(&destruct_RooErfPowPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooErfPowPdf*)
   {
      return GenerateInitInstanceLocal((::RooErfPowPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooErfPowPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha4ErfPowPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha4ErfPowPdf(void *p = 0);
   static void *newArray_RooAlpha4ErfPowPdf(Long_t size, void *p);
   static void delete_RooAlpha4ErfPowPdf(void *p);
   static void deleteArray_RooAlpha4ErfPowPdf(void *p);
   static void destruct_RooAlpha4ErfPowPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha4ErfPowPdf*)
   {
      ::RooAlpha4ErfPowPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha4ErfPowPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha4ErfPowPdf", ::RooAlpha4ErfPowPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 423,
                  typeid(::RooAlpha4ErfPowPdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha4ErfPowPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha4ErfPowPdf) );
      instance.SetNew(&new_RooAlpha4ErfPowPdf);
      instance.SetNewArray(&newArray_RooAlpha4ErfPowPdf);
      instance.SetDelete(&delete_RooAlpha4ErfPowPdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha4ErfPowPdf);
      instance.SetDestructor(&destruct_RooAlpha4ErfPowPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha4ErfPowPdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha4ErfPowPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha4ErfPowPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooPow2Pdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooPow2Pdf(void *p = 0);
   static void *newArray_RooPow2Pdf(Long_t size, void *p);
   static void delete_RooPow2Pdf(void *p);
   static void deleteArray_RooPow2Pdf(void *p);
   static void destruct_RooPow2Pdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooPow2Pdf*)
   {
      ::RooPow2Pdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooPow2Pdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooPow2Pdf", ::RooPow2Pdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 460,
                  typeid(::RooPow2Pdf), DefineBehavior(ptr, ptr),
                  &::RooPow2Pdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooPow2Pdf) );
      instance.SetNew(&new_RooPow2Pdf);
      instance.SetNewArray(&newArray_RooPow2Pdf);
      instance.SetDelete(&delete_RooPow2Pdf);
      instance.SetDeleteArray(&deleteArray_RooPow2Pdf);
      instance.SetDestructor(&destruct_RooPow2Pdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooPow2Pdf*)
   {
      return GenerateInitInstanceLocal((::RooPow2Pdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooPow2Pdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooPowPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooPowPdf(void *p = 0);
   static void *newArray_RooPowPdf(Long_t size, void *p);
   static void delete_RooPowPdf(void *p);
   static void deleteArray_RooPowPdf(void *p);
   static void destruct_RooPowPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooPowPdf*)
   {
      ::RooPowPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooPowPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooPowPdf", ::RooPowPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 489,
                  typeid(::RooPowPdf), DefineBehavior(ptr, ptr),
                  &::RooPowPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooPowPdf) );
      instance.SetNew(&new_RooPowPdf);
      instance.SetNewArray(&newArray_RooPowPdf);
      instance.SetDelete(&delete_RooPowPdf);
      instance.SetDeleteArray(&deleteArray_RooPowPdf);
      instance.SetDestructor(&destruct_RooPowPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooPowPdf*)
   {
      return GenerateInitInstanceLocal((::RooPowPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooPowPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooQCDPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooQCDPdf(void *p = 0);
   static void *newArray_RooQCDPdf(Long_t size, void *p);
   static void delete_RooQCDPdf(void *p);
   static void deleteArray_RooQCDPdf(void *p);
   static void destruct_RooQCDPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooQCDPdf*)
   {
      ::RooQCDPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooQCDPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooQCDPdf", ::RooQCDPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 516,
                  typeid(::RooQCDPdf), DefineBehavior(ptr, ptr),
                  &::RooQCDPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooQCDPdf) );
      instance.SetNew(&new_RooQCDPdf);
      instance.SetNewArray(&newArray_RooQCDPdf);
      instance.SetDelete(&delete_RooQCDPdf);
      instance.SetDeleteArray(&deleteArray_RooQCDPdf);
      instance.SetDestructor(&destruct_RooQCDPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooQCDPdf*)
   {
      return GenerateInitInstanceLocal((::RooQCDPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooQCDPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooUser1Pdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooUser1Pdf(void *p = 0);
   static void *newArray_RooUser1Pdf(Long_t size, void *p);
   static void delete_RooUser1Pdf(void *p);
   static void deleteArray_RooUser1Pdf(void *p);
   static void destruct_RooUser1Pdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooUser1Pdf*)
   {
      ::RooUser1Pdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooUser1Pdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooUser1Pdf", ::RooUser1Pdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 547,
                  typeid(::RooUser1Pdf), DefineBehavior(ptr, ptr),
                  &::RooUser1Pdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooUser1Pdf) );
      instance.SetNew(&new_RooUser1Pdf);
      instance.SetNewArray(&newArray_RooUser1Pdf);
      instance.SetDelete(&delete_RooUser1Pdf);
      instance.SetDeleteArray(&deleteArray_RooUser1Pdf);
      instance.SetDestructor(&destruct_RooUser1Pdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooUser1Pdf*)
   {
      return GenerateInitInstanceLocal((::RooUser1Pdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooUser1Pdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooExpNPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooExpNPdf(void *p = 0);
   static void *newArray_RooExpNPdf(Long_t size, void *p);
   static void delete_RooExpNPdf(void *p);
   static void deleteArray_RooExpNPdf(void *p);
   static void destruct_RooExpNPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooExpNPdf*)
   {
      ::RooExpNPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooExpNPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooExpNPdf", ::RooExpNPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 579,
                  typeid(::RooExpNPdf), DefineBehavior(ptr, ptr),
                  &::RooExpNPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooExpNPdf) );
      instance.SetNew(&new_RooExpNPdf);
      instance.SetNewArray(&newArray_RooExpNPdf);
      instance.SetDelete(&delete_RooExpNPdf);
      instance.SetDeleteArray(&deleteArray_RooExpNPdf);
      instance.SetDestructor(&destruct_RooExpNPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooExpNPdf*)
   {
      return GenerateInitInstanceLocal((::RooExpNPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooExpNPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha4ExpNPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha4ExpNPdf(void *p = 0);
   static void *newArray_RooAlpha4ExpNPdf(Long_t size, void *p);
   static void delete_RooAlpha4ExpNPdf(void *p);
   static void deleteArray_RooAlpha4ExpNPdf(void *p);
   static void destruct_RooAlpha4ExpNPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha4ExpNPdf*)
   {
      ::RooAlpha4ExpNPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha4ExpNPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha4ExpNPdf", ::RooAlpha4ExpNPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 607,
                  typeid(::RooAlpha4ExpNPdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha4ExpNPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha4ExpNPdf) );
      instance.SetNew(&new_RooAlpha4ExpNPdf);
      instance.SetNewArray(&newArray_RooAlpha4ExpNPdf);
      instance.SetDelete(&delete_RooAlpha4ExpNPdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha4ExpNPdf);
      instance.SetDestructor(&destruct_RooAlpha4ExpNPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha4ExpNPdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha4ExpNPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha4ExpNPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooExpTailPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooExpTailPdf(void *p = 0);
   static void *newArray_RooExpTailPdf(Long_t size, void *p);
   static void delete_RooExpTailPdf(void *p);
   static void deleteArray_RooExpTailPdf(void *p);
   static void destruct_RooExpTailPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooExpTailPdf*)
   {
      ::RooExpTailPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooExpTailPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooExpTailPdf", ::RooExpTailPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 642,
                  typeid(::RooExpTailPdf), DefineBehavior(ptr, ptr),
                  &::RooExpTailPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooExpTailPdf) );
      instance.SetNew(&new_RooExpTailPdf);
      instance.SetNewArray(&newArray_RooExpTailPdf);
      instance.SetDelete(&delete_RooExpTailPdf);
      instance.SetDeleteArray(&deleteArray_RooExpTailPdf);
      instance.SetDestructor(&destruct_RooExpTailPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooExpTailPdf*)
   {
      return GenerateInitInstanceLocal((::RooExpTailPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooExpTailPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha4ExpTailPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha4ExpTailPdf(void *p = 0);
   static void *newArray_RooAlpha4ExpTailPdf(Long_t size, void *p);
   static void delete_RooAlpha4ExpTailPdf(void *p);
   static void deleteArray_RooAlpha4ExpTailPdf(void *p);
   static void destruct_RooAlpha4ExpTailPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha4ExpTailPdf*)
   {
      ::RooAlpha4ExpTailPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha4ExpTailPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha4ExpTailPdf", ::RooAlpha4ExpTailPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 670,
                  typeid(::RooAlpha4ExpTailPdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha4ExpTailPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha4ExpTailPdf) );
      instance.SetNew(&new_RooAlpha4ExpTailPdf);
      instance.SetNewArray(&newArray_RooAlpha4ExpTailPdf);
      instance.SetDelete(&delete_RooAlpha4ExpTailPdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha4ExpTailPdf);
      instance.SetDestructor(&destruct_RooAlpha4ExpTailPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha4ExpTailPdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha4ExpTailPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha4ExpTailPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void Roo2ExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_Roo2ExpPdf(void *p = 0);
   static void *newArray_Roo2ExpPdf(Long_t size, void *p);
   static void delete_Roo2ExpPdf(void *p);
   static void deleteArray_Roo2ExpPdf(void *p);
   static void destruct_Roo2ExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::Roo2ExpPdf*)
   {
      ::Roo2ExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::Roo2ExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("Roo2ExpPdf", ::Roo2ExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 705,
                  typeid(::Roo2ExpPdf), DefineBehavior(ptr, ptr),
                  &::Roo2ExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::Roo2ExpPdf) );
      instance.SetNew(&new_Roo2ExpPdf);
      instance.SetNewArray(&newArray_Roo2ExpPdf);
      instance.SetDelete(&delete_Roo2ExpPdf);
      instance.SetDeleteArray(&deleteArray_Roo2ExpPdf);
      instance.SetDestructor(&destruct_Roo2ExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::Roo2ExpPdf*)
   {
      return GenerateInitInstanceLocal((::Roo2ExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::Roo2ExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAlpha42ExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAlpha42ExpPdf(void *p = 0);
   static void *newArray_RooAlpha42ExpPdf(Long_t size, void *p);
   static void delete_RooAlpha42ExpPdf(void *p);
   static void deleteArray_RooAlpha42ExpPdf(void *p);
   static void destruct_RooAlpha42ExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAlpha42ExpPdf*)
   {
      ::RooAlpha42ExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAlpha42ExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAlpha42ExpPdf", ::RooAlpha42ExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 735,
                  typeid(::RooAlpha42ExpPdf), DefineBehavior(ptr, ptr),
                  &::RooAlpha42ExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAlpha42ExpPdf) );
      instance.SetNew(&new_RooAlpha42ExpPdf);
      instance.SetNewArray(&newArray_RooAlpha42ExpPdf);
      instance.SetDelete(&delete_RooAlpha42ExpPdf);
      instance.SetDeleteArray(&deleteArray_RooAlpha42ExpPdf);
      instance.SetDestructor(&destruct_RooAlpha42ExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAlpha42ExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooAlpha42ExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAlpha42ExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooAnaExpNPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooAnaExpNPdf(void *p = 0);
   static void *newArray_RooAnaExpNPdf(Long_t size, void *p);
   static void delete_RooAnaExpNPdf(void *p);
   static void deleteArray_RooAnaExpNPdf(void *p);
   static void destruct_RooAnaExpNPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooAnaExpNPdf*)
   {
      ::RooAnaExpNPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooAnaExpNPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooAnaExpNPdf", ::RooAnaExpNPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 772,
                  typeid(::RooAnaExpNPdf), DefineBehavior(ptr, ptr),
                  &::RooAnaExpNPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooAnaExpNPdf) );
      instance.SetNew(&new_RooAnaExpNPdf);
      instance.SetNewArray(&newArray_RooAnaExpNPdf);
      instance.SetDelete(&delete_RooAnaExpNPdf);
      instance.SetDeleteArray(&deleteArray_RooAnaExpNPdf);
      instance.SetDestructor(&destruct_RooAnaExpNPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooAnaExpNPdf*)
   {
      return GenerateInitInstanceLocal((::RooAnaExpNPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooAnaExpNPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooDoubleCrystalBall_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooDoubleCrystalBall(void *p = 0);
   static void *newArray_RooDoubleCrystalBall(Long_t size, void *p);
   static void delete_RooDoubleCrystalBall(void *p);
   static void deleteArray_RooDoubleCrystalBall(void *p);
   static void destruct_RooDoubleCrystalBall(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooDoubleCrystalBall*)
   {
      ::RooDoubleCrystalBall *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooDoubleCrystalBall >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooDoubleCrystalBall", ::RooDoubleCrystalBall::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJRooPdfs.h", 804,
                  typeid(::RooDoubleCrystalBall), DefineBehavior(ptr, ptr),
                  &::RooDoubleCrystalBall::Dictionary, isa_proxy, 4,
                  sizeof(::RooDoubleCrystalBall) );
      instance.SetNew(&new_RooDoubleCrystalBall);
      instance.SetNewArray(&newArray_RooDoubleCrystalBall);
      instance.SetDelete(&delete_RooDoubleCrystalBall);
      instance.SetDeleteArray(&deleteArray_RooDoubleCrystalBall);
      instance.SetDestructor(&destruct_RooDoubleCrystalBall);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooDoubleCrystalBall*)
   {
      return GenerateInitInstanceLocal((::RooDoubleCrystalBall*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooDoubleCrystalBall*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooCB_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooCB(void *p = 0);
   static void *newArray_RooCB(Long_t size, void *p);
   static void delete_RooCB(void *p);
   static void deleteArray_RooCB(void *p);
   static void destruct_RooCB(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooCB*)
   {
      ::RooCB *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooCB >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooCB", ::RooCB::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ2L2QRooPdfs.h", 8,
                  typeid(::RooCB), DefineBehavior(ptr, ptr),
                  &::RooCB::Dictionary, isa_proxy, 4,
                  sizeof(::RooCB) );
      instance.SetNew(&new_RooCB);
      instance.SetNewArray(&newArray_RooCB);
      instance.SetDelete(&delete_RooCB);
      instance.SetDeleteArray(&deleteArray_RooCB);
      instance.SetDestructor(&destruct_RooCB);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooCB*)
   {
      return GenerateInitInstanceLocal((::RooCB*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooCB*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooDoubleCB_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooDoubleCB(void *p = 0);
   static void *newArray_RooDoubleCB(Long_t size, void *p);
   static void delete_RooDoubleCB(void *p);
   static void deleteArray_RooDoubleCB(void *p);
   static void destruct_RooDoubleCB(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooDoubleCB*)
   {
      ::RooDoubleCB *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooDoubleCB >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooDoubleCB", ::RooDoubleCB::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ2L2QRooPdfs.h", 40,
                  typeid(::RooDoubleCB), DefineBehavior(ptr, ptr),
                  &::RooDoubleCB::Dictionary, isa_proxy, 4,
                  sizeof(::RooDoubleCB) );
      instance.SetNew(&new_RooDoubleCB);
      instance.SetNewArray(&newArray_RooDoubleCB);
      instance.SetDelete(&delete_RooDoubleCB);
      instance.SetDeleteArray(&deleteArray_RooDoubleCB);
      instance.SetDestructor(&destruct_RooDoubleCB);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooDoubleCB*)
   {
      return GenerateInitInstanceLocal((::RooDoubleCB*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooDoubleCB*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooFermi_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooFermi(void *p = 0);
   static void *newArray_RooFermi(Long_t size, void *p);
   static void delete_RooFermi(void *p);
   static void deleteArray_RooFermi(void *p);
   static void destruct_RooFermi(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooFermi*)
   {
      ::RooFermi *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooFermi >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooFermi", ::RooFermi::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ2L2QRooPdfs.h", 75,
                  typeid(::RooFermi), DefineBehavior(ptr, ptr),
                  &::RooFermi::Dictionary, isa_proxy, 4,
                  sizeof(::RooFermi) );
      instance.SetNew(&new_RooFermi);
      instance.SetNewArray(&newArray_RooFermi);
      instance.SetDelete(&delete_RooFermi);
      instance.SetDeleteArray(&deleteArray_RooFermi);
      instance.SetDestructor(&destruct_RooFermi);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooFermi*)
   {
      return GenerateInitInstanceLocal((::RooFermi*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooFermi*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooRelBW_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooRelBW(void *p = 0);
   static void *newArray_RooRelBW(Long_t size, void *p);
   static void delete_RooRelBW(void *p);
   static void deleteArray_RooRelBW(void *p);
   static void destruct_RooRelBW(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooRelBW*)
   {
      ::RooRelBW *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooRelBW >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooRelBW", ::RooRelBW::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ2L2QRooPdfs.h", 100,
                  typeid(::RooRelBW), DefineBehavior(ptr, ptr),
                  &::RooRelBW::Dictionary, isa_proxy, 4,
                  sizeof(::RooRelBW) );
      instance.SetNew(&new_RooRelBW);
      instance.SetNewArray(&newArray_RooRelBW);
      instance.SetDelete(&delete_RooRelBW);
      instance.SetDeleteArray(&deleteArray_RooRelBW);
      instance.SetDestructor(&destruct_RooRelBW);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooRelBW*)
   {
      return GenerateInitInstanceLocal((::RooRelBW*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooRelBW*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void Triangle_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_Triangle(void *p = 0);
   static void *newArray_Triangle(Long_t size, void *p);
   static void delete_Triangle(void *p);
   static void deleteArray_Triangle(void *p);
   static void destruct_Triangle(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::Triangle*)
   {
      ::Triangle *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::Triangle >(0);
      static ::ROOT::TGenericClassInfo 
         instance("Triangle", ::Triangle::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ2L2QRooPdfs.h", 128,
                  typeid(::Triangle), DefineBehavior(ptr, ptr),
                  &::Triangle::Dictionary, isa_proxy, 4,
                  sizeof(::Triangle) );
      instance.SetNew(&new_Triangle);
      instance.SetNewArray(&newArray_Triangle);
      instance.SetDelete(&delete_Triangle);
      instance.SetDeleteArray(&deleteArray_Triangle);
      instance.SetDestructor(&destruct_Triangle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::Triangle*)
   {
      return GenerateInitInstanceLocal((::Triangle*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::Triangle*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooLevelledExp_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooLevelledExp(void *p = 0);
   static void *newArray_RooLevelledExp(Long_t size, void *p);
   static void delete_RooLevelledExp(void *p);
   static void deleteArray_RooLevelledExp(void *p);
   static void destruct_RooLevelledExp(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooLevelledExp*)
   {
      ::RooLevelledExp *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooLevelledExp >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooLevelledExp", ::RooLevelledExp::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ2L2QRooPdfs.h", 161,
                  typeid(::RooLevelledExp), DefineBehavior(ptr, ptr),
                  &::RooLevelledExp::Dictionary, isa_proxy, 4,
                  sizeof(::RooLevelledExp) );
      instance.SetNew(&new_RooLevelledExp);
      instance.SetNewArray(&newArray_RooLevelledExp);
      instance.SetDelete(&delete_RooLevelledExp);
      instance.SetDeleteArray(&deleteArray_RooLevelledExp);
      instance.SetDestructor(&destruct_RooLevelledExp);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooLevelledExp*)
   {
      return GenerateInitInstanceLocal((::RooLevelledExp*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooLevelledExp*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooPower_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooPower(void *p = 0);
   static void *newArray_RooPower(Long_t size, void *p);
   static void delete_RooPower(void *p);
   static void deleteArray_RooPower(void *p);
   static void destruct_RooPower(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooPower*)
   {
      ::RooPower *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooPower >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooPower", ::RooPower::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HGGRooPdfs.h", 25,
                  typeid(::RooPower), DefineBehavior(ptr, ptr),
                  &::RooPower::Dictionary, isa_proxy, 4,
                  sizeof(::RooPower) );
      instance.SetNew(&new_RooPower);
      instance.SetNewArray(&newArray_RooPower);
      instance.SetDelete(&delete_RooPower);
      instance.SetDeleteArray(&deleteArray_RooPower);
      instance.SetDestructor(&destruct_RooPower);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooPower*)
   {
      return GenerateInitInstanceLocal((::RooPower*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooPower*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooStepBernstein_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooStepBernstein(void *p = 0);
   static void *newArray_RooStepBernstein(Long_t size, void *p);
   static void delete_RooStepBernstein(void *p);
   static void deleteArray_RooStepBernstein(void *p);
   static void destruct_RooStepBernstein(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooStepBernstein*)
   {
      ::RooStepBernstein *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooStepBernstein >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooStepBernstein", ::RooStepBernstein::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZGRooPdfs.h", 23,
                  typeid(::RooStepBernstein), DefineBehavior(ptr, ptr),
                  &::RooStepBernstein::Dictionary, isa_proxy, 4,
                  sizeof(::RooStepBernstein) );
      instance.SetNew(&new_RooStepBernstein);
      instance.SetNewArray(&newArray_RooStepBernstein);
      instance.SetDelete(&delete_RooStepBernstein);
      instance.SetDeleteArray(&deleteArray_RooStepBernstein);
      instance.SetDestructor(&destruct_RooStepBernstein);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooStepBernstein*)
   {
      return GenerateInitInstanceLocal((::RooStepBernstein*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooStepBernstein*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooGaussStepBernstein_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooGaussStepBernstein(void *p = 0);
   static void *newArray_RooGaussStepBernstein(Long_t size, void *p);
   static void delete_RooGaussStepBernstein(void *p);
   static void deleteArray_RooGaussStepBernstein(void *p);
   static void destruct_RooGaussStepBernstein(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooGaussStepBernstein*)
   {
      ::RooGaussStepBernstein *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooGaussStepBernstein >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooGaussStepBernstein", ::RooGaussStepBernstein::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZGRooPdfs.h", 49,
                  typeid(::RooGaussStepBernstein), DefineBehavior(ptr, ptr),
                  &::RooGaussStepBernstein::Dictionary, isa_proxy, 4,
                  sizeof(::RooGaussStepBernstein) );
      instance.SetNew(&new_RooGaussStepBernstein);
      instance.SetNewArray(&newArray_RooGaussStepBernstein);
      instance.SetDelete(&delete_RooGaussStepBernstein);
      instance.SetDeleteArray(&deleteArray_RooGaussStepBernstein);
      instance.SetDestructor(&destruct_RooGaussStepBernstein);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooGaussStepBernstein*)
   {
      return GenerateInitInstanceLocal((::RooGaussStepBernstein*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooGaussStepBernstein*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void cmsmathcLcLSequentialMinimizer_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void cmsmathcLcLSequentialMinimizer_Dictionary();
   static void *new_cmsmathcLcLSequentialMinimizer(void *p = 0);
   static void *newArray_cmsmathcLcLSequentialMinimizer(Long_t size, void *p);
   static void delete_cmsmathcLcLSequentialMinimizer(void *p);
   static void deleteArray_cmsmathcLcLSequentialMinimizer(void *p);
   static void destruct_cmsmathcLcLSequentialMinimizer(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::cmsmath::SequentialMinimizer*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::cmsmath::SequentialMinimizer) == sizeof(::ROOT::Shadow::cmsmath::SequentialMinimizer));
      ::cmsmath::SequentialMinimizer *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::cmsmath::SequentialMinimizer),0);
      static ::ROOT::TGenericClassInfo 
         instance("cmsmath::SequentialMinimizer", "./src/HiggsAnalysis/CombinedLimit/src/../interface/SequentialMinimizer.h", 109,
                  typeid(::cmsmath::SequentialMinimizer), DefineBehavior(ptr, ptr),
                  &cmsmathcLcLSequentialMinimizer_ShowMembers, &cmsmathcLcLSequentialMinimizer_Dictionary, isa_proxy, 4,
                  sizeof(::cmsmath::SequentialMinimizer) );
      instance.SetNew(&new_cmsmathcLcLSequentialMinimizer);
      instance.SetNewArray(&newArray_cmsmathcLcLSequentialMinimizer);
      instance.SetDelete(&delete_cmsmathcLcLSequentialMinimizer);
      instance.SetDeleteArray(&deleteArray_cmsmathcLcLSequentialMinimizer);
      instance.SetDestructor(&destruct_cmsmathcLcLSequentialMinimizer);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::cmsmath::SequentialMinimizer*)
   {
      return GenerateInitInstanceLocal((::cmsmath::SequentialMinimizer*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::cmsmath::SequentialMinimizer*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void cmsmathcLcLSequentialMinimizer_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::cmsmath::SequentialMinimizer*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void ProcessNormalization_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_ProcessNormalization(void *p = 0);
   static void *newArray_ProcessNormalization(Long_t size, void *p);
   static void delete_ProcessNormalization(void *p);
   static void deleteArray_ProcessNormalization(void *p);
   static void destruct_ProcessNormalization(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::ProcessNormalization*)
   {
      ::ProcessNormalization *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::ProcessNormalization >(0);
      static ::ROOT::TGenericClassInfo 
         instance("ProcessNormalization", ::ProcessNormalization::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/ProcessNormalization.h", 17,
                  typeid(::ProcessNormalization), DefineBehavior(ptr, ptr),
                  &::ProcessNormalization::Dictionary, isa_proxy, 4,
                  sizeof(::ProcessNormalization) );
      instance.SetNew(&new_ProcessNormalization);
      instance.SetNewArray(&newArray_ProcessNormalization);
      instance.SetDelete(&delete_ProcessNormalization);
      instance.SetDeleteArray(&deleteArray_ProcessNormalization);
      instance.SetDestructor(&destruct_ProcessNormalization);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::ProcessNormalization*)
   {
      return GenerateInitInstanceLocal((::ProcessNormalization*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::ProcessNormalization*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooSpline1D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooSpline1D(void *p = 0);
   static void *newArray_RooSpline1D(Long_t size, void *p);
   static void delete_RooSpline1D(void *p);
   static void deleteArray_RooSpline1D(void *p);
   static void destruct_RooSpline1D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooSpline1D*)
   {
      ::RooSpline1D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooSpline1D >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooSpline1D", ::RooSpline1D::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooSpline1D.h", 18,
                  typeid(::RooSpline1D), DefineBehavior(ptr, ptr),
                  &::RooSpline1D::Dictionary, isa_proxy, 4,
                  sizeof(::RooSpline1D) );
      instance.SetNew(&new_RooSpline1D);
      instance.SetNewArray(&newArray_RooSpline1D);
      instance.SetDelete(&delete_RooSpline1D);
      instance.SetDeleteArray(&deleteArray_RooSpline1D);
      instance.SetDestructor(&destruct_RooSpline1D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooSpline1D*)
   {
      return GenerateInitInstanceLocal((::RooSpline1D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooSpline1D*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooSplineND_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooSplineND(void *p = 0);
   static void *newArray_RooSplineND(Long_t size, void *p);
   static void delete_RooSplineND(void *p);
   static void deleteArray_RooSplineND(void *p);
   static void destruct_RooSplineND(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooSplineND*)
   {
      ::RooSplineND *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooSplineND >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooSplineND", ::RooSplineND::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooSplineND.h", 60,
                  typeid(::RooSplineND), DefineBehavior(ptr, ptr),
                  &::RooSplineND::Dictionary, isa_proxy, 4,
                  sizeof(::RooSplineND) );
      instance.SetNew(&new_RooSplineND);
      instance.SetNewArray(&newArray_RooSplineND);
      instance.SetDelete(&delete_RooSplineND);
      instance.SetDeleteArray(&deleteArray_RooSplineND);
      instance.SetDestructor(&destruct_RooSplineND);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooSplineND*)
   {
      return GenerateInitInstanceLocal((::RooSplineND*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooSplineND*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooScaleLOSM_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void delete_RooScaleLOSM(void *p);
   static void deleteArray_RooScaleLOSM(void *p);
   static void destruct_RooScaleLOSM(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooScaleLOSM*)
   {
      ::RooScaleLOSM *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooScaleLOSM >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooScaleLOSM", ::RooScaleLOSM::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooScaleLOSM.h", 15,
                  typeid(::RooScaleLOSM), DefineBehavior(ptr, ptr),
                  &::RooScaleLOSM::Dictionary, isa_proxy, 4,
                  sizeof(::RooScaleLOSM) );
      instance.SetDelete(&delete_RooScaleLOSM);
      instance.SetDeleteArray(&deleteArray_RooScaleLOSM);
      instance.SetDestructor(&destruct_RooScaleLOSM);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooScaleLOSM*)
   {
      return GenerateInitInstanceLocal((::RooScaleLOSM*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooScaleLOSM*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooScaleHGamGamLOSM_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooScaleHGamGamLOSM(void *p = 0);
   static void *newArray_RooScaleHGamGamLOSM(Long_t size, void *p);
   static void delete_RooScaleHGamGamLOSM(void *p);
   static void deleteArray_RooScaleHGamGamLOSM(void *p);
   static void destruct_RooScaleHGamGamLOSM(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooScaleHGamGamLOSM*)
   {
      ::RooScaleHGamGamLOSM *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooScaleHGamGamLOSM >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooScaleHGamGamLOSM", ::RooScaleHGamGamLOSM::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooScaleLOSM.h", 41,
                  typeid(::RooScaleHGamGamLOSM), DefineBehavior(ptr, ptr),
                  &::RooScaleHGamGamLOSM::Dictionary, isa_proxy, 4,
                  sizeof(::RooScaleHGamGamLOSM) );
      instance.SetNew(&new_RooScaleHGamGamLOSM);
      instance.SetNewArray(&newArray_RooScaleHGamGamLOSM);
      instance.SetDelete(&delete_RooScaleHGamGamLOSM);
      instance.SetDeleteArray(&deleteArray_RooScaleHGamGamLOSM);
      instance.SetDestructor(&destruct_RooScaleHGamGamLOSM);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooScaleHGamGamLOSM*)
   {
      return GenerateInitInstanceLocal((::RooScaleHGamGamLOSM*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSM*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooScaleHGluGluLOSM_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooScaleHGluGluLOSM(void *p = 0);
   static void *newArray_RooScaleHGluGluLOSM(Long_t size, void *p);
   static void delete_RooScaleHGluGluLOSM(void *p);
   static void deleteArray_RooScaleHGluGluLOSM(void *p);
   static void destruct_RooScaleHGluGluLOSM(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooScaleHGluGluLOSM*)
   {
      ::RooScaleHGluGluLOSM *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooScaleHGluGluLOSM >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooScaleHGluGluLOSM", ::RooScaleHGluGluLOSM::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooScaleLOSM.h", 60,
                  typeid(::RooScaleHGluGluLOSM), DefineBehavior(ptr, ptr),
                  &::RooScaleHGluGluLOSM::Dictionary, isa_proxy, 4,
                  sizeof(::RooScaleHGluGluLOSM) );
      instance.SetNew(&new_RooScaleHGluGluLOSM);
      instance.SetNewArray(&newArray_RooScaleHGluGluLOSM);
      instance.SetDelete(&delete_RooScaleHGluGluLOSM);
      instance.SetDeleteArray(&deleteArray_RooScaleHGluGluLOSM);
      instance.SetDestructor(&destruct_RooScaleHGluGluLOSM);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooScaleHGluGluLOSM*)
   {
      return GenerateInitInstanceLocal((::RooScaleHGluGluLOSM*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSM*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooScaleHGamGamLOSMPlusX_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooScaleHGamGamLOSMPlusX(void *p = 0);
   static void *newArray_RooScaleHGamGamLOSMPlusX(Long_t size, void *p);
   static void delete_RooScaleHGamGamLOSMPlusX(void *p);
   static void deleteArray_RooScaleHGamGamLOSMPlusX(void *p);
   static void destruct_RooScaleHGamGamLOSMPlusX(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooScaleHGamGamLOSMPlusX*)
   {
      ::RooScaleHGamGamLOSMPlusX *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooScaleHGamGamLOSMPlusX >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooScaleHGamGamLOSMPlusX", ::RooScaleHGamGamLOSMPlusX::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooScaleLOSM.h", 79,
                  typeid(::RooScaleHGamGamLOSMPlusX), DefineBehavior(ptr, ptr),
                  &::RooScaleHGamGamLOSMPlusX::Dictionary, isa_proxy, 4,
                  sizeof(::RooScaleHGamGamLOSMPlusX) );
      instance.SetNew(&new_RooScaleHGamGamLOSMPlusX);
      instance.SetNewArray(&newArray_RooScaleHGamGamLOSMPlusX);
      instance.SetDelete(&delete_RooScaleHGamGamLOSMPlusX);
      instance.SetDeleteArray(&deleteArray_RooScaleHGamGamLOSMPlusX);
      instance.SetDestructor(&destruct_RooScaleHGamGamLOSMPlusX);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooScaleHGamGamLOSMPlusX*)
   {
      return GenerateInitInstanceLocal((::RooScaleHGamGamLOSMPlusX*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSMPlusX*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooScaleHGluGluLOSMPlusX_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooScaleHGluGluLOSMPlusX(void *p = 0);
   static void *newArray_RooScaleHGluGluLOSMPlusX(Long_t size, void *p);
   static void delete_RooScaleHGluGluLOSMPlusX(void *p);
   static void deleteArray_RooScaleHGluGluLOSMPlusX(void *p);
   static void destruct_RooScaleHGluGluLOSMPlusX(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooScaleHGluGluLOSMPlusX*)
   {
      ::RooScaleHGluGluLOSMPlusX *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooScaleHGluGluLOSMPlusX >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooScaleHGluGluLOSMPlusX", ::RooScaleHGluGluLOSMPlusX::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooScaleLOSM.h", 98,
                  typeid(::RooScaleHGluGluLOSMPlusX), DefineBehavior(ptr, ptr),
                  &::RooScaleHGluGluLOSMPlusX::Dictionary, isa_proxy, 4,
                  sizeof(::RooScaleHGluGluLOSMPlusX) );
      instance.SetNew(&new_RooScaleHGluGluLOSMPlusX);
      instance.SetNewArray(&newArray_RooScaleHGluGluLOSMPlusX);
      instance.SetDelete(&delete_RooScaleHGluGluLOSMPlusX);
      instance.SetDeleteArray(&deleteArray_RooScaleHGluGluLOSMPlusX);
      instance.SetDestructor(&destruct_RooScaleHGluGluLOSMPlusX);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooScaleHGluGluLOSMPlusX*)
   {
      return GenerateInitInstanceLocal((::RooScaleHGluGluLOSMPlusX*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSMPlusX*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void rVrFLikelihood_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_rVrFLikelihood(void *p = 0);
   static void *newArray_rVrFLikelihood(Long_t size, void *p);
   static void delete_rVrFLikelihood(void *p);
   static void deleteArray_rVrFLikelihood(void *p);
   static void destruct_rVrFLikelihood(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::rVrFLikelihood*)
   {
      ::rVrFLikelihood *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::rVrFLikelihood >(0);
      static ::ROOT::TGenericClassInfo 
         instance("rVrFLikelihood", ::rVrFLikelihood::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/rVrFLikelihood.h", 9,
                  typeid(::rVrFLikelihood), DefineBehavior(ptr, ptr),
                  &::rVrFLikelihood::Dictionary, isa_proxy, 4,
                  sizeof(::rVrFLikelihood) );
      instance.SetNew(&new_rVrFLikelihood);
      instance.SetNewArray(&newArray_rVrFLikelihood);
      instance.SetDelete(&delete_rVrFLikelihood);
      instance.SetDeleteArray(&deleteArray_rVrFLikelihood);
      instance.SetDestructor(&destruct_rVrFLikelihood);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::rVrFLikelihood*)
   {
      return GenerateInitInstanceLocal((::rVrFLikelihood*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::rVrFLikelihood*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooMultiPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooMultiPdf(void *p = 0);
   static void *newArray_RooMultiPdf(Long_t size, void *p);
   static void delete_RooMultiPdf(void *p);
   static void deleteArray_RooMultiPdf(void *p);
   static void destruct_RooMultiPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooMultiPdf*)
   {
      ::RooMultiPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooMultiPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooMultiPdf", ::RooMultiPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooMultiPdf.h", 34,
                  typeid(::RooMultiPdf), DefineBehavior(ptr, ptr),
                  &::RooMultiPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooMultiPdf) );
      instance.SetNew(&new_RooMultiPdf);
      instance.SetNewArray(&newArray_RooMultiPdf);
      instance.SetDelete(&delete_RooMultiPdf);
      instance.SetDeleteArray(&deleteArray_RooMultiPdf);
      instance.SetDestructor(&destruct_RooMultiPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooMultiPdf*)
   {
      return GenerateInitInstanceLocal((::RooMultiPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooMultiPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooParametricHist_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooParametricHist(void *p = 0);
   static void *newArray_RooParametricHist(Long_t size, void *p);
   static void delete_RooParametricHist(void *p);
   static void deleteArray_RooParametricHist(void *p);
   static void destruct_RooParametricHist(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooParametricHist*)
   {
      ::RooParametricHist *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooParametricHist >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooParametricHist", ::RooParametricHist::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooParametricHist.h", 15,
                  typeid(::RooParametricHist), DefineBehavior(ptr, ptr),
                  &::RooParametricHist::Dictionary, isa_proxy, 4,
                  sizeof(::RooParametricHist) );
      instance.SetNew(&new_RooParametricHist);
      instance.SetNewArray(&newArray_RooParametricHist);
      instance.SetDelete(&delete_RooParametricHist);
      instance.SetDeleteArray(&deleteArray_RooParametricHist);
      instance.SetDestructor(&destruct_RooParametricHist);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooParametricHist*)
   {
      return GenerateInitInstanceLocal((::RooParametricHist*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooParametricHist*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void SimpleGaussianConstraint_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_SimpleGaussianConstraint(void *p = 0);
   static void *newArray_SimpleGaussianConstraint(Long_t size, void *p);
   static void delete_SimpleGaussianConstraint(void *p);
   static void deleteArray_SimpleGaussianConstraint(void *p);
   static void destruct_SimpleGaussianConstraint(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::SimpleGaussianConstraint*)
   {
      ::SimpleGaussianConstraint *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::SimpleGaussianConstraint >(0);
      static ::ROOT::TGenericClassInfo 
         instance("SimpleGaussianConstraint", ::SimpleGaussianConstraint::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/SimpleGaussianConstraint.h", 6,
                  typeid(::SimpleGaussianConstraint), DefineBehavior(ptr, ptr),
                  &::SimpleGaussianConstraint::Dictionary, isa_proxy, 4,
                  sizeof(::SimpleGaussianConstraint) );
      instance.SetNew(&new_SimpleGaussianConstraint);
      instance.SetNewArray(&newArray_SimpleGaussianConstraint);
      instance.SetDelete(&delete_SimpleGaussianConstraint);
      instance.SetDeleteArray(&deleteArray_SimpleGaussianConstraint);
      instance.SetDestructor(&destruct_SimpleGaussianConstraint);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::SimpleGaussianConstraint*)
   {
      return GenerateInitInstanceLocal((::SimpleGaussianConstraint*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::SimpleGaussianConstraint*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooStatscLcLHistFactorycLcLRooBSplineBases_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p = 0);
   static void *newArray_RooStatscLcLHistFactorycLcLRooBSplineBases(Long_t size, void *p);
   static void delete_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p);
   static void deleteArray_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p);
   static void destruct_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooStats::HistFactory::RooBSplineBases*)
   {
      ::RooStats::HistFactory::RooBSplineBases *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooStats::HistFactory::RooBSplineBases >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooStats::HistFactory::RooBSplineBases", ::RooStats::HistFactory::RooBSplineBases::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/AtlasPdfs.h", 27,
                  typeid(::RooStats::HistFactory::RooBSplineBases), DefineBehavior(ptr, ptr),
                  &::RooStats::HistFactory::RooBSplineBases::Dictionary, isa_proxy, 4,
                  sizeof(::RooStats::HistFactory::RooBSplineBases) );
      instance.SetNew(&new_RooStatscLcLHistFactorycLcLRooBSplineBases);
      instance.SetNewArray(&newArray_RooStatscLcLHistFactorycLcLRooBSplineBases);
      instance.SetDelete(&delete_RooStatscLcLHistFactorycLcLRooBSplineBases);
      instance.SetDeleteArray(&deleteArray_RooStatscLcLHistFactorycLcLRooBSplineBases);
      instance.SetDestructor(&destruct_RooStatscLcLHistFactorycLcLRooBSplineBases);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooStats::HistFactory::RooBSplineBases*)
   {
      return GenerateInitInstanceLocal((::RooStats::HistFactory::RooBSplineBases*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSplineBases*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooStatscLcLHistFactorycLcLRooBSpline_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooStatscLcLHistFactorycLcLRooBSpline(void *p = 0);
   static void *newArray_RooStatscLcLHistFactorycLcLRooBSpline(Long_t size, void *p);
   static void delete_RooStatscLcLHistFactorycLcLRooBSpline(void *p);
   static void deleteArray_RooStatscLcLHistFactorycLcLRooBSpline(void *p);
   static void destruct_RooStatscLcLHistFactorycLcLRooBSpline(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooStats::HistFactory::RooBSpline*)
   {
      ::RooStats::HistFactory::RooBSpline *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooStats::HistFactory::RooBSpline >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooStats::HistFactory::RooBSpline", ::RooStats::HistFactory::RooBSpline::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/AtlasPdfs.h", 107,
                  typeid(::RooStats::HistFactory::RooBSpline), DefineBehavior(ptr, ptr),
                  &::RooStats::HistFactory::RooBSpline::Dictionary, isa_proxy, 4,
                  sizeof(::RooStats::HistFactory::RooBSpline) );
      instance.SetNew(&new_RooStatscLcLHistFactorycLcLRooBSpline);
      instance.SetNewArray(&newArray_RooStatscLcLHistFactorycLcLRooBSpline);
      instance.SetDelete(&delete_RooStatscLcLHistFactorycLcLRooBSpline);
      instance.SetDeleteArray(&deleteArray_RooStatscLcLHistFactorycLcLRooBSpline);
      instance.SetDestructor(&destruct_RooStatscLcLHistFactorycLcLRooBSpline);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooStats::HistFactory::RooBSpline*)
   {
      return GenerateInitInstanceLocal((::RooStats::HistFactory::RooBSpline*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSpline*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooParamKeysPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooParamKeysPdf(void *p = 0);
   static void *newArray_RooParamKeysPdf(Long_t size, void *p);
   static void delete_RooParamKeysPdf(void *p);
   static void deleteArray_RooParamKeysPdf(void *p);
   static void destruct_RooParamKeysPdf(void *p);

   // Schema evolution read functions
   static void read_RooParamKeysPdf_0( char* target, TVirtualObject *oldObj )
   {
      //--- Automatically generated variables ---
#if 0
      static Int_t id__lookupTable = oldObj->GetId("_lookupTable");
#endif
      struct RooParamKeysPdf_Onfile {
         typedef Double_t onfile__lookupTable_t[1001];
         onfile__lookupTable_t &_lookupTable;
         RooParamKeysPdf_Onfile( onfile__lookupTable_t &onfile__lookupTable ): _lookupTable(onfile__lookupTable) {}
      };
      static Long_t offset_Onfile_RooParamKeysPdf__lookupTable = oldObj->GetClass()->GetDataMemberOffset("_lookupTable");
      char *onfile_add = (char*)oldObj->GetObject();
      RooParamKeysPdf_Onfile onfile(
         *(RooParamKeysPdf_Onfile::onfile__lookupTable_t*)(onfile_add+offset_Onfile_RooParamKeysPdf__lookupTable) );

      static TClassRef cls("RooParamKeysPdf");
      static Long_t offset__nPoints = cls->GetDataMemberOffset("_nPoints");
      Int_t& _nPoints = *(Int_t*)(target+offset__nPoints);
      static Long_t offset__lookupTable = cls->GetDataMemberOffset("_lookupTable");
      Double_t*& _lookupTable = *(Double_t**)(target+offset__lookupTable);
      RooParamKeysPdf* newObj = (RooParamKeysPdf*)target;
      // Supress warning message.
      if (oldObj) {}

      if (newObj) {}

      //--- User's code ---
      _nPoints=1000; _lookupTable=new Double_t[_nPoints]; for (Int_t i=0; i<_nPoints; i++) _lookupTable[i]= onfile._lookupTable[i]; 
   }

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooParamKeysPdf*)
   {
      ::RooParamKeysPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooParamKeysPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooParamKeysPdf", ::RooParamKeysPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/AtlasPdfs.h", 194,
                  typeid(::RooParamKeysPdf), DefineBehavior(ptr, ptr),
                  &::RooParamKeysPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooParamKeysPdf) );
      instance.SetNew(&new_RooParamKeysPdf);
      instance.SetNewArray(&newArray_RooParamKeysPdf);
      instance.SetDelete(&delete_RooParamKeysPdf);
      instance.SetDeleteArray(&deleteArray_RooParamKeysPdf);
      instance.SetDestructor(&destruct_RooParamKeysPdf);

      ROOT::TSchemaHelper* rule;

      // the io read rules
      std::vector<ROOT::TSchemaHelper> readrules(1);
      rule = &readrules[0];
      rule->fSourceClass = "RooParamKeysPdf";
      rule->fTarget      = "_nPoints, _lookupTable";
      rule->fSource      = "Double_t _lookupTable[1001]";
      rule->fFunctionPtr = (void *)G__func2void( read_RooParamKeysPdf_0);
      rule->fCode        = " _nPoints=1000; _lookupTable=new Double_t[_nPoints]; for (Int_t i=0; i<_nPoints; i++) _lookupTable[i]= onfile._lookupTable[i]; ";
      rule->fVersion     = "[-2]";
      instance.SetReadRules( readrules );
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooParamKeysPdf*)
   {
      return GenerateInitInstanceLocal((::RooParamKeysPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooParamKeysPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooStarMomentMorph_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooStarMomentMorph(void *p = 0);
   static void *newArray_RooStarMomentMorph(Long_t size, void *p);
   static void delete_RooStarMomentMorph(void *p);
   static void deleteArray_RooStarMomentMorph(void *p);
   static void destruct_RooStarMomentMorph(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooStarMomentMorph*)
   {
      ::RooStarMomentMorph *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooStarMomentMorph >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooStarMomentMorph", ::RooStarMomentMorph::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/AtlasPdfs.h", 292,
                  typeid(::RooStarMomentMorph), DefineBehavior(ptr, ptr),
                  &::RooStarMomentMorph::Dictionary, isa_proxy, 4,
                  sizeof(::RooStarMomentMorph) );
      instance.SetNew(&new_RooStarMomentMorph);
      instance.SetNewArray(&newArray_RooStarMomentMorph);
      instance.SetDelete(&delete_RooStarMomentMorph);
      instance.SetDeleteArray(&deleteArray_RooStarMomentMorph);
      instance.SetDestructor(&destruct_RooStarMomentMorph);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooStarMomentMorph*)
   {
      return GenerateInitInstanceLocal((::RooStarMomentMorph*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooStarMomentMorph*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void HZZ4L_RooSpinZeroPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_HZZ4L_RooSpinZeroPdf(void *p = 0);
   static void *newArray_HZZ4L_RooSpinZeroPdf(Long_t size, void *p);
   static void delete_HZZ4L_RooSpinZeroPdf(void *p);
   static void deleteArray_HZZ4L_RooSpinZeroPdf(void *p);
   static void destruct_HZZ4L_RooSpinZeroPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HZZ4L_RooSpinZeroPdf*)
   {
      ::HZZ4L_RooSpinZeroPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HZZ4L_RooSpinZeroPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("HZZ4L_RooSpinZeroPdf", ::HZZ4L_RooSpinZeroPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4L_RooSpinZeroPdf.h", 21,
                  typeid(::HZZ4L_RooSpinZeroPdf), DefineBehavior(ptr, ptr),
                  &::HZZ4L_RooSpinZeroPdf::Dictionary, isa_proxy, 4,
                  sizeof(::HZZ4L_RooSpinZeroPdf) );
      instance.SetNew(&new_HZZ4L_RooSpinZeroPdf);
      instance.SetNewArray(&newArray_HZZ4L_RooSpinZeroPdf);
      instance.SetDelete(&delete_HZZ4L_RooSpinZeroPdf);
      instance.SetDeleteArray(&deleteArray_HZZ4L_RooSpinZeroPdf);
      instance.SetDestructor(&destruct_HZZ4L_RooSpinZeroPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HZZ4L_RooSpinZeroPdf*)
   {
      return GenerateInitInstanceLocal((::HZZ4L_RooSpinZeroPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void HZZ4L_RooSpinZeroPdf_phase_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_HZZ4L_RooSpinZeroPdf_phase(void *p = 0);
   static void *newArray_HZZ4L_RooSpinZeroPdf_phase(Long_t size, void *p);
   static void delete_HZZ4L_RooSpinZeroPdf_phase(void *p);
   static void deleteArray_HZZ4L_RooSpinZeroPdf_phase(void *p);
   static void destruct_HZZ4L_RooSpinZeroPdf_phase(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HZZ4L_RooSpinZeroPdf_phase*)
   {
      ::HZZ4L_RooSpinZeroPdf_phase *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HZZ4L_RooSpinZeroPdf_phase >(0);
      static ::ROOT::TGenericClassInfo 
         instance("HZZ4L_RooSpinZeroPdf_phase", ::HZZ4L_RooSpinZeroPdf_phase::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4L_RooSpinZeroPdf_phase.h", 21,
                  typeid(::HZZ4L_RooSpinZeroPdf_phase), DefineBehavior(ptr, ptr),
                  &::HZZ4L_RooSpinZeroPdf_phase::Dictionary, isa_proxy, 4,
                  sizeof(::HZZ4L_RooSpinZeroPdf_phase) );
      instance.SetNew(&new_HZZ4L_RooSpinZeroPdf_phase);
      instance.SetNewArray(&newArray_HZZ4L_RooSpinZeroPdf_phase);
      instance.SetDelete(&delete_HZZ4L_RooSpinZeroPdf_phase);
      instance.SetDeleteArray(&deleteArray_HZZ4L_RooSpinZeroPdf_phase);
      instance.SetDestructor(&destruct_HZZ4L_RooSpinZeroPdf_phase);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HZZ4L_RooSpinZeroPdf_phase*)
   {
      return GenerateInitInstanceLocal((::HZZ4L_RooSpinZeroPdf_phase*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_phase*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void HZZ4L_RooSpinZeroPdf_2D_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_HZZ4L_RooSpinZeroPdf_2D(void *p = 0);
   static void *newArray_HZZ4L_RooSpinZeroPdf_2D(Long_t size, void *p);
   static void delete_HZZ4L_RooSpinZeroPdf_2D(void *p);
   static void deleteArray_HZZ4L_RooSpinZeroPdf_2D(void *p);
   static void destruct_HZZ4L_RooSpinZeroPdf_2D(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HZZ4L_RooSpinZeroPdf_2D*)
   {
      ::HZZ4L_RooSpinZeroPdf_2D *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HZZ4L_RooSpinZeroPdf_2D >(0);
      static ::ROOT::TGenericClassInfo 
         instance("HZZ4L_RooSpinZeroPdf_2D", ::HZZ4L_RooSpinZeroPdf_2D::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HZZ4L_RooSpinZeroPdf_2D.h", 21,
                  typeid(::HZZ4L_RooSpinZeroPdf_2D), DefineBehavior(ptr, ptr),
                  &::HZZ4L_RooSpinZeroPdf_2D::Dictionary, isa_proxy, 4,
                  sizeof(::HZZ4L_RooSpinZeroPdf_2D) );
      instance.SetNew(&new_HZZ4L_RooSpinZeroPdf_2D);
      instance.SetNewArray(&newArray_HZZ4L_RooSpinZeroPdf_2D);
      instance.SetDelete(&delete_HZZ4L_RooSpinZeroPdf_2D);
      instance.SetDeleteArray(&deleteArray_HZZ4L_RooSpinZeroPdf_2D);
      instance.SetDestructor(&destruct_HZZ4L_RooSpinZeroPdf_2D);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HZZ4L_RooSpinZeroPdf_2D*)
   {
      return GenerateInitInstanceLocal((::HZZ4L_RooSpinZeroPdf_2D*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_2D*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooChebyshevPDF_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooChebyshevPDF(void *p = 0);
   static void *newArray_RooChebyshevPDF(Long_t size, void *p);
   static void delete_RooChebyshevPDF(void *p);
   static void deleteArray_RooChebyshevPDF(void *p);
   static void destruct_RooChebyshevPDF(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooChebyshevPDF*)
   {
      ::RooChebyshevPDF *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooChebyshevPDF >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooChebyshevPDF", ::RooChebyshevPDF::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 16,
                  typeid(::RooChebyshevPDF), DefineBehavior(ptr, ptr),
                  &::RooChebyshevPDF::Dictionary, isa_proxy, 4,
                  sizeof(::RooChebyshevPDF) );
      instance.SetNew(&new_RooChebyshevPDF);
      instance.SetNewArray(&newArray_RooChebyshevPDF);
      instance.SetDelete(&delete_RooChebyshevPDF);
      instance.SetDeleteArray(&deleteArray_RooChebyshevPDF);
      instance.SetDestructor(&destruct_RooChebyshevPDF);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooChebyshevPDF*)
   {
      return GenerateInitInstanceLocal((::RooChebyshevPDF*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooChebyshevPDF*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooErfPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooErfPdf(void *p = 0);
   static void *newArray_RooErfPdf(Long_t size, void *p);
   static void delete_RooErfPdf(void *p);
   static void deleteArray_RooErfPdf(void *p);
   static void destruct_RooErfPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooErfPdf*)
   {
      ::RooErfPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooErfPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooErfPdf", ::RooErfPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 51,
                  typeid(::RooErfPdf), DefineBehavior(ptr, ptr),
                  &::RooErfPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooErfPdf) );
      instance.SetNew(&new_RooErfPdf);
      instance.SetNewArray(&newArray_RooErfPdf);
      instance.SetDelete(&delete_RooErfPdf);
      instance.SetDeleteArray(&deleteArray_RooErfPdf);
      instance.SetDestructor(&destruct_RooErfPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooErfPdf*)
   {
      return GenerateInitInstanceLocal((::RooErfPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooErfPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooPowerExpPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooPowerExpPdf(void *p = 0);
   static void *newArray_RooPowerExpPdf(Long_t size, void *p);
   static void delete_RooPowerExpPdf(void *p);
   static void deleteArray_RooPowerExpPdf(void *p);
   static void destruct_RooPowerExpPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooPowerExpPdf*)
   {
      ::RooPowerExpPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooPowerExpPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooPowerExpPdf", ::RooPowerExpPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 87,
                  typeid(::RooPowerExpPdf), DefineBehavior(ptr, ptr),
                  &::RooPowerExpPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooPowerExpPdf) );
      instance.SetNew(&new_RooPowerExpPdf);
      instance.SetNewArray(&newArray_RooPowerExpPdf);
      instance.SetDelete(&delete_RooPowerExpPdf);
      instance.SetDeleteArray(&deleteArray_RooPowerExpPdf);
      instance.SetDestructor(&destruct_RooPowerExpPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooPowerExpPdf*)
   {
      return GenerateInitInstanceLocal((::RooPowerExpPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooPowerExpPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooTH1DPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooTH1DPdf(void *p = 0);
   static void *newArray_RooTH1DPdf(Long_t size, void *p);
   static void delete_RooTH1DPdf(void *p);
   static void deleteArray_RooTH1DPdf(void *p);
   static void destruct_RooTH1DPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooTH1DPdf*)
   {
      ::RooTH1DPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooTH1DPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooTH1DPdf", ::RooTH1DPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 121,
                  typeid(::RooTH1DPdf), DefineBehavior(ptr, ptr),
                  &::RooTH1DPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooTH1DPdf) );
      instance.SetNew(&new_RooTH1DPdf);
      instance.SetNewArray(&newArray_RooTH1DPdf);
      instance.SetDelete(&delete_RooTH1DPdf);
      instance.SetDeleteArray(&deleteArray_RooTH1DPdf);
      instance.SetDestructor(&destruct_RooTH1DPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooTH1DPdf*)
   {
      return GenerateInitInstanceLocal((::RooTH1DPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooTH1DPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooPowerFunction_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooPowerFunction(void *p = 0);
   static void *newArray_RooPowerFunction(Long_t size, void *p);
   static void delete_RooPowerFunction(void *p);
   static void deleteArray_RooPowerFunction(void *p);
   static void destruct_RooPowerFunction(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooPowerFunction*)
   {
      ::RooPowerFunction *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooPowerFunction >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooPowerFunction", ::RooPowerFunction::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 148,
                  typeid(::RooPowerFunction), DefineBehavior(ptr, ptr),
                  &::RooPowerFunction::Dictionary, isa_proxy, 4,
                  sizeof(::RooPowerFunction) );
      instance.SetNew(&new_RooPowerFunction);
      instance.SetNewArray(&newArray_RooPowerFunction);
      instance.SetDelete(&delete_RooPowerFunction);
      instance.SetDeleteArray(&deleteArray_RooPowerFunction);
      instance.SetDestructor(&destruct_RooPowerFunction);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooPowerFunction*)
   {
      return GenerateInitInstanceLocal((::RooPowerFunction*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooPowerFunction*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooPowerLaw_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooPowerLaw(void *p = 0);
   static void *newArray_RooPowerLaw(Long_t size, void *p);
   static void delete_RooPowerLaw(void *p);
   static void deleteArray_RooPowerLaw(void *p);
   static void destruct_RooPowerLaw(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooPowerLaw*)
   {
      ::RooPowerLaw *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooPowerLaw >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooPowerLaw", ::RooPowerLaw::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 177,
                  typeid(::RooPowerLaw), DefineBehavior(ptr, ptr),
                  &::RooPowerLaw::Dictionary, isa_proxy, 4,
                  sizeof(::RooPowerLaw) );
      instance.SetNew(&new_RooPowerLaw);
      instance.SetNewArray(&newArray_RooPowerLaw);
      instance.SetDelete(&delete_RooPowerLaw);
      instance.SetDeleteArray(&deleteArray_RooPowerLaw);
      instance.SetDestructor(&destruct_RooPowerLaw);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooPowerLaw*)
   {
      return GenerateInitInstanceLocal((::RooPowerLaw*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooPowerLaw*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooExpPoly_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooExpPoly(void *p = 0);
   static void *newArray_RooExpPoly(Long_t size, void *p);
   static void delete_RooExpPoly(void *p);
   static void deleteArray_RooExpPoly(void *p);
   static void destruct_RooExpPoly(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooExpPoly*)
   {
      ::RooExpPoly *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooExpPoly >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooExpPoly", ::RooExpPoly::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/HWWLVJJRooPdfs.h", 202,
                  typeid(::RooExpPoly), DefineBehavior(ptr, ptr),
                  &::RooExpPoly::Dictionary, isa_proxy, 4,
                  sizeof(::RooExpPoly) );
      instance.SetNew(&new_RooExpPoly);
      instance.SetNewArray(&newArray_RooExpPoly);
      instance.SetDelete(&delete_RooExpPoly);
      instance.SetDeleteArray(&deleteArray_RooExpPoly);
      instance.SetDestructor(&destruct_RooExpPoly);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooExpPoly*)
   {
      return GenerateInitInstanceLocal((::RooExpPoly*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooExpPoly*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooMorphingPdf_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_RooMorphingPdf(void *p = 0);
   static void *newArray_RooMorphingPdf(Long_t size, void *p);
   static void delete_RooMorphingPdf(void *p);
   static void deleteArray_RooMorphingPdf(void *p);
   static void destruct_RooMorphingPdf(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooMorphingPdf*)
   {
      ::RooMorphingPdf *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooMorphingPdf >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooMorphingPdf", ::RooMorphingPdf::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooMorphingPdf.h", 15,
                  typeid(::RooMorphingPdf), DefineBehavior(ptr, ptr),
                  &::RooMorphingPdf::Dictionary, isa_proxy, 4,
                  sizeof(::RooMorphingPdf) );
      instance.SetNew(&new_RooMorphingPdf);
      instance.SetNewArray(&newArray_RooMorphingPdf);
      instance.SetDelete(&delete_RooMorphingPdf);
      instance.SetDeleteArray(&deleteArray_RooMorphingPdf);
      instance.SetDestructor(&destruct_RooMorphingPdf);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooMorphingPdf*)
   {
      return GenerateInitInstanceLocal((::RooMorphingPdf*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooMorphingPdf*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void GaussExp_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void *new_GaussExp(void *p = 0);
   static void *newArray_GaussExp(Long_t size, void *p);
   static void delete_GaussExp(void *p);
   static void deleteArray_GaussExp(void *p);
   static void destruct_GaussExp(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::GaussExp*)
   {
      ::GaussExp *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::GaussExp >(0);
      static ::ROOT::TGenericClassInfo 
         instance("GaussExp", ::GaussExp::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/GaussExp.h", 16,
                  typeid(::GaussExp), DefineBehavior(ptr, ptr),
                  &::GaussExp::Dictionary, isa_proxy, 4,
                  sizeof(::GaussExp) );
      instance.SetNew(&new_GaussExp);
      instance.SetNewArray(&newArray_GaussExp);
      instance.SetDelete(&delete_GaussExp);
      instance.SetDeleteArray(&deleteArray_GaussExp);
      instance.SetDestructor(&destruct_GaussExp);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::GaussExp*)
   {
      return GenerateInitInstanceLocal((::GaussExp*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::GaussExp*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE1gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE1gR_Dictionary();
   static void *new_RooBernsteinFastlE1gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE1gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE1gR(void *p);
   static void deleteArray_RooBernsteinFastlE1gR(void *p);
   static void destruct_RooBernsteinFastlE1gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<1>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<1>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE1gR));
      ::RooBernsteinFast<1> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<1> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<1>", ::RooBernsteinFast<1>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<1>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE1gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<1>) );
      instance.SetNew(&new_RooBernsteinFastlE1gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE1gR);
      instance.SetDelete(&delete_RooBernsteinFastlE1gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE1gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE1gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<1>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<1>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE1gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE2gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE2gR_Dictionary();
   static void *new_RooBernsteinFastlE2gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE2gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE2gR(void *p);
   static void deleteArray_RooBernsteinFastlE2gR(void *p);
   static void destruct_RooBernsteinFastlE2gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<2>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<2>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE2gR));
      ::RooBernsteinFast<2> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<2> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<2>", ::RooBernsteinFast<2>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<2>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE2gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<2>) );
      instance.SetNew(&new_RooBernsteinFastlE2gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE2gR);
      instance.SetDelete(&delete_RooBernsteinFastlE2gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE2gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE2gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<2>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<2>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE2gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE3gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE3gR_Dictionary();
   static void *new_RooBernsteinFastlE3gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE3gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE3gR(void *p);
   static void deleteArray_RooBernsteinFastlE3gR(void *p);
   static void destruct_RooBernsteinFastlE3gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<3>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<3>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE3gR));
      ::RooBernsteinFast<3> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<3> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<3>", ::RooBernsteinFast<3>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<3>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE3gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<3>) );
      instance.SetNew(&new_RooBernsteinFastlE3gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE3gR);
      instance.SetDelete(&delete_RooBernsteinFastlE3gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE3gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE3gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<3>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<3>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE3gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE4gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE4gR_Dictionary();
   static void *new_RooBernsteinFastlE4gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE4gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE4gR(void *p);
   static void deleteArray_RooBernsteinFastlE4gR(void *p);
   static void destruct_RooBernsteinFastlE4gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<4>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<4>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE4gR));
      ::RooBernsteinFast<4> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<4> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<4>", ::RooBernsteinFast<4>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<4>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE4gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<4>) );
      instance.SetNew(&new_RooBernsteinFastlE4gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE4gR);
      instance.SetDelete(&delete_RooBernsteinFastlE4gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE4gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE4gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<4>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<4>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE4gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE5gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE5gR_Dictionary();
   static void *new_RooBernsteinFastlE5gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE5gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE5gR(void *p);
   static void deleteArray_RooBernsteinFastlE5gR(void *p);
   static void destruct_RooBernsteinFastlE5gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<5>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<5>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE5gR));
      ::RooBernsteinFast<5> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<5> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<5>", ::RooBernsteinFast<5>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<5>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE5gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<5>) );
      instance.SetNew(&new_RooBernsteinFastlE5gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE5gR);
      instance.SetDelete(&delete_RooBernsteinFastlE5gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE5gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE5gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<5>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<5>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE5gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE6gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE6gR_Dictionary();
   static void *new_RooBernsteinFastlE6gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE6gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE6gR(void *p);
   static void deleteArray_RooBernsteinFastlE6gR(void *p);
   static void destruct_RooBernsteinFastlE6gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<6>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<6>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE6gR));
      ::RooBernsteinFast<6> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<6> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<6>", ::RooBernsteinFast<6>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<6>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE6gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<6>) );
      instance.SetNew(&new_RooBernsteinFastlE6gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE6gR);
      instance.SetDelete(&delete_RooBernsteinFastlE6gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE6gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE6gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<6>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<6>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE6gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   void RooBernsteinFastlE7gR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void RooBernsteinFastlE7gR_Dictionary();
   static void *new_RooBernsteinFastlE7gR(void *p = 0);
   static void *newArray_RooBernsteinFastlE7gR(Long_t size, void *p);
   static void delete_RooBernsteinFastlE7gR(void *p);
   static void deleteArray_RooBernsteinFastlE7gR(void *p);
   static void destruct_RooBernsteinFastlE7gR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooBernsteinFast<7>*)
   {
      // Make sure the shadow class has the right sizeof
      R__ASSERT(sizeof(::RooBernsteinFast<7>) == sizeof(::ROOT::Shadow::RooBernsteinFastlE7gR));
      ::RooBernsteinFast<7> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooBernsteinFast<7> >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooBernsteinFast<7>", ::RooBernsteinFast<7>::Class_Version(), "./src/HiggsAnalysis/CombinedLimit/src/../interface/RooBernsteinFast.h", 23,
                  typeid(::RooBernsteinFast<7>), DefineBehavior(ptr, ptr),
                  &RooBernsteinFastlE7gR_Dictionary, isa_proxy, 4,
                  sizeof(::RooBernsteinFast<7>) );
      instance.SetNew(&new_RooBernsteinFastlE7gR);
      instance.SetNewArray(&newArray_RooBernsteinFastlE7gR);
      instance.SetDelete(&delete_RooBernsteinFastlE7gR);
      instance.SetDeleteArray(&deleteArray_RooBernsteinFastlE7gR);
      instance.SetDestructor(&destruct_RooBernsteinFastlE7gR);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooBernsteinFast<7>*)
   {
      return GenerateInitInstanceLocal((::RooBernsteinFast<7>*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void RooBernsteinFastlE7gR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0)->GetClass();
   }

} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr TestProposal::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *TestProposal::Class_Name()
{
   return "TestProposal";
}

//______________________________________________________________________________
const char *TestProposal::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TestProposal*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int TestProposal::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TestProposal*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void TestProposal::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TestProposal*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *TestProposal::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TestProposal*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr DebugProposal::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *DebugProposal::Class_Name()
{
   return "DebugProposal";
}

//______________________________________________________________________________
const char *DebugProposal::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::DebugProposal*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int DebugProposal::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::DebugProposal*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void DebugProposal::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::DebugProposal*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *DebugProposal::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::DebugProposal*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr VerticalInterpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *VerticalInterpPdf::Class_Name()
{
   return "VerticalInterpPdf";
}

//______________________________________________________________________________
const char *VerticalInterpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int VerticalInterpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void VerticalInterpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *VerticalInterpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr SimpleCacheSentry::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *SimpleCacheSentry::Class_Name()
{
   return "SimpleCacheSentry";
}

//______________________________________________________________________________
const char *SimpleCacheSentry::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::SimpleCacheSentry*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int SimpleCacheSentry::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::SimpleCacheSentry*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void SimpleCacheSentry::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::SimpleCacheSentry*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *SimpleCacheSentry::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::SimpleCacheSentry*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf::Class_Name()
{
   return "FastVerticalInterpHistPdf";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdf2Base::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2Base::Class_Name()
{
   return "FastVerticalInterpHistPdf2Base";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2Base::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2Base*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdf2Base::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2Base*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2Base::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2Base*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdf2Base::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2Base*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdf2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2::Class_Name()
{
   return "FastVerticalInterpHistPdf2";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdf2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdf2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdf2D2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2D2::Class_Name()
{
   return "FastVerticalInterpHistPdf2D2";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2D2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdf2D2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2D2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdf2D2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr VerticalInterpHistPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *VerticalInterpHistPdf::Class_Name()
{
   return "VerticalInterpHistPdf";
}

//______________________________________________________________________________
const char *VerticalInterpHistPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpHistPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int VerticalInterpHistPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpHistPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void VerticalInterpHistPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpHistPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *VerticalInterpHistPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::VerticalInterpHistPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdfBase::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdfBase::Class_Name()
{
   return "FastVerticalInterpHistPdfBase";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdfBase::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdfBase::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdfBase::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdfBase::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdf2D::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2D::Class_Name()
{
   return "FastVerticalInterpHistPdf2D";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf2D::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdf2D::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2D::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdf2D::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf2D*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr FastVerticalInterpHistPdf3D::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf3D::Class_Name()
{
   return "FastVerticalInterpHistPdf3D";
}

//______________________________________________________________________________
const char *FastVerticalInterpHistPdf3D::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf3D*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int FastVerticalInterpHistPdf3D::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf3D*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf3D::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf3D*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *FastVerticalInterpHistPdf3D::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdf3D*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr AsymPow::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *AsymPow::Class_Name()
{
   return "AsymPow";
}

//______________________________________________________________________________
const char *AsymPow::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::AsymPow*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int AsymPow::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::AsymPow*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void AsymPow::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::AsymPow*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *AsymPow::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::AsymPow*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr CombDataSetFactory::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *CombDataSetFactory::Class_Name()
{
   return "CombDataSetFactory";
}

//______________________________________________________________________________
const char *CombDataSetFactory::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::CombDataSetFactory*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int CombDataSetFactory::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::CombDataSetFactory*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void CombDataSetFactory::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::CombDataSetFactory*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *CombDataSetFactory::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::CombDataSetFactory*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr TH1Keys::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *TH1Keys::Class_Name()
{
   return "TH1Keys";
}

//______________________________________________________________________________
const char *TH1Keys::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TH1Keys*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int TH1Keys::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TH1Keys*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void TH1Keys::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TH1Keys*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *TH1Keys::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TH1Keys*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooSimultaneousOpt::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooSimultaneousOpt::Class_Name()
{
   return "RooSimultaneousOpt";
}

//______________________________________________________________________________
const char *RooSimultaneousOpt::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSimultaneousOpt*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooSimultaneousOpt::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSimultaneousOpt*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooSimultaneousOpt::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSimultaneousOpt*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooSimultaneousOpt::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSimultaneousOpt*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooqqZZPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooqqZZPdf::Class_Name()
{
   return "RooqqZZPdf";
}

//______________________________________________________________________________
const char *RooqqZZPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooqqZZPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooqqZZPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooqqZZPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooggZZPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooggZZPdf::Class_Name()
{
   return "RooggZZPdf";
}

//______________________________________________________________________________
const char *RooggZZPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooggZZPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooggZZPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooggZZPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooqqZZPdf_v2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooqqZZPdf_v2::Class_Name()
{
   return "RooqqZZPdf_v2";
}

//______________________________________________________________________________
const char *RooqqZZPdf_v2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf_v2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooqqZZPdf_v2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf_v2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooqqZZPdf_v2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf_v2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooqqZZPdf_v2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooqqZZPdf_v2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooVBFZZPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooVBFZZPdf::Class_Name()
{
   return "RooVBFZZPdf";
}

//______________________________________________________________________________
const char *RooVBFZZPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooVBFZZPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooVBFZZPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooVBFZZPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooVBFZZPdf_v2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooVBFZZPdf_v2::Class_Name()
{
   return "RooVBFZZPdf_v2";
}

//______________________________________________________________________________
const char *RooVBFZZPdf_v2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf_v2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooVBFZZPdf_v2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf_v2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooVBFZZPdf_v2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf_v2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooVBFZZPdf_v2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooVBFZZPdf_v2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooggZZPdf_v2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooggZZPdf_v2::Class_Name()
{
   return "RooggZZPdf_v2";
}

//______________________________________________________________________________
const char *RooggZZPdf_v2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf_v2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooggZZPdf_v2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf_v2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooggZZPdf_v2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf_v2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooggZZPdf_v2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooggZZPdf_v2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooBetaFunc_v2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooBetaFunc_v2::Class_Name()
{
   return "RooBetaFunc_v2";
}

//______________________________________________________________________________
const char *RooBetaFunc_v2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBetaFunc_v2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooBetaFunc_v2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBetaFunc_v2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooBetaFunc_v2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBetaFunc_v2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooBetaFunc_v2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBetaFunc_v2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr Roo4lMasses2D_Bkg::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *Roo4lMasses2D_Bkg::Class_Name()
{
   return "Roo4lMasses2D_Bkg";
}

//______________________________________________________________________________
const char *Roo4lMasses2D_Bkg::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_Bkg*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int Roo4lMasses2D_Bkg::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_Bkg*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void Roo4lMasses2D_Bkg::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_Bkg*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *Roo4lMasses2D_Bkg::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_Bkg*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr Roo4lMasses2D_BkgGGZZ::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *Roo4lMasses2D_BkgGGZZ::Class_Name()
{
   return "Roo4lMasses2D_BkgGGZZ";
}

//______________________________________________________________________________
const char *Roo4lMasses2D_BkgGGZZ::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_BkgGGZZ*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int Roo4lMasses2D_BkgGGZZ::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_BkgGGZZ*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void Roo4lMasses2D_BkgGGZZ::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_BkgGGZZ*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *Roo4lMasses2D_BkgGGZZ::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D_BkgGGZZ*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr Roo4lMasses2D::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *Roo4lMasses2D::Class_Name()
{
   return "Roo4lMasses2D";
}

//______________________________________________________________________________
const char *Roo4lMasses2D::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int Roo4lMasses2D::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void Roo4lMasses2D::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *Roo4lMasses2D::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo4lMasses2D*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooFourMuMassShapePdf2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooFourMuMassShapePdf2::Class_Name()
{
   return "RooFourMuMassShapePdf2";
}

//______________________________________________________________________________
const char *RooFourMuMassShapePdf2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassShapePdf2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooFourMuMassShapePdf2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassShapePdf2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooFourMuMassShapePdf2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassShapePdf2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooFourMuMassShapePdf2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassShapePdf2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooFourEMassShapePdf2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooFourEMassShapePdf2::Class_Name()
{
   return "RooFourEMassShapePdf2";
}

//______________________________________________________________________________
const char *RooFourEMassShapePdf2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassShapePdf2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooFourEMassShapePdf2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassShapePdf2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooFourEMassShapePdf2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassShapePdf2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooFourEMassShapePdf2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassShapePdf2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooTwoETwoMuMassShapePdf2::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooTwoETwoMuMassShapePdf2::Class_Name()
{
   return "RooTwoETwoMuMassShapePdf2";
}

//______________________________________________________________________________
const char *RooTwoETwoMuMassShapePdf2::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassShapePdf2*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooTwoETwoMuMassShapePdf2::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassShapePdf2*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooTwoETwoMuMassShapePdf2::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassShapePdf2*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooTwoETwoMuMassShapePdf2::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassShapePdf2*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooFourMuMassRes::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooFourMuMassRes::Class_Name()
{
   return "RooFourMuMassRes";
}

//______________________________________________________________________________
const char *RooFourMuMassRes::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassRes*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooFourMuMassRes::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassRes*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooFourMuMassRes::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassRes*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooFourMuMassRes::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourMuMassRes*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooFourEMassRes::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooFourEMassRes::Class_Name()
{
   return "RooFourEMassRes";
}

//______________________________________________________________________________
const char *RooFourEMassRes::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassRes*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooFourEMassRes::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassRes*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooFourEMassRes::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassRes*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooFourEMassRes::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFourEMassRes*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooTwoETwoMuMassRes::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooTwoETwoMuMassRes::Class_Name()
{
   return "RooTwoETwoMuMassRes";
}

//______________________________________________________________________________
const char *RooTwoETwoMuMassRes::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassRes*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooTwoETwoMuMassRes::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassRes*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooTwoETwoMuMassRes::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassRes*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooTwoETwoMuMassRes::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTwoETwoMuMassRes*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBW1::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBW1::Class_Name()
{
   return "RooRelBW1";
}

//______________________________________________________________________________
const char *RooRelBW1::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW1*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBW1::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW1*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBW1::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW1*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBW1::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW1*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBWUF::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBWUF::Class_Name()
{
   return "RooRelBWUF";
}

//______________________________________________________________________________
const char *RooRelBWUF::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBWUF::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBWUF::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBWUF::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBWUF_SM4::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBWUF_SM4::Class_Name()
{
   return "RooRelBWUF_SM4";
}

//______________________________________________________________________________
const char *RooRelBWUF_SM4::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF_SM4*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBWUF_SM4::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF_SM4*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBWUF_SM4::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF_SM4*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBWUF_SM4::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUF_SM4*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBWUFParamWidth::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBWUFParamWidth::Class_Name()
{
   return "RooRelBWUFParamWidth";
}

//______________________________________________________________________________
const char *RooRelBWUFParamWidth::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParamWidth*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBWUFParamWidth::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParamWidth*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBWUFParamWidth::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParamWidth*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBWUFParamWidth::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParamWidth*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBWUFParam::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBWUFParam::Class_Name()
{
   return "RooRelBWUFParam";
}

//______________________________________________________________________________
const char *RooRelBWUFParam::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParam*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBWUFParam::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParam*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBWUFParam::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParam*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBWUFParam::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWUFParam*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBWHighMass::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBWHighMass::Class_Name()
{
   return "RooRelBWHighMass";
}

//______________________________________________________________________________
const char *RooRelBWHighMass::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWHighMass*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBWHighMass::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWHighMass*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBWHighMass::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWHighMass*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBWHighMass::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBWHighMass*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooTsallis::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooTsallis::Class_Name()
{
   return "RooTsallis";
}

//______________________________________________________________________________
const char *RooTsallis::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTsallis*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooTsallis::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTsallis*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooTsallis::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTsallis*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooTsallis::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTsallis*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooaDoubleCBxBW::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooaDoubleCBxBW::Class_Name()
{
   return "RooaDoubleCBxBW";
}

//______________________________________________________________________________
const char *RooaDoubleCBxBW::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooaDoubleCBxBW*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooaDoubleCBxBW::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooaDoubleCBxBW*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooaDoubleCBxBW::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooaDoubleCBxBW*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooaDoubleCBxBW::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooaDoubleCBxBW*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooCPSHighMassGGH::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooCPSHighMassGGH::Class_Name()
{
   return "RooCPSHighMassGGH";
}

//______________________________________________________________________________
const char *RooCPSHighMassGGH::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGH*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooCPSHighMassGGH::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGH*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooCPSHighMassGGH::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGH*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooCPSHighMassGGH::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGH*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooBWHighMassGGH::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooBWHighMassGGH::Class_Name()
{
   return "RooBWHighMassGGH";
}

//______________________________________________________________________________
const char *RooBWHighMassGGH::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBWHighMassGGH*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooBWHighMassGGH::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBWHighMassGGH*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooBWHighMassGGH::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBWHighMassGGH*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooBWHighMassGGH::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBWHighMassGGH*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooCPSHighMassGGHNoInterf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooCPSHighMassGGHNoInterf::Class_Name()
{
   return "RooCPSHighMassGGHNoInterf";
}

//______________________________________________________________________________
const char *RooCPSHighMassGGHNoInterf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGHNoInterf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooCPSHighMassGGHNoInterf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGHNoInterf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooCPSHighMassGGHNoInterf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGHNoInterf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooCPSHighMassGGHNoInterf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassGGHNoInterf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooCPSHighMassVBF::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooCPSHighMassVBF::Class_Name()
{
   return "RooCPSHighMassVBF";
}

//______________________________________________________________________________
const char *RooCPSHighMassVBF::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBF*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooCPSHighMassVBF::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBF*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooCPSHighMassVBF::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBF*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooCPSHighMassVBF::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBF*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooCPSHighMassVBFNoInterf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooCPSHighMassVBFNoInterf::Class_Name()
{
   return "RooCPSHighMassVBFNoInterf";
}

//______________________________________________________________________________
const char *RooCPSHighMassVBFNoInterf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBFNoInterf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooCPSHighMassVBFNoInterf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBFNoInterf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooCPSHighMassVBFNoInterf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBFNoInterf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooCPSHighMassVBFNoInterf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCPSHighMassVBFNoInterf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooSigPlusInt::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooSigPlusInt::Class_Name()
{
   return "RooSigPlusInt";
}

//______________________________________________________________________________
const char *RooSigPlusInt::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSigPlusInt*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooSigPlusInt::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSigPlusInt*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooSigPlusInt::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSigPlusInt*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooSigPlusInt::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSigPlusInt*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooErfExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooErfExpPdf::Class_Name()
{
   return "RooErfExpPdf";
}

//______________________________________________________________________________
const char *RooErfExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooErfExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooErfExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooErfExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha::Class_Name()
{
   return "RooAlpha";
}

//______________________________________________________________________________
const char *RooAlpha::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlphaExp::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlphaExp::Class_Name()
{
   return "RooAlphaExp";
}

//______________________________________________________________________________
const char *RooAlphaExp::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlphaExp*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlphaExp::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlphaExp*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlphaExp::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlphaExp*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlphaExp::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlphaExp*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooBWRunPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooBWRunPdf::Class_Name()
{
   return "RooBWRunPdf";
}

//______________________________________________________________________________
const char *RooBWRunPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBWRunPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooBWRunPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBWRunPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooBWRunPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBWRunPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooBWRunPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBWRunPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooErfPow2Pdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooErfPow2Pdf::Class_Name()
{
   return "RooErfPow2Pdf";
}

//______________________________________________________________________________
const char *RooErfPow2Pdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPow2Pdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooErfPow2Pdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPow2Pdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooErfPow2Pdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPow2Pdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooErfPow2Pdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPow2Pdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha4ErfPow2Pdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha4ErfPow2Pdf::Class_Name()
{
   return "RooAlpha4ErfPow2Pdf";
}

//______________________________________________________________________________
const char *RooAlpha4ErfPow2Pdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPow2Pdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha4ErfPow2Pdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPow2Pdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha4ErfPow2Pdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPow2Pdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha4ErfPow2Pdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPow2Pdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooErfPowExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooErfPowExpPdf::Class_Name()
{
   return "RooErfPowExpPdf";
}

//______________________________________________________________________________
const char *RooErfPowExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooErfPowExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooErfPowExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooErfPowExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha4ErfPowExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha4ErfPowExpPdf::Class_Name()
{
   return "RooAlpha4ErfPowExpPdf";
}

//______________________________________________________________________________
const char *RooAlpha4ErfPowExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha4ErfPowExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha4ErfPowExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha4ErfPowExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooGausExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooGausExpPdf::Class_Name()
{
   return "RooGausExpPdf";
}

//______________________________________________________________________________
const char *RooGausExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooGausExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooGausExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooGausExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooGausExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooGausExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooGausExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooGausExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha4GausExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha4GausExpPdf::Class_Name()
{
   return "RooAlpha4GausExpPdf";
}

//______________________________________________________________________________
const char *RooAlpha4GausExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4GausExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha4GausExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4GausExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha4GausExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4GausExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha4GausExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4GausExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooErfPowPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooErfPowPdf::Class_Name()
{
   return "RooErfPowPdf";
}

//______________________________________________________________________________
const char *RooErfPowPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooErfPowPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooErfPowPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooErfPowPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPowPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha4ErfPowPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha4ErfPowPdf::Class_Name()
{
   return "RooAlpha4ErfPowPdf";
}

//______________________________________________________________________________
const char *RooAlpha4ErfPowPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha4ErfPowPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha4ErfPowPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha4ErfPowPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ErfPowPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooPow2Pdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooPow2Pdf::Class_Name()
{
   return "RooPow2Pdf";
}

//______________________________________________________________________________
const char *RooPow2Pdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPow2Pdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooPow2Pdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPow2Pdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooPow2Pdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPow2Pdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooPow2Pdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPow2Pdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooPowPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooPowPdf::Class_Name()
{
   return "RooPowPdf";
}

//______________________________________________________________________________
const char *RooPowPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooPowPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooPowPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooPowPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooQCDPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooQCDPdf::Class_Name()
{
   return "RooQCDPdf";
}

//______________________________________________________________________________
const char *RooQCDPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooQCDPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooQCDPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooQCDPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooQCDPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooQCDPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooQCDPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooQCDPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooUser1Pdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooUser1Pdf::Class_Name()
{
   return "RooUser1Pdf";
}

//______________________________________________________________________________
const char *RooUser1Pdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooUser1Pdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooUser1Pdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooUser1Pdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooUser1Pdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooUser1Pdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooUser1Pdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooUser1Pdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooExpNPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooExpNPdf::Class_Name()
{
   return "RooExpNPdf";
}

//______________________________________________________________________________
const char *RooExpNPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpNPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooExpNPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpNPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooExpNPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpNPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooExpNPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpNPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha4ExpNPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha4ExpNPdf::Class_Name()
{
   return "RooAlpha4ExpNPdf";
}

//______________________________________________________________________________
const char *RooAlpha4ExpNPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpNPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha4ExpNPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpNPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha4ExpNPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpNPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha4ExpNPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpNPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooExpTailPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooExpTailPdf::Class_Name()
{
   return "RooExpTailPdf";
}

//______________________________________________________________________________
const char *RooExpTailPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpTailPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooExpTailPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpTailPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooExpTailPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpTailPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooExpTailPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpTailPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha4ExpTailPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha4ExpTailPdf::Class_Name()
{
   return "RooAlpha4ExpTailPdf";
}

//______________________________________________________________________________
const char *RooAlpha4ExpTailPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpTailPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha4ExpTailPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpTailPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha4ExpTailPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpTailPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha4ExpTailPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha4ExpTailPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr Roo2ExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *Roo2ExpPdf::Class_Name()
{
   return "Roo2ExpPdf";
}

//______________________________________________________________________________
const char *Roo2ExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo2ExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int Roo2ExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Roo2ExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void Roo2ExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo2ExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *Roo2ExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Roo2ExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAlpha42ExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAlpha42ExpPdf::Class_Name()
{
   return "RooAlpha42ExpPdf";
}

//______________________________________________________________________________
const char *RooAlpha42ExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha42ExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAlpha42ExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha42ExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAlpha42ExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha42ExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAlpha42ExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAlpha42ExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooAnaExpNPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooAnaExpNPdf::Class_Name()
{
   return "RooAnaExpNPdf";
}

//______________________________________________________________________________
const char *RooAnaExpNPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAnaExpNPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooAnaExpNPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooAnaExpNPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooAnaExpNPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAnaExpNPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooAnaExpNPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooAnaExpNPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooDoubleCrystalBall::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooDoubleCrystalBall::Class_Name()
{
   return "RooDoubleCrystalBall";
}

//______________________________________________________________________________
const char *RooDoubleCrystalBall::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCrystalBall*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooDoubleCrystalBall::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCrystalBall*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooDoubleCrystalBall::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCrystalBall*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooDoubleCrystalBall::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCrystalBall*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooCB::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooCB::Class_Name()
{
   return "RooCB";
}

//______________________________________________________________________________
const char *RooCB::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCB*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooCB::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooCB*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooCB::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCB*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooCB::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooCB*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooDoubleCB::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooDoubleCB::Class_Name()
{
   return "RooDoubleCB";
}

//______________________________________________________________________________
const char *RooDoubleCB::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCB*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooDoubleCB::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCB*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooDoubleCB::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCB*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooDoubleCB::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooDoubleCB*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooFermi::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooFermi::Class_Name()
{
   return "RooFermi";
}

//______________________________________________________________________________
const char *RooFermi::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFermi*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooFermi::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooFermi*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooFermi::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFermi*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooFermi::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooFermi*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooRelBW::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooRelBW::Class_Name()
{
   return "RooRelBW";
}

//______________________________________________________________________________
const char *RooRelBW::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooRelBW::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooRelBW::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooRelBW::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooRelBW*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr Triangle::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *Triangle::Class_Name()
{
   return "Triangle";
}

//______________________________________________________________________________
const char *Triangle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Triangle*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int Triangle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Triangle*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void Triangle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Triangle*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *Triangle::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Triangle*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooLevelledExp::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooLevelledExp::Class_Name()
{
   return "RooLevelledExp";
}

//______________________________________________________________________________
const char *RooLevelledExp::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooLevelledExp*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooLevelledExp::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooLevelledExp*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooLevelledExp::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooLevelledExp*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooLevelledExp::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooLevelledExp*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooPower::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooPower::Class_Name()
{
   return "RooPower";
}

//______________________________________________________________________________
const char *RooPower::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPower*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooPower::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPower*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooPower::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPower*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooPower::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPower*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooStepBernstein::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooStepBernstein::Class_Name()
{
   return "RooStepBernstein";
}

//______________________________________________________________________________
const char *RooStepBernstein::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStepBernstein*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooStepBernstein::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStepBernstein*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooStepBernstein::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStepBernstein*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooStepBernstein::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStepBernstein*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooGaussStepBernstein::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooGaussStepBernstein::Class_Name()
{
   return "RooGaussStepBernstein";
}

//______________________________________________________________________________
const char *RooGaussStepBernstein::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooGaussStepBernstein*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooGaussStepBernstein::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooGaussStepBernstein*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooGaussStepBernstein::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooGaussStepBernstein*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooGaussStepBernstein::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooGaussStepBernstein*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr ProcessNormalization::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *ProcessNormalization::Class_Name()
{
   return "ProcessNormalization";
}

//______________________________________________________________________________
const char *ProcessNormalization::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::ProcessNormalization*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int ProcessNormalization::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::ProcessNormalization*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void ProcessNormalization::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::ProcessNormalization*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *ProcessNormalization::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::ProcessNormalization*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooSpline1D::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooSpline1D::Class_Name()
{
   return "RooSpline1D";
}

//______________________________________________________________________________
const char *RooSpline1D::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSpline1D*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooSpline1D::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSpline1D*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooSpline1D::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSpline1D*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooSpline1D::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSpline1D*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooSplineND::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooSplineND::Class_Name()
{
   return "RooSplineND";
}

//______________________________________________________________________________
const char *RooSplineND::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSplineND*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooSplineND::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooSplineND*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooSplineND::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSplineND*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooSplineND::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooSplineND*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooScaleLOSM::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooScaleLOSM::Class_Name()
{
   return "RooScaleLOSM";
}

//______________________________________________________________________________
const char *RooScaleLOSM::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleLOSM*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooScaleLOSM::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleLOSM*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooScaleLOSM::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleLOSM*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooScaleLOSM::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleLOSM*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooScaleHGamGamLOSM::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooScaleHGamGamLOSM::Class_Name()
{
   return "RooScaleHGamGamLOSM";
}

//______________________________________________________________________________
const char *RooScaleHGamGamLOSM::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSM*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooScaleHGamGamLOSM::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSM*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooScaleHGamGamLOSM::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSM*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooScaleHGamGamLOSM::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSM*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooScaleHGluGluLOSM::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooScaleHGluGluLOSM::Class_Name()
{
   return "RooScaleHGluGluLOSM";
}

//______________________________________________________________________________
const char *RooScaleHGluGluLOSM::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSM*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooScaleHGluGluLOSM::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSM*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooScaleHGluGluLOSM::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSM*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooScaleHGluGluLOSM::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSM*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooScaleHGamGamLOSMPlusX::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooScaleHGamGamLOSMPlusX::Class_Name()
{
   return "RooScaleHGamGamLOSMPlusX";
}

//______________________________________________________________________________
const char *RooScaleHGamGamLOSMPlusX::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSMPlusX*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooScaleHGamGamLOSMPlusX::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSMPlusX*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooScaleHGamGamLOSMPlusX::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSMPlusX*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooScaleHGamGamLOSMPlusX::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGamGamLOSMPlusX*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooScaleHGluGluLOSMPlusX::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooScaleHGluGluLOSMPlusX::Class_Name()
{
   return "RooScaleHGluGluLOSMPlusX";
}

//______________________________________________________________________________
const char *RooScaleHGluGluLOSMPlusX::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSMPlusX*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooScaleHGluGluLOSMPlusX::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSMPlusX*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooScaleHGluGluLOSMPlusX::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSMPlusX*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooScaleHGluGluLOSMPlusX::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooScaleHGluGluLOSMPlusX*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr rVrFLikelihood::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *rVrFLikelihood::Class_Name()
{
   return "rVrFLikelihood";
}

//______________________________________________________________________________
const char *rVrFLikelihood::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::rVrFLikelihood*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int rVrFLikelihood::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::rVrFLikelihood*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void rVrFLikelihood::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::rVrFLikelihood*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *rVrFLikelihood::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::rVrFLikelihood*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooMultiPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooMultiPdf::Class_Name()
{
   return "RooMultiPdf";
}

//______________________________________________________________________________
const char *RooMultiPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooMultiPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooMultiPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooMultiPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooMultiPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooMultiPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooMultiPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooMultiPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooParametricHist::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooParametricHist::Class_Name()
{
   return "RooParametricHist";
}

//______________________________________________________________________________
const char *RooParametricHist::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooParametricHist*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooParametricHist::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooParametricHist*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooParametricHist::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooParametricHist*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooParametricHist::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooParametricHist*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr SimpleGaussianConstraint::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *SimpleGaussianConstraint::Class_Name()
{
   return "SimpleGaussianConstraint";
}

//______________________________________________________________________________
const char *SimpleGaussianConstraint::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::SimpleGaussianConstraint*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int SimpleGaussianConstraint::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::SimpleGaussianConstraint*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void SimpleGaussianConstraint::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::SimpleGaussianConstraint*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *SimpleGaussianConstraint::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::SimpleGaussianConstraint*)0x0)->GetClass();} }
   return fgIsA;
}

      namespace RooStats {
         namespace HistFactory {
//______________________________________________________________________________
atomic_TClass_ptr RooBSplineBases::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooBSplineBases::Class_Name()
{
   return "RooStats::HistFactory::RooBSplineBases";
}

//______________________________________________________________________________
const char *RooBSplineBases::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSplineBases*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooBSplineBases::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSplineBases*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooBSplineBases::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSplineBases*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooBSplineBases::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSplineBases*)0x0)->GetClass();} }
   return fgIsA;
}

} // namespace RooStats::HistFactory
} // namespace RooStats::HistFactory
      namespace RooStats {
         namespace HistFactory {
//______________________________________________________________________________
atomic_TClass_ptr RooBSpline::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooBSpline::Class_Name()
{
   return "RooStats::HistFactory::RooBSpline";
}

//______________________________________________________________________________
const char *RooBSpline::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSpline*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooBSpline::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSpline*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooBSpline::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSpline*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooBSpline::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStats::HistFactory::RooBSpline*)0x0)->GetClass();} }
   return fgIsA;
}

} // namespace RooStats::HistFactory
} // namespace RooStats::HistFactory
//______________________________________________________________________________
atomic_TClass_ptr RooParamKeysPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooParamKeysPdf::Class_Name()
{
   return "RooParamKeysPdf";
}

//______________________________________________________________________________
const char *RooParamKeysPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooParamKeysPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooParamKeysPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooParamKeysPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooParamKeysPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooParamKeysPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooParamKeysPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooParamKeysPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooStarMomentMorph::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooStarMomentMorph::Class_Name()
{
   return "RooStarMomentMorph";
}

//______________________________________________________________________________
const char *RooStarMomentMorph::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStarMomentMorph*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooStarMomentMorph::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooStarMomentMorph*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooStarMomentMorph::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStarMomentMorph*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooStarMomentMorph::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooStarMomentMorph*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HZZ4L_RooSpinZeroPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *HZZ4L_RooSpinZeroPdf::Class_Name()
{
   return "HZZ4L_RooSpinZeroPdf";
}

//______________________________________________________________________________
const char *HZZ4L_RooSpinZeroPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int HZZ4L_RooSpinZeroPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *HZZ4L_RooSpinZeroPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HZZ4L_RooSpinZeroPdf_phase::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *HZZ4L_RooSpinZeroPdf_phase::Class_Name()
{
   return "HZZ4L_RooSpinZeroPdf_phase";
}

//______________________________________________________________________________
const char *HZZ4L_RooSpinZeroPdf_phase::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_phase*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int HZZ4L_RooSpinZeroPdf_phase::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_phase*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf_phase::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_phase*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *HZZ4L_RooSpinZeroPdf_phase::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_phase*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HZZ4L_RooSpinZeroPdf_2D::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *HZZ4L_RooSpinZeroPdf_2D::Class_Name()
{
   return "HZZ4L_RooSpinZeroPdf_2D";
}

//______________________________________________________________________________
const char *HZZ4L_RooSpinZeroPdf_2D::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_2D*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int HZZ4L_RooSpinZeroPdf_2D::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_2D*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf_2D::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_2D*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *HZZ4L_RooSpinZeroPdf_2D::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HZZ4L_RooSpinZeroPdf_2D*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooChebyshevPDF::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooChebyshevPDF::Class_Name()
{
   return "RooChebyshevPDF";
}

//______________________________________________________________________________
const char *RooChebyshevPDF::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooChebyshevPDF*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooChebyshevPDF::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooChebyshevPDF*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooChebyshevPDF::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooChebyshevPDF*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooChebyshevPDF::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooChebyshevPDF*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooErfPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooErfPdf::Class_Name()
{
   return "RooErfPdf";
}

//______________________________________________________________________________
const char *RooErfPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooErfPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooErfPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooErfPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooErfPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooErfPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooPowerExpPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooPowerExpPdf::Class_Name()
{
   return "RooPowerExpPdf";
}

//______________________________________________________________________________
const char *RooPowerExpPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowerExpPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooPowerExpPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowerExpPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooPowerExpPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowerExpPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooPowerExpPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowerExpPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooTH1DPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooTH1DPdf::Class_Name()
{
   return "RooTH1DPdf";
}

//______________________________________________________________________________
const char *RooTH1DPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTH1DPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooTH1DPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooTH1DPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooTH1DPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTH1DPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooTH1DPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooTH1DPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooPowerFunction::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooPowerFunction::Class_Name()
{
   return "RooPowerFunction";
}

//______________________________________________________________________________
const char *RooPowerFunction::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowerFunction*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooPowerFunction::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowerFunction*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooPowerFunction::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowerFunction*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooPowerFunction::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowerFunction*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooPowerLaw::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooPowerLaw::Class_Name()
{
   return "RooPowerLaw";
}

//______________________________________________________________________________
const char *RooPowerLaw::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowerLaw*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooPowerLaw::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooPowerLaw*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooPowerLaw::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowerLaw*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooPowerLaw::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooPowerLaw*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooExpPoly::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooExpPoly::Class_Name()
{
   return "RooExpPoly";
}

//______________________________________________________________________________
const char *RooExpPoly::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpPoly*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooExpPoly::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpPoly*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooExpPoly::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpPoly*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooExpPoly::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpPoly*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr RooMorphingPdf::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooMorphingPdf::Class_Name()
{
   return "RooMorphingPdf";
}

//______________________________________________________________________________
const char *RooMorphingPdf::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooMorphingPdf*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooMorphingPdf::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooMorphingPdf*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void RooMorphingPdf::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooMorphingPdf*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *RooMorphingPdf::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooMorphingPdf*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr GaussExp::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *GaussExp::Class_Name()
{
   return "GaussExp";
}

//______________________________________________________________________________
const char *GaussExp::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::GaussExp*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int GaussExp::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::GaussExp*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
void GaussExp::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::GaussExp*)0x0)->GetClass();
}

//______________________________________________________________________________
TClass *GaussExp::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::GaussExp*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<1>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<1>::Class_Name()
{
   return "RooBernsteinFast<1>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<1>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<1>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<1>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<1>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<2>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<2>::Class_Name()
{
   return "RooBernsteinFast<2>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<2>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<2>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<2>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<2>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<3>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<3>::Class_Name()
{
   return "RooBernsteinFast<3>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<3>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<3>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<3>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<3>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<4>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<4>::Class_Name()
{
   return "RooBernsteinFast<4>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<4>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<4>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<4>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<4>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<5>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<5>::Class_Name()
{
   return "RooBernsteinFast<5>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<5>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<5>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<5>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<5>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<6>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<6>::Class_Name()
{
   return "RooBernsteinFast<6>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<6>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<6>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<6>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<6>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
template <> atomic_TClass_ptr RooBernsteinFast<7>::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
template <> const char *RooBernsteinFast<7>::Class_Name()
{
   return "RooBernsteinFast<7>";
}

//______________________________________________________________________________
template <> const char *RooBernsteinFast<7>::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
template <> int RooBernsteinFast<7>::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
template <> void RooBernsteinFast<7>::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0)->GetClass();
}

//______________________________________________________________________________
template <> TClass *RooBernsteinFast<7>::Class()
{
   if (!fgIsA) { R__LOCKGUARD2(gCINTMutex); if(!fgIsA) {fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0)->GetClass();} }
   return fgIsA;
}

//______________________________________________________________________________
void TestProposal::Streamer(TBuffer &R__b)
{
   // Stream an object of class TestProposal.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(TestProposal::Class(),this);
   } else {
      R__b.WriteClassBuffer(TestProposal::Class(),this);
   }
}

//______________________________________________________________________________
void TestProposal::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class TestProposal.
      TClass *R__cl = ::TestProposal::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "divisor_", &divisor_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "poiDivisor_", &poiDivisor_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alwaysStepMe_", &alwaysStepMe_);
      R__insp.InspectMember(alwaysStepMe_, "alwaysStepMe_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*discreteModelIndicator_", &discreteModelIndicator_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "discreteModelVars_", &discreteModelVars_);
      R__insp.InspectMember(discreteModelVars_, "discreteModelVars_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "discreteModelPoints_", (void*)&discreteModelPoints_);
      R__insp.InspectMember("vector<RooArgSet>", (void*)&discreteModelPoints_, "discreteModelPoints_.", false);
      //This works around a msvc bug and should be harmless on other platforms
      typedef RooStats::ProposalFunction baseClass1;
      baseClass1::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_TestProposal(void *p) {
      return  p ? new(p) ::TestProposal : new ::TestProposal;
   }
   static void *newArray_TestProposal(Long_t nElements, void *p) {
      return p ? new(p) ::TestProposal[nElements] : new ::TestProposal[nElements];
   }
   // Wrapper around operator delete
   static void delete_TestProposal(void *p) {
      delete ((::TestProposal*)p);
   }
   static void deleteArray_TestProposal(void *p) {
      delete [] ((::TestProposal*)p);
   }
   static void destruct_TestProposal(void *p) {
      typedef ::TestProposal current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::TestProposal

//______________________________________________________________________________
void DebugProposal::Streamer(TBuffer &R__b)
{
   // Stream an object of class DebugProposal.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(DebugProposal::Class(),this);
   } else {
      R__b.WriteClassBuffer(DebugProposal::Class(),this);
   }
}

//______________________________________________________________________________
void DebugProposal::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class DebugProposal.
      TClass *R__cl = ::DebugProposal::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*prop_", &prop_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nll_", (void*)&nll_);
      R__insp.InspectMember("auto_ptr<RooAbsReal>", (void*)&nll_, "nll_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*pdf_", &pdf_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "params_", &params_);
      R__insp.InspectMember(params_, "params_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "tries_", &tries_);
      //This works around a msvc bug and should be harmless on other platforms
      typedef RooStats::ProposalFunction baseClass1;
      baseClass1::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_DebugProposal(void *p) {
      return  p ? new(p) ::DebugProposal : new ::DebugProposal;
   }
   static void *newArray_DebugProposal(Long_t nElements, void *p) {
      return p ? new(p) ::DebugProposal[nElements] : new ::DebugProposal[nElements];
   }
   // Wrapper around operator delete
   static void delete_DebugProposal(void *p) {
      delete ((::DebugProposal*)p);
   }
   static void deleteArray_DebugProposal(void *p) {
      delete [] ((::DebugProposal*)p);
   }
   static void destruct_DebugProposal(void *p) {
      typedef ::DebugProposal current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::DebugProposal

//______________________________________________________________________________
void VerticalInterpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class VerticalInterpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(VerticalInterpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(VerticalInterpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void VerticalInterpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class VerticalInterpPdf.
      TClass *R__cl = ::VerticalInterpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_normIntMgr", &_normIntMgr);
      R__insp.InspectMember(_normIntMgr, "_normIntMgr.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_funcList", &_funcList);
      R__insp.InspectMember(_funcList, "_funcList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_quadraticRegion", &_quadraticRegion);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_quadraticAlgo", &_quadraticAlgo);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_funcIter", &_funcIter);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_coefIter", &_coefIter);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_VerticalInterpPdf(void *p) {
      return  p ? new(p) ::VerticalInterpPdf : new ::VerticalInterpPdf;
   }
   static void *newArray_VerticalInterpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::VerticalInterpPdf[nElements] : new ::VerticalInterpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_VerticalInterpPdf(void *p) {
      delete ((::VerticalInterpPdf*)p);
   }
   static void deleteArray_VerticalInterpPdf(void *p) {
      delete [] ((::VerticalInterpPdf*)p);
   }
   static void destruct_VerticalInterpPdf(void *p) {
      typedef ::VerticalInterpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::VerticalInterpPdf

//______________________________________________________________________________
void VerticalInterpHistPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class VerticalInterpHistPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(VerticalInterpHistPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(VerticalInterpHistPdf::Class(),this);
   }
}

//______________________________________________________________________________
void VerticalInterpHistPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class VerticalInterpHistPdf.
      TClass *R__cl = ::VerticalInterpHistPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_funcList", &_funcList);
      R__insp.InspectMember(_funcList, "_funcList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_smoothRegion", &_smoothRegion);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_smoothAlgo", &_smoothAlgo);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_funcIter", &_funcIter);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_coefIter", &_coefIter);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_sentry", &_sentry);
      R__insp.InspectMember(_sentry, "_sentry.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_cacheTotal", &_cacheTotal);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_cacheSingle", &_cacheSingle);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_cacheSingleGood", &_cacheSingleGood);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_VerticalInterpHistPdf(void *p) {
      return  p ? new(p) ::VerticalInterpHistPdf : new ::VerticalInterpHistPdf;
   }
   static void *newArray_VerticalInterpHistPdf(Long_t nElements, void *p) {
      return p ? new(p) ::VerticalInterpHistPdf[nElements] : new ::VerticalInterpHistPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_VerticalInterpHistPdf(void *p) {
      delete ((::VerticalInterpHistPdf*)p);
   }
   static void deleteArray_VerticalInterpHistPdf(void *p) {
      delete [] ((::VerticalInterpHistPdf*)p);
   }
   static void destruct_VerticalInterpHistPdf(void *p) {
      typedef ::VerticalInterpHistPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::VerticalInterpHistPdf

//______________________________________________________________________________
namespace ROOT {
   void FastTemplate_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class FastTemplate.
      typedef ::ROOT::Shadow::FastTemplate ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::FastTemplate*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "size_", &sobj->size_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "values_", (void*)&sobj->values_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->values_, "values_.", false);
   }

}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastTemplate(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastTemplate : new ::FastTemplate;
   }
   static void *newArray_FastTemplate(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastTemplate[nElements] : new ::FastTemplate[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastTemplate(void *p) {
      delete ((::FastTemplate*)p);
   }
   static void deleteArray_FastTemplate(void *p) {
      delete [] ((::FastTemplate*)p);
   }
   static void destruct_FastTemplate(void *p) {
      typedef ::FastTemplate current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastTemplate

//______________________________________________________________________________
namespace ROOT {
   void FastHisto_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class FastHisto.
      typedef ::ROOT::Shadow::FastHisto ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::FastHisto*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binEdges_", (void*)&sobj->binEdges_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binEdges_, "binEdges_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binWidths_", (void*)&sobj->binWidths_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binWidths_, "binWidths_.", false);
      R__insp.GenericShowMembers("FastTemplate", ( ::FastTemplate * )( (::FastHisto*) obj ), false);
   }

}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastHisto(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastHisto : new ::FastHisto;
   }
   static void *newArray_FastHisto(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastHisto[nElements] : new ::FastHisto[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastHisto(void *p) {
      delete ((::FastHisto*)p);
   }
   static void deleteArray_FastHisto(void *p) {
      delete [] ((::FastHisto*)p);
   }
   static void destruct_FastHisto(void *p) {
      typedef ::FastHisto current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastHisto

//______________________________________________________________________________
namespace ROOT {
   void FastHisto2D_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class FastHisto2D.
      typedef ::ROOT::Shadow::FastHisto2D ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::FastHisto2D*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binX_", &sobj->binX_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binY_", &sobj->binY_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binEdgesX_", (void*)&sobj->binEdgesX_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binEdgesX_, "binEdgesX_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binEdgesY_", (void*)&sobj->binEdgesY_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binEdgesY_, "binEdgesY_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binWidths_", (void*)&sobj->binWidths_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binWidths_, "binWidths_.", false);
      R__insp.GenericShowMembers("FastTemplate", ( ::FastTemplate * )( (::FastHisto2D*) obj ), false);
   }

}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastHisto2D(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastHisto2D : new ::FastHisto2D;
   }
   static void *newArray_FastHisto2D(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastHisto2D[nElements] : new ::FastHisto2D[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastHisto2D(void *p) {
      delete ((::FastHisto2D*)p);
   }
   static void deleteArray_FastHisto2D(void *p) {
      delete [] ((::FastHisto2D*)p);
   }
   static void destruct_FastHisto2D(void *p) {
      typedef ::FastHisto2D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastHisto2D

//______________________________________________________________________________
namespace ROOT {
   void FastHisto3D_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class FastHisto3D.
      typedef ::ROOT::Shadow::FastHisto3D ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::FastHisto3D*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binX_", &sobj->binX_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binY_", &sobj->binY_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binZ_", &sobj->binZ_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binEdgesX_", (void*)&sobj->binEdgesX_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binEdgesX_, "binEdgesX_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binEdgesY_", (void*)&sobj->binEdgesY_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binEdgesY_, "binEdgesY_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binEdgesZ_", (void*)&sobj->binEdgesZ_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binEdgesZ_, "binEdgesZ_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "binWidths_", (void*)&sobj->binWidths_);
      R__insp.InspectMember("FastTemplate::AT", (void*)&sobj->binWidths_, "binWidths_.", false);
      R__insp.GenericShowMembers("FastTemplate", ( ::FastTemplate * )( (::FastHisto3D*) obj ), false);
   }

}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastHisto3D(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastHisto3D : new ::FastHisto3D;
   }
   static void *newArray_FastHisto3D(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastHisto3D[nElements] : new ::FastHisto3D[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastHisto3D(void *p) {
      delete ((::FastHisto3D*)p);
   }
   static void deleteArray_FastHisto3D(void *p) {
      delete [] ((::FastHisto3D*)p);
   }
   static void destruct_FastHisto3D(void *p) {
      typedef ::FastHisto3D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastHisto3D

//______________________________________________________________________________
void FastVerticalInterpHistPdfBase::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdfBase.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdfBase::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdfBase::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdfBase::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdfBase.
      TClass *R__cl = ::FastVerticalInterpHistPdfBase::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_funcList", &_funcList);
      R__insp.InspectMember(_funcList, "_funcList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_smoothRegion", &_smoothRegion);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_smoothAlgo", &_smoothAlgo);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_funcIter", &_funcIter);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_coefIter", &_coefIter);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_init", &_init);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_sentry", &_sentry);
      R__insp.InspectMember(_sentry, "_sentry.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_morphs", (void*)&_morphs);
      R__insp.InspectMember("vector<Morph>", (void*)&_morphs, "_morphs.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_morphParams", (void*)&_morphParams);
      R__insp.InspectMember("vector<RooAbsReal*>", (void*)&_morphParams, "_morphParams.", true);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdfBase(void *p) {
      delete ((::FastVerticalInterpHistPdfBase*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdfBase(void *p) {
      delete [] ((::FastVerticalInterpHistPdfBase*)p);
   }
   static void destruct_FastVerticalInterpHistPdfBase(void *p) {
      typedef ::FastVerticalInterpHistPdfBase current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdfBase

//______________________________________________________________________________
namespace ROOT {
   void FastVerticalInterpHistPdfBasecLcLMorph_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class FastVerticalInterpHistPdfBase::Morph.
      typedef ::ROOT::Shadow::FastVerticalInterpHistPdfBase::Morph ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::FastVerticalInterpHistPdfBase::Morph*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sum", (void*)&sobj->sum);
      R__insp.InspectMember("FastTemplate", (void*)&sobj->sum, "sum.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "diff", (void*)&sobj->diff);
      R__insp.InspectMember("FastTemplate", (void*)&sobj->diff, "diff.", false);
   }

}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastVerticalInterpHistPdfBasecLcLMorph(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastVerticalInterpHistPdfBase::Morph : new ::FastVerticalInterpHistPdfBase::Morph;
   }
   static void *newArray_FastVerticalInterpHistPdfBasecLcLMorph(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) ::FastVerticalInterpHistPdfBase::Morph[nElements] : new ::FastVerticalInterpHistPdfBase::Morph[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdfBasecLcLMorph(void *p) {
      delete ((::FastVerticalInterpHistPdfBase::Morph*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdfBasecLcLMorph(void *p) {
      delete [] ((::FastVerticalInterpHistPdfBase::Morph*)p);
   }
   static void destruct_FastVerticalInterpHistPdfBasecLcLMorph(void *p) {
      typedef ::FastVerticalInterpHistPdfBase::Morph current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdfBase::Morph

//______________________________________________________________________________
void FastVerticalInterpHistPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdf::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdf.
      TClass *R__cl = ::FastVerticalInterpHistPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cache", (void*)&_cache);
      R__insp.InspectMember("FastHisto", (void*)&_cache, "_cache.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominal", (void*)&_cacheNominal);
      R__insp.InspectMember("FastHisto", (void*)&_cacheNominal, "_cacheNominal.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominalLog", (void*)&_cacheNominalLog);
      R__insp.InspectMember("FastHisto", (void*)&_cacheNominalLog, "_cacheNominalLog.", true);
      FastVerticalInterpHistPdfBase::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastVerticalInterpHistPdf(void *p) {
      return  p ? new(p) ::FastVerticalInterpHistPdf : new ::FastVerticalInterpHistPdf;
   }
   static void *newArray_FastVerticalInterpHistPdf(Long_t nElements, void *p) {
      return p ? new(p) ::FastVerticalInterpHistPdf[nElements] : new ::FastVerticalInterpHistPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdf(void *p) {
      delete ((::FastVerticalInterpHistPdf*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdf(void *p) {
      delete [] ((::FastVerticalInterpHistPdf*)p);
   }
   static void destruct_FastVerticalInterpHistPdf(void *p) {
      typedef ::FastVerticalInterpHistPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdf

//______________________________________________________________________________
void FastVerticalInterpHistPdf2D::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdf2D.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdf2D::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdf2D::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2D::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdf2D.
      TClass *R__cl = ::FastVerticalInterpHistPdf2D::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_y", &_y);
      R__insp.InspectMember(_y, "_y.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_conditional", &_conditional);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cache", (void*)&_cache);
      R__insp.InspectMember("FastHisto2D", (void*)&_cache, "_cache.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominal", (void*)&_cacheNominal);
      R__insp.InspectMember("FastHisto2D", (void*)&_cacheNominal, "_cacheNominal.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominalLog", (void*)&_cacheNominalLog);
      R__insp.InspectMember("FastHisto2D", (void*)&_cacheNominalLog, "_cacheNominalLog.", true);
      FastVerticalInterpHistPdfBase::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastVerticalInterpHistPdf2D(void *p) {
      return  p ? new(p) ::FastVerticalInterpHistPdf2D : new ::FastVerticalInterpHistPdf2D;
   }
   static void *newArray_FastVerticalInterpHistPdf2D(Long_t nElements, void *p) {
      return p ? new(p) ::FastVerticalInterpHistPdf2D[nElements] : new ::FastVerticalInterpHistPdf2D[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdf2D(void *p) {
      delete ((::FastVerticalInterpHistPdf2D*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdf2D(void *p) {
      delete [] ((::FastVerticalInterpHistPdf2D*)p);
   }
   static void destruct_FastVerticalInterpHistPdf2D(void *p) {
      typedef ::FastVerticalInterpHistPdf2D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdf2D

//______________________________________________________________________________
void FastVerticalInterpHistPdf3D::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdf3D.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdf3D::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdf3D::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf3D::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdf3D.
      TClass *R__cl = ::FastVerticalInterpHistPdf3D::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_y", &_y);
      R__insp.InspectMember(_y, "_y.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_z", &_z);
      R__insp.InspectMember(_z, "_z.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_conditional", &_conditional);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cache", (void*)&_cache);
      R__insp.InspectMember("FastHisto3D", (void*)&_cache, "_cache.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominal", (void*)&_cacheNominal);
      R__insp.InspectMember("FastHisto3D", (void*)&_cacheNominal, "_cacheNominal.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominalLog", (void*)&_cacheNominalLog);
      R__insp.InspectMember("FastHisto3D", (void*)&_cacheNominalLog, "_cacheNominalLog.", true);
      FastVerticalInterpHistPdfBase::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastVerticalInterpHistPdf3D(void *p) {
      return  p ? new(p) ::FastVerticalInterpHistPdf3D : new ::FastVerticalInterpHistPdf3D;
   }
   static void *newArray_FastVerticalInterpHistPdf3D(Long_t nElements, void *p) {
      return p ? new(p) ::FastVerticalInterpHistPdf3D[nElements] : new ::FastVerticalInterpHistPdf3D[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdf3D(void *p) {
      delete ((::FastVerticalInterpHistPdf3D*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdf3D(void *p) {
      delete [] ((::FastVerticalInterpHistPdf3D*)p);
   }
   static void destruct_FastVerticalInterpHistPdf3D(void *p) {
      typedef ::FastVerticalInterpHistPdf3D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdf3D

//______________________________________________________________________________
void FastVerticalInterpHistPdf2Base::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdf2Base.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdf2Base::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdf2Base::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2Base::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdf2Base.
      TClass *R__cl = ::FastVerticalInterpHistPdf2Base::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_smoothRegion", &_smoothRegion);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_smoothAlgo", &_smoothAlgo);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_initBase", &_initBase);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_sentry", &_sentry);
      R__insp.InspectMember(_sentry, "_sentry.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_morphs", (void*)&_morphs);
      R__insp.InspectMember("vector<Morph>", (void*)&_morphs, "_morphs.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_morphParams", (void*)&_morphParams);
      R__insp.InspectMember("vector<const RooAbsReal*>", (void*)&_morphParams, "_morphParams.", true);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdf2Base(void *p) {
      delete ((::FastVerticalInterpHistPdf2Base*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdf2Base(void *p) {
      delete [] ((::FastVerticalInterpHistPdf2Base*)p);
   }
   static void destruct_FastVerticalInterpHistPdf2Base(void *p) {
      typedef ::FastVerticalInterpHistPdf2Base current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdf2Base

//______________________________________________________________________________
void FastVerticalInterpHistPdf2::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdf2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdf2::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdf2::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdf2.
      TClass *R__cl = ::FastVerticalInterpHistPdf2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cache", (void*)&_cache);
      R__insp.InspectMember("FastHisto", (void*)&_cache, "_cache.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominal", (void*)&_cacheNominal);
      R__insp.InspectMember("FastHisto", (void*)&_cacheNominal, "_cacheNominal.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominalLog", (void*)&_cacheNominalLog);
      R__insp.InspectMember("FastHisto", (void*)&_cacheNominalLog, "_cacheNominalLog.", false);
      FastVerticalInterpHistPdf2Base::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastVerticalInterpHistPdf2(void *p) {
      return  p ? new(p) ::FastVerticalInterpHistPdf2 : new ::FastVerticalInterpHistPdf2;
   }
   static void *newArray_FastVerticalInterpHistPdf2(Long_t nElements, void *p) {
      return p ? new(p) ::FastVerticalInterpHistPdf2[nElements] : new ::FastVerticalInterpHistPdf2[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdf2(void *p) {
      delete ((::FastVerticalInterpHistPdf2*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdf2(void *p) {
      delete [] ((::FastVerticalInterpHistPdf2*)p);
   }
   static void destruct_FastVerticalInterpHistPdf2(void *p) {
      typedef ::FastVerticalInterpHistPdf2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdf2

//______________________________________________________________________________
void FastVerticalInterpHistPdf2D2::Streamer(TBuffer &R__b)
{
   // Stream an object of class FastVerticalInterpHistPdf2D2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(FastVerticalInterpHistPdf2D2::Class(),this);
   } else {
      R__b.WriteClassBuffer(FastVerticalInterpHistPdf2D2::Class(),this);
   }
}

//______________________________________________________________________________
void FastVerticalInterpHistPdf2D2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class FastVerticalInterpHistPdf2D2.
      TClass *R__cl = ::FastVerticalInterpHistPdf2D2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_y", &_y);
      R__insp.InspectMember(_y, "_y.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_conditional", &_conditional);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cache", (void*)&_cache);
      R__insp.InspectMember("FastHisto2D", (void*)&_cache, "_cache.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominal", (void*)&_cacheNominal);
      R__insp.InspectMember("FastHisto2D", (void*)&_cacheNominal, "_cacheNominal.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheNominalLog", (void*)&_cacheNominalLog);
      R__insp.InspectMember("FastHisto2D", (void*)&_cacheNominalLog, "_cacheNominalLog.", false);
      FastVerticalInterpHistPdf2Base::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_FastVerticalInterpHistPdf2D2(void *p) {
      return  p ? new(p) ::FastVerticalInterpHistPdf2D2 : new ::FastVerticalInterpHistPdf2D2;
   }
   static void *newArray_FastVerticalInterpHistPdf2D2(Long_t nElements, void *p) {
      return p ? new(p) ::FastVerticalInterpHistPdf2D2[nElements] : new ::FastVerticalInterpHistPdf2D2[nElements];
   }
   // Wrapper around operator delete
   static void delete_FastVerticalInterpHistPdf2D2(void *p) {
      delete ((::FastVerticalInterpHistPdf2D2*)p);
   }
   static void deleteArray_FastVerticalInterpHistPdf2D2(void *p) {
      delete [] ((::FastVerticalInterpHistPdf2D2*)p);
   }
   static void destruct_FastVerticalInterpHistPdf2D2(void *p) {
      typedef ::FastVerticalInterpHistPdf2D2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::FastVerticalInterpHistPdf2D2

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class HZZ4L_RooSpinZeroPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(HZZ4L_RooSpinZeroPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(HZZ4L_RooSpinZeroPdf::Class(),this);
   }
}

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class HZZ4L_RooSpinZeroPdf.
      TClass *R__cl = ::HZZ4L_RooSpinZeroPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kd", &kd);
      R__insp.InspectMember(kd, "kd.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kdint", &kdint);
      R__insp.InspectMember(kdint, "kdint.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ksmd", &ksmd);
      R__insp.InspectMember(ksmd, "ksmd.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fai", &fai);
      R__insp.InspectMember(fai, "fai.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_HZZ4L_RooSpinZeroPdf(void *p) {
      return  p ? new(p) ::HZZ4L_RooSpinZeroPdf : new ::HZZ4L_RooSpinZeroPdf;
   }
   static void *newArray_HZZ4L_RooSpinZeroPdf(Long_t nElements, void *p) {
      return p ? new(p) ::HZZ4L_RooSpinZeroPdf[nElements] : new ::HZZ4L_RooSpinZeroPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_HZZ4L_RooSpinZeroPdf(void *p) {
      delete ((::HZZ4L_RooSpinZeroPdf*)p);
   }
   static void deleteArray_HZZ4L_RooSpinZeroPdf(void *p) {
      delete [] ((::HZZ4L_RooSpinZeroPdf*)p);
   }
   static void destruct_HZZ4L_RooSpinZeroPdf(void *p) {
      typedef ::HZZ4L_RooSpinZeroPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::HZZ4L_RooSpinZeroPdf

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf_phase::Streamer(TBuffer &R__b)
{
   // Stream an object of class HZZ4L_RooSpinZeroPdf_phase.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(HZZ4L_RooSpinZeroPdf_phase::Class(),this);
   } else {
      R__b.WriteClassBuffer(HZZ4L_RooSpinZeroPdf_phase::Class(),this);
   }
}

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf_phase::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class HZZ4L_RooSpinZeroPdf_phase.
      TClass *R__cl = ::HZZ4L_RooSpinZeroPdf_phase::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kd", &kd);
      R__insp.InspectMember(kd, "kd.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kdint", &kdint);
      R__insp.InspectMember(kdint, "kdint.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ksmd", &ksmd);
      R__insp.InspectMember(ksmd, "ksmd.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fai", &fai);
      R__insp.InspectMember(fai, "fai.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "phi", &phi);
      R__insp.InspectMember(phi, "phi.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_HZZ4L_RooSpinZeroPdf_phase(void *p) {
      return  p ? new(p) ::HZZ4L_RooSpinZeroPdf_phase : new ::HZZ4L_RooSpinZeroPdf_phase;
   }
   static void *newArray_HZZ4L_RooSpinZeroPdf_phase(Long_t nElements, void *p) {
      return p ? new(p) ::HZZ4L_RooSpinZeroPdf_phase[nElements] : new ::HZZ4L_RooSpinZeroPdf_phase[nElements];
   }
   // Wrapper around operator delete
   static void delete_HZZ4L_RooSpinZeroPdf_phase(void *p) {
      delete ((::HZZ4L_RooSpinZeroPdf_phase*)p);
   }
   static void deleteArray_HZZ4L_RooSpinZeroPdf_phase(void *p) {
      delete [] ((::HZZ4L_RooSpinZeroPdf_phase*)p);
   }
   static void destruct_HZZ4L_RooSpinZeroPdf_phase(void *p) {
      typedef ::HZZ4L_RooSpinZeroPdf_phase current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::HZZ4L_RooSpinZeroPdf_phase

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf_2D::Streamer(TBuffer &R__b)
{
   // Stream an object of class HZZ4L_RooSpinZeroPdf_2D.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(HZZ4L_RooSpinZeroPdf_2D::Class(),this);
   } else {
      R__b.WriteClassBuffer(HZZ4L_RooSpinZeroPdf_2D::Class(),this);
   }
}

//______________________________________________________________________________
void HZZ4L_RooSpinZeroPdf_2D::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class HZZ4L_RooSpinZeroPdf_2D.
      TClass *R__cl = ::HZZ4L_RooSpinZeroPdf_2D::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kd", &kd);
      R__insp.InspectMember(kd, "kd.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kdint", &kdint);
      R__insp.InspectMember(kdint, "kdint.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ksmd", &ksmd);
      R__insp.InspectMember(ksmd, "ksmd.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fai1", &fai1);
      R__insp.InspectMember(fai1, "fai1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fai2", &fai2);
      R__insp.InspectMember(fai2, "fai2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "phi1", &phi1);
      R__insp.InspectMember(phi1, "phi1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "phi2", &phi2);
      R__insp.InspectMember(phi2, "phi2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_HZZ4L_RooSpinZeroPdf_2D(void *p) {
      return  p ? new(p) ::HZZ4L_RooSpinZeroPdf_2D : new ::HZZ4L_RooSpinZeroPdf_2D;
   }
   static void *newArray_HZZ4L_RooSpinZeroPdf_2D(Long_t nElements, void *p) {
      return p ? new(p) ::HZZ4L_RooSpinZeroPdf_2D[nElements] : new ::HZZ4L_RooSpinZeroPdf_2D[nElements];
   }
   // Wrapper around operator delete
   static void delete_HZZ4L_RooSpinZeroPdf_2D(void *p) {
      delete ((::HZZ4L_RooSpinZeroPdf_2D*)p);
   }
   static void deleteArray_HZZ4L_RooSpinZeroPdf_2D(void *p) {
      delete [] ((::HZZ4L_RooSpinZeroPdf_2D*)p);
   }
   static void destruct_HZZ4L_RooSpinZeroPdf_2D(void *p) {
      typedef ::HZZ4L_RooSpinZeroPdf_2D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::HZZ4L_RooSpinZeroPdf_2D

//______________________________________________________________________________
void AsymPow::Streamer(TBuffer &R__b)
{
   // Stream an object of class AsymPow.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(AsymPow::Class(),this);
   } else {
      R__b.WriteClassBuffer(AsymPow::Class(),this);
   }
}

//______________________________________________________________________________
void AsymPow::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class AsymPow.
      TClass *R__cl = ::AsymPow::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kappaLow_", &kappaLow_);
      R__insp.InspectMember(kappaLow_, "kappaLow_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "kappaHigh_", &kappaHigh_);
      R__insp.InspectMember(kappaHigh_, "kappaHigh_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "theta_", &theta_);
      R__insp.InspectMember(theta_, "theta_.");
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_AsymPow(void *p) {
      return  p ? new(p) ::AsymPow : new ::AsymPow;
   }
   static void *newArray_AsymPow(Long_t nElements, void *p) {
      return p ? new(p) ::AsymPow[nElements] : new ::AsymPow[nElements];
   }
   // Wrapper around operator delete
   static void delete_AsymPow(void *p) {
      delete ((::AsymPow*)p);
   }
   static void deleteArray_AsymPow(void *p) {
      delete [] ((::AsymPow*)p);
   }
   static void destruct_AsymPow(void *p) {
      typedef ::AsymPow current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::AsymPow

//______________________________________________________________________________
void CombDataSetFactory::Streamer(TBuffer &R__b)
{
   // Stream an object of class CombDataSetFactory.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(CombDataSetFactory::Class(),this);
   } else {
      R__b.WriteClassBuffer(CombDataSetFactory::Class(),this);
   }
}

//______________________________________________________________________________
void CombDataSetFactory::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class CombDataSetFactory.
      TClass *R__cl = ::CombDataSetFactory::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "vars_", &vars_);
      R__insp.InspectMember(vars_, "vars_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*cat_", &cat_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*weight_", &weight_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "map_", (void*)&map_);
      R__insp.InspectMember("map<std::string,RooDataHist*>", (void*)&map_, "map_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mapUB_", (void*)&mapUB_);
      R__insp.InspectMember("map<std::string,RooDataSet*>", (void*)&mapUB_, "mapUB_.", false);
      TObject::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_CombDataSetFactory(void *p) {
      return  p ? new(p) ::CombDataSetFactory : new ::CombDataSetFactory;
   }
   static void *newArray_CombDataSetFactory(Long_t nElements, void *p) {
      return p ? new(p) ::CombDataSetFactory[nElements] : new ::CombDataSetFactory[nElements];
   }
   // Wrapper around operator delete
   static void delete_CombDataSetFactory(void *p) {
      delete ((::CombDataSetFactory*)p);
   }
   static void deleteArray_CombDataSetFactory(void *p) {
      delete [] ((::CombDataSetFactory*)p);
   }
   static void destruct_CombDataSetFactory(void *p) {
      typedef ::CombDataSetFactory current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::CombDataSetFactory

//______________________________________________________________________________
void TH1Keys::Streamer(TBuffer &R__b)
{
   // Stream an object of class TH1Keys.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(TH1Keys::Class(),this);
   } else {
      R__b.WriteClassBuffer(TH1Keys::Class(),this);
   }
}

//______________________________________________________________________________
void TH1Keys::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class TH1Keys.
      TClass *R__cl = ::TH1Keys::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "min_", &min_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "max_", &max_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*x_", &x_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*w_", &w_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "point_", &point_);
      R__insp.InspectMember(point_, "point_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*dataset_", &dataset_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "underflow_", &underflow_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "overflow_", &overflow_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "globalScale_", &globalScale_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "options_", &options_);
      R__insp.InspectMember(options_, "options_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "rho_", &rho_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*cache_", &cache_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "isCacheGood_", &isCacheGood_);
      TH1::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_TH1Keys(void *p) {
      return  p ? new(p) ::TH1Keys : new ::TH1Keys;
   }
   static void *newArray_TH1Keys(Long_t nElements, void *p) {
      return p ? new(p) ::TH1Keys[nElements] : new ::TH1Keys[nElements];
   }
   // Wrapper around operator delete
   static void delete_TH1Keys(void *p) {
      delete ((::TH1Keys*)p);
   }
   static void deleteArray_TH1Keys(void *p) {
      delete [] ((::TH1Keys*)p);
   }
   static void destruct_TH1Keys(void *p) {
      typedef ::TH1Keys current_t;
      ((current_t*)p)->~current_t();
   }
   // Wrapper around the directory auto add.
   static void directoryAutoAdd_TH1Keys(void *p, TDirectory *dir) {
      ((::TH1Keys*)p)->DirectoryAutoAdd(dir);
   }
   // Wrapper around the merge function.
   static Long64_t  merge_TH1Keys(void *obj,TCollection *coll,TFileMergeInfo *) {
      return ((::TH1Keys*)obj)->Merge(coll);
   }
} // end of namespace ROOT for class ::TH1Keys

//______________________________________________________________________________
void RooSimultaneousOpt::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooSimultaneousOpt.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooSimultaneousOpt::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooSimultaneousOpt::Class(),this);
   }
}

//______________________________________________________________________________
void RooSimultaneousOpt::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooSimultaneousOpt.
      TClass *R__cl = ::RooSimultaneousOpt::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_extraConstraints", &_extraConstraints);
      R__insp.InspectMember(_extraConstraints, "_extraConstraints.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_channelMasks", &_channelMasks);
      R__insp.InspectMember(_channelMasks, "_channelMasks.");
      RooSimultaneous::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooSimultaneousOpt(void *p) {
      return  p ? new(p) ::RooSimultaneousOpt : new ::RooSimultaneousOpt;
   }
   static void *newArray_RooSimultaneousOpt(Long_t nElements, void *p) {
      return p ? new(p) ::RooSimultaneousOpt[nElements] : new ::RooSimultaneousOpt[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooSimultaneousOpt(void *p) {
      delete ((::RooSimultaneousOpt*)p);
   }
   static void deleteArray_RooSimultaneousOpt(void *p) {
      delete [] ((::RooSimultaneousOpt*)p);
   }
   static void destruct_RooSimultaneousOpt(void *p) {
      typedef ::RooSimultaneousOpt current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooSimultaneousOpt

//______________________________________________________________________________
void SimpleGaussianConstraint::Streamer(TBuffer &R__b)
{
   // Stream an object of class SimpleGaussianConstraint.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(SimpleGaussianConstraint::Class(),this);
   } else {
      R__b.WriteClassBuffer(SimpleGaussianConstraint::Class(),this);
   }
}

//______________________________________________________________________________
void SimpleGaussianConstraint::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class SimpleGaussianConstraint.
      TClass *R__cl = ::SimpleGaussianConstraint::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "scale_", &scale_);
      RooGaussian::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_SimpleGaussianConstraint(void *p) {
      return  p ? new(p) ::SimpleGaussianConstraint : new ::SimpleGaussianConstraint;
   }
   static void *newArray_SimpleGaussianConstraint(Long_t nElements, void *p) {
      return p ? new(p) ::SimpleGaussianConstraint[nElements] : new ::SimpleGaussianConstraint[nElements];
   }
   // Wrapper around operator delete
   static void delete_SimpleGaussianConstraint(void *p) {
      delete ((::SimpleGaussianConstraint*)p);
   }
   static void deleteArray_SimpleGaussianConstraint(void *p) {
      delete [] ((::SimpleGaussianConstraint*)p);
   }
   static void destruct_SimpleGaussianConstraint(void *p) {
      typedef ::SimpleGaussianConstraint current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::SimpleGaussianConstraint

//______________________________________________________________________________
void SimpleCacheSentry::Streamer(TBuffer &R__b)
{
   // Stream an object of class SimpleCacheSentry.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(SimpleCacheSentry::Class(),this);
   } else {
      R__b.WriteClassBuffer(SimpleCacheSentry::Class(),this);
   }
}

//______________________________________________________________________________
void SimpleCacheSentry::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class SimpleCacheSentry.
      TClass *R__cl = ::SimpleCacheSentry::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_deps", &_deps);
      R__insp.InspectMember(_deps, "_deps.");
      RooAbsArg::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_SimpleCacheSentry(void *p) {
      return  p ? new(p) ::SimpleCacheSentry : new ::SimpleCacheSentry;
   }
   static void *newArray_SimpleCacheSentry(Long_t nElements, void *p) {
      return p ? new(p) ::SimpleCacheSentry[nElements] : new ::SimpleCacheSentry[nElements];
   }
   // Wrapper around operator delete
   static void delete_SimpleCacheSentry(void *p) {
      delete ((::SimpleCacheSentry*)p);
   }
   static void deleteArray_SimpleCacheSentry(void *p) {
      delete [] ((::SimpleCacheSentry*)p);
   }
   static void destruct_SimpleCacheSentry(void *p) {
      typedef ::SimpleCacheSentry current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::SimpleCacheSentry

//______________________________________________________________________________
void RooqqZZPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooqqZZPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooqqZZPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooqqZZPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooqqZZPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooqqZZPdf.
      TClass *R__cl = ::RooqqZZPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a2", &a2);
      R__insp.InspectMember(a2, "a2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a3", &a3);
      R__insp.InspectMember(a3, "a3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "b1", &b1);
      R__insp.InspectMember(b1, "b1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "b2", &b2);
      R__insp.InspectMember(b2, "b2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "b3", &b3);
      R__insp.InspectMember(b3, "b3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "frac", &frac);
      R__insp.InspectMember(frac, "frac.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooqqZZPdf(void *p) {
      return  p ? new(p) ::RooqqZZPdf : new ::RooqqZZPdf;
   }
   static void *newArray_RooqqZZPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooqqZZPdf[nElements] : new ::RooqqZZPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooqqZZPdf(void *p) {
      delete ((::RooqqZZPdf*)p);
   }
   static void deleteArray_RooqqZZPdf(void *p) {
      delete [] ((::RooqqZZPdf*)p);
   }
   static void destruct_RooqqZZPdf(void *p) {
      typedef ::RooqqZZPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooqqZZPdf

//______________________________________________________________________________
void RooggZZPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooggZZPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooggZZPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooggZZPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooggZZPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooggZZPdf.
      TClass *R__cl = ::RooggZZPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a2", &a2);
      R__insp.InspectMember(a2, "a2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a3", &a3);
      R__insp.InspectMember(a3, "a3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "b1", &b1);
      R__insp.InspectMember(b1, "b1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "b2", &b2);
      R__insp.InspectMember(b2, "b2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "b3", &b3);
      R__insp.InspectMember(b3, "b3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "frac", &frac);
      R__insp.InspectMember(frac, "frac.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooggZZPdf(void *p) {
      return  p ? new(p) ::RooggZZPdf : new ::RooggZZPdf;
   }
   static void *newArray_RooggZZPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooggZZPdf[nElements] : new ::RooggZZPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooggZZPdf(void *p) {
      delete ((::RooggZZPdf*)p);
   }
   static void deleteArray_RooggZZPdf(void *p) {
      delete [] ((::RooggZZPdf*)p);
   }
   static void destruct_RooggZZPdf(void *p) {
      typedef ::RooggZZPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooggZZPdf

//______________________________________________________________________________
void RooqqZZPdf_v2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooqqZZPdf_v2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooqqZZPdf_v2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooqqZZPdf_v2::Class(),this);
   }
}

//______________________________________________________________________________
void RooqqZZPdf_v2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooqqZZPdf_v2.
      TClass *R__cl = ::RooqqZZPdf_v2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a0", &a0);
      R__insp.InspectMember(a0, "a0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a2", &a2);
      R__insp.InspectMember(a2, "a2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a3", &a3);
      R__insp.InspectMember(a3, "a3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a4", &a4);
      R__insp.InspectMember(a4, "a4.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a5", &a5);
      R__insp.InspectMember(a5, "a5.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a6", &a6);
      R__insp.InspectMember(a6, "a6.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a7", &a7);
      R__insp.InspectMember(a7, "a7.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a8", &a8);
      R__insp.InspectMember(a8, "a8.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a9", &a9);
      R__insp.InspectMember(a9, "a9.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a10", &a10);
      R__insp.InspectMember(a10, "a10.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a11", &a11);
      R__insp.InspectMember(a11, "a11.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a12", &a12);
      R__insp.InspectMember(a12, "a12.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a13", &a13);
      R__insp.InspectMember(a13, "a13.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooqqZZPdf_v2(void *p) {
      return  p ? new(p) ::RooqqZZPdf_v2 : new ::RooqqZZPdf_v2;
   }
   static void *newArray_RooqqZZPdf_v2(Long_t nElements, void *p) {
      return p ? new(p) ::RooqqZZPdf_v2[nElements] : new ::RooqqZZPdf_v2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooqqZZPdf_v2(void *p) {
      delete ((::RooqqZZPdf_v2*)p);
   }
   static void deleteArray_RooqqZZPdf_v2(void *p) {
      delete [] ((::RooqqZZPdf_v2*)p);
   }
   static void destruct_RooqqZZPdf_v2(void *p) {
      typedef ::RooqqZZPdf_v2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooqqZZPdf_v2

//______________________________________________________________________________
void RooggZZPdf_v2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooggZZPdf_v2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooggZZPdf_v2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooggZZPdf_v2::Class(),this);
   }
}

//______________________________________________________________________________
void RooggZZPdf_v2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooggZZPdf_v2.
      TClass *R__cl = ::RooggZZPdf_v2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a0", &a0);
      R__insp.InspectMember(a0, "a0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a2", &a2);
      R__insp.InspectMember(a2, "a2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a3", &a3);
      R__insp.InspectMember(a3, "a3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a4", &a4);
      R__insp.InspectMember(a4, "a4.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a5", &a5);
      R__insp.InspectMember(a5, "a5.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a6", &a6);
      R__insp.InspectMember(a6, "a6.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a7", &a7);
      R__insp.InspectMember(a7, "a7.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a8", &a8);
      R__insp.InspectMember(a8, "a8.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a9", &a9);
      R__insp.InspectMember(a9, "a9.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooggZZPdf_v2(void *p) {
      return  p ? new(p) ::RooggZZPdf_v2 : new ::RooggZZPdf_v2;
   }
   static void *newArray_RooggZZPdf_v2(Long_t nElements, void *p) {
      return p ? new(p) ::RooggZZPdf_v2[nElements] : new ::RooggZZPdf_v2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooggZZPdf_v2(void *p) {
      delete ((::RooggZZPdf_v2*)p);
   }
   static void deleteArray_RooggZZPdf_v2(void *p) {
      delete [] ((::RooggZZPdf_v2*)p);
   }
   static void destruct_RooggZZPdf_v2(void *p) {
      typedef ::RooggZZPdf_v2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooggZZPdf_v2

//______________________________________________________________________________
void RooBetaFunc_v2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBetaFunc_v2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBetaFunc_v2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBetaFunc_v2::Class(),this);
   }
}

//______________________________________________________________________________
void RooBetaFunc_v2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooBetaFunc_v2.
      TClass *R__cl = ::RooBetaFunc_v2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZstar", &mZstar);
      R__insp.InspectMember(mZstar, "mZstar.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZ", &mZ);
      R__insp.InspectMember(mZ, "mZ.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m0", &m0);
      R__insp.InspectMember(m0, "m0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZZ", &mZZ);
      R__insp.InspectMember(mZZ, "mZZ.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "Gamma", &Gamma);
      R__insp.InspectMember(Gamma, "Gamma.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "Gamma0", &Gamma0);
      R__insp.InspectMember(Gamma0, "Gamma0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a0", &a0);
      R__insp.InspectMember(a0, "a0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a2", &a2);
      R__insp.InspectMember(a2, "a2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a3", &a3);
      R__insp.InspectMember(a3, "a3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "f", &f);
      R__insp.InspectMember(f, "f.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "f0", &f0);
      R__insp.InspectMember(f0, "f0.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBetaFunc_v2(void *p) {
      return  p ? new(p) ::RooBetaFunc_v2 : new ::RooBetaFunc_v2;
   }
   static void *newArray_RooBetaFunc_v2(Long_t nElements, void *p) {
      return p ? new(p) ::RooBetaFunc_v2[nElements] : new ::RooBetaFunc_v2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBetaFunc_v2(void *p) {
      delete ((::RooBetaFunc_v2*)p);
   }
   static void deleteArray_RooBetaFunc_v2(void *p) {
      delete [] ((::RooBetaFunc_v2*)p);
   }
   static void destruct_RooBetaFunc_v2(void *p) {
      typedef ::RooBetaFunc_v2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBetaFunc_v2

//______________________________________________________________________________
void Roo4lMasses2D::Streamer(TBuffer &R__b)
{
   // Stream an object of class Roo4lMasses2D.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(Roo4lMasses2D::Class(),this);
   } else {
      R__b.WriteClassBuffer(Roo4lMasses2D::Class(),this);
   }
}

//______________________________________________________________________________
void Roo4lMasses2D::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class Roo4lMasses2D.
      TClass *R__cl = ::Roo4lMasses2D::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZstar", &mZstar);
      R__insp.InspectMember(mZstar, "mZstar.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZ", &mZ);
      R__insp.InspectMember(mZ, "mZ.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZZ", &mZZ);
      R__insp.InspectMember(mZZ, "mZZ.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "Gamma", &Gamma);
      R__insp.InspectMember(Gamma, "Gamma.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p0", &p0);
      R__insp.InspectMember(p0, "p0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p1", &p1);
      R__insp.InspectMember(p1, "p1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p2", &p2);
      R__insp.InspectMember(p2, "p2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "CBmean", &CBmean);
      R__insp.InspectMember(CBmean, "CBmean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "CBwidth", &CBwidth);
      R__insp.InspectMember(CBwidth, "CBwidth.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "CBalpha", &CBalpha);
      R__insp.InspectMember(CBalpha, "CBalpha.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "CBn", &CBn);
      R__insp.InspectMember(CBn, "CBn.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_Roo4lMasses2D(void *p) {
      return  p ? new(p) ::Roo4lMasses2D : new ::Roo4lMasses2D;
   }
   static void *newArray_Roo4lMasses2D(Long_t nElements, void *p) {
      return p ? new(p) ::Roo4lMasses2D[nElements] : new ::Roo4lMasses2D[nElements];
   }
   // Wrapper around operator delete
   static void delete_Roo4lMasses2D(void *p) {
      delete ((::Roo4lMasses2D*)p);
   }
   static void deleteArray_Roo4lMasses2D(void *p) {
      delete [] ((::Roo4lMasses2D*)p);
   }
   static void destruct_Roo4lMasses2D(void *p) {
      typedef ::Roo4lMasses2D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::Roo4lMasses2D

//______________________________________________________________________________
void Roo4lMasses2D_Bkg::Streamer(TBuffer &R__b)
{
   // Stream an object of class Roo4lMasses2D_Bkg.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(Roo4lMasses2D_Bkg::Class(),this);
   } else {
      R__b.WriteClassBuffer(Roo4lMasses2D_Bkg::Class(),this);
   }
}

//______________________________________________________________________________
void Roo4lMasses2D_Bkg::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class Roo4lMasses2D_Bkg.
      TClass *R__cl = ::Roo4lMasses2D_Bkg::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZstar", &mZstar);
      R__insp.InspectMember(mZstar, "mZstar.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZZ", &mZZ);
      R__insp.InspectMember(mZZ, "mZZ.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "channelVal", &channelVal);
      R__insp.InspectMember(channelVal, "channelVal.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_Roo4lMasses2D_Bkg(void *p) {
      return  p ? new(p) ::Roo4lMasses2D_Bkg : new ::Roo4lMasses2D_Bkg;
   }
   static void *newArray_Roo4lMasses2D_Bkg(Long_t nElements, void *p) {
      return p ? new(p) ::Roo4lMasses2D_Bkg[nElements] : new ::Roo4lMasses2D_Bkg[nElements];
   }
   // Wrapper around operator delete
   static void delete_Roo4lMasses2D_Bkg(void *p) {
      delete ((::Roo4lMasses2D_Bkg*)p);
   }
   static void deleteArray_Roo4lMasses2D_Bkg(void *p) {
      delete [] ((::Roo4lMasses2D_Bkg*)p);
   }
   static void destruct_Roo4lMasses2D_Bkg(void *p) {
      typedef ::Roo4lMasses2D_Bkg current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::Roo4lMasses2D_Bkg

//______________________________________________________________________________
void Roo4lMasses2D_BkgGGZZ::Streamer(TBuffer &R__b)
{
   // Stream an object of class Roo4lMasses2D_BkgGGZZ.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(Roo4lMasses2D_BkgGGZZ::Class(),this);
   } else {
      R__b.WriteClassBuffer(Roo4lMasses2D_BkgGGZZ::Class(),this);
   }
}

//______________________________________________________________________________
void Roo4lMasses2D_BkgGGZZ::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class Roo4lMasses2D_BkgGGZZ.
      TClass *R__cl = ::Roo4lMasses2D_BkgGGZZ::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZstar", &mZstar);
      R__insp.InspectMember(mZstar, "mZstar.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mZZ", &mZZ);
      R__insp.InspectMember(mZZ, "mZZ.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "channelVal", &channelVal);
      R__insp.InspectMember(channelVal, "channelVal.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_Roo4lMasses2D_BkgGGZZ(void *p) {
      return  p ? new(p) ::Roo4lMasses2D_BkgGGZZ : new ::Roo4lMasses2D_BkgGGZZ;
   }
   static void *newArray_Roo4lMasses2D_BkgGGZZ(Long_t nElements, void *p) {
      return p ? new(p) ::Roo4lMasses2D_BkgGGZZ[nElements] : new ::Roo4lMasses2D_BkgGGZZ[nElements];
   }
   // Wrapper around operator delete
   static void delete_Roo4lMasses2D_BkgGGZZ(void *p) {
      delete ((::Roo4lMasses2D_BkgGGZZ*)p);
   }
   static void deleteArray_Roo4lMasses2D_BkgGGZZ(void *p) {
      delete [] ((::Roo4lMasses2D_BkgGGZZ*)p);
   }
   static void destruct_Roo4lMasses2D_BkgGGZZ(void *p) {
      typedef ::Roo4lMasses2D_BkgGGZZ current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::Roo4lMasses2D_BkgGGZZ

//______________________________________________________________________________
void RooFourMuMassShapePdf2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooFourMuMassShapePdf2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooFourMuMassShapePdf2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooFourMuMassShapePdf2::Class(),this);
   }
}

//______________________________________________________________________________
void RooFourMuMassShapePdf2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooFourMuMassShapePdf2.
      TClass *R__cl = ::RooFourMuMassShapePdf2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooFourMuMassShapePdf2(void *p) {
      return  p ? new(p) ::RooFourMuMassShapePdf2 : new ::RooFourMuMassShapePdf2;
   }
   static void *newArray_RooFourMuMassShapePdf2(Long_t nElements, void *p) {
      return p ? new(p) ::RooFourMuMassShapePdf2[nElements] : new ::RooFourMuMassShapePdf2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooFourMuMassShapePdf2(void *p) {
      delete ((::RooFourMuMassShapePdf2*)p);
   }
   static void deleteArray_RooFourMuMassShapePdf2(void *p) {
      delete [] ((::RooFourMuMassShapePdf2*)p);
   }
   static void destruct_RooFourMuMassShapePdf2(void *p) {
      typedef ::RooFourMuMassShapePdf2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooFourMuMassShapePdf2

//______________________________________________________________________________
void RooFourEMassShapePdf2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooFourEMassShapePdf2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooFourEMassShapePdf2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooFourEMassShapePdf2::Class(),this);
   }
}

//______________________________________________________________________________
void RooFourEMassShapePdf2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooFourEMassShapePdf2.
      TClass *R__cl = ::RooFourEMassShapePdf2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooFourEMassShapePdf2(void *p) {
      return  p ? new(p) ::RooFourEMassShapePdf2 : new ::RooFourEMassShapePdf2;
   }
   static void *newArray_RooFourEMassShapePdf2(Long_t nElements, void *p) {
      return p ? new(p) ::RooFourEMassShapePdf2[nElements] : new ::RooFourEMassShapePdf2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooFourEMassShapePdf2(void *p) {
      delete ((::RooFourEMassShapePdf2*)p);
   }
   static void deleteArray_RooFourEMassShapePdf2(void *p) {
      delete [] ((::RooFourEMassShapePdf2*)p);
   }
   static void destruct_RooFourEMassShapePdf2(void *p) {
      typedef ::RooFourEMassShapePdf2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooFourEMassShapePdf2

//______________________________________________________________________________
void RooTwoETwoMuMassShapePdf2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooTwoETwoMuMassShapePdf2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooTwoETwoMuMassShapePdf2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooTwoETwoMuMassShapePdf2::Class(),this);
   }
}

//______________________________________________________________________________
void RooTwoETwoMuMassShapePdf2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooTwoETwoMuMassShapePdf2.
      TClass *R__cl = ::RooTwoETwoMuMassShapePdf2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooTwoETwoMuMassShapePdf2(void *p) {
      return  p ? new(p) ::RooTwoETwoMuMassShapePdf2 : new ::RooTwoETwoMuMassShapePdf2;
   }
   static void *newArray_RooTwoETwoMuMassShapePdf2(Long_t nElements, void *p) {
      return p ? new(p) ::RooTwoETwoMuMassShapePdf2[nElements] : new ::RooTwoETwoMuMassShapePdf2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooTwoETwoMuMassShapePdf2(void *p) {
      delete ((::RooTwoETwoMuMassShapePdf2*)p);
   }
   static void deleteArray_RooTwoETwoMuMassShapePdf2(void *p) {
      delete [] ((::RooTwoETwoMuMassShapePdf2*)p);
   }
   static void destruct_RooTwoETwoMuMassShapePdf2(void *p) {
      typedef ::RooTwoETwoMuMassShapePdf2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooTwoETwoMuMassShapePdf2

//______________________________________________________________________________
void RooFourMuMassRes::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooFourMuMassRes.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooFourMuMassRes::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooFourMuMassRes::Class(),this);
   }
}

//______________________________________________________________________________
void RooFourMuMassRes::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooFourMuMassRes.
      TClass *R__cl = ::RooFourMuMassRes::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooFourMuMassRes(void *p) {
      return  p ? new(p) ::RooFourMuMassRes : new ::RooFourMuMassRes;
   }
   static void *newArray_RooFourMuMassRes(Long_t nElements, void *p) {
      return p ? new(p) ::RooFourMuMassRes[nElements] : new ::RooFourMuMassRes[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooFourMuMassRes(void *p) {
      delete ((::RooFourMuMassRes*)p);
   }
   static void deleteArray_RooFourMuMassRes(void *p) {
      delete [] ((::RooFourMuMassRes*)p);
   }
   static void destruct_RooFourMuMassRes(void *p) {
      typedef ::RooFourMuMassRes current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooFourMuMassRes

//______________________________________________________________________________
void RooFourEMassRes::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooFourEMassRes.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooFourEMassRes::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooFourEMassRes::Class(),this);
   }
}

//______________________________________________________________________________
void RooFourEMassRes::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooFourEMassRes.
      TClass *R__cl = ::RooFourEMassRes::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooFourEMassRes(void *p) {
      return  p ? new(p) ::RooFourEMassRes : new ::RooFourEMassRes;
   }
   static void *newArray_RooFourEMassRes(Long_t nElements, void *p) {
      return p ? new(p) ::RooFourEMassRes[nElements] : new ::RooFourEMassRes[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooFourEMassRes(void *p) {
      delete ((::RooFourEMassRes*)p);
   }
   static void deleteArray_RooFourEMassRes(void *p) {
      delete [] ((::RooFourEMassRes*)p);
   }
   static void destruct_RooFourEMassRes(void *p) {
      typedef ::RooFourEMassRes current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooFourEMassRes

//______________________________________________________________________________
void RooTwoETwoMuMassRes::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooTwoETwoMuMassRes.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooTwoETwoMuMassRes::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooTwoETwoMuMassRes::Class(),this);
   }
}

//______________________________________________________________________________
void RooTwoETwoMuMassRes::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooTwoETwoMuMassRes.
      TClass *R__cl = ::RooTwoETwoMuMassRes::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooTwoETwoMuMassRes(void *p) {
      return  p ? new(p) ::RooTwoETwoMuMassRes : new ::RooTwoETwoMuMassRes;
   }
   static void *newArray_RooTwoETwoMuMassRes(Long_t nElements, void *p) {
      return p ? new(p) ::RooTwoETwoMuMassRes[nElements] : new ::RooTwoETwoMuMassRes[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooTwoETwoMuMassRes(void *p) {
      delete ((::RooTwoETwoMuMassRes*)p);
   }
   static void deleteArray_RooTwoETwoMuMassRes(void *p) {
      delete [] ((::RooTwoETwoMuMassRes*)p);
   }
   static void destruct_RooTwoETwoMuMassRes(void *p) {
      typedef ::RooTwoETwoMuMassRes current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooTwoETwoMuMassRes

//______________________________________________________________________________
void RooRelBW1::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBW1.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBW1::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBW1::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBW1::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBW1.
      TClass *R__cl = ::RooRelBW1::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m", &m);
      R__insp.InspectMember(m, "m.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "gamma", &gamma);
      R__insp.InspectMember(gamma, "gamma.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBW1(void *p) {
      return  p ? new(p) ::RooRelBW1 : new ::RooRelBW1;
   }
   static void *newArray_RooRelBW1(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBW1[nElements] : new ::RooRelBW1[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBW1(void *p) {
      delete ((::RooRelBW1*)p);
   }
   static void deleteArray_RooRelBW1(void *p) {
      delete [] ((::RooRelBW1*)p);
   }
   static void destruct_RooRelBW1(void *p) {
      typedef ::RooRelBW1 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBW1

//______________________________________________________________________________
void RooRelBWUF::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBWUF.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBWUF::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBWUF::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBWUF::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBWUF.
      TClass *R__cl = ::RooRelBWUF::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBWUF(void *p) {
      return  p ? new(p) ::RooRelBWUF : new ::RooRelBWUF;
   }
   static void *newArray_RooRelBWUF(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBWUF[nElements] : new ::RooRelBWUF[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBWUF(void *p) {
      delete ((::RooRelBWUF*)p);
   }
   static void deleteArray_RooRelBWUF(void *p) {
      delete [] ((::RooRelBWUF*)p);
   }
   static void destruct_RooRelBWUF(void *p) {
      typedef ::RooRelBWUF current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBWUF

//______________________________________________________________________________
void RooRelBWUF_SM4::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBWUF_SM4.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBWUF_SM4::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBWUF_SM4::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBWUF_SM4::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBWUF_SM4.
      TClass *R__cl = ::RooRelBWUF_SM4::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBWUF_SM4(void *p) {
      return  p ? new(p) ::RooRelBWUF_SM4 : new ::RooRelBWUF_SM4;
   }
   static void *newArray_RooRelBWUF_SM4(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBWUF_SM4[nElements] : new ::RooRelBWUF_SM4[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBWUF_SM4(void *p) {
      delete ((::RooRelBWUF_SM4*)p);
   }
   static void deleteArray_RooRelBWUF_SM4(void *p) {
      delete [] ((::RooRelBWUF_SM4*)p);
   }
   static void destruct_RooRelBWUF_SM4(void *p) {
      typedef ::RooRelBWUF_SM4 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBWUF_SM4

//______________________________________________________________________________
void RooRelBWUFParam::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBWUFParam.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBWUFParam::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBWUFParam::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBWUFParam::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBWUFParam.
      TClass *R__cl = ::RooRelBWUFParam::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "scaleParam", &scaleParam);
      R__insp.InspectMember(scaleParam, "scaleParam.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "widthSF", &widthSF);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBWUFParam(void *p) {
      return  p ? new(p) ::RooRelBWUFParam : new ::RooRelBWUFParam;
   }
   static void *newArray_RooRelBWUFParam(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBWUFParam[nElements] : new ::RooRelBWUFParam[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBWUFParam(void *p) {
      delete ((::RooRelBWUFParam*)p);
   }
   static void deleteArray_RooRelBWUFParam(void *p) {
      delete [] ((::RooRelBWUFParam*)p);
   }
   static void destruct_RooRelBWUFParam(void *p) {
      typedef ::RooRelBWUFParam current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBWUFParam

//______________________________________________________________________________
void RooRelBWUFParamWidth::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBWUFParamWidth.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBWUFParamWidth::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBWUFParamWidth::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBWUFParamWidth::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBWUFParamWidth.
      TClass *R__cl = ::RooRelBWUFParamWidth::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBWUFParamWidth(void *p) {
      return  p ? new(p) ::RooRelBWUFParamWidth : new ::RooRelBWUFParamWidth;
   }
   static void *newArray_RooRelBWUFParamWidth(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBWUFParamWidth[nElements] : new ::RooRelBWUFParamWidth[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBWUFParamWidth(void *p) {
      delete ((::RooRelBWUFParamWidth*)p);
   }
   static void deleteArray_RooRelBWUFParamWidth(void *p) {
      delete [] ((::RooRelBWUFParamWidth*)p);
   }
   static void destruct_RooRelBWUFParamWidth(void *p) {
      typedef ::RooRelBWUFParamWidth current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBWUFParamWidth

//______________________________________________________________________________
void RooRelBW::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBW.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBW::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBW::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBW::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBW.
      TClass *R__cl = ::RooRelBW::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n", &n);
      R__insp.InspectMember(n, "n.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBW(void *p) {
      return  p ? new(p) ::RooRelBW : new ::RooRelBW;
   }
   static void *newArray_RooRelBW(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBW[nElements] : new ::RooRelBW[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBW(void *p) {
      delete ((::RooRelBW*)p);
   }
   static void deleteArray_RooRelBW(void *p) {
      delete [] ((::RooRelBW*)p);
   }
   static void destruct_RooRelBW(void *p) {
      typedef ::RooRelBW current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBW

//______________________________________________________________________________
void RooRelBWHighMass::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooRelBWHighMass.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooRelBWHighMass::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooRelBWHighMass::Class(),this);
   }
}

//______________________________________________________________________________
void RooRelBWHighMass::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooRelBWHighMass.
      TClass *R__cl = ::RooRelBWHighMass::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "gamma", &gamma);
      R__insp.InspectMember(gamma, "gamma.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooRelBWHighMass(void *p) {
      return  p ? new(p) ::RooRelBWHighMass : new ::RooRelBWHighMass;
   }
   static void *newArray_RooRelBWHighMass(Long_t nElements, void *p) {
      return p ? new(p) ::RooRelBWHighMass[nElements] : new ::RooRelBWHighMass[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooRelBWHighMass(void *p) {
      delete ((::RooRelBWHighMass*)p);
   }
   static void deleteArray_RooRelBWHighMass(void *p) {
      delete [] ((::RooRelBWHighMass*)p);
   }
   static void destruct_RooRelBWHighMass(void *p) {
      typedef ::RooRelBWHighMass current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooRelBWHighMass

//______________________________________________________________________________
void RooDoubleCB::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooDoubleCB.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooDoubleCB::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooDoubleCB::Class(),this);
   }
}

//______________________________________________________________________________
void RooDoubleCB::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooDoubleCB.
      TClass *R__cl = ::RooDoubleCB::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha1", &alpha1);
      R__insp.InspectMember(alpha1, "alpha1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n1", &n1);
      R__insp.InspectMember(n1, "n1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha2", &alpha2);
      R__insp.InspectMember(alpha2, "alpha2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n2", &n2);
      R__insp.InspectMember(n2, "n2.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooDoubleCB(void *p) {
      return  p ? new(p) ::RooDoubleCB : new ::RooDoubleCB;
   }
   static void *newArray_RooDoubleCB(Long_t nElements, void *p) {
      return p ? new(p) ::RooDoubleCB[nElements] : new ::RooDoubleCB[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooDoubleCB(void *p) {
      delete ((::RooDoubleCB*)p);
   }
   static void deleteArray_RooDoubleCB(void *p) {
      delete [] ((::RooDoubleCB*)p);
   }
   static void destruct_RooDoubleCB(void *p) {
      typedef ::RooDoubleCB current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooDoubleCB

//______________________________________________________________________________
void RooaDoubleCBxBW::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooaDoubleCBxBW.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooaDoubleCBxBW::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooaDoubleCBxBW::Class(),this);
   }
}

//______________________________________________________________________________
void RooaDoubleCBxBW::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooaDoubleCBxBW.
      TClass *R__cl = ::RooaDoubleCBxBW::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "shift", &shift);
      R__insp.InspectMember(shift, "shift.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sigma", &sigma);
      R__insp.InspectMember(sigma, "sigma.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alphaL", &alphaL);
      R__insp.InspectMember(alphaL, "alphaL.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alphaR", &alphaR);
      R__insp.InspectMember(alphaR, "alphaR.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nL", &nL);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nR", &nR);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "thetaL", &thetaL);
      R__insp.InspectMember(thetaL, "thetaL.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "thetaR", &thetaR);
      R__insp.InspectMember(thetaR, "thetaR.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "computeActualCB", &computeActualCB);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooaDoubleCBxBW(void *p) {
      return  p ? new(p) ::RooaDoubleCBxBW : new ::RooaDoubleCBxBW;
   }
   static void *newArray_RooaDoubleCBxBW(Long_t nElements, void *p) {
      return p ? new(p) ::RooaDoubleCBxBW[nElements] : new ::RooaDoubleCBxBW[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooaDoubleCBxBW(void *p) {
      delete ((::RooaDoubleCBxBW*)p);
   }
   static void deleteArray_RooaDoubleCBxBW(void *p) {
      delete [] ((::RooaDoubleCBxBW*)p);
   }
   static void destruct_RooaDoubleCBxBW(void *p) {
      typedef ::RooaDoubleCBxBW current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooaDoubleCBxBW

//______________________________________________________________________________
void RooCB::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooCB.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooCB::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooCB::Class(),this);
   }
}

//______________________________________________________________________________
void RooCB::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooCB.
      TClass *R__cl = ::RooCB::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha", &alpha);
      R__insp.InspectMember(alpha, "alpha.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n", &n);
      R__insp.InspectMember(n, "n.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "theta", &theta);
      R__insp.InspectMember(theta, "theta.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooCB(void *p) {
      return  p ? new(p) ::RooCB : new ::RooCB;
   }
   static void *newArray_RooCB(Long_t nElements, void *p) {
      return p ? new(p) ::RooCB[nElements] : new ::RooCB[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooCB(void *p) {
      delete ((::RooCB*)p);
   }
   static void deleteArray_RooCB(void *p) {
      delete [] ((::RooCB*)p);
   }
   static void destruct_RooCB(void *p) {
      typedef ::RooCB current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooCB

//______________________________________________________________________________
void RooFermi::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooFermi.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooFermi::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooFermi::Class(),this);
   }
}

//______________________________________________________________________________
void RooFermi::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooFermi.
      TClass *R__cl = ::RooFermi::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cutOff", &cutOff);
      R__insp.InspectMember(cutOff, "cutOff.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "beta", &beta);
      R__insp.InspectMember(beta, "beta.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooFermi(void *p) {
      return  p ? new(p) ::RooFermi : new ::RooFermi;
   }
   static void *newArray_RooFermi(Long_t nElements, void *p) {
      return p ? new(p) ::RooFermi[nElements] : new ::RooFermi[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooFermi(void *p) {
      delete ((::RooFermi*)p);
   }
   static void deleteArray_RooFermi(void *p) {
      delete [] ((::RooFermi*)p);
   }
   static void destruct_RooFermi(void *p) {
      typedef ::RooFermi current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooFermi

//______________________________________________________________________________
void Triangle::Streamer(TBuffer &R__b)
{
   // Stream an object of class Triangle.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(Triangle::Class(),this);
   } else {
      R__b.WriteClassBuffer(Triangle::Class(),this);
   }
}

//______________________________________________________________________________
void Triangle::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class Triangle.
      TClass *R__cl = ::Triangle::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m", &m);
      R__insp.InspectMember(m, "m.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "start", &start);
      R__insp.InspectMember(start, "start.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "turn", &turn);
      R__insp.InspectMember(turn, "turn.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "stop", &stop);
      R__insp.InspectMember(stop, "stop.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_Triangle(void *p) {
      return  p ? new(p) ::Triangle : new ::Triangle;
   }
   static void *newArray_Triangle(Long_t nElements, void *p) {
      return p ? new(p) ::Triangle[nElements] : new ::Triangle[nElements];
   }
   // Wrapper around operator delete
   static void delete_Triangle(void *p) {
      delete ((::Triangle*)p);
   }
   static void deleteArray_Triangle(void *p) {
      delete [] ((::Triangle*)p);
   }
   static void destruct_Triangle(void *p) {
      typedef ::Triangle current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::Triangle

//______________________________________________________________________________
void RooLevelledExp::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooLevelledExp.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooLevelledExp::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooLevelledExp::Class(),this);
   }
}

//______________________________________________________________________________
void RooLevelledExp::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooLevelledExp.
      TClass *R__cl = ::RooLevelledExp::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sigma", &sigma);
      R__insp.InspectMember(sigma, "sigma.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha", &alpha);
      R__insp.InspectMember(alpha, "alpha.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m", &m);
      R__insp.InspectMember(m, "m.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "theta", &theta);
      R__insp.InspectMember(theta, "theta.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooLevelledExp(void *p) {
      return  p ? new(p) ::RooLevelledExp : new ::RooLevelledExp;
   }
   static void *newArray_RooLevelledExp(Long_t nElements, void *p) {
      return p ? new(p) ::RooLevelledExp[nElements] : new ::RooLevelledExp[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooLevelledExp(void *p) {
      delete ((::RooLevelledExp*)p);
   }
   static void deleteArray_RooLevelledExp(void *p) {
      delete [] ((::RooLevelledExp*)p);
   }
   static void destruct_RooLevelledExp(void *p) {
      typedef ::RooLevelledExp current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooLevelledExp

//______________________________________________________________________________
void RooPower::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooPower.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooPower::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooPower::Class(),this);
   }
}

//______________________________________________________________________________
void RooPower::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooPower.
      TClass *R__cl = ::RooPower::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooPower(void *p) {
      return  p ? new(p) ::RooPower : new ::RooPower;
   }
   static void *newArray_RooPower(Long_t nElements, void *p) {
      return p ? new(p) ::RooPower[nElements] : new ::RooPower[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooPower(void *p) {
      delete ((::RooPower*)p);
   }
   static void deleteArray_RooPower(void *p) {
      delete [] ((::RooPower*)p);
   }
   static void destruct_RooPower(void *p) {
      typedef ::RooPower current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooPower

//______________________________________________________________________________
namespace ROOT {
   void cmsmathcLcLSequentialMinimizer_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class cmsmath::SequentialMinimizer.
      typedef ::ROOT::Shadow::cmsmath::SequentialMinimizer ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::cmsmath::SequentialMinimizer*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "func_", (void*)&sobj->func_);
      R__insp.InspectMember("auto_ptr<cmsmath::MinimizerContext>", (void*)&sobj->func_, "func_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nDim_", &sobj->nDim_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nFree_", &sobj->nFree_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "minValue_", &sobj->minValue_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "edm_", &sobj->edm_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "workers_", (void*)&sobj->workers_);
      R__insp.InspectMember("vector<Worker>", (void*)&sobj->workers_, "workers_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "state_", &sobj->state_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fullMinimizer_", (void*)&sobj->fullMinimizer_);
      R__insp.InspectMember("auto_ptr<ROOT::Math::Minimizer>", (void*)&sobj->fullMinimizer_, "fullMinimizer_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "subspaceIndices_", (void*)&sobj->subspaceIndices_);
      R__insp.InspectMember("vector<int>", (void*)&sobj->subspaceIndices_, "subspaceIndices_.", false);
      R__insp.GenericShowMembers("ROOT::Math::Minimizer", ( ::ROOT::Math::Minimizer * )( (::cmsmath::SequentialMinimizer*) obj ), false);
   }

}

namespace ROOT {
   // Wrappers around operator new
   static void *new_cmsmathcLcLSequentialMinimizer(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) ::cmsmath::SequentialMinimizer : new ::cmsmath::SequentialMinimizer;
   }
   static void *newArray_cmsmathcLcLSequentialMinimizer(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) ::cmsmath::SequentialMinimizer[nElements] : new ::cmsmath::SequentialMinimizer[nElements];
   }
   // Wrapper around operator delete
   static void delete_cmsmathcLcLSequentialMinimizer(void *p) {
      delete ((::cmsmath::SequentialMinimizer*)p);
   }
   static void deleteArray_cmsmathcLcLSequentialMinimizer(void *p) {
      delete [] ((::cmsmath::SequentialMinimizer*)p);
   }
   static void destruct_cmsmathcLcLSequentialMinimizer(void *p) {
      typedef ::cmsmath::SequentialMinimizer current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::cmsmath::SequentialMinimizer

//______________________________________________________________________________
void ProcessNormalization::Streamer(TBuffer &R__b)
{
   // Stream an object of class ProcessNormalization.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(ProcessNormalization::Class(),this);
   } else {
      R__b.WriteClassBuffer(ProcessNormalization::Class(),this);
   }
}

//______________________________________________________________________________
void ProcessNormalization::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class ProcessNormalization.
      TClass *R__cl = ::ProcessNormalization::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nominalValue_", &nominalValue_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "logKappa_", (void*)&logKappa_);
      R__insp.InspectMember("vector<double>", (void*)&logKappa_, "logKappa_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "thetaList_", &thetaList_);
      R__insp.InspectMember(thetaList_, "thetaList_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "logAsymmKappa_", (void*)&logAsymmKappa_);
      R__insp.InspectMember("vector<std::pair<double,double> >", (void*)&logAsymmKappa_, "logAsymmKappa_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "asymmThetaList_", &asymmThetaList_);
      R__insp.InspectMember(asymmThetaList_, "asymmThetaList_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "otherFactorList_", &otherFactorList_);
      R__insp.InspectMember(otherFactorList_, "otherFactorList_.");
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_ProcessNormalization(void *p) {
      return  p ? new(p) ::ProcessNormalization : new ::ProcessNormalization;
   }
   static void *newArray_ProcessNormalization(Long_t nElements, void *p) {
      return p ? new(p) ::ProcessNormalization[nElements] : new ::ProcessNormalization[nElements];
   }
   // Wrapper around operator delete
   static void delete_ProcessNormalization(void *p) {
      delete ((::ProcessNormalization*)p);
   }
   static void deleteArray_ProcessNormalization(void *p) {
      delete [] ((::ProcessNormalization*)p);
   }
   static void destruct_ProcessNormalization(void *p) {
      typedef ::ProcessNormalization current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::ProcessNormalization

//______________________________________________________________________________
void RooSpline1D::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooSpline1D.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooSpline1D::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooSpline1D::Class(),this);
   }
}

//______________________________________________________________________________
void RooSpline1D::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooSpline1D.
      TClass *R__cl = ::RooSpline1D::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "xvar_", &xvar_);
      R__insp.InspectMember(xvar_, "xvar_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x_", (void*)&x_);
      R__insp.InspectMember("vector<double>", (void*)&x_, "x_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "y_", (void*)&y_);
      R__insp.InspectMember("vector<double>", (void*)&y_, "y_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "type_", (void*)&type_);
      R__insp.InspectMember("string", (void*)&type_, "type_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*interp_", &interp_);
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooSpline1D(void *p) {
      return  p ? new(p) ::RooSpline1D : new ::RooSpline1D;
   }
   static void *newArray_RooSpline1D(Long_t nElements, void *p) {
      return p ? new(p) ::RooSpline1D[nElements] : new ::RooSpline1D[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooSpline1D(void *p) {
      delete ((::RooSpline1D*)p);
   }
   static void deleteArray_RooSpline1D(void *p) {
      delete [] ((::RooSpline1D*)p);
   }
   static void destruct_RooSpline1D(void *p) {
      typedef ::RooSpline1D current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooSpline1D

//______________________________________________________________________________
void RooSplineND::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooSplineND.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooSplineND::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooSplineND::Class(),this);
   }
}

//______________________________________________________________________________
void RooSplineND::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooSplineND.
      TClass *R__cl = ::RooSplineND::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "vars_", &vars_);
      R__insp.InspectMember(vars_, "vars_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "w_", (void*)&w_);
      R__insp.InspectMember("vector<double>", (void*)&w_, "w_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "v_map", (void*)&v_map);
      R__insp.InspectMember("map<int,std::vector<double> >", (void*)&v_map, "v_map.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "r_map", (void*)&r_map);
      R__insp.InspectMember("map<int,std::pair<double,double> >", (void*)&r_map, "r_map.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ndim_", &ndim_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "M_", &M_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "eps_", &eps_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "axis_pts_", &axis_pts_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "w_mean", &w_mean);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "w_rms", &w_rms);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "rescaleAxis", &rescaleAxis);
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooSplineND(void *p) {
      return  p ? new(p) ::RooSplineND : new ::RooSplineND;
   }
   static void *newArray_RooSplineND(Long_t nElements, void *p) {
      return p ? new(p) ::RooSplineND[nElements] : new ::RooSplineND[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooSplineND(void *p) {
      delete ((::RooSplineND*)p);
   }
   static void deleteArray_RooSplineND(void *p) {
      delete [] ((::RooSplineND*)p);
   }
   static void destruct_RooSplineND(void *p) {
      typedef ::RooSplineND current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooSplineND

//______________________________________________________________________________
void RooScaleLOSM::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooScaleLOSM.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooScaleLOSM::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooScaleLOSM::Class(),this);
   }
}

//______________________________________________________________________________
void RooScaleLOSM::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooScaleLOSM.
      TClass *R__cl = ::RooScaleLOSM::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH_", &mH_);
      R__insp.InspectMember(mH_, "mH_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "At_", (void*)&At_);
      R__insp.InspectMember("complexD", (void*)&At_, "At_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "Ab_", (void*)&Ab_);
      R__insp.InspectMember("complexD", (void*)&Ab_, "Ab_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "AW_", (void*)&AW_);
      R__insp.InspectMember("complexD", (void*)&AW_, "AW_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "C_SM_", &C_SM_);
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrapper around operator delete
   static void delete_RooScaleLOSM(void *p) {
      delete ((::RooScaleLOSM*)p);
   }
   static void deleteArray_RooScaleLOSM(void *p) {
      delete [] ((::RooScaleLOSM*)p);
   }
   static void destruct_RooScaleLOSM(void *p) {
      typedef ::RooScaleLOSM current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooScaleLOSM

//______________________________________________________________________________
void RooScaleHGamGamLOSM::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooScaleHGamGamLOSM.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooScaleHGamGamLOSM::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooScaleHGamGamLOSM::Class(),this);
   }
}

//______________________________________________________________________________
void RooScaleHGamGamLOSM::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooScaleHGamGamLOSM.
      TClass *R__cl = ::RooScaleHGamGamLOSM::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ct_", &ct_);
      R__insp.InspectMember(ct_, "ct_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cW_", &cW_);
      R__insp.InspectMember(cW_, "cW_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mb_", &mb_);
      R__insp.InspectMember(mb_, "mb_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cb_", &cb_);
      R__insp.InspectMember(cb_, "cb_.");
      RooScaleLOSM::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooScaleHGamGamLOSM(void *p) {
      return  p ? new(p) ::RooScaleHGamGamLOSM : new ::RooScaleHGamGamLOSM;
   }
   static void *newArray_RooScaleHGamGamLOSM(Long_t nElements, void *p) {
      return p ? new(p) ::RooScaleHGamGamLOSM[nElements] : new ::RooScaleHGamGamLOSM[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooScaleHGamGamLOSM(void *p) {
      delete ((::RooScaleHGamGamLOSM*)p);
   }
   static void deleteArray_RooScaleHGamGamLOSM(void *p) {
      delete [] ((::RooScaleHGamGamLOSM*)p);
   }
   static void destruct_RooScaleHGamGamLOSM(void *p) {
      typedef ::RooScaleHGamGamLOSM current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooScaleHGamGamLOSM

//______________________________________________________________________________
void RooScaleHGluGluLOSM::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooScaleHGluGluLOSM.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooScaleHGluGluLOSM::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooScaleHGluGluLOSM::Class(),this);
   }
}

//______________________________________________________________________________
void RooScaleHGluGluLOSM::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooScaleHGluGluLOSM.
      TClass *R__cl = ::RooScaleHGluGluLOSM::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ct_", &ct_);
      R__insp.InspectMember(ct_, "ct_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mb_", &mb_);
      R__insp.InspectMember(mb_, "mb_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cb_", &cb_);
      R__insp.InspectMember(cb_, "cb_.");
      RooScaleLOSM::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooScaleHGluGluLOSM(void *p) {
      return  p ? new(p) ::RooScaleHGluGluLOSM : new ::RooScaleHGluGluLOSM;
   }
   static void *newArray_RooScaleHGluGluLOSM(Long_t nElements, void *p) {
      return p ? new(p) ::RooScaleHGluGluLOSM[nElements] : new ::RooScaleHGluGluLOSM[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooScaleHGluGluLOSM(void *p) {
      delete ((::RooScaleHGluGluLOSM*)p);
   }
   static void deleteArray_RooScaleHGluGluLOSM(void *p) {
      delete [] ((::RooScaleHGluGluLOSM*)p);
   }
   static void destruct_RooScaleHGluGluLOSM(void *p) {
      typedef ::RooScaleHGluGluLOSM current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooScaleHGluGluLOSM

//______________________________________________________________________________
void RooScaleHGamGamLOSMPlusX::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooScaleHGamGamLOSMPlusX.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooScaleHGamGamLOSMPlusX::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooScaleHGamGamLOSMPlusX::Class(),this);
   }
}

//______________________________________________________________________________
void RooScaleHGamGamLOSMPlusX::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooScaleHGamGamLOSMPlusX.
      TClass *R__cl = ::RooScaleHGamGamLOSMPlusX::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "X_", &X_);
      R__insp.InspectMember(X_, "X_.");
      RooScaleHGamGamLOSM::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooScaleHGamGamLOSMPlusX(void *p) {
      return  p ? new(p) ::RooScaleHGamGamLOSMPlusX : new ::RooScaleHGamGamLOSMPlusX;
   }
   static void *newArray_RooScaleHGamGamLOSMPlusX(Long_t nElements, void *p) {
      return p ? new(p) ::RooScaleHGamGamLOSMPlusX[nElements] : new ::RooScaleHGamGamLOSMPlusX[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooScaleHGamGamLOSMPlusX(void *p) {
      delete ((::RooScaleHGamGamLOSMPlusX*)p);
   }
   static void deleteArray_RooScaleHGamGamLOSMPlusX(void *p) {
      delete [] ((::RooScaleHGamGamLOSMPlusX*)p);
   }
   static void destruct_RooScaleHGamGamLOSMPlusX(void *p) {
      typedef ::RooScaleHGamGamLOSMPlusX current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooScaleHGamGamLOSMPlusX

//______________________________________________________________________________
void RooScaleHGluGluLOSMPlusX::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooScaleHGluGluLOSMPlusX.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooScaleHGluGluLOSMPlusX::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooScaleHGluGluLOSMPlusX::Class(),this);
   }
}

//______________________________________________________________________________
void RooScaleHGluGluLOSMPlusX::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooScaleHGluGluLOSMPlusX.
      TClass *R__cl = ::RooScaleHGluGluLOSMPlusX::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "X_", &X_);
      R__insp.InspectMember(X_, "X_.");
      RooScaleHGluGluLOSM::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooScaleHGluGluLOSMPlusX(void *p) {
      return  p ? new(p) ::RooScaleHGluGluLOSMPlusX : new ::RooScaleHGluGluLOSMPlusX;
   }
   static void *newArray_RooScaleHGluGluLOSMPlusX(Long_t nElements, void *p) {
      return p ? new(p) ::RooScaleHGluGluLOSMPlusX[nElements] : new ::RooScaleHGluGluLOSMPlusX[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooScaleHGluGluLOSMPlusX(void *p) {
      delete ((::RooScaleHGluGluLOSMPlusX*)p);
   }
   static void deleteArray_RooScaleHGluGluLOSMPlusX(void *p) {
      delete [] ((::RooScaleHGluGluLOSMPlusX*)p);
   }
   static void destruct_RooScaleHGluGluLOSMPlusX(void *p) {
      typedef ::RooScaleHGluGluLOSMPlusX current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooScaleHGluGluLOSMPlusX

//______________________________________________________________________________
void RooTsallis::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooTsallis.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      RooAbsPdf::Streamer(R__b);
      x.Streamer(R__b);
      m.Streamer(R__b);
      n.Streamer(R__b);
      n2.Streamer(R__b);
      bb.Streamer(R__b);
      bb2.Streamer(R__b);
      T.Streamer(R__b);
      fexp.Streamer(R__b);
      R__b.CheckByteCount(R__s, R__c, RooTsallis::IsA());
   } else {
      R__c = R__b.WriteVersion(RooTsallis::IsA(), kTRUE);
      RooAbsPdf::Streamer(R__b);
      x.Streamer(R__b);
      m.Streamer(R__b);
      n.Streamer(R__b);
      n2.Streamer(R__b);
      bb.Streamer(R__b);
      bb2.Streamer(R__b);
      T.Streamer(R__b);
      fexp.Streamer(R__b);
      R__b.SetByteCount(R__c, kTRUE);
   }
}

//______________________________________________________________________________
void RooTsallis::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooTsallis.
      TClass *R__cl = ::RooTsallis::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m", &m);
      R__insp.InspectMember(m, "m.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n", &n);
      R__insp.InspectMember(n, "n.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n2", &n2);
      R__insp.InspectMember(n2, "n2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "bb", &bb);
      R__insp.InspectMember(bb, "bb.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "bb2", &bb2);
      R__insp.InspectMember(bb2, "bb2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "T", &T);
      R__insp.InspectMember(T, "T.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fexp", &fexp);
      R__insp.InspectMember(fexp, "fexp.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooTsallis(void *p) {
      return  p ? new(p) ::RooTsallis : new ::RooTsallis;
   }
   static void *newArray_RooTsallis(Long_t nElements, void *p) {
      return p ? new(p) ::RooTsallis[nElements] : new ::RooTsallis[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooTsallis(void *p) {
      delete ((::RooTsallis*)p);
   }
   static void deleteArray_RooTsallis(void *p) {
      delete [] ((::RooTsallis*)p);
   }
   static void destruct_RooTsallis(void *p) {
      typedef ::RooTsallis current_t;
      ((current_t*)p)->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_RooTsallis(TBuffer &buf, void *obj) {
      ((::RooTsallis*)obj)->::RooTsallis::Streamer(buf);
   }
} // end of namespace ROOT for class ::RooTsallis

//______________________________________________________________________________
void RooErfExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooErfExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooErfExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooErfExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooErfExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooErfExpPdf.
      TClass *R__cl = ::RooErfExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooErfExpPdf(void *p) {
      return  p ? new(p) ::RooErfExpPdf : new ::RooErfExpPdf;
   }
   static void *newArray_RooErfExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooErfExpPdf[nElements] : new ::RooErfExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooErfExpPdf(void *p) {
      delete ((::RooErfExpPdf*)p);
   }
   static void deleteArray_RooErfExpPdf(void *p) {
      delete [] ((::RooErfExpPdf*)p);
   }
   static void destruct_RooErfExpPdf(void *p) {
      typedef ::RooErfExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooErfExpPdf

//______________________________________________________________________________
void RooAlpha::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha.
      TClass *R__cl = ::RooAlpha::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "xmin", &xmin);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "xmax", &xmax);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ca", &ca);
      R__insp.InspectMember(ca, "ca.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offseta", &offseta);
      R__insp.InspectMember(offseta, "offseta.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "widtha", &widtha);
      R__insp.InspectMember(widtha, "widtha.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha(void *p) {
      return  p ? new(p) ::RooAlpha : new ::RooAlpha;
   }
   static void *newArray_RooAlpha(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha[nElements] : new ::RooAlpha[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha(void *p) {
      delete ((::RooAlpha*)p);
   }
   static void deleteArray_RooAlpha(void *p) {
      delete [] ((::RooAlpha*)p);
   }
   static void destruct_RooAlpha(void *p) {
      typedef ::RooAlpha current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha

//______________________________________________________________________________
void RooAlphaExp::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlphaExp.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlphaExp::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlphaExp::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlphaExp::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlphaExp.
      TClass *R__cl = ::RooAlphaExp::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "xmin", &xmin);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "xmax", &xmax);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ca", &ca);
      R__insp.InspectMember(ca, "ca.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlphaExp(void *p) {
      return  p ? new(p) ::RooAlphaExp : new ::RooAlphaExp;
   }
   static void *newArray_RooAlphaExp(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlphaExp[nElements] : new ::RooAlphaExp[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlphaExp(void *p) {
      delete ((::RooAlphaExp*)p);
   }
   static void deleteArray_RooAlphaExp(void *p) {
      delete [] ((::RooAlphaExp*)p);
   }
   static void destruct_RooAlphaExp(void *p) {
      typedef ::RooAlphaExp current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlphaExp

//______________________________________________________________________________
void RooBWRunPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBWRunPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBWRunPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBWRunPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooBWRunPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooBWRunPdf.
      TClass *R__cl = ::RooBWRunPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBWRunPdf(void *p) {
      return  p ? new(p) ::RooBWRunPdf : new ::RooBWRunPdf;
   }
   static void *newArray_RooBWRunPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooBWRunPdf[nElements] : new ::RooBWRunPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBWRunPdf(void *p) {
      delete ((::RooBWRunPdf*)p);
   }
   static void deleteArray_RooBWRunPdf(void *p) {
      delete [] ((::RooBWRunPdf*)p);
   }
   static void destruct_RooBWRunPdf(void *p) {
      typedef ::RooBWRunPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBWRunPdf

//______________________________________________________________________________
void RooErfPow2Pdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooErfPow2Pdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooErfPow2Pdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooErfPow2Pdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooErfPow2Pdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooErfPow2Pdf.
      TClass *R__cl = ::RooErfPow2Pdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0", &c0);
      R__insp.InspectMember(c0, "c0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1", &c1);
      R__insp.InspectMember(c1, "c1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooErfPow2Pdf(void *p) {
      return  p ? new(p) ::RooErfPow2Pdf : new ::RooErfPow2Pdf;
   }
   static void *newArray_RooErfPow2Pdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooErfPow2Pdf[nElements] : new ::RooErfPow2Pdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooErfPow2Pdf(void *p) {
      delete ((::RooErfPow2Pdf*)p);
   }
   static void deleteArray_RooErfPow2Pdf(void *p) {
      delete [] ((::RooErfPow2Pdf*)p);
   }
   static void destruct_RooErfPow2Pdf(void *p) {
      typedef ::RooErfPow2Pdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooErfPow2Pdf

//______________________________________________________________________________
void RooAlpha4ErfPow2Pdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha4ErfPow2Pdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha4ErfPow2Pdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha4ErfPow2Pdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha4ErfPow2Pdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha4ErfPow2Pdf.
      TClass *R__cl = ::RooAlpha4ErfPow2Pdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0", &c0);
      R__insp.InspectMember(c0, "c0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1", &c1);
      R__insp.InspectMember(c1, "c1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0a", &c0a);
      R__insp.InspectMember(c0a, "c0a.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1a", &c1a);
      R__insp.InspectMember(c1a, "c1a.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offseta", &offseta);
      R__insp.InspectMember(offseta, "offseta.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "widtha", &widtha);
      R__insp.InspectMember(widtha, "widtha.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha4ErfPow2Pdf(void *p) {
      return  p ? new(p) ::RooAlpha4ErfPow2Pdf : new ::RooAlpha4ErfPow2Pdf;
   }
   static void *newArray_RooAlpha4ErfPow2Pdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha4ErfPow2Pdf[nElements] : new ::RooAlpha4ErfPow2Pdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha4ErfPow2Pdf(void *p) {
      delete ((::RooAlpha4ErfPow2Pdf*)p);
   }
   static void deleteArray_RooAlpha4ErfPow2Pdf(void *p) {
      delete [] ((::RooAlpha4ErfPow2Pdf*)p);
   }
   static void destruct_RooAlpha4ErfPow2Pdf(void *p) {
      typedef ::RooAlpha4ErfPow2Pdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha4ErfPow2Pdf

//______________________________________________________________________________
void RooErfPowPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooErfPowPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooErfPowPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooErfPowPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooErfPowPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooErfPowPdf.
      TClass *R__cl = ::RooErfPowPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooErfPowPdf(void *p) {
      return  p ? new(p) ::RooErfPowPdf : new ::RooErfPowPdf;
   }
   static void *newArray_RooErfPowPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooErfPowPdf[nElements] : new ::RooErfPowPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooErfPowPdf(void *p) {
      delete ((::RooErfPowPdf*)p);
   }
   static void deleteArray_RooErfPowPdf(void *p) {
      delete [] ((::RooErfPowPdf*)p);
   }
   static void destruct_RooErfPowPdf(void *p) {
      typedef ::RooErfPowPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooErfPowPdf

//______________________________________________________________________________
void RooAlpha4ErfPowPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha4ErfPowPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha4ErfPowPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha4ErfPowPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha4ErfPowPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha4ErfPowPdf.
      TClass *R__cl = ::RooAlpha4ErfPowPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ca", &ca);
      R__insp.InspectMember(ca, "ca.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offseta", &offseta);
      R__insp.InspectMember(offseta, "offseta.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "widtha", &widtha);
      R__insp.InspectMember(widtha, "widtha.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha4ErfPowPdf(void *p) {
      return  p ? new(p) ::RooAlpha4ErfPowPdf : new ::RooAlpha4ErfPowPdf;
   }
   static void *newArray_RooAlpha4ErfPowPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha4ErfPowPdf[nElements] : new ::RooAlpha4ErfPowPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha4ErfPowPdf(void *p) {
      delete ((::RooAlpha4ErfPowPdf*)p);
   }
   static void deleteArray_RooAlpha4ErfPowPdf(void *p) {
      delete [] ((::RooAlpha4ErfPowPdf*)p);
   }
   static void destruct_RooAlpha4ErfPowPdf(void *p) {
      typedef ::RooAlpha4ErfPowPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha4ErfPowPdf

//______________________________________________________________________________
void RooPow2Pdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooPow2Pdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooPow2Pdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooPow2Pdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooPow2Pdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooPow2Pdf.
      TClass *R__cl = ::RooPow2Pdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p0", &p0);
      R__insp.InspectMember(p0, "p0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p1", &p1);
      R__insp.InspectMember(p1, "p1.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooPow2Pdf(void *p) {
      return  p ? new(p) ::RooPow2Pdf : new ::RooPow2Pdf;
   }
   static void *newArray_RooPow2Pdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooPow2Pdf[nElements] : new ::RooPow2Pdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooPow2Pdf(void *p) {
      delete ((::RooPow2Pdf*)p);
   }
   static void deleteArray_RooPow2Pdf(void *p) {
      delete [] ((::RooPow2Pdf*)p);
   }
   static void destruct_RooPow2Pdf(void *p) {
      typedef ::RooPow2Pdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooPow2Pdf

//______________________________________________________________________________
void RooPowPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooPowPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooPowPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooPowPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooPowPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooPowPdf.
      TClass *R__cl = ::RooPowPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p0", &p0);
      R__insp.InspectMember(p0, "p0.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooPowPdf(void *p) {
      return  p ? new(p) ::RooPowPdf : new ::RooPowPdf;
   }
   static void *newArray_RooPowPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooPowPdf[nElements] : new ::RooPowPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooPowPdf(void *p) {
      delete ((::RooPowPdf*)p);
   }
   static void deleteArray_RooPowPdf(void *p) {
      delete [] ((::RooPowPdf*)p);
   }
   static void destruct_RooPowPdf(void *p) {
      typedef ::RooPowPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooPowPdf

//______________________________________________________________________________
void RooQCDPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooQCDPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooQCDPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooQCDPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooQCDPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooQCDPdf.
      TClass *R__cl = ::RooQCDPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p0", &p0);
      R__insp.InspectMember(p0, "p0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p1", &p1);
      R__insp.InspectMember(p1, "p1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p2", &p2);
      R__insp.InspectMember(p2, "p2.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooQCDPdf(void *p) {
      return  p ? new(p) ::RooQCDPdf : new ::RooQCDPdf;
   }
   static void *newArray_RooQCDPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooQCDPdf[nElements] : new ::RooQCDPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooQCDPdf(void *p) {
      delete ((::RooQCDPdf*)p);
   }
   static void deleteArray_RooQCDPdf(void *p) {
      delete [] ((::RooQCDPdf*)p);
   }
   static void destruct_RooQCDPdf(void *p) {
      typedef ::RooQCDPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooQCDPdf

//______________________________________________________________________________
void RooUser1Pdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooUser1Pdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooUser1Pdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooUser1Pdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooUser1Pdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooUser1Pdf.
      TClass *R__cl = ::RooUser1Pdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p0", &p0);
      R__insp.InspectMember(p0, "p0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p1", &p1);
      R__insp.InspectMember(p1, "p1.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooUser1Pdf(void *p) {
      return  p ? new(p) ::RooUser1Pdf : new ::RooUser1Pdf;
   }
   static void *newArray_RooUser1Pdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooUser1Pdf[nElements] : new ::RooUser1Pdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooUser1Pdf(void *p) {
      delete ((::RooUser1Pdf*)p);
   }
   static void deleteArray_RooUser1Pdf(void *p) {
      delete [] ((::RooUser1Pdf*)p);
   }
   static void destruct_RooUser1Pdf(void *p) {
      typedef ::RooUser1Pdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooUser1Pdf

//______________________________________________________________________________
void RooAlpha4ErfPowExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha4ErfPowExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha4ErfPowExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha4ErfPowExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha4ErfPowExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha4ErfPowExpPdf.
      TClass *R__cl = ::RooAlpha4ErfPowExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0", &c0);
      R__insp.InspectMember(c0, "c0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1", &c1);
      R__insp.InspectMember(c1, "c1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0a", &c0a);
      R__insp.InspectMember(c0a, "c0a.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1a", &c1a);
      R__insp.InspectMember(c1a, "c1a.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offseta", &offseta);
      R__insp.InspectMember(offseta, "offseta.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "widtha", &widtha);
      R__insp.InspectMember(widtha, "widtha.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha4ErfPowExpPdf(void *p) {
      return  p ? new(p) ::RooAlpha4ErfPowExpPdf : new ::RooAlpha4ErfPowExpPdf;
   }
   static void *newArray_RooAlpha4ErfPowExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha4ErfPowExpPdf[nElements] : new ::RooAlpha4ErfPowExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha4ErfPowExpPdf(void *p) {
      delete ((::RooAlpha4ErfPowExpPdf*)p);
   }
   static void deleteArray_RooAlpha4ErfPowExpPdf(void *p) {
      delete [] ((::RooAlpha4ErfPowExpPdf*)p);
   }
   static void destruct_RooAlpha4ErfPowExpPdf(void *p) {
      typedef ::RooAlpha4ErfPowExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha4ErfPowExpPdf

//______________________________________________________________________________
void RooErfPowExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooErfPowExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooErfPowExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooErfPowExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooErfPowExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooErfPowExpPdf.
      TClass *R__cl = ::RooErfPowExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0", &c0);
      R__insp.InspectMember(c0, "c0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1", &c1);
      R__insp.InspectMember(c1, "c1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "offset", &offset);
      R__insp.InspectMember(offset, "offset.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooErfPowExpPdf(void *p) {
      return  p ? new(p) ::RooErfPowExpPdf : new ::RooErfPowExpPdf;
   }
   static void *newArray_RooErfPowExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooErfPowExpPdf[nElements] : new ::RooErfPowExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooErfPowExpPdf(void *p) {
      delete ((::RooErfPowExpPdf*)p);
   }
   static void deleteArray_RooErfPowExpPdf(void *p) {
      delete [] ((::RooErfPowExpPdf*)p);
   }
   static void destruct_RooErfPowExpPdf(void *p) {
      typedef ::RooErfPowExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooErfPowExpPdf

//______________________________________________________________________________
void RooStepBernstein::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooStepBernstein.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooStepBernstein::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooStepBernstein::Class(),this);
   }
}

//______________________________________________________________________________
void RooStepBernstein::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooStepBernstein.
      TClass *R__cl = ::RooStepBernstein::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_stepThresh", &_stepThresh);
      R__insp.InspectMember(_stepThresh, "_stepThresh.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooStepBernstein(void *p) {
      return  p ? new(p) ::RooStepBernstein : new ::RooStepBernstein;
   }
   static void *newArray_RooStepBernstein(Long_t nElements, void *p) {
      return p ? new(p) ::RooStepBernstein[nElements] : new ::RooStepBernstein[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooStepBernstein(void *p) {
      delete ((::RooStepBernstein*)p);
   }
   static void deleteArray_RooStepBernstein(void *p) {
      delete [] ((::RooStepBernstein*)p);
   }
   static void destruct_RooStepBernstein(void *p) {
      typedef ::RooStepBernstein current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooStepBernstein

//______________________________________________________________________________
void RooGaussStepBernstein::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooGaussStepBernstein.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooGaussStepBernstein::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooGaussStepBernstein::Class(),this);
   }
}

//______________________________________________________________________________
void RooGaussStepBernstein::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooGaussStepBernstein.
      TClass *R__cl = ::RooGaussStepBernstein::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_mean", &_mean);
      R__insp.InspectMember(_mean, "_mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_sigma", &_sigma);
      R__insp.InspectMember(_sigma, "_sigma.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_stepVal", &_stepVal);
      R__insp.InspectMember(_stepVal, "_stepVal.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &_coefList);
      R__insp.InspectMember(_coefList, "_coefList.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooGaussStepBernstein(void *p) {
      return  p ? new(p) ::RooGaussStepBernstein : new ::RooGaussStepBernstein;
   }
   static void *newArray_RooGaussStepBernstein(Long_t nElements, void *p) {
      return p ? new(p) ::RooGaussStepBernstein[nElements] : new ::RooGaussStepBernstein[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooGaussStepBernstein(void *p) {
      delete ((::RooGaussStepBernstein*)p);
   }
   static void deleteArray_RooGaussStepBernstein(void *p) {
      delete [] ((::RooGaussStepBernstein*)p);
   }
   static void destruct_RooGaussStepBernstein(void *p) {
      typedef ::RooGaussStepBernstein current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooGaussStepBernstein

//______________________________________________________________________________
void rVrFLikelihood::Streamer(TBuffer &R__b)
{
   // Stream an object of class rVrFLikelihood.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(rVrFLikelihood::Class(),this);
   } else {
      R__b.WriteClassBuffer(rVrFLikelihood::Class(),this);
   }
}

//______________________________________________________________________________
void rVrFLikelihood::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class rVrFLikelihood.
      TClass *R__cl = ::rVrFLikelihood::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "channels_", (void*)&channels_);
      R__insp.InspectMember("vector<Channel>", (void*)&channels_, "channels_.", false);
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_rVrFLikelihood(void *p) {
      return  p ? new(p) ::rVrFLikelihood : new ::rVrFLikelihood;
   }
   static void *newArray_rVrFLikelihood(Long_t nElements, void *p) {
      return p ? new(p) ::rVrFLikelihood[nElements] : new ::rVrFLikelihood[nElements];
   }
   // Wrapper around operator delete
   static void delete_rVrFLikelihood(void *p) {
      delete ((::rVrFLikelihood*)p);
   }
   static void deleteArray_rVrFLikelihood(void *p) {
      delete [] ((::rVrFLikelihood*)p);
   }
   static void destruct_rVrFLikelihood(void *p) {
      typedef ::rVrFLikelihood current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::rVrFLikelihood

//______________________________________________________________________________
void RooMultiPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooMultiPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooMultiPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooMultiPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooMultiPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooMultiPdf.
      TClass *R__cl = ::RooMultiPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "corr", &corr);
      R__insp.InspectMember(corr, "corr.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "fIndex", &fIndex);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "nPdfs", &nPdfs);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_oldIndex", &_oldIndex);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cFactor", &cFactor);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooMultiPdf(void *p) {
      return  p ? new(p) ::RooMultiPdf : new ::RooMultiPdf;
   }
   static void *newArray_RooMultiPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooMultiPdf[nElements] : new ::RooMultiPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooMultiPdf(void *p) {
      delete ((::RooMultiPdf*)p);
   }
   static void deleteArray_RooMultiPdf(void *p) {
      delete [] ((::RooMultiPdf*)p);
   }
   static void destruct_RooMultiPdf(void *p) {
      typedef ::RooMultiPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooMultiPdf

//______________________________________________________________________________
void RooParametricHist::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooParametricHist.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooParametricHist::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooParametricHist::Class(),this);
   }
}

//______________________________________________________________________________
void RooParametricHist::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooParametricHist.
      TClass *R__cl = ::RooParametricHist::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "pars", &pars);
      R__insp.InspectMember(pars, "pars.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "N_bins", &N_bins);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "bins", (void*)&bins);
      R__insp.InspectMember("vector<double>", (void*)&bins, "bins.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "widths", (void*)&widths);
      R__insp.InspectMember("vector<double>", (void*)&widths, "widths.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cval", &cval);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooParametricHist(void *p) {
      return  p ? new(p) ::RooParametricHist : new ::RooParametricHist;
   }
   static void *newArray_RooParametricHist(Long_t nElements, void *p) {
      return p ? new(p) ::RooParametricHist[nElements] : new ::RooParametricHist[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooParametricHist(void *p) {
      delete ((::RooParametricHist*)p);
   }
   static void deleteArray_RooParametricHist(void *p) {
      delete [] ((::RooParametricHist*)p);
   }
   static void destruct_RooParametricHist(void *p) {
      typedef ::RooParametricHist current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooParametricHist

//______________________________________________________________________________
template <> void RooBernsteinFast<1>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<1>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<1>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<1>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE1gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<1>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE1gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<1>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<1>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<1>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<1>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<1>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<1>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<1>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE1gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE1gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<1> : new ::RooBernsteinFast<1>;
   }
   static void *newArray_RooBernsteinFastlE1gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<1>[nElements] : new ::RooBernsteinFast<1>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE1gR(void *p) {
      delete ((::RooBernsteinFast<1>*)p);
   }
   static void deleteArray_RooBernsteinFastlE1gR(void *p) {
      delete [] ((::RooBernsteinFast<1>*)p);
   }
   static void destruct_RooBernsteinFastlE1gR(void *p) {
      typedef ::RooBernsteinFast<1> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<1>

//______________________________________________________________________________
template <> void RooBernsteinFast<2>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<2>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<2>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<2>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE2gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<2>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE2gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<2>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<2>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<2>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<2>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<2>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<2>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<2>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE2gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE2gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<2> : new ::RooBernsteinFast<2>;
   }
   static void *newArray_RooBernsteinFastlE2gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<2>[nElements] : new ::RooBernsteinFast<2>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE2gR(void *p) {
      delete ((::RooBernsteinFast<2>*)p);
   }
   static void deleteArray_RooBernsteinFastlE2gR(void *p) {
      delete [] ((::RooBernsteinFast<2>*)p);
   }
   static void destruct_RooBernsteinFastlE2gR(void *p) {
      typedef ::RooBernsteinFast<2> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<2>

//______________________________________________________________________________
template <> void RooBernsteinFast<3>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<3>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<3>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<3>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE3gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<3>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE3gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<3>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<3>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<3>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<3>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<3>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<3>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<3>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE3gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE3gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<3> : new ::RooBernsteinFast<3>;
   }
   static void *newArray_RooBernsteinFastlE3gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<3>[nElements] : new ::RooBernsteinFast<3>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE3gR(void *p) {
      delete ((::RooBernsteinFast<3>*)p);
   }
   static void deleteArray_RooBernsteinFastlE3gR(void *p) {
      delete [] ((::RooBernsteinFast<3>*)p);
   }
   static void destruct_RooBernsteinFastlE3gR(void *p) {
      typedef ::RooBernsteinFast<3> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<3>

//______________________________________________________________________________
template <> void RooBernsteinFast<4>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<4>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<4>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<4>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE4gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<4>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE4gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<4>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<4>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<4>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<4>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<4>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<4>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<4>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE4gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE4gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<4> : new ::RooBernsteinFast<4>;
   }
   static void *newArray_RooBernsteinFastlE4gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<4>[nElements] : new ::RooBernsteinFast<4>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE4gR(void *p) {
      delete ((::RooBernsteinFast<4>*)p);
   }
   static void deleteArray_RooBernsteinFastlE4gR(void *p) {
      delete [] ((::RooBernsteinFast<4>*)p);
   }
   static void destruct_RooBernsteinFastlE4gR(void *p) {
      typedef ::RooBernsteinFast<4> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<4>

//______________________________________________________________________________
template <> void RooBernsteinFast<5>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<5>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<5>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<5>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE5gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<5>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE5gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<5>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<5>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<5>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<5>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<5>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<5>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<5>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE5gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE5gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<5> : new ::RooBernsteinFast<5>;
   }
   static void *newArray_RooBernsteinFastlE5gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<5>[nElements] : new ::RooBernsteinFast<5>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE5gR(void *p) {
      delete ((::RooBernsteinFast<5>*)p);
   }
   static void deleteArray_RooBernsteinFastlE5gR(void *p) {
      delete [] ((::RooBernsteinFast<5>*)p);
   }
   static void destruct_RooBernsteinFastlE5gR(void *p) {
      typedef ::RooBernsteinFast<5> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<5>

//______________________________________________________________________________
template <> void RooBernsteinFast<6>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<6>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<6>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<6>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE6gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<6>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE6gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<6>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<6>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<6>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<6>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<6>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<6>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<6>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE6gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE6gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<6> : new ::RooBernsteinFast<6>;
   }
   static void *newArray_RooBernsteinFastlE6gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<6>[nElements] : new ::RooBernsteinFast<6>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE6gR(void *p) {
      delete ((::RooBernsteinFast<6>*)p);
   }
   static void deleteArray_RooBernsteinFastlE6gR(void *p) {
      delete [] ((::RooBernsteinFast<6>*)p);
   }
   static void destruct_RooBernsteinFastlE6gR(void *p) {
      typedef ::RooBernsteinFast<6> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<6>

//______________________________________________________________________________
template <> void RooBernsteinFast<7>::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBernsteinFast<7>.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBernsteinFast<7>::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBernsteinFast<7>::Class(),this);
   }
}

//______________________________________________________________________________
namespace ROOT {
   void RooBernsteinFastlE7gR_ShowMembers(void *obj, TMemberInspector &R__insp)
   {
      // Inspect the data members of an object of class RooBernsteinFast<7>.
      typedef ::ROOT::Shadow::RooBernsteinFastlE7gR ShadowClass;
      ShadowClass *sobj = (ShadowClass*)obj;
      if (sobj) { } // Dummy usage just in case there is no datamember.

      TClass *R__cl  = ::ROOT::GenerateInitInstanceLocal((const ::RooBernsteinFast<7>*)0x0)->GetClass();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &sobj->_x);
      R__insp.InspectMember(sobj->_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_coefList", &sobj->_coefList);
      R__insp.InspectMember(sobj->_coefList, "_coefList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cmatrix", (void*)&sobj->_cmatrix);
      R__insp.InspectMember("RooBernsteinFast<7>::MType", (void*)&sobj->_cmatrix, "_cmatrix.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rvector", (void*)&sobj->_rvector);
      R__insp.InspectMember("RooBernsteinFast<7>::VType", (void*)&sobj->_rvector, "_rvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bernvector", (void*)&sobj->_bernvector);
      R__insp.InspectMember("RooBernsteinFast<7>::VType", (void*)&sobj->_bernvector, "_bernvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_powvector", (void*)&sobj->_powvector);
      R__insp.InspectMember("RooBernsteinFast<7>::VType", (void*)&sobj->_powvector, "_powvector.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_xvector", (void*)&sobj->_xvector);
      R__insp.InspectMember("RooBernsteinFast<7>::VType", (void*)&sobj->_xvector, "_xvector.", false);
      sobj->RooAbsPdf::ShowMembers(R__insp);
   }

}

template <> void RooBernsteinFast<7>::ShowMembers(TMemberInspector &R__insp)
{
   ::ROOT::RooBernsteinFastlE7gR_ShowMembers(this, R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBernsteinFastlE7gR(void *p) {
      return  p ? new(p) ::RooBernsteinFast<7> : new ::RooBernsteinFast<7>;
   }
   static void *newArray_RooBernsteinFastlE7gR(Long_t nElements, void *p) {
      return p ? new(p) ::RooBernsteinFast<7>[nElements] : new ::RooBernsteinFast<7>[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBernsteinFastlE7gR(void *p) {
      delete ((::RooBernsteinFast<7>*)p);
   }
   static void deleteArray_RooBernsteinFastlE7gR(void *p) {
      delete [] ((::RooBernsteinFast<7>*)p);
   }
   static void destruct_RooBernsteinFastlE7gR(void *p) {
      typedef ::RooBernsteinFast<7> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBernsteinFast<7>

//______________________________________________________________________________
void RooAnaExpNPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAnaExpNPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAnaExpNPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAnaExpNPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAnaExpNPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAnaExpNPdf.
      TClass *R__cl = ::RooAnaExpNPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n", &n);
      R__insp.InspectMember(n, "n.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAnaExpNPdf(void *p) {
      return  p ? new(p) ::RooAnaExpNPdf : new ::RooAnaExpNPdf;
   }
   static void *newArray_RooAnaExpNPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAnaExpNPdf[nElements] : new ::RooAnaExpNPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAnaExpNPdf(void *p) {
      delete ((::RooAnaExpNPdf*)p);
   }
   static void deleteArray_RooAnaExpNPdf(void *p) {
      delete [] ((::RooAnaExpNPdf*)p);
   }
   static void destruct_RooAnaExpNPdf(void *p) {
      typedef ::RooAnaExpNPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAnaExpNPdf

//______________________________________________________________________________
void RooAlpha42ExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha42ExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha42ExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha42ExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha42ExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha42ExpPdf.
      TClass *R__cl = ::RooAlpha42ExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c00", &c00);
      R__insp.InspectMember(c00, "c00.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c01", &c01);
      R__insp.InspectMember(c01, "c01.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "frac0", &frac0);
      R__insp.InspectMember(frac0, "frac0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c10", &c10);
      R__insp.InspectMember(c10, "c10.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c11", &c11);
      R__insp.InspectMember(c11, "c11.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "frac1", &frac1);
      R__insp.InspectMember(frac1, "frac1.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha42ExpPdf(void *p) {
      return  p ? new(p) ::RooAlpha42ExpPdf : new ::RooAlpha42ExpPdf;
   }
   static void *newArray_RooAlpha42ExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha42ExpPdf[nElements] : new ::RooAlpha42ExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha42ExpPdf(void *p) {
      delete ((::RooAlpha42ExpPdf*)p);
   }
   static void deleteArray_RooAlpha42ExpPdf(void *p) {
      delete [] ((::RooAlpha42ExpPdf*)p);
   }
   static void destruct_RooAlpha42ExpPdf(void *p) {
      typedef ::RooAlpha42ExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha42ExpPdf

//______________________________________________________________________________
void Roo2ExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class Roo2ExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(Roo2ExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(Roo2ExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void Roo2ExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class Roo2ExpPdf.
      TClass *R__cl = ::Roo2ExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0", &c0);
      R__insp.InspectMember(c0, "c0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1", &c1);
      R__insp.InspectMember(c1, "c1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "frac", &frac);
      R__insp.InspectMember(frac, "frac.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_Roo2ExpPdf(void *p) {
      return  p ? new(p) ::Roo2ExpPdf : new ::Roo2ExpPdf;
   }
   static void *newArray_Roo2ExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::Roo2ExpPdf[nElements] : new ::Roo2ExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_Roo2ExpPdf(void *p) {
      delete ((::Roo2ExpPdf*)p);
   }
   static void deleteArray_Roo2ExpPdf(void *p) {
      delete [] ((::Roo2ExpPdf*)p);
   }
   static void destruct_Roo2ExpPdf(void *p) {
      typedef ::Roo2ExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::Roo2ExpPdf

//______________________________________________________________________________
void RooExpNPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooExpNPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooExpNPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooExpNPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooExpNPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooExpNPdf.
      TClass *R__cl = ::RooExpNPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n", &n);
      R__insp.InspectMember(n, "n.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooExpNPdf(void *p) {
      return  p ? new(p) ::RooExpNPdf : new ::RooExpNPdf;
   }
   static void *newArray_RooExpNPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooExpNPdf[nElements] : new ::RooExpNPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooExpNPdf(void *p) {
      delete ((::RooExpNPdf*)p);
   }
   static void deleteArray_RooExpNPdf(void *p) {
      delete [] ((::RooExpNPdf*)p);
   }
   static void destruct_RooExpNPdf(void *p) {
      typedef ::RooExpNPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooExpNPdf

//______________________________________________________________________________
void RooAlpha4ExpNPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha4ExpNPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha4ExpNPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha4ExpNPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha4ExpNPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha4ExpNPdf.
      TClass *R__cl = ::RooAlpha4ExpNPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c0", &c0);
      R__insp.InspectMember(c0, "c0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n0", &n0);
      R__insp.InspectMember(n0, "n0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c1", &c1);
      R__insp.InspectMember(c1, "c1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n1", &n1);
      R__insp.InspectMember(n1, "n1.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha4ExpNPdf(void *p) {
      return  p ? new(p) ::RooAlpha4ExpNPdf : new ::RooAlpha4ExpNPdf;
   }
   static void *newArray_RooAlpha4ExpNPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha4ExpNPdf[nElements] : new ::RooAlpha4ExpNPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha4ExpNPdf(void *p) {
      delete ((::RooAlpha4ExpNPdf*)p);
   }
   static void deleteArray_RooAlpha4ExpNPdf(void *p) {
      delete [] ((::RooAlpha4ExpNPdf*)p);
   }
   static void destruct_RooAlpha4ExpNPdf(void *p) {
      typedef ::RooAlpha4ExpNPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha4ExpNPdf

//______________________________________________________________________________
void RooExpTailPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooExpTailPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooExpTailPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooExpTailPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooExpTailPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooExpTailPdf.
      TClass *R__cl = ::RooExpTailPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "s", &s);
      R__insp.InspectMember(s, "s.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a", &a);
      R__insp.InspectMember(a, "a.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooExpTailPdf(void *p) {
      return  p ? new(p) ::RooExpTailPdf : new ::RooExpTailPdf;
   }
   static void *newArray_RooExpTailPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooExpTailPdf[nElements] : new ::RooExpTailPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooExpTailPdf(void *p) {
      delete ((::RooExpTailPdf*)p);
   }
   static void deleteArray_RooExpTailPdf(void *p) {
      delete [] ((::RooExpTailPdf*)p);
   }
   static void destruct_RooExpTailPdf(void *p) {
      typedef ::RooExpTailPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooExpTailPdf

//______________________________________________________________________________
void RooAlpha4ExpTailPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha4ExpTailPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha4ExpTailPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha4ExpTailPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha4ExpTailPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha4ExpTailPdf.
      TClass *R__cl = ::RooAlpha4ExpTailPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "s0", &s0);
      R__insp.InspectMember(s0, "s0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a0", &a0);
      R__insp.InspectMember(a0, "a0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "s1", &s1);
      R__insp.InspectMember(s1, "s1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha4ExpTailPdf(void *p) {
      return  p ? new(p) ::RooAlpha4ExpTailPdf : new ::RooAlpha4ExpTailPdf;
   }
   static void *newArray_RooAlpha4ExpTailPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha4ExpTailPdf[nElements] : new ::RooAlpha4ExpTailPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha4ExpTailPdf(void *p) {
      delete ((::RooAlpha4ExpTailPdf*)p);
   }
   static void deleteArray_RooAlpha4ExpTailPdf(void *p) {
      delete [] ((::RooAlpha4ExpTailPdf*)p);
   }
   static void destruct_RooAlpha4ExpTailPdf(void *p) {
      typedef ::RooAlpha4ExpTailPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha4ExpTailPdf

//______________________________________________________________________________
void RooAlpha4GausExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooAlpha4GausExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooAlpha4GausExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooAlpha4GausExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooAlpha4GausExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooAlpha4GausExpPdf.
      TClass *R__cl = ::RooAlpha4GausExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sigma", &sigma);
      R__insp.InspectMember(sigma, "sigma.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "ca", &ca);
      R__insp.InspectMember(ca, "ca.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "meana", &meana);
      R__insp.InspectMember(meana, "meana.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sigmaa", &sigmaa);
      R__insp.InspectMember(sigmaa, "sigmaa.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooAlpha4GausExpPdf(void *p) {
      return  p ? new(p) ::RooAlpha4GausExpPdf : new ::RooAlpha4GausExpPdf;
   }
   static void *newArray_RooAlpha4GausExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooAlpha4GausExpPdf[nElements] : new ::RooAlpha4GausExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooAlpha4GausExpPdf(void *p) {
      delete ((::RooAlpha4GausExpPdf*)p);
   }
   static void deleteArray_RooAlpha4GausExpPdf(void *p) {
      delete [] ((::RooAlpha4GausExpPdf*)p);
   }
   static void destruct_RooAlpha4GausExpPdf(void *p) {
      typedef ::RooAlpha4GausExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooAlpha4GausExpPdf

//______________________________________________________________________________
void RooGausExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooGausExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooGausExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooGausExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooGausExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooGausExpPdf.
      TClass *R__cl = ::RooGausExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sigma", &sigma);
      R__insp.InspectMember(sigma, "sigma.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooGausExpPdf(void *p) {
      return  p ? new(p) ::RooGausExpPdf : new ::RooGausExpPdf;
   }
   static void *newArray_RooGausExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooGausExpPdf[nElements] : new ::RooGausExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooGausExpPdf(void *p) {
      delete ((::RooGausExpPdf*)p);
   }
   static void deleteArray_RooGausExpPdf(void *p) {
      delete [] ((::RooGausExpPdf*)p);
   }
   static void destruct_RooGausExpPdf(void *p) {
      typedef ::RooGausExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooGausExpPdf

//______________________________________________________________________________
void RooDoubleCrystalBall::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooDoubleCrystalBall.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooDoubleCrystalBall::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooDoubleCrystalBall::Class(),this);
   }
}

//______________________________________________________________________________
void RooDoubleCrystalBall::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooDoubleCrystalBall.
      TClass *R__cl = ::RooDoubleCrystalBall::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mean", &mean);
      R__insp.InspectMember(mean, "mean.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha1", &alpha1);
      R__insp.InspectMember(alpha1, "alpha1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n1", &n1);
      R__insp.InspectMember(n1, "n1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha2", &alpha2);
      R__insp.InspectMember(alpha2, "alpha2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "n2", &n2);
      R__insp.InspectMember(n2, "n2.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooDoubleCrystalBall(void *p) {
      return  p ? new(p) ::RooDoubleCrystalBall : new ::RooDoubleCrystalBall;
   }
   static void *newArray_RooDoubleCrystalBall(Long_t nElements, void *p) {
      return p ? new(p) ::RooDoubleCrystalBall[nElements] : new ::RooDoubleCrystalBall[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooDoubleCrystalBall(void *p) {
      delete ((::RooDoubleCrystalBall*)p);
   }
   static void deleteArray_RooDoubleCrystalBall(void *p) {
      delete [] ((::RooDoubleCrystalBall*)p);
   }
   static void destruct_RooDoubleCrystalBall(void *p) {
      typedef ::RooDoubleCrystalBall current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooDoubleCrystalBall

      namespace RooStats {
         namespace HistFactory {
//______________________________________________________________________________
void RooBSplineBases::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooStats::HistFactory::RooBSplineBases.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooStats::HistFactory::RooBSplineBases::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooStats::HistFactory::RooBSplineBases::Class(),this);
   }
}

} // namespace RooStats::HistFactory
} // namespace RooStats::HistFactory
//______________________________________________________________________________
      namespace RooStats {
         namespace HistFactory {
void RooBSplineBases::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooStats::HistFactory::RooBSplineBases.
      TClass *R__cl = ::RooStats::HistFactory::RooBSplineBases::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_tValues", (void*)&_tValues);
      R__insp.InspectMember("vector<double>", (void*)&_tValues, "_tValues.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_m", &_m);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_t", &_t);
      R__insp.InspectMember(_t, "_t.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_n", &_n);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_nrClose", &_nrClose);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_t_ary", (void*)&_t_ary);
      R__insp.InspectMember("vector<double>", (void*)&_t_ary, "_t_ary.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bin", (void*)&_bin);
      R__insp.InspectMember("vector<vector<double> >", (void*)&_bin, "_bin.", false);
      RooAbsReal::ShowMembers(R__insp);
}

} // namespace RooStats::HistFactory
} // namespace RooStats::HistFactory
namespace ROOT {
   // Wrappers around operator new
   static void *new_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p) {
      return  p ? new(p) ::RooStats::HistFactory::RooBSplineBases : new ::RooStats::HistFactory::RooBSplineBases;
   }
   static void *newArray_RooStatscLcLHistFactorycLcLRooBSplineBases(Long_t nElements, void *p) {
      return p ? new(p) ::RooStats::HistFactory::RooBSplineBases[nElements] : new ::RooStats::HistFactory::RooBSplineBases[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p) {
      delete ((::RooStats::HistFactory::RooBSplineBases*)p);
   }
   static void deleteArray_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p) {
      delete [] ((::RooStats::HistFactory::RooBSplineBases*)p);
   }
   static void destruct_RooStatscLcLHistFactorycLcLRooBSplineBases(void *p) {
      typedef ::RooStats::HistFactory::RooBSplineBases current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooStats::HistFactory::RooBSplineBases

      namespace RooStats {
         namespace HistFactory {
//______________________________________________________________________________
void RooBSpline::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooStats::HistFactory::RooBSpline.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooStats::HistFactory::RooBSpline::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooStats::HistFactory::RooBSpline::Class(),this);
   }
}

} // namespace RooStats::HistFactory
} // namespace RooStats::HistFactory
//______________________________________________________________________________
      namespace RooStats {
         namespace HistFactory {
void RooBSpline::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooStats::HistFactory::RooBSpline.
      TClass *R__cl = ::RooStats::HistFactory::RooBSpline::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_controlPoints", &_controlPoints);
      R__insp.InspectMember(_controlPoints, "_controlPoints.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_m", &_m);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_n", &_n);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_weights", &_weights);
      R__insp.InspectMember(_weights, "_weights.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_bases", &_bases);
      R__insp.InspectMember(_bases, "_bases.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_vars", &_vars);
      R__insp.InspectMember(_vars, "_vars.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheMgr", &_cacheMgr);
      R__insp.InspectMember(_cacheMgr, "_cacheMgr.");
      RooAbsReal::ShowMembers(R__insp);
}

} // namespace RooStats::HistFactory
} // namespace RooStats::HistFactory
namespace ROOT {
   // Wrappers around operator new
   static void *new_RooStatscLcLHistFactorycLcLRooBSpline(void *p) {
      return  p ? new(p) ::RooStats::HistFactory::RooBSpline : new ::RooStats::HistFactory::RooBSpline;
   }
   static void *newArray_RooStatscLcLHistFactorycLcLRooBSpline(Long_t nElements, void *p) {
      return p ? new(p) ::RooStats::HistFactory::RooBSpline[nElements] : new ::RooStats::HistFactory::RooBSpline[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooStatscLcLHistFactorycLcLRooBSpline(void *p) {
      delete ((::RooStats::HistFactory::RooBSpline*)p);
   }
   static void deleteArray_RooStatscLcLHistFactorycLcLRooBSpline(void *p) {
      delete [] ((::RooStats::HistFactory::RooBSpline*)p);
   }
   static void destruct_RooStatscLcLHistFactorycLcLRooBSpline(void *p) {
      typedef ::RooStats::HistFactory::RooBSpline current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooStats::HistFactory::RooBSpline

//______________________________________________________________________________
void RooParamKeysPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooParamKeysPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooParamKeysPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooParamKeysPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooParamKeysPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooParamKeysPdf.
      TClass *R__cl = ::RooParamKeysPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_x", &_x);
      R__insp.InspectMember(_x, "_x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_deltax", &_deltax);
      R__insp.InspectMember(_deltax, "_deltax.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_centralValue", &_centralValue);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_multiplicativeShift", &_multiplicativeShift);
      R__insp.InspectMember(_multiplicativeShift, "_multiplicativeShift.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_nEvents", &_nEvents);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_dataPts", &_dataPts);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_dataWgts", &_dataWgts);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_weights", &_weights);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_sumWgt", &_sumWgt);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_normVal", &_normVal);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_nPoints", &_nPoints);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_lookupTable", &_lookupTable);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_mirrorLeft", &_mirrorLeft);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_mirrorRight", &_mirrorRight);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_asymLeft", &_asymLeft);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_asymRight", &_asymRight);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_varName[128]", _varName);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_lo", &_lo);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_hi", &_hi);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_binWidth", &_binWidth);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_rho", &_rho);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooParamKeysPdf(void *p) {
      return  p ? new(p) ::RooParamKeysPdf : new ::RooParamKeysPdf;
   }
   static void *newArray_RooParamKeysPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooParamKeysPdf[nElements] : new ::RooParamKeysPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooParamKeysPdf(void *p) {
      delete ((::RooParamKeysPdf*)p);
   }
   static void deleteArray_RooParamKeysPdf(void *p) {
      delete [] ((::RooParamKeysPdf*)p);
   }
   static void destruct_RooParamKeysPdf(void *p) {
      typedef ::RooParamKeysPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooParamKeysPdf

//______________________________________________________________________________
void RooStarMomentMorph::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooStarMomentMorph.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooStarMomentMorph::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooStarMomentMorph::Class(),this);
   }
}

//______________________________________________________________________________
void RooStarMomentMorph::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooStarMomentMorph.
      TClass *R__cl = ::RooStarMomentMorph::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_cacheMgr", &_cacheMgr);
      R__insp.InspectMember(_cacheMgr, "_cacheMgr.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_curNormSet", &_curNormSet);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_parList", &_parList);
      R__insp.InspectMember(_parList, "_parList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_obsList", &_obsList);
      R__insp.InspectMember(_obsList, "_obsList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_pdfList", &_pdfList);
      R__insp.InspectMember(_pdfList, "_pdfList.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_nnuis", (void*)&_nnuis);
      R__insp.InspectMember("vector<int>", (void*)&_nnuis, "_nnuis.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_nref", (void*)&_nref);
      R__insp.InspectMember("vector<double>", (void*)&_nref, "_nref.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_parItr", &_parItr);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_obsItr", &_obsItr);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_pdfItr", &_pdfItr);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*_M", &_M);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_setting", &_setting);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_nnuisvar", &_nnuisvar);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "_useHorizMorph", &_useHorizMorph);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooStarMomentMorph(void *p) {
      return  p ? new(p) ::RooStarMomentMorph : new ::RooStarMomentMorph;
   }
   static void *newArray_RooStarMomentMorph(Long_t nElements, void *p) {
      return p ? new(p) ::RooStarMomentMorph[nElements] : new ::RooStarMomentMorph[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooStarMomentMorph(void *p) {
      delete ((::RooStarMomentMorph*)p);
   }
   static void deleteArray_RooStarMomentMorph(void *p) {
      delete [] ((::RooStarMomentMorph*)p);
   }
   static void destruct_RooStarMomentMorph(void *p) {
      typedef ::RooStarMomentMorph current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooStarMomentMorph

//______________________________________________________________________________
void RooMorphingPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooMorphingPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooMorphingPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooMorphingPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooMorphingPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooMorphingPdf.
      TClass *R__cl = ::RooMorphingPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mc_", (void*)&mc_);
      R__insp.InspectMember("RooMorphingPdf::MorphCache", (void*)&mc_, "mc_.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x_", &x_);
      R__insp.InspectMember(x_, "x_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mh_", &mh_);
      R__insp.InspectMember(mh_, "mh_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "pdfs_", &pdfs_);
      R__insp.InspectMember(pdfs_, "pdfs_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "masses_", (void*)&masses_);
      R__insp.InspectMember("vector<double>", (void*)&masses_, "masses_.", false);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "sentry_", &sentry_);
      R__insp.InspectMember(sentry_, "sentry_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "can_morph_", &can_morph_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "rebin_", &rebin_);
      R__insp.InspectMember(rebin_, "rebin_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "target_axis_", &target_axis_);
      R__insp.InspectMember(target_axis_, "target_axis_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "morph_axis_", &morph_axis_);
      R__insp.InspectMember(morph_axis_, "morph_axis_.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "hmap_", (void*)&hmap_);
      R__insp.InspectMember("RooMorphingPdf::MassMap", (void*)&hmap_, "hmap_.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "init_", &init_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "cache_", (void*)&cache_);
      R__insp.InspectMember("FastHisto", (void*)&cache_, "cache_.", true);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "single_point_", &single_point_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*p1_", &p1_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "*p2_", &p2_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mh_lo_", &mh_lo_);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mh_hi_", &mh_hi_);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooMorphingPdf(void *p) {
      return  p ? new(p) ::RooMorphingPdf : new ::RooMorphingPdf;
   }
   static void *newArray_RooMorphingPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooMorphingPdf[nElements] : new ::RooMorphingPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooMorphingPdf(void *p) {
      delete ((::RooMorphingPdf*)p);
   }
   static void deleteArray_RooMorphingPdf(void *p) {
      delete [] ((::RooMorphingPdf*)p);
   }
   static void destruct_RooMorphingPdf(void *p) {
      typedef ::RooMorphingPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooMorphingPdf

//______________________________________________________________________________
void RooSigPlusInt::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooSigPlusInt.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooSigPlusInt::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooSigPlusInt::Class(),this);
   }
}

//______________________________________________________________________________
void RooSigPlusInt::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooSigPlusInt.
      TClass *R__cl = ::RooSigPlusInt::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "delta", &delta);
      R__insp.InspectMember(delta, "delta.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "k", &k);
      R__insp.InspectMember(k, "k.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "CSquared", &CSquared);
      R__insp.InspectMember(CSquared, "CSquared.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "BRnew", &BRnew);
      R__insp.InspectMember(BRnew, "BRnew.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "alpha", &alpha);
      R__insp.InspectMember(alpha, "alpha.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "beta", &beta);
      R__insp.InspectMember(beta, "beta.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "r", &r);
      R__insp.InspectMember(r, "r.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooSigPlusInt(void *p) {
      return  p ? new(p) ::RooSigPlusInt : new ::RooSigPlusInt;
   }
   static void *newArray_RooSigPlusInt(Long_t nElements, void *p) {
      return p ? new(p) ::RooSigPlusInt[nElements] : new ::RooSigPlusInt[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooSigPlusInt(void *p) {
      delete ((::RooSigPlusInt*)p);
   }
   static void deleteArray_RooSigPlusInt(void *p) {
      delete [] ((::RooSigPlusInt*)p);
   }
   static void destruct_RooSigPlusInt(void *p) {
      typedef ::RooSigPlusInt current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooSigPlusInt

//______________________________________________________________________________
void RooBWHighMassGGH::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooBWHighMassGGH.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooBWHighMassGGH::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooBWHighMassGGH::Class(),this);
   }
}

//______________________________________________________________________________
void RooBWHighMassGGH::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooBWHighMassGGH.
      TClass *R__cl = ::RooBWHighMassGGH::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "KPrime", &KPrime);
      R__insp.InspectMember(KPrime, "KPrime.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "BRnew", &BRnew);
      R__insp.InspectMember(BRnew, "BRnew.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "IntStr", &IntStr);
      R__insp.InspectMember(IntStr, "IntStr.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "is8TeV", &is8TeV);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_width[7][5]", a_width);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_delta[7][5]", a_delta);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_alpha[7][5]", a_alpha);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_r[7][5]", a_r);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_beta[7][5]", a_beta);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooBWHighMassGGH(void *p) {
      return  p ? new(p) ::RooBWHighMassGGH : new ::RooBWHighMassGGH;
   }
   static void *newArray_RooBWHighMassGGH(Long_t nElements, void *p) {
      return p ? new(p) ::RooBWHighMassGGH[nElements] : new ::RooBWHighMassGGH[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooBWHighMassGGH(void *p) {
      delete ((::RooBWHighMassGGH*)p);
   }
   static void deleteArray_RooBWHighMassGGH(void *p) {
      delete [] ((::RooBWHighMassGGH*)p);
   }
   static void destruct_RooBWHighMassGGH(void *p) {
      typedef ::RooBWHighMassGGH current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooBWHighMassGGH

//______________________________________________________________________________
void RooCPSHighMassGGH::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooCPSHighMassGGH.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooCPSHighMassGGH::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooCPSHighMassGGH::Class(),this);
   }
}

//______________________________________________________________________________
void RooCPSHighMassGGH::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooCPSHighMassGGH.
      TClass *R__cl = ::RooCPSHighMassGGH::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "KPrime", &KPrime);
      R__insp.InspectMember(KPrime, "KPrime.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "BRnew", &BRnew);
      R__insp.InspectMember(BRnew, "BRnew.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "IntStr", &IntStr);
      R__insp.InspectMember(IntStr, "IntStr.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "WidthScl", &WidthScl);
      R__insp.InspectMember(WidthScl, "WidthScl.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "is8TeV", &is8TeV);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_width[7][5]", a_width);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_delta[7][5]", a_delta);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_alpha[7][5]", a_alpha);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_r[7][5]", a_r);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_beta[7][5]", a_beta);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooCPSHighMassGGH(void *p) {
      return  p ? new(p) ::RooCPSHighMassGGH : new ::RooCPSHighMassGGH;
   }
   static void *newArray_RooCPSHighMassGGH(Long_t nElements, void *p) {
      return p ? new(p) ::RooCPSHighMassGGH[nElements] : new ::RooCPSHighMassGGH[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooCPSHighMassGGH(void *p) {
      delete ((::RooCPSHighMassGGH*)p);
   }
   static void deleteArray_RooCPSHighMassGGH(void *p) {
      delete [] ((::RooCPSHighMassGGH*)p);
   }
   static void destruct_RooCPSHighMassGGH(void *p) {
      typedef ::RooCPSHighMassGGH current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooCPSHighMassGGH

//______________________________________________________________________________
void RooCPSHighMassGGHNoInterf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooCPSHighMassGGHNoInterf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooCPSHighMassGGHNoInterf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooCPSHighMassGGHNoInterf::Class(),this);
   }
}

//______________________________________________________________________________
void RooCPSHighMassGGHNoInterf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooCPSHighMassGGHNoInterf.
      TClass *R__cl = ::RooCPSHighMassGGHNoInterf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "KPrime", &KPrime);
      R__insp.InspectMember(KPrime, "KPrime.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "BRnew", &BRnew);
      R__insp.InspectMember(BRnew, "BRnew.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "is8TeV", &is8TeV);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_width[7][5]", a_width);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_delta[7][5]", a_delta);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooCPSHighMassGGHNoInterf(void *p) {
      return  p ? new(p) ::RooCPSHighMassGGHNoInterf : new ::RooCPSHighMassGGHNoInterf;
   }
   static void *newArray_RooCPSHighMassGGHNoInterf(Long_t nElements, void *p) {
      return p ? new(p) ::RooCPSHighMassGGHNoInterf[nElements] : new ::RooCPSHighMassGGHNoInterf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooCPSHighMassGGHNoInterf(void *p) {
      delete ((::RooCPSHighMassGGHNoInterf*)p);
   }
   static void deleteArray_RooCPSHighMassGGHNoInterf(void *p) {
      delete [] ((::RooCPSHighMassGGHNoInterf*)p);
   }
   static void destruct_RooCPSHighMassGGHNoInterf(void *p) {
      typedef ::RooCPSHighMassGGHNoInterf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooCPSHighMassGGHNoInterf

//______________________________________________________________________________
void RooCPSHighMassVBF::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooCPSHighMassVBF.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooCPSHighMassVBF::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooCPSHighMassVBF::Class(),this);
   }
}

//______________________________________________________________________________
void RooCPSHighMassVBF::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooCPSHighMassVBF.
      TClass *R__cl = ::RooCPSHighMassVBF::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "KPrime", &KPrime);
      R__insp.InspectMember(KPrime, "KPrime.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "BRnew", &BRnew);
      R__insp.InspectMember(BRnew, "BRnew.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "IntStr", &IntStr);
      R__insp.InspectMember(IntStr, "IntStr.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "WidthScl", &WidthScl);
      R__insp.InspectMember(WidthScl, "WidthScl.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "is8TeV", &is8TeV);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_width[7][5]", a_width);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_delta[7][5]", a_delta);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_alpha[7][5]", a_alpha);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_r[7][5]", a_r);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_beta[7][5]", a_beta);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooCPSHighMassVBF(void *p) {
      return  p ? new(p) ::RooCPSHighMassVBF : new ::RooCPSHighMassVBF;
   }
   static void *newArray_RooCPSHighMassVBF(Long_t nElements, void *p) {
      return p ? new(p) ::RooCPSHighMassVBF[nElements] : new ::RooCPSHighMassVBF[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooCPSHighMassVBF(void *p) {
      delete ((::RooCPSHighMassVBF*)p);
   }
   static void deleteArray_RooCPSHighMassVBF(void *p) {
      delete [] ((::RooCPSHighMassVBF*)p);
   }
   static void destruct_RooCPSHighMassVBF(void *p) {
      typedef ::RooCPSHighMassVBF current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooCPSHighMassVBF

//______________________________________________________________________________
void RooCPSHighMassVBFNoInterf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooCPSHighMassVBFNoInterf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooCPSHighMassVBFNoInterf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooCPSHighMassVBFNoInterf::Class(),this);
   }
}

//______________________________________________________________________________
void RooCPSHighMassVBFNoInterf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooCPSHighMassVBFNoInterf.
      TClass *R__cl = ::RooCPSHighMassVBFNoInterf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "mH", &mH);
      R__insp.InspectMember(mH, "mH.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "KPrime", &KPrime);
      R__insp.InspectMember(KPrime, "KPrime.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "BRnew", &BRnew);
      R__insp.InspectMember(BRnew, "BRnew.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "is8TeV", &is8TeV);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_width[7][5]", a_width);
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a_delta[7][5]", a_delta);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooCPSHighMassVBFNoInterf(void *p) {
      return  p ? new(p) ::RooCPSHighMassVBFNoInterf : new ::RooCPSHighMassVBFNoInterf;
   }
   static void *newArray_RooCPSHighMassVBFNoInterf(Long_t nElements, void *p) {
      return p ? new(p) ::RooCPSHighMassVBFNoInterf[nElements] : new ::RooCPSHighMassVBFNoInterf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooCPSHighMassVBFNoInterf(void *p) {
      delete ((::RooCPSHighMassVBFNoInterf*)p);
   }
   static void deleteArray_RooCPSHighMassVBFNoInterf(void *p) {
      delete [] ((::RooCPSHighMassVBFNoInterf*)p);
   }
   static void destruct_RooCPSHighMassVBFNoInterf(void *p) {
      typedef ::RooCPSHighMassVBFNoInterf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooCPSHighMassVBFNoInterf

//______________________________________________________________________________
void RooVBFZZPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooVBFZZPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooVBFZZPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooVBFZZPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooVBFZZPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooVBFZZPdf.
      TClass *R__cl = ::RooVBFZZPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a0", &a0);
      R__insp.InspectMember(a0, "a0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a1", &a1);
      R__insp.InspectMember(a1, "a1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a2", &a2);
      R__insp.InspectMember(a2, "a2.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a3", &a3);
      R__insp.InspectMember(a3, "a3.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a4", &a4);
      R__insp.InspectMember(a4, "a4.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a5", &a5);
      R__insp.InspectMember(a5, "a5.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a6", &a6);
      R__insp.InspectMember(a6, "a6.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a7", &a7);
      R__insp.InspectMember(a7, "a7.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a8", &a8);
      R__insp.InspectMember(a8, "a8.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a9", &a9);
      R__insp.InspectMember(a9, "a9.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a10", &a10);
      R__insp.InspectMember(a10, "a10.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a11", &a11);
      R__insp.InspectMember(a11, "a11.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a12", &a12);
      R__insp.InspectMember(a12, "a12.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a13", &a13);
      R__insp.InspectMember(a13, "a13.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a14", &a14);
      R__insp.InspectMember(a14, "a14.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a15", &a15);
      R__insp.InspectMember(a15, "a15.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a16", &a16);
      R__insp.InspectMember(a16, "a16.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooVBFZZPdf(void *p) {
      return  p ? new(p) ::RooVBFZZPdf : new ::RooVBFZZPdf;
   }
   static void *newArray_RooVBFZZPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooVBFZZPdf[nElements] : new ::RooVBFZZPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooVBFZZPdf(void *p) {
      delete ((::RooVBFZZPdf*)p);
   }
   static void deleteArray_RooVBFZZPdf(void *p) {
      delete [] ((::RooVBFZZPdf*)p);
   }
   static void destruct_RooVBFZZPdf(void *p) {
      typedef ::RooVBFZZPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooVBFZZPdf

//______________________________________________________________________________
void RooVBFZZPdf_v2::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooVBFZZPdf_v2.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooVBFZZPdf_v2::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooVBFZZPdf_v2::Class(),this);
   }
}

//______________________________________________________________________________
void RooVBFZZPdf_v2::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooVBFZZPdf_v2.
      TClass *R__cl = ::RooVBFZZPdf_v2::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "m4l", &m4l);
      R__insp.InspectMember(m4l, "m4l.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a4", &a4);
      R__insp.InspectMember(a4, "a4.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a5", &a5);
      R__insp.InspectMember(a5, "a5.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a6", &a6);
      R__insp.InspectMember(a6, "a6.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a7", &a7);
      R__insp.InspectMember(a7, "a7.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a8", &a8);
      R__insp.InspectMember(a8, "a8.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a9", &a9);
      R__insp.InspectMember(a9, "a9.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a10", &a10);
      R__insp.InspectMember(a10, "a10.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a11", &a11);
      R__insp.InspectMember(a11, "a11.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a12", &a12);
      R__insp.InspectMember(a12, "a12.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a13", &a13);
      R__insp.InspectMember(a13, "a13.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a14", &a14);
      R__insp.InspectMember(a14, "a14.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a15", &a15);
      R__insp.InspectMember(a15, "a15.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "a16", &a16);
      R__insp.InspectMember(a16, "a16.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooVBFZZPdf_v2(void *p) {
      return  p ? new(p) ::RooVBFZZPdf_v2 : new ::RooVBFZZPdf_v2;
   }
   static void *newArray_RooVBFZZPdf_v2(Long_t nElements, void *p) {
      return p ? new(p) ::RooVBFZZPdf_v2[nElements] : new ::RooVBFZZPdf_v2[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooVBFZZPdf_v2(void *p) {
      delete ((::RooVBFZZPdf_v2*)p);
   }
   static void deleteArray_RooVBFZZPdf_v2(void *p) {
      delete [] ((::RooVBFZZPdf_v2*)p);
   }
   static void destruct_RooVBFZZPdf_v2(void *p) {
      typedef ::RooVBFZZPdf_v2 current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooVBFZZPdf_v2

//______________________________________________________________________________
void RooExpPoly::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooExpPoly.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooExpPoly::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooExpPoly::Class(),this);
   }
}

//______________________________________________________________________________
void RooExpPoly::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooExpPoly.
      TClass *R__cl = ::RooExpPoly::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "coefs", &coefs);
      R__insp.InspectMember(coefs, "coefs.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooExpPoly(void *p) {
      return  p ? new(p) ::RooExpPoly : new ::RooExpPoly;
   }
   static void *newArray_RooExpPoly(Long_t nElements, void *p) {
      return p ? new(p) ::RooExpPoly[nElements] : new ::RooExpPoly[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooExpPoly(void *p) {
      delete ((::RooExpPoly*)p);
   }
   static void deleteArray_RooExpPoly(void *p) {
      delete [] ((::RooExpPoly*)p);
   }
   static void destruct_RooExpPoly(void *p) {
      typedef ::RooExpPoly current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooExpPoly

//______________________________________________________________________________
void RooPowerLaw::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooPowerLaw.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooPowerLaw::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooPowerLaw::Class(),this);
   }
}

//______________________________________________________________________________
void RooPowerLaw::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooPowerLaw.
      TClass *R__cl = ::RooPowerLaw::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "power", &power);
      R__insp.InspectMember(power, "power.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooPowerLaw(void *p) {
      return  p ? new(p) ::RooPowerLaw : new ::RooPowerLaw;
   }
   static void *newArray_RooPowerLaw(Long_t nElements, void *p) {
      return p ? new(p) ::RooPowerLaw[nElements] : new ::RooPowerLaw[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooPowerLaw(void *p) {
      delete ((::RooPowerLaw*)p);
   }
   static void deleteArray_RooPowerLaw(void *p) {
      delete [] ((::RooPowerLaw*)p);
   }
   static void destruct_RooPowerLaw(void *p) {
      typedef ::RooPowerLaw current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooPowerLaw

//______________________________________________________________________________
void RooPowerFunction::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooPowerFunction.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooPowerFunction::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooPowerFunction::Class(),this);
   }
}

//______________________________________________________________________________
void RooPowerFunction::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooPowerFunction.
      TClass *R__cl = ::RooPowerFunction::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "r", &r);
      R__insp.InspectMember(r, "r.");
      RooAbsReal::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooPowerFunction(void *p) {
      return  p ? new(p) ::RooPowerFunction : new ::RooPowerFunction;
   }
   static void *newArray_RooPowerFunction(Long_t nElements, void *p) {
      return p ? new(p) ::RooPowerFunction[nElements] : new ::RooPowerFunction[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooPowerFunction(void *p) {
      delete ((::RooPowerFunction*)p);
   }
   static void deleteArray_RooPowerFunction(void *p) {
      delete [] ((::RooPowerFunction*)p);
   }
   static void destruct_RooPowerFunction(void *p) {
      typedef ::RooPowerFunction current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooPowerFunction

//______________________________________________________________________________
void RooTH1DPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooTH1DPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooTH1DPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooTH1DPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooTH1DPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooTH1DPdf.
      TClass *R__cl = ::RooTH1DPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "hist", &hist);
      R__insp.InspectMember(hist, "hist.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "interpolate", &interpolate);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooTH1DPdf(void *p) {
      return  p ? new(p) ::RooTH1DPdf : new ::RooTH1DPdf;
   }
   static void *newArray_RooTH1DPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooTH1DPdf[nElements] : new ::RooTH1DPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooTH1DPdf(void *p) {
      delete ((::RooTH1DPdf*)p);
   }
   static void deleteArray_RooTH1DPdf(void *p) {
      delete [] ((::RooTH1DPdf*)p);
   }
   static void destruct_RooTH1DPdf(void *p) {
      typedef ::RooTH1DPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooTH1DPdf

//______________________________________________________________________________
void RooPowerExpPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooPowerExpPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooPowerExpPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooPowerExpPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooPowerExpPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooPowerExpPdf.
      TClass *R__cl = ::RooPowerExpPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "c", &c);
      R__insp.InspectMember(c, "c.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "power", &power);
      R__insp.InspectMember(power, "power.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooPowerExpPdf(void *p) {
      return  p ? new(p) ::RooPowerExpPdf : new ::RooPowerExpPdf;
   }
   static void *newArray_RooPowerExpPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooPowerExpPdf[nElements] : new ::RooPowerExpPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooPowerExpPdf(void *p) {
      delete ((::RooPowerExpPdf*)p);
   }
   static void deleteArray_RooPowerExpPdf(void *p) {
      delete [] ((::RooPowerExpPdf*)p);
   }
   static void destruct_RooPowerExpPdf(void *p) {
      typedef ::RooPowerExpPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooPowerExpPdf

//______________________________________________________________________________
void RooErfPdf::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooErfPdf.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooErfPdf::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooErfPdf::Class(),this);
   }
}

//______________________________________________________________________________
void RooErfPdf::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooErfPdf.
      TClass *R__cl = ::RooErfPdf::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "turnOn", &turnOn);
      R__insp.InspectMember(turnOn, "turnOn.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "width", &width);
      R__insp.InspectMember(width, "width.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "onOff", &onOff);
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooErfPdf(void *p) {
      return  p ? new(p) ::RooErfPdf : new ::RooErfPdf;
   }
   static void *newArray_RooErfPdf(Long_t nElements, void *p) {
      return p ? new(p) ::RooErfPdf[nElements] : new ::RooErfPdf[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooErfPdf(void *p) {
      delete ((::RooErfPdf*)p);
   }
   static void deleteArray_RooErfPdf(void *p) {
      delete [] ((::RooErfPdf*)p);
   }
   static void destruct_RooErfPdf(void *p) {
      typedef ::RooErfPdf current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooErfPdf

//______________________________________________________________________________
void RooChebyshevPDF::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooChebyshevPDF.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooChebyshevPDF::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooChebyshevPDF::Class(),this);
   }
}

//______________________________________________________________________________
void RooChebyshevPDF::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class RooChebyshevPDF.
      TClass *R__cl = ::RooChebyshevPDF::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "coefs", &coefs);
      R__insp.InspectMember(coefs, "coefs.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooChebyshevPDF(void *p) {
      return  p ? new(p) ::RooChebyshevPDF : new ::RooChebyshevPDF;
   }
   static void *newArray_RooChebyshevPDF(Long_t nElements, void *p) {
      return p ? new(p) ::RooChebyshevPDF[nElements] : new ::RooChebyshevPDF[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooChebyshevPDF(void *p) {
      delete ((::RooChebyshevPDF*)p);
   }
   static void deleteArray_RooChebyshevPDF(void *p) {
      delete [] ((::RooChebyshevPDF*)p);
   }
   static void destruct_RooChebyshevPDF(void *p) {
      typedef ::RooChebyshevPDF current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooChebyshevPDF

//______________________________________________________________________________
void GaussExp::Streamer(TBuffer &R__b)
{
   // Stream an object of class GaussExp.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(GaussExp::Class(),this);
   } else {
      R__b.WriteClassBuffer(GaussExp::Class(),this);
   }
}

//______________________________________________________________________________
void GaussExp::ShowMembers(TMemberInspector &R__insp)
{
      // Inspect the data members of an object of class GaussExp.
      TClass *R__cl = ::GaussExp::IsA();
      if (R__cl || R__insp.IsA()) { }
      R__insp.Inspect(R__cl, R__insp.GetParent(), "x", &x);
      R__insp.InspectMember(x, "x.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p0", &p0);
      R__insp.InspectMember(p0, "p0.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p1", &p1);
      R__insp.InspectMember(p1, "p1.");
      R__insp.Inspect(R__cl, R__insp.GetParent(), "p2", &p2);
      R__insp.InspectMember(p2, "p2.");
      RooAbsPdf::ShowMembers(R__insp);
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_GaussExp(void *p) {
      return  p ? new(p) ::GaussExp : new ::GaussExp;
   }
   static void *newArray_GaussExp(Long_t nElements, void *p) {
      return p ? new(p) ::GaussExp[nElements] : new ::GaussExp[nElements];
   }
   // Wrapper around operator delete
   static void delete_GaussExp(void *p) {
      delete ((::GaussExp*)p);
   }
   static void deleteArray_GaussExp(void *p) {
      delete [] ((::GaussExp*)p);
   }
   static void destruct_GaussExp(void *p) {
      typedef ::GaussExp current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::GaussExp

namespace ROOT {
   void maplEintcOpairlEdoublecOdoublegRsPgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void maplEintcOpairlEdoublecOdoublegRsPgR_Dictionary();
   static void *new_maplEintcOpairlEdoublecOdoublegRsPgR(void *p = 0);
   static void *newArray_maplEintcOpairlEdoublecOdoublegRsPgR(Long_t size, void *p);
   static void delete_maplEintcOpairlEdoublecOdoublegRsPgR(void *p);
   static void deleteArray_maplEintcOpairlEdoublecOdoublegRsPgR(void *p);
   static void destruct_maplEintcOpairlEdoublecOdoublegRsPgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const map<int,pair<double,double> >*)
   {
      map<int,pair<double,double> > *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(map<int,pair<double,double> >),0);
      static ::ROOT::TGenericClassInfo 
         instance("map<int,pair<double,double> >", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/map", 63,
                  typeid(map<int,pair<double,double> >), DefineBehavior(ptr, ptr),
                  0, &maplEintcOpairlEdoublecOdoublegRsPgR_Dictionary, isa_proxy, 0,
                  sizeof(map<int,pair<double,double> >) );
      instance.SetNew(&new_maplEintcOpairlEdoublecOdoublegRsPgR);
      instance.SetNewArray(&newArray_maplEintcOpairlEdoublecOdoublegRsPgR);
      instance.SetDelete(&delete_maplEintcOpairlEdoublecOdoublegRsPgR);
      instance.SetDeleteArray(&deleteArray_maplEintcOpairlEdoublecOdoublegRsPgR);
      instance.SetDestructor(&destruct_maplEintcOpairlEdoublecOdoublegRsPgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::MapInsert< map<int,pair<double,double> > >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const map<int,pair<double,double> >*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void maplEintcOpairlEdoublecOdoublegRsPgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const map<int,pair<double,double> >*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_maplEintcOpairlEdoublecOdoublegRsPgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) map<int,pair<double,double> > : new map<int,pair<double,double> >;
   }
   static void *newArray_maplEintcOpairlEdoublecOdoublegRsPgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) map<int,pair<double,double> >[nElements] : new map<int,pair<double,double> >[nElements];
   }
   // Wrapper around operator delete
   static void delete_maplEintcOpairlEdoublecOdoublegRsPgR(void *p) {
      delete ((map<int,pair<double,double> >*)p);
   }
   static void deleteArray_maplEintcOpairlEdoublecOdoublegRsPgR(void *p) {
      delete [] ((map<int,pair<double,double> >*)p);
   }
   static void destruct_maplEintcOpairlEdoublecOdoublegRsPgR(void *p) {
      typedef map<int,pair<double,double> > current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class map<int,pair<double,double> >

namespace ROOT {
   void maplEintcOvectorlEdoublegRsPgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void maplEintcOvectorlEdoublegRsPgR_Dictionary();
   static void *new_maplEintcOvectorlEdoublegRsPgR(void *p = 0);
   static void *newArray_maplEintcOvectorlEdoublegRsPgR(Long_t size, void *p);
   static void delete_maplEintcOvectorlEdoublegRsPgR(void *p);
   static void deleteArray_maplEintcOvectorlEdoublegRsPgR(void *p);
   static void destruct_maplEintcOvectorlEdoublegRsPgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const map<int,vector<double> >*)
   {
      map<int,vector<double> > *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(map<int,vector<double> >),0);
      static ::ROOT::TGenericClassInfo 
         instance("map<int,vector<double> >", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/map", 63,
                  typeid(map<int,vector<double> >), DefineBehavior(ptr, ptr),
                  0, &maplEintcOvectorlEdoublegRsPgR_Dictionary, isa_proxy, 0,
                  sizeof(map<int,vector<double> >) );
      instance.SetNew(&new_maplEintcOvectorlEdoublegRsPgR);
      instance.SetNewArray(&newArray_maplEintcOvectorlEdoublegRsPgR);
      instance.SetDelete(&delete_maplEintcOvectorlEdoublegRsPgR);
      instance.SetDeleteArray(&deleteArray_maplEintcOvectorlEdoublegRsPgR);
      instance.SetDestructor(&destruct_maplEintcOvectorlEdoublegRsPgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::MapInsert< map<int,vector<double> > >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const map<int,vector<double> >*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void maplEintcOvectorlEdoublegRsPgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const map<int,vector<double> >*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_maplEintcOvectorlEdoublegRsPgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) map<int,vector<double> > : new map<int,vector<double> >;
   }
   static void *newArray_maplEintcOvectorlEdoublegRsPgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) map<int,vector<double> >[nElements] : new map<int,vector<double> >[nElements];
   }
   // Wrapper around operator delete
   static void delete_maplEintcOvectorlEdoublegRsPgR(void *p) {
      delete ((map<int,vector<double> >*)p);
   }
   static void deleteArray_maplEintcOvectorlEdoublegRsPgR(void *p) {
      delete [] ((map<int,vector<double> >*)p);
   }
   static void destruct_maplEintcOvectorlEdoublegRsPgR(void *p) {
      typedef map<int,vector<double> > current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class map<int,vector<double> >

namespace ROOT {
   void maplEstringcORooDataHistmUgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void maplEstringcORooDataHistmUgR_Dictionary();
   static void *new_maplEstringcORooDataHistmUgR(void *p = 0);
   static void *newArray_maplEstringcORooDataHistmUgR(Long_t size, void *p);
   static void delete_maplEstringcORooDataHistmUgR(void *p);
   static void deleteArray_maplEstringcORooDataHistmUgR(void *p);
   static void destruct_maplEstringcORooDataHistmUgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const map<string,RooDataHist*>*)
   {
      map<string,RooDataHist*> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(map<string,RooDataHist*>),0);
      static ::ROOT::TGenericClassInfo 
         instance("map<string,RooDataHist*>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/map", 63,
                  typeid(map<string,RooDataHist*>), DefineBehavior(ptr, ptr),
                  0, &maplEstringcORooDataHistmUgR_Dictionary, isa_proxy, 0,
                  sizeof(map<string,RooDataHist*>) );
      instance.SetNew(&new_maplEstringcORooDataHistmUgR);
      instance.SetNewArray(&newArray_maplEstringcORooDataHistmUgR);
      instance.SetDelete(&delete_maplEstringcORooDataHistmUgR);
      instance.SetDeleteArray(&deleteArray_maplEstringcORooDataHistmUgR);
      instance.SetDestructor(&destruct_maplEstringcORooDataHistmUgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::MapInsert< map<string,RooDataHist*> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const map<string,RooDataHist*>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void maplEstringcORooDataHistmUgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const map<string,RooDataHist*>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_maplEstringcORooDataHistmUgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) map<string,RooDataHist*> : new map<string,RooDataHist*>;
   }
   static void *newArray_maplEstringcORooDataHistmUgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) map<string,RooDataHist*>[nElements] : new map<string,RooDataHist*>[nElements];
   }
   // Wrapper around operator delete
   static void delete_maplEstringcORooDataHistmUgR(void *p) {
      delete ((map<string,RooDataHist*>*)p);
   }
   static void deleteArray_maplEstringcORooDataHistmUgR(void *p) {
      delete [] ((map<string,RooDataHist*>*)p);
   }
   static void destruct_maplEstringcORooDataHistmUgR(void *p) {
      typedef map<string,RooDataHist*> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class map<string,RooDataHist*>

namespace ROOT {
   void maplEstringcORooDataSetmUgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void maplEstringcORooDataSetmUgR_Dictionary();
   static void *new_maplEstringcORooDataSetmUgR(void *p = 0);
   static void *newArray_maplEstringcORooDataSetmUgR(Long_t size, void *p);
   static void delete_maplEstringcORooDataSetmUgR(void *p);
   static void deleteArray_maplEstringcORooDataSetmUgR(void *p);
   static void destruct_maplEstringcORooDataSetmUgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const map<string,RooDataSet*>*)
   {
      map<string,RooDataSet*> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(map<string,RooDataSet*>),0);
      static ::ROOT::TGenericClassInfo 
         instance("map<string,RooDataSet*>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/map", 63,
                  typeid(map<string,RooDataSet*>), DefineBehavior(ptr, ptr),
                  0, &maplEstringcORooDataSetmUgR_Dictionary, isa_proxy, 0,
                  sizeof(map<string,RooDataSet*>) );
      instance.SetNew(&new_maplEstringcORooDataSetmUgR);
      instance.SetNewArray(&newArray_maplEstringcORooDataSetmUgR);
      instance.SetDelete(&delete_maplEstringcORooDataSetmUgR);
      instance.SetDeleteArray(&deleteArray_maplEstringcORooDataSetmUgR);
      instance.SetDestructor(&destruct_maplEstringcORooDataSetmUgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::MapInsert< map<string,RooDataSet*> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const map<string,RooDataSet*>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void maplEstringcORooDataSetmUgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const map<string,RooDataSet*>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_maplEstringcORooDataSetmUgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) map<string,RooDataSet*> : new map<string,RooDataSet*>;
   }
   static void *newArray_maplEstringcORooDataSetmUgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) map<string,RooDataSet*>[nElements] : new map<string,RooDataSet*>[nElements];
   }
   // Wrapper around operator delete
   static void delete_maplEstringcORooDataSetmUgR(void *p) {
      delete ((map<string,RooDataSet*>*)p);
   }
   static void deleteArray_maplEstringcORooDataSetmUgR(void *p) {
      delete [] ((map<string,RooDataSet*>*)p);
   }
   static void destruct_maplEstringcORooDataSetmUgR(void *p) {
      typedef map<string,RooDataSet*> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class map<string,RooDataSet*>

namespace ROOT {
   void vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR_Dictionary();
   static void *new_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p = 0);
   static void *newArray_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(Long_t size, void *p);
   static void delete_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p);
   static void deleteArray_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p);
   static void destruct_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<FastVerticalInterpHistPdfBase::Morph>*)
   {
      vector<FastVerticalInterpHistPdfBase::Morph> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<FastVerticalInterpHistPdfBase::Morph>),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<FastVerticalInterpHistPdfBase::Morph>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<FastVerticalInterpHistPdfBase::Morph>), DefineBehavior(ptr, ptr),
                  0, &vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR_Dictionary, isa_proxy, 0,
                  sizeof(vector<FastVerticalInterpHistPdfBase::Morph>) );
      instance.SetNew(&new_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR);
      instance.SetNewArray(&newArray_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR);
      instance.SetDelete(&delete_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR);
      instance.SetDeleteArray(&deleteArray_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR);
      instance.SetDestructor(&destruct_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<FastVerticalInterpHistPdfBase::Morph> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<FastVerticalInterpHistPdfBase::Morph>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<FastVerticalInterpHistPdfBase::Morph>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<FastVerticalInterpHistPdfBase::Morph> : new vector<FastVerticalInterpHistPdfBase::Morph>;
   }
   static void *newArray_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<FastVerticalInterpHistPdfBase::Morph>[nElements] : new vector<FastVerticalInterpHistPdfBase::Morph>[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p) {
      delete ((vector<FastVerticalInterpHistPdfBase::Morph>*)p);
   }
   static void deleteArray_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p) {
      delete [] ((vector<FastVerticalInterpHistPdfBase::Morph>*)p);
   }
   static void destruct_vectorlEFastVerticalInterpHistPdfBasecLcLMorphgR(void *p) {
      typedef vector<FastVerticalInterpHistPdfBase::Morph> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<FastVerticalInterpHistPdfBase::Morph>

namespace ROOT {
   void vectorlERooArgSetgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlERooArgSetgR_Dictionary();
   static void *new_vectorlERooArgSetgR(void *p = 0);
   static void *newArray_vectorlERooArgSetgR(Long_t size, void *p);
   static void delete_vectorlERooArgSetgR(void *p);
   static void deleteArray_vectorlERooArgSetgR(void *p);
   static void destruct_vectorlERooArgSetgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<RooArgSet>*)
   {
      vector<RooArgSet> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<RooArgSet>),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<RooArgSet>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<RooArgSet>), DefineBehavior(ptr, ptr),
                  0, &vectorlERooArgSetgR_Dictionary, isa_proxy, 0,
                  sizeof(vector<RooArgSet>) );
      instance.SetNew(&new_vectorlERooArgSetgR);
      instance.SetNewArray(&newArray_vectorlERooArgSetgR);
      instance.SetDelete(&delete_vectorlERooArgSetgR);
      instance.SetDeleteArray(&deleteArray_vectorlERooArgSetgR);
      instance.SetDestructor(&destruct_vectorlERooArgSetgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<RooArgSet> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<RooArgSet>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlERooArgSetgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<RooArgSet>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlERooArgSetgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<RooArgSet> : new vector<RooArgSet>;
   }
   static void *newArray_vectorlERooArgSetgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<RooArgSet>[nElements] : new vector<RooArgSet>[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlERooArgSetgR(void *p) {
      delete ((vector<RooArgSet>*)p);
   }
   static void deleteArray_vectorlERooArgSetgR(void *p) {
      delete [] ((vector<RooArgSet>*)p);
   }
   static void destruct_vectorlERooArgSetgR(void *p) {
      typedef vector<RooArgSet> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<RooArgSet>

namespace ROOT {
   void vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR_Dictionary();
   static void *new_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p = 0);
   static void *newArray_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(Long_t size, void *p);
   static void delete_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p);
   static void deleteArray_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p);
   static void destruct_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<cmsmath::SequentialMinimizer::Worker>*)
   {
      vector<cmsmath::SequentialMinimizer::Worker> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<cmsmath::SequentialMinimizer::Worker>),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<cmsmath::SequentialMinimizer::Worker>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<cmsmath::SequentialMinimizer::Worker>), DefineBehavior(ptr, ptr),
                  0, &vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR_Dictionary, isa_proxy, 0,
                  sizeof(vector<cmsmath::SequentialMinimizer::Worker>) );
      instance.SetNew(&new_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR);
      instance.SetNewArray(&newArray_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR);
      instance.SetDelete(&delete_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR);
      instance.SetDeleteArray(&deleteArray_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR);
      instance.SetDestructor(&destruct_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<cmsmath::SequentialMinimizer::Worker> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<cmsmath::SequentialMinimizer::Worker>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<cmsmath::SequentialMinimizer::Worker>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<cmsmath::SequentialMinimizer::Worker> : new vector<cmsmath::SequentialMinimizer::Worker>;
   }
   static void *newArray_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<cmsmath::SequentialMinimizer::Worker>[nElements] : new vector<cmsmath::SequentialMinimizer::Worker>[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p) {
      delete ((vector<cmsmath::SequentialMinimizer::Worker>*)p);
   }
   static void deleteArray_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p) {
      delete [] ((vector<cmsmath::SequentialMinimizer::Worker>*)p);
   }
   static void destruct_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkergR(void *p) {
      typedef vector<cmsmath::SequentialMinimizer::Worker> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<cmsmath::SequentialMinimizer::Worker>

namespace ROOT {
   void vectorlEdoublegR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlEdoublegR_Dictionary();
   static void *new_vectorlEdoublegR(void *p = 0);
   static void *newArray_vectorlEdoublegR(Long_t size, void *p);
   static void delete_vectorlEdoublegR(void *p);
   static void deleteArray_vectorlEdoublegR(void *p);
   static void destruct_vectorlEdoublegR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<double>*)
   {
      vector<double> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<double>),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<double>", -2, "vector.dll", 0,
                  typeid(vector<double>), DefineBehavior(ptr, ptr),
                  0, &vectorlEdoublegR_Dictionary, isa_proxy, 0,
                  sizeof(vector<double>) );
      instance.SetNew(&new_vectorlEdoublegR);
      instance.SetNewArray(&newArray_vectorlEdoublegR);
      instance.SetDelete(&delete_vectorlEdoublegR);
      instance.SetDeleteArray(&deleteArray_vectorlEdoublegR);
      instance.SetDestructor(&destruct_vectorlEdoublegR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<double> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<double>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlEdoublegR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<double>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlEdoublegR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<double> : new vector<double>;
   }
   static void *newArray_vectorlEdoublegR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<double>[nElements] : new vector<double>[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlEdoublegR(void *p) {
      delete ((vector<double>*)p);
   }
   static void deleteArray_vectorlEdoublegR(void *p) {
      delete [] ((vector<double>*)p);
   }
   static void destruct_vectorlEdoublegR(void *p) {
      typedef vector<double> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<double>

namespace ROOT {
   void vectorlEintgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlEintgR_Dictionary();
   static void *new_vectorlEintgR(void *p = 0);
   static void *newArray_vectorlEintgR(Long_t size, void *p);
   static void delete_vectorlEintgR(void *p);
   static void deleteArray_vectorlEintgR(void *p);
   static void destruct_vectorlEintgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<int>*)
   {
      vector<int> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<int>),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<int>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<int>), DefineBehavior(ptr, ptr),
                  0, &vectorlEintgR_Dictionary, isa_proxy, 0,
                  sizeof(vector<int>) );
      instance.SetNew(&new_vectorlEintgR);
      instance.SetNewArray(&newArray_vectorlEintgR);
      instance.SetDelete(&delete_vectorlEintgR);
      instance.SetDeleteArray(&deleteArray_vectorlEintgR);
      instance.SetDestructor(&destruct_vectorlEintgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<int> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<int>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlEintgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<int>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlEintgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<int> : new vector<int>;
   }
   static void *newArray_vectorlEintgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<int>[nElements] : new vector<int>[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlEintgR(void *p) {
      delete ((vector<int>*)p);
   }
   static void deleteArray_vectorlEintgR(void *p) {
      delete [] ((vector<int>*)p);
   }
   static void destruct_vectorlEintgR(void *p) {
      typedef vector<int> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<int>

namespace ROOT {
   void vectorlEpairlEdoublecOdoublegRsPgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlEpairlEdoublecOdoublegRsPgR_Dictionary();
   static void *new_vectorlEpairlEdoublecOdoublegRsPgR(void *p = 0);
   static void *newArray_vectorlEpairlEdoublecOdoublegRsPgR(Long_t size, void *p);
   static void delete_vectorlEpairlEdoublecOdoublegRsPgR(void *p);
   static void deleteArray_vectorlEpairlEdoublecOdoublegRsPgR(void *p);
   static void destruct_vectorlEpairlEdoublecOdoublegRsPgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<pair<double,double> >*)
   {
      vector<pair<double,double> > *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<pair<double,double> >),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<pair<double,double> >", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<pair<double,double> >), DefineBehavior(ptr, ptr),
                  0, &vectorlEpairlEdoublecOdoublegRsPgR_Dictionary, isa_proxy, 0,
                  sizeof(vector<pair<double,double> >) );
      instance.SetNew(&new_vectorlEpairlEdoublecOdoublegRsPgR);
      instance.SetNewArray(&newArray_vectorlEpairlEdoublecOdoublegRsPgR);
      instance.SetDelete(&delete_vectorlEpairlEdoublecOdoublegRsPgR);
      instance.SetDeleteArray(&deleteArray_vectorlEpairlEdoublecOdoublegRsPgR);
      instance.SetDestructor(&destruct_vectorlEpairlEdoublecOdoublegRsPgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<pair<double,double> > >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<pair<double,double> >*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlEpairlEdoublecOdoublegRsPgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<pair<double,double> >*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlEpairlEdoublecOdoublegRsPgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<pair<double,double> > : new vector<pair<double,double> >;
   }
   static void *newArray_vectorlEpairlEdoublecOdoublegRsPgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<pair<double,double> >[nElements] : new vector<pair<double,double> >[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlEpairlEdoublecOdoublegRsPgR(void *p) {
      delete ((vector<pair<double,double> >*)p);
   }
   static void deleteArray_vectorlEpairlEdoublecOdoublegRsPgR(void *p) {
      delete [] ((vector<pair<double,double> >*)p);
   }
   static void destruct_vectorlEpairlEdoublecOdoublegRsPgR(void *p) {
      typedef vector<pair<double,double> > current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<pair<double,double> >

namespace ROOT {
   void vectorlErVrFLikelihoodcLcLChannelgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlErVrFLikelihoodcLcLChannelgR_Dictionary();
   static void *new_vectorlErVrFLikelihoodcLcLChannelgR(void *p = 0);
   static void *newArray_vectorlErVrFLikelihoodcLcLChannelgR(Long_t size, void *p);
   static void delete_vectorlErVrFLikelihoodcLcLChannelgR(void *p);
   static void deleteArray_vectorlErVrFLikelihoodcLcLChannelgR(void *p);
   static void destruct_vectorlErVrFLikelihoodcLcLChannelgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<rVrFLikelihood::Channel>*)
   {
      vector<rVrFLikelihood::Channel> *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<rVrFLikelihood::Channel>),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<rVrFLikelihood::Channel>", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<rVrFLikelihood::Channel>), DefineBehavior(ptr, ptr),
                  0, &vectorlErVrFLikelihoodcLcLChannelgR_Dictionary, isa_proxy, 0,
                  sizeof(vector<rVrFLikelihood::Channel>) );
      instance.SetNew(&new_vectorlErVrFLikelihoodcLcLChannelgR);
      instance.SetNewArray(&newArray_vectorlErVrFLikelihoodcLcLChannelgR);
      instance.SetDelete(&delete_vectorlErVrFLikelihoodcLcLChannelgR);
      instance.SetDeleteArray(&deleteArray_vectorlErVrFLikelihoodcLcLChannelgR);
      instance.SetDestructor(&destruct_vectorlErVrFLikelihoodcLcLChannelgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<rVrFLikelihood::Channel> >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<rVrFLikelihood::Channel>*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlErVrFLikelihoodcLcLChannelgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<rVrFLikelihood::Channel>*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlErVrFLikelihoodcLcLChannelgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<rVrFLikelihood::Channel> : new vector<rVrFLikelihood::Channel>;
   }
   static void *newArray_vectorlErVrFLikelihoodcLcLChannelgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<rVrFLikelihood::Channel>[nElements] : new vector<rVrFLikelihood::Channel>[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlErVrFLikelihoodcLcLChannelgR(void *p) {
      delete ((vector<rVrFLikelihood::Channel>*)p);
   }
   static void deleteArray_vectorlErVrFLikelihoodcLcLChannelgR(void *p) {
      delete [] ((vector<rVrFLikelihood::Channel>*)p);
   }
   static void destruct_vectorlErVrFLikelihoodcLcLChannelgR(void *p) {
      typedef vector<rVrFLikelihood::Channel> current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<rVrFLikelihood::Channel>

namespace ROOT {
   void vectorlEvectorlEdoublegRsPgR_ShowMembers(void *obj, TMemberInspector &R__insp);
   static void vectorlEvectorlEdoublegRsPgR_Dictionary();
   static void *new_vectorlEvectorlEdoublegRsPgR(void *p = 0);
   static void *newArray_vectorlEvectorlEdoublegRsPgR(Long_t size, void *p);
   static void delete_vectorlEvectorlEdoublegRsPgR(void *p);
   static void deleteArray_vectorlEvectorlEdoublegRsPgR(void *p);
   static void destruct_vectorlEvectorlEdoublegRsPgR(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const vector<vector<double> >*)
   {
      vector<vector<double> > *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(vector<vector<double> >),0);
      static ::ROOT::TGenericClassInfo 
         instance("vector<vector<double> >", -2, "/cvmfs/cms.cern.ch/slc6_amd64_gcc481/lcg/root/5.34.18-cms5/cint/cint/lib/prec_stl/vector", 49,
                  typeid(vector<vector<double> >), DefineBehavior(ptr, ptr),
                  0, &vectorlEvectorlEdoublegRsPgR_Dictionary, isa_proxy, 0,
                  sizeof(vector<vector<double> >) );
      instance.SetNew(&new_vectorlEvectorlEdoublegRsPgR);
      instance.SetNewArray(&newArray_vectorlEvectorlEdoublegRsPgR);
      instance.SetDelete(&delete_vectorlEvectorlEdoublegRsPgR);
      instance.SetDeleteArray(&deleteArray_vectorlEvectorlEdoublegRsPgR);
      instance.SetDestructor(&destruct_vectorlEvectorlEdoublegRsPgR);
      instance.AdoptCollectionProxyInfo(TCollectionProxyInfo::Generate(TCollectionProxyInfo::Pushback< vector<vector<double> > >()));
      return &instance;
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const vector<vector<double> >*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static void vectorlEvectorlEdoublegRsPgR_Dictionary() {
      ::ROOT::GenerateInitInstanceLocal((const vector<vector<double> >*)0x0)->GetClass();
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrappers around operator new
   static void *new_vectorlEvectorlEdoublegRsPgR(void *p) {
      return  p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<vector<double> > : new vector<vector<double> >;
   }
   static void *newArray_vectorlEvectorlEdoublegRsPgR(Long_t nElements, void *p) {
      return p ? ::new((::ROOT::TOperatorNewHelper*)p) vector<vector<double> >[nElements] : new vector<vector<double> >[nElements];
   }
   // Wrapper around operator delete
   static void delete_vectorlEvectorlEdoublegRsPgR(void *p) {
      delete ((vector<vector<double> >*)p);
   }
   static void deleteArray_vectorlEvectorlEdoublegRsPgR(void *p) {
      delete [] ((vector<vector<double> >*)p);
   }
   static void destruct_vectorlEvectorlEdoublegRsPgR(void *p) {
      typedef vector<vector<double> > current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class vector<vector<double> >

/********************************************************
* tmp/slc6_amd64_gcc481/src/HiggsAnalysis/CombinedLimit/src/HiggsAnalysisCombinedLimit/b/HiggsAnalysisCombinedLimit_yr.cc
* CAUTION: DON'T CHANGE THIS FILE. THIS FILE IS AUTOMATICALLY GENERATED
*          FROM HEADER FILES LISTED IN G__setup_cpp_environmentXXX().
*          CHANGE THOSE HEADER FILES AND REGENERATE THIS FILE.
********************************************************/

#ifdef G__MEMTEST
#undef malloc
#undef free
#endif

#if defined(__GNUC__) && __GNUC__ >= 4 && ((__GNUC_MINOR__ == 2 && __GNUC_PATCHLEVEL__ >= 1) || (__GNUC_MINOR__ >= 3))
#pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif

extern "C" void G__cpp_reset_tagtableHiggsAnalysisCombinedLimit_yr();

extern "C" void G__set_cpp_environmentHiggsAnalysisCombinedLimit_yr() {
  G__cpp_reset_tagtableHiggsAnalysisCombinedLimit_yr();
}
#include <new>
extern "C" int G__cpp_dllrevHiggsAnalysisCombinedLimit_yr() { return(30051515); }

/*********************************************************
* Member function Interface Method
*********************************************************/

/* TestProposal */
static int G__HiggsAnalysisCombinedLimit_yr_809_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TestProposal* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TestProposal[n];
     } else {
       p = new((void*) gvp) TestProposal[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TestProposal;
     } else {
       p = new((void*) gvp) TestProposal;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TestProposal* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TestProposal((double) G__double(libp->para[0]), (RooRealVar*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) TestProposal((double) G__double(libp->para[0]), (RooRealVar*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TestProposal((double) G__double(libp->para[0]));
     } else {
       p = new((void*) gvp) TestProposal((double) G__double(libp->para[0]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TestProposal* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new TestProposal((double) G__double(libp->para[0]), *(RooArgList*) libp->para[1].ref);
   } else {
     p = new((void*) gvp) TestProposal((double) G__double(libp->para[0]), *(RooArgList*) libp->para[1].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((TestProposal*) G__getstructoffset())->setDiscreteModels((RooRealVar*) G__int(libp->para[0]), *((RooArgSet*) G__int(libp->para[1]))
, *(vector<RooArgSet>*) libp->para[2].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) TestProposal::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) TestProposal::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) TestProposal::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      TestProposal::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((TestProposal*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) TestProposal::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) TestProposal::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) TestProposal::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_809_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) TestProposal::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic copy constructor
static int G__HiggsAnalysisCombinedLimit_yr_809_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)

{
   TestProposal* p;
   void* tmp = (void*) G__int(libp->para[0]);
   p = new TestProposal(*(TestProposal*) tmp);
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef TestProposal G__TTestProposal;
static int G__HiggsAnalysisCombinedLimit_yr_809_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (TestProposal*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((TestProposal*) (soff+(sizeof(TestProposal)*i)))->~G__TTestProposal();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (TestProposal*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((TestProposal*) (soff))->~G__TTestProposal();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic assignment operator
static int G__HiggsAnalysisCombinedLimit_yr_809_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TestProposal* dest = (TestProposal*) G__getstructoffset();
   *dest = *(TestProposal*) libp->para[0].ref;
   const TestProposal& obj = *dest;
   result7->ref = (long) (&obj);
   result7->obj.i = (long) (&obj);
   return(1 || funcname || hash || result7 || libp) ;
}


/* DebugProposal */
static int G__HiggsAnalysisCombinedLimit_yr_858_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   DebugProposal* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new DebugProposal[n];
     } else {
       p = new((void*) gvp) DebugProposal[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new DebugProposal;
     } else {
       p = new((void*) gvp) DebugProposal;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   DebugProposal* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new DebugProposal(
(RooStats::ProposalFunction*) G__int(libp->para[0]), (RooAbsPdf*) G__int(libp->para[1])
, (RooAbsData*) G__int(libp->para[2]), (int) G__int(libp->para[3]));
   } else {
     p = new((void*) gvp) DebugProposal(
(RooStats::ProposalFunction*) G__int(libp->para[0]), (RooAbsPdf*) G__int(libp->para[1])
, (RooAbsData*) G__int(libp->para[2]), (int) G__int(libp->para[3]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) DebugProposal::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) DebugProposal::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) DebugProposal::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      DebugProposal::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((DebugProposal*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) DebugProposal::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) DebugProposal::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) DebugProposal::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_858_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) DebugProposal::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic copy constructor
static int G__HiggsAnalysisCombinedLimit_yr_858_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)

{
   DebugProposal* p;
   void* tmp = (void*) G__int(libp->para[0]);
   p = new DebugProposal(*(DebugProposal*) tmp);
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal));
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef DebugProposal G__TDebugProposal;
static int G__HiggsAnalysisCombinedLimit_yr_858_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (DebugProposal*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((DebugProposal*) (soff+(sizeof(DebugProposal)*i)))->~G__TDebugProposal();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (DebugProposal*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((DebugProposal*) (soff))->~G__TDebugProposal();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic assignment operator
static int G__HiggsAnalysisCombinedLimit_yr_858_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   DebugProposal* dest = (DebugProposal*) G__getstructoffset();
   *dest = *(DebugProposal*) libp->para[0].ref;
   const DebugProposal& obj = *dest;
   result7->ref = (long) (&obj);
   result7->obj.i = (long) (&obj);
   return(1 || funcname || hash || result7 || libp) ;
}


/* VerticalInterpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_872_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   VerticalInterpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf[n];
     } else {
       p = new((void*) gvp) VerticalInterpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf;
     } else {
       p = new((void*) gvp) VerticalInterpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   VerticalInterpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, (Double_t) G__double(libp->para[4]), (Int_t) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) VerticalInterpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, (Double_t) G__double(libp->para[4]), (Int_t) G__int(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, (Double_t) G__double(libp->para[4]));
     } else {
       p = new((void*) gvp) VerticalInterpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, (Double_t) G__double(libp->para[4]));
     }
     break;
   case 4:
     //m: 4
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
     } else {
       p = new((void*) gvp) VerticalInterpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   VerticalInterpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf(*(VerticalInterpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) VerticalInterpPdf(*(VerticalInterpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpPdf(*(VerticalInterpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) VerticalInterpPdf(*(VerticalInterpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const VerticalInterpPdf*) G__getstructoffset())->funcList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const VerticalInterpPdf*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) VerticalInterpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) VerticalInterpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) VerticalInterpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      VerticalInterpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((VerticalInterpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) VerticalInterpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) VerticalInterpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) VerticalInterpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_872_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) VerticalInterpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef VerticalInterpPdf G__TVerticalInterpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_872_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (VerticalInterpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((VerticalInterpPdf*) (soff+(sizeof(VerticalInterpPdf)*i)))->~G__TVerticalInterpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (VerticalInterpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((VerticalInterpPdf*) (soff))->~G__TVerticalInterpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* SimpleCacheSentry */
static int G__HiggsAnalysisCombinedLimit_yr_891_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleCacheSentry* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleCacheSentry[n];
     } else {
       p = new((void*) gvp) SimpleCacheSentry[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleCacheSentry;
     } else {
       p = new((void*) gvp) SimpleCacheSentry;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleCacheSentry* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new SimpleCacheSentry(*(RooRealVar*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) SimpleCacheSentry(*(RooRealVar*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleCacheSentry* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new SimpleCacheSentry(*(RooAbsCollection*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) SimpleCacheSentry(*(RooAbsCollection*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleCacheSentry* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleCacheSentry(*(RooAbsArg*) libp->para[0].ref, (RooArgSet*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) SimpleCacheSentry(*(RooAbsArg*) libp->para[0].ref, (RooArgSet*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleCacheSentry(*(RooAbsArg*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) SimpleCacheSentry(*(RooAbsArg*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleCacheSentry* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleCacheSentry(*(SimpleCacheSentry*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) SimpleCacheSentry(*(SimpleCacheSentry*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleCacheSentry(*(SimpleCacheSentry*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) SimpleCacheSentry(*(SimpleCacheSentry*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooSetProxy& obj = ((SimpleCacheSentry*) G__getstructoffset())->deps();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgSet& obj = ((const SimpleCacheSentry*) G__getstructoffset())->deps();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((SimpleCacheSentry*) G__getstructoffset())->addVar(*(RooRealVar*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((SimpleCacheSentry*) G__getstructoffset())->addVars(*(RooAbsCollection*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   switch (libp->paran) {
   case 2:
      ((SimpleCacheSentry*) G__getstructoffset())->addFunc(*(RooAbsArg*) libp->para[0].ref, (RooArgSet*) G__int(libp->para[1]));
      G__setnull(result7);
      break;
   case 1:
      ((SimpleCacheSentry*) G__getstructoffset())->addFunc(*(RooAbsArg*) libp->para[0].ref);
      G__setnull(result7);
      break;
   }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const SimpleCacheSentry*) G__getstructoffset())->good());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const SimpleCacheSentry*) G__getstructoffset())->empty());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((SimpleCacheSentry*) G__getstructoffset())->reset();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) SimpleCacheSentry::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) SimpleCacheSentry::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) SimpleCacheSentry::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_29(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      SimpleCacheSentry::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_33(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((SimpleCacheSentry*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_34(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) SimpleCacheSentry::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_35(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) SimpleCacheSentry::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_36(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) SimpleCacheSentry::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_891_0_37(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) SimpleCacheSentry::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef SimpleCacheSentry G__TSimpleCacheSentry;
static int G__HiggsAnalysisCombinedLimit_yr_891_0_38(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (SimpleCacheSentry*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((SimpleCacheSentry*) (soff+(sizeof(SimpleCacheSentry)*i)))->~G__TSimpleCacheSentry();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (SimpleCacheSentry*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((SimpleCacheSentry*) (soff))->~G__TSimpleCacheSentry();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastTemplate */
static int G__HiggsAnalysisCombinedLimit_yr_907_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastTemplate* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastTemplate[n];
     } else {
       p = new((void*) gvp) FastTemplate[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastTemplate;
     } else {
       p = new((void*) gvp) FastTemplate;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastTemplate* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastTemplate((unsigned int) G__int(libp->para[0]));
   } else {
     p = new((void*) gvp) FastTemplate((unsigned int) G__int(libp->para[0]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastTemplate* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastTemplate(*(FastTemplate*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastTemplate(*(FastTemplate*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastTemplate* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastTemplate(*(TH1*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastTemplate(*(TH1*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastTemplate* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastTemplate(*(TH2*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastTemplate(*(TH2*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastTemplate* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastTemplate(*(TH3*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastTemplate(*(TH3*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastTemplate& obj = ((FastTemplate*) G__getstructoffset())->operator=(*(FastTemplate*) libp->para[0].ref);
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastTemplate& obj = ((FastTemplate*) G__getstructoffset())->operator=(*(TH1*) libp->para[0].ref);
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Resize((unsigned int) G__int(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastTemplate*) G__getstructoffset())->Integral());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Scale((FastTemplate::T) G__double(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Clear();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->CopyValues(*(FastTemplate*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->CopyValues(*(TH1*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->CopyValues(*(TH2*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->CopyValues(*(TH3*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastTemplate::T& obj = ((FastTemplate*) G__getstructoffset())->operator[]((unsigned int) G__int(libp->para[0]));
         result7->ref = (long) (&obj);
         result7->obj.d = (double) (obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastTemplate::T& obj = ((const FastTemplate*) G__getstructoffset())->operator[]((unsigned int) G__int(libp->para[0]));
         result7->ref = (long) (&obj);
         result7->obj.d = (double) (obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastTemplate*) G__getstructoffset())->fullsize());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastTemplate*) G__getstructoffset())->size());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Log();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Exp();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Subtract(*(FastTemplate*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->LogRatio(*(FastTemplate*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastTemplate::SumDiff(*(FastTemplate*) libp->para[0].ref, *(FastTemplate*) libp->para[1].ref
, *(FastTemplate*) libp->para[2].ref, *(FastTemplate*) libp->para[3].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->Meld(*(FastTemplate*) libp->para[0].ref, *(FastTemplate*) libp->para[1].ref
, (FastTemplate::T) G__double(libp->para[2]), (FastTemplate::T) G__double(libp->para[3]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   switch (libp->paran) {
   case 2:
      ((FastTemplate*) G__getstructoffset())->CropUnderflows((FastTemplate::T) G__double(libp->para[0]), (bool) G__int(libp->para[1]));
      G__setnull(result7);
      break;
   case 1:
      ((FastTemplate*) G__getstructoffset())->CropUnderflows((FastTemplate::T) G__double(libp->para[0]));
      G__setnull(result7);
      break;
   case 0:
      ((FastTemplate*) G__getstructoffset())->CropUnderflows();
      G__setnull(result7);
      break;
   }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastTemplate*) G__getstructoffset())->SetActiveSize((unsigned int) G__int(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_907_0_29(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((const FastTemplate*) G__getstructoffset())->Dump();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastTemplate G__TFastTemplate;
static int G__HiggsAnalysisCombinedLimit_yr_907_0_30(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 0
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastTemplate*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastTemplate*) (soff+(sizeof(FastTemplate)*i)))->~G__TFastTemplate();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastTemplate*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastTemplate*) (soff))->~G__TFastTemplate();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastHisto */
static int G__HiggsAnalysisCombinedLimit_yr_908_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto[n];
     } else {
       p = new((void*) gvp) FastHisto[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto;
     } else {
       p = new((void*) gvp) FastHisto;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastHisto(*(TH1*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastHisto(*(TH1*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastHisto(*(FastHisto*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastHisto(*(FastHisto*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastHisto& obj = ((FastHisto*) G__getstructoffset())->operator=(*(FastHisto*) libp->para[0].ref);
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastHisto& obj = ((FastHisto*) G__getstructoffset())->operator=(*(TH1*) libp->para[0].ref);
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto*) G__getstructoffset())->swap(*(FastHisto*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastHisto*) G__getstructoffset())->GetAt(*(FastTemplate::T*) G__Doubleref(&libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ((const FastHisto*) G__getstructoffset())->FindBin(*(FastTemplate::T*) G__Doubleref(&libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastTemplate::T& obj = ((const FastHisto*) G__getstructoffset())->GetBinContent((int) G__int(libp->para[0]));
         result7->ref = (long) (&obj);
         result7->obj.d = (double) (obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastHisto*) G__getstructoffset())->IntegralWidth());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto*) G__getstructoffset())->Normalize();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_908_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((const FastHisto*) G__getstructoffset())->Dump();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastHisto G__TFastHisto;
static int G__HiggsAnalysisCombinedLimit_yr_908_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 0
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastHisto*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastHisto*) (soff+(sizeof(FastHisto)*i)))->~G__TFastHisto();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastHisto*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastHisto*) (soff))->~G__TFastHisto();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastHisto2D */
static int G__HiggsAnalysisCombinedLimit_yr_909_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto2D[n];
     } else {
       p = new((void*) gvp) FastHisto2D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto2D;
     } else {
       p = new((void*) gvp) FastHisto2D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto2D(*(TH2*) libp->para[0].ref, (bool) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastHisto2D(*(TH2*) libp->para[0].ref, (bool) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto2D(*(TH2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastHisto2D(*(TH2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastHisto2D(*(FastHisto2D*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastHisto2D(*(FastHisto2D*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastHisto2D& obj = ((FastHisto2D*) G__getstructoffset())->operator=(*(FastHisto2D*) libp->para[0].ref);
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto2D*) G__getstructoffset())->swap(*(FastHisto2D*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastHisto2D*) G__getstructoffset())->GetAt(*(FastTemplate::T*) G__Doubleref(&libp->para[0]), *(FastTemplate::T*) G__Doubleref(&libp->para[1])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastHisto2D*) G__getstructoffset())->IntegralWidth());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastHisto2D*) G__getstructoffset())->binX());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastHisto2D*) G__getstructoffset())->binY());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto2D*) G__getstructoffset())->Normalize();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto2D*) G__getstructoffset())->NormalizeXSlices();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_909_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((const FastHisto2D*) G__getstructoffset())->Dump();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastHisto2D G__TFastHisto2D;
static int G__HiggsAnalysisCombinedLimit_yr_909_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 0
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastHisto2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastHisto2D*) (soff+(sizeof(FastHisto2D)*i)))->~G__TFastHisto2D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastHisto2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastHisto2D*) (soff))->~G__TFastHisto2D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastHisto3D */
static int G__HiggsAnalysisCombinedLimit_yr_910_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto3D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto3D[n];
     } else {
       p = new((void*) gvp) FastHisto3D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto3D;
     } else {
       p = new((void*) gvp) FastHisto3D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto3D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto3D(*(TH3*) libp->para[0].ref, (bool) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastHisto3D(*(TH3*) libp->para[0].ref, (bool) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastHisto3D(*(TH3*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastHisto3D(*(TH3*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastHisto3D* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new FastHisto3D(*(FastHisto3D*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) FastHisto3D(*(FastHisto3D*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastHisto3D& obj = ((FastHisto3D*) G__getstructoffset())->operator=(*(FastHisto3D*) libp->para[0].ref);
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto3D*) G__getstructoffset())->swap(*(FastHisto3D*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastHisto3D*) G__getstructoffset())->GetAt(*(FastTemplate::T*) G__Doubleref(&libp->para[0]), *(FastTemplate::T*) G__Doubleref(&libp->para[1])
, *(FastTemplate::T*) G__Doubleref(&libp->para[2])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const FastHisto3D*) G__getstructoffset())->IntegralWidth());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastHisto3D*) G__getstructoffset())->binX());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastHisto3D*) G__getstructoffset())->binY());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 104, (long) ((const FastHisto3D*) G__getstructoffset())->binZ());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto3D*) G__getstructoffset())->Normalize();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastHisto3D*) G__getstructoffset())->NormalizeXSlices();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_910_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((const FastHisto3D*) G__getstructoffset())->Dump();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastHisto3D G__TFastHisto3D;
static int G__HiggsAnalysisCombinedLimit_yr_910_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 0
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastHisto3D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastHisto3D*) (soff+(sizeof(FastHisto3D)*i)))->~G__TFastHisto3D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastHisto3D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastHisto3D*) (soff))->~G__TFastHisto3D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdf */
static int G__HiggsAnalysisCombinedLimit_yr_911_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf[n];
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf;
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Int_t) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Int_t) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf(*(FastVerticalInterpHistPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf(*(FastVerticalInterpHistPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf(*(FastVerticalInterpHistPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf(*(FastVerticalInterpHistPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf*) G__getstructoffset())->hasCache());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf*) G__getstructoffset())->isCacheReady());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_911_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdf G__TFastVerticalInterpHistPdf;
static int G__HiggsAnalysisCombinedLimit_yr_911_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdf*) (soff+(sizeof(FastVerticalInterpHistPdf)*i)))->~G__TFastVerticalInterpHistPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdf*) (soff))->~G__TFastVerticalInterpHistPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdf2Base */
static int G__HiggsAnalysisCombinedLimit_yr_912_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const FastVerticalInterpHistPdf2Base*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf2Base*) G__getstructoffset())->setActiveBins((unsigned int) G__int(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf2Base*) G__getstructoffset())->cacheIsGood());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdf2Base::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2Base::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdf2Base::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdf2Base::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf2Base*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2Base::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2Base::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2Base::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_912_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2Base::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdf2Base G__TFastVerticalInterpHistPdf2Base;
static int G__HiggsAnalysisCombinedLimit_yr_912_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdf2Base*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdf2Base*) (soff+(sizeof(FastVerticalInterpHistPdf2Base)*i)))->~G__TFastVerticalInterpHistPdf2Base();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdf2Base*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdf2Base*) (soff))->~G__TFastVerticalInterpHistPdf2Base();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdf2 */
static int G__HiggsAnalysisCombinedLimit_yr_913_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2[n];
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2;
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(TList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Int_t) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(TList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Int_t) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(TList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(TList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(TList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(TList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2(*(FastVerticalInterpHistPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const FastHisto& obj = ((const FastVerticalInterpHistPdf2*) G__getstructoffset())->cache();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdf2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdf2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdf2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_913_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdf2 G__TFastVerticalInterpHistPdf2;
static int G__HiggsAnalysisCombinedLimit_yr_913_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdf2*) (soff+(sizeof(FastVerticalInterpHistPdf2)*i)))->~G__TFastVerticalInterpHistPdf2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdf2*) (soff))->~G__TFastVerticalInterpHistPdf2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdf2D2 */
static int G__HiggsAnalysisCombinedLimit_yr_914_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2[n];
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2;
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 9:
     //m: 9
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(TList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7])
, (Int_t) G__int(libp->para[8]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(TList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7])
, (Int_t) G__int(libp->para[8]));
     }
     break;
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(TList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(TList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7]));
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(TList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(TList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D2(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf2D2*) G__getstructoffset())->x();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf2D2*) G__getstructoffset())->y();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf2D2*) G__getstructoffset())->conditional());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdf2D2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2D2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdf2D2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdf2D2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf2D2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2D2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2D2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2D2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_914_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2D2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdf2D2 G__TFastVerticalInterpHistPdf2D2;
static int G__HiggsAnalysisCombinedLimit_yr_914_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdf2D2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdf2D2*) (soff+(sizeof(FastVerticalInterpHistPdf2D2)*i)))->~G__TFastVerticalInterpHistPdf2D2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdf2D2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdf2D2*) (soff))->~G__TFastVerticalInterpHistPdf2D2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* VerticalInterpHistPdf */
static int G__HiggsAnalysisCombinedLimit_yr_915_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   VerticalInterpHistPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf[n];
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf;
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   VerticalInterpHistPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Int_t) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Int_t) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   VerticalInterpHistPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf(*(VerticalInterpHistPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf(*(VerticalInterpHistPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new VerticalInterpHistPdf(*(VerticalInterpHistPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) VerticalInterpHistPdf(*(VerticalInterpHistPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const VerticalInterpHistPdf*) G__getstructoffset())->funcList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const VerticalInterpHistPdf*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealProxy& obj = ((const VerticalInterpHistPdf*) G__getstructoffset())->x();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) VerticalInterpHistPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) VerticalInterpHistPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) VerticalInterpHistPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      VerticalInterpHistPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((VerticalInterpHistPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) VerticalInterpHistPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) VerticalInterpHistPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) VerticalInterpHistPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_915_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) VerticalInterpHistPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef VerticalInterpHistPdf G__TVerticalInterpHistPdf;
static int G__HiggsAnalysisCombinedLimit_yr_915_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (VerticalInterpHistPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((VerticalInterpHistPdf*) (soff+(sizeof(VerticalInterpHistPdf)*i)))->~G__TVerticalInterpHistPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (VerticalInterpHistPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((VerticalInterpHistPdf*) (soff))->~G__TVerticalInterpHistPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdfBase */
static int G__HiggsAnalysisCombinedLimit_yr_916_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const FastVerticalInterpHistPdfBase*) G__getstructoffset())->funcList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const FastVerticalInterpHistPdfBase*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdfBase::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdfBase::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdfBase::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdfBase::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdfBase*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdfBase::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdfBase::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdfBase::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_916_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdfBase::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdfBase G__TFastVerticalInterpHistPdfBase;
static int G__HiggsAnalysisCombinedLimit_yr_916_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdfBase*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdfBase*) (soff+(sizeof(FastVerticalInterpHistPdfBase)*i)))->~G__TFastVerticalInterpHistPdfBase();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdfBase*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdfBase*) (soff))->~G__TFastVerticalInterpHistPdfBase();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdfBase::Morph */
// automatic default constructor
static int G__HiggsAnalysisCombinedLimit_yr_917_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdfBase::Morph *p;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdfBase::Morph[n];
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdfBase::Morph[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdfBase::Morph;
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdfBase::Morph;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph));
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic copy constructor
static int G__HiggsAnalysisCombinedLimit_yr_917_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)

{
   FastVerticalInterpHistPdfBase::Morph* p;
   void* tmp = (void*) G__int(libp->para[0]);
   p = new FastVerticalInterpHistPdfBase::Morph(*(FastVerticalInterpHistPdfBase::Morph*) tmp);
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph));
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdfBase::Morph G__TFastVerticalInterpHistPdfBasecLcLMorph;
static int G__HiggsAnalysisCombinedLimit_yr_917_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 0
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdfBase::Morph*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdfBase::Morph*) (soff+(sizeof(FastVerticalInterpHistPdfBase::Morph)*i)))->~G__TFastVerticalInterpHistPdfBasecLcLMorph();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdfBase::Morph*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdfBase::Morph*) (soff))->~G__TFastVerticalInterpHistPdfBasecLcLMorph();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic assignment operator
static int G__HiggsAnalysisCombinedLimit_yr_917_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdfBase::Morph* dest = (FastVerticalInterpHistPdfBase::Morph*) G__getstructoffset();
   *dest = *(FastVerticalInterpHistPdfBase::Morph*) libp->para[0].ref;
   const FastVerticalInterpHistPdfBase::Morph& obj = *dest;
   result7->ref = (long) (&obj);
   result7->obj.i = (long) (&obj);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdf2D */
static int G__HiggsAnalysisCombinedLimit_yr_932_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D[n];
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D;
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 9:
     //m: 9
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(RooArgList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7])
, (Int_t) G__int(libp->para[8]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(RooArgList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7])
, (Int_t) G__int(libp->para[8]));
     }
     break;
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(RooArgList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(RooArgList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref, (Double_t) G__double(libp->para[7]));
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(RooArgList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, (bool) G__int(libp->para[4]), *(RooArgList*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf2D(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf2D(*(FastVerticalInterpHistPdf2D*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf2D*) G__getstructoffset())->x();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf2D*) G__getstructoffset())->y();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf2D*) G__getstructoffset())->conditional());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf2D*) G__getstructoffset())->hasCache());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf2D*) G__getstructoffset())->isCacheReady());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdf2D::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2D::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdf2D::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdf2D::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf2D*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2D::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2D::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf2D::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_932_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf2D::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdf2D G__TFastVerticalInterpHistPdf2D;
static int G__HiggsAnalysisCombinedLimit_yr_932_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdf2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdf2D*) (soff+(sizeof(FastVerticalInterpHistPdf2D)*i)))->~G__TFastVerticalInterpHistPdf2D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdf2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdf2D*) (soff))->~G__TFastVerticalInterpHistPdf2D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* FastVerticalInterpHistPdf3D */
static int G__HiggsAnalysisCombinedLimit_yr_939_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf3D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D[n];
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D;
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf3D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 10:
     //m: 10
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, *(RooRealVar*) libp->para[4].ref, (bool) G__int(libp->para[5])
, *(RooArgList*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref
, (Double_t) G__double(libp->para[8]), (Int_t) G__int(libp->para[9]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, *(RooRealVar*) libp->para[4].ref, (bool) G__int(libp->para[5])
, *(RooArgList*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref
, (Double_t) G__double(libp->para[8]), (Int_t) G__int(libp->para[9]));
     }
     break;
   case 9:
     //m: 9
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, *(RooRealVar*) libp->para[4].ref, (bool) G__int(libp->para[5])
, *(RooArgList*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref
, (Double_t) G__double(libp->para[8]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, *(RooRealVar*) libp->para[4].ref, (bool) G__int(libp->para[5])
, *(RooArgList*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref
, (Double_t) G__double(libp->para[8]));
     }
     break;
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, *(RooRealVar*) libp->para[4].ref, (bool) G__int(libp->para[5])
, *(RooArgList*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooRealVar*) libp->para[3].ref
, *(RooRealVar*) libp->para[4].ref, (bool) G__int(libp->para[5])
, *(RooArgList*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   FastVerticalInterpHistPdf3D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D(*(FastVerticalInterpHistPdf3D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D(*(FastVerticalInterpHistPdf3D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new FastVerticalInterpHistPdf3D(*(FastVerticalInterpHistPdf3D*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) FastVerticalInterpHistPdf3D(*(FastVerticalInterpHistPdf3D*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf3D*) G__getstructoffset())->x();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf3D*) G__getstructoffset())->y();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooRealVar& obj = ((const FastVerticalInterpHistPdf3D*) G__getstructoffset())->z();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf3D*) G__getstructoffset())->conditional());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf3D*) G__getstructoffset())->hasCache());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const FastVerticalInterpHistPdf3D*) G__getstructoffset())->isCacheReady());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) FastVerticalInterpHistPdf3D::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf3D::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) FastVerticalInterpHistPdf3D::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      FastVerticalInterpHistPdf3D::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((FastVerticalInterpHistPdf3D*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf3D::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf3D::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) FastVerticalInterpHistPdf3D::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_939_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) FastVerticalInterpHistPdf3D::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef FastVerticalInterpHistPdf3D G__TFastVerticalInterpHistPdf3D;
static int G__HiggsAnalysisCombinedLimit_yr_939_0_29(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (FastVerticalInterpHistPdf3D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((FastVerticalInterpHistPdf3D*) (soff+(sizeof(FastVerticalInterpHistPdf3D)*i)))->~G__TFastVerticalInterpHistPdf3D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (FastVerticalInterpHistPdf3D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((FastVerticalInterpHistPdf3D*) (soff))->~G__TFastVerticalInterpHistPdf3D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* AsymPow */
static int G__HiggsAnalysisCombinedLimit_yr_940_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   AsymPow* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new AsymPow[n];
     } else {
       p = new((void*) gvp) AsymPow[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new AsymPow;
     } else {
       p = new((void*) gvp) AsymPow;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   AsymPow* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new AsymPow(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) AsymPow(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   AsymPow* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new AsymPow(*(AsymPow*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) AsymPow(*(AsymPow*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new AsymPow(*(AsymPow*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) AsymPow(*(AsymPow*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) AsymPow::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) AsymPow::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) AsymPow::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      AsymPow::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((AsymPow*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) AsymPow::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) AsymPow::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) AsymPow::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_940_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) AsymPow::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef AsymPow G__TAsymPow;
static int G__HiggsAnalysisCombinedLimit_yr_940_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (AsymPow*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((AsymPow*) (soff+(sizeof(AsymPow)*i)))->~G__TAsymPow();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (AsymPow*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((AsymPow*) (soff))->~G__TAsymPow();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* CombDataSetFactory */
static int G__HiggsAnalysisCombinedLimit_yr_1027_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   CombDataSetFactory* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new CombDataSetFactory[n];
     } else {
       p = new((void*) gvp) CombDataSetFactory[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new CombDataSetFactory;
     } else {
       p = new((void*) gvp) CombDataSetFactory;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   CombDataSetFactory* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new CombDataSetFactory(*(RooArgSet*) libp->para[0].ref, *(RooCategory*) libp->para[1].ref);
   } else {
     p = new((void*) gvp) CombDataSetFactory(*(RooArgSet*) libp->para[0].ref, *(RooCategory*) libp->para[1].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((CombDataSetFactory*) G__getstructoffset())->addSetBin((const char*) G__int(libp->para[0]), (RooDataHist*) G__int(libp->para[1]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((CombDataSetFactory*) G__getstructoffset())->addSetAny((const char*) G__int(libp->para[0]), (RooDataSet*) G__int(libp->para[1]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((CombDataSetFactory*) G__getstructoffset())->addSetAny((const char*) G__int(libp->para[0]), (RooDataHist*) G__int(libp->para[1]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((CombDataSetFactory*) G__getstructoffset())->done((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((CombDataSetFactory*) G__getstructoffset())->doneUnbinned((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) CombDataSetFactory::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) CombDataSetFactory::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) CombDataSetFactory::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      CombDataSetFactory::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((CombDataSetFactory*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) CombDataSetFactory::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) CombDataSetFactory::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) CombDataSetFactory::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1027_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) CombDataSetFactory::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic copy constructor
static int G__HiggsAnalysisCombinedLimit_yr_1027_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)

{
   CombDataSetFactory* p;
   void* tmp = (void*) G__int(libp->para[0]);
   p = new CombDataSetFactory(*(CombDataSetFactory*) tmp);
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory));
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef CombDataSetFactory G__TCombDataSetFactory;
static int G__HiggsAnalysisCombinedLimit_yr_1027_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (CombDataSetFactory*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((CombDataSetFactory*) (soff+(sizeof(CombDataSetFactory)*i)))->~G__TCombDataSetFactory();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (CombDataSetFactory*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((CombDataSetFactory*) (soff))->~G__TCombDataSetFactory();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic assignment operator
static int G__HiggsAnalysisCombinedLimit_yr_1027_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   CombDataSetFactory* dest = (CombDataSetFactory*) G__getstructoffset();
   *dest = *(CombDataSetFactory*) libp->para[0].ref;
   const CombDataSetFactory& obj = *dest;
   result7->ref = (long) (&obj);
   result7->obj.i = (long) (&obj);
   return(1 || funcname || hash || result7 || libp) ;
}


/* TH1Keys */
static int G__HiggsAnalysisCombinedLimit_yr_1093_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TH1Keys* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys[n];
     } else {
       p = new((void*) gvp) TH1Keys[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys;
     } else {
       p = new((void*) gvp) TH1Keys;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TH1Keys* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t) G__double(libp->para[3])
, (Double_t) G__double(libp->para[4]), *((TString*) G__int(libp->para[5]))
, (Double_t) G__double(libp->para[6]));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t) G__double(libp->para[3])
, (Double_t) G__double(libp->para[4]), *((TString*) G__int(libp->para[5]))
, (Double_t) G__double(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t) G__double(libp->para[3])
, (Double_t) G__double(libp->para[4]), *((TString*) G__int(libp->para[5])));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t) G__double(libp->para[3])
, (Double_t) G__double(libp->para[4]), *((TString*) G__int(libp->para[5])));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t) G__double(libp->para[3])
, (Double_t) G__double(libp->para[4]));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t) G__double(libp->para[3])
, (Double_t) G__double(libp->para[4]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TH1Keys* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Float_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])), (Double_t) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Float_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])), (Double_t) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Float_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Float_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])));
     }
     break;
   case 4:
     //m: 4
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Float_t*) G__int(libp->para[3]));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Float_t*) G__int(libp->para[3]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TH1Keys* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])), (Double_t) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])), (Double_t) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t*) G__int(libp->para[3])
, *((TString*) G__int(libp->para[4])));
     }
     break;
   case 4:
     //m: 4
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t*) G__int(libp->para[3]));
     } else {
       p = new((void*) gvp) TH1Keys(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (Int_t) G__int(libp->para[2]), (Double_t*) G__int(libp->para[3]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   TH1Keys* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new TH1Keys(*(TH1Keys*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) TH1Keys(*(TH1Keys*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((TH1Keys*) G__getstructoffset())->GetHisto());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((const TH1Keys*) G__getstructoffset())->GetHisto());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) TH1Keys::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) TH1Keys::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_29(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) TH1Keys::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_30(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      TH1Keys::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_34(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((TH1Keys*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_35(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) TH1Keys::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_36(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) TH1Keys::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_37(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) TH1Keys::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1093_0_38(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) TH1Keys::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef TH1Keys G__TTH1Keys;
static int G__HiggsAnalysisCombinedLimit_yr_1093_0_41(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (TH1Keys*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((TH1Keys*) (soff+(sizeof(TH1Keys)*i)))->~G__TTH1Keys();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (TH1Keys*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((TH1Keys*) (soff))->~G__TTH1Keys();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooSimultaneousOpt */
static int G__HiggsAnalysisCombinedLimit_yr_1103_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSimultaneousOpt* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSimultaneousOpt[n];
     } else {
       p = new((void*) gvp) RooSimultaneousOpt[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSimultaneousOpt;
     } else {
       p = new((void*) gvp) RooSimultaneousOpt;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSimultaneousOpt* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 3
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooSimultaneousOpt(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsCategoryLValue*) libp->para[2].ref);
   } else {
     p = new((void*) gvp) RooSimultaneousOpt(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsCategoryLValue*) libp->para[2].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSimultaneousOpt* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSimultaneousOpt(*(RooSimultaneous*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooSimultaneousOpt(*(RooSimultaneous*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSimultaneousOpt(*(RooSimultaneous*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooSimultaneousOpt(*(RooSimultaneous*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSimultaneousOpt* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSimultaneousOpt(*(RooSimultaneousOpt*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooSimultaneousOpt(*(RooSimultaneousOpt*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSimultaneousOpt(*(RooSimultaneousOpt*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooSimultaneousOpt(*(RooSimultaneousOpt*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   switch (libp->paran) {
   case 1:
      G__letint(result7, 85, (long) ((const RooSimultaneousOpt*) G__getstructoffset())->clone((const char*) G__int(libp->para[0])));
      break;
   case 0:
      G__letint(result7, 85, (long) ((const RooSimultaneousOpt*) G__getstructoffset())->clone());
      break;
   }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const RooSimultaneousOpt*) G__getstructoffset())->extraConstraints();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const RooSimultaneousOpt*) G__getstructoffset())->channelMasks();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSimultaneousOpt*) G__getstructoffset())->addExtraConstraint(*(RooAbsPdf*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSimultaneousOpt*) G__getstructoffset())->addExtraConstraints(*(RooAbsCollection*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSimultaneousOpt*) G__getstructoffset())->addChannelMasks(*(RooArgList*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooSimultaneousOpt::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSimultaneousOpt::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooSimultaneousOpt::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooSimultaneousOpt::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSimultaneousOpt*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSimultaneousOpt::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSimultaneousOpt::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSimultaneousOpt::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1103_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSimultaneousOpt::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooSimultaneousOpt G__TRooSimultaneousOpt;
static int G__HiggsAnalysisCombinedLimit_yr_1103_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooSimultaneousOpt*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooSimultaneousOpt*) (soff+(sizeof(RooSimultaneousOpt)*i)))->~G__TRooSimultaneousOpt();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooSimultaneousOpt*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooSimultaneousOpt*) (soff))->~G__TRooSimultaneousOpt();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooqqZZPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1106_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooqqZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf[n];
     } else {
       p = new((void*) gvp) RooqqZZPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf;
     } else {
       p = new((void*) gvp) RooqqZZPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooqqZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 10
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooqqZZPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref);
   } else {
     p = new((void*) gvp) RooqqZZPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooqqZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf(*(RooqqZZPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooqqZZPdf(*(RooqqZZPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf(*(RooqqZZPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooqqZZPdf(*(RooqqZZPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooqqZZPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooqqZZPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooqqZZPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooqqZZPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooqqZZPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooqqZZPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooqqZZPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooqqZZPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1106_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooqqZZPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooqqZZPdf G__TRooqqZZPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1106_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooqqZZPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooqqZZPdf*) (soff+(sizeof(RooqqZZPdf)*i)))->~G__TRooqqZZPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooqqZZPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooqqZZPdf*) (soff))->~G__TRooqqZZPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooggZZPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1107_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooggZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf[n];
     } else {
       p = new((void*) gvp) RooggZZPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf;
     } else {
       p = new((void*) gvp) RooggZZPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooggZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 10
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooggZZPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref);
   } else {
     p = new((void*) gvp) RooggZZPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooggZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf(*(RooggZZPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooggZZPdf(*(RooggZZPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf(*(RooggZZPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooggZZPdf(*(RooggZZPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooggZZPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooggZZPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooggZZPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooggZZPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooggZZPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooggZZPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooggZZPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooggZZPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1107_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooggZZPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooggZZPdf G__TRooggZZPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1107_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooggZZPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooggZZPdf*) (soff+(sizeof(RooggZZPdf)*i)))->~G__TRooggZZPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooggZZPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooggZZPdf*) (soff))->~G__TRooggZZPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooqqZZPdf_v2 */
static int G__HiggsAnalysisCombinedLimit_yr_1108_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooqqZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf_v2[n];
     } else {
       p = new((void*) gvp) RooqqZZPdf_v2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf_v2;
     } else {
       p = new((void*) gvp) RooqqZZPdf_v2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooqqZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 17
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooqqZZPdf_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref
, *(RooAbsReal*) libp->para[14].ref, *(RooAbsReal*) libp->para[15].ref
, *(RooAbsReal*) libp->para[16].ref);
   } else {
     p = new((void*) gvp) RooqqZZPdf_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref
, *(RooAbsReal*) libp->para[14].ref, *(RooAbsReal*) libp->para[15].ref
, *(RooAbsReal*) libp->para[16].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooqqZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf_v2(*(RooqqZZPdf_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooqqZZPdf_v2(*(RooqqZZPdf_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooqqZZPdf_v2(*(RooqqZZPdf_v2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooqqZZPdf_v2(*(RooqqZZPdf_v2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooqqZZPdf_v2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooqqZZPdf_v2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooqqZZPdf_v2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooqqZZPdf_v2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooqqZZPdf_v2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooqqZZPdf_v2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooqqZZPdf_v2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooqqZZPdf_v2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1108_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooqqZZPdf_v2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooqqZZPdf_v2 G__TRooqqZZPdf_v2;
static int G__HiggsAnalysisCombinedLimit_yr_1108_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooqqZZPdf_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooqqZZPdf_v2*) (soff+(sizeof(RooqqZZPdf_v2)*i)))->~G__TRooqqZZPdf_v2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooqqZZPdf_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooqqZZPdf_v2*) (soff))->~G__TRooqqZZPdf_v2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooVBFZZPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1109_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooVBFZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf[n];
     } else {
       p = new((void*) gvp) RooVBFZZPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf;
     } else {
       p = new((void*) gvp) RooVBFZZPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooVBFZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 20
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooVBFZZPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref
, *(RooAbsReal*) libp->para[14].ref, *(RooAbsReal*) libp->para[15].ref
, *(RooAbsReal*) libp->para[16].ref, *(RooAbsReal*) libp->para[17].ref
, *(RooAbsReal*) libp->para[18].ref, *(RooAbsReal*) libp->para[19].ref);
   } else {
     p = new((void*) gvp) RooVBFZZPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref
, *(RooAbsReal*) libp->para[14].ref, *(RooAbsReal*) libp->para[15].ref
, *(RooAbsReal*) libp->para[16].ref, *(RooAbsReal*) libp->para[17].ref
, *(RooAbsReal*) libp->para[18].ref, *(RooAbsReal*) libp->para[19].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooVBFZZPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf(*(RooVBFZZPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooVBFZZPdf(*(RooVBFZZPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf(*(RooVBFZZPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooVBFZZPdf(*(RooVBFZZPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooVBFZZPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooVBFZZPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooVBFZZPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooVBFZZPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooVBFZZPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooVBFZZPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooVBFZZPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooVBFZZPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1109_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooVBFZZPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooVBFZZPdf G__TRooVBFZZPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1109_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooVBFZZPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooVBFZZPdf*) (soff+(sizeof(RooVBFZZPdf)*i)))->~G__TRooVBFZZPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooVBFZZPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooVBFZZPdf*) (soff))->~G__TRooVBFZZPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooVBFZZPdf_v2 */
static int G__HiggsAnalysisCombinedLimit_yr_1110_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooVBFZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf_v2[n];
     } else {
       p = new((void*) gvp) RooVBFZZPdf_v2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf_v2;
     } else {
       p = new((void*) gvp) RooVBFZZPdf_v2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooVBFZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 16
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooVBFZZPdf_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref
, *(RooAbsReal*) libp->para[14].ref, *(RooAbsReal*) libp->para[15].ref);
   } else {
     p = new((void*) gvp) RooVBFZZPdf_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref
, *(RooAbsReal*) libp->para[14].ref, *(RooAbsReal*) libp->para[15].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooVBFZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf_v2(*(RooVBFZZPdf_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooVBFZZPdf_v2(*(RooVBFZZPdf_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooVBFZZPdf_v2(*(RooVBFZZPdf_v2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooVBFZZPdf_v2(*(RooVBFZZPdf_v2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooVBFZZPdf_v2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooVBFZZPdf_v2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooVBFZZPdf_v2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooVBFZZPdf_v2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooVBFZZPdf_v2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooVBFZZPdf_v2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooVBFZZPdf_v2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooVBFZZPdf_v2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1110_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooVBFZZPdf_v2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooVBFZZPdf_v2 G__TRooVBFZZPdf_v2;
static int G__HiggsAnalysisCombinedLimit_yr_1110_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooVBFZZPdf_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooVBFZZPdf_v2*) (soff+(sizeof(RooVBFZZPdf_v2)*i)))->~G__TRooVBFZZPdf_v2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooVBFZZPdf_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooVBFZZPdf_v2*) (soff))->~G__TRooVBFZZPdf_v2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooggZZPdf_v2 */
static int G__HiggsAnalysisCombinedLimit_yr_1111_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooggZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf_v2[n];
     } else {
       p = new((void*) gvp) RooggZZPdf_v2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf_v2;
     } else {
       p = new((void*) gvp) RooggZZPdf_v2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooggZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 13
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooggZZPdf_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref);
   } else {
     p = new((void*) gvp) RooggZZPdf_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooggZZPdf_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf_v2(*(RooggZZPdf_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooggZZPdf_v2(*(RooggZZPdf_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooggZZPdf_v2(*(RooggZZPdf_v2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooggZZPdf_v2(*(RooggZZPdf_v2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooggZZPdf_v2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooggZZPdf_v2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooggZZPdf_v2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooggZZPdf_v2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooggZZPdf_v2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooggZZPdf_v2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooggZZPdf_v2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooggZZPdf_v2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1111_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooggZZPdf_v2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooggZZPdf_v2 G__TRooggZZPdf_v2;
static int G__HiggsAnalysisCombinedLimit_yr_1111_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooggZZPdf_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooggZZPdf_v2*) (soff+(sizeof(RooggZZPdf_v2)*i)))->~G__TRooggZZPdf_v2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooggZZPdf_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooggZZPdf_v2*) (soff))->~G__TRooggZZPdf_v2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBetaFunc_v2 */
static int G__HiggsAnalysisCombinedLimit_yr_1112_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBetaFunc_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBetaFunc_v2[n];
     } else {
       p = new((void*) gvp) RooBetaFunc_v2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBetaFunc_v2;
     } else {
       p = new((void*) gvp) RooBetaFunc_v2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBetaFunc_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 14
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBetaFunc_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref);
   } else {
     p = new((void*) gvp) RooBetaFunc_v2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, *(RooAbsReal*) libp->para[13].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBetaFunc_v2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBetaFunc_v2(*(RooBetaFunc_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBetaFunc_v2(*(RooBetaFunc_v2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBetaFunc_v2(*(RooBetaFunc_v2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBetaFunc_v2(*(RooBetaFunc_v2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBetaFunc_v2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBetaFunc_v2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBetaFunc_v2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBetaFunc_v2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBetaFunc_v2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBetaFunc_v2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBetaFunc_v2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBetaFunc_v2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1112_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBetaFunc_v2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBetaFunc_v2 G__TRooBetaFunc_v2;
static int G__HiggsAnalysisCombinedLimit_yr_1112_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBetaFunc_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBetaFunc_v2*) (soff+(sizeof(RooBetaFunc_v2)*i)))->~G__TRooBetaFunc_v2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBetaFunc_v2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBetaFunc_v2*) (soff))->~G__TRooBetaFunc_v2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Roo4lMasses2D_Bkg */
static int G__HiggsAnalysisCombinedLimit_yr_1113_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D_Bkg* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_Bkg[n];
     } else {
       p = new((void*) gvp) Roo4lMasses2D_Bkg[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_Bkg;
     } else {
       p = new((void*) gvp) Roo4lMasses2D_Bkg;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D_Bkg* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new Roo4lMasses2D_Bkg(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) Roo4lMasses2D_Bkg(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D_Bkg* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_Bkg(*(Roo4lMasses2D_Bkg*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) Roo4lMasses2D_Bkg(*(Roo4lMasses2D_Bkg*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_Bkg(*(Roo4lMasses2D_Bkg*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) Roo4lMasses2D_Bkg(*(Roo4lMasses2D_Bkg*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) Roo4lMasses2D_Bkg::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D_Bkg::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) Roo4lMasses2D_Bkg::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      Roo4lMasses2D_Bkg::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((Roo4lMasses2D_Bkg*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D_Bkg::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo4lMasses2D_Bkg::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D_Bkg::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1113_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo4lMasses2D_Bkg::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef Roo4lMasses2D_Bkg G__TRoo4lMasses2D_Bkg;
static int G__HiggsAnalysisCombinedLimit_yr_1113_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (Roo4lMasses2D_Bkg*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((Roo4lMasses2D_Bkg*) (soff+(sizeof(Roo4lMasses2D_Bkg)*i)))->~G__TRoo4lMasses2D_Bkg();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (Roo4lMasses2D_Bkg*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((Roo4lMasses2D_Bkg*) (soff))->~G__TRoo4lMasses2D_Bkg();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Roo4lMasses2D_BkgGGZZ */
static int G__HiggsAnalysisCombinedLimit_yr_1114_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D_BkgGGZZ* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_BkgGGZZ[n];
     } else {
       p = new((void*) gvp) Roo4lMasses2D_BkgGGZZ[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_BkgGGZZ;
     } else {
       p = new((void*) gvp) Roo4lMasses2D_BkgGGZZ;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D_BkgGGZZ* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new Roo4lMasses2D_BkgGGZZ(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) Roo4lMasses2D_BkgGGZZ(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D_BkgGGZZ* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_BkgGGZZ(*(Roo4lMasses2D_BkgGGZZ*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) Roo4lMasses2D_BkgGGZZ(*(Roo4lMasses2D_BkgGGZZ*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D_BkgGGZZ(*(Roo4lMasses2D_BkgGGZZ*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) Roo4lMasses2D_BkgGGZZ(*(Roo4lMasses2D_BkgGGZZ*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) Roo4lMasses2D_BkgGGZZ::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D_BkgGGZZ::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) Roo4lMasses2D_BkgGGZZ::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      Roo4lMasses2D_BkgGGZZ::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((Roo4lMasses2D_BkgGGZZ*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D_BkgGGZZ::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo4lMasses2D_BkgGGZZ::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D_BkgGGZZ::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1114_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo4lMasses2D_BkgGGZZ::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef Roo4lMasses2D_BkgGGZZ G__TRoo4lMasses2D_BkgGGZZ;
static int G__HiggsAnalysisCombinedLimit_yr_1114_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (Roo4lMasses2D_BkgGGZZ*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((Roo4lMasses2D_BkgGGZZ*) (soff+(sizeof(Roo4lMasses2D_BkgGGZZ)*i)))->~G__TRoo4lMasses2D_BkgGGZZ();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (Roo4lMasses2D_BkgGGZZ*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((Roo4lMasses2D_BkgGGZZ*) (soff))->~G__TRoo4lMasses2D_BkgGGZZ();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Roo4lMasses2D */
static int G__HiggsAnalysisCombinedLimit_yr_1115_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D[n];
     } else {
       p = new((void*) gvp) Roo4lMasses2D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D;
     } else {
       p = new((void*) gvp) Roo4lMasses2D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 13
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new Roo4lMasses2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref);
   } else {
     p = new((void*) gvp) Roo4lMasses2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo4lMasses2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D(*(Roo4lMasses2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) Roo4lMasses2D(*(Roo4lMasses2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo4lMasses2D(*(Roo4lMasses2D*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) Roo4lMasses2D(*(Roo4lMasses2D*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) Roo4lMasses2D::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) Roo4lMasses2D::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      Roo4lMasses2D::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((Roo4lMasses2D*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo4lMasses2D::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo4lMasses2D::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1115_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo4lMasses2D::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef Roo4lMasses2D G__TRoo4lMasses2D;
static int G__HiggsAnalysisCombinedLimit_yr_1115_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (Roo4lMasses2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((Roo4lMasses2D*) (soff+(sizeof(Roo4lMasses2D)*i)))->~G__TRoo4lMasses2D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (Roo4lMasses2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((Roo4lMasses2D*) (soff))->~G__TRoo4lMasses2D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooFourMuMassShapePdf2 */
static int G__HiggsAnalysisCombinedLimit_yr_1116_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourMuMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassShapePdf2[n];
     } else {
       p = new((void*) gvp) RooFourMuMassShapePdf2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassShapePdf2;
     } else {
       p = new((void*) gvp) RooFourMuMassShapePdf2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourMuMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooFourMuMassShapePdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooFourMuMassShapePdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourMuMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassShapePdf2(*(RooFourMuMassShapePdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooFourMuMassShapePdf2(*(RooFourMuMassShapePdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassShapePdf2(*(RooFourMuMassShapePdf2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooFourMuMassShapePdf2(*(RooFourMuMassShapePdf2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooFourMuMassShapePdf2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourMuMassShapePdf2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooFourMuMassShapePdf2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooFourMuMassShapePdf2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooFourMuMassShapePdf2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourMuMassShapePdf2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourMuMassShapePdf2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourMuMassShapePdf2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1116_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourMuMassShapePdf2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooFourMuMassShapePdf2 G__TRooFourMuMassShapePdf2;
static int G__HiggsAnalysisCombinedLimit_yr_1116_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooFourMuMassShapePdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooFourMuMassShapePdf2*) (soff+(sizeof(RooFourMuMassShapePdf2)*i)))->~G__TRooFourMuMassShapePdf2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooFourMuMassShapePdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooFourMuMassShapePdf2*) (soff))->~G__TRooFourMuMassShapePdf2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooFourEMassShapePdf2 */
static int G__HiggsAnalysisCombinedLimit_yr_1117_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourEMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassShapePdf2[n];
     } else {
       p = new((void*) gvp) RooFourEMassShapePdf2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassShapePdf2;
     } else {
       p = new((void*) gvp) RooFourEMassShapePdf2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourEMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooFourEMassShapePdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooFourEMassShapePdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourEMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassShapePdf2(*(RooFourEMassShapePdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooFourEMassShapePdf2(*(RooFourEMassShapePdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassShapePdf2(*(RooFourEMassShapePdf2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooFourEMassShapePdf2(*(RooFourEMassShapePdf2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooFourEMassShapePdf2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourEMassShapePdf2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooFourEMassShapePdf2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooFourEMassShapePdf2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooFourEMassShapePdf2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourEMassShapePdf2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourEMassShapePdf2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourEMassShapePdf2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1117_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourEMassShapePdf2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooFourEMassShapePdf2 G__TRooFourEMassShapePdf2;
static int G__HiggsAnalysisCombinedLimit_yr_1117_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooFourEMassShapePdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooFourEMassShapePdf2*) (soff+(sizeof(RooFourEMassShapePdf2)*i)))->~G__TRooFourEMassShapePdf2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooFourEMassShapePdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooFourEMassShapePdf2*) (soff))->~G__TRooFourEMassShapePdf2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooTwoETwoMuMassShapePdf2 */
static int G__HiggsAnalysisCombinedLimit_yr_1118_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTwoETwoMuMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassShapePdf2[n];
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassShapePdf2[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassShapePdf2;
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassShapePdf2;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTwoETwoMuMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooTwoETwoMuMassShapePdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooTwoETwoMuMassShapePdf2(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTwoETwoMuMassShapePdf2* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassShapePdf2(*(RooTwoETwoMuMassShapePdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassShapePdf2(*(RooTwoETwoMuMassShapePdf2*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassShapePdf2(*(RooTwoETwoMuMassShapePdf2*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassShapePdf2(*(RooTwoETwoMuMassShapePdf2*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooTwoETwoMuMassShapePdf2::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTwoETwoMuMassShapePdf2::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooTwoETwoMuMassShapePdf2::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooTwoETwoMuMassShapePdf2::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooTwoETwoMuMassShapePdf2*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTwoETwoMuMassShapePdf2::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTwoETwoMuMassShapePdf2::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTwoETwoMuMassShapePdf2::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1118_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTwoETwoMuMassShapePdf2::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooTwoETwoMuMassShapePdf2 G__TRooTwoETwoMuMassShapePdf2;
static int G__HiggsAnalysisCombinedLimit_yr_1118_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooTwoETwoMuMassShapePdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooTwoETwoMuMassShapePdf2*) (soff+(sizeof(RooTwoETwoMuMassShapePdf2)*i)))->~G__TRooTwoETwoMuMassShapePdf2();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooTwoETwoMuMassShapePdf2*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooTwoETwoMuMassShapePdf2*) (soff))->~G__TRooTwoETwoMuMassShapePdf2();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooFourMuMassRes */
static int G__HiggsAnalysisCombinedLimit_yr_1119_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourMuMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassRes[n];
     } else {
       p = new((void*) gvp) RooFourMuMassRes[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassRes;
     } else {
       p = new((void*) gvp) RooFourMuMassRes;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourMuMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooFourMuMassRes(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooFourMuMassRes(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourMuMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassRes(*(RooFourMuMassRes*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooFourMuMassRes(*(RooFourMuMassRes*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourMuMassRes(*(RooFourMuMassRes*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooFourMuMassRes(*(RooFourMuMassRes*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooFourMuMassRes::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourMuMassRes::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooFourMuMassRes::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooFourMuMassRes::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooFourMuMassRes*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourMuMassRes::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourMuMassRes::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourMuMassRes::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1119_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourMuMassRes::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooFourMuMassRes G__TRooFourMuMassRes;
static int G__HiggsAnalysisCombinedLimit_yr_1119_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooFourMuMassRes*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooFourMuMassRes*) (soff+(sizeof(RooFourMuMassRes)*i)))->~G__TRooFourMuMassRes();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooFourMuMassRes*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooFourMuMassRes*) (soff))->~G__TRooFourMuMassRes();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooFourEMassRes */
static int G__HiggsAnalysisCombinedLimit_yr_1120_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourEMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassRes[n];
     } else {
       p = new((void*) gvp) RooFourEMassRes[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassRes;
     } else {
       p = new((void*) gvp) RooFourEMassRes;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourEMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooFourEMassRes(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooFourEMassRes(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFourEMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassRes(*(RooFourEMassRes*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooFourEMassRes(*(RooFourEMassRes*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFourEMassRes(*(RooFourEMassRes*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooFourEMassRes(*(RooFourEMassRes*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooFourEMassRes::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourEMassRes::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooFourEMassRes::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooFourEMassRes::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooFourEMassRes*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourEMassRes::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourEMassRes::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFourEMassRes::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1120_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFourEMassRes::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooFourEMassRes G__TRooFourEMassRes;
static int G__HiggsAnalysisCombinedLimit_yr_1120_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooFourEMassRes*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooFourEMassRes*) (soff+(sizeof(RooFourEMassRes)*i)))->~G__TRooFourEMassRes();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooFourEMassRes*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooFourEMassRes*) (soff))->~G__TRooFourEMassRes();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooTwoETwoMuMassRes */
static int G__HiggsAnalysisCombinedLimit_yr_1121_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTwoETwoMuMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassRes[n];
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassRes[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassRes;
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassRes;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTwoETwoMuMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooTwoETwoMuMassRes(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooTwoETwoMuMassRes(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTwoETwoMuMassRes* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassRes(*(RooTwoETwoMuMassRes*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassRes(*(RooTwoETwoMuMassRes*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTwoETwoMuMassRes(*(RooTwoETwoMuMassRes*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooTwoETwoMuMassRes(*(RooTwoETwoMuMassRes*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooTwoETwoMuMassRes::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTwoETwoMuMassRes::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooTwoETwoMuMassRes::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooTwoETwoMuMassRes::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooTwoETwoMuMassRes*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTwoETwoMuMassRes::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTwoETwoMuMassRes::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTwoETwoMuMassRes::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1121_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTwoETwoMuMassRes::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooTwoETwoMuMassRes G__TRooTwoETwoMuMassRes;
static int G__HiggsAnalysisCombinedLimit_yr_1121_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooTwoETwoMuMassRes*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooTwoETwoMuMassRes*) (soff+(sizeof(RooTwoETwoMuMassRes)*i)))->~G__TRooTwoETwoMuMassRes();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooTwoETwoMuMassRes*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooTwoETwoMuMassRes*) (soff))->~G__TRooTwoETwoMuMassRes();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBW1 */
static int G__HiggsAnalysisCombinedLimit_yr_1122_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBW1* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW1[n];
     } else {
       p = new((void*) gvp) RooRelBW1[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW1;
     } else {
       p = new((void*) gvp) RooRelBW1;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBW1* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooRelBW1(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooRelBW1(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBW1* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW1(*(RooRelBW1*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBW1(*(RooRelBW1*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW1(*(RooRelBW1*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBW1(*(RooRelBW1*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBW1::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBW1::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBW1::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBW1::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBW1*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBW1::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBW1::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBW1::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1122_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBW1::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBW1 G__TRooRelBW1;
static int G__HiggsAnalysisCombinedLimit_yr_1122_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBW1*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBW1*) (soff+(sizeof(RooRelBW1)*i)))->~G__TRooRelBW1();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBW1*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBW1*) (soff))->~G__TRooRelBW1();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBWUF */
static int G__HiggsAnalysisCombinedLimit_yr_1123_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUF* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF[n];
     } else {
       p = new((void*) gvp) RooRelBWUF[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF;
     } else {
       p = new((void*) gvp) RooRelBWUF;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUF* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooRelBWUF(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooRelBWUF(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUF* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF(*(RooRelBWUF*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBWUF(*(RooRelBWUF*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF(*(RooRelBWUF*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBWUF(*(RooRelBWUF*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBWUF::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUF::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBWUF::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBWUF::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBWUF*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUF::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUF::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUF::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1123_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUF::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBWUF G__TRooRelBWUF;
static int G__HiggsAnalysisCombinedLimit_yr_1123_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBWUF*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBWUF*) (soff+(sizeof(RooRelBWUF)*i)))->~G__TRooRelBWUF();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBWUF*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBWUF*) (soff))->~G__TRooRelBWUF();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBWUF_SM4 */
static int G__HiggsAnalysisCombinedLimit_yr_1124_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUF_SM4* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF_SM4[n];
     } else {
       p = new((void*) gvp) RooRelBWUF_SM4[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF_SM4;
     } else {
       p = new((void*) gvp) RooRelBWUF_SM4;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUF_SM4* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooRelBWUF_SM4(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooRelBWUF_SM4(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUF_SM4* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF_SM4(*(RooRelBWUF_SM4*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBWUF_SM4(*(RooRelBWUF_SM4*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUF_SM4(*(RooRelBWUF_SM4*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBWUF_SM4(*(RooRelBWUF_SM4*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBWUF_SM4::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUF_SM4::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBWUF_SM4::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBWUF_SM4::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBWUF_SM4*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUF_SM4::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUF_SM4::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUF_SM4::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1124_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUF_SM4::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBWUF_SM4 G__TRooRelBWUF_SM4;
static int G__HiggsAnalysisCombinedLimit_yr_1124_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBWUF_SM4*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBWUF_SM4*) (soff+(sizeof(RooRelBWUF_SM4)*i)))->~G__TRooRelBWUF_SM4();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBWUF_SM4*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBWUF_SM4*) (soff))->~G__TRooRelBWUF_SM4();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBWUFParamWidth */
static int G__HiggsAnalysisCombinedLimit_yr_1125_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUFParamWidth* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParamWidth[n];
     } else {
       p = new((void*) gvp) RooRelBWUFParamWidth[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParamWidth;
     } else {
       p = new((void*) gvp) RooRelBWUFParamWidth;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUFParamWidth* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooRelBWUFParamWidth(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooRelBWUFParamWidth(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUFParamWidth* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParamWidth(*(RooRelBWUFParamWidth*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBWUFParamWidth(*(RooRelBWUFParamWidth*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParamWidth(*(RooRelBWUFParamWidth*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBWUFParamWidth(*(RooRelBWUFParamWidth*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBWUFParamWidth::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUFParamWidth::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBWUFParamWidth::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBWUFParamWidth::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBWUFParamWidth*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUFParamWidth::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUFParamWidth::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUFParamWidth::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1125_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUFParamWidth::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBWUFParamWidth G__TRooRelBWUFParamWidth;
static int G__HiggsAnalysisCombinedLimit_yr_1125_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBWUFParamWidth*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBWUFParamWidth*) (soff+(sizeof(RooRelBWUFParamWidth)*i)))->~G__TRooRelBWUFParamWidth();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBWUFParamWidth*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBWUFParamWidth*) (soff))->~G__TRooRelBWUFParamWidth();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBWUFParam */
static int G__HiggsAnalysisCombinedLimit_yr_1126_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUFParam* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParam[n];
     } else {
       p = new((void*) gvp) RooRelBWUFParam[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParam;
     } else {
       p = new((void*) gvp) RooRelBWUFParam;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUFParam* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParam(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) RooRelBWUFParam(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (Double_t) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParam(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) RooRelBWUFParam(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWUFParam* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParam(*(RooRelBWUFParam*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBWUFParam(*(RooRelBWUFParam*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWUFParam(*(RooRelBWUFParam*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBWUFParam(*(RooRelBWUFParam*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBWUFParam::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUFParam::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBWUFParam::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBWUFParam::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBWUFParam*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUFParam::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUFParam::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWUFParam::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1126_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWUFParam::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBWUFParam G__TRooRelBWUFParam;
static int G__HiggsAnalysisCombinedLimit_yr_1126_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBWUFParam*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBWUFParam*) (soff+(sizeof(RooRelBWUFParam)*i)))->~G__TRooRelBWUFParam();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBWUFParam*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBWUFParam*) (soff))->~G__TRooRelBWUFParam();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBWHighMass */
static int G__HiggsAnalysisCombinedLimit_yr_1127_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWHighMass* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWHighMass[n];
     } else {
       p = new((void*) gvp) RooRelBWHighMass[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWHighMass;
     } else {
       p = new((void*) gvp) RooRelBWHighMass;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWHighMass* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooRelBWHighMass(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooRelBWHighMass(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBWHighMass* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWHighMass(*(RooRelBWHighMass*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBWHighMass(*(RooRelBWHighMass*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBWHighMass(*(RooRelBWHighMass*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBWHighMass(*(RooRelBWHighMass*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBWHighMass::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWHighMass::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBWHighMass::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBWHighMass::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBWHighMass*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWHighMass::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWHighMass::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBWHighMass::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1127_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBWHighMass::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBWHighMass G__TRooRelBWHighMass;
static int G__HiggsAnalysisCombinedLimit_yr_1127_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBWHighMass*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBWHighMass*) (soff+(sizeof(RooRelBWHighMass)*i)))->~G__TRooRelBWHighMass();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBWHighMass*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBWHighMass*) (soff))->~G__TRooRelBWHighMass();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooTsallis */
static int G__HiggsAnalysisCombinedLimit_yr_1128_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTsallis* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTsallis[n];
     } else {
       p = new((void*) gvp) RooTsallis[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTsallis;
     } else {
       p = new((void*) gvp) RooTsallis;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTsallis* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 10
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooTsallis(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref);
   } else {
     p = new((void*) gvp) RooTsallis(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTsallis* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTsallis(*(RooTsallis*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooTsallis(*(RooTsallis*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTsallis(*(RooTsallis*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooTsallis(*(RooTsallis*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooTsallis::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTsallis::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooTsallis::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooTsallis::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooTsallis*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTsallis::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTsallis::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTsallis::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1128_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTsallis::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooTsallis G__TRooTsallis;
static int G__HiggsAnalysisCombinedLimit_yr_1128_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooTsallis*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooTsallis*) (soff+(sizeof(RooTsallis)*i)))->~G__TRooTsallis();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooTsallis*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooTsallis*) (soff))->~G__TRooTsallis();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooaDoubleCBxBW */
static int G__HiggsAnalysisCombinedLimit_yr_1129_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooaDoubleCBxBW* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooaDoubleCBxBW[n];
     } else {
       p = new((void*) gvp) RooaDoubleCBxBW[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooaDoubleCBxBW;
     } else {
       p = new((void*) gvp) RooaDoubleCBxBW;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooaDoubleCBxBW* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 14
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooaDoubleCBxBW(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, (unsigned int) G__int(libp->para[9])
, (unsigned int) G__int(libp->para[10]), *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, (bool) G__int(libp->para[13]));
   } else {
     p = new((void*) gvp) RooaDoubleCBxBW(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, (unsigned int) G__int(libp->para[9])
, (unsigned int) G__int(libp->para[10]), *(RooAbsReal*) libp->para[11].ref
, *(RooAbsReal*) libp->para[12].ref, (bool) G__int(libp->para[13]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooaDoubleCBxBW* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooaDoubleCBxBW(*(RooaDoubleCBxBW*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooaDoubleCBxBW(*(RooaDoubleCBxBW*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooaDoubleCBxBW(*(RooaDoubleCBxBW*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooaDoubleCBxBW(*(RooaDoubleCBxBW*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooaDoubleCBxBW::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooaDoubleCBxBW::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooaDoubleCBxBW::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooaDoubleCBxBW::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooaDoubleCBxBW*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooaDoubleCBxBW::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooaDoubleCBxBW::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooaDoubleCBxBW::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1129_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooaDoubleCBxBW::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooaDoubleCBxBW G__TRooaDoubleCBxBW;
static int G__HiggsAnalysisCombinedLimit_yr_1129_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooaDoubleCBxBW*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooaDoubleCBxBW*) (soff+(sizeof(RooaDoubleCBxBW)*i)))->~G__TRooaDoubleCBxBW();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooaDoubleCBxBW*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooaDoubleCBxBW*) (soff))->~G__TRooaDoubleCBxBW();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooCPSHighMassGGH */
static int G__HiggsAnalysisCombinedLimit_yr_1130_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassGGH* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGH[n];
     } else {
       p = new((void*) gvp) RooCPSHighMassGGH[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGH;
     } else {
       p = new((void*) gvp) RooCPSHighMassGGH;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassGGH* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooCPSHighMassGGH(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, (Bool_t) G__int(libp->para[8]));
   } else {
     p = new((void*) gvp) RooCPSHighMassGGH(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, (Bool_t) G__int(libp->para[8]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassGGH* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGH(*(RooCPSHighMassGGH*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooCPSHighMassGGH(*(RooCPSHighMassGGH*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGH(*(RooCPSHighMassGGH*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooCPSHighMassGGH(*(RooCPSHighMassGGH*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const RooCPSHighMassGGH*) G__getstructoffset())->Spline((Double_t) G__double(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooCPSHighMassGGH::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassGGH::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooCPSHighMassGGH::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooCPSHighMassGGH::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooCPSHighMassGGH*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassGGH::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassGGH::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassGGH::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1130_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassGGH::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooCPSHighMassGGH G__TRooCPSHighMassGGH;
static int G__HiggsAnalysisCombinedLimit_yr_1130_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooCPSHighMassGGH*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooCPSHighMassGGH*) (soff+(sizeof(RooCPSHighMassGGH)*i)))->~G__TRooCPSHighMassGGH();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooCPSHighMassGGH*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooCPSHighMassGGH*) (soff))->~G__TRooCPSHighMassGGH();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBWHighMassGGH */
static int G__HiggsAnalysisCombinedLimit_yr_1131_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBWHighMassGGH* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWHighMassGGH[n];
     } else {
       p = new((void*) gvp) RooBWHighMassGGH[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWHighMassGGH;
     } else {
       p = new((void*) gvp) RooBWHighMassGGH;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBWHighMassGGH* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 8
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBWHighMassGGH(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, (Bool_t) G__int(libp->para[7]));
   } else {
     p = new((void*) gvp) RooBWHighMassGGH(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, (Bool_t) G__int(libp->para[7]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBWHighMassGGH* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWHighMassGGH(*(RooBWHighMassGGH*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBWHighMassGGH(*(RooBWHighMassGGH*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWHighMassGGH(*(RooBWHighMassGGH*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBWHighMassGGH(*(RooBWHighMassGGH*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBWHighMassGGH::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBWHighMassGGH::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBWHighMassGGH::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBWHighMassGGH::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBWHighMassGGH*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBWHighMassGGH::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBWHighMassGGH::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBWHighMassGGH::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1131_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBWHighMassGGH::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBWHighMassGGH G__TRooBWHighMassGGH;
static int G__HiggsAnalysisCombinedLimit_yr_1131_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBWHighMassGGH*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBWHighMassGGH*) (soff+(sizeof(RooBWHighMassGGH)*i)))->~G__TRooBWHighMassGGH();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBWHighMassGGH*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBWHighMassGGH*) (soff))->~G__TRooBWHighMassGGH();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooCPSHighMassGGHNoInterf */
static int G__HiggsAnalysisCombinedLimit_yr_1132_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassGGHNoInterf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGHNoInterf[n];
     } else {
       p = new((void*) gvp) RooCPSHighMassGGHNoInterf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGHNoInterf;
     } else {
       p = new((void*) gvp) RooCPSHighMassGGHNoInterf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassGGHNoInterf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooCPSHighMassGGHNoInterf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, (Bool_t) G__int(libp->para[6]));
   } else {
     p = new((void*) gvp) RooCPSHighMassGGHNoInterf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, (Bool_t) G__int(libp->para[6]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassGGHNoInterf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGHNoInterf(*(RooCPSHighMassGGHNoInterf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooCPSHighMassGGHNoInterf(*(RooCPSHighMassGGHNoInterf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassGGHNoInterf(*(RooCPSHighMassGGHNoInterf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooCPSHighMassGGHNoInterf(*(RooCPSHighMassGGHNoInterf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const RooCPSHighMassGGHNoInterf*) G__getstructoffset())->Spline((Double_t) G__double(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooCPSHighMassGGHNoInterf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassGGHNoInterf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooCPSHighMassGGHNoInterf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooCPSHighMassGGHNoInterf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooCPSHighMassGGHNoInterf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassGGHNoInterf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassGGHNoInterf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassGGHNoInterf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1132_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassGGHNoInterf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooCPSHighMassGGHNoInterf G__TRooCPSHighMassGGHNoInterf;
static int G__HiggsAnalysisCombinedLimit_yr_1132_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooCPSHighMassGGHNoInterf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooCPSHighMassGGHNoInterf*) (soff+(sizeof(RooCPSHighMassGGHNoInterf)*i)))->~G__TRooCPSHighMassGGHNoInterf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooCPSHighMassGGHNoInterf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooCPSHighMassGGHNoInterf*) (soff))->~G__TRooCPSHighMassGGHNoInterf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooCPSHighMassVBF */
static int G__HiggsAnalysisCombinedLimit_yr_1133_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassVBF* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBF[n];
     } else {
       p = new((void*) gvp) RooCPSHighMassVBF[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBF;
     } else {
       p = new((void*) gvp) RooCPSHighMassVBF;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassVBF* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooCPSHighMassVBF(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, (Bool_t) G__int(libp->para[8]));
   } else {
     p = new((void*) gvp) RooCPSHighMassVBF(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, (Bool_t) G__int(libp->para[8]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassVBF* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBF(*(RooCPSHighMassVBF*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooCPSHighMassVBF(*(RooCPSHighMassVBF*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBF(*(RooCPSHighMassVBF*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooCPSHighMassVBF(*(RooCPSHighMassVBF*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const RooCPSHighMassVBF*) G__getstructoffset())->Spline((Double_t) G__double(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooCPSHighMassVBF::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassVBF::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooCPSHighMassVBF::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooCPSHighMassVBF::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooCPSHighMassVBF*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassVBF::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassVBF::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassVBF::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1133_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassVBF::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooCPSHighMassVBF G__TRooCPSHighMassVBF;
static int G__HiggsAnalysisCombinedLimit_yr_1133_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooCPSHighMassVBF*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooCPSHighMassVBF*) (soff+(sizeof(RooCPSHighMassVBF)*i)))->~G__TRooCPSHighMassVBF();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooCPSHighMassVBF*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooCPSHighMassVBF*) (soff))->~G__TRooCPSHighMassVBF();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooCPSHighMassVBFNoInterf */
static int G__HiggsAnalysisCombinedLimit_yr_1134_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassVBFNoInterf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBFNoInterf[n];
     } else {
       p = new((void*) gvp) RooCPSHighMassVBFNoInterf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBFNoInterf;
     } else {
       p = new((void*) gvp) RooCPSHighMassVBFNoInterf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassVBFNoInterf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooCPSHighMassVBFNoInterf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, (Bool_t) G__int(libp->para[6]));
   } else {
     p = new((void*) gvp) RooCPSHighMassVBFNoInterf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, (Bool_t) G__int(libp->para[6]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCPSHighMassVBFNoInterf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBFNoInterf(*(RooCPSHighMassVBFNoInterf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooCPSHighMassVBFNoInterf(*(RooCPSHighMassVBFNoInterf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCPSHighMassVBFNoInterf(*(RooCPSHighMassVBFNoInterf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooCPSHighMassVBFNoInterf(*(RooCPSHighMassVBFNoInterf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const RooCPSHighMassVBFNoInterf*) G__getstructoffset())->Spline((Double_t) G__double(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooCPSHighMassVBFNoInterf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassVBFNoInterf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooCPSHighMassVBFNoInterf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooCPSHighMassVBFNoInterf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooCPSHighMassVBFNoInterf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassVBFNoInterf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassVBFNoInterf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCPSHighMassVBFNoInterf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1134_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCPSHighMassVBFNoInterf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooCPSHighMassVBFNoInterf G__TRooCPSHighMassVBFNoInterf;
static int G__HiggsAnalysisCombinedLimit_yr_1134_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooCPSHighMassVBFNoInterf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooCPSHighMassVBFNoInterf*) (soff+(sizeof(RooCPSHighMassVBFNoInterf)*i)))->~G__TRooCPSHighMassVBFNoInterf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooCPSHighMassVBFNoInterf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooCPSHighMassVBFNoInterf*) (soff))->~G__TRooCPSHighMassVBFNoInterf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooSigPlusInt */
static int G__HiggsAnalysisCombinedLimit_yr_1135_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSigPlusInt* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSigPlusInt[n];
     } else {
       p = new((void*) gvp) RooSigPlusInt[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSigPlusInt;
     } else {
       p = new((void*) gvp) RooSigPlusInt;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSigPlusInt* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 12
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooSigPlusInt(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref);
   } else {
     p = new((void*) gvp) RooSigPlusInt(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref, *(RooAbsReal*) libp->para[11].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSigPlusInt* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSigPlusInt(*(RooSigPlusInt*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooSigPlusInt(*(RooSigPlusInt*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSigPlusInt(*(RooSigPlusInt*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooSigPlusInt(*(RooSigPlusInt*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const RooSigPlusInt*) G__getstructoffset())->Spline((Double_t) G__double(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooSigPlusInt::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSigPlusInt::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooSigPlusInt::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooSigPlusInt::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSigPlusInt*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSigPlusInt::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSigPlusInt::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSigPlusInt::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1135_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSigPlusInt::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooSigPlusInt G__TRooSigPlusInt;
static int G__HiggsAnalysisCombinedLimit_yr_1135_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooSigPlusInt*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooSigPlusInt*) (soff+(sizeof(RooSigPlusInt)*i)))->~G__TRooSigPlusInt();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooSigPlusInt*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooSigPlusInt*) (soff))->~G__TRooSigPlusInt();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooErfExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1136_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfExpPdf[n];
     } else {
       p = new((void*) gvp) RooErfExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfExpPdf;
     } else {
       p = new((void*) gvp) RooErfExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooErfExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) RooErfExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfExpPdf(*(RooErfExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooErfExpPdf(*(RooErfExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfExpPdf(*(RooErfExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooErfExpPdf(*(RooErfExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooErfExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooErfExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooErfExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooErfExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1136_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooErfExpPdf G__TRooErfExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1136_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooErfExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooErfExpPdf*) (soff+(sizeof(RooErfExpPdf)*i)))->~G__TRooErfExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooErfExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooErfExpPdf*) (soff))->~G__TRooErfExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha */
static int G__HiggsAnalysisCombinedLimit_yr_1137_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha[n];
     } else {
       p = new((void*) gvp) RooAlpha[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha;
     } else {
       p = new((void*) gvp) RooAlpha;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 11
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, (Double_t) G__double(libp->para[9])
, (Double_t) G__double(libp->para[10]));
   } else {
     p = new((void*) gvp) RooAlpha(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, (Double_t) G__double(libp->para[9])
, (Double_t) G__double(libp->para[10]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha(*(RooAlpha*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha(*(RooAlpha*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha(*(RooAlpha*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha(*(RooAlpha*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1137_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha G__TRooAlpha;
static int G__HiggsAnalysisCombinedLimit_yr_1137_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha*) (soff+(sizeof(RooAlpha)*i)))->~G__TRooAlpha();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha*) (soff))->~G__TRooAlpha();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlphaExp */
static int G__HiggsAnalysisCombinedLimit_yr_1138_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlphaExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlphaExp[n];
     } else {
       p = new((void*) gvp) RooAlphaExp[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlphaExp;
     } else {
       p = new((void*) gvp) RooAlphaExp;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlphaExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlphaExp(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Double_t) G__double(libp->para[6]));
   } else {
     p = new((void*) gvp) RooAlphaExp(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (Double_t) G__double(libp->para[5])
, (Double_t) G__double(libp->para[6]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlphaExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlphaExp(*(RooAlphaExp*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlphaExp(*(RooAlphaExp*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlphaExp(*(RooAlphaExp*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlphaExp(*(RooAlphaExp*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlphaExp::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlphaExp::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlphaExp::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlphaExp::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlphaExp*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlphaExp::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlphaExp::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlphaExp::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1138_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlphaExp::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlphaExp G__TRooAlphaExp;
static int G__HiggsAnalysisCombinedLimit_yr_1138_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlphaExp*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlphaExp*) (soff+(sizeof(RooAlphaExp)*i)))->~G__TRooAlphaExp();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlphaExp*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlphaExp*) (soff))->~G__TRooAlphaExp();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBWRunPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1139_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBWRunPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWRunPdf[n];
     } else {
       p = new((void*) gvp) RooBWRunPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWRunPdf;
     } else {
       p = new((void*) gvp) RooBWRunPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBWRunPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBWRunPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooBWRunPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBWRunPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWRunPdf(*(RooBWRunPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBWRunPdf(*(RooBWRunPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBWRunPdf(*(RooBWRunPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBWRunPdf(*(RooBWRunPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBWRunPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBWRunPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBWRunPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBWRunPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBWRunPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBWRunPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBWRunPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBWRunPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1139_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBWRunPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBWRunPdf G__TRooBWRunPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1139_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBWRunPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBWRunPdf*) (soff+(sizeof(RooBWRunPdf)*i)))->~G__TRooBWRunPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBWRunPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBWRunPdf*) (soff))->~G__TRooBWRunPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooErfPow2Pdf */
static int G__HiggsAnalysisCombinedLimit_yr_1140_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPow2Pdf[n];
     } else {
       p = new((void*) gvp) RooErfPow2Pdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPow2Pdf;
     } else {
       p = new((void*) gvp) RooErfPow2Pdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooErfPow2Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooErfPow2Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPow2Pdf(*(RooErfPow2Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooErfPow2Pdf(*(RooErfPow2Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPow2Pdf(*(RooErfPow2Pdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooErfPow2Pdf(*(RooErfPow2Pdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooErfPow2Pdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPow2Pdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooErfPow2Pdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooErfPow2Pdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooErfPow2Pdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPow2Pdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPow2Pdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPow2Pdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1140_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPow2Pdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooErfPow2Pdf G__TRooErfPow2Pdf;
static int G__HiggsAnalysisCombinedLimit_yr_1140_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooErfPow2Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooErfPow2Pdf*) (soff+(sizeof(RooErfPow2Pdf)*i)))->~G__TRooErfPow2Pdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooErfPow2Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooErfPow2Pdf*) (soff))->~G__TRooErfPow2Pdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha4ErfPow2Pdf */
static int G__HiggsAnalysisCombinedLimit_yr_1141_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPow2Pdf[n];
     } else {
       p = new((void*) gvp) RooAlpha4ErfPow2Pdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPow2Pdf;
     } else {
       p = new((void*) gvp) RooAlpha4ErfPow2Pdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 11
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha4ErfPow2Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref);
   } else {
     p = new((void*) gvp) RooAlpha4ErfPow2Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPow2Pdf(*(RooAlpha4ErfPow2Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha4ErfPow2Pdf(*(RooAlpha4ErfPow2Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPow2Pdf(*(RooAlpha4ErfPow2Pdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha4ErfPow2Pdf(*(RooAlpha4ErfPow2Pdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha4ErfPow2Pdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPow2Pdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha4ErfPow2Pdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha4ErfPow2Pdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha4ErfPow2Pdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPow2Pdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ErfPow2Pdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPow2Pdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1141_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ErfPow2Pdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha4ErfPow2Pdf G__TRooAlpha4ErfPow2Pdf;
static int G__HiggsAnalysisCombinedLimit_yr_1141_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha4ErfPow2Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha4ErfPow2Pdf*) (soff+(sizeof(RooAlpha4ErfPow2Pdf)*i)))->~G__TRooAlpha4ErfPow2Pdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha4ErfPow2Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha4ErfPow2Pdf*) (soff))->~G__TRooAlpha4ErfPow2Pdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooErfPowExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1142_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPowExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowExpPdf[n];
     } else {
       p = new((void*) gvp) RooErfPowExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowExpPdf;
     } else {
       p = new((void*) gvp) RooErfPowExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPowExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooErfPowExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooErfPowExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPowExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowExpPdf(*(RooErfPowExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooErfPowExpPdf(*(RooErfPowExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowExpPdf(*(RooErfPowExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooErfPowExpPdf(*(RooErfPowExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooErfPowExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPowExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooErfPowExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooErfPowExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooErfPowExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPowExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPowExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPowExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1142_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPowExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooErfPowExpPdf G__TRooErfPowExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1142_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooErfPowExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooErfPowExpPdf*) (soff+(sizeof(RooErfPowExpPdf)*i)))->~G__TRooErfPowExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooErfPowExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooErfPowExpPdf*) (soff))->~G__TRooErfPowExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha4ErfPowExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1143_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPowExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowExpPdf[n];
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowExpPdf;
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPowExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 11
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha4ErfPowExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref);
   } else {
     p = new((void*) gvp) RooAlpha4ErfPowExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooAbsReal*) libp->para[9].ref
, *(RooAbsReal*) libp->para[10].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPowExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowExpPdf(*(RooAlpha4ErfPowExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowExpPdf(*(RooAlpha4ErfPowExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowExpPdf(*(RooAlpha4ErfPowExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowExpPdf(*(RooAlpha4ErfPowExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha4ErfPowExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPowExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha4ErfPowExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha4ErfPowExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha4ErfPowExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPowExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ErfPowExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPowExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1143_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ErfPowExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha4ErfPowExpPdf G__TRooAlpha4ErfPowExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1143_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha4ErfPowExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha4ErfPowExpPdf*) (soff+(sizeof(RooAlpha4ErfPowExpPdf)*i)))->~G__TRooAlpha4ErfPowExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha4ErfPowExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha4ErfPowExpPdf*) (soff))->~G__TRooAlpha4ErfPowExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooGausExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1144_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooGausExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGausExpPdf[n];
     } else {
       p = new((void*) gvp) RooGausExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGausExpPdf;
     } else {
       p = new((void*) gvp) RooGausExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooGausExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooGausExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) RooGausExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooGausExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGausExpPdf(*(RooGausExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooGausExpPdf(*(RooGausExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGausExpPdf(*(RooGausExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooGausExpPdf(*(RooGausExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooGausExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooGausExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooGausExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooGausExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooGausExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooGausExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooGausExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooGausExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1144_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooGausExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooGausExpPdf G__TRooGausExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1144_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooGausExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooGausExpPdf*) (soff+(sizeof(RooGausExpPdf)*i)))->~G__TRooGausExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooGausExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooGausExpPdf*) (soff))->~G__TRooGausExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha4GausExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1145_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4GausExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4GausExpPdf[n];
     } else {
       p = new((void*) gvp) RooAlpha4GausExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4GausExpPdf;
     } else {
       p = new((void*) gvp) RooAlpha4GausExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4GausExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha4GausExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   } else {
     p = new((void*) gvp) RooAlpha4GausExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4GausExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4GausExpPdf(*(RooAlpha4GausExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha4GausExpPdf(*(RooAlpha4GausExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4GausExpPdf(*(RooAlpha4GausExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha4GausExpPdf(*(RooAlpha4GausExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha4GausExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4GausExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha4GausExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha4GausExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha4GausExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4GausExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4GausExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4GausExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1145_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4GausExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha4GausExpPdf G__TRooAlpha4GausExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1145_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha4GausExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha4GausExpPdf*) (soff+(sizeof(RooAlpha4GausExpPdf)*i)))->~G__TRooAlpha4GausExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha4GausExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha4GausExpPdf*) (soff))->~G__TRooAlpha4GausExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooErfPowPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1146_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowPdf[n];
     } else {
       p = new((void*) gvp) RooErfPowPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowPdf;
     } else {
       p = new((void*) gvp) RooErfPowPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooErfPowPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) RooErfPowPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowPdf(*(RooErfPowPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooErfPowPdf(*(RooErfPowPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPowPdf(*(RooErfPowPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooErfPowPdf(*(RooErfPowPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooErfPowPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPowPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooErfPowPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooErfPowPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooErfPowPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPowPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPowPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPowPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1146_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPowPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooErfPowPdf G__TRooErfPowPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1146_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooErfPowPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooErfPowPdf*) (soff+(sizeof(RooErfPowPdf)*i)))->~G__TRooErfPowPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooErfPowPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooErfPowPdf*) (soff))->~G__TRooErfPowPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha4ErfPowPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1147_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowPdf[n];
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowPdf;
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha4ErfPowPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   } else {
     p = new((void*) gvp) RooAlpha4ErfPowPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ErfPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowPdf(*(RooAlpha4ErfPowPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowPdf(*(RooAlpha4ErfPowPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ErfPowPdf(*(RooAlpha4ErfPowPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha4ErfPowPdf(*(RooAlpha4ErfPowPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha4ErfPowPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPowPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha4ErfPowPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha4ErfPowPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha4ErfPowPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPowPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ErfPowPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ErfPowPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1147_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ErfPowPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha4ErfPowPdf G__TRooAlpha4ErfPowPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1147_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha4ErfPowPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha4ErfPowPdf*) (soff+(sizeof(RooAlpha4ErfPowPdf)*i)))->~G__TRooAlpha4ErfPowPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha4ErfPowPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha4ErfPowPdf*) (soff))->~G__TRooAlpha4ErfPowPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooPow2Pdf */
static int G__HiggsAnalysisCombinedLimit_yr_1148_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPow2Pdf[n];
     } else {
       p = new((void*) gvp) RooPow2Pdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPow2Pdf;
     } else {
       p = new((void*) gvp) RooPow2Pdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooPow2Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooPow2Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPow2Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPow2Pdf(*(RooPow2Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooPow2Pdf(*(RooPow2Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPow2Pdf(*(RooPow2Pdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooPow2Pdf(*(RooPow2Pdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooPow2Pdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPow2Pdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooPow2Pdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooPow2Pdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooPow2Pdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPow2Pdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPow2Pdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPow2Pdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1148_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPow2Pdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooPow2Pdf G__TRooPow2Pdf;
static int G__HiggsAnalysisCombinedLimit_yr_1148_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooPow2Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooPow2Pdf*) (soff+(sizeof(RooPow2Pdf)*i)))->~G__TRooPow2Pdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooPow2Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooPow2Pdf*) (soff))->~G__TRooPow2Pdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooPowPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1149_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowPdf[n];
     } else {
       p = new((void*) gvp) RooPowPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowPdf;
     } else {
       p = new((void*) gvp) RooPowPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooPowPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooPowPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowPdf(*(RooPowPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooPowPdf(*(RooPowPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowPdf(*(RooPowPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooPowPdf(*(RooPowPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooPowPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooPowPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooPowPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooPowPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1149_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooPowPdf G__TRooPowPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1149_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooPowPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooPowPdf*) (soff+(sizeof(RooPowPdf)*i)))->~G__TRooPowPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooPowPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooPowPdf*) (soff))->~G__TRooPowPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooQCDPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1150_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooQCDPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooQCDPdf[n];
     } else {
       p = new((void*) gvp) RooQCDPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooQCDPdf;
     } else {
       p = new((void*) gvp) RooQCDPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooQCDPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooQCDPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) RooQCDPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooQCDPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooQCDPdf(*(RooQCDPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooQCDPdf(*(RooQCDPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooQCDPdf(*(RooQCDPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooQCDPdf(*(RooQCDPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooQCDPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooQCDPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooQCDPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooQCDPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooQCDPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooQCDPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooQCDPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooQCDPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1150_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooQCDPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooQCDPdf G__TRooQCDPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1150_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooQCDPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooQCDPdf*) (soff+(sizeof(RooQCDPdf)*i)))->~G__TRooQCDPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooQCDPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooQCDPdf*) (soff))->~G__TRooQCDPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooUser1Pdf */
static int G__HiggsAnalysisCombinedLimit_yr_1151_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooUser1Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooUser1Pdf[n];
     } else {
       p = new((void*) gvp) RooUser1Pdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooUser1Pdf;
     } else {
       p = new((void*) gvp) RooUser1Pdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooUser1Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooUser1Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooUser1Pdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooUser1Pdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooUser1Pdf(*(RooUser1Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooUser1Pdf(*(RooUser1Pdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooUser1Pdf(*(RooUser1Pdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooUser1Pdf(*(RooUser1Pdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooUser1Pdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooUser1Pdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooUser1Pdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooUser1Pdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooUser1Pdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooUser1Pdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooUser1Pdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooUser1Pdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1151_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooUser1Pdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooUser1Pdf G__TRooUser1Pdf;
static int G__HiggsAnalysisCombinedLimit_yr_1151_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooUser1Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooUser1Pdf*) (soff+(sizeof(RooUser1Pdf)*i)))->~G__TRooUser1Pdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooUser1Pdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooUser1Pdf*) (soff))->~G__TRooUser1Pdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooExpNPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1152_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpNPdf[n];
     } else {
       p = new((void*) gvp) RooExpNPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpNPdf;
     } else {
       p = new((void*) gvp) RooExpNPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooExpNPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooExpNPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpNPdf(*(RooExpNPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooExpNPdf(*(RooExpNPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpNPdf(*(RooExpNPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooExpNPdf(*(RooExpNPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooExpNPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpNPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooExpNPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooExpNPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooExpNPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpNPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooExpNPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpNPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1152_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooExpNPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooExpNPdf G__TRooExpNPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1152_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooExpNPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooExpNPdf*) (soff+(sizeof(RooExpNPdf)*i)))->~G__TRooExpNPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooExpNPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooExpNPdf*) (soff))->~G__TRooExpNPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha4ExpNPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1153_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpNPdf[n];
     } else {
       p = new((void*) gvp) RooAlpha4ExpNPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpNPdf;
     } else {
       p = new((void*) gvp) RooAlpha4ExpNPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha4ExpNPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooAlpha4ExpNPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpNPdf(*(RooAlpha4ExpNPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha4ExpNPdf(*(RooAlpha4ExpNPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpNPdf(*(RooAlpha4ExpNPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha4ExpNPdf(*(RooAlpha4ExpNPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha4ExpNPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ExpNPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha4ExpNPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha4ExpNPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha4ExpNPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ExpNPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ExpNPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ExpNPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1153_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ExpNPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha4ExpNPdf G__TRooAlpha4ExpNPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1153_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha4ExpNPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha4ExpNPdf*) (soff+(sizeof(RooAlpha4ExpNPdf)*i)))->~G__TRooAlpha4ExpNPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha4ExpNPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha4ExpNPdf*) (soff))->~G__TRooAlpha4ExpNPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooExpTailPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1154_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpTailPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpTailPdf[n];
     } else {
       p = new((void*) gvp) RooExpTailPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpTailPdf;
     } else {
       p = new((void*) gvp) RooExpTailPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpTailPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooExpTailPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooExpTailPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpTailPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpTailPdf(*(RooExpTailPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooExpTailPdf(*(RooExpTailPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpTailPdf(*(RooExpTailPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooExpTailPdf(*(RooExpTailPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooExpTailPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpTailPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooExpTailPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooExpTailPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooExpTailPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpTailPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooExpTailPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpTailPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1154_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooExpTailPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooExpTailPdf G__TRooExpTailPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1154_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooExpTailPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooExpTailPdf*) (soff+(sizeof(RooExpTailPdf)*i)))->~G__TRooExpTailPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooExpTailPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooExpTailPdf*) (soff))->~G__TRooExpTailPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha4ExpTailPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1155_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ExpTailPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpTailPdf[n];
     } else {
       p = new((void*) gvp) RooAlpha4ExpTailPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpTailPdf;
     } else {
       p = new((void*) gvp) RooAlpha4ExpTailPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ExpTailPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha4ExpTailPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooAlpha4ExpTailPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha4ExpTailPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpTailPdf(*(RooAlpha4ExpTailPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha4ExpTailPdf(*(RooAlpha4ExpTailPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha4ExpTailPdf(*(RooAlpha4ExpTailPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha4ExpTailPdf(*(RooAlpha4ExpTailPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha4ExpTailPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ExpTailPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha4ExpTailPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha4ExpTailPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha4ExpTailPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ExpTailPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ExpTailPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha4ExpTailPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1155_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha4ExpTailPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha4ExpTailPdf G__TRooAlpha4ExpTailPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1155_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha4ExpTailPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha4ExpTailPdf*) (soff+(sizeof(RooAlpha4ExpTailPdf)*i)))->~G__TRooAlpha4ExpTailPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha4ExpTailPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha4ExpTailPdf*) (soff))->~G__TRooAlpha4ExpTailPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Roo2ExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1156_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo2ExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo2ExpPdf[n];
     } else {
       p = new((void*) gvp) Roo2ExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo2ExpPdf;
     } else {
       p = new((void*) gvp) Roo2ExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo2ExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new Roo2ExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) Roo2ExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Roo2ExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo2ExpPdf(*(Roo2ExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) Roo2ExpPdf(*(Roo2ExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Roo2ExpPdf(*(Roo2ExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) Roo2ExpPdf(*(Roo2ExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) Roo2ExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo2ExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) Roo2ExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      Roo2ExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((Roo2ExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo2ExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo2ExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Roo2ExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1156_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Roo2ExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef Roo2ExpPdf G__TRoo2ExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1156_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (Roo2ExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((Roo2ExpPdf*) (soff+(sizeof(Roo2ExpPdf)*i)))->~G__TRoo2ExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (Roo2ExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((Roo2ExpPdf*) (soff))->~G__TRoo2ExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAlpha42ExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1157_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha42ExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha42ExpPdf[n];
     } else {
       p = new((void*) gvp) RooAlpha42ExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha42ExpPdf;
     } else {
       p = new((void*) gvp) RooAlpha42ExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha42ExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAlpha42ExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   } else {
     p = new((void*) gvp) RooAlpha42ExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAlpha42ExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha42ExpPdf(*(RooAlpha42ExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAlpha42ExpPdf(*(RooAlpha42ExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAlpha42ExpPdf(*(RooAlpha42ExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAlpha42ExpPdf(*(RooAlpha42ExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAlpha42ExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha42ExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAlpha42ExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAlpha42ExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAlpha42ExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha42ExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha42ExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAlpha42ExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1157_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAlpha42ExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAlpha42ExpPdf G__TRooAlpha42ExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1157_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAlpha42ExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAlpha42ExpPdf*) (soff+(sizeof(RooAlpha42ExpPdf)*i)))->~G__TRooAlpha42ExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAlpha42ExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAlpha42ExpPdf*) (soff))->~G__TRooAlpha42ExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooAnaExpNPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1158_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAnaExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAnaExpNPdf[n];
     } else {
       p = new((void*) gvp) RooAnaExpNPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAnaExpNPdf;
     } else {
       p = new((void*) gvp) RooAnaExpNPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAnaExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooAnaExpNPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooAnaExpNPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooAnaExpNPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAnaExpNPdf(*(RooAnaExpNPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooAnaExpNPdf(*(RooAnaExpNPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooAnaExpNPdf(*(RooAnaExpNPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooAnaExpNPdf(*(RooAnaExpNPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooAnaExpNPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAnaExpNPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooAnaExpNPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooAnaExpNPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooAnaExpNPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAnaExpNPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAnaExpNPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooAnaExpNPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1158_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooAnaExpNPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooAnaExpNPdf G__TRooAnaExpNPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1158_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooAnaExpNPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooAnaExpNPdf*) (soff+(sizeof(RooAnaExpNPdf)*i)))->~G__TRooAnaExpNPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooAnaExpNPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooAnaExpNPdf*) (soff))->~G__TRooAnaExpNPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooDoubleCrystalBall */
static int G__HiggsAnalysisCombinedLimit_yr_1159_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooDoubleCrystalBall* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCrystalBall[n];
     } else {
       p = new((void*) gvp) RooDoubleCrystalBall[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCrystalBall;
     } else {
       p = new((void*) gvp) RooDoubleCrystalBall;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooDoubleCrystalBall* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooDoubleCrystalBall(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   } else {
     p = new((void*) gvp) RooDoubleCrystalBall(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooDoubleCrystalBall* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCrystalBall(*(RooDoubleCrystalBall*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooDoubleCrystalBall(*(RooDoubleCrystalBall*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCrystalBall(*(RooDoubleCrystalBall*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooDoubleCrystalBall(*(RooDoubleCrystalBall*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooDoubleCrystalBall::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooDoubleCrystalBall::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooDoubleCrystalBall::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooDoubleCrystalBall::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooDoubleCrystalBall*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooDoubleCrystalBall::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooDoubleCrystalBall::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooDoubleCrystalBall::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1159_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooDoubleCrystalBall::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooDoubleCrystalBall G__TRooDoubleCrystalBall;
static int G__HiggsAnalysisCombinedLimit_yr_1159_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooDoubleCrystalBall*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooDoubleCrystalBall*) (soff+(sizeof(RooDoubleCrystalBall)*i)))->~G__TRooDoubleCrystalBall();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooDoubleCrystalBall*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooDoubleCrystalBall*) (soff))->~G__TRooDoubleCrystalBall();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooCB */
static int G__HiggsAnalysisCombinedLimit_yr_1160_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCB* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCB[n];
     } else {
       p = new((void*) gvp) RooCB[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCB;
     } else {
       p = new((void*) gvp) RooCB;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCB* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 8
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooCB(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref);
   } else {
     p = new((void*) gvp) RooCB(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooCB* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCB(*(RooCB*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooCB(*(RooCB*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooCB(*(RooCB*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooCB(*(RooCB*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooCB::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCB::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooCB::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooCB::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooCB*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCB::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCB::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooCB::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1160_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooCB::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooCB G__TRooCB;
static int G__HiggsAnalysisCombinedLimit_yr_1160_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooCB*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooCB*) (soff+(sizeof(RooCB)*i)))->~G__TRooCB();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooCB*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooCB*) (soff))->~G__TRooCB();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooDoubleCB */
static int G__HiggsAnalysisCombinedLimit_yr_1161_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooDoubleCB* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCB[n];
     } else {
       p = new((void*) gvp) RooDoubleCB[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCB;
     } else {
       p = new((void*) gvp) RooDoubleCB;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooDoubleCB* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooDoubleCB(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   } else {
     p = new((void*) gvp) RooDoubleCB(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooDoubleCB* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCB(*(RooDoubleCB*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooDoubleCB(*(RooDoubleCB*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooDoubleCB(*(RooDoubleCB*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooDoubleCB(*(RooDoubleCB*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooDoubleCB::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooDoubleCB::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooDoubleCB::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooDoubleCB::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooDoubleCB*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooDoubleCB::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooDoubleCB::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooDoubleCB::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1161_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooDoubleCB::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooDoubleCB G__TRooDoubleCB;
static int G__HiggsAnalysisCombinedLimit_yr_1161_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooDoubleCB*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooDoubleCB*) (soff+(sizeof(RooDoubleCB)*i)))->~G__TRooDoubleCB();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooDoubleCB*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooDoubleCB*) (soff))->~G__TRooDoubleCB();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooFermi */
static int G__HiggsAnalysisCombinedLimit_yr_1162_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFermi* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFermi[n];
     } else {
       p = new((void*) gvp) RooFermi[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFermi;
     } else {
       p = new((void*) gvp) RooFermi;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFermi* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooFermi(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooFermi(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooFermi* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFermi(*(RooFermi*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooFermi(*(RooFermi*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooFermi(*(RooFermi*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooFermi(*(RooFermi*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooFermi::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFermi::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooFermi::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooFermi::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooFermi*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFermi::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFermi::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooFermi::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1162_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooFermi::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooFermi G__TRooFermi;
static int G__HiggsAnalysisCombinedLimit_yr_1162_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooFermi*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooFermi*) (soff+(sizeof(RooFermi)*i)))->~G__TRooFermi();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooFermi*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooFermi*) (soff))->~G__TRooFermi();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooRelBW */
static int G__HiggsAnalysisCombinedLimit_yr_1163_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBW* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW[n];
     } else {
       p = new((void*) gvp) RooRelBW[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW;
     } else {
       p = new((void*) gvp) RooRelBW;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBW* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooRelBW(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) RooRelBW(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooRelBW* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW(*(RooRelBW*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooRelBW(*(RooRelBW*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooRelBW(*(RooRelBW*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooRelBW(*(RooRelBW*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooRelBW::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBW::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooRelBW::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooRelBW::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooRelBW*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBW::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBW::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooRelBW::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1163_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooRelBW::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooRelBW G__TRooRelBW;
static int G__HiggsAnalysisCombinedLimit_yr_1163_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooRelBW*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooRelBW*) (soff+(sizeof(RooRelBW)*i)))->~G__TRooRelBW();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooRelBW*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooRelBW*) (soff))->~G__TRooRelBW();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Triangle */
static int G__HiggsAnalysisCombinedLimit_yr_1164_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Triangle* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Triangle[n];
     } else {
       p = new((void*) gvp) Triangle[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Triangle;
     } else {
       p = new((void*) gvp) Triangle;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Triangle* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new Triangle(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) Triangle(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   Triangle* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Triangle(*(Triangle*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) Triangle(*(Triangle*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new Triangle(*(Triangle*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) Triangle(*(Triangle*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) Triangle::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Triangle::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) Triangle::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      Triangle::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((Triangle*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Triangle::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Triangle::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) Triangle::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1164_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) Triangle::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef Triangle G__TTriangle;
static int G__HiggsAnalysisCombinedLimit_yr_1164_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (Triangle*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((Triangle*) (soff+(sizeof(Triangle)*i)))->~G__TTriangle();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (Triangle*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((Triangle*) (soff))->~G__TTriangle();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooLevelledExp */
static int G__HiggsAnalysisCombinedLimit_yr_1165_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooLevelledExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooLevelledExp[n];
     } else {
       p = new((void*) gvp) RooLevelledExp[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooLevelledExp;
     } else {
       p = new((void*) gvp) RooLevelledExp;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooLevelledExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooLevelledExp(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooLevelledExp(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooLevelledExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooLevelledExp(*(RooLevelledExp*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooLevelledExp(*(RooLevelledExp*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooLevelledExp(*(RooLevelledExp*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooLevelledExp(*(RooLevelledExp*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooLevelledExp::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooLevelledExp::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooLevelledExp::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooLevelledExp::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooLevelledExp*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooLevelledExp::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooLevelledExp::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooLevelledExp::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1165_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooLevelledExp::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooLevelledExp G__TRooLevelledExp;
static int G__HiggsAnalysisCombinedLimit_yr_1165_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooLevelledExp*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooLevelledExp*) (soff+(sizeof(RooLevelledExp)*i)))->~G__TRooLevelledExp();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooLevelledExp*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooLevelledExp*) (soff))->~G__TRooLevelledExp();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooPower */
static int G__HiggsAnalysisCombinedLimit_yr_1166_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPower* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPower[n];
     } else {
       p = new((void*) gvp) RooPower[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPower;
     } else {
       p = new((void*) gvp) RooPower;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPower* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooPower(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooPower(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPower* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPower(*(RooPower*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooPower(*(RooPower*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPower(*(RooPower*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooPower(*(RooPower*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooAbsReal& obj = ((const RooPower*) G__getstructoffset())->base();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooAbsReal& obj = ((const RooPower*) G__getstructoffset())->exponent();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooPower::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPower::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooPower::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooPower::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooPower*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPower::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPower::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPower::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1166_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPower::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooPower G__TRooPower;
static int G__HiggsAnalysisCombinedLimit_yr_1166_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooPower*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooPower*) (soff+(sizeof(RooPower)*i)))->~G__TRooPower();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooPower*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooPower*) (soff))->~G__TRooPower();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooStepBernstein */
static int G__HiggsAnalysisCombinedLimit_yr_1167_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStepBernstein* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStepBernstein[n];
     } else {
       p = new((void*) gvp) RooStepBernstein[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStepBernstein;
     } else {
       p = new((void*) gvp) RooStepBernstein;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStepBernstein* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooStepBernstein(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooStepBernstein(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStepBernstein* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStepBernstein(*(RooStepBernstein*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooStepBernstein(*(RooStepBernstein*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStepBernstein(*(RooStepBernstein*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooStepBernstein(*(RooStepBernstein*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooStepBernstein::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStepBernstein::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooStepBernstein::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooStepBernstein::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStepBernstein*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStepBernstein::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStepBernstein::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStepBernstein::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1167_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStepBernstein::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooStepBernstein G__TRooStepBernstein;
static int G__HiggsAnalysisCombinedLimit_yr_1167_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooStepBernstein*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooStepBernstein*) (soff+(sizeof(RooStepBernstein)*i)))->~G__TRooStepBernstein();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooStepBernstein*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooStepBernstein*) (soff))->~G__TRooStepBernstein();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooGaussStepBernstein */
static int G__HiggsAnalysisCombinedLimit_yr_1168_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooGaussStepBernstein* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGaussStepBernstein[n];
     } else {
       p = new((void*) gvp) RooGaussStepBernstein[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGaussStepBernstein;
     } else {
       p = new((void*) gvp) RooGaussStepBernstein;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooGaussStepBernstein* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooGaussStepBernstein(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooGaussStepBernstein(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooGaussStepBernstein* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGaussStepBernstein(*(RooGaussStepBernstein*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooGaussStepBernstein(*(RooGaussStepBernstein*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooGaussStepBernstein(*(RooGaussStepBernstein*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooGaussStepBernstein(*(RooGaussStepBernstein*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooGaussStepBernstein::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooGaussStepBernstein::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooGaussStepBernstein::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooGaussStepBernstein::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooGaussStepBernstein*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooGaussStepBernstein::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooGaussStepBernstein::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooGaussStepBernstein::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1168_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooGaussStepBernstein::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooGaussStepBernstein G__TRooGaussStepBernstein;
static int G__HiggsAnalysisCombinedLimit_yr_1168_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooGaussStepBernstein*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooGaussStepBernstein*) (soff+(sizeof(RooGaussStepBernstein)*i)))->~G__TRooGaussStepBernstein();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooGaussStepBernstein*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooGaussStepBernstein*) (soff))->~G__TRooGaussStepBernstein();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* cmsmath::SequentialMinimizer */
static int G__HiggsAnalysisCombinedLimit_yr_1183_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   cmsmath::SequentialMinimizer* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new cmsmath::SequentialMinimizer((const char*) G__int(libp->para[0]));
     } else {
       p = new((void*) gvp) cmsmath::SequentialMinimizer((const char*) G__int(libp->para[0]));
     }
     break;
   case 0:
     int n = G__getaryconstruct();
     if (n) {
       if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
         p = new cmsmath::SequentialMinimizer[n];
       } else {
         p = new((void*) gvp) cmsmath::SequentialMinimizer[n];
       }
     } else {
       if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
         p = new cmsmath::SequentialMinimizer;
       } else {
         p = new((void*) gvp) cmsmath::SequentialMinimizer;
       }
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer));
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef cmsmath::SequentialMinimizer G__TcmsmathcLcLSequentialMinimizer;
static int G__HiggsAnalysisCombinedLimit_yr_1183_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 0
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (cmsmath::SequentialMinimizer*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((cmsmath::SequentialMinimizer*) (soff+(sizeof(cmsmath::SequentialMinimizer)*i)))->~G__TcmsmathcLcLSequentialMinimizer();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (cmsmath::SequentialMinimizer*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((cmsmath::SequentialMinimizer*) (soff))->~G__TcmsmathcLcLSequentialMinimizer();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* ProcessNormalization */
static int G__HiggsAnalysisCombinedLimit_yr_1192_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   ProcessNormalization* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new ProcessNormalization[n];
     } else {
       p = new((void*) gvp) ProcessNormalization[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new ProcessNormalization;
     } else {
       p = new((void*) gvp) ProcessNormalization;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   ProcessNormalization* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 3:
     //m: 3
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new ProcessNormalization(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (double) G__double(libp->para[2]));
     } else {
       p = new((void*) gvp) ProcessNormalization(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (double) G__double(libp->para[2]));
     }
     break;
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new ProcessNormalization((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) ProcessNormalization((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   ProcessNormalization* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 3
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new ProcessNormalization(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref);
   } else {
     p = new((void*) gvp) ProcessNormalization(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   ProcessNormalization* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new ProcessNormalization(*(ProcessNormalization*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) ProcessNormalization(*(ProcessNormalization*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new ProcessNormalization(*(ProcessNormalization*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) ProcessNormalization(*(ProcessNormalization*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((ProcessNormalization*) G__getstructoffset())->setNominalValue((double) G__double(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((ProcessNormalization*) G__getstructoffset())->addLogNormal((double) G__double(libp->para[0]), *(RooAbsReal*) libp->para[1].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((ProcessNormalization*) G__getstructoffset())->addAsymmLogNormal((double) G__double(libp->para[0]), (double) G__double(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((ProcessNormalization*) G__getstructoffset())->addOtherFactor(*(RooAbsReal*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((const ProcessNormalization*) G__getstructoffset())->dump();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ProcessNormalization::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) ProcessNormalization::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) ProcessNormalization::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ProcessNormalization::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((ProcessNormalization*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) ProcessNormalization::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ProcessNormalization::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) ProcessNormalization::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1192_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ProcessNormalization::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef ProcessNormalization G__TProcessNormalization;
static int G__HiggsAnalysisCombinedLimit_yr_1192_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (ProcessNormalization*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((ProcessNormalization*) (soff+(sizeof(ProcessNormalization)*i)))->~G__TProcessNormalization();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (ProcessNormalization*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((ProcessNormalization*) (soff))->~G__TProcessNormalization();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooSpline1D */
static int G__HiggsAnalysisCombinedLimit_yr_1201_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSpline1D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D[n];
     } else {
       p = new((void*) gvp) RooSpline1D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D;
     } else {
       p = new((void*) gvp) RooSpline1D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSpline1D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (const char*) G__int(libp->para[3])
, (const unsigned short) G__int(libp->para[4]), (const unsigned short) G__int(libp->para[5])
, (const unsigned short) G__int(libp->para[6]), (const char*) G__int(libp->para[7]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (const char*) G__int(libp->para[3])
, (const unsigned short) G__int(libp->para[4]), (const unsigned short) G__int(libp->para[5])
, (const unsigned short) G__int(libp->para[6]), (const char*) G__int(libp->para[7]));
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (const char*) G__int(libp->para[3])
, (const unsigned short) G__int(libp->para[4]), (const unsigned short) G__int(libp->para[5])
, (const unsigned short) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (const char*) G__int(libp->para[3])
, (const unsigned short) G__int(libp->para[4]), (const unsigned short) G__int(libp->para[5])
, (const unsigned short) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (const char*) G__int(libp->para[3])
, (const unsigned short) G__int(libp->para[4]), (const unsigned short) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (const char*) G__int(libp->para[3])
, (const unsigned short) G__int(libp->para[4]), (const unsigned short) G__int(libp->para[5]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSpline1D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (double*) G__int(libp->para[4]), (double*) G__int(libp->para[5])
, (const char*) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (double*) G__int(libp->para[4]), (double*) G__int(libp->para[5])
, (const char*) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (double*) G__int(libp->para[4]), (double*) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (double*) G__int(libp->para[4]), (double*) G__int(libp->para[5]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSpline1D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (float*) G__int(libp->para[4]), (float*) G__int(libp->para[5])
, (const char*) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (float*) G__int(libp->para[4]), (float*) G__int(libp->para[5])
, (const char*) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (float*) G__int(libp->para[4]), (float*) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) RooSpline1D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, (unsigned int) G__int(libp->para[3])
, (float*) G__int(libp->para[4]), (float*) G__int(libp->para[5]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSpline1D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(*(RooSpline1D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooSpline1D(*(RooSpline1D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSpline1D(*(RooSpline1D*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooSpline1D(*(RooSpline1D*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooSpline1D::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSpline1D::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooSpline1D::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooSpline1D::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSpline1D*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSpline1D::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSpline1D::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSpline1D::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1201_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSpline1D::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooSpline1D G__TRooSpline1D;
static int G__HiggsAnalysisCombinedLimit_yr_1201_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooSpline1D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooSpline1D*) (soff+(sizeof(RooSpline1D)*i)))->~G__TRooSpline1D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooSpline1D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooSpline1D*) (soff))->~G__TRooSpline1D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooSplineND */
static int G__HiggsAnalysisCombinedLimit_yr_1249_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSplineND* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND[n];
     } else {
       p = new((void*) gvp) RooSplineND[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND;
     } else {
       p = new((void*) gvp) RooSplineND;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSplineND* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]), (double) G__double(libp->para[5])
, (bool) G__int(libp->para[6]), *((string*) G__int(libp->para[7])));
     } else {
       p = new((void*) gvp) RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]), (double) G__double(libp->para[5])
, (bool) G__int(libp->para[6]), *((string*) G__int(libp->para[7])));
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]), (double) G__double(libp->para[5])
, (bool) G__int(libp->para[6]));
     } else {
       p = new((void*) gvp) RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]), (double) G__double(libp->para[5])
, (bool) G__int(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]), (double) G__double(libp->para[5]));
     } else {
       p = new((void*) gvp) RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]), (double) G__double(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]));
     } else {
       p = new((void*) gvp) RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3])
, (const char*) G__int(libp->para[4]));
     }
     break;
   case 4:
     //m: 4
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3]));
     } else {
       p = new((void*) gvp) RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, (TTree*) G__int(libp->para[3]));
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSplineND* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooSplineND(*(RooSplineND*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
   } else {
     p = new((void*) gvp) RooSplineND(*(RooSplineND*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooSplineND* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 12
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooListProxy*) libp->para[2].ref, (int) G__int(libp->para[3])
, (int) G__int(libp->para[4]), (double) G__double(libp->para[5])
, (bool) G__int(libp->para[6]), *(vector<double>*) libp->para[7].ref
, *(map<int,std::vector<double> >*) libp->para[8].ref, *(map<int,std::pair<double,double> >*) libp->para[9].ref
, (double) G__double(libp->para[10]), (double) G__double(libp->para[11]));
   } else {
     p = new((void*) gvp) RooSplineND(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooListProxy*) libp->para[2].ref, (int) G__int(libp->para[3])
, (int) G__int(libp->para[4]), (double) G__double(libp->para[5])
, (bool) G__int(libp->para[6]), *(vector<double>*) libp->para[7].ref
, *(map<int,std::vector<double> >*) libp->para[8].ref, *(map<int,std::pair<double,double> >*) libp->para[9].ref
, (double) G__double(libp->para[10]), (double) G__double(libp->para[11]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((RooSplineND*) G__getstructoffset())->getGraph((const char*) G__int(libp->para[0]), (double) G__double(libp->para[1])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooSplineND::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSplineND::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooSplineND::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooSplineND::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooSplineND*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSplineND::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSplineND::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooSplineND::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1249_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooSplineND::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooSplineND G__TRooSplineND;
static int G__HiggsAnalysisCombinedLimit_yr_1249_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooSplineND*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooSplineND*) (soff+(sizeof(RooSplineND)*i)))->~G__TRooSplineND();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooSplineND*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooSplineND*) (soff))->~G__TRooSplineND();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooScaleLOSM */
static int G__HiggsAnalysisCombinedLimit_yr_1270_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooScaleLOSM::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleLOSM::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooScaleLOSM::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooScaleLOSM::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooScaleLOSM*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleLOSM::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleLOSM::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleLOSM::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1270_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleLOSM::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooScaleLOSM G__TRooScaleLOSM;
static int G__HiggsAnalysisCombinedLimit_yr_1270_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooScaleLOSM*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooScaleLOSM*) (soff+(sizeof(RooScaleLOSM)*i)))->~G__TRooScaleLOSM();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooScaleLOSM*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooScaleLOSM*) (soff))->~G__TRooScaleLOSM();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooScaleHGamGamLOSM */
static int G__HiggsAnalysisCombinedLimit_yr_1271_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGamGamLOSM* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGamGamLOSM[n];
     } else {
       p = new((void*) gvp) RooScaleHGamGamLOSM[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGamGamLOSM;
     } else {
       p = new((void*) gvp) RooScaleHGamGamLOSM;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGamGamLOSM* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooScaleHGamGamLOSM(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooScaleHGamGamLOSM(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooScaleHGamGamLOSM::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGamGamLOSM::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooScaleHGamGamLOSM::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooScaleHGamGamLOSM::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooScaleHGamGamLOSM*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGamGamLOSM::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGamGamLOSM::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGamGamLOSM::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1271_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGamGamLOSM::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooScaleHGamGamLOSM G__TRooScaleHGamGamLOSM;
static int G__HiggsAnalysisCombinedLimit_yr_1271_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooScaleHGamGamLOSM*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooScaleHGamGamLOSM*) (soff+(sizeof(RooScaleHGamGamLOSM)*i)))->~G__TRooScaleHGamGamLOSM();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooScaleHGamGamLOSM*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooScaleHGamGamLOSM*) (soff))->~G__TRooScaleHGamGamLOSM();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooScaleHGluGluLOSM */
static int G__HiggsAnalysisCombinedLimit_yr_1272_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGluGluLOSM* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGluGluLOSM[n];
     } else {
       p = new((void*) gvp) RooScaleHGluGluLOSM[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGluGluLOSM;
     } else {
       p = new((void*) gvp) RooScaleHGluGluLOSM;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGluGluLOSM* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooScaleHGluGluLOSM(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) RooScaleHGluGluLOSM(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooScaleHGluGluLOSM::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGluGluLOSM::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooScaleHGluGluLOSM::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooScaleHGluGluLOSM::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooScaleHGluGluLOSM*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGluGluLOSM::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGluGluLOSM::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGluGluLOSM::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1272_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGluGluLOSM::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooScaleHGluGluLOSM G__TRooScaleHGluGluLOSM;
static int G__HiggsAnalysisCombinedLimit_yr_1272_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooScaleHGluGluLOSM*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooScaleHGluGluLOSM*) (soff+(sizeof(RooScaleHGluGluLOSM)*i)))->~G__TRooScaleHGluGluLOSM();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooScaleHGluGluLOSM*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooScaleHGluGluLOSM*) (soff))->~G__TRooScaleHGluGluLOSM();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooScaleHGamGamLOSMPlusX */
static int G__HiggsAnalysisCombinedLimit_yr_1273_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGamGamLOSMPlusX* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGamGamLOSMPlusX[n];
     } else {
       p = new((void*) gvp) RooScaleHGamGamLOSMPlusX[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGamGamLOSMPlusX;
     } else {
       p = new((void*) gvp) RooScaleHGamGamLOSMPlusX;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGamGamLOSMPlusX* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 8
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooScaleHGamGamLOSMPlusX(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref);
   } else {
     p = new((void*) gvp) RooScaleHGamGamLOSMPlusX(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooScaleHGamGamLOSMPlusX::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGamGamLOSMPlusX::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooScaleHGamGamLOSMPlusX::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooScaleHGamGamLOSMPlusX::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooScaleHGamGamLOSMPlusX*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGamGamLOSMPlusX::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGamGamLOSMPlusX::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGamGamLOSMPlusX::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1273_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGamGamLOSMPlusX::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooScaleHGamGamLOSMPlusX G__TRooScaleHGamGamLOSMPlusX;
static int G__HiggsAnalysisCombinedLimit_yr_1273_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooScaleHGamGamLOSMPlusX*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooScaleHGamGamLOSMPlusX*) (soff+(sizeof(RooScaleHGamGamLOSMPlusX)*i)))->~G__TRooScaleHGamGamLOSMPlusX();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooScaleHGamGamLOSMPlusX*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooScaleHGamGamLOSMPlusX*) (soff))->~G__TRooScaleHGamGamLOSMPlusX();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooScaleHGluGluLOSMPlusX */
static int G__HiggsAnalysisCombinedLimit_yr_1274_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGluGluLOSMPlusX* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGluGluLOSMPlusX[n];
     } else {
       p = new((void*) gvp) RooScaleHGluGluLOSMPlusX[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooScaleHGluGluLOSMPlusX;
     } else {
       p = new((void*) gvp) RooScaleHGluGluLOSMPlusX;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooScaleHGluGluLOSMPlusX* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooScaleHGluGluLOSMPlusX(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) RooScaleHGluGluLOSMPlusX(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooScaleHGluGluLOSMPlusX::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGluGluLOSMPlusX::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooScaleHGluGluLOSMPlusX::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooScaleHGluGluLOSMPlusX::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooScaleHGluGluLOSMPlusX*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGluGluLOSMPlusX::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGluGluLOSMPlusX::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooScaleHGluGluLOSMPlusX::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1274_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooScaleHGluGluLOSMPlusX::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooScaleHGluGluLOSMPlusX G__TRooScaleHGluGluLOSMPlusX;
static int G__HiggsAnalysisCombinedLimit_yr_1274_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooScaleHGluGluLOSMPlusX*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooScaleHGluGluLOSMPlusX*) (soff+(sizeof(RooScaleHGluGluLOSMPlusX)*i)))->~G__TRooScaleHGluGluLOSMPlusX();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooScaleHGluGluLOSMPlusX*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooScaleHGluGluLOSMPlusX*) (soff))->~G__TRooScaleHGluGluLOSMPlusX();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* rVrFLikelihood */
static int G__HiggsAnalysisCombinedLimit_yr_1275_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   rVrFLikelihood* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new rVrFLikelihood[n];
     } else {
       p = new((void*) gvp) rVrFLikelihood[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new rVrFLikelihood;
     } else {
       p = new((void*) gvp) rVrFLikelihood;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   rVrFLikelihood* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new rVrFLikelihood((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
   } else {
     p = new((void*) gvp) rVrFLikelihood((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((rVrFLikelihood*) G__getstructoffset())->addChannel((TH2*) G__int(libp->para[0]), *(RooAbsReal*) libp->para[1].ref
, *(RooAbsReal*) libp->para[2].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) rVrFLikelihood::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) rVrFLikelihood::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) rVrFLikelihood::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      rVrFLikelihood::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((rVrFLikelihood*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) rVrFLikelihood::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) rVrFLikelihood::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) rVrFLikelihood::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1275_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) rVrFLikelihood::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef rVrFLikelihood G__TrVrFLikelihood;
static int G__HiggsAnalysisCombinedLimit_yr_1275_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (rVrFLikelihood*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((rVrFLikelihood*) (soff+(sizeof(rVrFLikelihood)*i)))->~G__TrVrFLikelihood();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (rVrFLikelihood*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((rVrFLikelihood*) (soff))->~G__TrVrFLikelihood();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooMultiPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1281_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooMultiPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMultiPdf[n];
     } else {
       p = new((void*) gvp) RooMultiPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMultiPdf;
     } else {
       p = new((void*) gvp) RooMultiPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooMultiPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooMultiPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooCategory*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooMultiPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooCategory*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooMultiPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMultiPdf(*(RooMultiPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooMultiPdf(*(RooMultiPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMultiPdf(*(RooMultiPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooMultiPdf(*(RooMultiPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((const RooMultiPdf*) G__getstructoffset())->checkIndexDirty());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const RooMultiPdf*) G__getstructoffset())->getCorrection());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((const RooMultiPdf*) G__getstructoffset())->getCurrentPdf());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ((const RooMultiPdf*) G__getstructoffset())->getNumPdfs());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooMultiPdf*) G__getstructoffset())->setCorrectionFactor((RooMultiPdf::PenatlyScheme) G__int(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ((const RooMultiPdf*) G__getstructoffset())->getCurrentIndex());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((const RooMultiPdf*) G__getstructoffset())->getPdf((int) G__int(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooMultiPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooMultiPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooMultiPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooMultiPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooMultiPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooMultiPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooMultiPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooMultiPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1281_0_27(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooMultiPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooMultiPdf G__TRooMultiPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1281_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooMultiPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooMultiPdf*) (soff+(sizeof(RooMultiPdf)*i)))->~G__TRooMultiPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooMultiPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooMultiPdf*) (soff))->~G__TRooMultiPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooParametricHist */
static int G__HiggsAnalysisCombinedLimit_yr_1285_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParametricHist* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParametricHist[n];
     } else {
       p = new((void*) gvp) RooParametricHist[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParametricHist;
     } else {
       p = new((void*) gvp) RooParametricHist;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParametricHist* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooParametricHist(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(TH1*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooParametricHist(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(TH1*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParametricHist* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParametricHist(*(RooParametricHist*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooParametricHist(*(RooParametricHist*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParametricHist(*(RooParametricHist*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooParametricHist(*(RooParametricHist*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooParametricHist::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooParametricHist::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooParametricHist::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooParametricHist::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooParametricHist*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooParametricHist::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooParametricHist::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooParametricHist::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1285_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooParametricHist::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooParametricHist G__TRooParametricHist;
static int G__HiggsAnalysisCombinedLimit_yr_1285_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooParametricHist*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooParametricHist*) (soff+(sizeof(RooParametricHist)*i)))->~G__TRooParametricHist();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooParametricHist*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooParametricHist*) (soff))->~G__TRooParametricHist();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* SimpleGaussianConstraint */
static int G__HiggsAnalysisCombinedLimit_yr_1290_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleGaussianConstraint* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleGaussianConstraint[n];
     } else {
       p = new((void*) gvp) SimpleGaussianConstraint[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleGaussianConstraint;
     } else {
       p = new((void*) gvp) SimpleGaussianConstraint;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleGaussianConstraint* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new SimpleGaussianConstraint(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) SimpleGaussianConstraint(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleGaussianConstraint* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleGaussianConstraint(*(SimpleGaussianConstraint*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) SimpleGaussianConstraint(*(SimpleGaussianConstraint*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new SimpleGaussianConstraint(*(SimpleGaussianConstraint*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) SimpleGaussianConstraint(*(SimpleGaussianConstraint*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   SimpleGaussianConstraint* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 1
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new SimpleGaussianConstraint(*(RooGaussian*) libp->para[0].ref);
   } else {
     p = new((void*) gvp) SimpleGaussianConstraint(*(RooGaussian*) libp->para[0].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) ((const SimpleGaussianConstraint*) G__getstructoffset())->getLogValFast());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) SimpleGaussianConstraint::make(*(RooGaussian*) libp->para[0].ref));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) SimpleGaussianConstraint::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) SimpleGaussianConstraint::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) SimpleGaussianConstraint::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      SimpleGaussianConstraint::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((SimpleGaussianConstraint*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) SimpleGaussianConstraint::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) SimpleGaussianConstraint::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) SimpleGaussianConstraint::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1290_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) SimpleGaussianConstraint::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef SimpleGaussianConstraint G__TSimpleGaussianConstraint;
static int G__HiggsAnalysisCombinedLimit_yr_1290_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (SimpleGaussianConstraint*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((SimpleGaussianConstraint*) (soff+(sizeof(SimpleGaussianConstraint)*i)))->~G__TSimpleGaussianConstraint();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (SimpleGaussianConstraint*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((SimpleGaussianConstraint*) (soff))->~G__TSimpleGaussianConstraint();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooStats::HistFactory::RooBSplineBases */
static int G__HiggsAnalysisCombinedLimit_yr_1292_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSplineBases* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStats::HistFactory::RooBSplineBases[n];
     } else {
       p = new((void*) gvp) RooStats::HistFactory::RooBSplineBases[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStats::HistFactory::RooBSplineBases;
     } else {
       p = new((void*) gvp) RooStats::HistFactory::RooBSplineBases;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSplineBases* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStats::HistFactory::RooBSplineBases(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (int) G__int(libp->para[2]), *(vector<double>*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (int) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) RooStats::HistFactory::RooBSplineBases(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (int) G__int(libp->para[2]), *(vector<double>*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (int) G__int(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStats::HistFactory::RooBSplineBases(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (int) G__int(libp->para[2]), *(vector<double>*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) RooStats::HistFactory::RooBSplineBases(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (int) G__int(libp->para[2]), *(vector<double>*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSplineBases* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooStats::HistFactory::RooBSplineBases((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
   } else {
     p = new((void*) gvp) RooStats::HistFactory::RooBSplineBases((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSplineBases* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooStats::HistFactory::RooBSplineBases(*(RooStats::HistFactory::RooBSplineBases*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
   } else {
     p = new((void*) gvp) RooStats::HistFactory::RooBSplineBases(*(RooStats::HistFactory::RooBSplineBases*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ((const RooStats::HistFactory::RooBSplineBases*) G__getstructoffset())->getOrder());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   switch (libp->paran) {
   case 3:
      G__letdouble(result7, 100, (double) ((const RooStats::HistFactory::RooBSplineBases*) G__getstructoffset())->getBasisVal((int) G__int(libp->para[0]), (int) G__int(libp->para[1])
, (bool) G__int(libp->para[2])));
      break;
   case 2:
      G__letdouble(result7, 100, (double) ((const RooStats::HistFactory::RooBSplineBases*) G__getstructoffset())->getBasisVal((int) G__int(libp->para[0]), (int) G__int(libp->para[1])));
      break;
   }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const vector<double>* pobj;
         const vector<double> xobj = ((const RooStats::HistFactory::RooBSplineBases*) G__getstructoffset())->getTValues();
         pobj = new vector<double>(xobj);
         result7->obj.i = (long) ((void*) pobj);
         result7->ref = result7->obj.i;
         G__store_tempobject(*result7);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         vector<double>* pobj;
         vector<double> xobj = ((RooStats::HistFactory::RooBSplineBases*) G__getstructoffset())->getTAry();
         pobj = new vector<double>(xobj);
         result7->obj.i = (long) ((void*) pobj);
         result7->ref = result7->obj.i;
         G__store_tempobject(*result7);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooStats::HistFactory::RooBSplineBases::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStats::HistFactory::RooBSplineBases::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooStats::HistFactory::RooBSplineBases::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooStats::HistFactory::RooBSplineBases::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStats::HistFactory::RooBSplineBases*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStats::HistFactory::RooBSplineBases::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStats::HistFactory::RooBSplineBases::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStats::HistFactory::RooBSplineBases::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1292_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStats::HistFactory::RooBSplineBases::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooStats::HistFactory::RooBSplineBases G__TRooStatscLcLHistFactorycLcLRooBSplineBases;
static int G__HiggsAnalysisCombinedLimit_yr_1292_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooStats::HistFactory::RooBSplineBases*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooStats::HistFactory::RooBSplineBases*) (soff+(sizeof(RooStats::HistFactory::RooBSplineBases)*i)))->~G__TRooStatscLcLHistFactorycLcLRooBSplineBases();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooStats::HistFactory::RooBSplineBases*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooStats::HistFactory::RooBSplineBases*) (soff))->~G__TRooStatscLcLHistFactorycLcLRooBSplineBases();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooStats::HistFactory::RooBSpline */
static int G__HiggsAnalysisCombinedLimit_yr_1295_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSpline* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStats::HistFactory::RooBSpline[n];
     } else {
       p = new((void*) gvp) RooStats::HistFactory::RooBSpline[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStats::HistFactory::RooBSpline;
     } else {
       p = new((void*) gvp) RooStats::HistFactory::RooBSpline;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSpline* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooStats::HistFactory::RooBSpline(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooStats::HistFactory::RooBSplineBases*) libp->para[3].ref
, *(RooArgSet*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooStats::HistFactory::RooBSpline(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooStats::HistFactory::RooBSplineBases*) libp->para[3].ref
, *(RooArgSet*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSpline* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooStats::HistFactory::RooBSpline((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
   } else {
     p = new((void*) gvp) RooStats::HistFactory::RooBSpline((const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStats::HistFactory::RooBSpline* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 2
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooStats::HistFactory::RooBSpline(*(RooStats::HistFactory::RooBSpline*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
   } else {
     p = new((void*) gvp) RooStats::HistFactory::RooBSpline(*(RooStats::HistFactory::RooBSpline*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStats::HistFactory::RooBSpline*) G__getstructoffset())->setWeights(*(RooArgList*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((RooStats::HistFactory::RooBSpline*) G__getstructoffset())->setBinIntegrator(*(RooArgSet*) libp->para[0].ref));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const RooStats::HistFactory::RooBSpline*) G__getstructoffset())->getControlPoints();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((const RooStats::HistFactory::RooBSpline*) G__getstructoffset())->getBases());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ((const RooStats::HistFactory::RooBSpline*) G__getstructoffset())->getOrder());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooStats::HistFactory::RooBSpline::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStats::HistFactory::RooBSpline::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooStats::HistFactory::RooBSpline::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooStats::HistFactory::RooBSpline::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStats::HistFactory::RooBSpline*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStats::HistFactory::RooBSpline::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStats::HistFactory::RooBSpline::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStats::HistFactory::RooBSpline::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1295_0_25(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStats::HistFactory::RooBSpline::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooStats::HistFactory::RooBSpline G__TRooStatscLcLHistFactorycLcLRooBSpline;
static int G__HiggsAnalysisCombinedLimit_yr_1295_0_26(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooStats::HistFactory::RooBSpline*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooStats::HistFactory::RooBSpline*) (soff+(sizeof(RooStats::HistFactory::RooBSpline)*i)))->~G__TRooStatscLcLHistFactorycLcLRooBSpline();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooStats::HistFactory::RooBSpline*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooStats::HistFactory::RooBSpline*) (soff))->~G__TRooStatscLcLHistFactorycLcLRooBSpline();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooParamKeysPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1297_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParamKeysPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf[n];
     } else {
       p = new((void*) gvp) RooParamKeysPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf;
     } else {
       p = new((void*) gvp) RooParamKeysPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParamKeysPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[5])
, (Double_t) G__double(libp->para[6]), (Int_t) G__int(libp->para[7]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[5])
, (Double_t) G__double(libp->para[6]), (Int_t) G__int(libp->para[7]));
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[5])
, (Double_t) G__double(libp->para[6]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[5])
, (Double_t) G__double(libp->para[6]));
     }
     break;
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooDataSet*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParamKeysPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 10:
     //m: 10
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[7])
, (Double_t) G__double(libp->para[8]), (Int_t) G__int(libp->para[9]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[7])
, (Double_t) G__double(libp->para[8]), (Int_t) G__int(libp->para[9]));
     }
     break;
   case 9:
     //m: 9
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[7])
, (Double_t) G__double(libp->para[8]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[7])
, (Double_t) G__double(libp->para[8]));
     }
     break;
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[7]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref, (RooParamKeysPdf::Mirror) G__int(libp->para[7]));
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref);
     } else {
       p = new((void*) gvp) RooParamKeysPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, (double) G__double(libp->para[4]), *(RooAbsReal*) libp->para[5].ref
, *(RooDataSet*) libp->para[6].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooParamKeysPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(*(RooParamKeysPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooParamKeysPdf(*(RooParamKeysPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooParamKeysPdf(*(RooParamKeysPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooParamKeysPdf(*(RooParamKeysPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooParamKeysPdf*) G__getstructoffset())->LoadDataSet(*(RooDataSet*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooParamKeysPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooParamKeysPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooParamKeysPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooParamKeysPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooParamKeysPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooParamKeysPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooParamKeysPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooParamKeysPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1297_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooParamKeysPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooParamKeysPdf G__TRooParamKeysPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1297_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooParamKeysPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooParamKeysPdf*) (soff+(sizeof(RooParamKeysPdf)*i)))->~G__TRooParamKeysPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooParamKeysPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooParamKeysPdf*) (soff))->~G__TRooParamKeysPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooStarMomentMorph */
static int G__HiggsAnalysisCombinedLimit_yr_1299_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStarMomentMorph* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStarMomentMorph[n];
     } else {
       p = new((void*) gvp) RooStarMomentMorph[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStarMomentMorph;
     } else {
       p = new((void*) gvp) RooStarMomentMorph;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStarMomentMorph* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 8:
     //m: 8
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStarMomentMorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, *(vector<int>*) libp->para[5].ref
, *(vector<double>*) libp->para[6].ref, *(RooStarMomentMorph::Setting*) libp->para[7].ref);
     } else {
       p = new((void*) gvp) RooStarMomentMorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, *(vector<int>*) libp->para[5].ref
, *(vector<double>*) libp->para[6].ref, *(RooStarMomentMorph::Setting*) libp->para[7].ref);
     }
     break;
   case 7:
     //m: 7
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStarMomentMorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, *(vector<int>*) libp->para[5].ref
, *(vector<double>*) libp->para[6].ref);
     } else {
       p = new((void*) gvp) RooStarMomentMorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooArgList*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, *(vector<int>*) libp->para[5].ref
, *(vector<double>*) libp->para[6].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooStarMomentMorph* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStarMomentMorph(*(RooStarMomentMorph*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooStarMomentMorph(*(RooStarMomentMorph*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooStarMomentMorph(*(RooStarMomentMorph*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooStarMomentMorph(*(RooStarMomentMorph*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStarMomentMorph*) G__getstructoffset())->setMode(*(RooStarMomentMorph::Setting*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) ((RooStarMomentMorph*) G__getstructoffset())->nnuisSize());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) ((RooStarMomentMorph*) G__getstructoffset())->sumPdf((RooArgSet*) G__int(libp->para[0])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 103, (long) ((RooStarMomentMorph*) G__getstructoffset())->setBinIntegrator(*(RooArgSet*) libp->para[0].ref));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStarMomentMorph*) G__getstructoffset())->useHorizontalMorphing((Bool_t) G__int(libp->para[0]));
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStarMomentMorph*) G__getstructoffset())->fixCache();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooStarMomentMorph::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStarMomentMorph::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_23(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooStarMomentMorph::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_24(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooStarMomentMorph::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_28(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooStarMomentMorph*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_29(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStarMomentMorph::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_30(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStarMomentMorph::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_31(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooStarMomentMorph::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1299_0_32(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooStarMomentMorph::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooStarMomentMorph G__TRooStarMomentMorph;
static int G__HiggsAnalysisCombinedLimit_yr_1299_0_33(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooStarMomentMorph*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooStarMomentMorph*) (soff+(sizeof(RooStarMomentMorph)*i)))->~G__TRooStarMomentMorph();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooStarMomentMorph*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooStarMomentMorph*) (soff))->~G__TRooStarMomentMorph();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* HZZ4L_RooSpinZeroPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1302_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf[n];
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf;
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 7
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new HZZ4L_RooSpinZeroPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
   } else {
     p = new((void*) gvp) HZZ4L_RooSpinZeroPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooArgList*) libp->para[6].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf(*(HZZ4L_RooSpinZeroPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf(*(HZZ4L_RooSpinZeroPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf(*(HZZ4L_RooSpinZeroPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf(*(HZZ4L_RooSpinZeroPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const HZZ4L_RooSpinZeroPdf*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) HZZ4L_RooSpinZeroPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) HZZ4L_RooSpinZeroPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      HZZ4L_RooSpinZeroPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((HZZ4L_RooSpinZeroPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) HZZ4L_RooSpinZeroPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1302_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) HZZ4L_RooSpinZeroPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef HZZ4L_RooSpinZeroPdf G__THZZ4L_RooSpinZeroPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1302_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (HZZ4L_RooSpinZeroPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((HZZ4L_RooSpinZeroPdf*) (soff+(sizeof(HZZ4L_RooSpinZeroPdf)*i)))->~G__THZZ4L_RooSpinZeroPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (HZZ4L_RooSpinZeroPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((HZZ4L_RooSpinZeroPdf*) (soff))->~G__THZZ4L_RooSpinZeroPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* HZZ4L_RooSpinZeroPdf_phase */
static int G__HiggsAnalysisCombinedLimit_yr_1303_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf_phase* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_phase[n];
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_phase[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_phase;
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_phase;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf_phase* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 8
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new HZZ4L_RooSpinZeroPdf_phase(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref);
   } else {
     p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_phase(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooArgList*) libp->para[7].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf_phase* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_phase(*(HZZ4L_RooSpinZeroPdf_phase*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_phase(*(HZZ4L_RooSpinZeroPdf_phase*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_phase(*(HZZ4L_RooSpinZeroPdf_phase*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_phase(*(HZZ4L_RooSpinZeroPdf_phase*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const HZZ4L_RooSpinZeroPdf_phase*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) HZZ4L_RooSpinZeroPdf_phase::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf_phase::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) HZZ4L_RooSpinZeroPdf_phase::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      HZZ4L_RooSpinZeroPdf_phase::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((HZZ4L_RooSpinZeroPdf_phase*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf_phase::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) HZZ4L_RooSpinZeroPdf_phase::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf_phase::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1303_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) HZZ4L_RooSpinZeroPdf_phase::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef HZZ4L_RooSpinZeroPdf_phase G__THZZ4L_RooSpinZeroPdf_phase;
static int G__HiggsAnalysisCombinedLimit_yr_1303_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (HZZ4L_RooSpinZeroPdf_phase*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((HZZ4L_RooSpinZeroPdf_phase*) (soff+(sizeof(HZZ4L_RooSpinZeroPdf_phase)*i)))->~G__THZZ4L_RooSpinZeroPdf_phase();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (HZZ4L_RooSpinZeroPdf_phase*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((HZZ4L_RooSpinZeroPdf_phase*) (soff))->~G__THZZ4L_RooSpinZeroPdf_phase();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* HZZ4L_RooSpinZeroPdf_2D */
static int G__HiggsAnalysisCombinedLimit_yr_1304_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf_2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_2D[n];
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_2D[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_2D;
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_2D;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf_2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 10
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new HZZ4L_RooSpinZeroPdf_2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooArgList*) libp->para[9].ref);
   } else {
     p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_2D(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref
, *(RooAbsReal*) libp->para[6].ref, *(RooAbsReal*) libp->para[7].ref
, *(RooAbsReal*) libp->para[8].ref, *(RooArgList*) libp->para[9].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   HZZ4L_RooSpinZeroPdf_2D* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_2D(*(HZZ4L_RooSpinZeroPdf_2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_2D(*(HZZ4L_RooSpinZeroPdf_2D*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new HZZ4L_RooSpinZeroPdf_2D(*(HZZ4L_RooSpinZeroPdf_2D*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) HZZ4L_RooSpinZeroPdf_2D(*(HZZ4L_RooSpinZeroPdf_2D*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const RooArgList& obj = ((const HZZ4L_RooSpinZeroPdf_2D*) G__getstructoffset())->coefList();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) HZZ4L_RooSpinZeroPdf_2D::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf_2D::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) HZZ4L_RooSpinZeroPdf_2D::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      HZZ4L_RooSpinZeroPdf_2D::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((HZZ4L_RooSpinZeroPdf_2D*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf_2D::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) HZZ4L_RooSpinZeroPdf_2D::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) HZZ4L_RooSpinZeroPdf_2D::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1304_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) HZZ4L_RooSpinZeroPdf_2D::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef HZZ4L_RooSpinZeroPdf_2D G__THZZ4L_RooSpinZeroPdf_2D;
static int G__HiggsAnalysisCombinedLimit_yr_1304_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (HZZ4L_RooSpinZeroPdf_2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((HZZ4L_RooSpinZeroPdf_2D*) (soff+(sizeof(HZZ4L_RooSpinZeroPdf_2D)*i)))->~G__THZZ4L_RooSpinZeroPdf_2D();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (HZZ4L_RooSpinZeroPdf_2D*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((HZZ4L_RooSpinZeroPdf_2D*) (soff))->~G__THZZ4L_RooSpinZeroPdf_2D();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooChebyshevPDF */
static int G__HiggsAnalysisCombinedLimit_yr_1307_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooChebyshevPDF* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooChebyshevPDF[n];
     } else {
       p = new((void*) gvp) RooChebyshevPDF[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooChebyshevPDF;
     } else {
       p = new((void*) gvp) RooChebyshevPDF;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooChebyshevPDF* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooChebyshevPDF(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooChebyshevPDF(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooChebyshevPDF* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooChebyshevPDF(*(RooChebyshevPDF*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooChebyshevPDF(*(RooChebyshevPDF*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooChebyshevPDF(*(RooChebyshevPDF*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooChebyshevPDF(*(RooChebyshevPDF*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letdouble(result7, 100, (double) RooChebyshevPDF::ChebyshevP((Int_t) G__int(libp->para[0]), (Double_t) G__double(libp->para[1])));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooChebyshevPDF::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooChebyshevPDF::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooChebyshevPDF::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooChebyshevPDF::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooChebyshevPDF*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooChebyshevPDF::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooChebyshevPDF::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooChebyshevPDF::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1307_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooChebyshevPDF::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooChebyshevPDF G__TRooChebyshevPDF;
static int G__HiggsAnalysisCombinedLimit_yr_1307_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooChebyshevPDF*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooChebyshevPDF*) (soff+(sizeof(RooChebyshevPDF)*i)))->~G__TRooChebyshevPDF();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooChebyshevPDF*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooChebyshevPDF*) (soff))->~G__TRooChebyshevPDF();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooErfPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1308_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPdf[n];
     } else {
       p = new((void*) gvp) RooErfPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPdf;
     } else {
       p = new((void*) gvp) RooErfPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 6:
     //m: 6
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (int) G__int(libp->para[5]));
     } else {
       p = new((void*) gvp) RooErfPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, (int) G__int(libp->para[5]));
     }
     break;
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
     } else {
       p = new((void*) gvp) RooErfPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooErfPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPdf(*(RooErfPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooErfPdf(*(RooErfPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooErfPdf(*(RooErfPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooErfPdf(*(RooErfPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooErfPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooErfPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooErfPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooErfPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooErfPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1308_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooErfPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooErfPdf G__TRooErfPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1308_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooErfPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooErfPdf*) (soff+(sizeof(RooErfPdf)*i)))->~G__TRooErfPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooErfPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooErfPdf*) (soff))->~G__TRooErfPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooPowerExpPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1309_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerExpPdf[n];
     } else {
       p = new((void*) gvp) RooPowerExpPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerExpPdf;
     } else {
       p = new((void*) gvp) RooPowerExpPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 5
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooPowerExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   } else {
     p = new((void*) gvp) RooPowerExpPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerExpPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerExpPdf(*(RooPowerExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooPowerExpPdf(*(RooPowerExpPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerExpPdf(*(RooPowerExpPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooPowerExpPdf(*(RooPowerExpPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooPowerExpPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerExpPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooPowerExpPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooPowerExpPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooPowerExpPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerExpPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowerExpPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerExpPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1309_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowerExpPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooPowerExpPdf G__TRooPowerExpPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1309_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooPowerExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooPowerExpPdf*) (soff+(sizeof(RooPowerExpPdf)*i)))->~G__TRooPowerExpPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooPowerExpPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooPowerExpPdf*) (soff))->~G__TRooPowerExpPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooTH1DPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1310_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTH1DPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTH1DPdf[n];
     } else {
       p = new((void*) gvp) RooTH1DPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTH1DPdf;
     } else {
       p = new((void*) gvp) RooTH1DPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTH1DPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 5:
     //m: 5
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTH1DPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(TH1D*) libp->para[3].ref
, (bool) G__int(libp->para[4]));
     } else {
       p = new((void*) gvp) RooTH1DPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(TH1D*) libp->para[3].ref
, (bool) G__int(libp->para[4]));
     }
     break;
   case 4:
     //m: 4
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTH1DPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(TH1D*) libp->para[3].ref);
     } else {
       p = new((void*) gvp) RooTH1DPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(TH1D*) libp->para[3].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooTH1DPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTH1DPdf(*(RooTH1DPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooTH1DPdf(*(RooTH1DPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooTH1DPdf(*(RooTH1DPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooTH1DPdf(*(RooTH1DPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         const TH1D& obj = ((RooTH1DPdf*) G__getstructoffset())->getHist();
         result7->ref = (long) (&obj);
         result7->obj.i = (long) (&obj);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooTH1DPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTH1DPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooTH1DPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooTH1DPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooTH1DPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTH1DPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTH1DPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooTH1DPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1310_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooTH1DPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooTH1DPdf G__TRooTH1DPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1310_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooTH1DPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooTH1DPdf*) (soff+(sizeof(RooTH1DPdf)*i)))->~G__TRooTH1DPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooTH1DPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooTH1DPdf*) (soff))->~G__TRooTH1DPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooPowerFunction */
static int G__HiggsAnalysisCombinedLimit_yr_1311_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerFunction* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerFunction[n];
     } else {
       p = new((void*) gvp) RooPowerFunction[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerFunction;
     } else {
       p = new((void*) gvp) RooPowerFunction;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerFunction* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooPowerFunction(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooPowerFunction(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerFunction* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerFunction(*(RooPowerFunction*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooPowerFunction(*(RooPowerFunction*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerFunction(*(RooPowerFunction*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooPowerFunction(*(RooPowerFunction*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooPowerFunction::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerFunction::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooPowerFunction::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooPowerFunction::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooPowerFunction*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerFunction::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowerFunction::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerFunction::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1311_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowerFunction::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooPowerFunction G__TRooPowerFunction;
static int G__HiggsAnalysisCombinedLimit_yr_1311_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooPowerFunction*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooPowerFunction*) (soff+(sizeof(RooPowerFunction)*i)))->~G__TRooPowerFunction();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooPowerFunction*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooPowerFunction*) (soff))->~G__TRooPowerFunction();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooPowerLaw */
static int G__HiggsAnalysisCombinedLimit_yr_1312_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerLaw* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerLaw[n];
     } else {
       p = new((void*) gvp) RooPowerLaw[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerLaw;
     } else {
       p = new((void*) gvp) RooPowerLaw;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerLaw* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooPowerLaw(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooPowerLaw(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooPowerLaw* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerLaw(*(RooPowerLaw*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooPowerLaw(*(RooPowerLaw*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooPowerLaw(*(RooPowerLaw*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooPowerLaw(*(RooPowerLaw*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooPowerLaw::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerLaw::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooPowerLaw::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooPowerLaw::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooPowerLaw*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerLaw::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowerLaw::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooPowerLaw::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1312_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooPowerLaw::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooPowerLaw G__TRooPowerLaw;
static int G__HiggsAnalysisCombinedLimit_yr_1312_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooPowerLaw*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooPowerLaw*) (soff+(sizeof(RooPowerLaw)*i)))->~G__TRooPowerLaw();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooPowerLaw*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooPowerLaw*) (soff))->~G__TRooPowerLaw();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooExpPoly */
static int G__HiggsAnalysisCombinedLimit_yr_1313_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpPoly* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpPoly[n];
     } else {
       p = new((void*) gvp) RooExpPoly[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpPoly;
     } else {
       p = new((void*) gvp) RooExpPoly;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpPoly* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooExpPoly(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooExpPoly(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooExpPoly* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpPoly(*(RooExpPoly*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooExpPoly(*(RooExpPoly*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooExpPoly(*(RooExpPoly*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooExpPoly(*(RooExpPoly*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      {
         RooExpPoly::DoubleComplex_t* pobj;
         RooExpPoly::DoubleComplex_t xobj = RooExpPoly::erfi(*((RooExpPoly::DoubleComplex_t*) G__int(libp->para[0])));
         pobj = new RooExpPoly::DoubleComplex_t(xobj);
         result7->obj.i = (long) ((void*) pobj);
         result7->ref = result7->obj.i;
         G__store_tempobject(*result7);
      }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooExpPoly::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpPoly::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooExpPoly::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooExpPoly::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooExpPoly*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpPoly::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooExpPoly::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooExpPoly::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1313_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooExpPoly::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooExpPoly G__TRooExpPoly;
static int G__HiggsAnalysisCombinedLimit_yr_1313_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooExpPoly*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooExpPoly*) (soff+(sizeof(RooExpPoly)*i)))->~G__TRooExpPoly();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooExpPoly*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooExpPoly*) (soff))->~G__TRooExpPoly();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooMorphingPdf */
static int G__HiggsAnalysisCombinedLimit_yr_1314_0_4(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooMorphingPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMorphingPdf[n];
     } else {
       p = new((void*) gvp) RooMorphingPdf[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMorphingPdf;
     } else {
       p = new((void*) gvp) RooMorphingPdf;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_5(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooMorphingPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 9
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooMorphingPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, *(vector<double>*) libp->para[5].ref
, *(bool*) G__Boolref(&libp->para[6]), *(TAxis*) libp->para[7].ref
, *(TAxis*) libp->para[8].ref);
   } else {
     p = new((void*) gvp) RooMorphingPdf(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooRealVar*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooArgList*) libp->para[4].ref, *(vector<double>*) libp->para[5].ref
, *(bool*) G__Boolref(&libp->para[6]), *(TAxis*) libp->para[7].ref
, *(TAxis*) libp->para[8].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooMorphingPdf* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMorphingPdf(*(RooMorphingPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooMorphingPdf(*(RooMorphingPdf*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooMorphingPdf(*(RooMorphingPdf*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooMorphingPdf(*(RooMorphingPdf*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooMorphingPdf::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooMorphingPdf::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_12(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooMorphingPdf::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooMorphingPdf::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooMorphingPdf*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooMorphingPdf::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooMorphingPdf::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooMorphingPdf::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1314_0_21(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooMorphingPdf::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooMorphingPdf G__TRooMorphingPdf;
static int G__HiggsAnalysisCombinedLimit_yr_1314_0_22(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooMorphingPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooMorphingPdf*) (soff+(sizeof(RooMorphingPdf)*i)))->~G__TRooMorphingPdf();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooMorphingPdf*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooMorphingPdf*) (soff))->~G__TRooMorphingPdf();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* GaussExp */
static int G__HiggsAnalysisCombinedLimit_yr_1323_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   GaussExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new GaussExp[n];
     } else {
       p = new((void*) gvp) GaussExp[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new GaussExp;
     } else {
       p = new((void*) gvp) GaussExp;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   GaussExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 6
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new GaussExp(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   } else {
     p = new((void*) gvp) GaussExp(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooAbsReal*) libp->para[3].ref
, *(RooAbsReal*) libp->para[4].ref, *(RooAbsReal*) libp->para[5].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   GaussExp* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new GaussExp(*(GaussExp*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) GaussExp(*(GaussExp*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new GaussExp(*(GaussExp*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) GaussExp(*(GaussExp*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_6(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) GaussExp::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_7(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) GaussExp::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) GaussExp::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      GaussExp::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_13(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((GaussExp*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_14(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) GaussExp::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) GaussExp::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) GaussExp::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1323_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) GaussExp::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef GaussExp G__TGaussExp;
static int G__HiggsAnalysisCombinedLimit_yr_1323_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (GaussExp*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((GaussExp*) (soff+(sizeof(GaussExp)*i)))->~G__TGaussExp();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (GaussExp*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((GaussExp*) (soff))->~G__TGaussExp();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<1> */
static int G__HiggsAnalysisCombinedLimit_yr_1324_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<1>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<1>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<1>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<1>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<1>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<1>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<1>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<1>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<1>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<1>(*(RooBernsteinFast<1>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<1>(*(RooBernsteinFast<1>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<1>(*(RooBernsteinFast<1>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<1>(*(RooBernsteinFast<1>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<1>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<1>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<1>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<1>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<1>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<1>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<1>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<1>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1324_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<1>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<1> G__TRooBernsteinFastlE1gR;
static int G__HiggsAnalysisCombinedLimit_yr_1324_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<1>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<1>*) (soff+(sizeof(RooBernsteinFast<1>)*i)))->~G__TRooBernsteinFastlE1gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<1>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<1>*) (soff))->~G__TRooBernsteinFastlE1gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<2> */
static int G__HiggsAnalysisCombinedLimit_yr_1333_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<2>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<2>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<2>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<2>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<2>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<2>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<2>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<2>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<2>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<2>(*(RooBernsteinFast<2>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<2>(*(RooBernsteinFast<2>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<2>(*(RooBernsteinFast<2>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<2>(*(RooBernsteinFast<2>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<2>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<2>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<2>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<2>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<2>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<2>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<2>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<2>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1333_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<2>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<2> G__TRooBernsteinFastlE2gR;
static int G__HiggsAnalysisCombinedLimit_yr_1333_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<2>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<2>*) (soff+(sizeof(RooBernsteinFast<2>)*i)))->~G__TRooBernsteinFastlE2gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<2>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<2>*) (soff))->~G__TRooBernsteinFastlE2gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<3> */
static int G__HiggsAnalysisCombinedLimit_yr_1341_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<3>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<3>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<3>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<3>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<3>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<3>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<3>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<3>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<3>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<3>(*(RooBernsteinFast<3>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<3>(*(RooBernsteinFast<3>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<3>(*(RooBernsteinFast<3>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<3>(*(RooBernsteinFast<3>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<3>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<3>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<3>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<3>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<3>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<3>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<3>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<3>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1341_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<3>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<3> G__TRooBernsteinFastlE3gR;
static int G__HiggsAnalysisCombinedLimit_yr_1341_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<3>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<3>*) (soff+(sizeof(RooBernsteinFast<3>)*i)))->~G__TRooBernsteinFastlE3gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<3>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<3>*) (soff))->~G__TRooBernsteinFastlE3gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<4> */
static int G__HiggsAnalysisCombinedLimit_yr_1350_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<4>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<4>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<4>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<4>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<4>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<4>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<4>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<4>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<4>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<4>(*(RooBernsteinFast<4>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<4>(*(RooBernsteinFast<4>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<4>(*(RooBernsteinFast<4>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<4>(*(RooBernsteinFast<4>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<4>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<4>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<4>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<4>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<4>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<4>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<4>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<4>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1350_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<4>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<4> G__TRooBernsteinFastlE4gR;
static int G__HiggsAnalysisCombinedLimit_yr_1350_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<4>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<4>*) (soff+(sizeof(RooBernsteinFast<4>)*i)))->~G__TRooBernsteinFastlE4gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<4>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<4>*) (soff))->~G__TRooBernsteinFastlE4gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<5> */
static int G__HiggsAnalysisCombinedLimit_yr_1359_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<5>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<5>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<5>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<5>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<5>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<5>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<5>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<5>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<5>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<5>(*(RooBernsteinFast<5>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<5>(*(RooBernsteinFast<5>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<5>(*(RooBernsteinFast<5>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<5>(*(RooBernsteinFast<5>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<5>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<5>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<5>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<5>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<5>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<5>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<5>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<5>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1359_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<5>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<5> G__TRooBernsteinFastlE5gR;
static int G__HiggsAnalysisCombinedLimit_yr_1359_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<5>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<5>*) (soff+(sizeof(RooBernsteinFast<5>)*i)))->~G__TRooBernsteinFastlE5gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<5>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<5>*) (soff))->~G__TRooBernsteinFastlE5gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<6> */
static int G__HiggsAnalysisCombinedLimit_yr_1367_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<6>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<6>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<6>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<6>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<6>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<6>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<6>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<6>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<6>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<6>(*(RooBernsteinFast<6>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<6>(*(RooBernsteinFast<6>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<6>(*(RooBernsteinFast<6>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<6>(*(RooBernsteinFast<6>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<6>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<6>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<6>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<6>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<6>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<6>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<6>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<6>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1367_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<6>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<6> G__TRooBernsteinFastlE6gR;
static int G__HiggsAnalysisCombinedLimit_yr_1367_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<6>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<6>*) (soff+(sizeof(RooBernsteinFast<6>)*i)))->~G__TRooBernsteinFastlE6gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<6>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<6>*) (soff))->~G__TRooBernsteinFastlE6gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* RooBernsteinFast<7> */
static int G__HiggsAnalysisCombinedLimit_yr_1376_0_1(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<7>* p = NULL;
   char* gvp = (char*) G__getgvp();
   int n = G__getaryconstruct();
   if (n) {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<7>[n];
     } else {
       p = new((void*) gvp) RooBernsteinFast<7>[n];
     }
   } else {
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<7>;
     } else {
       p = new((void*) gvp) RooBernsteinFast<7>;
     }
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_2(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<7>* p = NULL;
   char* gvp = (char*) G__getgvp();
   //m: 4
   if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
     p = new RooBernsteinFast<7>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   } else {
     p = new((void*) gvp) RooBernsteinFast<7>(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, *(RooAbsReal*) libp->para[2].ref, *(RooArgList*) libp->para[3].ref);
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_3(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   RooBernsteinFast<7>* p = NULL;
   char* gvp = (char*) G__getgvp();
   switch (libp->paran) {
   case 2:
     //m: 2
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<7>(*(RooBernsteinFast<7>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     } else {
       p = new((void*) gvp) RooBernsteinFast<7>(*(RooBernsteinFast<7>*) libp->para[0].ref, (const char*) G__int(libp->para[1]));
     }
     break;
   case 1:
     //m: 1
     if ((gvp == (char*)G__PVOID) || (gvp == 0)) {
       p = new RooBernsteinFast<7>(*(RooBernsteinFast<7>*) libp->para[0].ref);
     } else {
       p = new((void*) gvp) RooBernsteinFast<7>(*(RooBernsteinFast<7>*) libp->para[0].ref);
     }
     break;
   }
   result7->obj.i = (long) p;
   result7->ref = (long) p;
   G__set_tagnum(result7,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_8(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 85, (long) RooBernsteinFast<7>::Class());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_9(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<7>::Class_Name());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_10(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 115, (long) RooBernsteinFast<7>::Class_Version());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_11(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      RooBernsteinFast<7>::Dictionary();
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_15(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      ((RooBernsteinFast<7>*) G__getstructoffset())->StreamerNVirtual(*(TBuffer*) libp->para[0].ref);
      G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_16(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<7>::DeclFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_17(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<7>::ImplFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_18(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 67, (long) RooBernsteinFast<7>::ImplFileName());
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr_1376_0_19(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
      G__letint(result7, 105, (long) RooBernsteinFast<7>::DeclFileLine());
   return(1 || funcname || hash || result7 || libp) ;
}

// automatic destructor
typedef RooBernsteinFast<7> G__TRooBernsteinFastlE7gR;
static int G__HiggsAnalysisCombinedLimit_yr_1376_0_20(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   char* gvp = (char*) G__getgvp();
   long soff = G__getstructoffset();
   int n = G__getaryconstruct();
   //
   //has_a_delete: 1
   //has_own_delete1arg: 0
   //has_own_delete2arg: 0
   //
   if (!soff) {
     return(1);
   }
   if (n) {
     if (gvp == (char*)G__PVOID) {
       delete[] (RooBernsteinFast<7>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       for (int i = n - 1; i >= 0; --i) {
         ((RooBernsteinFast<7>*) (soff+(sizeof(RooBernsteinFast<7>)*i)))->~G__TRooBernsteinFastlE7gR();
       }
       G__setgvp((long)gvp);
     }
   } else {
     if (gvp == (char*)G__PVOID) {
       delete (RooBernsteinFast<7>*) soff;
     } else {
       G__setgvp((long) G__PVOID);
       ((RooBernsteinFast<7>*) (soff))->~G__TRooBernsteinFastlE7gR();
       G__setgvp((long)gvp);
     }
   }
   G__setnull(result7);
   return(1 || funcname || hash || result7 || libp) ;
}


/* Setting up global function */
static int G__HiggsAnalysisCombinedLimit_yr__0_4945(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   switch (libp->paran) {
   case 9:
      G__letint(result7, 85, (long) th1fmorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (TH1F*) G__int(libp->para[2]), (TH1F*) G__int(libp->para[3])
, (Double_t) G__double(libp->para[4]), (Double_t) G__double(libp->para[5])
, (Double_t) G__double(libp->para[6]), (Double_t) G__double(libp->para[7])
, (Int_t) G__int(libp->para[8])));
      break;
   case 8:
      G__letint(result7, 85, (long) th1fmorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (TH1F*) G__int(libp->para[2]), (TH1F*) G__int(libp->para[3])
, (Double_t) G__double(libp->para[4]), (Double_t) G__double(libp->para[5])
, (Double_t) G__double(libp->para[6]), (Double_t) G__double(libp->para[7])));
      break;
   }
   return(1 || funcname || hash || result7 || libp) ;
}

static int G__HiggsAnalysisCombinedLimit_yr__0_4946(G__value* result7, G__CONST char* funcname, struct G__param* libp, int hash)
{
   switch (libp->paran) {
   case 9:
      G__letint(result7, 85, (long) th1fmorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (TH1D*) G__int(libp->para[2]), (TH1D*) G__int(libp->para[3])
, (Double_t) G__double(libp->para[4]), (Double_t) G__double(libp->para[5])
, (Double_t) G__double(libp->para[6]), (Double_t) G__double(libp->para[7])
, (Int_t) G__int(libp->para[8])));
      break;
   case 8:
      G__letint(result7, 85, (long) th1fmorph(
(const char*) G__int(libp->para[0]), (const char*) G__int(libp->para[1])
, (TH1D*) G__int(libp->para[2]), (TH1D*) G__int(libp->para[3])
, (Double_t) G__double(libp->para[4]), (Double_t) G__double(libp->para[5])
, (Double_t) G__double(libp->para[6]), (Double_t) G__double(libp->para[7])));
      break;
   }
   return(1 || funcname || hash || result7 || libp) ;
}


/*********************************************************
* Member function Stub
*********************************************************/

/* TestProposal */

/* DebugProposal */

/* VerticalInterpPdf */

/* SimpleCacheSentry */

/* FastTemplate */

/* FastHisto */

/* FastHisto2D */

/* FastHisto3D */

/* FastVerticalInterpHistPdf */

/* FastVerticalInterpHistPdf2Base */

/* FastVerticalInterpHistPdf2 */

/* FastVerticalInterpHistPdf2D2 */

/* VerticalInterpHistPdf */

/* FastVerticalInterpHistPdfBase */

/* FastVerticalInterpHistPdfBase::Morph */

/* FastVerticalInterpHistPdf2D */

/* FastVerticalInterpHistPdf3D */

/* AsymPow */

/* CombDataSetFactory */

/* TH1Keys */

/* RooSimultaneousOpt */

/* RooqqZZPdf */

/* RooggZZPdf */

/* RooqqZZPdf_v2 */

/* RooVBFZZPdf */

/* RooVBFZZPdf_v2 */

/* RooggZZPdf_v2 */

/* RooBetaFunc_v2 */

/* Roo4lMasses2D_Bkg */

/* Roo4lMasses2D_BkgGGZZ */

/* Roo4lMasses2D */

/* RooFourMuMassShapePdf2 */

/* RooFourEMassShapePdf2 */

/* RooTwoETwoMuMassShapePdf2 */

/* RooFourMuMassRes */

/* RooFourEMassRes */

/* RooTwoETwoMuMassRes */

/* RooRelBW1 */

/* RooRelBWUF */

/* RooRelBWUF_SM4 */

/* RooRelBWUFParamWidth */

/* RooRelBWUFParam */

/* RooRelBWHighMass */

/* RooTsallis */

/* RooaDoubleCBxBW */

/* RooCPSHighMassGGH */

/* RooBWHighMassGGH */

/* RooCPSHighMassGGHNoInterf */

/* RooCPSHighMassVBF */

/* RooCPSHighMassVBFNoInterf */

/* RooSigPlusInt */

/* RooErfExpPdf */

/* RooAlpha */

/* RooAlphaExp */

/* RooBWRunPdf */

/* RooErfPow2Pdf */

/* RooAlpha4ErfPow2Pdf */

/* RooErfPowExpPdf */

/* RooAlpha4ErfPowExpPdf */

/* RooGausExpPdf */

/* RooAlpha4GausExpPdf */

/* RooErfPowPdf */

/* RooAlpha4ErfPowPdf */

/* RooPow2Pdf */

/* RooPowPdf */

/* RooQCDPdf */

/* RooUser1Pdf */

/* RooExpNPdf */

/* RooAlpha4ExpNPdf */

/* RooExpTailPdf */

/* RooAlpha4ExpTailPdf */

/* Roo2ExpPdf */

/* RooAlpha42ExpPdf */

/* RooAnaExpNPdf */

/* RooDoubleCrystalBall */

/* RooCB */

/* RooDoubleCB */

/* RooFermi */

/* RooRelBW */

/* Triangle */

/* RooLevelledExp */

/* RooPower */

/* RooStepBernstein */

/* RooGaussStepBernstein */

/* cmsmath::SequentialMinimizer */

/* ProcessNormalization */

/* RooSpline1D */

/* RooSplineND */

/* RooScaleLOSM */

/* RooScaleHGamGamLOSM */

/* RooScaleHGluGluLOSM */

/* RooScaleHGamGamLOSMPlusX */

/* RooScaleHGluGluLOSMPlusX */

/* rVrFLikelihood */

/* RooMultiPdf */

/* RooParametricHist */

/* SimpleGaussianConstraint */

/* RooStats::HistFactory::RooBSplineBases */

/* RooStats::HistFactory::RooBSpline */

/* RooParamKeysPdf */

/* RooStarMomentMorph */

/* HZZ4L_RooSpinZeroPdf */

/* HZZ4L_RooSpinZeroPdf_phase */

/* HZZ4L_RooSpinZeroPdf_2D */

/* RooChebyshevPDF */

/* RooErfPdf */

/* RooPowerExpPdf */

/* RooTH1DPdf */

/* RooPowerFunction */

/* RooPowerLaw */

/* RooExpPoly */

/* RooMorphingPdf */

/* GaussExp */

/* RooBernsteinFast<1> */

/* RooBernsteinFast<2> */

/* RooBernsteinFast<3> */

/* RooBernsteinFast<4> */

/* RooBernsteinFast<5> */

/* RooBernsteinFast<6> */

/* RooBernsteinFast<7> */

/*********************************************************
* Global function Stub
*********************************************************/

/*********************************************************
* Get size of pointer to member function
*********************************************************/
class G__Sizep2memfuncHiggsAnalysisCombinedLimit_yr {
 public:
  G__Sizep2memfuncHiggsAnalysisCombinedLimit_yr(): p(&G__Sizep2memfuncHiggsAnalysisCombinedLimit_yr::sizep2memfunc) {}
    size_t sizep2memfunc() { return(sizeof(p)); }
  private:
    size_t (G__Sizep2memfuncHiggsAnalysisCombinedLimit_yr::*p)();
};

size_t G__get_sizep2memfuncHiggsAnalysisCombinedLimit_yr()
{
  G__Sizep2memfuncHiggsAnalysisCombinedLimit_yr a;
  G__setsizep2memfunc((int)a.sizep2memfunc());
  return((size_t)a.sizep2memfunc());
}


/*********************************************************
* virtual base class offset calculation interface
*********************************************************/

   /* Setting up class inheritance */

/*********************************************************
* Inheritance information setup/
*********************************************************/
extern "C" void G__cpp_setup_inheritanceHiggsAnalysisCombinedLimit_yr() {

   /* Setting up class inheritance */
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal))) {
     TestProposal *G__Lderived;
     G__Lderived=(TestProposal*)0x1000;
     {
       RooStats::ProposalFunction *G__Lpbase=(RooStats::ProposalFunction*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLProposalFunction),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal))) {
     DebugProposal *G__Lderived;
     G__Lderived=(DebugProposal*)0x1000;
     {
       RooStats::ProposalFunction *G__Lpbase=(RooStats::ProposalFunction*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLProposalFunction),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf))) {
     VerticalInterpPdf *G__Lderived;
     G__Lderived=(VerticalInterpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry))) {
     SimpleCacheSentry *G__Lderived;
     G__Lderived=(SimpleCacheSentry*)0x1000;
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto))) {
     FastHisto *G__Lderived;
     G__Lderived=(FastHisto*)0x1000;
     {
       FastTemplate *G__Lpbase=(FastTemplate*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D))) {
     FastHisto2D *G__Lderived;
     G__Lderived=(FastHisto2D*)0x1000;
     {
       FastTemplate *G__Lpbase=(FastTemplate*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D))) {
     FastHisto3D *G__Lderived;
     G__Lderived=(FastHisto3D*)0x1000;
     {
       FastTemplate *G__Lpbase=(FastTemplate*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf))) {
     FastVerticalInterpHistPdf *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdf*)0x1000;
     {
       FastVerticalInterpHistPdfBase *G__Lpbase=(FastVerticalInterpHistPdfBase*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base))) {
     FastVerticalInterpHistPdf2Base *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdf2Base*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2))) {
     FastVerticalInterpHistPdf2 *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdf2*)0x1000;
     {
       FastVerticalInterpHistPdf2Base *G__Lpbase=(FastVerticalInterpHistPdf2Base*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2))) {
     FastVerticalInterpHistPdf2D2 *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdf2D2*)0x1000;
     {
       FastVerticalInterpHistPdf2Base *G__Lpbase=(FastVerticalInterpHistPdf2Base*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf))) {
     VerticalInterpHistPdf *G__Lderived;
     G__Lderived=(VerticalInterpHistPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase))) {
     FastVerticalInterpHistPdfBase *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdfBase*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D))) {
     FastVerticalInterpHistPdf2D *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdf2D*)0x1000;
     {
       FastVerticalInterpHistPdfBase *G__Lpbase=(FastVerticalInterpHistPdfBase*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D))) {
     FastVerticalInterpHistPdf3D *G__Lderived;
     G__Lderived=(FastVerticalInterpHistPdf3D*)0x1000;
     {
       FastVerticalInterpHistPdfBase *G__Lpbase=(FastVerticalInterpHistPdfBase*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow))) {
     AsymPow *G__Lderived;
     G__Lderived=(AsymPow*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory))) {
     CombDataSetFactory *G__Lderived;
     G__Lderived=(CombDataSetFactory*)0x1000;
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys))) {
     TH1Keys *G__Lderived;
     G__Lderived=(TH1Keys*)0x1000;
     {
       TH1 *G__Lpbase=(TH1*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TAttLine *G__Lpbase=(TAttLine*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TAttLine),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TAttFill *G__Lpbase=(TAttFill*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TAttFill),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TAttMarker *G__Lpbase=(TAttMarker*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TAttMarker),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt))) {
     RooSimultaneousOpt *G__Lderived;
     G__Lderived=(RooSimultaneousOpt*)0x1000;
     {
       RooSimultaneous *G__Lpbase=(RooSimultaneous*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneous),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf))) {
     RooqqZZPdf *G__Lderived;
     G__Lderived=(RooqqZZPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf))) {
     RooggZZPdf *G__Lderived;
     G__Lderived=(RooggZZPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2))) {
     RooqqZZPdf_v2 *G__Lderived;
     G__Lderived=(RooqqZZPdf_v2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf))) {
     RooVBFZZPdf *G__Lderived;
     G__Lderived=(RooVBFZZPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2))) {
     RooVBFZZPdf_v2 *G__Lderived;
     G__Lderived=(RooVBFZZPdf_v2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2))) {
     RooggZZPdf_v2 *G__Lderived;
     G__Lderived=(RooggZZPdf_v2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2))) {
     RooBetaFunc_v2 *G__Lderived;
     G__Lderived=(RooBetaFunc_v2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg))) {
     Roo4lMasses2D_Bkg *G__Lderived;
     G__Lderived=(Roo4lMasses2D_Bkg*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ))) {
     Roo4lMasses2D_BkgGGZZ *G__Lderived;
     G__Lderived=(Roo4lMasses2D_BkgGGZZ*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D))) {
     Roo4lMasses2D *G__Lderived;
     G__Lderived=(Roo4lMasses2D*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2))) {
     RooFourMuMassShapePdf2 *G__Lderived;
     G__Lderived=(RooFourMuMassShapePdf2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2))) {
     RooFourEMassShapePdf2 *G__Lderived;
     G__Lderived=(RooFourEMassShapePdf2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2))) {
     RooTwoETwoMuMassShapePdf2 *G__Lderived;
     G__Lderived=(RooTwoETwoMuMassShapePdf2*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes))) {
     RooFourMuMassRes *G__Lderived;
     G__Lderived=(RooFourMuMassRes*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes))) {
     RooFourEMassRes *G__Lderived;
     G__Lderived=(RooFourEMassRes*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes))) {
     RooTwoETwoMuMassRes *G__Lderived;
     G__Lderived=(RooTwoETwoMuMassRes*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1))) {
     RooRelBW1 *G__Lderived;
     G__Lderived=(RooRelBW1*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF))) {
     RooRelBWUF *G__Lderived;
     G__Lderived=(RooRelBWUF*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4))) {
     RooRelBWUF_SM4 *G__Lderived;
     G__Lderived=(RooRelBWUF_SM4*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth))) {
     RooRelBWUFParamWidth *G__Lderived;
     G__Lderived=(RooRelBWUFParamWidth*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam))) {
     RooRelBWUFParam *G__Lderived;
     G__Lderived=(RooRelBWUFParam*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass))) {
     RooRelBWHighMass *G__Lderived;
     G__Lderived=(RooRelBWHighMass*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis))) {
     RooTsallis *G__Lderived;
     G__Lderived=(RooTsallis*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW))) {
     RooaDoubleCBxBW *G__Lderived;
     G__Lderived=(RooaDoubleCBxBW*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH))) {
     RooCPSHighMassGGH *G__Lderived;
     G__Lderived=(RooCPSHighMassGGH*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH))) {
     RooBWHighMassGGH *G__Lderived;
     G__Lderived=(RooBWHighMassGGH*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf))) {
     RooCPSHighMassGGHNoInterf *G__Lderived;
     G__Lderived=(RooCPSHighMassGGHNoInterf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF))) {
     RooCPSHighMassVBF *G__Lderived;
     G__Lderived=(RooCPSHighMassVBF*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf))) {
     RooCPSHighMassVBFNoInterf *G__Lderived;
     G__Lderived=(RooCPSHighMassVBFNoInterf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt))) {
     RooSigPlusInt *G__Lderived;
     G__Lderived=(RooSigPlusInt*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf))) {
     RooErfExpPdf *G__Lderived;
     G__Lderived=(RooErfExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha))) {
     RooAlpha *G__Lderived;
     G__Lderived=(RooAlpha*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp))) {
     RooAlphaExp *G__Lderived;
     G__Lderived=(RooAlphaExp*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf))) {
     RooBWRunPdf *G__Lderived;
     G__Lderived=(RooBWRunPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf))) {
     RooErfPow2Pdf *G__Lderived;
     G__Lderived=(RooErfPow2Pdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf))) {
     RooAlpha4ErfPow2Pdf *G__Lderived;
     G__Lderived=(RooAlpha4ErfPow2Pdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf))) {
     RooErfPowExpPdf *G__Lderived;
     G__Lderived=(RooErfPowExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf))) {
     RooAlpha4ErfPowExpPdf *G__Lderived;
     G__Lderived=(RooAlpha4ErfPowExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf))) {
     RooGausExpPdf *G__Lderived;
     G__Lderived=(RooGausExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf))) {
     RooAlpha4GausExpPdf *G__Lderived;
     G__Lderived=(RooAlpha4GausExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf))) {
     RooErfPowPdf *G__Lderived;
     G__Lderived=(RooErfPowPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf))) {
     RooAlpha4ErfPowPdf *G__Lderived;
     G__Lderived=(RooAlpha4ErfPowPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf))) {
     RooPow2Pdf *G__Lderived;
     G__Lderived=(RooPow2Pdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf))) {
     RooPowPdf *G__Lderived;
     G__Lderived=(RooPowPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf))) {
     RooQCDPdf *G__Lderived;
     G__Lderived=(RooQCDPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf))) {
     RooUser1Pdf *G__Lderived;
     G__Lderived=(RooUser1Pdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf))) {
     RooExpNPdf *G__Lderived;
     G__Lderived=(RooExpNPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf))) {
     RooAlpha4ExpNPdf *G__Lderived;
     G__Lderived=(RooAlpha4ExpNPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf))) {
     RooExpTailPdf *G__Lderived;
     G__Lderived=(RooExpTailPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf))) {
     RooAlpha4ExpTailPdf *G__Lderived;
     G__Lderived=(RooAlpha4ExpTailPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf))) {
     Roo2ExpPdf *G__Lderived;
     G__Lderived=(Roo2ExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf))) {
     RooAlpha42ExpPdf *G__Lderived;
     G__Lderived=(RooAlpha42ExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf))) {
     RooAnaExpNPdf *G__Lderived;
     G__Lderived=(RooAnaExpNPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall))) {
     RooDoubleCrystalBall *G__Lderived;
     G__Lderived=(RooDoubleCrystalBall*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB))) {
     RooCB *G__Lderived;
     G__Lderived=(RooCB*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB))) {
     RooDoubleCB *G__Lderived;
     G__Lderived=(RooDoubleCB*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi))) {
     RooFermi *G__Lderived;
     G__Lderived=(RooFermi*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW))) {
     RooRelBW *G__Lderived;
     G__Lderived=(RooRelBW*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle))) {
     Triangle *G__Lderived;
     G__Lderived=(Triangle*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp))) {
     RooLevelledExp *G__Lderived;
     G__Lderived=(RooLevelledExp*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower))) {
     RooPower *G__Lderived;
     G__Lderived=(RooPower*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein))) {
     RooStepBernstein *G__Lderived;
     G__Lderived=(RooStepBernstein*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein))) {
     RooGaussStepBernstein *G__Lderived;
     G__Lderived=(RooGaussStepBernstein*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer))) {
     cmsmath::SequentialMinimizer *G__Lderived;
     G__Lderived=(cmsmath::SequentialMinimizer*)0x1000;
     {
       ROOT::Math::Minimizer *G__Lpbase=(ROOT::Math::Minimizer*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMinimizer),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization))) {
     ProcessNormalization *G__Lderived;
     G__Lderived=(ProcessNormalization*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D))) {
     RooSpline1D *G__Lderived;
     G__Lderived=(RooSpline1D*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND))) {
     RooSplineND *G__Lderived;
     G__Lderived=(RooSplineND*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM))) {
     RooScaleLOSM *G__Lderived;
     G__Lderived=(RooScaleLOSM*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM))) {
     RooScaleHGamGamLOSM *G__Lderived;
     G__Lderived=(RooScaleHGamGamLOSM*)0x1000;
     {
       RooScaleLOSM *G__Lpbase=(RooScaleLOSM*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM))) {
     RooScaleHGluGluLOSM *G__Lderived;
     G__Lderived=(RooScaleHGluGluLOSM*)0x1000;
     {
       RooScaleLOSM *G__Lpbase=(RooScaleLOSM*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX))) {
     RooScaleHGamGamLOSMPlusX *G__Lderived;
     G__Lderived=(RooScaleHGamGamLOSMPlusX*)0x1000;
     {
       RooScaleHGamGamLOSM *G__Lpbase=(RooScaleHGamGamLOSM*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooScaleLOSM *G__Lpbase=(RooScaleLOSM*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX))) {
     RooScaleHGluGluLOSMPlusX *G__Lderived;
     G__Lderived=(RooScaleHGluGluLOSMPlusX*)0x1000;
     {
       RooScaleHGluGluLOSM *G__Lpbase=(RooScaleHGluGluLOSM*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooScaleLOSM *G__Lpbase=(RooScaleLOSM*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood))) {
     rVrFLikelihood *G__Lderived;
     G__Lderived=(rVrFLikelihood*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf))) {
     RooMultiPdf *G__Lderived;
     G__Lderived=(RooMultiPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist))) {
     RooParametricHist *G__Lderived;
     G__Lderived=(RooParametricHist*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint))) {
     SimpleGaussianConstraint *G__Lderived;
     G__Lderived=(SimpleGaussianConstraint*)0x1000;
     {
       RooGaussian *G__Lpbase=(RooGaussian*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussian),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases))) {
     RooStats::HistFactory::RooBSplineBases *G__Lderived;
     G__Lderived=(RooStats::HistFactory::RooBSplineBases*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline))) {
     RooStats::HistFactory::RooBSpline *G__Lderived;
     G__Lderived=(RooStats::HistFactory::RooBSpline*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf))) {
     RooParamKeysPdf *G__Lderived;
     G__Lderived=(RooParamKeysPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph))) {
     RooStarMomentMorph *G__Lderived;
     G__Lderived=(RooStarMomentMorph*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf))) {
     HZZ4L_RooSpinZeroPdf *G__Lderived;
     G__Lderived=(HZZ4L_RooSpinZeroPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase))) {
     HZZ4L_RooSpinZeroPdf_phase *G__Lderived;
     G__Lderived=(HZZ4L_RooSpinZeroPdf_phase*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D))) {
     HZZ4L_RooSpinZeroPdf_2D *G__Lderived;
     G__Lderived=(HZZ4L_RooSpinZeroPdf_2D*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF))) {
     RooChebyshevPDF *G__Lderived;
     G__Lderived=(RooChebyshevPDF*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf))) {
     RooErfPdf *G__Lderived;
     G__Lderived=(RooErfPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf))) {
     RooPowerExpPdf *G__Lderived;
     G__Lderived=(RooPowerExpPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf))) {
     RooTH1DPdf *G__Lderived;
     G__Lderived=(RooTH1DPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction))) {
     RooPowerFunction *G__Lderived;
     G__Lderived=(RooPowerFunction*)0x1000;
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw))) {
     RooPowerLaw *G__Lderived;
     G__Lderived=(RooPowerLaw*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly))) {
     RooExpPoly *G__Lderived;
     G__Lderived=(RooExpPoly*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf))) {
     RooMorphingPdf *G__Lderived;
     G__Lderived=(RooMorphingPdf*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp))) {
     GaussExp *G__Lderived;
     G__Lderived=(GaussExp*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR))) {
     RooBernsteinFast<1> *G__Lderived;
     G__Lderived=(RooBernsteinFast<1>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR))) {
     RooBernsteinFast<2> *G__Lderived;
     G__Lderived=(RooBernsteinFast<2>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR))) {
     RooBernsteinFast<3> *G__Lderived;
     G__Lderived=(RooBernsteinFast<3>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR))) {
     RooBernsteinFast<4> *G__Lderived;
     G__Lderived=(RooBernsteinFast<4>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR))) {
     RooBernsteinFast<5> *G__Lderived;
     G__Lderived=(RooBernsteinFast<5>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR))) {
     RooBernsteinFast<6> *G__Lderived;
     G__Lderived=(RooBernsteinFast<6>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
   if(0==G__getnumbaseclass(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR))) {
     RooBernsteinFast<7> *G__Lderived;
     G__Lderived=(RooBernsteinFast<7>*)0x1000;
     {
       RooAbsPdf *G__Lpbase=(RooAbsPdf*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),(long)G__Lpbase-(long)G__Lderived,1,1);
     }
     {
       RooAbsReal *G__Lpbase=(RooAbsReal*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooAbsArg *G__Lpbase=(RooAbsArg*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TNamed *G__Lpbase=(TNamed*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       TObject *G__Lpbase=(TObject*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
     {
       RooPrintable *G__Lpbase=(RooPrintable*)G__Lderived;
       G__inheritance_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable),(long)G__Lpbase-(long)G__Lderived,1,0);
     }
   }
}

/*********************************************************
* typedef information setup/
*********************************************************/
extern "C" void G__cpp_setup_typetableHiggsAnalysisCombinedLimit_yr() {

   /* Setting up typedef entry */
   G__search_typename2("Int_t",105,-1,0,-1);
   G__setnewtype(-1,"Signed integer 4 bytes (int)",0);
   G__search_typename2("Float_t",102,-1,0,-1);
   G__setnewtype(-1,"Float 4 bytes (float)",0);
   G__search_typename2("Double_t",100,-1,0,-1);
   G__setnewtype(-1,"Double 8 bytes",0);
   G__search_typename2("Bool_t",103,-1,0,-1);
   G__setnewtype(-1,"Boolean (0=false, 1=true) (bool)",0);
   G__search_typename2("Version_t",115,-1,0,-1);
   G__setnewtype(-1,"Class version identifier (short)",0);
   G__search_typename2("vector<ROOT::TSchemaHelper>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<TVirtualArray*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("iterator<std::bidirectional_iterator_tag,TObject*,std::ptrdiff_t,const TObject**,const TObject*&>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("iterator<bidirectional_iterator_tag,TObject*,std::ptrdiff_t,const TObject**,const TObject*&>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("iterator<bidirectional_iterator_tag,TObject*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("iterator<bidirectional_iterator_tag,TObject*,long>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("iterator<bidirectional_iterator_tag,TObject*,long,const TObject**>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,TObjArray*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,TObjArray*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,TObjArray*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,TObjArray*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("set<std::string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_setlEstringcOlesslEstringgRcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("set<string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_setlEstringcOlesslEstringgRcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,std::string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,std::string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,string,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("set<std::pair<RooAbsArg*,RooAbsArg*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("set<pair<RooAbsArg*,RooAbsArg*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("set<pair<RooAbsArg*,RooAbsArg*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("set<pair<RooAbsArg*,RooAbsArg*>,less<pair<RooAbsArg*,RooAbsArg*> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("deque<RooAbsCache*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsCachemUcOallocatorlERooAbsCachemUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<RooAbsArg*,TRefArray*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplERooAbsArgmUcOTRefArraymUcOlesslERooAbsArgmUgRcOallocatorlEpairlERooAbsArgmUsPconstcOTRefArraymUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<RooAbsArg*,TRefArray*,less<RooAbsArg*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplERooAbsArgmUcOTRefArraymUcOlesslERooAbsArgmUgRcOallocatorlEpairlERooAbsArgmUsPconstcOTRefArraymUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("deque<RooAbsArg*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("stack<RooAbsArg*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_stacklERooAbsArgmUcOdequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,TH1*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,TH1*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,TH1*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,TH1*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,RooDataHist*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooDataHist*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooDataHist*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooDataHist*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,RooDataSet*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooDataSet*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooDataSet*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooDataSet*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,RooAbsData*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooAbsData*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooAbsData*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooAbsData*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,std::string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOstringcOlesslEintgRcOallocatorlEpairlEconstsPintcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOstringcOlesslEintgRcOallocatorlEpairlEconstsPintcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,string,less<int> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOstringcOlesslEintgRcOallocatorlEpairlEconstsPintcOstringgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<StreamConfig>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooMsgService::StreamConfig>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("deque<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_dequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("stack<std::vector<StreamConfig> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_stacklEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOdequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("stack<vector<StreamConfig> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_stacklEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOdequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("stack<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_stacklEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOdequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,std::ostream*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,std::ostream*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,basic_ostream<char,char_traits<char> >*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,basic_ostream<char,char_traits<char> >*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TVectorT<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TVectorT<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixT<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooCurve*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooCurvemUcOallocatorlERooCurvemUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooCurvemUcOallocatorlERooCurvemUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooCurvemUcOallocatorlERooCurvemUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooCurvemUcOallocatorlERooCurvemUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooCurvemUcOallocatorlERooCurvemUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("list<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_listlEdoublecOallocatorlEdoublegRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("list<EvalError>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_listlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("list<RooAbsReal::EvalError>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_listlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("pair<std::string,std::list<EvalError> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("pair<string,std::list<EvalError> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,std::pair<std::string,std::list<EvalError> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,std::pair<string,std::list<EvalError> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,pair<string,list<RooAbsReal::EvalError,allocator<RooAbsReal::EvalError> > > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,pair<string,list<RooAbsReal::EvalError,allocator<RooAbsReal::EvalError> > >,less<const RooAbsArg*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("list<std::string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_listlEstringcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("list<string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_listlEstringcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,RooSharedProperties*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooSharedProperties*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooSharedProperties*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooSharedProperties*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooArgSet>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetcOallocatorlERooArgSetgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetcOallocatorlERooArgSetgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Pair>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<pair<const RooArgSet*,const RooArgSet*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<Pair,ULong_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlongcOlesslEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRcOallocatorlEpairlEconstsPpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlonggRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<pair<const RooArgSet*,const RooArgSet*>,unsigned long>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlongcOlesslEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRcOallocatorlEpairlEconstsPpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlonggRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<pair<const RooArgSet*,const RooArgSet*>,unsigned long,less<pair<const RooArgSet*,const RooArgSet*> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlongcOlesslEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRcOallocatorlEpairlEconstsPpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlonggRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooNormSetCache>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooAbsCacheElement*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Int_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEintcOallocatorlEintgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEintcOallocatorlEintgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<int>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<std::vector<Int_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<vector<Int_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<vector<int,allocator<int> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<pRooArgSet>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooArgSet*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTBase<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTBase<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("T",100,-1,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<T>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("AT",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Morph>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<FastVerticalInterpHistPdfBase::Morph>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooAbsReal*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Block>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<FastVerticalInterpHistPdfV::Block>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("Morph",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<const RooAbsReal*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Bool_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEboolcOallocatorlEboolgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<TClass*,int>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplETClassmUcOintcOlesslETClassmUgRcOallocatorlEpairlETClassmUsPconstcOintgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<TClass*,int,less<TClass*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplETClassmUcOintcOlesslETClassmUgRcOallocatorlEpairlETClassmUsPconstcOintgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,int>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOintcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOintgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,int>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOintcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOintgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSym<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSymlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTRow_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTColumn_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTDiag_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTFlat_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSub_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseRow_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseDiag_const<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTRow<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTColumn<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTDiag<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTFlat<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSub<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseRow<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseDiag<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TElementActionT<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TElementPosActionT<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("pair<Double_t,Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEdoublecOdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,std::pair<Double_t,Double_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEdoublecOdoublegRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEdoublecOdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,pair<double,double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEdoublecOdoublegRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEdoublecOdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<const RooAbsArg*,pair<double,double>,less<const RooAbsArg*> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEdoublecOdoublegRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEdoublecOdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("RooCacheManager<std::vector<Double_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCacheManagerlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("RooCacheManager<vector<Double_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCacheManagerlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<vector<double,allocator<double> >*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<RooAbsLValue*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<const RooAbsBinning*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<std::vector<Double_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<vector<Double_t> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<vector<double,allocator<double> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("list<RooDataSet*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_listlERooDataSetmUcOallocatorlERooDataSetmUgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparse<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparselEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<Int_t,Bool_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOboolcOlesslEintgRcOallocatorlEpairlEconstsPintcOboolgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,bool>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOboolcOlesslEintgRcOallocatorlEpairlEconstsPintcOboolgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,bool,less<int> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOboolcOlesslEintgRcOallocatorlEpairlEconstsPintcOboolgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<TVectorD>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<TVectorT<double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<std::string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEstringcOallocatorlEstringgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEstringcOallocatorlEstringgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<string>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("pair<std::string,int>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOintgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("pair<string,int>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOintgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::pair<std::string,int>,BoxInfo*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<pair<string,int>,BoxInfo*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<pair<string,int>,RooNDKeysPdf::BoxInfo*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<pair<string,int>,RooNDKeysPdf::BoxInfo*,less<pair<string,int> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<Int_t,Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOdoublecOlesslEintgRcOallocatorlEpairlEconstsPintcOdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,double>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOdoublecOlesslEintgRcOallocatorlEpairlEconstsPintcOdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,double,less<int> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOdoublecOlesslEintgRcOallocatorlEpairlEconstsPintcOdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<std::string,RooAbsPdf*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooAbsPdf*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooAbsPdf*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<string,RooAbsPdf*,less<string> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("auto_ptr<MinimizerContext>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEcmsmathcLcLMinimizerContextgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Worker>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<cmsmath::SequentialMinimizer::Worker>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<std::pair<double,double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<pair<double,double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<pair<double,double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixT<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTRow_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTColumn_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTDiag_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTFlat_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSub_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseRow_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseDiag_const<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTRow<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTColumn<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTDiag<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTFlat<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSub<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseRow<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TMatrixTSparseDiag<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TElementActionT<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("TElementPosActionT<Float_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEfloatgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,std::vector<double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,vector<double,allocator<double> > >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,vector<double,allocator<double> >,less<int> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,std::pair<double,double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,pair<double,double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<int,pair<double,double>,less<int> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<Channel>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<const_iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("reverse_iterator<iterator>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgRcLcLiteratorgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<rVrFLikelihood::Channel>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("vector<vector<double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("complex<Double_t>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("DoubleComplex_t",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<double,FastVerticalInterpHistPdf2*>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("map<double,FastVerticalInterpHistPdf2*,less<double> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR),0,-1);
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MassMap",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MassMapIter",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgRcLcLiterator),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,1+1,1+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,1+1,1+1,ROOT::Math::MatRepStd<double,1+1,1+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,2*(2+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,2,2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,1+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,2+1,2+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,3>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,2+1,2+1,ROOT::Math::MatRepStd<double,2+1,2+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,3*(3+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,3>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,3,3>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,2+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,3+1,3+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,4>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,3+1,3+1,ROOT::Math::MatRepStd<double,3+1,3+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,4*(4+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO10gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,4>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,4,4>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,3+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,4+1,4+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,5>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,4+1,4+1,ROOT::Math::MatRepStd<double,4+1,4+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,5*(5+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO15gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,5>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,5,5>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,4+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,5+1,5+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,6>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,5+1,5+1,ROOT::Math::MatRepStd<double,5+1,5+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,6*(6+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO21gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,6>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,6,6>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,5+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,6+1,6+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,7>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,6+1,6+1,ROOT::Math::MatRepStd<double,6+1,6+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,7*(7+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO28gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,7>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,7,7>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,6+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,7+1,7+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::MatRepStd<double,8>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,7+1,7+1,ROOT::Math::MatRepStd<double,7+1,7+1> >",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("SVector<double,8*(8+1)/2>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO36gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,8>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SMatrix<double,8,8>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("MType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("ROOT::Math::SVector<double,7+1>",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath));
   G__setnewtype(-1,NULL,0);
   G__search_typename2("VType",117,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR),0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   G__setnewtype(-1,NULL,0);
}

/*********************************************************
* Data Member information setup/
*********************************************************/

   /* Setting up class,struct,union tag member variable */

   /* TestProposal */
static void G__setup_memvarTestProposal(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal));
   { TestProposal *p; p=(TestProposal*)0x1000; if (p) { }
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"divisor_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"poiDivisor_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList),-1,-1,4,"alwaysStepMe_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar),-1,-1,4,"discreteModelIndicator_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet),-1,-1,4,"discreteModelVars_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR),G__defined_typename("vector<RooArgSet>"),-1,4,"discreteModelPoints_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* DebugProposal */
static void G__setup_memvarDebugProposal(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal));
   { DebugProposal *p; p=(DebugProposal*)0x1000; if (p) { }
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLProposalFunction),-1,-1,4,"prop_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlERooAbsRealgR),-1,-1,4,"nll_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf),-1,-1,4,"pdf_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet),-1,-1,4,"params_=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,4,"tries_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* VerticalInterpPdf */
static void G__setup_memvarVerticalInterpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf));
   { VerticalInterpPdf *p; p=(VerticalInterpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooObjCacheManager),-1,-1,2,"_normIntMgr=",0,"The integration cache manager");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_funcList=",0,"List of component FUNCs");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of coefficients");
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"_quadraticRegion=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,2,"_quadraticAlgo=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_funcIter=",0,"! Iterator over FUNC list");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_coefIter=",0,"! Iterator over coefficient list");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* SimpleCacheSentry */
static void G__setup_memvarSimpleCacheSentry(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   { SimpleCacheSentry *p; p=(SimpleCacheSentry*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy),-1,-1,4,"_deps=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastTemplate */
static void G__setup_memvarFastTemplate(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   { FastTemplate *p; p=(FastTemplate*)0x1000; if (p) { }
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,2,"size_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,2,"values_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastHisto */
static void G__setup_memvarFastHisto(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto));
   { FastHisto *p; p=(FastHisto*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binEdges_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binWidths_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastHisto2D */
static void G__setup_memvarFastHisto2D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D));
   { FastHisto2D *p; p=(FastHisto2D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,4,"binX_=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,4,"binY_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binEdgesX_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binEdgesY_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binWidths_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastHisto3D */
static void G__setup_memvarFastHisto3D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D));
   { FastHisto3D *p; p=(FastHisto3D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,4,"binX_=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,4,"binY_=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,4,"binZ_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binEdgesX_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binEdgesY_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binEdgesZ_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("AT"),-1,4,"binWidths_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdf */
static void G__setup_memvarFastVerticalInterpHistPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf));
   { FastVerticalInterpHistPdf *p; p=(FastVerticalInterpHistPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"_cache=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"_cacheNominal=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"_cacheNominalLog=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdf2Base */
static void G__setup_memvarFastVerticalInterpHistPdf2Base(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base));
   { FastVerticalInterpHistPdf2Base *p; p=(FastVerticalInterpHistPdf2Base*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of coefficients");
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"_smoothRegion=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,2,"_smoothAlgo=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"_initBase=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),-1,-1,2,"_sentry=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR),G__defined_typename("vector<Morph>"),-1,2,"_morphs=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR),G__defined_typename("vector<const RooAbsReal*>"),-1,2,"_morphParams=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdf2 */
static void G__setup_memvarFastVerticalInterpHistPdf2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2));
   { FastVerticalInterpHistPdf2 *p; p=(FastVerticalInterpHistPdf2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"_cache=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"_cacheNominal=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"_cacheNominalLog=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdf2D2 */
static void G__setup_memvarFastVerticalInterpHistPdf2D2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2));
   { FastVerticalInterpHistPdf2D2 *p; p=(FastVerticalInterpHistPdf2D2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_y=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"_conditional=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),-1,-1,2,"_cache=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),-1,-1,2,"_cacheNominal=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),-1,-1,2,"_cacheNominalLog=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* VerticalInterpHistPdf */
static void G__setup_memvarVerticalInterpHistPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf));
   { VerticalInterpHistPdf *p; p=(VerticalInterpHistPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_funcList=",0,"List of component FUNCs");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of coefficients");
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"_smoothRegion=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,2,"_smoothAlgo=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_funcIter=",0,"! Iterator over FUNC list");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_coefIter=",0,"! Iterator over coefficient list");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),-1,-1,2,"_sentry=",0,"!not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1),-1,-1,2,"_cacheTotal=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,2,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1),-1,-1,2,"_cacheSingle=",0,"! not to be serialized");
   G__memvar_setup((void*)0,73,0,0,-1,-1,-1,2,"_cacheSingleGood=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdfBase */
static void G__setup_memvarFastVerticalInterpHistPdfBase(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase));
   { FastVerticalInterpHistPdfBase *p; p=(FastVerticalInterpHistPdfBase*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_funcList=",0,"List of component FUNCs");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of coefficients");
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"_smoothRegion=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,2,"_smoothAlgo=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_funcIter=",0,"! Iterator over FUNC list");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_coefIter=",0,"! Iterator over coefficient list");
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"_init=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),-1,-1,2,"_sentry=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR),G__defined_typename("vector<Morph>"),-1,2,"_morphs=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR),G__defined_typename("vector<RooAbsReal*>"),-1,2,"_morphParams=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdfBase::Morph */
static void G__setup_memvarFastVerticalInterpHistPdfBasecLcLMorph(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph));
   { FastVerticalInterpHistPdfBase::Morph *p; p=(FastVerticalInterpHistPdfBase::Morph*)0x1000; if (p) { }
   G__memvar_setup((void*)((long)(&p->sum)-(long)(p)),117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate),-1,-1,1,"sum=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->diff)-(long)(p)),117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate),-1,-1,1,"diff=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdf2D */
static void G__setup_memvarFastVerticalInterpHistPdf2D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D));
   { FastVerticalInterpHistPdf2D *p; p=(FastVerticalInterpHistPdf2D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_y=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"_conditional=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),-1,-1,2,"_cache=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),-1,-1,2,"_cacheNominal=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),-1,-1,2,"_cacheNominalLog=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* FastVerticalInterpHistPdf3D */
static void G__setup_memvarFastVerticalInterpHistPdf3D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D));
   { FastVerticalInterpHistPdf3D *p; p=(FastVerticalInterpHistPdf3D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_y=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_z=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"_conditional=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D),-1,-1,2,"_cache=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D),-1,-1,2,"_cacheNominal=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D),-1,-1,2,"_cacheNominalLog=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* AsymPow */
static void G__setup_memvarAsymPow(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow));
   { AsymPow *p; p=(AsymPow*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"kappaLow_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"kappaHigh_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"theta_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* CombDataSetFactory */
static void G__setup_memvarCombDataSetFactory(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory));
   { CombDataSetFactory *p; p=(CombDataSetFactory*)0x1000; if (p) { }
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet),-1,-1,4,"vars_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCategory),-1,-1,4,"cat_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar),-1,-1,4,"weight_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR),G__defined_typename("map<std::string,RooDataHist*>"),-1,4,"map_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR),G__defined_typename("map<std::string,RooDataSet*>"),-1,4,"mapUB_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* TH1Keys */
static void G__setup_memvarTH1Keys(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   { TH1Keys *p; p=(TH1Keys*)0x1000; if (p) { }
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"min_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"max_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar),-1,-1,4,"x_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar),-1,-1,4,"w_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet),-1,-1,4,"point_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDataSet),-1,-1,4,"dataset_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"underflow_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"overflow_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"globalScale_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TString),-1,-1,4,"options_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"rho_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1),-1,-1,4,"cache_=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,4,"isCacheGood_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooSimultaneousOpt */
static void G__setup_memvarRooSimultaneousOpt(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt));
   { RooSimultaneousOpt *p; p=(RooSimultaneousOpt*)0x1000; if (p) { }
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->_extraConstraints)-(long)(p)),117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,1,"_extraConstraints=",0,"List of extra constraint terms");
   G__memvar_setup((void*)((long)(&p->_channelMasks)-(long)(p)),117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,1,"_channelMasks=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooqqZZPdf */
static void G__setup_memvarRooqqZZPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf));
   { RooqqZZPdf *p; p=(RooqqZZPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"b1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"b2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"b3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"frac=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooggZZPdf */
static void G__setup_memvarRooggZZPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf));
   { RooggZZPdf *p; p=(RooggZZPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"b1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"b2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"b3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"frac=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooqqZZPdf_v2 */
static void G__setup_memvarRooqqZZPdf_v2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2));
   { RooqqZZPdf_v2 *p; p=(RooqqZZPdf_v2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a4=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a5=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a6=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a7=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a8=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a9=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a10=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a11=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a12=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a13=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooVBFZZPdf */
static void G__setup_memvarRooVBFZZPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf));
   { RooVBFZZPdf *p; p=(RooVBFZZPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a4=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a5=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a6=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a7=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a8=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a9=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a10=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a11=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a12=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a13=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a14=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a15=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a16=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooVBFZZPdf_v2 */
static void G__setup_memvarRooVBFZZPdf_v2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2));
   { RooVBFZZPdf_v2 *p; p=(RooVBFZZPdf_v2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a4=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a5=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a6=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a7=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a8=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a9=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a10=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a11=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a12=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a13=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a14=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a15=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a16=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooggZZPdf_v2 */
static void G__setup_memvarRooggZZPdf_v2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2));
   { RooggZZPdf_v2 *p; p=(RooggZZPdf_v2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a4=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a5=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a6=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a7=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a8=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a9=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBetaFunc_v2 */
static void G__setup_memvarRooBetaFunc_v2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2));
   { RooBetaFunc_v2 *p; p=(RooBetaFunc_v2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZstar=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZ=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZZ=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"Gamma=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"Gamma0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a0=",0,"mZZ distribution vars");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,"mZZ distribution vars");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a3=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"f=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"f0=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* Roo4lMasses2D_Bkg */
static void G__setup_memvarRoo4lMasses2D_Bkg(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg));
   { Roo4lMasses2D_Bkg *p; p=(Roo4lMasses2D_Bkg*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZstar=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZZ=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"channelVal=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* Roo4lMasses2D_BkgGGZZ */
static void G__setup_memvarRoo4lMasses2D_BkgGGZZ(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ));
   { Roo4lMasses2D_BkgGGZZ *p; p=(Roo4lMasses2D_BkgGGZZ*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZstar=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZZ=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"channelVal=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* Roo4lMasses2D */
static void G__setup_memvarRoo4lMasses2D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D));
   { Roo4lMasses2D *p; p=(Roo4lMasses2D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZstar=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZ=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mZZ=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"Gamma=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"CBmean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"CBwidth=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"CBalpha=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"CBn=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooFourMuMassShapePdf2 */
static void G__setup_memvarRooFourMuMassShapePdf2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2));
   { RooFourMuMassShapePdf2 *p; p=(RooFourMuMassShapePdf2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooFourEMassShapePdf2 */
static void G__setup_memvarRooFourEMassShapePdf2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2));
   { RooFourEMassShapePdf2 *p; p=(RooFourEMassShapePdf2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooTwoETwoMuMassShapePdf2 */
static void G__setup_memvarRooTwoETwoMuMassShapePdf2(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2));
   { RooTwoETwoMuMassShapePdf2 *p; p=(RooTwoETwoMuMassShapePdf2*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooFourMuMassRes */
static void G__setup_memvarRooFourMuMassRes(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes));
   { RooFourMuMassRes *p; p=(RooFourMuMassRes*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooFourEMassRes */
static void G__setup_memvarRooFourEMassRes(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes));
   { RooFourEMassRes *p; p=(RooFourEMassRes*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooTwoETwoMuMassRes */
static void G__setup_memvarRooTwoETwoMuMassRes(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes));
   { RooTwoETwoMuMassRes *p; p=(RooTwoETwoMuMassRes*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBW1 */
static void G__setup_memvarRooRelBW1(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1));
   { RooRelBW1 *p; p=(RooRelBW1*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"gamma=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBWUF */
static void G__setup_memvarRooRelBWUF(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF));
   { RooRelBWUF *p; p=(RooRelBWUF*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBWUF_SM4 */
static void G__setup_memvarRooRelBWUF_SM4(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4));
   { RooRelBWUF_SM4 *p; p=(RooRelBWUF_SM4*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBWUFParamWidth */
static void G__setup_memvarRooRelBWUFParamWidth(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth));
   { RooRelBWUFParamWidth *p; p=(RooRelBWUFParamWidth*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBWUFParam */
static void G__setup_memvarRooRelBWUFParam(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam));
   { RooRelBWUFParam *p; p=(RooRelBWUFParam*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"scaleParam=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"widthSF=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBWHighMass */
static void G__setup_memvarRooRelBWHighMass(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass));
   { RooRelBWHighMass *p; p=(RooRelBWHighMass*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m4l=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"gamma=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooTsallis */
static void G__setup_memvarRooTsallis(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis));
   { RooTsallis *p; p=(RooTsallis*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"bb=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"bb2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"T=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"fexp=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooaDoubleCBxBW */
static void G__setup_memvarRooaDoubleCBxBW(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW));
   { RooaDoubleCBxBW *p; p=(RooaDoubleCBxBW*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"shift=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"sigma=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alphaL=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alphaR=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,2,"nL=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,2,"nR=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"thetaL=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"thetaR=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"computeActualCB=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooCPSHighMassGGH */
static void G__setup_memvarRooCPSHighMassGGH(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH));
   { RooCPSHighMassGGH *p; p=(RooCPSHighMassGGH*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"KPrime=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"BRnew=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"IntStr=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"WidthScl=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,2,"is8TeV=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_width[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_delta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_alpha[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_r[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_beta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBWHighMassGGH */
static void G__setup_memvarRooBWHighMassGGH(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH));
   { RooBWHighMassGGH *p; p=(RooBWHighMassGGH*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"KPrime=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"BRnew=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"IntStr=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,2,"is8TeV=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_width[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_delta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_alpha[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_r[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_beta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooCPSHighMassGGHNoInterf */
static void G__setup_memvarRooCPSHighMassGGHNoInterf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf));
   { RooCPSHighMassGGHNoInterf *p; p=(RooCPSHighMassGGHNoInterf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"KPrime=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"BRnew=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,2,"is8TeV=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_width[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_delta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooCPSHighMassVBF */
static void G__setup_memvarRooCPSHighMassVBF(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF));
   { RooCPSHighMassVBF *p; p=(RooCPSHighMassVBF*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"KPrime=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"BRnew=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"IntStr=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"WidthScl=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,2,"is8TeV=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_width[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_delta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_alpha[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_r[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_beta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooCPSHighMassVBFNoInterf */
static void G__setup_memvarRooCPSHighMassVBFNoInterf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf));
   { RooCPSHighMassVBFNoInterf *p; p=(RooCPSHighMassVBFNoInterf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"KPrime=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"BRnew=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,2,"is8TeV=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_width[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,2,"a_delta[7][5]=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooSigPlusInt */
static void G__setup_memvarRooSigPlusInt(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt));
   { RooSigPlusInt *p; p=(RooSigPlusInt*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"delta=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"k=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"CSquared=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"BRnew=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"beta=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"r=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooErfExpPdf */
static void G__setup_memvarRooErfExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf));
   { RooErfExpPdf *p; p=(RooErfExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha */
static void G__setup_memvarRooAlpha(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha));
   { RooAlpha *p; p=(RooAlpha*)0x1000; if (p) { }
   G__memvar_setup((void*)((long)(&p->xmin)-(long)(p)),100,0,0,-1,G__defined_typename("Double_t"),-1,1,"xmin=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->xmax)-(long)(p)),100,0,0,-1,G__defined_typename("Double_t"),-1,1,"xmax=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ca=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offseta=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"widtha=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlphaExp */
static void G__setup_memvarRooAlphaExp(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp));
   { RooAlphaExp *p; p=(RooAlphaExp*)0x1000; if (p) { }
   G__memvar_setup((void*)((long)(&p->xmin)-(long)(p)),100,0,0,-1,G__defined_typename("Double_t"),-1,1,"xmin=",0,(char*)NULL);
   G__memvar_setup((void*)((long)(&p->xmax)-(long)(p)),100,0,0,-1,G__defined_typename("Double_t"),-1,1,"xmax=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ca=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBWRunPdf */
static void G__setup_memvarRooBWRunPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf));
   { RooBWRunPdf *p; p=(RooBWRunPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooErfPow2Pdf */
static void G__setup_memvarRooErfPow2Pdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf));
   { RooErfPow2Pdf *p; p=(RooErfPow2Pdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha4ErfPow2Pdf */
static void G__setup_memvarRooAlpha4ErfPow2Pdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf));
   { RooAlpha4ErfPow2Pdf *p; p=(RooAlpha4ErfPow2Pdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0a=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1a=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offseta=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"widtha=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooErfPowExpPdf */
static void G__setup_memvarRooErfPowExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf));
   { RooErfPowExpPdf *p; p=(RooErfPowExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha4ErfPowExpPdf */
static void G__setup_memvarRooAlpha4ErfPowExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf));
   { RooAlpha4ErfPowExpPdf *p; p=(RooAlpha4ErfPowExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0a=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1a=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offseta=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"widtha=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooGausExpPdf */
static void G__setup_memvarRooGausExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf));
   { RooGausExpPdf *p; p=(RooGausExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"sigma=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha4GausExpPdf */
static void G__setup_memvarRooAlpha4GausExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf));
   { RooAlpha4GausExpPdf *p; p=(RooAlpha4GausExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"sigma=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ca=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"meana=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"sigmaa=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooErfPowPdf */
static void G__setup_memvarRooErfPowPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf));
   { RooErfPowPdf *p; p=(RooErfPowPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha4ErfPowPdf */
static void G__setup_memvarRooAlpha4ErfPowPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf));
   { RooAlpha4ErfPowPdf *p; p=(RooAlpha4ErfPowPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offset=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ca=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"offseta=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"widtha=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooPow2Pdf */
static void G__setup_memvarRooPow2Pdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf));
   { RooPow2Pdf *p; p=(RooPow2Pdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p1=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooPowPdf */
static void G__setup_memvarRooPowPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf));
   { RooPowPdf *p; p=(RooPowPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p0=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooQCDPdf */
static void G__setup_memvarRooQCDPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf));
   { RooQCDPdf *p; p=(RooQCDPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p2=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooUser1Pdf */
static void G__setup_memvarRooUser1Pdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf));
   { RooUser1Pdf *p; p=(RooUser1Pdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p1=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooExpNPdf */
static void G__setup_memvarRooExpNPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf));
   { RooExpNPdf *p; p=(RooExpNPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha4ExpNPdf */
static void G__setup_memvarRooAlpha4ExpNPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf));
   { RooAlpha4ExpNPdf *p; p=(RooAlpha4ExpNPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n1=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooExpTailPdf */
static void G__setup_memvarRooExpTailPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf));
   { RooExpTailPdf *p; p=(RooExpTailPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"s=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha4ExpTailPdf */
static void G__setup_memvarRooAlpha4ExpTailPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf));
   { RooAlpha4ExpTailPdf *p; p=(RooAlpha4ExpTailPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"s0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"s1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"a1=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* Roo2ExpPdf */
static void G__setup_memvarRoo2ExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf));
   { Roo2ExpPdf *p; p=(Roo2ExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"frac=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAlpha42ExpPdf */
static void G__setup_memvarRooAlpha42ExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf));
   { RooAlpha42ExpPdf *p; p=(RooAlpha42ExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c00=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c01=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"frac0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c10=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c11=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"frac1=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooAnaExpNPdf */
static void G__setup_memvarRooAnaExpNPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf));
   { RooAnaExpNPdf *p; p=(RooAnaExpNPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooDoubleCrystalBall */
static void G__setup_memvarRooDoubleCrystalBall(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall));
   { RooDoubleCrystalBall *p; p=(RooDoubleCrystalBall*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n2=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooCB */
static void G__setup_memvarRooCB(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB));
   { RooCB *p; p=(RooCB*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"theta=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooDoubleCB */
static void G__setup_memvarRooDoubleCB(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB));
   { RooDoubleCB *p; p=(RooDoubleCB*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n2=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooFermi */
static void G__setup_memvarRooFermi(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi));
   { RooFermi *p; p=(RooFermi*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"cutOff=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"beta=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooRelBW */
static void G__setup_memvarRooRelBW(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW));
   { RooRelBW *p; p=(RooRelBW*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"n=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* Triangle */
static void G__setup_memvarTriangle(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle));
   { Triangle *p; p=(Triangle*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"start=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"turn=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"stop=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooLevelledExp */
static void G__setup_memvarRooLevelledExp(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp));
   { RooLevelledExp *p; p=(RooLevelledExp*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"sigma=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"alpha=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"m=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"theta=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooPower */
static void G__setup_memvarRooPower(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower));
   { RooPower *p; p=(RooPower*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooStepBernstein */
static void G__setup_memvarRooStepBernstein(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein));
   { RooStepBernstein *p; p=(RooStepBernstein*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"_stepThresh=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,4,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooGaussStepBernstein */
static void G__setup_memvarRooGaussStepBernstein(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein));
   { RooGaussStepBernstein *p; p=(RooGaussStepBernstein*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"_mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"_sigma=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"_stepVal=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,4,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* cmsmath::SequentialMinimizer */
static void G__setup_memvarcmsmathcLcLSequentialMinimizer(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer));
   { cmsmath::SequentialMinimizer *p; p=(cmsmath::SequentialMinimizer*)0x1000; if (p) { }
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-2,1,G__FastAllocString(4096).Format("Cleared=%lldLL",(long long)cmsmath::SequentialMinimizer::Cleared).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-2,1,G__FastAllocString(4096).Format("Ready=%lldLL",(long long)cmsmath::SequentialMinimizer::Ready).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-2,1,G__FastAllocString(4096).Format("Active=%lldLL",(long long)cmsmath::SequentialMinimizer::Active).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-2,1,G__FastAllocString(4096).Format("Done=%lldLL",(long long)cmsmath::SequentialMinimizer::Done).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-2,1,G__FastAllocString(4096).Format("Fixed=%lldLL",(long long)cmsmath::SequentialMinimizer::Fixed).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-2,1,G__FastAllocString(4096).Format("Unknown=%lldLL",(long long)cmsmath::SequentialMinimizer::Unknown).data(),0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEcmsmathcLcLMinimizerContextgR),-1,-1,2,"func_=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,2,"nDim_=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,2,"nFree_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"minValue_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"edm_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR),G__defined_typename("vector<Worker>"),-1,2,"workers_=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState),-1,-1,2,"state_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEROOTcLcLMathcLcLMinimizergR),-1,-1,2,"fullMinimizer_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR),G__defined_typename("vector<int>"),-1,2,"subspaceIndices_=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* ProcessNormalization */
static void G__setup_memvarProcessNormalization(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization));
   { ProcessNormalization *p; p=(ProcessNormalization*)0x1000; if (p) { }
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"nominalValue_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,4,"logKappa_=",0,"Logarithm of symmetric kappas");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,4,"thetaList_=",0,"List of nuisances for symmetric kappas");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR),G__defined_typename("vector<std::pair<double,double> >"),-1,4,"logAsymmKappa_=",0,"Logarithm of asymmetric kappas (low, high)");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,4,"asymmThetaList_=",0,"List of nuisances for asymmetric kappas");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,4,"otherFactorList_=",0,"Other multiplicative terms ");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooSpline1D */
static void G__setup_memvarRooSpline1D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   { RooSpline1D *p; p=(RooSpline1D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,4,"xvar_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,4,"x_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,4,"y_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_string),-1,-1,4,"type_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLInterpolator),-1,-1,4,"interp_=",0,"! not to be serialized        ");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooSplineND */
static void G__setup_memvarRooSplineND(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND));
   { RooSplineND *p; p=(RooSplineND*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,4,"vars_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,4,"w_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR),G__defined_typename("map<int,std::vector<double> >"),-1,4,"v_map=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR),G__defined_typename("map<int,std::pair<double,double> >"),-1,4,"r_map=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,4,"ndim_=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,4,"M_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"eps_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"axis_pts_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"w_mean=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"w_rms=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,4,"rescaleAxis=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooScaleLOSM */
static void G__setup_memvarRooScaleLOSM(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM));
   { RooScaleLOSM *p; p=(RooScaleLOSM*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mH_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,1,-1,-1,-2,2,"mt_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,1,-1,-1,-2,2,"mW_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR),G__defined_typename("complexD"),-1,2,"At_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR),G__defined_typename("complexD"),-1,2,"Ab_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR),G__defined_typename("complexD"),-1,2,"AW_=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"C_SM_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooScaleHGamGamLOSM */
static void G__setup_memvarRooScaleHGamGamLOSM(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM));
   { RooScaleHGamGamLOSM *p; p=(RooScaleHGamGamLOSM*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ct_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"cW_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mb_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"cb_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooScaleHGluGluLOSM */
static void G__setup_memvarRooScaleHGluGluLOSM(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM));
   { RooScaleHGluGluLOSM *p; p=(RooScaleHGluGluLOSM*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ct_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mb_=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"cb_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooScaleHGamGamLOSMPlusX */
static void G__setup_memvarRooScaleHGamGamLOSMPlusX(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX));
   { RooScaleHGamGamLOSMPlusX *p; p=(RooScaleHGamGamLOSMPlusX*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"X_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooScaleHGluGluLOSMPlusX */
static void G__setup_memvarRooScaleHGluGluLOSMPlusX(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX));
   { RooScaleHGluGluLOSMPlusX *p; p=(RooScaleHGluGluLOSMPlusX*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"X_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* rVrFLikelihood */
static void G__setup_memvarrVrFLikelihood(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood));
   { rVrFLikelihood *p; p=(rVrFLikelihood*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR),G__defined_typename("vector<Channel>"),-1,4,"channels_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooMultiPdf */
static void G__setup_memvarRooMultiPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf));
   { RooMultiPdf *p; p=(RooMultiPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdfcLcLPenatlyScheme),-1,-2,1,G__FastAllocString(4096).Format("PVAL=%lldLL",(long long)RooMultiPdf::PVAL).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdfcLcLPenatlyScheme),-1,-2,1,G__FastAllocString(4096).Format("AIC=%lldLL",(long long)RooMultiPdf::AIC).data(),0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"corr=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCategoryProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"fIndex=",0,"sigh, there should be a better way than this");
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"nPdfs=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,2,"_oldIndex=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"cFactor=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooParametricHist */
static void G__setup_memvarRooParametricHist(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist));
   { RooParametricHist *p; p=(RooParametricHist*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"pars=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"N_bins=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,2,"bins=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,2,"widths=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"cval=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* SimpleGaussianConstraint */
static void G__setup_memvarSimpleGaussianConstraint(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint));
   { SimpleGaussianConstraint *p; p=(SimpleGaussianConstraint*)0x1000; if (p) { }
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,4,"scale_=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooStats::HistFactory::RooBSplineBases */
static void G__setup_memvarRooStatscLcLHistFactorycLcLRooBSplineBases(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases));
   { RooStats::HistFactory::RooBSplineBases *p; p=(RooStats::HistFactory::RooBSplineBases*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,2,"_tValues=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"_m=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_t=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"_n=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"_nrClose=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,2,"_t_ary=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR),G__defined_typename("vector<vector<double> >"),-1,2,"_bin=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooStats::HistFactory::RooBSpline */
static void G__setup_memvarRooStatscLcLHistFactorycLcLRooBSpline(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline));
   { RooStats::HistFactory::RooBSpline *p; p=(RooStats::HistFactory::RooBSpline*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_controlPoints=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"_m=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"_n=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_weights=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_bases=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy),-1,-1,2,"_vars=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooObjCacheManager),-1,-1,2,"_cacheMgr=",0,"The cache manager");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooParamKeysPdf */
static void G__setup_memvarRooParamKeysPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf));
   { RooParamKeysPdf *p; p=(RooParamKeysPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("NoMirror=%lldLL",(long long)RooParamKeysPdf::NoMirror).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorLeft=%lldLL",(long long)RooParamKeysPdf::MirrorLeft).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorRight=%lldLL",(long long)RooParamKeysPdf::MirrorRight).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorBoth=%lldLL",(long long)RooParamKeysPdf::MirrorBoth).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorAsymLeft=%lldLL",(long long)RooParamKeysPdf::MirrorAsymLeft).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorAsymLeftRight=%lldLL",(long long)RooParamKeysPdf::MirrorAsymLeftRight).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorAsymRight=%lldLL",(long long)RooParamKeysPdf::MirrorAsymRight).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorLeftAsymRight=%lldLL",(long long)RooParamKeysPdf::MirrorLeftAsymRight).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror),-1,-2,1,G__FastAllocString(4096).Format("MirrorAsymBoth=%lldLL",(long long)RooParamKeysPdf::MirrorAsymBoth).data(),0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_deltax=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"_centralValue=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_multiplicativeShift=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,4,"_nEvents=",0,(char*)NULL);
   G__memvar_setup((void*)0,68,0,0,-1,G__defined_typename("Double_t"),-1,4,"_dataPts=",0,"[_nEvents]");
   G__memvar_setup((void*)0,68,0,0,-1,G__defined_typename("Double_t"),-1,4,"_dataWgts=",0,"[_nEvents]");
   G__memvar_setup((void*)0,68,0,0,-1,G__defined_typename("Double_t"),-1,4,"_weights=",0,"[_nEvents]");
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"_sumWgt=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"_normVal=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,G__defined_typename("Int_t"),-1,4,"_nPoints=",0,(char*)NULL);
   G__memvar_setup((void*)0,68,0,0,-1,G__defined_typename("Double_t"),-1,4,"_lookupTable=",0,"[_nPoints] ");
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,4,"_mirrorLeft=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,4,"_mirrorRight=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,4,"_asymLeft=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,4,"_asymRight=",0,(char*)NULL);
   G__memvar_setup((void*)0,99,0,0,-1,G__defined_typename("Char_t"),-1,4,"_varName[128]=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"_lo=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"_hi=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"_binWidth=",0,(char*)NULL);
   G__memvar_setup((void*)0,100,0,0,-1,G__defined_typename("Double_t"),-1,4,"_rho=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooStarMomentMorph */
static void G__setup_memvarRooStarMomentMorph(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph));
   { RooStarMomentMorph *p; p=(RooStarMomentMorph*)0x1000; if (p) { }
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting),-1,-2,1,G__FastAllocString(4096).Format("Linear=%lldLL",(long long)RooStarMomentMorph::Linear).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting),-1,-2,1,G__FastAllocString(4096).Format("NonLinear=%lldLL",(long long)RooStarMomentMorph::NonLinear).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting),-1,-2,1,G__FastAllocString(4096).Format("NonLinearPosFractions=%lldLL",(long long)RooStarMomentMorph::NonLinearPosFractions).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting),-1,-2,1,G__FastAllocString(4096).Format("NonLinearLinFractions=%lldLL",(long long)RooStarMomentMorph::NonLinearLinFractions).data(),0,(char*)NULL);
   G__memvar_setup((void*)G__PVOID,105,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting),-1,-2,1,G__FastAllocString(4096).Format("SineLinear=%lldLL",(long long)RooStarMomentMorph::SineLinear).data(),0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooObjCacheManager),-1,-1,2,"_cacheMgr=",0,"The cache manager");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet),-1,-1,2,"_curNormSet=",0,"! Current normalization set");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_parList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy),-1,-1,2,"_obsList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_pdfList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR),G__defined_typename("vector<int>"),-1,2,"_nnuis=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,2,"_nref=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_parItr=",0,"! do not persist");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_obsItr=",0,"! do not persist");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator),-1,-1,2,"_pdfItr=",0,"!");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEdoublegR),G__defined_typename("TMatrixD"),-1,2,"_M=",0,"!");
   G__memvar_setup((void*)0,105,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting),-1,-1,2,"_setting=",0,(char*)NULL);
   G__memvar_setup((void*)0,104,0,0,-1,-1,-1,2,"_nnuisvar=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,G__defined_typename("Bool_t"),-1,2,"_useHorizMorph=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* HZZ4L_RooSpinZeroPdf */
static void G__setup_memvarHZZ4L_RooSpinZeroPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf));
   { HZZ4L_RooSpinZeroPdf *p; p=(HZZ4L_RooSpinZeroPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"kd=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"kdint=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ksmd=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"fai=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of funcficients");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* HZZ4L_RooSpinZeroPdf_phase */
static void G__setup_memvarHZZ4L_RooSpinZeroPdf_phase(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase));
   { HZZ4L_RooSpinZeroPdf_phase *p; p=(HZZ4L_RooSpinZeroPdf_phase*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"kd=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"kdint=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ksmd=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"fai=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"phi=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of funcficients");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* HZZ4L_RooSpinZeroPdf_2D */
static void G__setup_memvarHZZ4L_RooSpinZeroPdf_2D(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D));
   { HZZ4L_RooSpinZeroPdf_2D *p; p=(HZZ4L_RooSpinZeroPdf_2D*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"kd=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"kdint=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"ksmd=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"fai1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"fai2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"phi1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"phi2=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,"List of funcficients");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooChebyshevPDF */
static void G__setup_memvarRooChebyshevPDF(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF));
   { RooChebyshevPDF *p; p=(RooChebyshevPDF*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"coefs=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooErfPdf */
static void G__setup_memvarRooErfPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf));
   { RooErfPdf *p; p=(RooErfPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"turnOn=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"width=",0,(char*)NULL);
   G__memvar_setup((void*)0,105,0,0,-1,-1,-1,2,"onOff=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooPowerExpPdf */
static void G__setup_memvarRooPowerExpPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf));
   { RooPowerExpPdf *p; p=(RooPowerExpPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"c=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"power=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooTH1DPdf */
static void G__setup_memvarRooTH1DPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf));
   { RooTH1DPdf *p; p=(RooTH1DPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1D),-1,-1,2,"hist=",0,(char*)NULL);
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"interpolate=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooPowerFunction */
static void G__setup_memvarRooPowerFunction(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction));
   { RooPowerFunction *p; p=(RooPowerFunction*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"r=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooPowerLaw */
static void G__setup_memvarRooPowerLaw(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw));
   { RooPowerLaw *p; p=(RooPowerLaw*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"power=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooExpPoly */
static void G__setup_memvarRooExpPoly(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly));
   { RooExpPoly *p; p=(RooExpPoly*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"coefs=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooMorphingPdf */
static void G__setup_memvarRooMorphingPdf(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   { RooMorphingPdf *p; p=(RooMorphingPdf*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdfcLcLMorphCache),-1,-1,2,"mc_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x_=",0,"The x-axis variable");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"mh_=",0,"The mass variable");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"pdfs_=",0,"pdfs");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR),G__defined_typename("vector<double>"),-1,2,"masses_=",0,"mass points");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),-1,-1,2,"sentry_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"can_morph_=",0,"Allowed to do horizontal morphing");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TArrayI),-1,-1,2,"rebin_=",0,"Rebinning scheme");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TAxis),-1,-1,2,"target_axis_=",0,"Target axis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TAxis),-1,-1,2,"morph_axis_=",0,"Morphing axis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR),G__defined_typename("MassMap"),-1,2,"hmap_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"init_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),-1,-1,2,"cache_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,103,0,0,-1,-1,-1,2,"single_point_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),-1,-1,2,"p1_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,1,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),-1,-1,2,"p2_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"mh_lo_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,100,0,0,-1,-1,-1,2,"mh_hi_=",0,"! not to be serialized");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* GaussExp */
static void G__setup_memvarGaussExp(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp));
   { GaussExp *p; p=(GaussExp*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p0=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p1=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"p2=",0,(char*)NULL);
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<1> */
static void G__setup_memvarRooBernsteinFastlE1gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   { RooBernsteinFast<1> *p; p=(RooBernsteinFast<1>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<2> */
static void G__setup_memvarRooBernsteinFastlE2gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   { RooBernsteinFast<2> *p; p=(RooBernsteinFast<2>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<3> */
static void G__setup_memvarRooBernsteinFastlE3gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   { RooBernsteinFast<3> *p; p=(RooBernsteinFast<3>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<4> */
static void G__setup_memvarRooBernsteinFastlE4gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   { RooBernsteinFast<4> *p; p=(RooBernsteinFast<4>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<5> */
static void G__setup_memvarRooBernsteinFastlE5gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   { RooBernsteinFast<5> *p; p=(RooBernsteinFast<5>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<6> */
static void G__setup_memvarRooBernsteinFastlE6gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   { RooBernsteinFast<6> *p; p=(RooBernsteinFast<6>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}


   /* RooBernsteinFast<7> */
static void G__setup_memvarRooBernsteinFastlE7gR(void) {
   G__tag_memvar_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   { RooBernsteinFast<7> *p; p=(RooBernsteinFast<7>*)0x1000; if (p) { }
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy),-1,-1,2,"_x=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy),-1,-1,2,"_coefList=",0,(char*)NULL);
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR),G__defined_typename("MType"),-1,2,"_cmatrix=",0,"conversion matrix between bernstein and power bases");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR),G__defined_typename("VType"),-1,2,"_rvector=",0,"vector of integration coefficients");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR),G__defined_typename("VType"),-1,2,"_bernvector=",0,"coefficients in bernstein basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR),G__defined_typename("VType"),-1,2,"_powvector=",0,"coefficients in power basis");
   G__memvar_setup((void*)0,117,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR),G__defined_typename("VType"),-1,2,"_xvector=",0,"vector of powers of x variable");
   G__memvar_setup((void*)0,85,0,0,G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass),G__defined_typename("atomic_TClass_ptr"),-2,4,"fgIsA=",0,(char*)NULL);
   }
   G__tag_memvar_reset();
}

extern "C" void G__cpp_setup_memvarHiggsAnalysisCombinedLimit_yr() {
}
/***********************************************************
************************************************************
************************************************************
************************************************************
************************************************************
************************************************************
************************************************************
***********************************************************/

/*********************************************************
* Member function information setup for each class
*********************************************************/
static void G__setup_memfuncTestProposal(void) {
   /* TestProposal */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal));
   G__memfunc_setup("TestProposal",1264,G__HiggsAnalysisCombinedLimit_yr_809_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("TestProposal",1264,G__HiggsAnalysisCombinedLimit_yr_809_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal), -1, 0, 2, 1, 1, 0, 
"d - - 0 - divisor U 'RooRealVar' - 10 '0' alwaysStepMe", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("TestProposal",1264,G__HiggsAnalysisCombinedLimit_yr_809_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal), -1, 0, 2, 1, 1, 0, 
"d - - 0 - divisor u 'RooArgList' - 11 - alwaysStepMe", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setDiscreteModels",1763,G__HiggsAnalysisCombinedLimit_yr_809_0_4, 121, -1, -1, 0, 3, 1, 1, 0, 
"U 'RooRealVar' - 0 - indicatorVar u 'RooArgSet' - 0 - vars "
"u 'vector<RooArgSet,allocator<RooArgSet> >' 'vector<RooArgSet>' 11 - points", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Propose",744,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 1 - xPrime u 'RooArgSet' - 1 - x", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("IsSymmetric",1145,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 1 - x1 u 'RooArgSet' - 1 - x2", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("GetProposalDensity",1872,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 1 - x1 u 'RooArgSet' - 1 - x2", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_809_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&TestProposal::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_809_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&TestProposal::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_809_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&TestProposal::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_809_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&TestProposal::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_809_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_809_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&TestProposal::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_809_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&TestProposal::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_809_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&TestProposal::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_809_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&TestProposal::DeclFileLine) ), 0);
   // automatic copy constructor
   G__memfunc_setup("TestProposal", 1264, G__HiggsAnalysisCombinedLimit_yr_809_0_20, (int) ('i'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal), -1, 0, 1, 1, 1, 0, "u 'TestProposal' - 11 - -", (char*) NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~TestProposal", 1390, G__HiggsAnalysisCombinedLimit_yr_809_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   // automatic assignment operator
   G__memfunc_setup("operator=", 937, G__HiggsAnalysisCombinedLimit_yr_809_0_22, (int) ('u'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal), -1, 1, 1, 1, 1, 0, "u 'TestProposal' - 11 - -", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncDebugProposal(void) {
   /* DebugProposal */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal));
   G__memfunc_setup("DebugProposal",1335,G__HiggsAnalysisCombinedLimit_yr_858_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DebugProposal",1335,G__HiggsAnalysisCombinedLimit_yr_858_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal), -1, 0, 4, 1, 1, 0, 
"U 'RooStats::ProposalFunction' - 0 - p U 'RooAbsPdf' - 0 - pdf "
"U 'RooAbsData' - 0 - data i - - 0 - tries", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Propose",744,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 1 - xPrime u 'RooArgSet' - 1 - x", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("IsSymmetric",1145,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 1 - x1 u 'RooArgSet' - 1 - x2", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("GetProposalDensity",1872,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 1 - x1 u 'RooArgSet' - 1 - x2", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_858_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&DebugProposal::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_858_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&DebugProposal::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_858_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&DebugProposal::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_858_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&DebugProposal::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_858_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_858_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&DebugProposal::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_858_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&DebugProposal::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_858_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&DebugProposal::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_858_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&DebugProposal::DeclFileLine) ), 0);
   G__memfunc_setup("tracePdf",809,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 4, 0, "U 'RooAbsReal' - 0 - pdf", (char*)NULL, (void*) NULL, 0);
   // automatic copy constructor
   G__memfunc_setup("DebugProposal", 1335, G__HiggsAnalysisCombinedLimit_yr_858_0_19, (int) ('i'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal), -1, 0, 1, 1, 1, 0, "u 'DebugProposal' - 11 - -", (char*) NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~DebugProposal", 1461, G__HiggsAnalysisCombinedLimit_yr_858_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   // automatic assignment operator
   G__memfunc_setup("operator=", 937, G__HiggsAnalysisCombinedLimit_yr_858_0_21, (int) ('u'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal), -1, 1, 1, 1, 1, 0, "u 'DebugProposal' - 11 - -", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncVerticalInterpPdf(void) {
   /* VerticalInterpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf));
   G__memfunc_setup("VerticalInterpPdf",1734,G__HiggsAnalysisCombinedLimit_yr_872_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("VerticalInterpPdf",1734,G__HiggsAnalysisCombinedLimit_yr_872_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooArgList' - 11 - funcList u 'RooArgList' - 11 - coefList "
"d - 'Double_t' 0 '0.' quadraticRegion i - 'Int_t' 0 '0' quadraticAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("VerticalInterpPdf",1734,G__HiggsAnalysisCombinedLimit_yr_872_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf), -1, 0, 2, 1, 1, 0, 
"u 'VerticalInterpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("checkObservables",1654,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 1, 1, 1, 8, "U 'RooArgSet' - 10 - nset", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("forceAnalyticalInt",1852,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 1, 1, 1, 8, "u 'RooAbsArg' - 11 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegralWN",2333,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 4, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - numVars "
"U 'RooArgSet' - 10 - normSet C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegralWN",2045,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 3, 1, 1, 8, 
"i - 'Int_t' 0 - code U 'RooArgSet' - 10 - normSet "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("funcList",840,G__HiggsAnalysisCombinedLimit_yr_872_0_10, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_872_0_11, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("interpolate",1191,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 4, 1, 2, 8, 
"d - 'Double_t' 0 - coeff d - 'Double_t' 0 - central "
"U 'RooAbsReal' - 0 - fUp U 'RooAbsReal' - 0 - fDown", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_872_0_13, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&VerticalInterpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_872_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&VerticalInterpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_872_0_15, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&VerticalInterpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_872_0_16, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&VerticalInterpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_872_0_20, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_872_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&VerticalInterpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_872_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&VerticalInterpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_872_0_23, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&VerticalInterpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_872_0_24, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&VerticalInterpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~VerticalInterpPdf", 1860, G__HiggsAnalysisCombinedLimit_yr_872_0_25, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncSimpleCacheSentry(void) {
   /* SimpleCacheSentry */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry));
   G__memfunc_setup("SimpleCacheSentry",1731,G__HiggsAnalysisCombinedLimit_yr_891_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleCacheSentry",1731,G__HiggsAnalysisCombinedLimit_yr_891_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry), -1, 0, 1, 1, 1, 0, "u 'RooRealVar' - 11 - var", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleCacheSentry",1731,G__HiggsAnalysisCombinedLimit_yr_891_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry), -1, 0, 1, 1, 1, 0, "u 'RooAbsCollection' - 11 - vars", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleCacheSentry",1731,G__HiggsAnalysisCombinedLimit_yr_891_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry), -1, 0, 2, 1, 1, 0, 
"u 'RooAbsArg' - 11 - func U 'RooArgSet' - 10 '0' obs", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleCacheSentry",1731,G__HiggsAnalysisCombinedLimit_yr_891_0_5, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry), -1, 0, 2, 1, 1, 0, 
"u 'SimpleCacheSentry' - 11 - other C - - 10 '0' newname", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("deps",428,G__HiggsAnalysisCombinedLimit_yr_891_0_6, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy), -1, 1, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("deps",428,G__HiggsAnalysisCombinedLimit_yr_891_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addVar",594,G__HiggsAnalysisCombinedLimit_yr_891_0_8, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooRealVar' - 11 - var", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addVars",709,G__HiggsAnalysisCombinedLimit_yr_891_0_9, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooAbsCollection' - 11 - vars", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addFunc",693,G__HiggsAnalysisCombinedLimit_yr_891_0_10, 121, -1, -1, 0, 2, 1, 1, 0, 
"u 'RooAbsArg' - 11 - func U 'RooArgSet' - 10 '0' obs", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("good",425,G__HiggsAnalysisCombinedLimit_yr_891_0_11, 103, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("empty",559,G__HiggsAnalysisCombinedLimit_yr_891_0_12, 103, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("reset",547,G__HiggsAnalysisCombinedLimit_yr_891_0_13, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("createFundamental",1763,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg), -1, 0, 1, 1, 1, 8, "C - - 10 '0' newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("readFromStream",1436,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 3, 1, 1, 0, 
"u 'basic_istream<char,char_traits<char> >' 'istream' 1 - is g - 'Bool_t' 0 - compact "
"g - 'Bool_t' 0 'kFALSE' verbose", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("writeToStream",1370,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 8, 
"u 'basic_ostream<char,char_traits<char> >' 'ostream' 1 - os g - 'Bool_t' 0 - compact", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("operator==",998,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 1, 1, 1, 0, "u 'RooAbsArg' - 11 - other", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("syncCache",913,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "U 'RooArgSet' - 10 '0' nset", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("copyCache",911,(G__InterfaceMethod) NULL,121, -1, -1, 0, 3, 1, 1, 0, 
"U 'RooAbsArg' - 10 - source g - 'Bool_t' 0 'kFALSE' valueOnly "
"g - 'Bool_t' 0 'kTRUE' setValDirty", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("attachToTree",1224,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"u 'TTree' - 1 - t i - 'Int_t' 0 '32000' bufSize", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("attachToVStore",1435,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'RooVectorDataStore' - 1 - vstore", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("setTreeBranchStatus",1966,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"u 'TTree' - 1 - t g - 'Bool_t' 0 - active", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("fillTreeBranch",1413,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TTree' - 1 - t", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("isIdentical",1129,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 2, 1, 1, 0, 
"u 'RooAbsArg' - 11 - other g - 'Bool_t' 0 'kFALSE' assumeSameType", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_891_0_26, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&SimpleCacheSentry::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_891_0_27, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&SimpleCacheSentry::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_891_0_28, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&SimpleCacheSentry::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_891_0_29, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&SimpleCacheSentry::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_891_0_33, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_891_0_34, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&SimpleCacheSentry::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_891_0_35, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&SimpleCacheSentry::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_891_0_36, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&SimpleCacheSentry::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_891_0_37, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&SimpleCacheSentry::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~SimpleCacheSentry", 1857, G__HiggsAnalysisCombinedLimit_yr_891_0_38, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastTemplate(void) {
   /* FastTemplate */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate));
   G__memfunc_setup("FastTemplate",1226,G__HiggsAnalysisCombinedLimit_yr_907_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastTemplate",1226,G__HiggsAnalysisCombinedLimit_yr_907_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 1, 1, 1, 0, "h - - 0 - size", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastTemplate",1226,G__HiggsAnalysisCombinedLimit_yr_907_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 1, 1, 1, 0, "u 'FastTemplate' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastTemplate",1226,G__HiggsAnalysisCombinedLimit_yr_907_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 1, 1, 1, 0, "u 'TH1' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastTemplate",1226,G__HiggsAnalysisCombinedLimit_yr_907_0_5, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 1, 1, 1, 0, "u 'TH2' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastTemplate",1226,G__HiggsAnalysisCombinedLimit_yr_907_0_6, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 1, 1, 1, 0, "u 'TH3' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator=",937,G__HiggsAnalysisCombinedLimit_yr_907_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 1, 1, 1, 1, 0, "u 'FastTemplate' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator=",937,G__HiggsAnalysisCombinedLimit_yr_907_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 1, 1, 1, 1, 0, "u 'TH1' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Resize",626,G__HiggsAnalysisCombinedLimit_yr_907_0_9, 121, -1, -1, 0, 1, 1, 1, 0, "h - - 0 - newsize", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Integral",822,G__HiggsAnalysisCombinedLimit_yr_907_0_10, 100, -1, G__defined_typename("FastTemplate::T"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Scale",488,G__HiggsAnalysisCombinedLimit_yr_907_0_11, 121, -1, -1, 0, 1, 1, 1, 0, "d - 'FastTemplate::T' 0 - factor", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Clear",487,G__HiggsAnalysisCombinedLimit_yr_907_0_12, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("CopyValues",1035,G__HiggsAnalysisCombinedLimit_yr_907_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'FastTemplate' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("CopyValues",1035,G__HiggsAnalysisCombinedLimit_yr_907_0_14, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TH1' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("CopyValues",1035,G__HiggsAnalysisCombinedLimit_yr_907_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TH2' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("CopyValues",1035,G__HiggsAnalysisCombinedLimit_yr_907_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TH3' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator[]",1060,G__HiggsAnalysisCombinedLimit_yr_907_0_17, 100, -1, G__defined_typename("FastTemplate::T"), 1, 1, 1, 1, 0, "h - - 0 - i", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator[]",1060,G__HiggsAnalysisCombinedLimit_yr_907_0_18, 100, -1, G__defined_typename("FastTemplate::T"), 1, 1, 1, 1, 9, "h - - 0 - i", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("fullsize",878,G__HiggsAnalysisCombinedLimit_yr_907_0_19, 104, -1, -1, 0, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("size",443,G__HiggsAnalysisCombinedLimit_yr_907_0_20, 104, -1, -1, 0, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Log",290,G__HiggsAnalysisCombinedLimit_yr_907_0_21, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Exp",301,G__HiggsAnalysisCombinedLimit_yr_907_0_22, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Subtract",840,G__HiggsAnalysisCombinedLimit_yr_907_0_23, 121, -1, -1, 0, 1, 1, 1, 0, "u 'FastTemplate' - 11 - reference", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("LogRatio",801,G__HiggsAnalysisCombinedLimit_yr_907_0_24, 121, -1, -1, 0, 1, 1, 1, 0, "u 'FastTemplate' - 11 - reference", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SumDiff",686,G__HiggsAnalysisCombinedLimit_yr_907_0_25, 121, -1, -1, 0, 4, 3, 1, 0, 
"u 'FastTemplate' - 11 - h1 u 'FastTemplate' - 11 - h2 "
"u 'FastTemplate' - 1 - sum u 'FastTemplate' - 1 - diff", (char*)NULL, (void*) G__func2void( (void (*)(const FastTemplate&, const FastTemplate&, FastTemplate&, FastTemplate&))(&FastTemplate::SumDiff) ), 0);
   G__memfunc_setup("Meld",386,G__HiggsAnalysisCombinedLimit_yr_907_0_26, 121, -1, -1, 0, 4, 1, 1, 0, 
"u 'FastTemplate' - 11 - diff u 'FastTemplate' - 11 - sum "
"d - 'FastTemplate::T' 0 - x d - 'FastTemplate::T' 0 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("CropUnderflows",1469,G__HiggsAnalysisCombinedLimit_yr_907_0_27, 121, -1, -1, 0, 2, 1, 1, 0, 
"d - 'FastTemplate::T' 0 '1e-9' minimum g - - 0 'true' activebinsonly", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SetActiveSize",1315,G__HiggsAnalysisCombinedLimit_yr_907_0_28, 121, -1, -1, 0, 1, 1, 1, 0, "h - - 0 - size", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Dump",406,G__HiggsAnalysisCombinedLimit_yr_907_0_29, 121, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~FastTemplate", 1352, G__HiggsAnalysisCombinedLimit_yr_907_0_30, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastHisto(void) {
   /* FastHisto */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto));
   G__memfunc_setup("FastHisto",917,G__HiggsAnalysisCombinedLimit_yr_908_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastHisto",917,G__HiggsAnalysisCombinedLimit_yr_908_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto), -1, 0, 1, 1, 1, 0, "u 'TH1' - 11 - hist", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastHisto",917,G__HiggsAnalysisCombinedLimit_yr_908_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto), -1, 0, 1, 1, 1, 0, "u 'FastHisto' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator=",937,G__HiggsAnalysisCombinedLimit_yr_908_0_4, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto), -1, 1, 1, 1, 1, 0, "u 'FastHisto' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator=",937,G__HiggsAnalysisCombinedLimit_yr_908_0_5, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto), -1, 1, 1, 1, 1, 0, "u 'TH1' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("swap",443,G__HiggsAnalysisCombinedLimit_yr_908_0_6, 121, -1, -1, 0, 1, 1, 1, 0, "u 'FastHisto' - 1 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GetAt",469,G__HiggsAnalysisCombinedLimit_yr_908_0_7, 100, -1, G__defined_typename("FastTemplate::T"), 0, 1, 1, 1, 8, "d - 'FastTemplate::T' 11 - x", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FindBin",666,G__HiggsAnalysisCombinedLimit_yr_908_0_8, 105, -1, -1, 0, 1, 1, 1, 8, "d - 'FastTemplate::T' 11 - x", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GetBinContent",1300,G__HiggsAnalysisCombinedLimit_yr_908_0_9, 100, -1, G__defined_typename("FastTemplate::T"), 1, 1, 1, 1, 9, "i - - 0 - bin", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("IntegralWidth",1334,G__HiggsAnalysisCombinedLimit_yr_908_0_10, 100, -1, G__defined_typename("FastTemplate::T"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Normalize",945,G__HiggsAnalysisCombinedLimit_yr_908_0_11, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Dump",406,G__HiggsAnalysisCombinedLimit_yr_908_0_12, 121, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~FastHisto", 1043, G__HiggsAnalysisCombinedLimit_yr_908_0_13, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastHisto2D(void) {
   /* FastHisto2D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D));
   G__memfunc_setup("FastHisto2D",1035,G__HiggsAnalysisCombinedLimit_yr_909_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastHisto2D",1035,G__HiggsAnalysisCombinedLimit_yr_909_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D), -1, 0, 2, 1, 1, 0, 
"u 'TH2' - 11 - hist g - - 0 'false' normXonly", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastHisto2D",1035,G__HiggsAnalysisCombinedLimit_yr_909_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D), -1, 0, 1, 1, 1, 0, "u 'FastHisto2D' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator=",937,G__HiggsAnalysisCombinedLimit_yr_909_0_4, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D), -1, 1, 1, 1, 1, 0, "u 'FastHisto2D' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("swap",443,G__HiggsAnalysisCombinedLimit_yr_909_0_5, 121, -1, -1, 0, 1, 1, 1, 0, "u 'FastHisto2D' - 1 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GetAt",469,G__HiggsAnalysisCombinedLimit_yr_909_0_6, 100, -1, G__defined_typename("FastTemplate::T"), 0, 2, 1, 1, 8, 
"d - 'FastTemplate::T' 11 - x d - 'FastTemplate::T' 11 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("IntegralWidth",1334,G__HiggsAnalysisCombinedLimit_yr_909_0_7, 100, -1, G__defined_typename("FastTemplate::T"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("binX",401,G__HiggsAnalysisCombinedLimit_yr_909_0_8, 104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("binY",402,G__HiggsAnalysisCombinedLimit_yr_909_0_9, 104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Normalize",945,G__HiggsAnalysisCombinedLimit_yr_909_0_10, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("NormalizeXSlices",1644,G__HiggsAnalysisCombinedLimit_yr_909_0_11, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Dump",406,G__HiggsAnalysisCombinedLimit_yr_909_0_12, 121, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~FastHisto2D", 1161, G__HiggsAnalysisCombinedLimit_yr_909_0_13, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastHisto3D(void) {
   /* FastHisto3D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D));
   G__memfunc_setup("FastHisto3D",1036,G__HiggsAnalysisCombinedLimit_yr_910_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastHisto3D",1036,G__HiggsAnalysisCombinedLimit_yr_910_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D), -1, 0, 2, 1, 1, 0, 
"u 'TH3' - 11 - hist g - - 0 'false' normXonly", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastHisto3D",1036,G__HiggsAnalysisCombinedLimit_yr_910_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D), -1, 0, 1, 1, 1, 0, "u 'FastHisto3D' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("operator=",937,G__HiggsAnalysisCombinedLimit_yr_910_0_4, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D), -1, 1, 1, 1, 1, 0, "u 'FastHisto3D' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("swap",443,G__HiggsAnalysisCombinedLimit_yr_910_0_5, 121, -1, -1, 0, 1, 1, 1, 0, "u 'FastHisto3D' - 1 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GetAt",469,G__HiggsAnalysisCombinedLimit_yr_910_0_6, 100, -1, G__defined_typename("FastTemplate::T"), 0, 3, 1, 1, 8, 
"d - 'FastTemplate::T' 11 - x d - 'FastTemplate::T' 11 - y "
"d - 'FastTemplate::T' 11 - z", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("IntegralWidth",1334,G__HiggsAnalysisCombinedLimit_yr_910_0_7, 100, -1, G__defined_typename("FastTemplate::T"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("binX",401,G__HiggsAnalysisCombinedLimit_yr_910_0_8, 104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("binY",402,G__HiggsAnalysisCombinedLimit_yr_910_0_9, 104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("binZ",403,G__HiggsAnalysisCombinedLimit_yr_910_0_10, 104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Normalize",945,G__HiggsAnalysisCombinedLimit_yr_910_0_11, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("NormalizeXSlices",1644,G__HiggsAnalysisCombinedLimit_yr_910_0_12, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Dump",406,G__HiggsAnalysisCombinedLimit_yr_910_0_13, 121, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~FastHisto3D", 1162, G__HiggsAnalysisCombinedLimit_yr_910_0_14, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdf(void) {
   /* FastVerticalInterpHistPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf));
   G__memfunc_setup("FastVerticalInterpHistPdf",2540,G__HiggsAnalysisCombinedLimit_yr_911_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf",2540,G__HiggsAnalysisCombinedLimit_yr_911_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 11 - x u 'RooArgList' - 11 - funcList "
"u 'RooArgList' - 11 - coefList d - 'Double_t' 0 '1.' smoothRegion "
"i - 'Int_t' 0 '1' smoothAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf",2540,G__HiggsAnalysisCombinedLimit_yr_911_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf), -1, 0, 2, 1, 1, 0, 
"u 'FastVerticalInterpHistPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("hasCache",784,G__HiggsAnalysisCombinedLimit_yr_911_0_6, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("isCacheReady",1189,G__HiggsAnalysisCombinedLimit_yr_911_0_7, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setupCaches",1144,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponent",1392,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - which", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncNominal",1163,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponents",1507,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - dimension", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_911_0_13, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_911_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_911_0_15, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_911_0_16, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_911_0_20, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_911_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_911_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_911_0_23, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_911_0_24, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdf", 2666, G__HiggsAnalysisCombinedLimit_yr_911_0_25, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdf2Base(void) {
   /* FastVerticalInterpHistPdf2Base */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base));
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 3);
   G__memfunc_setup("selfNormalized",1471,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 3);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_912_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setActiveBins",1332,G__HiggsAnalysisCombinedLimit_yr_912_0_9, 121, -1, -1, 0, 1, 1, 1, 0, "h - - 0 - bins", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("cacheIsGood",1081,G__HiggsAnalysisCombinedLimit_yr_912_0_10, 103, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("initMorph",954,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 4, 1, 2, 8, 
"u 'FastVerticalInterpHistPdfBase::Morph' 'FastVerticalInterpHistPdf2Base::Morph' 1 - out u 'FastTemplate' - 11 - nominal "
"u 'FastTemplate' - 1 - lo u 'FastTemplate' - 1 - hi", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 3, 1, 2, 8, 
"u 'FastTemplate' - 1 - cache u 'FastTemplate' - 11 - cacheNominal "
"u 'FastTemplate' - 11 - cacheNominalLog", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("smoothStepFunc",1474,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 1, 1, 2, 8, "d - - 0 - x", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("initBase",815,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("importWorkspaceHook",2011,(G__InterfaceMethod) NULL, 103, -1, G__defined_typename("Bool_t"), 0, 1, 1, 2, 0, "u 'RooWorkspace' - 1 - ws", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_912_0_16, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdf2Base::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_912_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2Base::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_912_0_18, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdf2Base::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_912_0_19, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdf2Base::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_912_0_23, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_912_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2Base::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_912_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2Base::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_912_0_26, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2Base::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_912_0_27, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2Base::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdf2Base", 3095, G__HiggsAnalysisCombinedLimit_yr_912_0_28, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdf2(void) {
   /* FastVerticalInterpHistPdf2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2));
   G__memfunc_setup("FastVerticalInterpHistPdf2",2590,G__HiggsAnalysisCombinedLimit_yr_913_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2",2590,G__HiggsAnalysisCombinedLimit_yr_913_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 11 - x u 'TList' - 11 - funcList "
"u 'RooArgList' - 11 - coefList d - 'Double_t' 0 '1.' smoothRegion "
"i - 'Int_t' 0 '1' smoothAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2",2590,G__HiggsAnalysisCombinedLimit_yr_913_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2), -1, 0, 2, 1, 1, 0, 
"u 'FastVerticalInterpHistPdf2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2",2590,G__HiggsAnalysisCombinedLimit_yr_913_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2), -1, 0, 2, 5, 1, 0, 
"u 'FastVerticalInterpHistPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("setActiveBins",1332,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "h - - 0 - bins", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("cache",500,G__HiggsAnalysisCombinedLimit_yr_913_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("initNominal",1154,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 0, "U 'TObject' - 0 - nominal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("initComponent",1383,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 3, 1, 2, 0, 
"i - - 0 - which U 'TObject' - 0 - hi "
"U 'TObject' - 0 - lo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_913_0_12, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdf2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_913_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_913_0_14, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdf2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_913_0_15, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdf2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_913_0_19, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_913_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_913_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_913_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_913_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdf2", 2716, G__HiggsAnalysisCombinedLimit_yr_913_0_24, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdf2D2(void) {
   /* FastVerticalInterpHistPdf2D2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2));
   G__memfunc_setup("FastVerticalInterpHistPdf2D2",2708,G__HiggsAnalysisCombinedLimit_yr_914_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2D2",2708,G__HiggsAnalysisCombinedLimit_yr_914_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 11 - x u 'RooRealVar' - 11 - y "
"g - - 0 - conditional u 'TList' - 11 - funcList "
"u 'RooArgList' - 11 - coefList d - 'Double_t' 0 '1.' smoothRegion "
"i - 'Int_t' 0 '1' smoothAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2D2",2708,G__HiggsAnalysisCombinedLimit_yr_914_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2), -1, 0, 2, 1, 1, 0, 
"u 'FastVerticalInterpHistPdf2D2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2D2",2708,G__HiggsAnalysisCombinedLimit_yr_914_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2), -1, 0, 2, 5, 1, 0, 
"u 'FastVerticalInterpHistPdf2D' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("x",120,G__HiggsAnalysisCombinedLimit_yr_914_0_6, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("y",121,G__HiggsAnalysisCombinedLimit_yr_914_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("conditional",1172,G__HiggsAnalysisCombinedLimit_yr_914_0_8, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("initNominal",1154,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 0, "U 'TObject' - 0 - nominal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("initComponent",1383,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 3, 1, 2, 0, 
"i - - 0 - which U 'TObject' - 0 - hi "
"U 'TObject' - 0 - lo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_914_0_13, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdf2D2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_914_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2D2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_914_0_15, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdf2D2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_914_0_16, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdf2D2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_914_0_20, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_914_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2D2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_914_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2D2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_914_0_23, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2D2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_914_0_24, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2D2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdf2D2", 2834, G__HiggsAnalysisCombinedLimit_yr_914_0_25, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncVerticalInterpHistPdf(void) {
   /* VerticalInterpHistPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf));
   G__memfunc_setup("VerticalInterpHistPdf",2142,G__HiggsAnalysisCombinedLimit_yr_915_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("VerticalInterpHistPdf",2142,G__HiggsAnalysisCombinedLimit_yr_915_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 11 - x u 'RooArgList' - 11 - funcList "
"u 'RooArgList' - 11 - coefList d - 'Double_t' 0 '1.' smoothRegion "
"i - 'Int_t' 0 '1' smoothAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("VerticalInterpHistPdf",2142,G__HiggsAnalysisCombinedLimit_yr_915_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf), -1, 0, 2, 1, 1, 0, 
"u 'VerticalInterpHistPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("selfNormalized",1471,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("funcList",840,G__HiggsAnalysisCombinedLimit_yr_915_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_915_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("x",120,G__HiggsAnalysisCombinedLimit_yr_915_0_9, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_915_0_10, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&VerticalInterpHistPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_915_0_11, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&VerticalInterpHistPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_915_0_12, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&VerticalInterpHistPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_915_0_13, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&VerticalInterpHistPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_915_0_17, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_915_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&VerticalInterpHistPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_915_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&VerticalInterpHistPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_915_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&VerticalInterpHistPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_915_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&VerticalInterpHistPdf::DeclFileLine) ), 0);
   G__memfunc_setup("setupCaches",1144,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponent",1392,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - which", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("smoothStepFunc",1474,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 1, 1, 2, 8, "d - - 0 - x", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~VerticalInterpHistPdf", 2268, G__HiggsAnalysisCombinedLimit_yr_915_0_26, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdfBase(void) {
   /* FastVerticalInterpHistPdfBase */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase));
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 3);
   G__memfunc_setup("selfNormalized",1471,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 3);
   G__memfunc_setup("funcList",840,G__HiggsAnalysisCombinedLimit_yr_916_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_916_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncMorph",963,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 4, 1, 2, 8, 
"u 'FastVerticalInterpHistPdfBase::Morph' - 1 - out u 'FastTemplate' - 11 - nominal "
"u 'FastTemplate' - 1 - lo u 'FastTemplate' - 1 - hi", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 3, 1, 2, 8, 
"u 'FastTemplate' - 1 - cache u 'FastTemplate' - 11 - cacheNominal "
"u 'FastTemplate' - 11 - cacheNominalLog", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("smoothStepFunc",1474,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 1, 1, 2, 8, "d - - 0 - x", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_916_0_12, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdfBase::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_916_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdfBase::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_916_0_14, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdfBase::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_916_0_15, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdfBase::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_916_0_19, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_916_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdfBase::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_916_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdfBase::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_916_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdfBase::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_916_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdfBase::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdfBase", 3045, G__HiggsAnalysisCombinedLimit_yr_916_0_24, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdfBasecLcLMorph(void) {
   /* FastVerticalInterpHistPdfBase::Morph */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph));
   // automatic default constructor
   G__memfunc_setup("Morph", 518, G__HiggsAnalysisCombinedLimit_yr_917_0_1, (int) ('i'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph), -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   // automatic copy constructor
   G__memfunc_setup("Morph", 518, G__HiggsAnalysisCombinedLimit_yr_917_0_2, (int) ('i'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph), -1, 0, 1, 1, 1, 0, "u 'FastVerticalInterpHistPdfBase::Morph' - 11 - -", (char*) NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~Morph", 644, G__HiggsAnalysisCombinedLimit_yr_917_0_3, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   // automatic assignment operator
   G__memfunc_setup("operator=", 937, G__HiggsAnalysisCombinedLimit_yr_917_0_4, (int) ('u'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph), -1, 1, 1, 1, 1, 0, "u 'FastVerticalInterpHistPdfBase::Morph' - 11 - -", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdf2D(void) {
   /* FastVerticalInterpHistPdf2D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D));
   G__memfunc_setup("FastVerticalInterpHistPdf2D",2658,G__HiggsAnalysisCombinedLimit_yr_932_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2D",2658,G__HiggsAnalysisCombinedLimit_yr_932_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 11 - x u 'RooRealVar' - 11 - y "
"g - - 0 - conditional u 'RooArgList' - 11 - funcList "
"u 'RooArgList' - 11 - coefList d - 'Double_t' 0 '1.' smoothRegion "
"i - 'Int_t' 0 '1' smoothAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf2D",2658,G__HiggsAnalysisCombinedLimit_yr_932_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D), -1, 0, 2, 1, 1, 0, 
"u 'FastVerticalInterpHistPdf2D' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("x",120,G__HiggsAnalysisCombinedLimit_yr_932_0_5, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("y",121,G__HiggsAnalysisCombinedLimit_yr_932_0_6, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("conditional",1172,G__HiggsAnalysisCombinedLimit_yr_932_0_7, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("hasCache",784,G__HiggsAnalysisCombinedLimit_yr_932_0_9, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("isCacheReady",1189,G__HiggsAnalysisCombinedLimit_yr_932_0_10, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setupCaches",1144,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponent",1392,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - which", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncNominal",1163,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponents",1507,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - dimension", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_932_0_16, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdf2D::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_932_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2D::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_932_0_18, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdf2D::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_932_0_19, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdf2D::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_932_0_23, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_932_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2D::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_932_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2D::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_932_0_26, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf2D::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_932_0_27, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf2D::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdf2D", 2784, G__HiggsAnalysisCombinedLimit_yr_932_0_28, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncFastVerticalInterpHistPdf3D(void) {
   /* FastVerticalInterpHistPdf3D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D));
   G__memfunc_setup("FastVerticalInterpHistPdf3D",2659,G__HiggsAnalysisCombinedLimit_yr_939_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf3D",2659,G__HiggsAnalysisCombinedLimit_yr_939_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D), -1, 0, 10, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 11 - x u 'RooRealVar' - 11 - y "
"u 'RooRealVar' - 11 - z g - - 0 - conditional "
"u 'RooArgList' - 11 - funcList u 'RooArgList' - 11 - coefList "
"d - 'Double_t' 0 '1.' smoothRegion i - 'Int_t' 0 '1' smoothAlgo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("FastVerticalInterpHistPdf3D",2659,G__HiggsAnalysisCombinedLimit_yr_939_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D), -1, 0, 2, 1, 1, 0, 
"u 'FastVerticalInterpHistPdf3D' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("x",120,G__HiggsAnalysisCombinedLimit_yr_939_0_5, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("y",121,G__HiggsAnalysisCombinedLimit_yr_939_0_6, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("z",122,G__HiggsAnalysisCombinedLimit_yr_939_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("conditional",1172,G__HiggsAnalysisCombinedLimit_yr_939_0_8, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("hasCache",784,G__HiggsAnalysisCombinedLimit_yr_939_0_10, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("isCacheReady",1189,G__HiggsAnalysisCombinedLimit_yr_939_0_11, 103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setupCaches",1144,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncTotal",961,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponent",1392,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - which", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncNominal",1163,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("syncComponents",1507,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "i - - 0 - dimension", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_939_0_17, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&FastVerticalInterpHistPdf3D::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_939_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf3D::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_939_0_19, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&FastVerticalInterpHistPdf3D::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_939_0_20, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&FastVerticalInterpHistPdf3D::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_939_0_24, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_939_0_25, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf3D::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_939_0_26, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf3D::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_939_0_27, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&FastVerticalInterpHistPdf3D::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_939_0_28, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&FastVerticalInterpHistPdf3D::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~FastVerticalInterpHistPdf3D", 2785, G__HiggsAnalysisCombinedLimit_yr_939_0_29, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncAsymPow(void) {
   /* AsymPow */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow));
   G__memfunc_setup("AsymPow",720,G__HiggsAnalysisCombinedLimit_yr_940_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("AsymPow",720,G__HiggsAnalysisCombinedLimit_yr_940_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - kappaLow u 'RooAbsReal' - 1 - kappaHigh "
"u 'RooAbsReal' - 1 - theta", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("AsymPow",720,G__HiggsAnalysisCombinedLimit_yr_940_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow), -1, 0, 2, 1, 1, 0, 
"u 'AsymPow' - 11 - other C - - 10 '0' newname", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("logKappaForX",1198,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 4, 8, "d - 'Double_t' 0 - x", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_940_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&AsymPow::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_940_0_8, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&AsymPow::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_940_0_9, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&AsymPow::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_940_0_10, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&AsymPow::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_940_0_14, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_940_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&AsymPow::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_940_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&AsymPow::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_940_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&AsymPow::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_940_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&AsymPow::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~AsymPow", 846, G__HiggsAnalysisCombinedLimit_yr_940_0_19, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncCombDataSetFactory(void) {
   /* CombDataSetFactory */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory));
   G__memfunc_setup("CombDataSetFactory",1791,G__HiggsAnalysisCombinedLimit_yr_1027_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("CombDataSetFactory",1791,G__HiggsAnalysisCombinedLimit_yr_1027_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory), -1, 0, 2, 1, 1, 0, 
"u 'RooArgSet' - 11 - vars u 'RooCategory' - 1 - cat", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addSetBin",878,G__HiggsAnalysisCombinedLimit_yr_1027_0_3, 121, -1, -1, 0, 2, 1, 1, 0, 
"C - - 10 - label U 'RooDataHist' - 0 - set", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addSetAny",893,G__HiggsAnalysisCombinedLimit_yr_1027_0_4, 121, -1, -1, 0, 2, 1, 1, 0, 
"C - - 10 - label U 'RooDataSet' - 0 - set", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addSetAny",893,G__HiggsAnalysisCombinedLimit_yr_1027_0_5, 121, -1, -1, 0, 2, 1, 1, 0, 
"C - - 10 - label U 'RooDataHist' - 0 - set", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("done",422,G__HiggsAnalysisCombinedLimit_yr_1027_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDataHist), -1, 0, 2, 1, 1, 0, 
"C - - 10 - name C - - 10 - title", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("doneUnbinned",1241,G__HiggsAnalysisCombinedLimit_yr_1027_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDataSet), -1, 0, 2, 1, 1, 0, 
"C - - 10 - name C - - 10 - title", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1027_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&CombDataSetFactory::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1027_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&CombDataSetFactory::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1027_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&CombDataSetFactory::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1027_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&CombDataSetFactory::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1027_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1027_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&CombDataSetFactory::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1027_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&CombDataSetFactory::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1027_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&CombDataSetFactory::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1027_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&CombDataSetFactory::DeclFileLine) ), 0);
   // automatic copy constructor
   G__memfunc_setup("CombDataSetFactory", 1791, G__HiggsAnalysisCombinedLimit_yr_1027_0_20, (int) ('i'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory), -1, 0, 1, 1, 1, 0, "u 'CombDataSetFactory' - 11 - -", (char*) NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~CombDataSetFactory", 1917, G__HiggsAnalysisCombinedLimit_yr_1027_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   // automatic assignment operator
   G__memfunc_setup("operator=", 937, G__HiggsAnalysisCombinedLimit_yr_1027_0_22, (int) ('u'), G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory), -1, 1, 1, 1, 1, 0, "u 'CombDataSetFactory' - 11 - -", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncTH1Keys(void) {
   /* TH1Keys */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys));
   G__memfunc_setup("TH1Keys",617,G__HiggsAnalysisCombinedLimit_yr_1093_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("TH1Keys",617,G__HiggsAnalysisCombinedLimit_yr_1093_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"i - 'Int_t' 0 - nbinsx d - 'Double_t' 0 - xlow "
"d - 'Double_t' 0 - xup u 'TString' - 0 '\"a\"' options "
"d - 'Double_t' 0 '1.5' rho", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("TH1Keys",617,G__HiggsAnalysisCombinedLimit_yr_1093_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"i - 'Int_t' 0 - nbinsx F - 'Float_t' 10 - xbins "
"u 'TString' - 0 '\"a\"' options d - 'Double_t' 0 '1.5' rho", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("TH1Keys",617,G__HiggsAnalysisCombinedLimit_yr_1093_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"i - 'Int_t' 0 - nbinsx D - 'Double_t' 10 - xbins "
"u 'TString' - 0 '\"a\"' options d - 'Double_t' 0 '1.5' rho", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("TH1Keys",617,G__HiggsAnalysisCombinedLimit_yr_1093_0_5, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys), -1, 0, 1, 1, 1, 0, "u 'TH1Keys' - 11 - other", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GetHisto",807,G__HiggsAnalysisCombinedLimit_yr_1093_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GetHisto",807,G__HiggsAnalysisCombinedLimit_yr_1093_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1), -1, 0, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Fill",391,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 1, 1, 1, 0, "d - 'Double_t' 0 - x", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Fill",391,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 2, 1, 1, 0, 
"d - 'Double_t' 0 - x d - 'Double_t' 0 - w", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("FillN",469,(G__InterfaceMethod) NULL,121, -1, -1, 0, 4, 1, 1, 0, 
"i - 'Int_t' 0 - ntimes D - 'Double_t' 10 - x "
"D - 'Double_t' 10 - w i - 'Int_t' 0 '1' stride", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Add",265,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 2, 1, 1, 0, 
"U 'TH1' - 10 - h1 d - 'Double_t' 0 '1' c1", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Add",265,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 4, 1, 1, 0, 
"U 'TH1' - 10 - h U 'TH1' - 10 - h2 "
"d - 'Double_t' 0 '1' c1 d - 'Double_t' 0 '1' c2", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("AddBinContent",1277,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "i - 'Int_t' 0 - bin", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("AddBinContent",1277,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"i - 'Int_t' 0 - bin d - 'Double_t' 0 - w", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Copy",411,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 8, "u 'TObject' - 1 - hnew", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("DrawCopy",809,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1), -1, 0, 1, 1, 1, 8, "C - 'Option_t' 10 '\"\"' option", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("GetBinContent",1300,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "i - 'Int_t' 0 - bin", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("GetBinContent",1300,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - bin i - 'Int_t' 0 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("GetBinContent",1300,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 3, 1, 1, 8, 
"i - 'Int_t' 0 - bin i - 'Int_t' 0 - - "
"i - 'Int_t' 0 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("GetEntries",1018,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Reset",515,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "C - 'Option_t' 10 '\"\"' option", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetBinContent",1312,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"i - 'Int_t' 0 - bin d - 'Double_t' 0 - content", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetBinContent",1312,(G__InterfaceMethod) NULL,121, -1, -1, 0, 3, 1, 1, 0, 
"i - 'Int_t' 0 - bin i - 'Int_t' 0 - - "
"d - 'Double_t' 0 - content", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetBinContent",1312,(G__InterfaceMethod) NULL,121, -1, -1, 0, 4, 1, 1, 0, 
"i - 'Int_t' 0 - bin i - 'Int_t' 0 - - "
"i - 'Int_t' 0 - - d - 'Double_t' 0 - content", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetBinsLength",1306,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "i - 'Int_t' 0 '-1' n", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Scale",488,(G__InterfaceMethod) NULL,121, -1, -1, 0, 2, 1, 1, 0, 
"d - 'Double_t' 0 '1' c1 C - 'Option_t' 10 '\"\"' option", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1093_0_27, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&TH1Keys::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1093_0_28, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&TH1Keys::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1093_0_29, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&TH1Keys::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1093_0_30, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&TH1Keys::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1093_0_34, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1093_0_35, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&TH1Keys::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1093_0_36, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&TH1Keys::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1093_0_37, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&TH1Keys::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1093_0_38, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&TH1Keys::DeclFileLine) ), 0);
   G__memfunc_setup("FillH1",512,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 4, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("dont",437,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 4, 8, "C - - 10 - -", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~TH1Keys", 743, G__HiggsAnalysisCombinedLimit_yr_1093_0_41, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooSimultaneousOpt(void) {
   /* RooSimultaneousOpt */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt));
   G__memfunc_setup("RooSimultaneousOpt",1900,G__HiggsAnalysisCombinedLimit_yr_1103_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSimultaneousOpt",1900,G__HiggsAnalysisCombinedLimit_yr_1103_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt), -1, 0, 3, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsCategoryLValue' - 1 - indexCat", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSimultaneousOpt",1900,G__HiggsAnalysisCombinedLimit_yr_1103_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt), -1, 0, 2, 1, 1, 0, 
"u 'RooSimultaneous' - 11 - any C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSimultaneousOpt",1900,G__HiggsAnalysisCombinedLimit_yr_1103_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt), -1, 0, 2, 1, 1, 0, 
"u 'RooSimultaneousOpt' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,G__HiggsAnalysisCombinedLimit_yr_1103_0_5, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt), -1, 0, 1, 1, 1, 8, "C - - 10 '0' name", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("createNLL",858,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal), -1, 0, 2, 1, 1, 0, 
"u 'RooAbsData' - 1 - data u 'RooLinkedList' - 11 - cmdList", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("extraConstraints",1724,G__HiggsAnalysisCombinedLimit_yr_1103_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("channelMasks",1240,G__HiggsAnalysisCombinedLimit_yr_1103_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addExtraConstraint",1874,G__HiggsAnalysisCombinedLimit_yr_1103_0_9, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooAbsPdf' - 11 - pdf", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addExtraConstraints",1989,G__HiggsAnalysisCombinedLimit_yr_1103_0_10, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooAbsCollection' - 11 - pdfs", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addChannelMasks",1505,G__HiggsAnalysisCombinedLimit_yr_1103_0_11, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooArgList' - 11 - args", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1103_0_12, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooSimultaneousOpt::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1103_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSimultaneousOpt::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1103_0_14, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooSimultaneousOpt::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1103_0_15, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooSimultaneousOpt::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1103_0_19, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1103_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSimultaneousOpt::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1103_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSimultaneousOpt::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1103_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSimultaneousOpt::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1103_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSimultaneousOpt::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooSimultaneousOpt", 2026, G__HiggsAnalysisCombinedLimit_yr_1103_0_24, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooqqZZPdf(void) {
   /* RooqqZZPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf));
   G__memfunc_setup("RooqqZZPdf",992,G__HiggsAnalysisCombinedLimit_yr_1106_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooqqZZPdf",992,G__HiggsAnalysisCombinedLimit_yr_1106_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf), -1, 0, 10, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _a1 "
"u 'RooAbsReal' - 1 - _a2 u 'RooAbsReal' - 1 - _a3 "
"u 'RooAbsReal' - 1 - _b1 u 'RooAbsReal' - 1 - _b2 "
"u 'RooAbsReal' - 1 - _b3 u 'RooAbsReal' - 1 - _frac", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooqqZZPdf",992,G__HiggsAnalysisCombinedLimit_yr_1106_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooqqZZPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1106_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooqqZZPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1106_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooqqZZPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1106_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooqqZZPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1106_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooqqZZPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1106_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1106_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooqqZZPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1106_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooqqZZPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1106_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooqqZZPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1106_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooqqZZPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooqqZZPdf", 1118, G__HiggsAnalysisCombinedLimit_yr_1106_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooggZZPdf(void) {
   /* RooggZZPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf));
   G__memfunc_setup("RooggZZPdf",972,G__HiggsAnalysisCombinedLimit_yr_1107_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooggZZPdf",972,G__HiggsAnalysisCombinedLimit_yr_1107_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf), -1, 0, 10, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _a1 "
"u 'RooAbsReal' - 1 - _a2 u 'RooAbsReal' - 1 - _a3 "
"u 'RooAbsReal' - 1 - _b1 u 'RooAbsReal' - 1 - _b2 "
"u 'RooAbsReal' - 1 - _b3 u 'RooAbsReal' - 1 - _frac", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooggZZPdf",972,G__HiggsAnalysisCombinedLimit_yr_1107_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooggZZPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1107_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooggZZPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1107_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooggZZPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1107_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooggZZPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1107_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooggZZPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1107_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1107_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooggZZPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1107_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooggZZPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1107_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooggZZPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1107_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooggZZPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooggZZPdf", 1098, G__HiggsAnalysisCombinedLimit_yr_1107_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooqqZZPdf_v2(void) {
   /* RooqqZZPdf_v2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2));
   G__memfunc_setup("RooqqZZPdf_v2",1255,G__HiggsAnalysisCombinedLimit_yr_1108_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooqqZZPdf_v2",1255,G__HiggsAnalysisCombinedLimit_yr_1108_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2), -1, 0, 17, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _a0 "
"u 'RooAbsReal' - 1 - _a1 u 'RooAbsReal' - 1 - _a2 "
"u 'RooAbsReal' - 1 - _a3 u 'RooAbsReal' - 1 - _a4 "
"u 'RooAbsReal' - 1 - _a5 u 'RooAbsReal' - 1 - _a6 "
"u 'RooAbsReal' - 1 - _a7 u 'RooAbsReal' - 1 - _a8 "
"u 'RooAbsReal' - 1 - _a9 u 'RooAbsReal' - 1 - _a10 "
"u 'RooAbsReal' - 1 - _a11 u 'RooAbsReal' - 1 - _a12 "
"u 'RooAbsReal' - 1 - _a13", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooqqZZPdf_v2",1255,G__HiggsAnalysisCombinedLimit_yr_1108_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2), -1, 0, 2, 1, 1, 0, 
"u 'RooqqZZPdf_v2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1108_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooqqZZPdf_v2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1108_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooqqZZPdf_v2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1108_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooqqZZPdf_v2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1108_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooqqZZPdf_v2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1108_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1108_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooqqZZPdf_v2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1108_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooqqZZPdf_v2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1108_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooqqZZPdf_v2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1108_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooqqZZPdf_v2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooqqZZPdf_v2", 1381, G__HiggsAnalysisCombinedLimit_yr_1108_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooVBFZZPdf(void) {
   /* RooVBFZZPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf));
   G__memfunc_setup("RooVBFZZPdf",988,G__HiggsAnalysisCombinedLimit_yr_1109_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooVBFZZPdf",988,G__HiggsAnalysisCombinedLimit_yr_1109_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf), -1, 0, 20, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _a0 "
"u 'RooAbsReal' - 1 - _a1 u 'RooAbsReal' - 1 - _a2 "
"u 'RooAbsReal' - 1 - _a3 u 'RooAbsReal' - 1 - _a4 "
"u 'RooAbsReal' - 1 - _a5 u 'RooAbsReal' - 1 - _a6 "
"u 'RooAbsReal' - 1 - _a7 u 'RooAbsReal' - 1 - _a8 "
"u 'RooAbsReal' - 1 - _a9 u 'RooAbsReal' - 1 - _a10 "
"u 'RooAbsReal' - 1 - _a11 u 'RooAbsReal' - 1 - _a12 "
"u 'RooAbsReal' - 1 - _a13 u 'RooAbsReal' - 1 - _a14 "
"u 'RooAbsReal' - 1 - _a15 u 'RooAbsReal' - 1 - _a16", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooVBFZZPdf",988,G__HiggsAnalysisCombinedLimit_yr_1109_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooVBFZZPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1109_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooVBFZZPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1109_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooVBFZZPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1109_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooVBFZZPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1109_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooVBFZZPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1109_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1109_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooVBFZZPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1109_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooVBFZZPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1109_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooVBFZZPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1109_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooVBFZZPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooVBFZZPdf", 1114, G__HiggsAnalysisCombinedLimit_yr_1109_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooVBFZZPdf_v2(void) {
   /* RooVBFZZPdf_v2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2));
   G__memfunc_setup("RooVBFZZPdf_v2",1251,G__HiggsAnalysisCombinedLimit_yr_1110_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooVBFZZPdf_v2",1251,G__HiggsAnalysisCombinedLimit_yr_1110_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2), -1, 0, 16, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _a4 "
"u 'RooAbsReal' - 1 - _a5 u 'RooAbsReal' - 1 - _a6 "
"u 'RooAbsReal' - 1 - _a7 u 'RooAbsReal' - 1 - _a8 "
"u 'RooAbsReal' - 1 - _a9 u 'RooAbsReal' - 1 - _a10 "
"u 'RooAbsReal' - 1 - _a11 u 'RooAbsReal' - 1 - _a12 "
"u 'RooAbsReal' - 1 - _a13 u 'RooAbsReal' - 1 - _a14 "
"u 'RooAbsReal' - 1 - _a15 u 'RooAbsReal' - 1 - _a16", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooVBFZZPdf_v2",1251,G__HiggsAnalysisCombinedLimit_yr_1110_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2), -1, 0, 2, 1, 1, 0, 
"u 'RooVBFZZPdf_v2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1110_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooVBFZZPdf_v2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1110_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooVBFZZPdf_v2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1110_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooVBFZZPdf_v2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1110_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooVBFZZPdf_v2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1110_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1110_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooVBFZZPdf_v2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1110_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooVBFZZPdf_v2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1110_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooVBFZZPdf_v2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1110_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooVBFZZPdf_v2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooVBFZZPdf_v2", 1377, G__HiggsAnalysisCombinedLimit_yr_1110_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooggZZPdf_v2(void) {
   /* RooggZZPdf_v2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2));
   G__memfunc_setup("RooggZZPdf_v2",1235,G__HiggsAnalysisCombinedLimit_yr_1111_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooggZZPdf_v2",1235,G__HiggsAnalysisCombinedLimit_yr_1111_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2), -1, 0, 13, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _a0 "
"u 'RooAbsReal' - 1 - _a1 u 'RooAbsReal' - 1 - _a2 "
"u 'RooAbsReal' - 1 - _a3 u 'RooAbsReal' - 1 - _a4 "
"u 'RooAbsReal' - 1 - _a5 u 'RooAbsReal' - 1 - _a6 "
"u 'RooAbsReal' - 1 - _a7 u 'RooAbsReal' - 1 - _a8 "
"u 'RooAbsReal' - 1 - _a9", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooggZZPdf_v2",1235,G__HiggsAnalysisCombinedLimit_yr_1111_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2), -1, 0, 2, 1, 1, 0, 
"u 'RooggZZPdf_v2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1111_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooggZZPdf_v2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1111_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooggZZPdf_v2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1111_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooggZZPdf_v2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1111_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooggZZPdf_v2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1111_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1111_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooggZZPdf_v2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1111_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooggZZPdf_v2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1111_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooggZZPdf_v2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1111_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooggZZPdf_v2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooggZZPdf_v2", 1361, G__HiggsAnalysisCombinedLimit_yr_1111_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBetaFunc_v2(void) {
   /* RooBetaFunc_v2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2));
   G__memfunc_setup("RooBetaFunc_v2",1343,G__HiggsAnalysisCombinedLimit_yr_1112_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBetaFunc_v2",1343,G__HiggsAnalysisCombinedLimit_yr_1112_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2), -1, 0, 14, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _mZstar u 'RooAbsReal' - 1 - _mZ "
"u 'RooAbsReal' - 1 - _m0 u 'RooAbsReal' - 1 - _mZZ "
"u 'RooAbsReal' - 1 - _Gamma u 'RooAbsReal' - 1 - _Gamma0 "
"u 'RooAbsReal' - 1 - _a0 u 'RooAbsReal' - 1 - _a1 "
"u 'RooAbsReal' - 1 - _a2 u 'RooAbsReal' - 1 - _a3 "
"u 'RooAbsReal' - 1 - _f u 'RooAbsReal' - 1 - _f0", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBetaFunc_v2",1343,G__HiggsAnalysisCombinedLimit_yr_1112_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2), -1, 0, 2, 1, 1, 0, 
"u 'RooBetaFunc_v2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1112_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBetaFunc_v2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1112_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBetaFunc_v2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1112_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBetaFunc_v2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1112_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBetaFunc_v2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1112_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1112_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBetaFunc_v2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1112_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBetaFunc_v2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1112_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBetaFunc_v2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1112_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBetaFunc_v2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBetaFunc_v2", 1469, G__HiggsAnalysisCombinedLimit_yr_1112_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRoo4lMasses2D_Bkg(void) {
   /* Roo4lMasses2D_Bkg */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg));
   G__memfunc_setup("Roo4lMasses2D_Bkg",1573,G__HiggsAnalysisCombinedLimit_yr_1113_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo4lMasses2D_Bkg",1573,G__HiggsAnalysisCombinedLimit_yr_1113_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _mZstar u 'RooAbsReal' - 1 - _mZZ "
"u 'RooAbsReal' - 1 - _channelVal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo4lMasses2D_Bkg",1573,G__HiggsAnalysisCombinedLimit_yr_1113_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg), -1, 0, 2, 1, 1, 0, 
"u 'Roo4lMasses2D_Bkg' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("UnitStep",828,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 2, 8, "d - - 0 - arg", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1113_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&Roo4lMasses2D_Bkg::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1113_0_8, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D_Bkg::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1113_0_9, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&Roo4lMasses2D_Bkg::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1113_0_10, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&Roo4lMasses2D_Bkg::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1113_0_14, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1113_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D_Bkg::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1113_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo4lMasses2D_Bkg::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1113_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D_Bkg::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1113_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo4lMasses2D_Bkg::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~Roo4lMasses2D_Bkg", 1699, G__HiggsAnalysisCombinedLimit_yr_1113_0_19, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRoo4lMasses2D_BkgGGZZ(void) {
   /* Roo4lMasses2D_BkgGGZZ */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ));
   G__memfunc_setup("Roo4lMasses2D_BkgGGZZ",1895,G__HiggsAnalysisCombinedLimit_yr_1114_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo4lMasses2D_BkgGGZZ",1895,G__HiggsAnalysisCombinedLimit_yr_1114_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _mZstar u 'RooAbsReal' - 1 - _mZZ "
"u 'RooAbsReal' - 1 - _channelVal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo4lMasses2D_BkgGGZZ",1895,G__HiggsAnalysisCombinedLimit_yr_1114_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ), -1, 0, 2, 1, 1, 0, 
"u 'Roo4lMasses2D_BkgGGZZ' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("UnitStep",828,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 2, 8, "d - - 0 - arg", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1114_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&Roo4lMasses2D_BkgGGZZ::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1114_0_8, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D_BkgGGZZ::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1114_0_9, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&Roo4lMasses2D_BkgGGZZ::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1114_0_10, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&Roo4lMasses2D_BkgGGZZ::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1114_0_14, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1114_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D_BkgGGZZ::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1114_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo4lMasses2D_BkgGGZZ::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1114_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D_BkgGGZZ::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1114_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo4lMasses2D_BkgGGZZ::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~Roo4lMasses2D_BkgGGZZ", 2021, G__HiggsAnalysisCombinedLimit_yr_1114_0_19, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRoo4lMasses2D(void) {
   /* Roo4lMasses2D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D));
   G__memfunc_setup("Roo4lMasses2D",1202,G__HiggsAnalysisCombinedLimit_yr_1115_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo4lMasses2D",1202,G__HiggsAnalysisCombinedLimit_yr_1115_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D), -1, 0, 13, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _mZstar u 'RooAbsReal' - 1 - _mZ "
"u 'RooAbsReal' - 1 - _mZZ u 'RooAbsReal' - 1 - _Gamma "
"u 'RooAbsReal' - 1 - _p0 u 'RooAbsReal' - 1 - _p1 "
"u 'RooAbsReal' - 1 - _p2 u 'RooAbsReal' - 1 - _CBmean "
"u 'RooAbsReal' - 1 - _CBwidth u 'RooAbsReal' - 1 - _CBalpha "
"u 'RooAbsReal' - 1 - _CBn", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo4lMasses2D",1202,G__HiggsAnalysisCombinedLimit_yr_1115_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D), -1, 0, 2, 1, 1, 0, 
"u 'Roo4lMasses2D' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1115_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&Roo4lMasses2D::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1115_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1115_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&Roo4lMasses2D::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1115_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&Roo4lMasses2D::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1115_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1115_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1115_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo4lMasses2D::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1115_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo4lMasses2D::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1115_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo4lMasses2D::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~Roo4lMasses2D", 1328, G__HiggsAnalysisCombinedLimit_yr_1115_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooFourMuMassShapePdf2(void) {
   /* RooFourMuMassShapePdf2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2));
   G__memfunc_setup("RooFourMuMassShapePdf2",2143,G__HiggsAnalysisCombinedLimit_yr_1116_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourMuMassShapePdf2",2143,G__HiggsAnalysisCombinedLimit_yr_1116_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourMuMassShapePdf2",2143,G__HiggsAnalysisCombinedLimit_yr_1116_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2), -1, 0, 2, 1, 1, 0, 
"u 'RooFourMuMassShapePdf2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1116_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooFourMuMassShapePdf2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1116_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourMuMassShapePdf2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1116_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooFourMuMassShapePdf2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1116_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooFourMuMassShapePdf2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1116_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1116_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourMuMassShapePdf2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1116_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourMuMassShapePdf2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1116_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourMuMassShapePdf2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1116_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourMuMassShapePdf2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooFourMuMassShapePdf2", 2269, G__HiggsAnalysisCombinedLimit_yr_1116_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooFourEMassShapePdf2(void) {
   /* RooFourEMassShapePdf2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2));
   G__memfunc_setup("RooFourEMassShapePdf2",2018,G__HiggsAnalysisCombinedLimit_yr_1117_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourEMassShapePdf2",2018,G__HiggsAnalysisCombinedLimit_yr_1117_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourEMassShapePdf2",2018,G__HiggsAnalysisCombinedLimit_yr_1117_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2), -1, 0, 2, 1, 1, 0, 
"u 'RooFourEMassShapePdf2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1117_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooFourEMassShapePdf2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1117_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourEMassShapePdf2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1117_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooFourEMassShapePdf2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1117_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooFourEMassShapePdf2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1117_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1117_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourEMassShapePdf2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1117_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourEMassShapePdf2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1117_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourEMassShapePdf2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1117_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourEMassShapePdf2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooFourEMassShapePdf2", 2144, G__HiggsAnalysisCombinedLimit_yr_1117_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooTwoETwoMuMassShapePdf2(void) {
   /* RooTwoETwoMuMassShapePdf2 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2));
   G__memfunc_setup("RooTwoETwoMuMassShapePdf2",2428,G__HiggsAnalysisCombinedLimit_yr_1118_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTwoETwoMuMassShapePdf2",2428,G__HiggsAnalysisCombinedLimit_yr_1118_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTwoETwoMuMassShapePdf2",2428,G__HiggsAnalysisCombinedLimit_yr_1118_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2), -1, 0, 2, 1, 1, 0, 
"u 'RooTwoETwoMuMassShapePdf2' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1118_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooTwoETwoMuMassShapePdf2::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1118_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTwoETwoMuMassShapePdf2::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1118_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooTwoETwoMuMassShapePdf2::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1118_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooTwoETwoMuMassShapePdf2::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1118_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1118_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTwoETwoMuMassShapePdf2::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1118_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTwoETwoMuMassShapePdf2::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1118_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTwoETwoMuMassShapePdf2::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1118_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTwoETwoMuMassShapePdf2::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooTwoETwoMuMassShapePdf2", 2554, G__HiggsAnalysisCombinedLimit_yr_1118_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooFourMuMassRes(void) {
   /* RooFourMuMassRes */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes));
   G__memfunc_setup("RooFourMuMassRes",1612,G__HiggsAnalysisCombinedLimit_yr_1119_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourMuMassRes",1612,G__HiggsAnalysisCombinedLimit_yr_1119_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourMuMassRes",1612,G__HiggsAnalysisCombinedLimit_yr_1119_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes), -1, 0, 2, 1, 1, 0, 
"u 'RooFourMuMassRes' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1119_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooFourMuMassRes::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1119_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourMuMassRes::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1119_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooFourMuMassRes::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1119_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooFourMuMassRes::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1119_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1119_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourMuMassRes::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1119_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourMuMassRes::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1119_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourMuMassRes::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1119_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourMuMassRes::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooFourMuMassRes", 1738, G__HiggsAnalysisCombinedLimit_yr_1119_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooFourEMassRes(void) {
   /* RooFourEMassRes */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes));
   G__memfunc_setup("RooFourEMassRes",1487,G__HiggsAnalysisCombinedLimit_yr_1120_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourEMassRes",1487,G__HiggsAnalysisCombinedLimit_yr_1120_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFourEMassRes",1487,G__HiggsAnalysisCombinedLimit_yr_1120_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes), -1, 0, 2, 1, 1, 0, 
"u 'RooFourEMassRes' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1120_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooFourEMassRes::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1120_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourEMassRes::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1120_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooFourEMassRes::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1120_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooFourEMassRes::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1120_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1120_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourEMassRes::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1120_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourEMassRes::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1120_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFourEMassRes::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1120_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFourEMassRes::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooFourEMassRes", 1613, G__HiggsAnalysisCombinedLimit_yr_1120_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooTwoETwoMuMassRes(void) {
   /* RooTwoETwoMuMassRes */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes));
   G__memfunc_setup("RooTwoETwoMuMassRes",1897,G__HiggsAnalysisCombinedLimit_yr_1121_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTwoETwoMuMassRes",1897,G__HiggsAnalysisCombinedLimit_yr_1121_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTwoETwoMuMassRes",1897,G__HiggsAnalysisCombinedLimit_yr_1121_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes), -1, 0, 2, 1, 1, 0, 
"u 'RooTwoETwoMuMassRes' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1121_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooTwoETwoMuMassRes::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1121_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTwoETwoMuMassRes::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1121_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooTwoETwoMuMassRes::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1121_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooTwoETwoMuMassRes::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1121_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1121_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTwoETwoMuMassRes::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1121_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTwoETwoMuMassRes::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1121_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTwoETwoMuMassRes::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1121_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTwoETwoMuMassRes::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooTwoETwoMuMassRes", 2023, G__HiggsAnalysisCombinedLimit_yr_1121_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBW1(void) {
   /* RooRelBW1 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1));
   G__memfunc_setup("RooRelBW1",797,G__HiggsAnalysisCombinedLimit_yr_1122_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBW1",797,G__HiggsAnalysisCombinedLimit_yr_1122_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _gamma", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBW1",797,G__HiggsAnalysisCombinedLimit_yr_1122_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBW1' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1122_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBW1::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1122_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBW1::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1122_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBW1::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1122_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBW1::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1122_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1122_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBW1::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1122_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBW1::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1122_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBW1::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1122_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBW1::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBW1", 923, G__HiggsAnalysisCombinedLimit_yr_1122_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBWUF(void) {
   /* RooRelBWUF */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF));
   G__memfunc_setup("RooRelBWUF",903,G__HiggsAnalysisCombinedLimit_yr_1123_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUF",903,G__HiggsAnalysisCombinedLimit_yr_1123_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUF",903,G__HiggsAnalysisCombinedLimit_yr_1123_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBWUF' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1123_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBWUF::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1123_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUF::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1123_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBWUF::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1123_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBWUF::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1123_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1123_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUF::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1123_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUF::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1123_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUF::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1123_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUF::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBWUF", 1029, G__HiggsAnalysisCombinedLimit_yr_1123_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBWUF_SM4(void) {
   /* RooRelBWUF_SM4 */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4));
   G__memfunc_setup("RooRelBWUF_SM4",1210,G__HiggsAnalysisCombinedLimit_yr_1124_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUF_SM4",1210,G__HiggsAnalysisCombinedLimit_yr_1124_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUF_SM4",1210,G__HiggsAnalysisCombinedLimit_yr_1124_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBWUF_SM4' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1124_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBWUF_SM4::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1124_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUF_SM4::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1124_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBWUF_SM4::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1124_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBWUF_SM4::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1124_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1124_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUF_SM4::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1124_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUF_SM4::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1124_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUF_SM4::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1124_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUF_SM4::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBWUF_SM4", 1336, G__HiggsAnalysisCombinedLimit_yr_1124_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBWUFParamWidth(void) {
   /* RooRelBWUFParamWidth */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth));
   G__memfunc_setup("RooRelBWUFParamWidth",1912,G__HiggsAnalysisCombinedLimit_yr_1125_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUFParamWidth",1912,G__HiggsAnalysisCombinedLimit_yr_1125_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _width", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUFParamWidth",1912,G__HiggsAnalysisCombinedLimit_yr_1125_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBWUFParamWidth' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1125_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBWUFParamWidth::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1125_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUFParamWidth::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1125_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBWUFParamWidth::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1125_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBWUFParamWidth::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1125_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1125_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUFParamWidth::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1125_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUFParamWidth::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1125_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUFParamWidth::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1125_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUFParamWidth::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBWUFParamWidth", 2038, G__HiggsAnalysisCombinedLimit_yr_1125_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBWUFParam(void) {
   /* RooRelBWUFParam */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam));
   G__memfunc_setup("RooRelBWUFParam",1400,G__HiggsAnalysisCombinedLimit_yr_1126_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUFParam",1400,G__HiggsAnalysisCombinedLimit_yr_1126_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _scaleParam d - 'Double_t' 0 '1.' _widthSF", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWUFParam",1400,G__HiggsAnalysisCombinedLimit_yr_1126_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBWUFParam' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1126_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBWUFParam::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1126_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUFParam::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1126_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBWUFParam::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1126_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBWUFParam::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1126_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1126_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUFParam::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1126_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUFParam::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1126_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWUFParam::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1126_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWUFParam::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBWUFParam", 1526, G__HiggsAnalysisCombinedLimit_yr_1126_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBWHighMass(void) {
   /* RooRelBWHighMass */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass));
   G__memfunc_setup("RooRelBWHighMass",1536,G__HiggsAnalysisCombinedLimit_yr_1127_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWHighMass",1536,G__HiggsAnalysisCombinedLimit_yr_1127_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m4l u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _gamma", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBWHighMass",1536,G__HiggsAnalysisCombinedLimit_yr_1127_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBWHighMass' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1127_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBWHighMass::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1127_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWHighMass::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1127_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBWHighMass::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1127_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBWHighMass::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1127_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1127_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWHighMass::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1127_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWHighMass::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1127_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBWHighMass::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1127_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBWHighMass::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBWHighMass", 1662, G__HiggsAnalysisCombinedLimit_yr_1127_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooTsallis(void) {
   /* RooTsallis */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis));
   G__memfunc_setup("RooTsallis",1036,G__HiggsAnalysisCombinedLimit_yr_1128_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTsallis",1036,G__HiggsAnalysisCombinedLimit_yr_1128_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis), -1, 0, 10, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _m "
"u 'RooAbsReal' - 1 - _n u 'RooAbsReal' - 1 - _n2 "
"u 'RooAbsReal' - 1 - _bb u 'RooAbsReal' - 1 - _bb2 "
"u 'RooAbsReal' - 1 - _T u 'RooAbsReal' - 1 - _fexp", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTsallis",1036,G__HiggsAnalysisCombinedLimit_yr_1128_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis), -1, 0, 2, 1, 1, 0, 
"u 'RooTsallis' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1128_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooTsallis::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1128_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTsallis::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1128_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooTsallis::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1128_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooTsallis::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1128_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1128_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTsallis::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1128_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTsallis::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1128_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTsallis::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1128_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTsallis::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooTsallis", 1162, G__HiggsAnalysisCombinedLimit_yr_1128_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooaDoubleCBxBW(void) {
   /* RooaDoubleCBxBW */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW));
   G__memfunc_setup("RooaDoubleCBxBW",1410,G__HiggsAnalysisCombinedLimit_yr_1129_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooaDoubleCBxBW",1410,G__HiggsAnalysisCombinedLimit_yr_1129_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW), -1, 0, 14, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _shift "
"u 'RooAbsReal' - 1 - _sigma u 'RooAbsReal' - 1 - _alphaL "
"u 'RooAbsReal' - 1 - _alphaR u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _width h - - 0 - - "
"h - - 0 - - u 'RooAbsReal' - 1 - _thetaL "
"u 'RooAbsReal' - 1 - _thetaR g - - 0 - _computeActualCB", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooaDoubleCBxBW",1410,G__HiggsAnalysisCombinedLimit_yr_1129_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW), -1, 0, 2, 1, 1, 0, 
"u 'RooaDoubleCBxBW' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluateDoubleCB",1591,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluatePowerLaw",1672,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - - 0 - lim h - - 0 - - "
"g - - 0 - isLeft", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluateQuadratic",1781,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - - 0 - lim1 d - - 0 - lim2 "
"g - - 0 - isLeft", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluateVoigtian",1688,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1129_0_10, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooaDoubleCBxBW::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1129_0_11, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooaDoubleCBxBW::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1129_0_12, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooaDoubleCBxBW::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1129_0_13, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooaDoubleCBxBW::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1129_0_17, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1129_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooaDoubleCBxBW::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1129_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooaDoubleCBxBW::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1129_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooaDoubleCBxBW::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1129_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooaDoubleCBxBW::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooaDoubleCBxBW", 1536, G__HiggsAnalysisCombinedLimit_yr_1129_0_22, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooCPSHighMassGGH(void) {
   /* RooCPSHighMassGGH */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH));
   G__memfunc_setup("RooCPSHighMassGGH",1536,G__HiggsAnalysisCombinedLimit_yr_1130_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassGGH",1536,G__HiggsAnalysisCombinedLimit_yr_1130_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _KPrime u 'RooAbsReal' - 1 - _BRnew "
"u 'RooAbsReal' - 1 - _IntStr u 'RooAbsReal' - 1 - _WidthScl "
"g - 'Bool_t' 0 - is8TeV", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassGGH",1536,G__HiggsAnalysisCombinedLimit_yr_1130_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH), -1, 0, 2, 1, 1, 0, 
"u 'RooCPSHighMassGGH' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Spline",619,G__HiggsAnalysisCombinedLimit_yr_1130_0_5, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "d - 'Double_t' 0 - xx", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initMatrices",1260,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("interpolateMatrix",1820,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - 'Double_t' 10 - matrix[][5] d - 'Double_t' 11 - x "
"d - 'Double_t' 11 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getWidth",832,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDelta",810,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getAlpha",806,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getR",402,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getBeta",700,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1130_0_14, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooCPSHighMassGGH::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1130_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassGGH::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1130_0_16, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooCPSHighMassGGH::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1130_0_17, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooCPSHighMassGGH::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1130_0_21, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1130_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassGGH::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1130_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassGGH::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1130_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassGGH::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1130_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassGGH::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooCPSHighMassGGH", 1662, G__HiggsAnalysisCombinedLimit_yr_1130_0_26, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBWHighMassGGH(void) {
   /* RooBWHighMassGGH */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH));
   G__memfunc_setup("RooBWHighMassGGH",1459,G__HiggsAnalysisCombinedLimit_yr_1131_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBWHighMassGGH",1459,G__HiggsAnalysisCombinedLimit_yr_1131_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _KPrime u 'RooAbsReal' - 1 - _BRnew "
"u 'RooAbsReal' - 1 - _IntStr g - 'Bool_t' 0 - is8TeV", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBWHighMassGGH",1459,G__HiggsAnalysisCombinedLimit_yr_1131_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH), -1, 0, 2, 1, 1, 0, 
"u 'RooBWHighMassGGH' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initMatrices",1260,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("interpolateMatrix",1820,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - 'Double_t' 10 - matrix[][5] d - 'Double_t' 11 - x "
"d - 'Double_t' 11 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getWidth",832,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDelta",810,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getAlpha",806,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getR",402,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getBeta",700,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("H_width",711,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 2, 8, "d - 'Double_t' 0 - mass", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1131_0_14, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBWHighMassGGH::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1131_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBWHighMassGGH::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1131_0_16, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBWHighMassGGH::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1131_0_17, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBWHighMassGGH::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1131_0_21, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1131_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBWHighMassGGH::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1131_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBWHighMassGGH::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1131_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBWHighMassGGH::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1131_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBWHighMassGGH::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBWHighMassGGH", 1585, G__HiggsAnalysisCombinedLimit_yr_1131_0_26, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooCPSHighMassGGHNoInterf(void) {
   /* RooCPSHighMassGGHNoInterf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf));
   G__memfunc_setup("RooCPSHighMassGGHNoInterf",2341,G__HiggsAnalysisCombinedLimit_yr_1132_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassGGHNoInterf",2341,G__HiggsAnalysisCombinedLimit_yr_1132_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _KPrime u 'RooAbsReal' - 1 - _BRnew "
"g - 'Bool_t' 0 - is8TeV", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassGGHNoInterf",2341,G__HiggsAnalysisCombinedLimit_yr_1132_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf), -1, 0, 2, 1, 1, 0, 
"u 'RooCPSHighMassGGHNoInterf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Spline",619,G__HiggsAnalysisCombinedLimit_yr_1132_0_5, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "d - 'Double_t' 0 - xx", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initMatrices",1260,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("interpolateMatrix",1820,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - 'Double_t' 10 - matrix[][5] d - 'Double_t' 11 - x "
"d - 'Double_t' 11 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getWidth",832,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDelta",810,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1132_0_11, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooCPSHighMassGGHNoInterf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1132_0_12, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassGGHNoInterf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1132_0_13, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooCPSHighMassGGHNoInterf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1132_0_14, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooCPSHighMassGGHNoInterf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1132_0_18, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1132_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassGGHNoInterf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1132_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassGGHNoInterf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1132_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassGGHNoInterf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1132_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassGGHNoInterf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooCPSHighMassGGHNoInterf", 2467, G__HiggsAnalysisCombinedLimit_yr_1132_0_23, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooCPSHighMassVBF(void) {
   /* RooCPSHighMassVBF */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF));
   G__memfunc_setup("RooCPSHighMassVBF",1544,G__HiggsAnalysisCombinedLimit_yr_1133_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassVBF",1544,G__HiggsAnalysisCombinedLimit_yr_1133_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _KPrime u 'RooAbsReal' - 1 - _BRnew "
"u 'RooAbsReal' - 1 - _IntStr u 'RooAbsReal' - 1 - _WidthScl "
"g - 'Bool_t' 0 - is8TeV", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassVBF",1544,G__HiggsAnalysisCombinedLimit_yr_1133_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF), -1, 0, 2, 1, 1, 0, 
"u 'RooCPSHighMassVBF' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Spline",619,G__HiggsAnalysisCombinedLimit_yr_1133_0_5, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "d - 'Double_t' 0 - xx", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initMatrices",1260,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("interpolateMatrix",1820,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - 'Double_t' 10 - matrix[][5] d - 'Double_t' 11 - x "
"d - 'Double_t' 11 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getWidth",832,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDelta",810,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getAlpha",806,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getR",402,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getBeta",700,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1133_0_14, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooCPSHighMassVBF::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1133_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassVBF::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1133_0_16, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooCPSHighMassVBF::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1133_0_17, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooCPSHighMassVBF::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1133_0_21, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1133_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassVBF::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1133_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassVBF::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1133_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassVBF::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1133_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassVBF::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooCPSHighMassVBF", 1670, G__HiggsAnalysisCombinedLimit_yr_1133_0_26, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooCPSHighMassVBFNoInterf(void) {
   /* RooCPSHighMassVBFNoInterf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf));
   G__memfunc_setup("RooCPSHighMassVBFNoInterf",2349,G__HiggsAnalysisCombinedLimit_yr_1134_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassVBFNoInterf",2349,G__HiggsAnalysisCombinedLimit_yr_1134_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _KPrime u 'RooAbsReal' - 1 - _BRnew "
"g - 'Bool_t' 0 - is8TeV", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCPSHighMassVBFNoInterf",2349,G__HiggsAnalysisCombinedLimit_yr_1134_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf), -1, 0, 2, 1, 1, 0, 
"u 'RooCPSHighMassVBFNoInterf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Spline",619,G__HiggsAnalysisCombinedLimit_yr_1134_0_5, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "d - 'Double_t' 0 - xx", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initMatrices",1260,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("interpolateMatrix",1820,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 2, 8, 
"d - 'Double_t' 10 - matrix[][5] d - 'Double_t' 11 - x "
"d - 'Double_t' 11 - y", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getWidth",832,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDelta",810,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 2, 8, 
"d - 'Double_t' 11 - mass d - 'Double_t' 11 - cprime", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1134_0_11, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooCPSHighMassVBFNoInterf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1134_0_12, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassVBFNoInterf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1134_0_13, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooCPSHighMassVBFNoInterf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1134_0_14, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooCPSHighMassVBFNoInterf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1134_0_18, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1134_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassVBFNoInterf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1134_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassVBFNoInterf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1134_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCPSHighMassVBFNoInterf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1134_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCPSHighMassVBFNoInterf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooCPSHighMassVBFNoInterf", 2475, G__HiggsAnalysisCombinedLimit_yr_1134_0_23, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooSigPlusInt(void) {
   /* RooSigPlusInt */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt));
   G__memfunc_setup("RooSigPlusInt",1314,G__HiggsAnalysisCombinedLimit_yr_1135_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSigPlusInt",1314,G__HiggsAnalysisCombinedLimit_yr_1135_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt), -1, 0, 12, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mH "
"u 'RooAbsReal' - 1 - _delta u 'RooAbsReal' - 1 - _width "
"u 'RooAbsReal' - 1 - _k u 'RooAbsReal' - 1 - _CSquared "
"u 'RooAbsReal' - 1 - _BRnew u 'RooAbsReal' - 1 - _alpha "
"u 'RooAbsReal' - 1 - _beta u 'RooAbsReal' - 1 - _r", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSigPlusInt",1314,G__HiggsAnalysisCombinedLimit_yr_1135_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt), -1, 0, 2, 1, 1, 0, 
"u 'RooSigPlusInt' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Spline",619,G__HiggsAnalysisCombinedLimit_yr_1135_0_5, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "d - 'Double_t' 0 - xx", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1135_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooSigPlusInt::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1135_0_8, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSigPlusInt::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1135_0_9, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooSigPlusInt::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1135_0_10, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooSigPlusInt::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1135_0_14, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1135_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSigPlusInt::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1135_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSigPlusInt::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1135_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSigPlusInt::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1135_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSigPlusInt::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooSigPlusInt", 1440, G__HiggsAnalysisCombinedLimit_yr_1135_0_19, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooErfExpPdf(void) {
   /* RooErfExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf));
   G__memfunc_setup("RooErfExpPdf",1172,G__HiggsAnalysisCombinedLimit_yr_1136_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf), -1, 0, 0, 1, 1, 0, "", "default constructor", (void*) NULL, 0);
   G__memfunc_setup("RooErfExpPdf",1172,G__HiggsAnalysisCombinedLimit_yr_1136_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _offset u 'RooAbsReal' - 1 - _width", "width of the erf", (void*) NULL, 0);
   G__memfunc_setup("RooErfExpPdf",1172,G__HiggsAnalysisCombinedLimit_yr_1136_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooErfExpPdf' - 11 - other C - - 10 '0' name", "ctor", (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", "clone ", (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", "analytic integral", (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", "evaluate method ", (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1136_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooErfExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1136_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1136_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooErfExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1136_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooErfExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1136_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1136_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1136_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1136_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1136_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooErfExpPdf", 1298, G__HiggsAnalysisCombinedLimit_yr_1136_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha(void) {
   /* RooAlpha */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha));
   G__memfunc_setup("RooAlpha",790,G__HiggsAnalysisCombinedLimit_yr_1137_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha",790,G__HiggsAnalysisCombinedLimit_yr_1137_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha), -1, 0, 11, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _offset u 'RooAbsReal' - 1 - _width "
"u 'RooAbsReal' - 1 - _ca u 'RooAbsReal' - 1 - _offseta "
"u 'RooAbsReal' - 1 - _widtha d - 'Double_t' 0 - _xmin "
"d - 'Double_t' 0 - _xmax", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha",790,G__HiggsAnalysisCombinedLimit_yr_1137_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1137_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1137_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1137_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1137_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1137_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1137_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1137_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1137_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1137_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha", 916, G__HiggsAnalysisCombinedLimit_yr_1137_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlphaExp(void) {
   /* RooAlphaExp */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp));
   G__memfunc_setup("RooAlphaExp",1091,G__HiggsAnalysisCombinedLimit_yr_1138_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlphaExp",1091,G__HiggsAnalysisCombinedLimit_yr_1138_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _ca d - 'Double_t' 0 - _xmin "
"d - 'Double_t' 0 - _xmax", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlphaExp",1091,G__HiggsAnalysisCombinedLimit_yr_1138_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp), -1, 0, 2, 1, 1, 0, 
"u 'RooAlphaExp' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1138_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlphaExp::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1138_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlphaExp::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1138_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlphaExp::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1138_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlphaExp::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1138_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1138_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlphaExp::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1138_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlphaExp::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1138_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlphaExp::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1138_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlphaExp::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlphaExp", 1217, G__HiggsAnalysisCombinedLimit_yr_1138_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBWRunPdf(void) {
   /* RooBWRunPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf));
   G__memfunc_setup("RooBWRunPdf",1048,G__HiggsAnalysisCombinedLimit_yr_1139_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBWRunPdf",1048,G__HiggsAnalysisCombinedLimit_yr_1139_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _width", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBWRunPdf",1048,G__HiggsAnalysisCombinedLimit_yr_1139_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooBWRunPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1139_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBWRunPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1139_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBWRunPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1139_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBWRunPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1139_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBWRunPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1139_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1139_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBWRunPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1139_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBWRunPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1139_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBWRunPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1139_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBWRunPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBWRunPdf", 1174, G__HiggsAnalysisCombinedLimit_yr_1139_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooErfPow2Pdf(void) {
   /* RooErfPow2Pdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf));
   G__memfunc_setup("RooErfPow2Pdf",1231,G__HiggsAnalysisCombinedLimit_yr_1140_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPow2Pdf",1231,G__HiggsAnalysisCombinedLimit_yr_1140_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c0 "
"u 'RooAbsReal' - 1 - _c1 u 'RooAbsReal' - 1 - _offset "
"u 'RooAbsReal' - 1 - _width", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPow2Pdf",1231,G__HiggsAnalysisCombinedLimit_yr_1140_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf), -1, 0, 2, 1, 1, 0, 
"u 'RooErfPow2Pdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1140_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooErfPow2Pdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1140_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPow2Pdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1140_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooErfPow2Pdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1140_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooErfPow2Pdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1140_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1140_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPow2Pdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1140_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPow2Pdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1140_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPow2Pdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1140_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPow2Pdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooErfPow2Pdf", 1357, G__HiggsAnalysisCombinedLimit_yr_1140_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha4ErfPow2Pdf(void) {
   /* RooAlpha4ErfPow2Pdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf));
   G__memfunc_setup("RooAlpha4ErfPow2Pdf",1769,G__HiggsAnalysisCombinedLimit_yr_1141_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ErfPow2Pdf",1769,G__HiggsAnalysisCombinedLimit_yr_1141_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf), -1, 0, 11, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c0 "
"u 'RooAbsReal' - 1 - _c1 u 'RooAbsReal' - 1 - _offset "
"u 'RooAbsReal' - 1 - _width u 'RooAbsReal' - 1 - _c0a "
"u 'RooAbsReal' - 1 - _c1a u 'RooAbsReal' - 1 - _offseta "
"u 'RooAbsReal' - 1 - _widtha", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ErfPow2Pdf",1769,G__HiggsAnalysisCombinedLimit_yr_1141_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha4ErfPow2Pdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1141_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha4ErfPow2Pdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1141_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPow2Pdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1141_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha4ErfPow2Pdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1141_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha4ErfPow2Pdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1141_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1141_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPow2Pdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1141_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ErfPow2Pdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1141_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPow2Pdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1141_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ErfPow2Pdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha4ErfPow2Pdf", 1895, G__HiggsAnalysisCombinedLimit_yr_1141_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooErfPowExpPdf(void) {
   /* RooErfPowExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf));
   G__memfunc_setup("RooErfPowExpPdf",1482,G__HiggsAnalysisCombinedLimit_yr_1142_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPowExpPdf",1482,G__HiggsAnalysisCombinedLimit_yr_1142_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c0 "
"u 'RooAbsReal' - 1 - _c1 u 'RooAbsReal' - 1 - _offset "
"u 'RooAbsReal' - 1 - _width", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPowExpPdf",1482,G__HiggsAnalysisCombinedLimit_yr_1142_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooErfPowExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1142_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooErfPowExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1142_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPowExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1142_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooErfPowExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1142_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooErfPowExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1142_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1142_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPowExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1142_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPowExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1142_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPowExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1142_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPowExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooErfPowExpPdf", 1608, G__HiggsAnalysisCombinedLimit_yr_1142_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha4ErfPowExpPdf(void) {
   /* RooAlpha4ErfPowExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf));
   G__memfunc_setup("RooAlpha4ErfPowExpPdf",2020,G__HiggsAnalysisCombinedLimit_yr_1143_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ErfPowExpPdf",2020,G__HiggsAnalysisCombinedLimit_yr_1143_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf), -1, 0, 11, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c0 "
"u 'RooAbsReal' - 1 - _c1 u 'RooAbsReal' - 1 - _offset "
"u 'RooAbsReal' - 1 - _width u 'RooAbsReal' - 1 - _c0a "
"u 'RooAbsReal' - 1 - _c1a u 'RooAbsReal' - 1 - _offseta "
"u 'RooAbsReal' - 1 - _widtha", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ErfPowExpPdf",2020,G__HiggsAnalysisCombinedLimit_yr_1143_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha4ErfPowExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1143_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha4ErfPowExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1143_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPowExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1143_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha4ErfPowExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1143_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha4ErfPowExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1143_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1143_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPowExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1143_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ErfPowExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1143_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPowExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1143_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ErfPowExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha4ErfPowExpPdf", 2146, G__HiggsAnalysisCombinedLimit_yr_1143_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooGausExpPdf(void) {
   /* RooGausExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf));
   G__memfunc_setup("RooGausExpPdf",1287,G__HiggsAnalysisCombinedLimit_yr_1144_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooGausExpPdf",1287,G__HiggsAnalysisCombinedLimit_yr_1144_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _mean u 'RooAbsReal' - 1 - _sigma", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooGausExpPdf",1287,G__HiggsAnalysisCombinedLimit_yr_1144_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooGausExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1144_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooGausExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1144_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooGausExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1144_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooGausExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1144_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooGausExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1144_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1144_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooGausExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1144_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooGausExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1144_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooGausExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1144_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooGausExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooGausExpPdf", 1413, G__HiggsAnalysisCombinedLimit_yr_1144_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha4GausExpPdf(void) {
   /* RooAlpha4GausExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf));
   G__memfunc_setup("RooAlpha4GausExpPdf",1825,G__HiggsAnalysisCombinedLimit_yr_1145_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4GausExpPdf",1825,G__HiggsAnalysisCombinedLimit_yr_1145_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _mean u 'RooAbsReal' - 1 - _sigma "
"u 'RooAbsReal' - 1 - _ca u 'RooAbsReal' - 1 - _meana "
"u 'RooAbsReal' - 1 - _sigmaa", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4GausExpPdf",1825,G__HiggsAnalysisCombinedLimit_yr_1145_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha4GausExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1145_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha4GausExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1145_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4GausExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1145_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha4GausExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1145_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha4GausExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1145_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1145_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4GausExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1145_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4GausExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1145_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4GausExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1145_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4GausExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha4GausExpPdf", 1951, G__HiggsAnalysisCombinedLimit_yr_1145_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooErfPowPdf(void) {
   /* RooErfPowPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf));
   G__memfunc_setup("RooErfPowPdf",1181,G__HiggsAnalysisCombinedLimit_yr_1146_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPowPdf",1181,G__HiggsAnalysisCombinedLimit_yr_1146_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _offset u 'RooAbsReal' - 1 - _width", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPowPdf",1181,G__HiggsAnalysisCombinedLimit_yr_1146_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooErfPowPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1146_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooErfPowPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1146_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPowPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1146_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooErfPowPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1146_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooErfPowPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1146_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1146_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPowPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1146_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPowPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1146_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPowPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1146_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPowPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooErfPowPdf", 1307, G__HiggsAnalysisCombinedLimit_yr_1146_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha4ErfPowPdf(void) {
   /* RooAlpha4ErfPowPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf));
   G__memfunc_setup("RooAlpha4ErfPowPdf",1719,G__HiggsAnalysisCombinedLimit_yr_1147_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ErfPowPdf",1719,G__HiggsAnalysisCombinedLimit_yr_1147_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _offset u 'RooAbsReal' - 1 - _width "
"u 'RooAbsReal' - 1 - _ca u 'RooAbsReal' - 1 - _offseta "
"u 'RooAbsReal' - 1 - _widtha", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ErfPowPdf",1719,G__HiggsAnalysisCombinedLimit_yr_1147_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha4ErfPowPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1147_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha4ErfPowPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1147_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPowPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1147_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha4ErfPowPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1147_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha4ErfPowPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1147_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1147_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPowPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1147_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ErfPowPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1147_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ErfPowPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1147_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ErfPowPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha4ErfPowPdf", 1845, G__HiggsAnalysisCombinedLimit_yr_1147_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooPow2Pdf(void) {
   /* RooPow2Pdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf));
   G__memfunc_setup("RooPow2Pdf",946,G__HiggsAnalysisCombinedLimit_yr_1148_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPow2Pdf",946,G__HiggsAnalysisCombinedLimit_yr_1148_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _p0 "
"u 'RooAbsReal' - 1 - _p1", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPow2Pdf",946,G__HiggsAnalysisCombinedLimit_yr_1148_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf), -1, 0, 2, 1, 1, 0, 
"u 'RooPow2Pdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1148_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooPow2Pdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1148_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPow2Pdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1148_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooPow2Pdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1148_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooPow2Pdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1148_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1148_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPow2Pdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1148_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPow2Pdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1148_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPow2Pdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1148_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPow2Pdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooPow2Pdf", 1072, G__HiggsAnalysisCombinedLimit_yr_1148_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooPowPdf(void) {
   /* RooPowPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf));
   G__memfunc_setup("RooPowPdf",896,G__HiggsAnalysisCombinedLimit_yr_1149_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowPdf",896,G__HiggsAnalysisCombinedLimit_yr_1149_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _p0", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowPdf",896,G__HiggsAnalysisCombinedLimit_yr_1149_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooPowPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1149_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooPowPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1149_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1149_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooPowPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1149_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooPowPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1149_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1149_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1149_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1149_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1149_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooPowPdf", 1022, G__HiggsAnalysisCombinedLimit_yr_1149_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooQCDPdf(void) {
   /* RooQCDPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf));
   G__memfunc_setup("RooQCDPdf",802,G__HiggsAnalysisCombinedLimit_yr_1150_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooQCDPdf",802,G__HiggsAnalysisCombinedLimit_yr_1150_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _p0 "
"u 'RooAbsReal' - 1 - _p1 u 'RooAbsReal' - 1 - _p2", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooQCDPdf",802,G__HiggsAnalysisCombinedLimit_yr_1150_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooQCDPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1150_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooQCDPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1150_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooQCDPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1150_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooQCDPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1150_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooQCDPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1150_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1150_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooQCDPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1150_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooQCDPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1150_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooQCDPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1150_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooQCDPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooQCDPdf", 928, G__HiggsAnalysisCombinedLimit_yr_1150_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooUser1Pdf(void) {
   /* RooUser1Pdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf));
   G__memfunc_setup("RooUser1Pdf",1050,G__HiggsAnalysisCombinedLimit_yr_1151_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooUser1Pdf",1050,G__HiggsAnalysisCombinedLimit_yr_1151_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _p0 "
"u 'RooAbsReal' - 1 - _p1", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooUser1Pdf",1050,G__HiggsAnalysisCombinedLimit_yr_1151_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf), -1, 0, 2, 1, 1, 0, 
"u 'RooUser1Pdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1151_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooUser1Pdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1151_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooUser1Pdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1151_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooUser1Pdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1151_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooUser1Pdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1151_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1151_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooUser1Pdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1151_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooUser1Pdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1151_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooUser1Pdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1151_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooUser1Pdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooUser1Pdf", 1176, G__HiggsAnalysisCombinedLimit_yr_1151_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooExpNPdf(void) {
   /* RooExpNPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf));
   G__memfunc_setup("RooExpNPdf",965,G__HiggsAnalysisCombinedLimit_yr_1152_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooExpNPdf",965,G__HiggsAnalysisCombinedLimit_yr_1152_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _n", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooExpNPdf",965,G__HiggsAnalysisCombinedLimit_yr_1152_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooExpNPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1152_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooExpNPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1152_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpNPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1152_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooExpNPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1152_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooExpNPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1152_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1152_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpNPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1152_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooExpNPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1152_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpNPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1152_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooExpNPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooExpNPdf", 1091, G__HiggsAnalysisCombinedLimit_yr_1152_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha4ExpNPdf(void) {
   /* RooAlpha4ExpNPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf));
   G__memfunc_setup("RooAlpha4ExpNPdf",1503,G__HiggsAnalysisCombinedLimit_yr_1153_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ExpNPdf",1503,G__HiggsAnalysisCombinedLimit_yr_1153_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c0 "
"u 'RooAbsReal' - 1 - _n0 u 'RooAbsReal' - 1 - _c1 "
"u 'RooAbsReal' - 1 - _n1", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ExpNPdf",1503,G__HiggsAnalysisCombinedLimit_yr_1153_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha4ExpNPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1153_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha4ExpNPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1153_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ExpNPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1153_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha4ExpNPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1153_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha4ExpNPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1153_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1153_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ExpNPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1153_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ExpNPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1153_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ExpNPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1153_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ExpNPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha4ExpNPdf", 1629, G__HiggsAnalysisCombinedLimit_yr_1153_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooExpTailPdf(void) {
   /* RooExpTailPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf));
   G__memfunc_setup("RooExpTailPdf",1281,G__HiggsAnalysisCombinedLimit_yr_1154_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooExpTailPdf",1281,G__HiggsAnalysisCombinedLimit_yr_1154_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _s "
"u 'RooAbsReal' - 1 - _a", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooExpTailPdf",1281,G__HiggsAnalysisCombinedLimit_yr_1154_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooExpTailPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1154_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooExpTailPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1154_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpTailPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1154_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooExpTailPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1154_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooExpTailPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1154_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1154_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpTailPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1154_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooExpTailPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1154_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpTailPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1154_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooExpTailPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooExpTailPdf", 1407, G__HiggsAnalysisCombinedLimit_yr_1154_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha4ExpTailPdf(void) {
   /* RooAlpha4ExpTailPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf));
   G__memfunc_setup("RooAlpha4ExpTailPdf",1819,G__HiggsAnalysisCombinedLimit_yr_1155_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ExpTailPdf",1819,G__HiggsAnalysisCombinedLimit_yr_1155_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _s0 "
"u 'RooAbsReal' - 1 - _a0 u 'RooAbsReal' - 1 - _s1 "
"u 'RooAbsReal' - 1 - _a1", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha4ExpTailPdf",1819,G__HiggsAnalysisCombinedLimit_yr_1155_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha4ExpTailPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1155_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha4ExpTailPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1155_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ExpTailPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1155_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha4ExpTailPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1155_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha4ExpTailPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1155_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1155_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ExpTailPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1155_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ExpTailPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1155_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha4ExpTailPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1155_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha4ExpTailPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha4ExpTailPdf", 1945, G__HiggsAnalysisCombinedLimit_yr_1155_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRoo2ExpPdf(void) {
   /* Roo2ExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf));
   G__memfunc_setup("Roo2ExpPdf",937,G__HiggsAnalysisCombinedLimit_yr_1156_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo2ExpPdf",937,G__HiggsAnalysisCombinedLimit_yr_1156_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c0 "
"u 'RooAbsReal' - 1 - _c1 u 'RooAbsReal' - 1 - _frac", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Roo2ExpPdf",937,G__HiggsAnalysisCombinedLimit_yr_1156_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'Roo2ExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1156_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&Roo2ExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1156_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo2ExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1156_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&Roo2ExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1156_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&Roo2ExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1156_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1156_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo2ExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1156_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo2ExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1156_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Roo2ExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1156_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Roo2ExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~Roo2ExpPdf", 1063, G__HiggsAnalysisCombinedLimit_yr_1156_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAlpha42ExpPdf(void) {
   /* RooAlpha42ExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf));
   G__memfunc_setup("RooAlpha42ExpPdf",1475,G__HiggsAnalysisCombinedLimit_yr_1157_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha42ExpPdf",1475,G__HiggsAnalysisCombinedLimit_yr_1157_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c00 "
"u 'RooAbsReal' - 1 - _c01 u 'RooAbsReal' - 1 - _frac0 "
"u 'RooAbsReal' - 1 - _c10 u 'RooAbsReal' - 1 - _c11 "
"u 'RooAbsReal' - 1 - _frac1", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAlpha42ExpPdf",1475,G__HiggsAnalysisCombinedLimit_yr_1157_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAlpha42ExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1157_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAlpha42ExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1157_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha42ExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1157_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAlpha42ExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1157_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAlpha42ExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1157_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1157_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha42ExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1157_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha42ExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1157_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAlpha42ExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1157_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAlpha42ExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAlpha42ExpPdf", 1601, G__HiggsAnalysisCombinedLimit_yr_1157_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooAnaExpNPdf(void) {
   /* RooAnaExpNPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf));
   G__memfunc_setup("RooAnaExpNPdf",1237,G__HiggsAnalysisCombinedLimit_yr_1158_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAnaExpNPdf",1237,G__HiggsAnalysisCombinedLimit_yr_1158_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _n", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooAnaExpNPdf",1237,G__HiggsAnalysisCombinedLimit_yr_1158_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooAnaExpNPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1158_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooAnaExpNPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1158_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAnaExpNPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1158_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooAnaExpNPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1158_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooAnaExpNPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1158_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1158_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAnaExpNPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1158_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAnaExpNPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1158_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooAnaExpNPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1158_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooAnaExpNPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooAnaExpNPdf", 1363, G__HiggsAnalysisCombinedLimit_yr_1158_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooDoubleCrystalBall(void) {
   /* RooDoubleCrystalBall */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall));
   G__memfunc_setup("RooDoubleCrystalBall",2024,G__HiggsAnalysisCombinedLimit_yr_1159_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooDoubleCrystalBall",2024,G__HiggsAnalysisCombinedLimit_yr_1159_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _width u 'RooAbsReal' - 1 - _alpha1 "
"u 'RooAbsReal' - 1 - _n1 u 'RooAbsReal' - 1 - _alpha2 "
"u 'RooAbsReal' - 1 - _n2", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooDoubleCrystalBall",2024,G__HiggsAnalysisCombinedLimit_yr_1159_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall), -1, 0, 2, 1, 1, 0, 
"u 'RooDoubleCrystalBall' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1159_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooDoubleCrystalBall::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1159_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooDoubleCrystalBall::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1159_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooDoubleCrystalBall::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1159_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooDoubleCrystalBall::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1159_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1159_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooDoubleCrystalBall::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1159_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooDoubleCrystalBall::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1159_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooDoubleCrystalBall::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1159_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooDoubleCrystalBall::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooDoubleCrystalBall", 2150, G__HiggsAnalysisCombinedLimit_yr_1159_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooCB(void) {
   /* RooCB */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB));
   G__memfunc_setup("RooCB",437,G__HiggsAnalysisCombinedLimit_yr_1160_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCB",437,G__HiggsAnalysisCombinedLimit_yr_1160_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _width u 'RooAbsReal' - 1 - _alpha "
"u 'RooAbsReal' - 1 - _n u 'RooAbsReal' - 1 - _theta", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooCB",437,G__HiggsAnalysisCombinedLimit_yr_1160_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB), -1, 0, 2, 1, 1, 0, 
"u 'RooCB' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1160_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooCB::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1160_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCB::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1160_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooCB::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1160_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooCB::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1160_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1160_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCB::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1160_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCB::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1160_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooCB::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1160_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooCB::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooCB", 563, G__HiggsAnalysisCombinedLimit_yr_1160_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooDoubleCB(void) {
   /* RooDoubleCB */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB));
   G__memfunc_setup("RooDoubleCB",1040,G__HiggsAnalysisCombinedLimit_yr_1161_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooDoubleCB",1040,G__HiggsAnalysisCombinedLimit_yr_1161_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _width u 'RooAbsReal' - 1 - _alpha1 "
"u 'RooAbsReal' - 1 - _n1 u 'RooAbsReal' - 1 - _alpha2 "
"u 'RooAbsReal' - 1 - _n2", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooDoubleCB",1040,G__HiggsAnalysisCombinedLimit_yr_1161_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB), -1, 0, 2, 1, 1, 0, 
"u 'RooDoubleCB' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1161_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooDoubleCB::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1161_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooDoubleCB::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1161_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooDoubleCB::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1161_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooDoubleCB::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1161_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1161_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooDoubleCB::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1161_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooDoubleCB::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1161_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooDoubleCB::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1161_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooDoubleCB::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooDoubleCB", 1166, G__HiggsAnalysisCombinedLimit_yr_1161_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooFermi(void) {
   /* RooFermi */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi));
   G__memfunc_setup("RooFermi",803,G__HiggsAnalysisCombinedLimit_yr_1162_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFermi",803,G__HiggsAnalysisCombinedLimit_yr_1162_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _cutOff "
"u 'RooAbsReal' - 1 - _beta", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooFermi",803,G__HiggsAnalysisCombinedLimit_yr_1162_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi), -1, 0, 2, 1, 1, 0, 
"u 'RooFermi' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1162_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooFermi::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1162_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFermi::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1162_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooFermi::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1162_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooFermi::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1162_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1162_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFermi::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1162_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFermi::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1162_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooFermi::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1162_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooFermi::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooFermi", 929, G__HiggsAnalysisCombinedLimit_yr_1162_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooRelBW(void) {
   /* RooRelBW */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW));
   G__memfunc_setup("RooRelBW",748,G__HiggsAnalysisCombinedLimit_yr_1163_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBW",748,G__HiggsAnalysisCombinedLimit_yr_1163_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _width u 'RooAbsReal' - 1 - _n", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooRelBW",748,G__HiggsAnalysisCombinedLimit_yr_1163_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW), -1, 0, 2, 1, 1, 0, 
"u 'RooRelBW' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1163_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooRelBW::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1163_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBW::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1163_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooRelBW::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1163_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooRelBW::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1163_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1163_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBW::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1163_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBW::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1163_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooRelBW::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1163_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooRelBW::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooRelBW", 874, G__HiggsAnalysisCombinedLimit_yr_1163_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncTriangle(void) {
   /* Triangle */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle));
   G__memfunc_setup("Triangle",822,G__HiggsAnalysisCombinedLimit_yr_1164_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Triangle",822,G__HiggsAnalysisCombinedLimit_yr_1164_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _m u 'RooAbsReal' - 1 - _start "
"u 'RooAbsReal' - 1 - _turn u 'RooAbsReal' - 1 - _stop", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Triangle",822,G__HiggsAnalysisCombinedLimit_yr_1164_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle), -1, 0, 2, 1, 1, 0, 
"u 'Triangle' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1164_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&Triangle::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1164_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Triangle::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1164_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&Triangle::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1164_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&Triangle::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1164_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1164_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Triangle::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1164_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Triangle::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1164_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&Triangle::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1164_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&Triangle::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~Triangle", 948, G__HiggsAnalysisCombinedLimit_yr_1164_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooLevelledExp(void) {
   /* RooLevelledExp */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp));
   G__memfunc_setup("RooLevelledExp",1418,G__HiggsAnalysisCombinedLimit_yr_1165_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooLevelledExp",1418,G__HiggsAnalysisCombinedLimit_yr_1165_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _sigma "
"u 'RooAbsReal' - 1 - _alpha u 'RooAbsReal' - 1 - _m "
"u 'RooAbsReal' - 1 - _theta", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooLevelledExp",1418,G__HiggsAnalysisCombinedLimit_yr_1165_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp), -1, 0, 2, 1, 1, 0, 
"u 'RooLevelledExp' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1165_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooLevelledExp::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1165_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooLevelledExp::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1165_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooLevelledExp::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1165_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooLevelledExp::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1165_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1165_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooLevelledExp::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1165_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooLevelledExp::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1165_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooLevelledExp::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1165_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooLevelledExp::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooLevelledExp", 1544, G__HiggsAnalysisCombinedLimit_yr_1165_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooPower(void) {
   /* RooPower */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower));
   G__memfunc_setup("RooPower",829,G__HiggsAnalysisCombinedLimit_yr_1166_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPower",829,G__HiggsAnalysisCombinedLimit_yr_1166_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPower",829,G__HiggsAnalysisCombinedLimit_yr_1166_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower), -1, 0, 2, 1, 1, 0, 
"u 'RooPower' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("base",411,G__HiggsAnalysisCombinedLimit_yr_1166_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("exponent",881,G__HiggsAnalysisCombinedLimit_yr_1166_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1166_0_10, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooPower::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1166_0_11, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPower::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1166_0_12, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooPower::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1166_0_13, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooPower::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1166_0_17, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1166_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPower::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1166_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPower::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1166_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPower::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1166_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPower::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooPower", 955, G__HiggsAnalysisCombinedLimit_yr_1166_0_22, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooStepBernstein(void) {
   /* RooStepBernstein */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein));
   G__memfunc_setup("RooStepBernstein",1654,G__HiggsAnalysisCombinedLimit_yr_1167_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooStepBernstein",1654,G__HiggsAnalysisCombinedLimit_yr_1167_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _stepThresh "
"u 'RooArgList' - 11 - _coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooStepBernstein",1654,G__HiggsAnalysisCombinedLimit_yr_1167_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein), -1, 0, 2, 1, 1, 0, 
"u 'RooStepBernstein' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 4, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1167_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooStepBernstein::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1167_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStepBernstein::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1167_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooStepBernstein::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1167_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooStepBernstein::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1167_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1167_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStepBernstein::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1167_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStepBernstein::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1167_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStepBernstein::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1167_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStepBernstein::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooStepBernstein", 1780, G__HiggsAnalysisCombinedLimit_yr_1167_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooGaussStepBernstein(void) {
   /* RooGaussStepBernstein */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein));
   G__memfunc_setup("RooGaussStepBernstein",2169,G__HiggsAnalysisCombinedLimit_yr_1168_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooGaussStepBernstein",2169,G__HiggsAnalysisCombinedLimit_yr_1168_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _sigma u 'RooAbsReal' - 1 - _stepVal "
"u 'RooArgList' - 11 - _coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooGaussStepBernstein",2169,G__HiggsAnalysisCombinedLimit_yr_1168_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein), -1, 0, 2, 1, 1, 0, 
"u 'RooGaussStepBernstein' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 4, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1168_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooGaussStepBernstein::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1168_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooGaussStepBernstein::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1168_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooGaussStepBernstein::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1168_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooGaussStepBernstein::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1168_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1168_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooGaussStepBernstein::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1168_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooGaussStepBernstein::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1168_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooGaussStepBernstein::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1168_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooGaussStepBernstein::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooGaussStepBernstein", 2295, G__HiggsAnalysisCombinedLimit_yr_1168_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfunccmsmathcLcLSequentialMinimizer(void) {
   /* cmsmath::SequentialMinimizer */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer));
   G__memfunc_setup("SequentialMinimizer",1999,G__HiggsAnalysisCombinedLimit_yr_1183_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer), -1, 0, 1, 1, 1, 0, "C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Clear",487,(G__InterfaceMethod) NULL,121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetFunction",1138,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'ROOT::Math::IBaseFunctionMultiDim' 'ROOT::Math::IMultiGenFunction' 11 - func", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetVariable",1106,(G__InterfaceMethod) NULL,103, -1, -1, 0, 4, 1, 1, 0, 
"h - - 0 - ivar u 'string' - 11 - name "
"d - - 0 - val d - - 0 - step", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetLimitedVariable",1818,(G__InterfaceMethod) NULL,103, -1, -1, 0, 6, 1, 1, 0, 
"h - - 0 - ivar u 'string' - 11 - name "
"d - - 0 - val d - - 0 - step "
"d - - 0 - lower d - - 0 - upper", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("SetFixedVariable",1602,(G__InterfaceMethod) NULL,103, -1, -1, 0, 3, 1, 1, 0, 
"h - - 0 - ivar u 'string' - 11 - name "
"d - - 0 - val", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Minimize",834,(G__InterfaceMethod) NULL,103, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("MinValue",801,(G__InterfaceMethod) NULL,100, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Edm",278,(G__InterfaceMethod) NULL,100, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("X",88,(G__InterfaceMethod) NULL,68, -1, -1, 0, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("MinGradient",1106,(G__InterfaceMethod) NULL,68, -1, -1, 0, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("NCalls",573,(G__InterfaceMethod) NULL,104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("NDim",360,(G__InterfaceMethod) NULL,104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("NFree",464,(G__InterfaceMethod) NULL,104, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ProvidesError",1366,(G__InterfaceMethod) NULL,103, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Errors",637,(G__InterfaceMethod) NULL,68, -1, -1, 0, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("CovMatrix",925,(G__InterfaceMethod) NULL,100, -1, -1, 0, 2, 1, 1, 8, 
"h - - 0 - i h - - 0 - j", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("minimize",866,(G__InterfaceMethod) NULL, 103, -1, -1, 0, 1, 1, 2, 0, "i - - 0 '5' smallsteps", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("improve",770,(G__InterfaceMethod) NULL, 103, -1, -1, 0, 1, 1, 2, 0, "i - - 0 '5' smallsteps", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("doFullMinim",1120,(G__InterfaceMethod) NULL, 103, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   // automatic destructor
   G__memfunc_setup("~SequentialMinimizer", 2125, G__HiggsAnalysisCombinedLimit_yr_1183_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncProcessNormalization(void) {
   /* ProcessNormalization */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization));
   G__memfunc_setup("ProcessNormalization",2118,G__HiggsAnalysisCombinedLimit_yr_1192_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("ProcessNormalization",2118,G__HiggsAnalysisCombinedLimit_yr_1192_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization), -1, 0, 3, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"d - - 0 '1' nominal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("ProcessNormalization",2118,G__HiggsAnalysisCombinedLimit_yr_1192_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization), -1, 0, 3, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - nominal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("ProcessNormalization",2118,G__HiggsAnalysisCombinedLimit_yr_1192_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization), -1, 0, 2, 1, 1, 0, 
"u 'ProcessNormalization' - 11 - other C - - 10 '0' newname", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("setNominalValue",1559,G__HiggsAnalysisCombinedLimit_yr_1192_0_6, 121, -1, -1, 0, 1, 1, 1, 0, "d - - 0 - nominal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addLogNormal",1204,G__HiggsAnalysisCombinedLimit_yr_1192_0_7, 121, -1, -1, 0, 2, 1, 1, 0, 
"d - - 0 - kappa u 'RooAbsReal' - 1 - theta", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addAsymmLogNormal",1723,G__HiggsAnalysisCombinedLimit_yr_1192_0_8, 121, -1, -1, 0, 3, 1, 1, 0, 
"d - - 0 - kappaLo d - - 0 - kappaHi "
"u 'RooAbsReal' - 1 - theta", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addOtherFactor",1418,G__HiggsAnalysisCombinedLimit_yr_1192_0_9, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooAbsReal' - 1 - factor", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("dump",438,G__HiggsAnalysisCombinedLimit_yr_1192_0_10, 121, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("logKappaForX",1198,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 4, 8, 
"d - - 0 - x u 'pair<double,double>' - 11 - logKappas", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1192_0_13, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&ProcessNormalization::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1192_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&ProcessNormalization::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1192_0_15, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&ProcessNormalization::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1192_0_16, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&ProcessNormalization::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1192_0_20, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1192_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&ProcessNormalization::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1192_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&ProcessNormalization::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1192_0_23, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&ProcessNormalization::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1192_0_24, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&ProcessNormalization::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~ProcessNormalization", 2244, G__HiggsAnalysisCombinedLimit_yr_1192_0_25, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooSpline1D(void) {
   /* RooSpline1D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D));
   G__memfunc_setup("RooSpline1D",1040,G__HiggsAnalysisCombinedLimit_yr_1201_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSpline1D",1040,G__HiggsAnalysisCombinedLimit_yr_1201_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - xvar C - - 10 - path "
"r - - 10 - xcol r - - 10 - ycol "
"r - - 10 '0' skipLines C - - 10 '\"CSPLINE\"' algo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSpline1D",1040,G__HiggsAnalysisCombinedLimit_yr_1201_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - xvar h - - 0 - npoints "
"D - - 10 - xvals D - - 10 - yvals "
"C - - 10 '\"CSPLINE\"' algo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSpline1D",1040,G__HiggsAnalysisCombinedLimit_yr_1201_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - xar h - - 0 - npoints "
"F - - 10 - xvals F - - 10 - yvals "
"C - - 10 '\"CSPLINE\"' algo", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSpline1D",1040,G__HiggsAnalysisCombinedLimit_yr_1201_0_5, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D), -1, 0, 2, 1, 1, 0, 
"u 'RooSpline1D' - 11 - other C - - 10 '0' newname", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("init",436,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 4, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1201_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooSpline1D::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1201_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSpline1D::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1201_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooSpline1D::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1201_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooSpline1D::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1201_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1201_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSpline1D::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1201_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSpline1D::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1201_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSpline1D::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1201_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSpline1D::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooSpline1D", 1166, G__HiggsAnalysisCombinedLimit_yr_1201_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooSplineND(void) {
   /* RooSplineND */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND));
   G__memfunc_setup("RooSplineND",1069,G__HiggsAnalysisCombinedLimit_yr_1249_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSplineND",1069,G__HiggsAnalysisCombinedLimit_yr_1249_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooArgList' - 1 - vars U 'TTree' - 0 - tree "
"C - - 10 '\"f\"' fName d - - 0 '3.' eps "
"g - - 0 'false' rescale u 'string' - 0 '\"\"' cutstring", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSplineND",1069,G__HiggsAnalysisCombinedLimit_yr_1249_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND), -1, 0, 2, 1, 1, 0, 
"u 'RooSplineND' - 11 - other C - - 10 - name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooSplineND",1069,G__HiggsAnalysisCombinedLimit_yr_1249_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND), -1, 0, 12, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooListProxy' - 11 - vars i - - 0 - ndim "
"i - - 0 - M d - - 0 - eps "
"g - - 0 - rescale u 'vector<double,allocator<double> >' 'vector<double>' 1 - w "
"u 'map<int,vector<double,allocator<double> >,less<int>,allocator<pair<const int,vector<double,allocator<double> > > > >' 'map<int,std::vector<double> >' 1 - map u 'map<int,pair<double,double>,less<int>,allocator<pair<const int,pair<double,double> > > >' 'map<int,std::pair<double,double> >' 1 - - "
"d - - 0 - - d - - 0 - -", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getGraph",818,G__HiggsAnalysisCombinedLimit_yr_1249_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TGraph), -1, 0, 2, 1, 1, 0, 
"C - - 10 - xvar d - - 0 - step", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("calculateWeights",1673,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 4, 0, "u 'vector<double,allocator<double> >' 'vector<double>' 1 - -", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDistSquare",1349,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 2, 1, 4, 0, 
"i - - 0 - i i - - 0 - j", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getDistFromSquare",1753,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 1, 1, 4, 8, "i - - 0 - i", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("radialFunc",1017,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 2, 1, 4, 8, 
"d - - 0 - d2 d - - 0 - eps", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1249_0_12, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooSplineND::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1249_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSplineND::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1249_0_14, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooSplineND::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1249_0_15, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooSplineND::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1249_0_19, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1249_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSplineND::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1249_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSplineND::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1249_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooSplineND::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1249_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooSplineND::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooSplineND", 1195, G__HiggsAnalysisCombinedLimit_yr_1249_0_24, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooScaleLOSM(void) {
   /* RooScaleLOSM */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM));
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 3);
   G__memfunc_setup("f",102,(G__InterfaceMethod) NULL, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR), G__defined_typename("complexD"), 0, 1, 1, 2, 8, "d - - 0 - tau", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("AmpSpinOneHalf",1365,(G__InterfaceMethod) NULL, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR), G__defined_typename("complexD"), 0, 1, 1, 2, 8, "d - - 0 - tau", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("AmpSpinOne",986,(G__InterfaceMethod) NULL, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR), G__defined_typename("complexD"), 0, 1, 1, 2, 8, "d - - 0 - tau", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 3);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1270_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooScaleLOSM::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1270_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleLOSM::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1270_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooScaleLOSM::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1270_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooScaleLOSM::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1270_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1270_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleLOSM::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1270_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleLOSM::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1270_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleLOSM::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1270_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleLOSM::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooScaleLOSM", 1233, G__HiggsAnalysisCombinedLimit_yr_1270_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooScaleHGamGamLOSM(void) {
   /* RooScaleHGamGamLOSM */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM));
   G__memfunc_setup("RooScaleHGamGamLOSM",1733,G__HiggsAnalysisCombinedLimit_yr_1271_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooScaleHGamGamLOSM",1733,G__HiggsAnalysisCombinedLimit_yr_1271_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - mH u 'RooAbsReal' - 1 - ct "
"u 'RooAbsReal' - 1 - cW u 'RooAbsReal' - 1 - mb "
"u 'RooAbsReal' - 1 - cb", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1271_0_5, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooScaleHGamGamLOSM::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1271_0_6, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGamGamLOSM::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1271_0_7, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooScaleHGamGamLOSM::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1271_0_8, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooScaleHGamGamLOSM::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1271_0_12, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1271_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGamGamLOSM::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1271_0_14, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGamGamLOSM::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1271_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGamGamLOSM::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1271_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGamGamLOSM::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooScaleHGamGamLOSM", 1859, G__HiggsAnalysisCombinedLimit_yr_1271_0_17, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooScaleHGluGluLOSM(void) {
   /* RooScaleHGluGluLOSM */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM));
   G__memfunc_setup("RooScaleHGluGluLOSM",1771,G__HiggsAnalysisCombinedLimit_yr_1272_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooScaleHGluGluLOSM",1771,G__HiggsAnalysisCombinedLimit_yr_1272_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - mH u 'RooAbsReal' - 1 - ct "
"u 'RooAbsReal' - 1 - mb u 'RooAbsReal' - 1 - cb", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1272_0_5, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooScaleHGluGluLOSM::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1272_0_6, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGluGluLOSM::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1272_0_7, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooScaleHGluGluLOSM::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1272_0_8, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooScaleHGluGluLOSM::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1272_0_12, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1272_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGluGluLOSM::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1272_0_14, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGluGluLOSM::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1272_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGluGluLOSM::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1272_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGluGluLOSM::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooScaleHGluGluLOSM", 1897, G__HiggsAnalysisCombinedLimit_yr_1272_0_17, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooScaleHGamGamLOSMPlusX(void) {
   /* RooScaleHGamGamLOSMPlusX */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX));
   G__memfunc_setup("RooScaleHGamGamLOSMPlusX",2241,G__HiggsAnalysisCombinedLimit_yr_1273_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooScaleHGamGamLOSMPlusX",2241,G__HiggsAnalysisCombinedLimit_yr_1273_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - mH u 'RooAbsReal' - 1 - ct "
"u 'RooAbsReal' - 1 - cW u 'RooAbsReal' - 1 - mb "
"u 'RooAbsReal' - 1 - cb u 'RooAbsReal' - 1 - X", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1273_0_5, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooScaleHGamGamLOSMPlusX::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1273_0_6, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGamGamLOSMPlusX::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1273_0_7, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooScaleHGamGamLOSMPlusX::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1273_0_8, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooScaleHGamGamLOSMPlusX::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1273_0_12, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1273_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGamGamLOSMPlusX::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1273_0_14, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGamGamLOSMPlusX::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1273_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGamGamLOSMPlusX::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1273_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGamGamLOSMPlusX::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooScaleHGamGamLOSMPlusX", 2367, G__HiggsAnalysisCombinedLimit_yr_1273_0_17, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooScaleHGluGluLOSMPlusX(void) {
   /* RooScaleHGluGluLOSMPlusX */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX));
   G__memfunc_setup("RooScaleHGluGluLOSMPlusX",2279,G__HiggsAnalysisCombinedLimit_yr_1274_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooScaleHGluGluLOSMPlusX",2279,G__HiggsAnalysisCombinedLimit_yr_1274_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - mH u 'RooAbsReal' - 1 - ct "
"u 'RooAbsReal' - 1 - mb u 'RooAbsReal' - 1 - cb "
"u 'RooAbsReal' - 1 - X", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1274_0_5, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooScaleHGluGluLOSMPlusX::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1274_0_6, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGluGluLOSMPlusX::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1274_0_7, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooScaleHGluGluLOSMPlusX::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1274_0_8, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooScaleHGluGluLOSMPlusX::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1274_0_12, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1274_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGluGluLOSMPlusX::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1274_0_14, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGluGluLOSMPlusX::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1274_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooScaleHGluGluLOSMPlusX::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1274_0_16, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooScaleHGluGluLOSMPlusX::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooScaleHGluGluLOSMPlusX", 2405, G__HiggsAnalysisCombinedLimit_yr_1274_0_17, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncrVrFLikelihood(void) {
   /* rVrFLikelihood */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood));
   G__memfunc_setup("rVrFLikelihood",1412,G__HiggsAnalysisCombinedLimit_yr_1275_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("rVrFLikelihood",1412,G__HiggsAnalysisCombinedLimit_yr_1275_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood), -1, 0, 2, 1, 1, 0, 
"C - - 10 - name C - - 10 - title", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("addChannel",994,G__HiggsAnalysisCombinedLimit_yr_1275_0_3, 121, -1, -1, 0, 3, 1, 1, 0, 
"U 'TH2' - 10 - chi2 u 'RooAbsReal' - 1 - muV "
"u 'RooAbsReal' - 1 - muF", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1275_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&rVrFLikelihood::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1275_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&rVrFLikelihood::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1275_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&rVrFLikelihood::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1275_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&rVrFLikelihood::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1275_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1275_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&rVrFLikelihood::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1275_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&rVrFLikelihood::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1275_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&rVrFLikelihood::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1275_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&rVrFLikelihood::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~rVrFLikelihood", 1538, G__HiggsAnalysisCombinedLimit_yr_1275_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooMultiPdf(void) {
   /* RooMultiPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf));
   G__memfunc_setup("RooMultiPdf",1109,G__HiggsAnalysisCombinedLimit_yr_1281_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooMultiPdf",1109,G__HiggsAnalysisCombinedLimit_yr_1281_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooCategory' - 1 - - u 'RooArgList' - 11 - _c", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooMultiPdf",1109,G__HiggsAnalysisCombinedLimit_yr_1281_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooMultiPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("checkIndexDirty",1538,G__HiggsAnalysisCombinedLimit_yr_1281_0_5, 103, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getCorrection",1368,G__HiggsAnalysisCombinedLimit_yr_1281_0_6, 100, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getCurrentPdf",1341,G__HiggsAnalysisCombinedLimit_yr_1281_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getNumPdfs",1021,G__HiggsAnalysisCombinedLimit_yr_1281_0_8, 105, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setCorrectionFactor",1987,G__HiggsAnalysisCombinedLimit_yr_1281_0_9, 121, -1, -1, 0, 1, 1, 1, 0, "i 'RooMultiPdf::PenatlyScheme' - 0 - penal", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getCurrentIndex",1563,G__HiggsAnalysisCombinedLimit_yr_1281_0_10, 105, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getPdf",602,G__HiggsAnalysisCombinedLimit_yr_1281_0_11, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf), -1, 0, 1, 1, 1, 8, "i - - 0 - index", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getValV",697,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "U 'RooArgSet' - 10 - nset", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("printValue",1066,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 8, "u 'basic_ostream<char,char_traits<char> >' 'ostream' 1 - os", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getLogVal",901,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 2, 8, "U 'RooArgSet' - 10 '0' set", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1281_0_16, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooMultiPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1281_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooMultiPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1281_0_18, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooMultiPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1281_0_19, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooMultiPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1281_0_23, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1281_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooMultiPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1281_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooMultiPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1281_0_26, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooMultiPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1281_0_27, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooMultiPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooMultiPdf", 1235, G__HiggsAnalysisCombinedLimit_yr_1281_0_28, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooParametricHist(void) {
   /* RooParametricHist */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist));
   G__memfunc_setup("RooParametricHist",1744,G__HiggsAnalysisCombinedLimit_yr_1285_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooParametricHist",1744,G__HiggsAnalysisCombinedLimit_yr_1285_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooArgList' - 1 - _pars "
"u 'TH1' - 11 - _shape", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooParametricHist",1744,G__HiggsAnalysisCombinedLimit_yr_1285_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist), -1, 0, 2, 1, 1, 0, 
"u 'RooParametricHist' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - - C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initializeBins",1470,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 8, "u 'TH1' - 11 - -", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getFullSum",1032,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("update_cval",1160,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 1, 1, 2, 0, "d - - 0 - r", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1285_0_11, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooParametricHist::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1285_0_12, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooParametricHist::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1285_0_13, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooParametricHist::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1285_0_14, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooParametricHist::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1285_0_18, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1285_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooParametricHist::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1285_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooParametricHist::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1285_0_21, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooParametricHist::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1285_0_22, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooParametricHist::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooParametricHist", 1870, G__HiggsAnalysisCombinedLimit_yr_1285_0_23, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncSimpleGaussianConstraint(void) {
   /* SimpleGaussianConstraint */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint));
   G__memfunc_setup("SimpleGaussianConstraint",2506,G__HiggsAnalysisCombinedLimit_yr_1290_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleGaussianConstraint",2506,G__HiggsAnalysisCombinedLimit_yr_1290_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _mean "
"u 'RooAbsReal' - 1 - _sigma", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleGaussianConstraint",2506,G__HiggsAnalysisCombinedLimit_yr_1290_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint), -1, 0, 2, 1, 1, 0, 
"u 'SimpleGaussianConstraint' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("SimpleGaussianConstraint",2506,G__HiggsAnalysisCombinedLimit_yr_1290_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint), -1, 0, 1, 1, 1, 0, "u 'RooGaussian' - 11 - g", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getLogValFast",1299,G__HiggsAnalysisCombinedLimit_yr_1290_0_6, 100, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("make",414,G__HiggsAnalysisCombinedLimit_yr_1290_0_7, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussian), -1, 0, 1, 3, 1, 0, "u 'RooGaussian' - 1 - c", (char*)NULL, (void*) G__func2void( (RooGaussian* (*)(RooGaussian&))(&SimpleGaussianConstraint::make) ), 0);
   G__memfunc_setup("init",436,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 4, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1290_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&SimpleGaussianConstraint::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1290_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&SimpleGaussianConstraint::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1290_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&SimpleGaussianConstraint::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1290_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&SimpleGaussianConstraint::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1290_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1290_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&SimpleGaussianConstraint::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1290_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&SimpleGaussianConstraint::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1290_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&SimpleGaussianConstraint::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1290_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&SimpleGaussianConstraint::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~SimpleGaussianConstraint", 2632, G__HiggsAnalysisCombinedLimit_yr_1290_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooStatscLcLHistFactorycLcLRooBSplineBases(void) {
   /* RooStats::HistFactory::RooBSplineBases */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases));
   G__memfunc_setup("RooBSplineBases",1483,G__HiggsAnalysisCombinedLimit_yr_1292_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBSplineBases",1483,G__HiggsAnalysisCombinedLimit_yr_1292_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"i - - 0 - order u 'vector<double,allocator<double> >' 'vector<double>' 1 - tValues "
"u 'RooAbsReal' - 1 - t i - - 0 '0' nrClose", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBSplineBases",1483,G__HiggsAnalysisCombinedLimit_yr_1292_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases), -1, 0, 2, 1, 1, 0, 
"C - - 10 - name C - - 10 - title", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBSplineBases",1483,G__HiggsAnalysisCombinedLimit_yr_1292_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases), -1, 0, 2, 1, 1, 0, 
"u 'RooStats::HistFactory::RooBSplineBases' - 11 - - C - - 10 - -", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getOrder",828,G__HiggsAnalysisCombinedLimit_yr_1292_0_6, 105, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getBasisVal",1109,G__HiggsAnalysisCombinedLimit_yr_1292_0_7, 100, -1, G__defined_typename("Double_t"), 0, 3, 1, 1, 8, 
"i - - 0 - n i - - 0 - i "
"g - - 0 'true' rebuild", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getTValues",1028,G__HiggsAnalysisCombinedLimit_yr_1292_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR), G__defined_typename("vector<double>"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getTAry",704,G__HiggsAnalysisCombinedLimit_yr_1292_0_9, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR), G__defined_typename("vector<double>"), 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("buildTAry",912,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1292_0_12, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooStats::HistFactory::RooBSplineBases::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1292_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStats::HistFactory::RooBSplineBases::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1292_0_14, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooStats::HistFactory::RooBSplineBases::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1292_0_15, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooStats::HistFactory::RooBSplineBases::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1292_0_19, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1292_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStats::HistFactory::RooBSplineBases::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1292_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStats::HistFactory::RooBSplineBases::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1292_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStats::HistFactory::RooBSplineBases::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1292_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStats::HistFactory::RooBSplineBases::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBSplineBases", 1609, G__HiggsAnalysisCombinedLimit_yr_1292_0_24, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooStatscLcLHistFactorycLcLRooBSpline(void) {
   /* RooStats::HistFactory::RooBSpline */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline));
   G__memfunc_setup("RooBSpline",989,G__HiggsAnalysisCombinedLimit_yr_1295_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBSpline",989,G__HiggsAnalysisCombinedLimit_yr_1295_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooArgList' - 11 - controlPoints u 'RooStats::HistFactory::RooBSplineBases' - 1 - bases "
"u 'RooArgSet' - 11 - vars", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBSpline",989,G__HiggsAnalysisCombinedLimit_yr_1295_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline), -1, 0, 2, 1, 1, 0, 
"C - - 10 - name C - - 10 - title", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBSpline",989,G__HiggsAnalysisCombinedLimit_yr_1295_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline), -1, 0, 2, 1, 1, 0, 
"u 'RooStats::HistFactory::RooBSpline' - 11 - - C - - 10 - -", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("setWeights",1063,G__HiggsAnalysisCombinedLimit_yr_1295_0_6, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooArgList' - 11 - weights", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setBinIntegrator",1668,G__HiggsAnalysisCombinedLimit_yr_1295_0_7, 103, -1, G__defined_typename("Bool_t"), 0, 1, 1, 1, 0, "u 'RooArgSet' - 1 - allVars", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getAnalyticalIntegralWN",2333,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 4, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"U 'RooArgSet' - 10 - normSet C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegralWN",2045,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 3, 1, 1, 8, 
"i - 'Int_t' 0 - code U 'RooArgSet' - 10 - normSet "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getControlPoints",1694,G__HiggsAnalysisCombinedLimit_yr_1295_0_10, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getBases",814,G__HiggsAnalysisCombinedLimit_yr_1295_0_11, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getOrder",828,G__HiggsAnalysisCombinedLimit_yr_1295_0_12, 105, -1, -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1295_0_14, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooStats::HistFactory::RooBSpline::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1295_0_15, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStats::HistFactory::RooBSpline::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1295_0_16, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooStats::HistFactory::RooBSpline::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1295_0_17, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooStats::HistFactory::RooBSpline::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1295_0_21, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1295_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStats::HistFactory::RooBSpline::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1295_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStats::HistFactory::RooBSpline::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1295_0_24, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStats::HistFactory::RooBSpline::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1295_0_25, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStats::HistFactory::RooBSpline::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBSpline", 1115, G__HiggsAnalysisCombinedLimit_yr_1295_0_26, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooParamKeysPdf(void) {
   /* RooParamKeysPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf));
   G__memfunc_setup("RooParamKeysPdf",1495,G__HiggsAnalysisCombinedLimit_yr_1297_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooParamKeysPdf",1495,G__HiggsAnalysisCombinedLimit_yr_1297_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooAbsReal' - 1 - deltax "
"u 'RooDataSet' - 1 - data i 'RooParamKeysPdf::Mirror' - 0 'NoMirror' mirror "
"d - 'Double_t' 0 '1' rho i - 'Int_t' 0 '1000' nPoints", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooParamKeysPdf",1495,G__HiggsAnalysisCombinedLimit_yr_1297_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf), -1, 0, 10, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooAbsReal' - 1 - deltax "
"d - - 0 - centralValue u 'RooAbsReal' - 1 - multiplicativeShift "
"u 'RooDataSet' - 1 - data i 'RooParamKeysPdf::Mirror' - 0 'NoMirror' mirror "
"d - 'Double_t' 0 '1' rho i - 'Int_t' 0 '1000' nPoints", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooParamKeysPdf",1495,G__HiggsAnalysisCombinedLimit_yr_1297_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooParamKeysPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("LoadDataSet",1062,G__HiggsAnalysisCombinedLimit_yr_1297_0_6, 121, -1, -1, 0, 1, 1, 1, 0, "u 'RooDataSet' - 1 - data", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluateFull",1258,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 1, 1, 4, 8, "d - 'Double_t' 0 - x", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("g",103,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 2, 1, 4, 8, 
"d - 'Double_t' 0 - x d - 'Double_t' 0 - sigma", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1297_0_12, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooParamKeysPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1297_0_13, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooParamKeysPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1297_0_14, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooParamKeysPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1297_0_15, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooParamKeysPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1297_0_19, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1297_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooParamKeysPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1297_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooParamKeysPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1297_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooParamKeysPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1297_0_23, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooParamKeysPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooParamKeysPdf", 1621, G__HiggsAnalysisCombinedLimit_yr_1297_0_24, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooStarMomentMorph(void) {
   /* RooStarMomentMorph */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph));
   G__memfunc_setup("RooStarMomentMorph",1856,G__HiggsAnalysisCombinedLimit_yr_1299_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooStarMomentMorph",1856,G__HiggsAnalysisCombinedLimit_yr_1299_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooArgList' - 11 - parList u 'RooArgList' - 11 - obsList "
"u 'RooArgList' - 11 - pdfList u 'vector<int,allocator<int> >' 'vector<int>' 11 - nnuispoints "
"u 'vector<double,allocator<double> >' 'vector<double>' 11 - nrefpoints i 'RooStarMomentMorph::Setting' - 11 'NonLinearPosFractions' setting", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooStarMomentMorph",1856,G__HiggsAnalysisCombinedLimit_yr_1299_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph), -1, 0, 2, 1, 1, 0, 
"u 'RooStarMomentMorph' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("setMode",721,G__HiggsAnalysisCombinedLimit_yr_1299_0_5, 121, -1, -1, 0, 1, 1, 1, 0, "i 'RooStarMomentMorph::Setting' - 11 - setting", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("nnuisSize",968,G__HiggsAnalysisCombinedLimit_yr_1299_0_6, 105, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("selfNormalized",1471,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getVal",611,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 1, 1, 1, 8, "U 'RooArgSet' - 10 '0' set", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("sumPdf",623,G__HiggsAnalysisCombinedLimit_yr_1299_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf), -1, 0, 1, 1, 1, 0, "U 'RooArgSet' - 10 - nset", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("setBinIntegrator",1668,G__HiggsAnalysisCombinedLimit_yr_1299_0_10, 103, -1, G__defined_typename("Bool_t"), 0, 1, 1, 1, 0, "u 'RooArgSet' - 1 - allVars", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("useHorizontalMorphing",2235,G__HiggsAnalysisCombinedLimit_yr_1299_0_11, 121, -1, -1, 0, 1, 1, 1, 0, "g - 'Bool_t' 0 - val", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("fixCache",795,G__HiggsAnalysisCombinedLimit_yr_1299_0_12, 121, -1, -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("canNodeBeCached",1431,(G__InterfaceMethod) NULL,105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArgcLcLCacheMode), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("initialize",1074,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getCache",788,(G__InterfaceMethod) NULL, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLCacheElem), -1, 0, 1, 1, 2, 8, "U 'RooArgSet' - 10 - nset", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("ij",211,(G__InterfaceMethod) NULL, 105, -1, G__defined_typename("Int_t"), 0, 2, 1, 2, 8, 
"i - 'Int_t' 11 - i i - 'Int_t' 11 - j", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("ijhi",420,(G__InterfaceMethod) NULL, 105, -1, G__defined_typename("Int_t"), 0, 2, 1, 2, 8, 
"i - 'Int_t' 11 - i d - - 11 - nval", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("ijlo",430,(G__InterfaceMethod) NULL, 105, -1, G__defined_typename("Int_t"), 0, 2, 1, 2, 8, 
"i - 'Int_t' 11 - i d - - 11 - nval", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("sij",326,(G__InterfaceMethod) NULL, 105, -1, G__defined_typename("Int_t"), 0, 2, 1, 2, 8, 
"i - 'Int_t' 11 - i i - 'Int_t' 11 - j", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1299_0_21, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooStarMomentMorph::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1299_0_22, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStarMomentMorph::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1299_0_23, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooStarMomentMorph::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1299_0_24, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooStarMomentMorph::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1299_0_28, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1299_0_29, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStarMomentMorph::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1299_0_30, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStarMomentMorph::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1299_0_31, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooStarMomentMorph::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1299_0_32, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooStarMomentMorph::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooStarMomentMorph", 1982, G__HiggsAnalysisCombinedLimit_yr_1299_0_33, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncHZZ4L_RooSpinZeroPdf(void) {
   /* HZZ4L_RooSpinZeroPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf));
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf",1887,G__HiggsAnalysisCombinedLimit_yr_1302_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf",1887,G__HiggsAnalysisCombinedLimit_yr_1302_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf), -1, 0, 7, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _kd u 'RooAbsReal' - 1 - _kdint "
"u 'RooAbsReal' - 1 - _ksmd u 'RooAbsReal' - 1 - _fai "
"u 'RooArgList' - 11 - inCoefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf",1887,G__HiggsAnalysisCombinedLimit_yr_1302_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf), -1, 0, 2, 1, 1, 0, 
"u 'HZZ4L_RooSpinZeroPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_1302_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1302_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&HZZ4L_RooSpinZeroPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1302_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1302_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&HZZ4L_RooSpinZeroPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1302_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&HZZ4L_RooSpinZeroPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1302_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1302_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1302_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&HZZ4L_RooSpinZeroPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1302_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1302_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&HZZ4L_RooSpinZeroPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~HZZ4L_RooSpinZeroPdf", 2013, G__HiggsAnalysisCombinedLimit_yr_1302_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncHZZ4L_RooSpinZeroPdf_phase(void) {
   /* HZZ4L_RooSpinZeroPdf_phase */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase));
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf_phase",2511,G__HiggsAnalysisCombinedLimit_yr_1303_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf_phase",2511,G__HiggsAnalysisCombinedLimit_yr_1303_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase), -1, 0, 8, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _kd u 'RooAbsReal' - 1 - _kdint "
"u 'RooAbsReal' - 1 - _ksmd u 'RooAbsReal' - 1 - _fai "
"u 'RooAbsReal' - 1 - _phi u 'RooArgList' - 11 - inCoefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf_phase",2511,G__HiggsAnalysisCombinedLimit_yr_1303_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase), -1, 0, 2, 1, 1, 0, 
"u 'HZZ4L_RooSpinZeroPdf_phase' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_1303_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1303_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&HZZ4L_RooSpinZeroPdf_phase::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1303_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf_phase::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1303_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&HZZ4L_RooSpinZeroPdf_phase::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1303_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&HZZ4L_RooSpinZeroPdf_phase::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1303_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1303_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf_phase::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1303_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&HZZ4L_RooSpinZeroPdf_phase::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1303_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf_phase::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1303_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&HZZ4L_RooSpinZeroPdf_phase::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~HZZ4L_RooSpinZeroPdf_phase", 2637, G__HiggsAnalysisCombinedLimit_yr_1303_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncHZZ4L_RooSpinZeroPdf_2D(void) {
   /* HZZ4L_RooSpinZeroPdf_2D */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D));
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf_2D",2100,G__HiggsAnalysisCombinedLimit_yr_1304_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf_2D",2100,G__HiggsAnalysisCombinedLimit_yr_1304_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D), -1, 0, 10, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _kd u 'RooAbsReal' - 1 - _kdint "
"u 'RooAbsReal' - 1 - _ksmd u 'RooAbsReal' - 1 - _fai1 "
"u 'RooAbsReal' - 1 - _fai2 u 'RooAbsReal' - 1 - _phi1 "
"u 'RooAbsReal' - 1 - _phi2 u 'RooArgList' - 11 - inCoefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("HZZ4L_RooSpinZeroPdf_2D",2100,G__HiggsAnalysisCombinedLimit_yr_1304_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D), -1, 0, 2, 1, 1, 0, 
"u 'HZZ4L_RooSpinZeroPdf_2D' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("coefList",825,G__HiggsAnalysisCombinedLimit_yr_1304_0_8, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList), -1, 1, 0, 1, 1, 9, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1304_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&HZZ4L_RooSpinZeroPdf_2D::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1304_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf_2D::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1304_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&HZZ4L_RooSpinZeroPdf_2D::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1304_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&HZZ4L_RooSpinZeroPdf_2D::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1304_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1304_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf_2D::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1304_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&HZZ4L_RooSpinZeroPdf_2D::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1304_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&HZZ4L_RooSpinZeroPdf_2D::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1304_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&HZZ4L_RooSpinZeroPdf_2D::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~HZZ4L_RooSpinZeroPdf_2D", 2226, G__HiggsAnalysisCombinedLimit_yr_1304_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooChebyshevPDF(void) {
   /* RooChebyshevPDF */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF));
   G__memfunc_setup("RooChebyshevPDF",1451,G__HiggsAnalysisCombinedLimit_yr_1307_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooChebyshevPDF",1451,G__HiggsAnalysisCombinedLimit_yr_1307_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - var u 'RooArgList' - 1 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooChebyshevPDF",1451,G__HiggsAnalysisCombinedLimit_yr_1307_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF), -1, 0, 2, 1, 1, 0, 
"u 'RooChebyshevPDF' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ChebyshevP",1009,G__HiggsAnalysisCombinedLimit_yr_1307_0_7, 100, -1, G__defined_typename("Double_t"), 0, 2, 3, 1, 0, 
"i - 'Int_t' 0 - order d - 'Double_t' 0 - v", (char*)NULL, (void*) G__func2void( (Double_t (*)(Int_t, Double_t))(&RooChebyshevPDF::ChebyshevP) ), 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1307_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooChebyshevPDF::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1307_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooChebyshevPDF::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1307_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooChebyshevPDF::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1307_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooChebyshevPDF::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1307_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1307_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooChebyshevPDF::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1307_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooChebyshevPDF::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1307_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooChebyshevPDF::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1307_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooChebyshevPDF::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooChebyshevPDF", 1577, G__HiggsAnalysisCombinedLimit_yr_1307_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooErfPdf(void) {
   /* RooErfPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf));
   G__memfunc_setup("RooErfPdf",871,G__HiggsAnalysisCombinedLimit_yr_1308_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPdf",871,G__HiggsAnalysisCombinedLimit_yr_1308_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _turnOn "
"u 'RooAbsReal' - 1 - _width i - - 0 '1' _onOff", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooErfPdf",871,G__HiggsAnalysisCombinedLimit_yr_1308_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooErfPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("printMultiline",1504,(G__InterfaceMethod) NULL,121, -1, -1, 0, 4, 1, 1, 8, 
"u 'basic_ostream<char,char_traits<char> >' 'ostream' 1 - os i - 'Int_t' 0 - contents "
"g - 'Bool_t' 0 'kFALSE' verbose u 'TString' - 0 '\"\"' indent", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("indefErfIntegral",1625,(G__InterfaceMethod) NULL, 100, -1, -1, 0, 1, 1, 2, 8, "d - - 0 - val", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1308_0_10, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooErfPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1308_0_11, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1308_0_12, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooErfPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1308_0_13, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooErfPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1308_0_17, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1308_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1308_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1308_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooErfPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1308_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooErfPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooErfPdf", 997, G__HiggsAnalysisCombinedLimit_yr_1308_0_22, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooPowerExpPdf(void) {
   /* RooPowerExpPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf));
   G__memfunc_setup("RooPowerExpPdf",1412,G__HiggsAnalysisCombinedLimit_yr_1309_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowerExpPdf",1412,G__HiggsAnalysisCombinedLimit_yr_1309_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _c "
"u 'RooAbsReal' - 1 - _power", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowerExpPdf",1412,G__HiggsAnalysisCombinedLimit_yr_1309_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooPowerExpPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1309_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooPowerExpPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1309_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerExpPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1309_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooPowerExpPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1309_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooPowerExpPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1309_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1309_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerExpPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1309_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowerExpPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1309_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerExpPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1309_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowerExpPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooPowerExpPdf", 1538, G__HiggsAnalysisCombinedLimit_yr_1309_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooTH1DPdf(void) {
   /* RooTH1DPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf));
   G__memfunc_setup("RooTH1DPdf",859,G__HiggsAnalysisCombinedLimit_yr_1310_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTH1DPdf",859,G__HiggsAnalysisCombinedLimit_yr_1310_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf), -1, 0, 5, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'TH1D' - 1 - _hist "
"g - - 0 'false' _interpolate", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooTH1DPdf",859,G__HiggsAnalysisCombinedLimit_yr_1310_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooTH1DPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getHist",728,G__HiggsAnalysisCombinedLimit_yr_1310_0_5, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1D), -1, 1, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1310_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooTH1DPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1310_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTH1DPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1310_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooTH1DPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1310_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooTH1DPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1310_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1310_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTH1DPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1310_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTH1DPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1310_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooTH1DPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1310_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooTH1DPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooTH1DPdf", 985, G__HiggsAnalysisCombinedLimit_yr_1310_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooPowerFunction(void) {
   /* RooPowerFunction */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction));
   G__memfunc_setup("RooPowerFunction",1667,G__HiggsAnalysisCombinedLimit_yr_1311_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowerFunction",1667,G__HiggsAnalysisCombinedLimit_yr_1311_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _r", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowerFunction",1667,G__HiggsAnalysisCombinedLimit_yr_1311_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction), -1, 0, 2, 1, 1, 0, 
"u 'RooPowerFunction' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1311_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooPowerFunction::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1311_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerFunction::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1311_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooPowerFunction::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1311_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooPowerFunction::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1311_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1311_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerFunction::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1311_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowerFunction::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1311_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerFunction::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1311_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowerFunction::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooPowerFunction", 1793, G__HiggsAnalysisCombinedLimit_yr_1311_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooPowerLaw(void) {
   /* RooPowerLaw */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw));
   G__memfunc_setup("RooPowerLaw",1121,G__HiggsAnalysisCombinedLimit_yr_1312_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowerLaw",1121,G__HiggsAnalysisCombinedLimit_yr_1312_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _power", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooPowerLaw",1121,G__HiggsAnalysisCombinedLimit_yr_1312_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw), -1, 0, 2, 1, 1, 0, 
"u 'RooPowerLaw' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - anVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1312_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooPowerLaw::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1312_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerLaw::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1312_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooPowerLaw::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1312_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooPowerLaw::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1312_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1312_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerLaw::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1312_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowerLaw::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1312_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooPowerLaw::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1312_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooPowerLaw::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooPowerLaw", 1247, G__HiggsAnalysisCombinedLimit_yr_1312_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooExpPoly(void) {
   /* RooExpPoly */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly));
   G__memfunc_setup("RooExpPoly",1025,G__HiggsAnalysisCombinedLimit_yr_1313_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooExpPoly",1025,G__HiggsAnalysisCombinedLimit_yr_1313_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooArgList' - 1 - _coefs", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooExpPoly",1025,G__HiggsAnalysisCombinedLimit_yr_1313_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly), -1, 0, 2, 1, 1, 0, 
"u 'RooExpPoly' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("erfi",422,G__HiggsAnalysisCombinedLimit_yr_1313_0_7, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR), G__defined_typename("RooExpPoly::DoubleComplex_t"), 0, 1, 3, 1, 0, "u 'complex<double>' 'RooExpPoly::DoubleComplex_t' 0 - xval", (char*)NULL, (void*) G__func2void( (RooExpPoly::DoubleComplex_t (*)(RooExpPoly::DoubleComplex_t))(&RooExpPoly::erfi) ), 0);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1313_0_9, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooExpPoly::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1313_0_10, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpPoly::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1313_0_11, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooExpPoly::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1313_0_12, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooExpPoly::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1313_0_16, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1313_0_17, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpPoly::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1313_0_18, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooExpPoly::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1313_0_19, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooExpPoly::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1313_0_20, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooExpPoly::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooExpPoly", 1151, G__HiggsAnalysisCombinedLimit_yr_1313_0_21, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooMorphingPdf(void) {
   /* RooMorphingPdf */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf));
   G__memfunc_setup("SetAxisInfo",1101,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("Init",404,(G__InterfaceMethod) NULL, 121, -1, -1, 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("morph",550,(G__InterfaceMethod) NULL, 117, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate), -1, 0, 5, 1, 2, 8, 
"u 'FastTemplate' - 41 - hist1 u 'FastTemplate' - 41 - hist2 "
"d - - 0 - par1 d - - 0 - par2 "
"d - - 0 - parinterp", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooMorphingPdf",1422,G__HiggsAnalysisCombinedLimit_yr_1314_0_4, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooMorphingPdf",1422,G__HiggsAnalysisCombinedLimit_yr_1314_0_5, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf), -1, 0, 9, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooRealVar' - 1 - x u 'RooAbsReal' - 1 - mh "
"u 'RooArgList' - 41 - pdfs u 'vector<double,allocator<double> >' 'vector<double>' 41 - masses "
"g - - 41 - can_morph u 'TAxis' - 41 - target_axis "
"u 'TAxis' - 41 - morph_axis", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooMorphingPdf",1422,G__HiggsAnalysisCombinedLimit_yr_1314_0_6, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf), -1, 0, 2, 1, 1, 0, 
"u 'RooMorphingPdf' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("selfNormalized",1471,(G__InterfaceMethod) NULL,103, -1, G__defined_typename("Bool_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1314_0_10, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooMorphingPdf::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1314_0_11, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooMorphingPdf::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1314_0_12, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooMorphingPdf::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1314_0_13, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooMorphingPdf::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1314_0_17, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1314_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooMorphingPdf::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1314_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooMorphingPdf::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1314_0_20, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooMorphingPdf::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1314_0_21, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooMorphingPdf::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooMorphingPdf", 1548, G__HiggsAnalysisCombinedLimit_yr_1314_0_22, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncGaussExp(void) {
   /* GaussExp */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp));
   G__memfunc_setup("GaussExp",816,G__HiggsAnalysisCombinedLimit_yr_1323_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GaussExp",816,G__HiggsAnalysisCombinedLimit_yr_1323_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp), -1, 0, 6, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - _x u 'RooAbsReal' - 1 - _p0 "
"u 'RooAbsReal' - 1 - _p1 u 'RooAbsReal' - 1 - _p2", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("GaussExp",816,G__HiggsAnalysisCombinedLimit_yr_1323_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp), -1, 0, 2, 1, 1, 0, 
"u 'GaussExp' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1323_0_6, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&GaussExp::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1323_0_7, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&GaussExp::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1323_0_8, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&GaussExp::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1323_0_9, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&GaussExp::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1323_0_13, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1323_0_14, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&GaussExp::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1323_0_15, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&GaussExp::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1323_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&GaussExp::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1323_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&GaussExp::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~GaussExp", 942, G__HiggsAnalysisCombinedLimit_yr_1323_0_18, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 0);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE1gR(void) {
   /* RooBernsteinFast<1> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR));
   G__memfunc_setup("RooBernsteinFast<1>",1811,G__HiggsAnalysisCombinedLimit_yr_1324_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<1>",1811,G__HiggsAnalysisCombinedLimit_yr_1324_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<1>",1811,G__HiggsAnalysisCombinedLimit_yr_1324_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<1>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1324_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<1>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1324_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<1>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1324_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<1>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1324_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<1>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1324_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1324_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<1>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1324_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<1>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1324_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<1>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1324_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<1>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<1>", 1937, G__HiggsAnalysisCombinedLimit_yr_1324_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE2gR(void) {
   /* RooBernsteinFast<2> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR));
   G__memfunc_setup("RooBernsteinFast<2>",1812,G__HiggsAnalysisCombinedLimit_yr_1333_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<2>",1812,G__HiggsAnalysisCombinedLimit_yr_1333_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<2>",1812,G__HiggsAnalysisCombinedLimit_yr_1333_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<2>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1333_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<2>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1333_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<2>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1333_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<2>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1333_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<2>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1333_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1333_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<2>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1333_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<2>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1333_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<2>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1333_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<2>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<2>", 1938, G__HiggsAnalysisCombinedLimit_yr_1333_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE3gR(void) {
   /* RooBernsteinFast<3> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR));
   G__memfunc_setup("RooBernsteinFast<3>",1813,G__HiggsAnalysisCombinedLimit_yr_1341_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<3>",1813,G__HiggsAnalysisCombinedLimit_yr_1341_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<3>",1813,G__HiggsAnalysisCombinedLimit_yr_1341_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<3>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1341_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<3>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1341_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<3>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1341_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<3>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1341_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<3>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1341_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1341_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<3>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1341_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<3>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1341_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<3>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1341_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<3>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<3>", 1939, G__HiggsAnalysisCombinedLimit_yr_1341_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE4gR(void) {
   /* RooBernsteinFast<4> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR));
   G__memfunc_setup("RooBernsteinFast<4>",1814,G__HiggsAnalysisCombinedLimit_yr_1350_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<4>",1814,G__HiggsAnalysisCombinedLimit_yr_1350_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<4>",1814,G__HiggsAnalysisCombinedLimit_yr_1350_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<4>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1350_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<4>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1350_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<4>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1350_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<4>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1350_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<4>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1350_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1350_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<4>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1350_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<4>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1350_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<4>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1350_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<4>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<4>", 1940, G__HiggsAnalysisCombinedLimit_yr_1350_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE5gR(void) {
   /* RooBernsteinFast<5> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR));
   G__memfunc_setup("RooBernsteinFast<5>",1815,G__HiggsAnalysisCombinedLimit_yr_1359_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<5>",1815,G__HiggsAnalysisCombinedLimit_yr_1359_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<5>",1815,G__HiggsAnalysisCombinedLimit_yr_1359_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<5>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1359_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<5>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1359_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<5>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1359_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<5>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1359_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<5>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1359_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1359_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<5>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1359_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<5>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1359_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<5>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1359_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<5>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<5>", 1941, G__HiggsAnalysisCombinedLimit_yr_1359_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE6gR(void) {
   /* RooBernsteinFast<6> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR));
   G__memfunc_setup("RooBernsteinFast<6>",1816,G__HiggsAnalysisCombinedLimit_yr_1367_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<6>",1816,G__HiggsAnalysisCombinedLimit_yr_1367_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<6>",1816,G__HiggsAnalysisCombinedLimit_yr_1367_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<6>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1367_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<6>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1367_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<6>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1367_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<6>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1367_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<6>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1367_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1367_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<6>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1367_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<6>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1367_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<6>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1367_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<6>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<6>", 1942, G__HiggsAnalysisCombinedLimit_yr_1367_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}

static void G__setup_memfuncRooBernsteinFastlE7gR(void) {
   /* RooBernsteinFast<7> */
   G__tag_memfunc_setup(G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR));
   G__memfunc_setup("RooBernsteinFast<7>",1817,G__HiggsAnalysisCombinedLimit_yr_1376_0_1, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR), -1, 0, 0, 1, 1, 0, "", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<7>",1817,G__HiggsAnalysisCombinedLimit_yr_1376_0_2, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR), -1, 0, 4, 1, 1, 0, 
"C - - 10 - name C - - 10 - title "
"u 'RooAbsReal' - 1 - x u 'RooArgList' - 11 - coefList", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("RooBernsteinFast<7>",1817,G__HiggsAnalysisCombinedLimit_yr_1376_0_3, 105, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR), -1, 0, 2, 1, 1, 0, 
"u 'RooBernsteinFast<7>' - 11 - other C - - 10 '0' name", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("clone",529,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TObject), -1, 0, 1, 1, 1, 8, "C - - 10 - newname", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("getAnalyticalIntegral",2168,(G__InterfaceMethod) NULL,105, -1, G__defined_typename("Int_t"), 0, 3, 1, 1, 8, 
"u 'RooArgSet' - 1 - allVars u 'RooArgSet' - 1 - analVars "
"C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("analyticalIntegral",1880,(G__InterfaceMethod) NULL,100, -1, G__defined_typename("Double_t"), 0, 2, 1, 1, 8, 
"i - 'Int_t' 0 - code C - - 10 '0' rangeName", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("evaluate",855,(G__InterfaceMethod) NULL, 100, -1, G__defined_typename("Double_t"), 0, 0, 1, 2, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Class",502,G__HiggsAnalysisCombinedLimit_yr_1376_0_8, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (TClass* (*)())(&RooBernsteinFast<7>::Class) ), 0);
   G__memfunc_setup("Class_Name",982,G__HiggsAnalysisCombinedLimit_yr_1376_0_9, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<7>::Class_Name) ), 0);
   G__memfunc_setup("Class_Version",1339,G__HiggsAnalysisCombinedLimit_yr_1376_0_10, 115, -1, G__defined_typename("Version_t"), 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (Version_t (*)())(&RooBernsteinFast<7>::Class_Version) ), 0);
   G__memfunc_setup("Dictionary",1046,G__HiggsAnalysisCombinedLimit_yr_1376_0_11, 121, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (void (*)())(&RooBernsteinFast<7>::Dictionary) ), 0);
   G__memfunc_setup("IsA",253,(G__InterfaceMethod) NULL,85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TClass), -1, 0, 0, 1, 1, 8, "", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("ShowMembers",1132,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TMemberInspector' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("Streamer",835,(G__InterfaceMethod) NULL,121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - -", (char*)NULL, (void*) NULL, 1);
   G__memfunc_setup("StreamerNVirtual",1656,G__HiggsAnalysisCombinedLimit_yr_1376_0_15, 121, -1, -1, 0, 1, 1, 1, 0, "u 'TBuffer' - 1 - ClassDef_StreamerNVirtual_b", (char*)NULL, (void*) NULL, 0);
   G__memfunc_setup("DeclFileName",1145,G__HiggsAnalysisCombinedLimit_yr_1376_0_16, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<7>::DeclFileName) ), 0);
   G__memfunc_setup("ImplFileLine",1178,G__HiggsAnalysisCombinedLimit_yr_1376_0_17, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<7>::ImplFileLine) ), 0);
   G__memfunc_setup("ImplFileName",1171,G__HiggsAnalysisCombinedLimit_yr_1376_0_18, 67, -1, -1, 0, 0, 3, 1, 1, "", (char*)NULL, (void*) G__func2void( (const char* (*)())(&RooBernsteinFast<7>::ImplFileName) ), 0);
   G__memfunc_setup("DeclFileLine",1152,G__HiggsAnalysisCombinedLimit_yr_1376_0_19, 105, -1, -1, 0, 0, 3, 1, 0, "", (char*)NULL, (void*) G__func2void( (int (*)())(&RooBernsteinFast<7>::DeclFileLine) ), 0);
   // automatic destructor
   G__memfunc_setup("~RooBernsteinFast<7>", 1943, G__HiggsAnalysisCombinedLimit_yr_1376_0_20, (int) ('y'), -1, -1, 0, 0, 1, 1, 0, "", (char*) NULL, (void*) NULL, 1);
   G__tag_memfunc_reset();
}


/*********************************************************
* Member function information setup
*********************************************************/
extern "C" void G__cpp_setup_memfuncHiggsAnalysisCombinedLimit_yr() {
}

/*********************************************************
* Global variable information setup for each class
*********************************************************/
static void G__cpp_setup_global0() {

   /* Setting up global variables */
   G__resetplocal();

}

static void G__cpp_setup_global1() {
}

static void G__cpp_setup_global2() {

   G__resetglobalenv();
}
extern "C" void G__cpp_setup_globalHiggsAnalysisCombinedLimit_yr() {
  G__cpp_setup_global0();
  G__cpp_setup_global1();
  G__cpp_setup_global2();
}

/*********************************************************
* Global function information setup for each class
*********************************************************/
static void G__cpp_setup_func0() {
   G__lastifuncposition();

}

static void G__cpp_setup_func1() {
}

static void G__cpp_setup_func2() {
}

static void G__cpp_setup_func3() {
}

static void G__cpp_setup_func4() {
}

static void G__cpp_setup_func5() {
}

static void G__cpp_setup_func6() {
}

static void G__cpp_setup_func7() {
}

static void G__cpp_setup_func8() {
}

static void G__cpp_setup_func9() {
}

static void G__cpp_setup_func10() {
}

static void G__cpp_setup_func11() {
}

static void G__cpp_setup_func12() {
}

static void G__cpp_setup_func13() {
}

static void G__cpp_setup_func14() {
}

static void G__cpp_setup_func15() {
}

static void G__cpp_setup_func16() {
}

static void G__cpp_setup_func17() {
}

static void G__cpp_setup_func18() {
}

static void G__cpp_setup_func19() {
}

static void G__cpp_setup_func20() {
}

static void G__cpp_setup_func21() {
}

static void G__cpp_setup_func22() {
}

static void G__cpp_setup_func23() {
}

static void G__cpp_setup_func24() {
}

static void G__cpp_setup_func25() {
}

static void G__cpp_setup_func26() {
}

static void G__cpp_setup_func27() {
}

static void G__cpp_setup_func28() {
}

static void G__cpp_setup_func29() {
}

static void G__cpp_setup_func30() {
}

static void G__cpp_setup_func31() {
}

static void G__cpp_setup_func32() {
}

static void G__cpp_setup_func33() {
}

static void G__cpp_setup_func34() {
}

static void G__cpp_setup_func35() {
}

static void G__cpp_setup_func36() {
}

static void G__cpp_setup_func37() {
}

static void G__cpp_setup_func38() {
}

static void G__cpp_setup_func39() {
}

static void G__cpp_setup_func40() {
}

static void G__cpp_setup_func41() {
}

static void G__cpp_setup_func42() {
}

static void G__cpp_setup_func43() {
}

static void G__cpp_setup_func44() {
}

static void G__cpp_setup_func45() {
}

static void G__cpp_setup_func46() {
}

static void G__cpp_setup_func47() {
}

static void G__cpp_setup_func48() {
   G__memfunc_setup("th1fmorph", 921, G__HiggsAnalysisCombinedLimit_yr__0_4945, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1F), -1, 0, 9, 1, 1, 0, 
"C - - 10 - chname C - - 10 - chtitle "
"U 'TH1F' - 0 - hist1 U 'TH1F' - 0 - hist2 "
"d - 'Double_t' 0 - par1 d - 'Double_t' 0 - par2 "
"d - 'Double_t' 0 - parinterp d - 'Double_t' 0 - morphedhistnorm "
"i - 'Int_t' 0 '0' idebug", (char*) NULL
, (void*) NULL, 0);
   G__memfunc_setup("th1fmorph", 921, G__HiggsAnalysisCombinedLimit_yr__0_4946, 85, G__get_linked_tagnum(&G__HiggsAnalysisCombinedLimit_yrLN_TH1D), -1, 0, 9, 1, 1, 0, 
"C - - 10 - chname C - - 10 - chtitle "
"U 'TH1D' - 0 - hist1 U 'TH1D' - 0 - hist2 "
"d - 'Double_t' 0 - par1 d - 'Double_t' 0 - par2 "
"d - 'Double_t' 0 - parinterp d - 'Double_t' 0 - morphedhistnorm "
"i - 'Int_t' 0 '0' idebug", (char*) NULL
, (void*) NULL, 0);
}

static void G__cpp_setup_func49() {
}

static void G__cpp_setup_func50() {
}

static void G__cpp_setup_func51() {
}

static void G__cpp_setup_func52() {

   G__resetifuncposition();
}

extern "C" void G__cpp_setup_funcHiggsAnalysisCombinedLimit_yr() {
  G__cpp_setup_func0();
  G__cpp_setup_func1();
  G__cpp_setup_func2();
  G__cpp_setup_func3();
  G__cpp_setup_func4();
  G__cpp_setup_func5();
  G__cpp_setup_func6();
  G__cpp_setup_func7();
  G__cpp_setup_func8();
  G__cpp_setup_func9();
  G__cpp_setup_func10();
  G__cpp_setup_func11();
  G__cpp_setup_func12();
  G__cpp_setup_func13();
  G__cpp_setup_func14();
  G__cpp_setup_func15();
  G__cpp_setup_func16();
  G__cpp_setup_func17();
  G__cpp_setup_func18();
  G__cpp_setup_func19();
  G__cpp_setup_func20();
  G__cpp_setup_func21();
  G__cpp_setup_func22();
  G__cpp_setup_func23();
  G__cpp_setup_func24();
  G__cpp_setup_func25();
  G__cpp_setup_func26();
  G__cpp_setup_func27();
  G__cpp_setup_func28();
  G__cpp_setup_func29();
  G__cpp_setup_func30();
  G__cpp_setup_func31();
  G__cpp_setup_func32();
  G__cpp_setup_func33();
  G__cpp_setup_func34();
  G__cpp_setup_func35();
  G__cpp_setup_func36();
  G__cpp_setup_func37();
  G__cpp_setup_func38();
  G__cpp_setup_func39();
  G__cpp_setup_func40();
  G__cpp_setup_func41();
  G__cpp_setup_func42();
  G__cpp_setup_func43();
  G__cpp_setup_func44();
  G__cpp_setup_func45();
  G__cpp_setup_func46();
  G__cpp_setup_func47();
  G__cpp_setup_func48();
  G__cpp_setup_func49();
  G__cpp_setup_func50();
  G__cpp_setup_func51();
  G__cpp_setup_func52();
}

/*********************************************************
* Class,struct,union,enum tag information setup
*********************************************************/
/* Setup class/struct taginfo */
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TClass = { "TClass" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TBuffer = { "TBuffer" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMemberInspector = { "TMemberInspector" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TObject = { "TObject" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TNamed = { "TNamed" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TString = { "TString" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOT = { "ROOT" , 110 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR = { "vector<double,allocator<double> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEboolcOallocatorlEboolgRsPgR = { "vector<bool,allocator<bool> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_basic_istreamlEcharcOchar_traitslEchargRsPgR = { "basic_istream<char,char_traits<char> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_basic_ostreamlEcharcOchar_traitslEchargRsPgR = { "basic_ostream<char,char_traits<char> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_string = { "string" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR = { "vector<ROOT::TSchemaHelper,allocator<ROOT::TSchemaHelper> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgRcLcLiteratorgR = { "reverse_iterator<vector<ROOT::TSchemaHelper,allocator<ROOT::TSchemaHelper> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TList = { "TList" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR = { "vector<TVirtualArray*,allocator<TVirtualArray*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<TVirtualArray*,allocator<TVirtualArray*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar = { "RooRealVar" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TIterator = { "TIterator" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR = { "iterator<bidirectional_iterator_tag,TObject*,long,const TObject**,const TObject*&>" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable = { "RooPrintable" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOintcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOintgRsPgRsPgR = { "map<string,int,less<string>,allocator<pair<const string,int> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOintgR = { "pair<string,int>" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_pairlEdoublecOdoublegR = { "pair<double,double>" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_listlEdoublecOallocatorlEdoublegRsPgR = { "list<double,allocator<double> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_listlEstringcOallocatorlEstringgRsPgR = { "list<string,allocator<string> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooLinkedList = { "RooLinkedList" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg = { "RooAbsArg" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet = { "RooArgSet" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsCollection = { "RooAbsCollection" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooArgList = { "RooArgList" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_setlEstringcOlesslEstringgRcOallocatorlEstringgRsPgR = { "set<string,less<string>,allocator<string> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR = { "map<string,TObjArray*,less<string>,allocator<pair<const string,TObjArray*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TTree = { "TTree" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooVectorDataStore = { "RooVectorDataStore" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsData = { "RooAbsData" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy = { "RooSetProxy" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy = { "RooListProxy" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooWorkspace = { "RooWorkspace" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy = { "RooRealProxy" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR = { "map<string,string,less<string>,allocator<pair<const string,string> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArgcLcLCacheMode = { "RooAbsArg::CacheMode" , 101 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR = { "set<pair<RooAbsArg*,RooAbsArg*>,less<pair<RooAbsArg*,RooAbsArg*> >,allocator<pair<RooAbsArg*,RooAbsArg*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal = { "RooAbsReal" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsCachemUcOallocatorlERooAbsCachemUgRsPgR = { "deque<RooAbsCache*,allocator<RooAbsCache*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooDataSet = { "RooDataSet" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplERooAbsArgmUcOTRefArraymUcOlesslERooAbsArgmUgRcOallocatorlEpairlERooAbsArgmUsPconstcOTRefArraymUgRsPgRsPgR = { "map<RooAbsArg*,TRefArray*,less<RooAbsArg*>,allocator<pair<RooAbsArg* const,TRefArray*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgR = { "deque<RooAbsArg*,allocator<RooAbsArg*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_stacklERooAbsArgmUcOdequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgRsPgR = { "stack<RooAbsArg*,deque<RooAbsArg*,allocator<RooAbsArg*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooDataHist = { "RooDataHist" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf = { "RooAbsPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCategory = { "RooCategory" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TH1 = { "TH1" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR = { "map<string,TH1*,less<string>,allocator<pair<const string,TH1*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR = { "map<string,RooDataHist*,less<string>,allocator<pair<const string,RooDataHist*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR = { "map<string,RooDataSet*,less<string>,allocator<pair<const string,RooDataSet*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR = { "map<string,RooAbsData*,less<string>,allocator<pair<const string,RooAbsData*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOstringcOlesslEintgRcOallocatorlEpairlEconstsPintcOstringgRsPgRsPgR = { "map<int,string,less<int>,allocator<pair<const int,string> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR = { "vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_dequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgR = { "deque<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> >,allocator<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_stacklEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOdequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgRsPgR = { "stack<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> >,deque<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> >,allocator<vector<RooMsgService::StreamConfig,allocator<RooMsgService::StreamConfig> > > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR = { "map<string,basic_ostream<char,char_traits<char> >*,less<string>,allocator<pair<const string,basic_ostream<char,char_traits<char> >*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TAttLine = { "TAttLine" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TAttFill = { "TAttFill" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TAttMarker = { "TAttMarker" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEfloatgR = { "TVectorT<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEdoublegR = { "TVectorT<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TAxis = { "TAxis" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TH1F = { "TH1F" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TGraph = { "TGraph" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEdoublegR = { "TMatrixT<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooCurvemUcOallocatorlERooCurvemUgRsPgR = { "vector<RooCurve*,allocator<RooCurve*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooCurvemUcOallocatorlERooCurvemUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooCurve*,allocator<RooCurve*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAbsCategoryLValue = { "RooAbsCategoryLValue" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_listlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgR = { "list<RooAbsReal::EvalError,allocator<RooAbsReal::EvalError> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgR = { "pair<string,list<RooAbsReal::EvalError,allocator<RooAbsReal::EvalError> > >" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR = { "map<const RooAbsArg*,pair<string,list<RooAbsReal::EvalError,allocator<RooAbsReal::EvalError> > >,less<const RooAbsArg*>,allocator<pair<const RooAbsArg* const,pair<string,list<RooAbsReal::EvalError,allocator<RooAbsReal::EvalError> > > > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR = { "map<string,RooSharedProperties*,less<string>,allocator<pair<const string,RooSharedProperties*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStats = { "RooStats" , 110 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLProposalFunction = { "RooStats::ProposalFunction" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TestProposal = { "TestProposal" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR = { "vector<RooArgSet,allocator<RooArgSet> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetcOallocatorlERooArgSetgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooArgSet,allocator<RooArgSet> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR = { "vector<pair<const RooArgSet*,const RooArgSet*>,allocator<pair<const RooArgSet*,const RooArgSet*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<pair<const RooArgSet*,const RooArgSet*>,allocator<pair<const RooArgSet*,const RooArgSet*> > >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlongcOlesslEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRcOallocatorlEpairlEconstsPpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlonggRsPgRsPgR = { "map<pair<const RooArgSet*,const RooArgSet*>,unsigned long,less<pair<const RooArgSet*,const RooArgSet*> >,allocator<pair<const pair<const RooArgSet*,const RooArgSet*>,unsigned long> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooObjCacheManager = { "RooObjCacheManager" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgR = { "vector<RooNormSetCache,allocator<RooNormSetCache> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooNormSetCache,allocator<RooNormSetCache> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgR = { "vector<RooAbsCacheElement*,allocator<RooAbsCacheElement*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooAbsCacheElement*,allocator<RooAbsCacheElement*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneous = { "RooSimultaneous" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal = { "DebugProposal" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlERooAbsRealgR = { "auto_ptr<RooAbsReal>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR = { "vector<int,allocator<int> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEintcOallocatorlEintgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<int,allocator<int> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR = { "vector<vector<int,allocator<int> >,allocator<vector<int,allocator<int> > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<vector<int,allocator<int> >,allocator<vector<int,allocator<int> > > >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR = { "vector<RooArgSet*,allocator<RooArgSet*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooArgSet*,allocator<RooArgSet*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf = { "VerticalInterpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TArrayI = { "TArrayI" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TH1D = { "TH1D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry = { "SimpleCacheSentry" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEfloatgR = { "TMatrixTBase<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEdoublegR = { "TMatrixTBase<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TH2 = { "TH2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TH3 = { "TH3" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate = { "FastTemplate" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastHisto = { "FastHisto" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D = { "FastHisto2D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D = { "FastHisto3D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf = { "FastVerticalInterpHistPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base = { "FastVerticalInterpHistPdf2Base" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2 = { "FastVerticalInterpHistPdf2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2 = { "FastVerticalInterpHistPdf2D2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf = { "VerticalInterpHistPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase = { "FastVerticalInterpHistPdfBase" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph = { "FastVerticalInterpHistPdfBase::Morph" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR = { "vector<FastVerticalInterpHistPdfBase::Morph,allocator<FastVerticalInterpHistPdfBase::Morph> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<FastVerticalInterpHistPdfBase::Morph,allocator<FastVerticalInterpHistPdfBase::Morph> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR = { "vector<RooAbsReal*,allocator<RooAbsReal*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooAbsReal*,allocator<RooAbsReal*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR = { "vector<FastVerticalInterpHistPdfV::Block,allocator<FastVerticalInterpHistPdfV::Block> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<FastVerticalInterpHistPdfV::Block,allocator<FastVerticalInterpHistPdfV::Block> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D = { "FastVerticalInterpHistPdf2D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR = { "vector<const RooAbsReal*,allocator<const RooAbsReal*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<const RooAbsReal*,allocator<const RooAbsReal*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D = { "FastVerticalInterpHistPdf3D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_AsymPow = { "AsymPow" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplETClassmUcOintcOlesslETClassmUgRcOallocatorlEpairlETClassmUsPconstcOintgRsPgRsPgR = { "map<TClass*,int,less<TClass*>,allocator<pair<TClass* const,int> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEfloatgR = { "TElementActionT<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEfloatgR = { "TElementPosActionT<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEdoublegR = { "TElementActionT<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEdoublegR = { "TElementPosActionT<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSymlEdoublegR = { "TMatrixTSym<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEdoublegR = { "TMatrixTRow_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEdoublegR = { "TMatrixTRow<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEdoublegR = { "TMatrixTColumn_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEdoublegR = { "TMatrixTDiag_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEdoublegR = { "TMatrixTFlat_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEdoublegR = { "TMatrixTSub_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEdoublegR = { "TMatrixTSparseRow_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparselEdoublegR = { "TMatrixTSparse<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEdoublegR = { "TMatrixTSparseDiag_const<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEdoublegR = { "TMatrixTColumn<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEdoublegR = { "TMatrixTDiag<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEdoublegR = { "TMatrixTFlat<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEdoublegR = { "TMatrixTSub<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEdoublegR = { "TMatrixTSparseRow<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEdoublegR = { "TMatrixTSparseDiag<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEdoublecOdoublegRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEdoublecOdoublegRsPgRsPgRsPgR = { "map<const RooAbsArg*,pair<double,double>,less<const RooAbsArg*>,allocator<pair<const RooAbsArg* const,pair<double,double> > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCacheManagerlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgR = { "RooCacheManager<vector<double,allocator<double> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgR = { "vector<vector<double,allocator<double> >*,allocator<vector<double,allocator<double> >*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<vector<double,allocator<double> >*,allocator<vector<double,allocator<double> >*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgR = { "vector<RooAbsLValue*,allocator<RooAbsLValue*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<RooAbsLValue*,allocator<RooAbsLValue*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgR = { "vector<const RooAbsBinning*,allocator<const RooAbsBinning*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<const RooAbsBinning*,allocator<const RooAbsBinning*> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR = { "vector<vector<double,allocator<double> >,allocator<vector<double,allocator<double> > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<vector<double,allocator<double> >,allocator<vector<double,allocator<double> > > >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_listlERooDataSetmUcOallocatorlERooDataSetmUgRsPgR = { "list<RooDataSet*,allocator<RooDataSet*> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory = { "CombDataSetFactory" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEfloatgR = { "TMatrixTRow_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEfloatgR = { "TMatrixT<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEfloatgR = { "TMatrixTRow<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEfloatgR = { "TMatrixTSparseRow_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEfloatgR = { "TMatrixTSparseRow<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEfloatgR = { "TMatrixTDiag_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEfloatgR = { "TMatrixTColumn_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEfloatgR = { "TMatrixTSparseDiag_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOboolcOlesslEintgRcOallocatorlEpairlEconstsPintcOboolgRsPgRsPgR = { "map<int,bool,less<int>,allocator<pair<const int,bool> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR = { "vector<TVectorT<double>,allocator<TVectorT<double> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<TVectorT<double>,allocator<TVectorT<double> > >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR = { "vector<string,allocator<string> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEstringcOallocatorlEstringgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<string,allocator<string> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR = { "map<pair<string,int>,RooNDKeysPdf::BoxInfo*,less<pair<string,int> >,allocator<pair<const pair<string,int>,RooNDKeysPdf::BoxInfo*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOdoublecOlesslEintgRcOallocatorlEpairlEconstsPintcOdoublegRsPgRsPgR = { "map<int,double,less<int>,allocator<pair<const int,double> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys = { "TH1Keys" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCategoryProxy = { "RooCategoryProxy" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR = { "map<string,RooAbsPdf*,less<string>,allocator<pair<const string,RooAbsPdf*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt = { "RooSimultaneousOpt" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf = { "RooqqZZPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf = { "RooggZZPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2 = { "RooqqZZPdf_v2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf = { "RooVBFZZPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2 = { "RooVBFZZPdf_v2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2 = { "RooggZZPdf_v2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2 = { "RooBetaFunc_v2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg = { "Roo4lMasses2D_Bkg" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ = { "Roo4lMasses2D_BkgGGZZ" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D = { "Roo4lMasses2D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2 = { "RooFourMuMassShapePdf2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2 = { "RooFourEMassShapePdf2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2 = { "RooTwoETwoMuMassShapePdf2" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes = { "RooFourMuMassRes" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes = { "RooFourEMassRes" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes = { "RooTwoETwoMuMassRes" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1 = { "RooRelBW1" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF = { "RooRelBWUF" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4 = { "RooRelBWUF_SM4" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth = { "RooRelBWUFParamWidth" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam = { "RooRelBWUFParam" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass = { "RooRelBWHighMass" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis = { "RooTsallis" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW = { "RooaDoubleCBxBW" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH = { "RooCPSHighMassGGH" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH = { "RooBWHighMassGGH" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf = { "RooCPSHighMassGGHNoInterf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF = { "RooCPSHighMassVBF" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf = { "RooCPSHighMassVBFNoInterf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt = { "RooSigPlusInt" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf = { "RooErfExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha = { "RooAlpha" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp = { "RooAlphaExp" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf = { "RooBWRunPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf = { "RooErfPow2Pdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf = { "RooAlpha4ErfPow2Pdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf = { "RooErfPowExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf = { "RooAlpha4ErfPowExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf = { "RooGausExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf = { "RooAlpha4GausExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf = { "RooErfPowPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf = { "RooAlpha4ErfPowPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf = { "RooPow2Pdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf = { "RooPowPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf = { "RooQCDPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf = { "RooUser1Pdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf = { "RooExpNPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf = { "RooAlpha4ExpNPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf = { "RooExpTailPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf = { "RooAlpha4ExpTailPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf = { "Roo2ExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf = { "RooAlpha42ExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf = { "RooAnaExpNPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall = { "RooDoubleCrystalBall" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooCB = { "RooCB" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB = { "RooDoubleCB" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooFermi = { "RooFermi" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW = { "RooRelBW" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_Triangle = { "Triangle" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp = { "RooLevelledExp" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPower = { "RooPower" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein = { "RooStepBernstein" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein = { "RooGaussStepBernstein" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath = { "ROOT::Math" , 110 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLIBaseFunctionMultiDim = { "ROOT::Math::IBaseFunctionMultiDim" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMinimizer = { "ROOT::Math::Minimizer" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_cmsmath = { "cmsmath" , 110 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer = { "cmsmath::SequentialMinimizer" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState = { "cmsmath::SequentialMinimizer::State" , 101 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEcmsmathcLcLMinimizerContextgR = { "auto_ptr<cmsmath::MinimizerContext>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR = { "vector<cmsmath::SequentialMinimizer::Worker,allocator<cmsmath::SequentialMinimizer::Worker> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgRcLcLiteratorgR = { "reverse_iterator<vector<cmsmath::SequentialMinimizer::Worker,allocator<cmsmath::SequentialMinimizer::Worker> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEROOTcLcLMathcLcLMinimizergR = { "auto_ptr<ROOT::Math::Minimizer>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization = { "ProcessNormalization" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR = { "vector<pair<double,double>,allocator<pair<double,double> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<pair<double,double>,allocator<pair<double,double> > >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLInterpolator = { "ROOT::Math::Interpolator" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D = { "RooSpline1D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEfloatgR = { "TMatrixTFlat_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEfloatgR = { "TMatrixTSub_const<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEfloatgR = { "TMatrixTColumn<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEfloatgR = { "TMatrixTDiag<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEfloatgR = { "TMatrixTFlat<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEfloatgR = { "TMatrixTSub<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEfloatgR = { "TMatrixTSparseDiag<float>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND = { "RooSplineND" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR = { "map<int,vector<double,allocator<double> >,less<int>,allocator<pair<const int,vector<double,allocator<double> > > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR = { "map<int,pair<double,double>,less<int>,allocator<pair<const int,pair<double,double> > > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR = { "complex<double>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM = { "RooScaleLOSM" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM = { "RooScaleHGamGamLOSM" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM = { "RooScaleHGluGluLOSM" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX = { "RooScaleHGamGamLOSMPlusX" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX = { "RooScaleHGluGluLOSMPlusX" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood = { "rVrFLikelihood" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR = { "vector<rVrFLikelihood::Channel,allocator<rVrFLikelihood::Channel> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgRcLcLiteratorgR = { "reverse_iterator<vector<rVrFLikelihood::Channel,allocator<rVrFLikelihood::Channel> >::iterator>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf = { "RooMultiPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdfcLcLPenatlyScheme = { "RooMultiPdf::PenatlyScheme" , 101 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist = { "RooParametricHist" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooGaussian = { "RooGaussian" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint = { "SimpleGaussianConstraint" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactory = { "RooStats::HistFactory" , 110 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases = { "RooStats::HistFactory::RooBSplineBases" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline = { "RooStats::HistFactory::RooBSpline" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf = { "RooParamKeysPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror = { "RooParamKeysPdf::Mirror" , 101 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph = { "RooStarMomentMorph" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting = { "RooStarMomentMorph::Setting" , 101 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLCacheElem = { "RooStarMomentMorph::CacheElem" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf = { "HZZ4L_RooSpinZeroPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase = { "HZZ4L_RooSpinZeroPdf_phase" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D = { "HZZ4L_RooSpinZeroPdf_2D" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF = { "RooChebyshevPDF" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf = { "RooErfPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf = { "RooPowerExpPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf = { "RooTH1DPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction = { "RooPowerFunction" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw = { "RooPowerLaw" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly = { "RooExpPoly" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf = { "RooMorphingPdf" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdfcLcLMorphCache = { "RooMorphingPdf::MorphCache" , 115 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR = { "map<double,FastVerticalInterpHistPdf2*,less<double>,allocator<pair<const double,FastVerticalInterpHistPdf2*> > >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgRcLcLiterator = { "map<double,FastVerticalInterpHistPdf2*,less<double>,allocator<pair<const double,FastVerticalInterpHistPdf2*> > >::iterator" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_GaussExp = { "GaussExp" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR = { "RooBernsteinFast<1>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gR = { "ROOT::Math::MatRepStd<double,2,2>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR = { "ROOT::Math::SMatrix<double,2,2,ROOT::Math::MatRepStd<double,2,2> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR = { "ROOT::Math::SVector<double,3>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR = { "ROOT::Math::SVector<double,2>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR = { "RooBernsteinFast<2>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gR = { "ROOT::Math::MatRepStd<double,3,3>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR = { "ROOT::Math::SMatrix<double,3,3,ROOT::Math::MatRepStd<double,3,3> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR = { "ROOT::Math::SVector<double,6>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR = { "RooBernsteinFast<3>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gR = { "ROOT::Math::MatRepStd<double,4,4>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR = { "ROOT::Math::SMatrix<double,4,4,ROOT::Math::MatRepStd<double,4,4> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO10gR = { "ROOT::Math::SVector<double,10>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR = { "ROOT::Math::SVector<double,4>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR = { "RooBernsteinFast<4>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gR = { "ROOT::Math::MatRepStd<double,5,5>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR = { "ROOT::Math::SMatrix<double,5,5,ROOT::Math::MatRepStd<double,5,5> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO15gR = { "ROOT::Math::SVector<double,15>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR = { "ROOT::Math::SVector<double,5>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR = { "RooBernsteinFast<5>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gR = { "ROOT::Math::MatRepStd<double,6,6>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR = { "ROOT::Math::SMatrix<double,6,6,ROOT::Math::MatRepStd<double,6,6> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO21gR = { "ROOT::Math::SVector<double,21>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR = { "RooBernsteinFast<6>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gR = { "ROOT::Math::MatRepStd<double,7,7>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR = { "ROOT::Math::SMatrix<double,7,7,ROOT::Math::MatRepStd<double,7,7> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO28gR = { "ROOT::Math::SVector<double,28>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR = { "ROOT::Math::SVector<double,7>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR = { "RooBernsteinFast<7>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gR = { "ROOT::Math::MatRepStd<double,8,8>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR = { "ROOT::Math::SMatrix<double,8,8,ROOT::Math::MatRepStd<double,8,8> >" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO36gR = { "ROOT::Math::SVector<double,36>" , 99 , -1 };
G__linked_taginfo G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR = { "ROOT::Math::SVector<double,8>" , 99 , -1 };

/* Reset class/struct taginfo */
extern "C" void G__cpp_reset_tagtableHiggsAnalysisCombinedLimit_yr() {
  G__HiggsAnalysisCombinedLimit_yrLN_TClass.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TBuffer.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMemberInspector.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TObject.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TNamed.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TString.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOT.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEboolcOallocatorlEboolgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_basic_istreamlEcharcOchar_traitslEchargRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_basic_ostreamlEcharcOchar_traitslEchargRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_string.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TList.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TIterator.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOintcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOintgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOintgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_pairlEdoublecOdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_listlEdoublecOallocatorlEdoublegRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_listlEstringcOallocatorlEstringgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooLinkedList.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsCollection.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooArgList.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_setlEstringcOlesslEstringgRcOallocatorlEstringgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TTree.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooVectorDataStore.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsData.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooWorkspace.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArgcLcLCacheMode.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsCachemUcOallocatorlERooAbsCachemUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooDataSet.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplERooAbsArgmUcOTRefArraymUcOlesslERooAbsArgmUgRcOallocatorlEpairlERooAbsArgmUsPconstcOTRefArraymUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_stacklERooAbsArgmUcOdequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooDataHist.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCategory.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TH1.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOstringcOlesslEintgRcOallocatorlEpairlEconstsPintcOstringgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_dequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_stacklEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOdequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TAttLine.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TAttFill.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TAttMarker.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TAxis.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TH1F.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TGraph.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooCurvemUcOallocatorlERooCurvemUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooCurvemUcOallocatorlERooCurvemUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAbsCategoryLValue.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_listlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStats.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLProposalFunction.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TestProposal.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetcOallocatorlERooArgSetgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlongcOlesslEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRcOallocatorlEpairlEconstsPpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlonggRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooObjCacheManager.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneous.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlERooAbsRealgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEintcOallocatorlEintgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TArrayI.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TH1D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TH2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TH3.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastHisto.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_AsymPow.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplETClassmUcOintcOlesslETClassmUgRcOallocatorlEpairlETClassmUsPconstcOintgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSymlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparselEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEdoublecOdoublegRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEdoublecOdoublegRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCacheManagerlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_listlERooDataSetmUcOallocatorlERooDataSetmUgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOboolcOlesslEintgRcOallocatorlEpairlEconstsPintcOboolgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEstringcOallocatorlEstringgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOdoublecOlesslEintgRcOallocatorlEpairlEconstsPintcOdoublegRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCategoryProxy.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooCB.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooFermi.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_Triangle.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPower.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLIBaseFunctionMultiDim.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMinimizer.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_cmsmath.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEcmsmathcLcLMinimizerContextgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEROOTcLcLMathcLcLMinimizergR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLInterpolator.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEfloatgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgRcLcLiteratorgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdfcLcLPenatlyScheme.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooGaussian.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactory.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLCacheElem.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdfcLcLMorphCache.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgRcLcLiterator.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_GaussExp.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO10gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO15gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO21gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO28gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO36gR.tagnum = -1 ;
  G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR.tagnum = -1 ;
}


extern "C" void G__cpp_setup_tagtableHiggsAnalysisCombinedLimit_yr() {

   /* Setting up class,struct,union tag entry */
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TClass);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TBuffer);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMemberInspector);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TObject);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TNamed);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TString);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOT);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEdoublecOallocatorlEdoublegRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEboolcOallocatorlEboolgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_basic_istreamlEcharcOchar_traitslEchargRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_basic_ostreamlEcharcOchar_traitslEchargRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_string);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TList);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealVar);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TIterator);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPrintable);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOintcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOintgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOintgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEdoublecOdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_listlEdoublecOallocatorlEdoublegRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_listlEstringcOallocatorlEstringgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooLinkedList);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArg);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgSet);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsCollection);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooArgList);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_setlEstringcOlesslEstringgRcOallocatorlEstringgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTObjArraymUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTObjArraymUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TTree);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooVectorDataStore);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsData);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooSetProxy);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooListProxy);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooWorkspace);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRealProxy);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOstringcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOstringgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsArgcLcLCacheMode);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_setlEpairlERooAbsArgmUcORooAbsArgmUgRcOlesslEpairlERooAbsArgmUcORooAbsArgmUgRsPgRcOallocatorlEpairlERooAbsArgmUcORooAbsArgmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsReal);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsCachemUcOallocatorlERooAbsCachemUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooDataSet);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplERooAbsArgmUcOTRefArraymUcOlesslERooAbsArgmUgRcOallocatorlEpairlERooAbsArgmUsPconstcOTRefArraymUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_dequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_stacklERooAbsArgmUcOdequelERooAbsArgmUcOallocatorlERooAbsArgmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooDataHist);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsPdf);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCategory);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TH1);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcOTH1mUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcOTH1mUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataHistmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataHistmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooDataSetmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooDataSetmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsDatamUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsDatamUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOstringcOlesslEintgRcOallocatorlEpairlEconstsPintcOstringgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_dequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_stacklEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOdequelEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRcOallocatorlEvectorlERooMsgServicecLcLStreamConfigcOallocatorlERooMsgServicecLcLStreamConfiggRsPgRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcObasic_ostreamlEcharcOchar_traitslEchargRsPgRmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TAttLine);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TAttFill);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TAttMarker);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TVectorTlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TAxis);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TH1F);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TGraph);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooCurvemUcOallocatorlERooCurvemUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooCurvemUcOallocatorlERooCurvemUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAbsCategoryLValue);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_listlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_pairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEstringcOlistlERooAbsRealcLcLEvalErrorcOallocatorlERooAbsRealcLcLEvalErrorgRsPgRsPgRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooSharedPropertiesmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooSharedPropertiesmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStats);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLProposalFunction);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TestProposal),sizeof(TestProposal),-1,324864,"A concrete implementation of ProposalFunction, that uniformly samples the parameter space.",G__setup_memvarTestProposal,G__setup_memfuncTestProposal);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetcOallocatorlERooArgSetgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetcOallocatorlERooArgSetgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOallocatorlEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlongcOlesslEpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRsPgRcOallocatorlEpairlEconstsPpairlEconstsPRooArgSetmUcOconstsPRooArgSetmUgRcOunsignedsPlonggRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooObjCacheManager);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooNormSetCachecOallocatorlERooNormSetCachegRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsCacheElementmUcOallocatorlERooAbsCacheElementmUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneous);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_DebugProposal),sizeof(DebugProposal),-1,324864,"A concrete implementation of ProposalFunction, that uniformly samples the parameter space.",G__setup_memvarDebugProposal,G__setup_memfuncDebugProposal);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlERooAbsRealgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEintcOallocatorlEintgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEintcOallocatorlEintgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEintcOallocatorlEintgRsPgRcOallocatorlEvectorlEintcOallocatorlEintgRsPgRsPgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooArgSetmUcOallocatorlERooArgSetmUgRsPgRcLcLiteratorgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpPdf),sizeof(VerticalInterpPdf),-1,325376,"PDF constructed from a sum of (non-pdf) functions",G__setup_memvarVerticalInterpPdf,G__setup_memfuncVerticalInterpPdf);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TArrayI);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TH1D);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleCacheSentry),sizeof(SimpleCacheSentry),-1,324352,(char*)NULL,G__setup_memvarSimpleCacheSentry,G__setup_memfuncSimpleCacheSentry);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTBaselEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TH2);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TH3);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastTemplate),sizeof(FastTemplate),-1,298752,(char*)NULL,G__setup_memvarFastTemplate,G__setup_memfuncFastTemplate);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto),sizeof(FastHisto),-1,298752,(char*)NULL,G__setup_memvarFastHisto,G__setup_memfuncFastHisto);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto2D),sizeof(FastHisto2D),-1,298752,(char*)NULL,G__setup_memvarFastHisto2D,G__setup_memfuncFastHisto2D);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastHisto3D),sizeof(FastHisto3D),-1,298752,(char*)NULL,G__setup_memvarFastHisto3D,G__setup_memfuncFastHisto3D);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf),sizeof(FastVerticalInterpHistPdf),-1,325376,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdf,G__setup_memfuncFastVerticalInterpHistPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2Base),sizeof(FastVerticalInterpHistPdf2Base),-1,325378,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdf2Base,G__setup_memfuncFastVerticalInterpHistPdf2Base);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2),sizeof(FastVerticalInterpHistPdf2),-1,325376,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdf2,G__setup_memfuncFastVerticalInterpHistPdf2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D2),sizeof(FastVerticalInterpHistPdf2D2),-1,325376,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdf2D2,G__setup_memfuncFastVerticalInterpHistPdf2D2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_VerticalInterpHistPdf),sizeof(VerticalInterpHistPdf),-1,325376,(char*)NULL,G__setup_memvarVerticalInterpHistPdf,G__setup_memfuncVerticalInterpHistPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBase),sizeof(FastVerticalInterpHistPdfBase),-1,325378,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdfBase,G__setup_memfuncFastVerticalInterpHistPdfBase);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdfBasecLcLMorph),sizeof(FastVerticalInterpHistPdfBase::Morph),-1,262144,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdfBasecLcLMorph,G__setup_memfuncFastVerticalInterpHistPdfBasecLcLMorph);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfBasecLcLMorphcOallocatorlEFastVerticalInterpHistPdfBasecLcLMorphgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsRealmUcOallocatorlERooAbsRealmUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEFastVerticalInterpHistPdfVcLcLBlockcOallocatorlEFastVerticalInterpHistPdfVcLcLBlockgRsPgRcLcLiteratorgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf2D),sizeof(FastVerticalInterpHistPdf2D),-1,325376,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdf2D,G__setup_memfuncFastVerticalInterpHistPdf2D);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsRealmUcOallocatorlEconstsPRooAbsRealmUgRsPgRcLcLiteratorgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_FastVerticalInterpHistPdf3D),sizeof(FastVerticalInterpHistPdf3D),-1,325376,(char*)NULL,G__setup_memvarFastVerticalInterpHistPdf3D,G__setup_memfuncFastVerticalInterpHistPdf3D);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_AsymPow),sizeof(AsymPow),-1,325376,"Asymmetric power	",G__setup_memvarAsymPow,G__setup_memfuncAsymPow);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplETClassmUcOintcOlesslETClassmUgRcOallocatorlEpairlETClassmUsPconstcOintgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TElementActionTlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TElementPosActionTlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSymlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparselEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEdoublegR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEconstsPRooAbsArgmUcOpairlEdoublecOdoublegRcOlesslEconstsPRooAbsArgmUgRcOallocatorlEpairlEconstsPRooAbsArgmUsPconstcOpairlEdoublecOdoublegRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCacheManagerlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRmUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlERooAbsLValuemUcOallocatorlERooAbsLValuemUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEconstsPRooAbsBinningmUcOallocatorlEconstsPRooAbsBinningmUgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEvectorlEdoublecOallocatorlEdoublegRsPgRcOallocatorlEvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_listlERooDataSetmUcOallocatorlERooDataSetmUgRsPgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_CombDataSetFactory),sizeof(CombDataSetFactory),-1,324864,"Make RooDataHist",G__setup_memvarCombDataSetFactory,G__setup_memfuncCombDataSetFactory);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRow_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTRowlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRow_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseRowlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiag_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumn_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiag_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOboolcOlesslEintgRcOallocatorlEpairlEconstsPintcOboolgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlETVectorTlEdoublegRcOallocatorlETVectorTlEdoublegRsPgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEstringcOallocatorlEstringgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEstringcOallocatorlEstringgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUcOlesslEpairlEstringcOintgRsPgRcOallocatorlEpairlEconstsPpairlEstringcOintgRcORooNDKeysPdfcLcLBoxInfomUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOdoublecOlesslEintgRcOallocatorlEpairlEconstsPintcOdoublegRsPgRsPgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TH1Keys),sizeof(TH1Keys),-1,325376,(char*)NULL,G__setup_memvarTH1Keys,G__setup_memfuncTH1Keys);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCategoryProxy);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEstringcORooAbsPdfmUcOlesslEstringgRcOallocatorlEpairlEconstsPstringcORooAbsPdfmUgRsPgRsPgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooSimultaneousOpt),sizeof(RooSimultaneousOpt),-1,325376,"Variant of RooSimultaneous that can put together binned and unbinned stuff ",G__setup_memvarRooSimultaneousOpt,G__setup_memfuncRooSimultaneousOpt);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf),sizeof(RooqqZZPdf),-1,325376,"Your description goes here...                                                                                                   ",G__setup_memvarRooqqZZPdf,G__setup_memfuncRooqqZZPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf),sizeof(RooggZZPdf),-1,325376,"Your description goes here...                                                                                                   ",G__setup_memvarRooggZZPdf,G__setup_memfuncRooggZZPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooqqZZPdf_v2),sizeof(RooqqZZPdf_v2),-1,325376,"Your description goes here...                                                                                                   ",G__setup_memvarRooqqZZPdf_v2,G__setup_memfuncRooqqZZPdf_v2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf),sizeof(RooVBFZZPdf),-1,325376,"Your description goes here...                                                                                                   ",G__setup_memvarRooVBFZZPdf,G__setup_memfuncRooVBFZZPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooVBFZZPdf_v2),sizeof(RooVBFZZPdf_v2),-1,325376,"Your description goes here...                                                                                                   ",G__setup_memvarRooVBFZZPdf_v2,G__setup_memfuncRooVBFZZPdf_v2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooggZZPdf_v2),sizeof(RooggZZPdf_v2),-1,325376,"Your description goes here...                                                                                                   ",G__setup_memvarRooggZZPdf_v2,G__setup_memfuncRooggZZPdf_v2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBetaFunc_v2),sizeof(RooBetaFunc_v2),-1,325376,(char*)NULL,G__setup_memvarRooBetaFunc_v2,G__setup_memfuncRooBetaFunc_v2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_Bkg),sizeof(Roo4lMasses2D_Bkg),-1,325376,(char*)NULL,G__setup_memvarRoo4lMasses2D_Bkg,G__setup_memfuncRoo4lMasses2D_Bkg);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D_BkgGGZZ),sizeof(Roo4lMasses2D_BkgGGZZ),-1,325376,(char*)NULL,G__setup_memvarRoo4lMasses2D_BkgGGZZ,G__setup_memfuncRoo4lMasses2D_BkgGGZZ);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_Roo4lMasses2D),sizeof(Roo4lMasses2D),-1,325376,(char*)NULL,G__setup_memvarRoo4lMasses2D,G__setup_memfuncRoo4lMasses2D);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassShapePdf2),sizeof(RooFourMuMassShapePdf2),-1,325376,"Your description goes here...                                                                                       ",G__setup_memvarRooFourMuMassShapePdf2,G__setup_memfuncRooFourMuMassShapePdf2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassShapePdf2),sizeof(RooFourEMassShapePdf2),-1,325376,"Your description goes here...                                                                                        ",G__setup_memvarRooFourEMassShapePdf2,G__setup_memfuncRooFourEMassShapePdf2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassShapePdf2),sizeof(RooTwoETwoMuMassShapePdf2),-1,325376,"Your description goes here...                                                                                    ",G__setup_memvarRooTwoETwoMuMassShapePdf2,G__setup_memfuncRooTwoETwoMuMassShapePdf2);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourMuMassRes),sizeof(RooFourMuMassRes),-1,325376,"Your description goes here...                                                                                             ",G__setup_memvarRooFourMuMassRes,G__setup_memfuncRooFourMuMassRes);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooFourEMassRes),sizeof(RooFourEMassRes),-1,325376,"Your description goes here...                                                                                              ",G__setup_memvarRooFourEMassRes,G__setup_memfuncRooFourEMassRes);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooTwoETwoMuMassRes),sizeof(RooTwoETwoMuMassRes),-1,325376,"Your description goes here...                                                                                          ",G__setup_memvarRooTwoETwoMuMassRes,G__setup_memfuncRooTwoETwoMuMassRes);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW1),sizeof(RooRelBW1),-1,325376,"Your description goes here...                                                                                                    ",G__setup_memvarRooRelBW1,G__setup_memfuncRooRelBW1);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF),sizeof(RooRelBWUF),-1,325376,"Your description goes here...                                                                                                    ",G__setup_memvarRooRelBWUF,G__setup_memfuncRooRelBWUF);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUF_SM4),sizeof(RooRelBWUF_SM4),-1,325376,"Your description goes here...                                                                                                    ",G__setup_memvarRooRelBWUF_SM4,G__setup_memfuncRooRelBWUF_SM4);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParamWidth),sizeof(RooRelBWUFParamWidth),-1,325376,"Your description goes here...                                                                                                    ",G__setup_memvarRooRelBWUFParamWidth,G__setup_memfuncRooRelBWUFParamWidth);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWUFParam),sizeof(RooRelBWUFParam),-1,325376,"Your description goes here...                                                                                                    ",G__setup_memvarRooRelBWUFParam,G__setup_memfuncRooRelBWUFParam);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBWHighMass),sizeof(RooRelBWHighMass),-1,325376,"Your description goes here...                                                                                                    ",G__setup_memvarRooRelBWHighMass,G__setup_memfuncRooRelBWHighMass);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooTsallis),sizeof(RooTsallis),-1,63232,"Your description goes here...",G__setup_memvarRooTsallis,G__setup_memfuncRooTsallis);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooaDoubleCBxBW),sizeof(RooaDoubleCBxBW),-1,325376,(char*)NULL,G__setup_memvarRooaDoubleCBxBW,G__setup_memfuncRooaDoubleCBxBW);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGH),sizeof(RooCPSHighMassGGH),-1,325376,(char*)NULL,G__setup_memvarRooCPSHighMassGGH,G__setup_memfuncRooCPSHighMassGGH);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWHighMassGGH),sizeof(RooBWHighMassGGH),-1,325376,(char*)NULL,G__setup_memvarRooBWHighMassGGH,G__setup_memfuncRooBWHighMassGGH);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassGGHNoInterf),sizeof(RooCPSHighMassGGHNoInterf),-1,325376,(char*)NULL,G__setup_memvarRooCPSHighMassGGHNoInterf,G__setup_memfuncRooCPSHighMassGGHNoInterf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBF),sizeof(RooCPSHighMassVBF),-1,325376,(char*)NULL,G__setup_memvarRooCPSHighMassVBF,G__setup_memfuncRooCPSHighMassVBF);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCPSHighMassVBFNoInterf),sizeof(RooCPSHighMassVBFNoInterf),-1,325376,(char*)NULL,G__setup_memvarRooCPSHighMassVBFNoInterf,G__setup_memfuncRooCPSHighMassVBFNoInterf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooSigPlusInt),sizeof(RooSigPlusInt),-1,325376,"Your description goes here...",G__setup_memvarRooSigPlusInt,G__setup_memfuncRooSigPlusInt);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfExpPdf),sizeof(RooErfExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooErfExpPdf,G__setup_memfuncRooErfExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha),sizeof(RooAlpha),-1,325376,(char*)NULL,G__setup_memvarRooAlpha,G__setup_memfuncRooAlpha);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlphaExp),sizeof(RooAlphaExp),-1,325376,(char*)NULL,G__setup_memvarRooAlphaExp,G__setup_memfuncRooAlphaExp);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBWRunPdf),sizeof(RooBWRunPdf),-1,325376,"Your description goes here...",G__setup_memvarRooBWRunPdf,G__setup_memfuncRooBWRunPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPow2Pdf),sizeof(RooErfPow2Pdf),-1,325376,"Your description goes here...",G__setup_memvarRooErfPow2Pdf,G__setup_memfuncRooErfPow2Pdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPow2Pdf),sizeof(RooAlpha4ErfPow2Pdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha4ErfPow2Pdf,G__setup_memfuncRooAlpha4ErfPow2Pdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowExpPdf),sizeof(RooErfPowExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooErfPowExpPdf,G__setup_memfuncRooErfPowExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowExpPdf),sizeof(RooAlpha4ErfPowExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha4ErfPowExpPdf,G__setup_memfuncRooAlpha4ErfPowExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooGausExpPdf),sizeof(RooGausExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooGausExpPdf,G__setup_memfuncRooGausExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4GausExpPdf),sizeof(RooAlpha4GausExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha4GausExpPdf,G__setup_memfuncRooAlpha4GausExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPowPdf),sizeof(RooErfPowPdf),-1,325376,"Your description goes here...",G__setup_memvarRooErfPowPdf,G__setup_memfuncRooErfPowPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ErfPowPdf),sizeof(RooAlpha4ErfPowPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha4ErfPowPdf,G__setup_memfuncRooAlpha4ErfPowPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPow2Pdf),sizeof(RooPow2Pdf),-1,325376,"Your description goes here...",G__setup_memvarRooPow2Pdf,G__setup_memfuncRooPow2Pdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowPdf),sizeof(RooPowPdf),-1,325376,"Your description goes here...",G__setup_memvarRooPowPdf,G__setup_memfuncRooPowPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooQCDPdf),sizeof(RooQCDPdf),-1,325376,"Your description goes here...",G__setup_memvarRooQCDPdf,G__setup_memfuncRooQCDPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooUser1Pdf),sizeof(RooUser1Pdf),-1,325376,"Your description goes here...",G__setup_memvarRooUser1Pdf,G__setup_memfuncRooUser1Pdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpNPdf),sizeof(RooExpNPdf),-1,325376,"Your description goes here...",G__setup_memvarRooExpNPdf,G__setup_memfuncRooExpNPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpNPdf),sizeof(RooAlpha4ExpNPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha4ExpNPdf,G__setup_memfuncRooAlpha4ExpNPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpTailPdf),sizeof(RooExpTailPdf),-1,325376,"Your description goes here...",G__setup_memvarRooExpTailPdf,G__setup_memfuncRooExpTailPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha4ExpTailPdf),sizeof(RooAlpha4ExpTailPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha4ExpTailPdf,G__setup_memfuncRooAlpha4ExpTailPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_Roo2ExpPdf),sizeof(Roo2ExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRoo2ExpPdf,G__setup_memfuncRoo2ExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAlpha42ExpPdf),sizeof(RooAlpha42ExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAlpha42ExpPdf,G__setup_memfuncRooAlpha42ExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooAnaExpNPdf),sizeof(RooAnaExpNPdf),-1,325376,"Your description goes here...",G__setup_memvarRooAnaExpNPdf,G__setup_memfuncRooAnaExpNPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCrystalBall),sizeof(RooDoubleCrystalBall),-1,325376,(char*)NULL,G__setup_memvarRooDoubleCrystalBall,G__setup_memfuncRooDoubleCrystalBall);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooCB),sizeof(RooCB),-1,325376,(char*)NULL,G__setup_memvarRooCB,G__setup_memfuncRooCB);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooDoubleCB),sizeof(RooDoubleCB),-1,325376,(char*)NULL,G__setup_memvarRooDoubleCB,G__setup_memfuncRooDoubleCB);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooFermi),sizeof(RooFermi),-1,325376,(char*)NULL,G__setup_memvarRooFermi,G__setup_memfuncRooFermi);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooRelBW),sizeof(RooRelBW),-1,325376,(char*)NULL,G__setup_memvarRooRelBW,G__setup_memfuncRooRelBW);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_Triangle),sizeof(Triangle),-1,325376,(char*)NULL,G__setup_memvarTriangle,G__setup_memfuncTriangle);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooLevelledExp),sizeof(RooLevelledExp),-1,325376,(char*)NULL,G__setup_memvarRooLevelledExp,G__setup_memfuncRooLevelledExp);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPower),sizeof(RooPower),-1,325376,"Exponential PDF",G__setup_memvarRooPower,G__setup_memfuncRooPower);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStepBernstein),sizeof(RooStepBernstein),-1,325376,"Bernstein polynomial PDF with step function",G__setup_memvarRooStepBernstein,G__setup_memfuncRooStepBernstein);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussStepBernstein),sizeof(RooGaussStepBernstein),-1,325376,"Bernstein polynomial PDF with step function convoluted with gaussian",G__setup_memvarRooGaussStepBernstein,G__setup_memfuncRooGaussStepBernstein);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMath);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLIBaseFunctionMultiDim);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMinimizer);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmath);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizer),sizeof(cmsmath::SequentialMinimizer),-1,262400,(char*)NULL,G__setup_memvarcmsmathcLcLSequentialMinimizer,G__setup_memfunccmsmathcLcLSequentialMinimizer);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_cmsmathcLcLSequentialMinimizercLcLState);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEcmsmathcLcLMinimizerContextgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEcmsmathcLcLSequentialMinimizercLcLWorkercOallocatorlEcmsmathcLcLSequentialMinimizercLcLWorkergRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_auto_ptrlEROOTcLcLMathcLcLMinimizergR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ProcessNormalization),sizeof(ProcessNormalization),-1,325376,"Process normalization interpolator ",G__setup_memvarProcessNormalization,G__setup_memfuncProcessNormalization);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlEpairlEdoublecOdoublegRcOallocatorlEpairlEdoublecOdoublegRsPgRsPgRcLcLiteratorgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLInterpolator);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooSpline1D),sizeof(RooSpline1D),-1,325376,"Smooth interpolation	",G__setup_memvarRooSpline1D,G__setup_memfuncRooSpline1D);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlat_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSub_constlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTColumnlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTDiaglEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTFlatlEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSublEfloatgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_TMatrixTSparseDiaglEfloatgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooSplineND),sizeof(RooSplineND),-1,324864,(char*)NULL,G__setup_memvarRooSplineND,G__setup_memfuncRooSplineND);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOvectorlEdoublecOallocatorlEdoublegRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEdoublecOallocatorlEdoublegRsPgRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEintcOpairlEdoublecOdoublegRcOlesslEintgRcOallocatorlEpairlEconstsPintcOpairlEdoublecOdoublegRsPgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_complexlEdoublegR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleLOSM),sizeof(RooScaleLOSM),-1,324866,(char*)NULL,G__setup_memvarRooScaleLOSM,G__setup_memfuncRooScaleLOSM);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSM),sizeof(RooScaleHGamGamLOSM),-1,324864,(char*)NULL,G__setup_memvarRooScaleHGamGamLOSM,G__setup_memfuncRooScaleHGamGamLOSM);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSM),sizeof(RooScaleHGluGluLOSM),-1,324864,(char*)NULL,G__setup_memvarRooScaleHGluGluLOSM,G__setup_memfuncRooScaleHGluGluLOSM);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGamGamLOSMPlusX),sizeof(RooScaleHGamGamLOSMPlusX),-1,324864,(char*)NULL,G__setup_memvarRooScaleHGamGamLOSMPlusX,G__setup_memfuncRooScaleHGamGamLOSMPlusX);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooScaleHGluGluLOSMPlusX),sizeof(RooScaleHGluGluLOSMPlusX),-1,324864,(char*)NULL,G__setup_memvarRooScaleHGluGluLOSMPlusX,G__setup_memfuncRooScaleHGluGluLOSMPlusX);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_rVrFLikelihood),sizeof(rVrFLikelihood),-1,324864,"Asymmetric power	",G__setup_memvarrVrFLikelihood,G__setup_memfuncrVrFLikelihood);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_vectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_reverse_iteratorlEvectorlErVrFLikelihoodcLcLChannelcOallocatorlErVrFLikelihoodcLcLChannelgRsPgRcLcLiteratorgR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdf),sizeof(RooMultiPdf),-1,325376,"Multi PDF",G__setup_memvarRooMultiPdf,G__setup_memfuncRooMultiPdf);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooMultiPdfcLcLPenatlyScheme);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooParametricHist),sizeof(RooParametricHist),-1,325376,(char*)NULL,G__setup_memvarRooParametricHist,G__setup_memfuncRooParametricHist);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooGaussian);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_SimpleGaussianConstraint),sizeof(SimpleGaussianConstraint),-1,325376,"Gaussian PDF with fast log",G__setup_memvarSimpleGaussianConstraint,G__setup_memfuncSimpleGaussianConstraint);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactory);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSplineBases),sizeof(RooStats::HistFactory::RooBSplineBases),-1,324864,"Uniform B-Spline",G__setup_memvarRooStatscLcLHistFactorycLcLRooBSplineBases,G__setup_memfuncRooStatscLcLHistFactorycLcLRooBSplineBases);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStatscLcLHistFactorycLcLRooBSpline),sizeof(RooStats::HistFactory::RooBSpline),-1,324864,"Uniform B-Spline",G__setup_memvarRooStatscLcLHistFactorycLcLRooBSpline,G__setup_memfuncRooStatscLcLHistFactorycLcLRooBSpline);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdf),sizeof(RooParamKeysPdf),-1,325376,"One-dimensional non-parametric kernel estimation p.d.f.",G__setup_memvarRooParamKeysPdf,G__setup_memfuncRooParamKeysPdf);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooParamKeysPdfcLcLMirror);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorph),sizeof(RooStarMomentMorph),-1,325376,"Your description goes here...",G__setup_memvarRooStarMomentMorph,G__setup_memfuncRooStarMomentMorph);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLSetting);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooStarMomentMorphcLcLCacheElem);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf),sizeof(HZZ4L_RooSpinZeroPdf),-1,325376,"Your description goes here...",G__setup_memvarHZZ4L_RooSpinZeroPdf,G__setup_memfuncHZZ4L_RooSpinZeroPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_phase),sizeof(HZZ4L_RooSpinZeroPdf_phase),-1,325376,"Your description goes here...",G__setup_memvarHZZ4L_RooSpinZeroPdf_phase,G__setup_memfuncHZZ4L_RooSpinZeroPdf_phase);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_HZZ4L_RooSpinZeroPdf_2D),sizeof(HZZ4L_RooSpinZeroPdf_2D),-1,325376,"Your description goes here...",G__setup_memvarHZZ4L_RooSpinZeroPdf_2D,G__setup_memfuncHZZ4L_RooSpinZeroPdf_2D);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooChebyshevPDF),sizeof(RooChebyshevPDF),-1,325376,"Chebyshev polynomial implementation.",G__setup_memvarRooChebyshevPDF,G__setup_memfuncRooChebyshevPDF);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooErfPdf),sizeof(RooErfPdf),-1,325376,"Your description goes here...",G__setup_memvarRooErfPdf,G__setup_memfuncRooErfPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerExpPdf),sizeof(RooPowerExpPdf),-1,325376,"Your description goes here...",G__setup_memvarRooPowerExpPdf,G__setup_memfuncRooPowerExpPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooTH1DPdf),sizeof(RooTH1DPdf),-1,325376,"Your description goes here...",G__setup_memvarRooTH1DPdf,G__setup_memfuncRooTH1DPdf);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerFunction),sizeof(RooPowerFunction),-1,325376,"Your description goes here...",G__setup_memvarRooPowerFunction,G__setup_memfuncRooPowerFunction);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooPowerLaw),sizeof(RooPowerLaw),-1,325376,"Power law PDF",G__setup_memvarRooPowerLaw,G__setup_memfuncRooPowerLaw);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooExpPoly),sizeof(RooExpPoly),-1,325376,"Your description goes here...",G__setup_memvarRooExpPoly,G__setup_memfuncRooExpPoly);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdf),sizeof(RooMorphingPdf),-1,325376,(char*)NULL,G__setup_memvarRooMorphingPdf,G__setup_memfuncRooMorphingPdf);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooMorphingPdfcLcLMorphCache);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_maplEdoublecOFastVerticalInterpHistPdf2mUcOlesslEdoublegRcOallocatorlEpairlEconstsPdoublecOFastVerticalInterpHistPdf2mUgRsPgRsPgRcLcLiterator);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_GaussExp),sizeof(GaussExp),-1,324352,"Your description goes here...",G__setup_memvarGaussExp,G__setup_memfuncGaussExp);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE1gR),sizeof(RooBernsteinFast<1>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE1gR,G__setup_memfuncRooBernsteinFastlE1gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO2cO2cOROOTcLcLMathcLcLMatRepStdlEdoublecO2cO2gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO3gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO2gR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE2gR),sizeof(RooBernsteinFast<2>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE2gR,G__setup_memfuncRooBernsteinFastlE2gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO3cO3cOROOTcLcLMathcLcLMatRepStdlEdoublecO3cO3gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO6gR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE3gR),sizeof(RooBernsteinFast<3>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE3gR,G__setup_memfuncRooBernsteinFastlE3gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO4cO4cOROOTcLcLMathcLcLMatRepStdlEdoublecO4cO4gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO10gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO4gR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE4gR),sizeof(RooBernsteinFast<4>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE4gR,G__setup_memfuncRooBernsteinFastlE4gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO5cO5cOROOTcLcLMathcLcLMatRepStdlEdoublecO5cO5gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO15gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO5gR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE5gR),sizeof(RooBernsteinFast<5>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE5gR,G__setup_memfuncRooBernsteinFastlE5gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO6cO6cOROOTcLcLMathcLcLMatRepStdlEdoublecO6cO6gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO21gR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE6gR),sizeof(RooBernsteinFast<6>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE6gR,G__setup_memfuncRooBernsteinFastlE6gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO7cO7cOROOTcLcLMathcLcLMatRepStdlEdoublecO7cO7gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO28gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO7gR);
   G__tagtable_setup(G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_RooBernsteinFastlE7gR),sizeof(RooBernsteinFast<7>),-1,325376,"Polynomial PDF",G__setup_memvarRooBernsteinFastlE7gR,G__setup_memfuncRooBernsteinFastlE7gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSMatrixlEdoublecO8cO8cOROOTcLcLMathcLcLMatRepStdlEdoublecO8cO8gRsPgR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO36gR);
   G__get_linked_tagnum_fwd(&G__HiggsAnalysisCombinedLimit_yrLN_ROOTcLcLMathcLcLSVectorlEdoublecO8gR);
}
extern "C" void G__cpp_setupHiggsAnalysisCombinedLimit_yr(void) {
  G__check_setup_version(30051515,"G__cpp_setupHiggsAnalysisCombinedLimit_yr()");
  G__set_cpp_environmentHiggsAnalysisCombinedLimit_yr();
  G__cpp_setup_tagtableHiggsAnalysisCombinedLimit_yr();

  G__cpp_setup_inheritanceHiggsAnalysisCombinedLimit_yr();

  G__cpp_setup_typetableHiggsAnalysisCombinedLimit_yr();

  G__cpp_setup_memvarHiggsAnalysisCombinedLimit_yr();

  G__cpp_setup_memfuncHiggsAnalysisCombinedLimit_yr();
  G__cpp_setup_globalHiggsAnalysisCombinedLimit_yr();
  G__cpp_setup_funcHiggsAnalysisCombinedLimit_yr();

   if(0==G__getsizep2memfunc()) G__get_sizep2memfuncHiggsAnalysisCombinedLimit_yr();
  return;
}
class G__cpp_setup_initHiggsAnalysisCombinedLimit_yr {
  public:
    G__cpp_setup_initHiggsAnalysisCombinedLimit_yr() { G__add_setup_func("HiggsAnalysisCombinedLimit_yr",(G__incsetup)(&G__cpp_setupHiggsAnalysisCombinedLimit_yr)); G__call_setup_funcs(); }
   ~G__cpp_setup_initHiggsAnalysisCombinedLimit_yr() { G__remove_setup_func("HiggsAnalysisCombinedLimit_yr"); }
};
G__cpp_setup_initHiggsAnalysisCombinedLimit_yr G__cpp_setup_initializerHiggsAnalysisCombinedLimit_yr;

